/*===========================================================================*/
/*   (Ast/hrtype.scm)                                                        */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/hrtype.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_wideningz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_wideningz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_instanceofz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_classz00;
	}                    *BgL_instanceofz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_z62hrtypezd2nodez12zd2new1918z70zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzast_hrtypez00();
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62hrtypezd2nodez12zd2vlength1927z70zzast_hrtypez00(obj_t,
		obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_z62hrtypezd2nodez12zd2jumpzd2ex1947za2zzast_hrtypez00(obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zzast_hrtypez00();
	extern obj_t BGl_externz00zzast_nodez00;
	extern obj_t BGl_restorezd2globalz12zc0zzast_envz00(obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static bool_t BGl_hrtypezd2nodeza2z12z62zzast_hrtypez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_hrtypezd2nodez12zc0zzast_hrtypez00(BgL_nodez00_bglt);
	static obj_t BGl_z62hrtypezd2nodez12zd2sync1902z70zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	extern obj_t BGl_wideningz00zzast_nodez00;
	static obj_t BGl_z62hrtypezd2nodez12zd2fail1937z70zzast_hrtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62hrtypezd2nodez12zd2funcall1908z70zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_vallocz00zzast_nodez00;
	static obj_t BGl_z62hrtypezd2nodez12zd2conditi1935z70zzast_hrtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62hrtypezd2nodez12zd2widenin1916z70zzast_hrtypez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_variablez00zzast_varz00;
	static obj_t BGl_z62hrtypezd2nodez12zd2setfiel1914z70zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62hrtypezd2nodez12zd2boxzd2ref1953za2zzast_hrtypez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_selectz00zzast_nodez00;
	static obj_t BGl_z62hrtypezd2nodez12zd2vref1922z70zzast_hrtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62hrtypezd2nodez12zd2valloc1920z70zzast_hrtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62hrtypezd2nodez12za2zzast_hrtypez00(obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_z62hrtypezd2nodez12zd2appzd2ly1906za2zzast_hrtypez00(obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_hrtypez00 = BUNSPEC;
	extern obj_t BGl_newz00zzast_nodez00;
	static obj_t BGl_z62hrtypezd2nodez12zd2makezd2bo1949za2zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_vlengthz00zzast_nodez00;
	static obj_t BGl_z62hrtypezd2nodez12zd2select1939z70zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_z62hrtypezd2nodez12zd2getfiel1912z70zzast_hrtypez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_alreadyzd2restoredzf3z21zzast_envz00(obj_t);
	static obj_t BGl_toplevelzd2initzd2zzast_hrtypez00();
	static obj_t BGl_genericzd2initzd2zzast_hrtypez00();
	static obj_t BGl_z62hrtypezd2nodez12zd2extern1910z70zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_getfieldz00zzast_nodez00;
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62hrtypezd2nodez12zd2vsetz121925z62zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_z62hrtypezd2nodez12zd2letzd2fun1941za2zzast_hrtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62hrtypezd2nodez121895za2zzast_hrtypez00(obj_t, obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62hrtypezd2nodez12zd2app1904z70zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	static obj_t BGl_z62hrtypezd2nodez12zd2cast1931z70zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t BGl_z62hrtypezd2nodez12zd2var1898z70zzast_hrtypez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_hrtypez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62hrtypezd2nodez12zd2setq1933z70zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_vrefz00zzast_nodez00;
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzast_hrtypez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_hrtypez00();
	extern obj_t BGl_globalzd2bucketzd2positionz00zzast_envz00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzast_hrtypez00();
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static obj_t
		BGl_z62hrtypezd2nodez12zd2setzd2exzd21945z70zzast_hrtypez00(obj_t, obj_t);
	extern obj_t BGl_instanceofz00zzast_nodez00;
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_z62hrtypezd2nodez12zd2letzd2var1943za2zzast_hrtypez00(obj_t,
		obj_t);
	extern BgL_typez00_bglt BGl_findzd2typezd2zztype_envz00(obj_t);
	extern obj_t BGl_setfieldz00zzast_nodez00;
	static obj_t BGl_z62hrtypezd2nodez12zd2boxzd2set1951za2zzast_hrtypez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t BGl_z62hrtypezd2nodez12zd2sequenc1900z70zzast_hrtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62hrtypezd2nodez12zd2instanc1929z70zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_vsetz12z12zzast_nodez00;
	static obj_t
		BGl_restorezd2variablezd2typez12z12zzast_hrtypez00(BgL_variablez00_bglt);
	static obj_t __cnst[2];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2215z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node2253z00,
		BGl_z62hrtypezd2nodez121895za2zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2217z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node2254z00,
		BGl_z62hrtypezd2nodez12zd2var1898z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2219z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node2255z00,
		BGl_z62hrtypezd2nodez12zd2sequenc1900z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2220z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node2256z00,
		BGl_z62hrtypezd2nodez12zd2sync1902z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2221z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node2257z00,
		BGl_z62hrtypezd2nodez12zd2app1904z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2222z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node2258z00,
		BGl_z62hrtypezd2nodez12zd2appzd2ly1906za2zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2223z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node2259z00,
		BGl_z62hrtypezd2nodez12zd2funcall1908z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2224z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node2260z00,
		BGl_z62hrtypezd2nodez12zd2extern1910z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2225z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node2261z00,
		BGl_z62hrtypezd2nodez12zd2getfiel1912z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2226z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node2262z00,
		BGl_z62hrtypezd2nodez12zd2setfiel1914z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2227z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node2263z00,
		BGl_z62hrtypezd2nodez12zd2widenin1916z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2228z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node2264z00,
		BGl_z62hrtypezd2nodez12zd2new1918z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2229z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node2265z00,
		BGl_z62hrtypezd2nodez12zd2valloc1920z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2230z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node2266z00,
		BGl_z62hrtypezd2nodez12zd2vref1922z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2231z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node2267z00,
		BGl_z62hrtypezd2nodez12zd2vsetz121925z62zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2232z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node2268z00,
		BGl_z62hrtypezd2nodez12zd2vlength1927z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2233z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node2269z00,
		BGl_z62hrtypezd2nodez12zd2instanc1929z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2234z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node2270z00,
		BGl_z62hrtypezd2nodez12zd2cast1931z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2235z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node2271z00,
		BGl_z62hrtypezd2nodez12zd2setq1933z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2236z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node2272z00,
		BGl_z62hrtypezd2nodez12zd2conditi1935z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2237z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node2273z00,
		BGl_z62hrtypezd2nodez12zd2fail1937z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2238z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node2274z00,
		BGl_z62hrtypezd2nodez12zd2select1939z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2239z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node2275z00,
		BGl_z62hrtypezd2nodez12zd2letzd2fun1941za2zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2240z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node2276z00,
		BGl_z62hrtypezd2nodez12zd2letzd2var1943za2zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2241z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node2277z00,
		BGl_z62hrtypezd2nodez12zd2setzd2exzd21945z70zzast_hrtypez00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2242z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node2278z00,
		BGl_z62hrtypezd2nodez12zd2jumpzd2ex1947za2zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2243z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node2279z00,
		BGl_z62hrtypezd2nodez12zd2makezd2bo1949za2zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2244z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node2280z00,
		BGl_z62hrtypezd2nodez12zd2boxzd2set1951za2zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2245z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node2281z00,
		BGl_z62hrtypezd2nodez12zd2boxzd2ref1953za2zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2216z00zzast_hrtypez00,
		BgL_bgl_string2216za700za7za7a2282za7, "hrtype-node!1895", 16);
	      DEFINE_STRING(BGl_string2218z00zzast_hrtypez00,
		BgL_bgl_string2218za700za7za7a2283za7, "hrtype-node!", 12);
	      DEFINE_STRING(BGl_string2246z00zzast_hrtypez00,
		BgL_bgl_string2246za700za7za7a2284za7, "Illegal argument", 16);
	      DEFINE_STRING(BGl_string2247z00zzast_hrtypez00,
		BgL_bgl_string2247za700za7za7a2285za7, "heap", 4);
	      DEFINE_STRING(BGl_string2248z00zzast_hrtypez00,
		BgL_bgl_string2248za700za7za7a2286za7, "Can't find library variable", 27);
	      DEFINE_STRING(BGl_string2249z00zzast_hrtypez00,
		BgL_bgl_string2249za700za7za7a2287za7, "ast_hrtype", 10);
	      DEFINE_STRING(BGl_string2250z00zzast_hrtypez00,
		BgL_bgl_string2250za700za7za7a2288za7, "static sifun ", 13);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node2289z00,
		BGl_z62hrtypezd2nodez12za2zzast_hrtypez00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_hrtypez00(long
		BgL_checksumz00_2589, char *BgL_fromz00_2590)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_hrtypez00))
				{
					BGl_requirezd2initializa7ationz75zzast_hrtypez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzast_hrtypez00();
					BGl_cnstzd2initzd2zzast_hrtypez00();
					BGl_importedzd2moduleszd2initz00zzast_hrtypez00();
					BGl_genericzd2initzd2zzast_hrtypez00();
					BGl_methodzd2initzd2zzast_hrtypez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_hrtypez00()
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 17 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "ast_hrtype");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "ast_hrtype");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_hrtype");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"ast_hrtype");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_hrtype");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_hrtype");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_hrtypez00()
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 17 */
			{	/* Ast/hrtype.scm 17 */
				obj_t BgL_cportz00_2581;

				BgL_cportz00_2581 =
					bgl_open_input_string(BGl_string2250z00zzast_hrtypez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2582;

					BgL_iz00_2582 = ((long) 1);
				BgL_loopz00_2583:
					if ((BgL_iz00_2582 == ((long) -1)))
						{	/* Ast/hrtype.scm 17 */
							return BUNSPEC;
						}
					else
						{	/* Ast/hrtype.scm 17 */
							{	/* Ast/hrtype.scm 17 */
								obj_t BgL_arg2252z00_2585;

								{	/* Ast/hrtype.scm 17 */

									{	/* Ast/hrtype.scm 17 */
										obj_t BgL_locationz00_2587;

										BgL_locationz00_2587 = BBOOL(((bool_t) 0));
										{	/* Ast/hrtype.scm 17 */

											BgL_arg2252z00_2585 =
												BGl_readz00zz__readerz00(BgL_cportz00_2581,
												BgL_locationz00_2587);
										}
									}
								}
								{	/* Ast/hrtype.scm 17 */
									int BgL_auxz00_2611;

									BgL_auxz00_2611 = (int) (BgL_iz00_2582);
									CNST_TABLE_SET(BgL_auxz00_2611, BgL_arg2252z00_2585);
							}}
							{	/* Ast/hrtype.scm 17 */
								int BgL_auxz00_2588;

								BgL_auxz00_2588 = (int) ((BgL_iz00_2582 - ((long) 1)));
								{
									long BgL_iz00_2616;

									BgL_iz00_2616 = (long) (BgL_auxz00_2588);
									BgL_iz00_2582 = BgL_iz00_2616;
									goto BgL_loopz00_2583;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_hrtypez00()
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 17 */
			return BUNSPEC;
		}
	}



/* hrtype-node*! */
	bool_t BGl_hrtypezd2nodeza2z12z62zzast_hrtypez00(obj_t BgL_nodeza2za2_32)
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 370 */
			{
				obj_t BgL_l1893z00_1249;

				BgL_l1893z00_1249 = BgL_nodeza2za2_32;
			BgL_zc3anonymousza31957ze3z83_1250:
				if (PAIRP(BgL_l1893z00_1249))
					{	/* Ast/hrtype.scm 371 */
						{	/* Ast/hrtype.scm 371 */
							obj_t BgL_arg1959z00_1252;

							BgL_arg1959z00_1252 = CAR(BgL_l1893z00_1249);
							BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
								((BgL_nodez00_bglt) BgL_arg1959z00_1252));
						}
						{
							obj_t BgL_l1893z00_2623;

							BgL_l1893z00_2623 = CDR(BgL_l1893z00_1249);
							BgL_l1893z00_1249 = BgL_l1893z00_2623;
							goto BgL_zc3anonymousza31957ze3z83_1250;
						}
					}
				else
					{	/* Ast/hrtype.scm 371 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* restore-variable-type! */
	obj_t BGl_restorezd2variablezd2typez12z12zzast_hrtypez00(BgL_variablez00_bglt
		BgL_variablez00_33)
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 376 */
			{	/* Ast/hrtype.scm 377 */
				BgL_typez00_bglt BgL_typez00_1255;

				BgL_typez00_1255 =
					(((BgL_variablez00_bglt) CREF(BgL_variablez00_33))->BgL_typez00);
				{	/* Ast/hrtype.scm 378 */
					bool_t BgL_testz00_2626;

					{	/* Ast/hrtype.scm 378 */
						bool_t BgL_res2162z00_2302;

						BgL_res2162z00_2302 =
							BGl_isazf3zf3zz__objectz00(
							((obj_t) BgL_typez00_1255), BGl_typez00zztype_typez00);
						BgL_testz00_2626 = BgL_res2162z00_2302;
					}
					if (BgL_testz00_2626)
						{	/* Ast/hrtype.scm 378 */
							return
								((((BgL_variablez00_bglt) CREF(BgL_variablez00_33))->
									BgL_typez00) =
								((BgL_typez00_bglt)
									BGl_findzd2typezd2zztype_envz00((((BgL_typez00_bglt)
												CREF(BgL_typez00_1255))->BgL_idz00))), BUNSPEC);
						}
					else
						{	/* Ast/hrtype.scm 378 */
							return BFALSE;
						}
				}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_hrtypez00()
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 17 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_hrtypez00()
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 17 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_proc2215z00zzast_hrtypez00, BGl_nodez00zzast_nodez00,
				BGl_string2216z00zzast_hrtypez00);
		}
	}



/* &hrtype-node!1895 */
	obj_t BGl_z62hrtypezd2nodez121895za2zzast_hrtypez00(obj_t BgL_envz00_2493,
		obj_t BgL_nodez00_2494)
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 31 */
			{
				BgL_nodez00_bglt BgL_nodez00_1260;

				BgL_nodez00_1260 = ((BgL_nodez00_bglt) BgL_nodez00_2494);
				{	/* Ast/hrtype.scm 33 */
					bool_t BgL_testz00_2633;

					{	/* Ast/hrtype.scm 33 */
						BgL_typez00_bglt BgL_arg1970z00_1266;

						BgL_arg1970z00_1266 =
							(((BgL_nodez00_bglt) CREF(BgL_nodez00_1260))->BgL_typez00);
						{	/* Ast/hrtype.scm 33 */
							bool_t BgL_res2164z00_2310;

							BgL_res2164z00_2310 =
								BGl_isazf3zf3zz__objectz00(
								((obj_t) BgL_arg1970z00_1266), BGl_typez00zztype_typez00);
							BgL_testz00_2633 = BgL_res2164z00_2310;
						}
					}
					if (BgL_testz00_2633)
						{
							BgL_typez00_bglt BgL_auxz00_2637;

							{	/* Ast/hrtype.scm 34 */
								obj_t BgL_arg1968z00_1264;

								BgL_arg1968z00_1264 =
									(((BgL_typez00_bglt) CREF(
											(((BgL_nodez00_bglt) CREF(BgL_nodez00_1260))->
												BgL_typez00)))->BgL_idz00);
								BgL_auxz00_2637 =
									BGl_findzd2typezd2zztype_envz00(BgL_arg1968z00_1264);
							}
							return
								((((BgL_nodez00_bglt) CREF(BgL_nodez00_1260))->BgL_typez00) =
								((BgL_typez00_bglt) BgL_auxz00_2637), BUNSPEC);
						}
					else
						{	/* Ast/hrtype.scm 33 */
							return BFALSE;
						}
				}
			}
		}
	}



/* hrtype-node! */
	BGL_EXPORTED_DEF obj_t BGl_hrtypezd2nodez12zc0zzast_hrtypez00(BgL_nodez00_bglt
		BgL_nodez00_3)
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 31 */
			{	/* Ast/hrtype.scm 31 */
				obj_t BgL_method1896z00_1268;

				{	/* Ast/hrtype.scm 31 */
					obj_t BgL_res2172z00_2342;

					{	/* Ast/hrtype.scm 31 */
						long BgL_objzd2classzd2numz00_2315;

						{	/* Ast/hrtype.scm 31 */
							long BgL_res2166z00_2318;

							BgL_res2166z00_2318 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_3));
							BgL_objzd2classzd2numz00_2315 = BgL_res2166z00_2318;
						}
						{	/* Ast/hrtype.scm 31 */
							obj_t BgL_arg1769z00_2316;

							BgL_arg1769z00_2316 =
								PROCEDURE_REF(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
								(int) (((long) 1)));
							{	/* Ast/hrtype.scm 31 */
								int BgL_offsetz00_2320;

								BgL_offsetz00_2320 = (int) (BgL_objzd2classzd2numz00_2315);
								{	/* Ast/hrtype.scm 31 */
									long BgL_offsetz00_2321;

									BgL_offsetz00_2321 =
										((long) (BgL_offsetz00_2320) - OBJECT_TYPE);
									{	/* Ast/hrtype.scm 31 */
										long BgL_modz00_2322;

										{	/* Ast/hrtype.scm 31 */
											int BgL_arg1771z00_2323;

											BgL_arg1771z00_2323 = (int) (((long) 16));
											{	/* Ast/hrtype.scm 31 */
												long BgL_res2169z00_2333;

												{	/* Ast/hrtype.scm 31 */
													long BgL_auxz00_2651;

													BgL_auxz00_2651 = (long) (BgL_arg1771z00_2323);
													BgL_res2169z00_2333 =
														(BgL_offsetz00_2321 / BgL_auxz00_2651);
												}
												BgL_modz00_2322 = BgL_res2169z00_2333;
										}}
										{	/* Ast/hrtype.scm 31 */
											long BgL_restz00_2324;

											{	/* Ast/hrtype.scm 31 */
												int BgL_arg1770z00_2325;

												BgL_arg1770z00_2325 = (int) (((long) 16));
												{	/* Ast/hrtype.scm 31 */
													long BgL_res2171z00_2337;

													{	/* Ast/hrtype.scm 31 */
														long BgL_auxz00_2655;

														BgL_auxz00_2655 = (long) (BgL_arg1770z00_2325);
														BgL_res2171z00_2337 =
															(BgL_offsetz00_2321 % BgL_auxz00_2655);
													}
													BgL_restz00_2324 = BgL_res2171z00_2337;
											}}
											{	/* Ast/hrtype.scm 31 */

												BgL_res2172z00_2342 =
													VECTOR_REF(VECTOR_REF(BgL_arg1769z00_2316,
														(int) (BgL_modz00_2322)), (int) (BgL_restz00_2324));
					}}}}}}}
					BgL_method1896z00_1268 = BgL_res2172z00_2342;
				}
				return
					PROCEDURE_ENTRY(BgL_method1896z00_1268) (BgL_method1896z00_1268,
					((obj_t) BgL_nodez00_3), BEOA);
			}
		}
	}



/* &hrtype-node! */
	obj_t BGl_z62hrtypezd2nodez12za2zzast_hrtypez00(obj_t BgL_envz00_2495,
		obj_t BgL_nodez00_2496)
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 31 */
			return
				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
				((BgL_nodez00_bglt) BgL_nodez00_2496));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_hrtypez00()
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 17 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BGl_varz00zzast_nodez00,
				BGl_proc2217z00zzast_hrtypez00, BGl_string2218z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_sequencez00zzast_nodez00, BGl_proc2219z00zzast_hrtypez00,
				BGl_string2218z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BGl_syncz00zzast_nodez00,
				BGl_proc2220z00zzast_hrtypez00, BGl_string2218z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BGl_appz00zzast_nodez00,
				BGl_proc2221z00zzast_hrtypez00, BGl_string2218z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2222z00zzast_hrtypez00,
				BGl_string2218z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_funcallz00zzast_nodez00, BGl_proc2223z00zzast_hrtypez00,
				BGl_string2218z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_externz00zzast_nodez00, BGl_proc2224z00zzast_hrtypez00,
				BGl_string2218z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_getfieldz00zzast_nodez00, BGl_proc2225z00zzast_hrtypez00,
				BGl_string2218z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_setfieldz00zzast_nodez00, BGl_proc2226z00zzast_hrtypez00,
				BGl_string2218z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_wideningz00zzast_nodez00, BGl_proc2227z00zzast_hrtypez00,
				BGl_string2218z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BGl_newz00zzast_nodez00,
				BGl_proc2228z00zzast_hrtypez00, BGl_string2218z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_vallocz00zzast_nodez00, BGl_proc2229z00zzast_hrtypez00,
				BGl_string2218z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BGl_vrefz00zzast_nodez00,
				BGl_proc2230z00zzast_hrtypez00, BGl_string2218z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_vsetz12z12zzast_nodez00, BGl_proc2231z00zzast_hrtypez00,
				BGl_string2218z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_vlengthz00zzast_nodez00, BGl_proc2232z00zzast_hrtypez00,
				BGl_string2218z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_instanceofz00zzast_nodez00, BGl_proc2233z00zzast_hrtypez00,
				BGl_string2218z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BGl_castz00zzast_nodez00,
				BGl_proc2234z00zzast_hrtypez00, BGl_string2218z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BGl_setqz00zzast_nodez00,
				BGl_proc2235z00zzast_hrtypez00, BGl_string2218z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2236z00zzast_hrtypez00,
				BGl_string2218z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BGl_failz00zzast_nodez00,
				BGl_proc2237z00zzast_hrtypez00, BGl_string2218z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_selectz00zzast_nodez00, BGl_proc2238z00zzast_hrtypez00,
				BGl_string2218z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2239z00zzast_hrtypez00,
				BGl_string2218z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2240z00zzast_hrtypez00,
				BGl_string2218z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2241z00zzast_hrtypez00,
				BGl_string2218z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2242z00zzast_hrtypez00,
				BGl_string2218z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2243z00zzast_hrtypez00,
				BGl_string2218z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2244z00zzast_hrtypez00,
				BGl_string2218z00zzast_hrtypez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2245z00zzast_hrtypez00,
				BGl_string2218z00zzast_hrtypez00);
		}
	}



/* &hrtype-node!-box-ref1953 */
	obj_t BGl_z62hrtypezd2nodez12zd2boxzd2ref1953za2zzast_hrtypez00(obj_t
		BgL_envz00_2525, obj_t BgL_nodez00_2526)
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 362 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1560;

				BgL_nodez00_1560 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2526);
				{

					{	/* Ast/hrtype.scm 364 */
						BgL_varz00_bglt BgL_arg2101z00_1564;

						BgL_arg2101z00_1564 =
							(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1560))->BgL_varz00);
						BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
							((BgL_nodez00_bglt) BgL_arg2101z00_1564));
					}
					{	/* Ast/hrtype.scm 362 */
						obj_t BgL_nextzd2method1952zd2_1565;

						BgL_nextzd2method1952zd2_1565 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_1560),
							BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
							BGl_boxzd2refzd2zzast_nodez00);
						return
							PROCEDURE_ENTRY(BgL_nextzd2method1952zd2_1565)
							(BgL_nextzd2method1952zd2_1565, ((obj_t) BgL_nodez00_1560), BEOA);
					}
				}
			}
		}
	}



/* &hrtype-node!-box-set1951 */
	obj_t BGl_z62hrtypezd2nodez12zd2boxzd2set1951za2zzast_hrtypez00(obj_t
		BgL_envz00_2527, obj_t BgL_nodez00_2528)
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 353 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1553;

				BgL_nodez00_1553 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2528);
				{

					{	/* Ast/hrtype.scm 355 */
						BgL_varz00_bglt BgL_arg2099z00_1557;

						BgL_arg2099z00_1557 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1553))->BgL_varz00);
						BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
							((BgL_nodez00_bglt) BgL_arg2099z00_1557));
					}
					BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
						(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1553))->
							BgL_valuez00));
					{	/* Ast/hrtype.scm 353 */
						obj_t BgL_nextzd2method1950zd2_1559;

						BgL_nextzd2method1950zd2_1559 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_1553),
							BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
							BGl_boxzd2setz12zc0zzast_nodez00);
						return
							PROCEDURE_ENTRY(BgL_nextzd2method1950zd2_1559)
							(BgL_nextzd2method1950zd2_1559, ((obj_t) BgL_nodez00_1553), BEOA);
					}
				}
			}
		}
	}



/* &hrtype-node!-make-bo1949 */
	obj_t BGl_z62hrtypezd2nodez12zd2makezd2bo1949za2zzast_hrtypez00(obj_t
		BgL_envz00_2529, obj_t BgL_nodez00_2530)
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 345 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1547;

				BgL_nodez00_1547 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2530);
				{

					BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
						(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1547))->BgL_valuez00));
					{	/* Ast/hrtype.scm 345 */
						obj_t BgL_nextzd2method1948zd2_1552;

						BgL_nextzd2method1948zd2_1552 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_1547),
							BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
							BGl_makezd2boxzd2zzast_nodez00);
						return
							PROCEDURE_ENTRY(BgL_nextzd2method1948zd2_1552)
							(BgL_nextzd2method1948zd2_1552, ((obj_t) BgL_nodez00_1547), BEOA);
					}
				}
			}
		}
	}



/* &hrtype-node!-jump-ex1947 */
	obj_t BGl_z62hrtypezd2nodez12zd2jumpzd2ex1947za2zzast_hrtypez00(obj_t
		BgL_envz00_2531, obj_t BgL_nodez00_2532)
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 336 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1540;

				BgL_nodez00_1540 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2532);
				{

					BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
						(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1540))->
							BgL_exitz00));
					BGl_hrtypezd2nodez12zc0zzast_hrtypez00((((BgL_jumpzd2exzd2itz00_bglt)
								CREF(BgL_nodez00_1540))->BgL_valuez00));
					{	/* Ast/hrtype.scm 336 */
						obj_t BgL_nextzd2method1946zd2_1546;

						BgL_nextzd2method1946zd2_1546 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_1540),
							BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
							BGl_jumpzd2exzd2itz00zzast_nodez00);
						return
							PROCEDURE_ENTRY(BgL_nextzd2method1946zd2_1546)
							(BgL_nextzd2method1946zd2_1546, ((obj_t) BgL_nodez00_1540), BEOA);
					}
				}
			}
		}
	}



/* &hrtype-node!-set-ex-1945 */
	obj_t BGl_z62hrtypezd2nodez12zd2setzd2exzd21945z70zzast_hrtypez00(obj_t
		BgL_envz00_2533, obj_t BgL_nodez00_2534)
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 326 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1531;

				BgL_nodez00_1531 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2534);
				{

					BGl_restorezd2variablezd2typez12z12zzast_hrtypez00(
						(((BgL_varz00_bglt) CREF(
									(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1531))->
										BgL_varz00)))->BgL_variablez00));
					BGl_hrtypezd2nodez12zc0zzast_hrtypez00((((BgL_setzd2exzd2itz00_bglt)
								CREF(BgL_nodez00_1531))->BgL_bodyz00));
					{	/* Ast/hrtype.scm 330 */
						BgL_varz00_bglt BgL_arg2095z00_1538;

						BgL_arg2095z00_1538 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1531))->
							BgL_varz00);
						BGl_hrtypezd2nodez12zc0zzast_hrtypez00(((BgL_nodez00_bglt)
								BgL_arg2095z00_1538));
					}
					{	/* Ast/hrtype.scm 326 */
						obj_t BgL_nextzd2method1944zd2_1539;

						BgL_nextzd2method1944zd2_1539 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_1531),
							BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
							BGl_setzd2exzd2itz00zzast_nodez00);
						return
							PROCEDURE_ENTRY(BgL_nextzd2method1944zd2_1539)
							(BgL_nextzd2method1944zd2_1539, ((obj_t) BgL_nodez00_1531), BEOA);
					}
				}
			}
		}
	}



/* &hrtype-node!-let-var1943 */
	obj_t BGl_z62hrtypezd2nodez12zd2letzd2var1943za2zzast_hrtypez00(obj_t
		BgL_envz00_2535, obj_t BgL_nodez00_2536)
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 312 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1515;

				BgL_nodez00_1515 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_2536);
				{

					{	/* Ast/hrtype.scm 314 */
						obj_t BgL_g1892z00_1519;

						BgL_g1892z00_1519 =
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1515))->
							BgL_bindingsz00);
						{
							obj_t BgL_l1890z00_1521;

							BgL_l1890z00_1521 = BgL_g1892z00_1519;
						BgL_zc3anonymousza32088ze3z83_1522:
							if (PAIRP(BgL_l1890z00_1521))
								{	/* Ast/hrtype.scm 314 */
									{	/* Ast/hrtype.scm 315 */
										obj_t BgL_bindingz00_1524;

										BgL_bindingz00_1524 = CAR(BgL_l1890z00_1521);
										{	/* Ast/hrtype.scm 315 */
											obj_t BgL_varz00_1525;
											obj_t BgL_valz00_1526;

											BgL_varz00_1525 = CAR(BgL_bindingz00_1524);
											BgL_valz00_1526 = CDR(BgL_bindingz00_1524);
											BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
												((BgL_nodez00_bglt) BgL_valz00_1526));
											BGl_restorezd2variablezd2typez12z12zzast_hrtypez00(
												((BgL_variablez00_bglt) BgL_varz00_1525));
										}
									}
									{
										obj_t BgL_l1890z00_2769;

										BgL_l1890z00_2769 = CDR(BgL_l1890z00_1521);
										BgL_l1890z00_1521 = BgL_l1890z00_2769;
										goto BgL_zc3anonymousza32088ze3z83_1522;
									}
								}
							else
								{	/* Ast/hrtype.scm 314 */
									((bool_t) 1);
								}
						}
					}
					BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1515))->BgL_bodyz00));
					{	/* Ast/hrtype.scm 312 */
						obj_t BgL_nextzd2method1942zd2_1530;

						BgL_nextzd2method1942zd2_1530 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_1515),
							BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
							BGl_letzd2varzd2zzast_nodez00);
						return
							PROCEDURE_ENTRY(BgL_nextzd2method1942zd2_1530)
							(BgL_nextzd2method1942zd2_1530, ((obj_t) BgL_nodez00_1515), BEOA);
					}
				}
			}
		}
	}



/* &hrtype-node!-let-fun1941 */
	obj_t BGl_z62hrtypezd2nodez12zd2letzd2fun1941za2zzast_hrtypez00(obj_t
		BgL_envz00_2537, obj_t BgL_nodez00_2538)
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 286 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1486;

				BgL_nodez00_1486 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_2538);
				{

					{	/* Ast/hrtype.scm 288 */
						obj_t BgL_g1889z00_1490;

						BgL_g1889z00_1490 =
							(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1486))->BgL_localsz00);
						{
							obj_t BgL_l1887z00_1492;

							BgL_l1887z00_1492 = BgL_g1889z00_1490;
						BgL_zc3anonymousza32075ze3z83_1493:
							if (PAIRP(BgL_l1887z00_1492))
								{	/* Ast/hrtype.scm 288 */
									{	/* Ast/hrtype.scm 289 */
										obj_t BgL_localz00_1495;

										BgL_localz00_1495 = CAR(BgL_l1887z00_1492);
										{	/* Ast/hrtype.scm 289 */
											BgL_valuez00_bglt BgL_sfunz00_1496;

											BgL_sfunz00_1496 =
												(((BgL_variablez00_bglt) CREF(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt) BgL_localz00_1495))))->
												BgL_valuez00);
											{	/* Ast/hrtype.scm 290 */
												obj_t BgL_g1120z00_1497;

												BgL_g1120z00_1497 =
													(((BgL_sfunz00_bglt) CREF(
															((BgL_sfunz00_bglt) BgL_sfunz00_1496)))->
													BgL_argsz00);
												{
													obj_t BgL_argsz00_1499;

													BgL_argsz00_1499 = BgL_g1120z00_1497;
												BgL_zc3anonymousza32077ze3z83_1500:
													if (PAIRP(BgL_argsz00_1499))
														{	/* Ast/hrtype.scm 292 */
															obj_t BgL_argz00_1502;

															BgL_argz00_1502 = CAR(BgL_argsz00_1499);
															if (BGl_isazf3zf3zz__objectz00(BgL_argz00_1502,
																	BGl_typez00zztype_typez00))
																{	/* Ast/hrtype.scm 295 */
																	BgL_typez00_bglt BgL_arg2080z00_1504;

																	{	/* Ast/hrtype.scm 295 */
																		obj_t BgL_arg2081z00_1505;

																		BgL_arg2081z00_1505 =
																			(((BgL_typez00_bglt) CREF(
																					((BgL_typez00_bglt)
																						BgL_argz00_1502)))->BgL_idz00);
																		BgL_arg2080z00_1504 =
																			BGl_findzd2typezd2zztype_envz00
																			(BgL_arg2081z00_1505);
																	}
																	{	/* Ast/hrtype.scm 295 */
																		obj_t BgL_auxz00_2798;

																		BgL_auxz00_2798 =
																			((obj_t) BgL_arg2080z00_1504);
																		SET_CAR(BgL_argsz00_1499, BgL_auxz00_2798);
																	}
																}
															else
																{	/* Ast/hrtype.scm 294 */
																	if (BGl_isazf3zf3zz__objectz00
																		(BgL_argz00_1502, BGl_localz00zzast_varz00))
																		{	/* Ast/hrtype.scm 296 */
																			BGl_restorezd2variablezd2typez12z12zzast_hrtypez00
																				(((BgL_variablez00_bglt) (
																						(BgL_localz00_bglt)
																						BgL_argz00_1502)));
																		}
																	else
																		{	/* Ast/hrtype.scm 296 */
																			BGl_errorz00zz__errorz00
																				(BGl_string2218z00zzast_hrtypez00,
																				BGl_string2246z00zzast_hrtypez00,
																				BGl_shapez00zztools_shapez00
																				(BgL_argz00_1502));
																		}
																}
															{
																obj_t BgL_argsz00_2808;

																BgL_argsz00_2808 = CDR(BgL_argsz00_1499);
																BgL_argsz00_1499 = BgL_argsz00_2808;
																goto BgL_zc3anonymousza32077ze3z83_1500;
															}
														}
													else
														{	/* Ast/hrtype.scm 291 */
															((bool_t) 0);
														}
												}
											}
											BGl_restorezd2variablezd2typez12z12zzast_hrtypez00(
												((BgL_variablez00_bglt) BgL_localz00_1495));
											{	/* Ast/hrtype.scm 304 */
												obj_t BgL_arg2085z00_1510;

												BgL_arg2085z00_1510 =
													(((BgL_sfunz00_bglt) CREF(
															((BgL_sfunz00_bglt) BgL_sfunz00_1496)))->
													BgL_bodyz00);
												BGl_hrtypezd2nodez12zc0zzast_hrtypez00((
														(BgL_nodez00_bglt) BgL_arg2085z00_1510));
											}
										}
									}
									{
										obj_t BgL_l1887z00_2816;

										BgL_l1887z00_2816 = CDR(BgL_l1887z00_1492);
										BgL_l1887z00_1492 = BgL_l1887z00_2816;
										goto BgL_zc3anonymousza32075ze3z83_1493;
									}
								}
							else
								{	/* Ast/hrtype.scm 288 */
									((bool_t) 1);
								}
						}
					}
					BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1486))->BgL_bodyz00));
					{	/* Ast/hrtype.scm 286 */
						obj_t BgL_nextzd2method1940zd2_1514;

						BgL_nextzd2method1940zd2_1514 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_1486),
							BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
							BGl_letzd2funzd2zzast_nodez00);
						return
							PROCEDURE_ENTRY(BgL_nextzd2method1940zd2_1514)
							(BgL_nextzd2method1940zd2_1514, ((obj_t) BgL_nodez00_1486), BEOA);
					}
				}
			}
		}
	}



/* &hrtype-node!-select1939 */
	obj_t BGl_z62hrtypezd2nodez12zd2select1939z70zzast_hrtypez00(obj_t
		BgL_envz00_2539, obj_t BgL_nodez00_2540)
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 275 */
			{
				BgL_selectz00_bglt BgL_nodez00_1471;

				BgL_nodez00_1471 = ((BgL_selectz00_bglt) BgL_nodez00_2540);
				{

					BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1471))->BgL_testz00));
					{	/* Ast/hrtype.scm 278 */
						obj_t BgL_g1886z00_1476;

						BgL_g1886z00_1476 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_1471))->BgL_clausesz00);
						{
							obj_t BgL_l1811z00_1478;

							BgL_l1811z00_1478 = BgL_g1886z00_1476;
						BgL_zc3anonymousza32071ze3z83_1479:
							if (PAIRP(BgL_l1811z00_1478))
								{	/* Ast/hrtype.scm 278 */
									{	/* Ast/hrtype.scm 279 */
										obj_t BgL_clausez00_1481;

										BgL_clausez00_1481 = CAR(BgL_l1811z00_1478);
										{	/* Ast/hrtype.scm 279 */
											obj_t BgL_arg2073z00_1482;

											BgL_arg2073z00_1482 = CDR(BgL_clausez00_1481);
											BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
												((BgL_nodez00_bglt) BgL_arg2073z00_1482));
										}
									}
									{
										obj_t BgL_l1811z00_2837;

										BgL_l1811z00_2837 = CDR(BgL_l1811z00_1478);
										BgL_l1811z00_1478 = BgL_l1811z00_2837;
										goto BgL_zc3anonymousza32071ze3z83_1479;
									}
								}
							else
								{	/* Ast/hrtype.scm 278 */
									((bool_t) 1);
								}
						}
					}
					{	/* Ast/hrtype.scm 275 */
						obj_t BgL_nextzd2method1938zd2_1485;

						BgL_nextzd2method1938zd2_1485 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_1471),
							BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
							BGl_selectz00zzast_nodez00);
						return
							PROCEDURE_ENTRY(BgL_nextzd2method1938zd2_1485)
							(BgL_nextzd2method1938zd2_1485, ((obj_t) BgL_nodez00_1471), BEOA);
					}
				}
			}
		}
	}



/* &hrtype-node!-fail1937 */
	obj_t BGl_z62hrtypezd2nodez12zd2fail1937z70zzast_hrtypez00(obj_t
		BgL_envz00_2541, obj_t BgL_nodez00_2542)
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 265 */
			{
				BgL_failz00_bglt BgL_nodez00_1463;

				BgL_nodez00_1463 = ((BgL_failz00_bglt) BgL_nodez00_2542);
				{

					BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
						(((BgL_failz00_bglt) CREF(BgL_nodez00_1463))->BgL_procz00));
					BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
						(((BgL_failz00_bglt) CREF(BgL_nodez00_1463))->BgL_msgz00));
					BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
						(((BgL_failz00_bglt) CREF(BgL_nodez00_1463))->BgL_objz00));
					{	/* Ast/hrtype.scm 265 */
						obj_t BgL_nextzd2method1936zd2_1470;

						BgL_nextzd2method1936zd2_1470 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_1463),
							BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
							BGl_failz00zzast_nodez00);
						return
							PROCEDURE_ENTRY(BgL_nextzd2method1936zd2_1470)
							(BgL_nextzd2method1936zd2_1470, ((obj_t) BgL_nodez00_1463), BEOA);
					}
				}
			}
		}
	}



/* &hrtype-node!-conditi1935 */
	obj_t BGl_z62hrtypezd2nodez12zd2conditi1935z70zzast_hrtypez00(obj_t
		BgL_envz00_2543, obj_t BgL_nodez00_2544)
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 255 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1455;

				BgL_nodez00_1455 = ((BgL_conditionalz00_bglt) BgL_nodez00_2544);
				{

					BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1455))->BgL_testz00));
					BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1455))->BgL_truez00));
					BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1455))->BgL_falsez00));
					{	/* Ast/hrtype.scm 255 */
						obj_t BgL_nextzd2method1934zd2_1462;

						BgL_nextzd2method1934zd2_1462 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_1455),
							BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
							BGl_conditionalz00zzast_nodez00);
						return
							PROCEDURE_ENTRY(BgL_nextzd2method1934zd2_1462)
							(BgL_nextzd2method1934zd2_1462, ((obj_t) BgL_nodez00_1455), BEOA);
					}
				}
			}
		}
	}



/* &hrtype-node!-setq1933 */
	obj_t BGl_z62hrtypezd2nodez12zd2setq1933z70zzast_hrtypez00(obj_t
		BgL_envz00_2545, obj_t BgL_nodez00_2546)
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 246 */
			{
				BgL_setqz00_bglt BgL_nodez00_1448;

				BgL_nodez00_1448 = ((BgL_setqz00_bglt) BgL_nodez00_2546);
				{

					BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
						(((BgL_setqz00_bglt) CREF(BgL_nodez00_1448))->BgL_valuez00));
					{	/* Ast/hrtype.scm 249 */
						BgL_varz00_bglt BgL_arg2063z00_1453;

						BgL_arg2063z00_1453 =
							(((BgL_setqz00_bglt) CREF(BgL_nodez00_1448))->BgL_varz00);
						BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
							((BgL_nodez00_bglt) BgL_arg2063z00_1453));
					}
					{	/* Ast/hrtype.scm 246 */
						obj_t BgL_nextzd2method1932zd2_1454;

						BgL_nextzd2method1932zd2_1454 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_1448),
							BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
							BGl_setqz00zzast_nodez00);
						return
							PROCEDURE_ENTRY(BgL_nextzd2method1932zd2_1454)
							(BgL_nextzd2method1932zd2_1454, ((obj_t) BgL_nodez00_1448), BEOA);
					}
				}
			}
		}
	}



/* &hrtype-node!-cast1931 */
	obj_t BGl_z62hrtypezd2nodez12zd2cast1931z70zzast_hrtypez00(obj_t
		BgL_envz00_2547, obj_t BgL_nodez00_2548)
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 238 */
			{
				BgL_castz00_bglt BgL_nodez00_1442;

				BgL_nodez00_1442 = ((BgL_castz00_bglt) BgL_nodez00_2548);
				{

					BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
						(((BgL_castz00_bglt) CREF(BgL_nodez00_1442))->BgL_argz00));
					{	/* Ast/hrtype.scm 238 */
						obj_t BgL_nextzd2method1930zd2_1447;

						BgL_nextzd2method1930zd2_1447 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_1442),
							BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
							BGl_castz00zzast_nodez00);
						return
							PROCEDURE_ENTRY(BgL_nextzd2method1930zd2_1447)
							(BgL_nextzd2method1930zd2_1447, ((obj_t) BgL_nodez00_1442), BEOA);
					}
				}
			}
		}
	}



/* &hrtype-node!-instanc1929 */
	obj_t BGl_z62hrtypezd2nodez12zd2instanc1929z70zzast_hrtypez00(obj_t
		BgL_envz00_2549, obj_t BgL_nodez00_2550)
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 230 */
			{
				BgL_instanceofz00_bglt BgL_nodez00_1435;

				BgL_nodez00_1435 = ((BgL_instanceofz00_bglt) BgL_nodez00_2550);
				{

					{
						BgL_typez00_bglt BgL_auxz00_2898;

						{	/* Ast/hrtype.scm 232 */
							obj_t BgL_arg2059z00_1439;

							BgL_arg2059z00_1439 =
								(((BgL_typez00_bglt) CREF(
										(((BgL_instanceofz00_bglt) CREF(BgL_nodez00_1435))->
											BgL_classz00)))->BgL_idz00);
							BgL_auxz00_2898 =
								BGl_findzd2typezd2zztype_envz00(BgL_arg2059z00_1439);
						}
						((((BgL_instanceofz00_bglt) CREF(BgL_nodez00_1435))->BgL_classz00) =
							((BgL_typez00_bglt) BgL_auxz00_2898), BUNSPEC);
					}
					{	/* Ast/hrtype.scm 230 */
						obj_t BgL_nextzd2method1928zd2_1441;

						BgL_nextzd2method1928zd2_1441 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_1435),
							BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
							BGl_instanceofz00zzast_nodez00);
						return
							PROCEDURE_ENTRY(BgL_nextzd2method1928zd2_1441)
							(BgL_nextzd2method1928zd2_1441, ((obj_t) BgL_nodez00_1435), BEOA);
					}
				}
			}
		}
	}



/* &hrtype-node!-vlength1927 */
	obj_t BGl_z62hrtypezd2nodez12zd2vlength1927z70zzast_hrtypez00(obj_t
		BgL_envz00_2551, obj_t BgL_nodez00_2552)
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 222 */
			{
				BgL_vlengthz00_bglt BgL_nodez00_1428;

				BgL_nodez00_1428 = ((BgL_vlengthz00_bglt) BgL_nodez00_2552);
				{

					{
						BgL_typez00_bglt BgL_auxz00_2911;

						{	/* Ast/hrtype.scm 224 */
							obj_t BgL_arg2057z00_1432;

							BgL_arg2057z00_1432 =
								(((BgL_typez00_bglt) CREF(
										(((BgL_vlengthz00_bglt) CREF(BgL_nodez00_1428))->
											BgL_vtypez00)))->BgL_idz00);
							BgL_auxz00_2911 =
								BGl_findzd2typezd2zztype_envz00(BgL_arg2057z00_1432);
						}
						((((BgL_vlengthz00_bglt) CREF(BgL_nodez00_1428))->BgL_vtypez00) =
							((BgL_typez00_bglt) BgL_auxz00_2911), BUNSPEC);
					}
					{	/* Ast/hrtype.scm 222 */
						obj_t BgL_nextzd2method1926zd2_1434;

						BgL_nextzd2method1926zd2_1434 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_1428),
							BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
							BGl_vlengthz00zzast_nodez00);
						return
							PROCEDURE_ENTRY(BgL_nextzd2method1926zd2_1434)
							(BgL_nextzd2method1926zd2_1434, ((obj_t) BgL_nodez00_1428), BEOA);
					}
				}
			}
		}
	}



/* &hrtype-node!-vset!1925 */
	obj_t BGl_z62hrtypezd2nodez12zd2vsetz121925z62zzast_hrtypez00(obj_t
		BgL_envz00_2553, obj_t BgL_nodez00_2554)
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 212 */
			{
				BgL_vsetz12z12_bglt BgL_nodez00_1417;

				BgL_nodez00_1417 = ((BgL_vsetz12z12_bglt) BgL_nodez00_2554);
				{

					{
						BgL_typez00_bglt BgL_auxz00_2924;

						{	/* Ast/hrtype.scm 214 */
							obj_t BgL_arg2051z00_1421;

							BgL_arg2051z00_1421 =
								(((BgL_typez00_bglt) CREF(
										(((BgL_vsetz12z12_bglt) CREF(BgL_nodez00_1417))->
											BgL_ftypez00)))->BgL_idz00);
							BgL_auxz00_2924 =
								BGl_findzd2typezd2zztype_envz00(BgL_arg2051z00_1421);
						}
						((((BgL_vsetz12z12_bglt) CREF(BgL_nodez00_1417))->BgL_ftypez00) =
							((BgL_typez00_bglt) BgL_auxz00_2924), BUNSPEC);
					}
					{
						BgL_typez00_bglt BgL_auxz00_2929;

						{	/* Ast/hrtype.scm 215 */
							obj_t BgL_arg2053z00_1423;

							BgL_arg2053z00_1423 =
								(((BgL_typez00_bglt) CREF(
										(((BgL_vsetz12z12_bglt) CREF(BgL_nodez00_1417))->
											BgL_otypez00)))->BgL_idz00);
							BgL_auxz00_2929 =
								BGl_findzd2typezd2zztype_envz00(BgL_arg2053z00_1423);
						}
						((((BgL_vsetz12z12_bglt) CREF(BgL_nodez00_1417))->BgL_otypez00) =
							((BgL_typez00_bglt) BgL_auxz00_2929), BUNSPEC);
					}
					{
						BgL_typez00_bglt BgL_auxz00_2934;

						{	/* Ast/hrtype.scm 216 */
							obj_t BgL_arg2055z00_1425;

							BgL_arg2055z00_1425 =
								(((BgL_typez00_bglt) CREF(
										(((BgL_vsetz12z12_bglt) CREF(BgL_nodez00_1417))->
											BgL_vtypez00)))->BgL_idz00);
							BgL_auxz00_2934 =
								BGl_findzd2typezd2zztype_envz00(BgL_arg2055z00_1425);
						}
						((((BgL_vsetz12z12_bglt) CREF(BgL_nodez00_1417))->BgL_vtypez00) =
							((BgL_typez00_bglt) BgL_auxz00_2934), BUNSPEC);
					}
					{	/* Ast/hrtype.scm 212 */
						obj_t BgL_nextzd2method1924zd2_1427;

						BgL_nextzd2method1924zd2_1427 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_1417),
							BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
							BGl_vsetz12z12zzast_nodez00);
						return
							PROCEDURE_ENTRY(BgL_nextzd2method1924zd2_1427)
							(BgL_nextzd2method1924zd2_1427, ((obj_t) BgL_nodez00_1417), BEOA);
					}
				}
			}
		}
	}



/* &hrtype-node!-vref1922 */
	obj_t BGl_z62hrtypezd2nodez12zd2vref1922z70zzast_hrtypez00(obj_t
		BgL_envz00_2555, obj_t BgL_nodez00_2556)
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 202 */
			{
				BgL_vrefz00_bglt BgL_nodez00_1406;

				BgL_nodez00_1406 = ((BgL_vrefz00_bglt) BgL_nodez00_2556);
				{

					{
						BgL_typez00_bglt BgL_auxz00_2947;

						{	/* Ast/hrtype.scm 204 */
							obj_t BgL_arg2044z00_1410;

							BgL_arg2044z00_1410 =
								(((BgL_typez00_bglt) CREF(
										(((BgL_vrefz00_bglt) CREF(BgL_nodez00_1406))->
											BgL_ftypez00)))->BgL_idz00);
							BgL_auxz00_2947 =
								BGl_findzd2typezd2zztype_envz00(BgL_arg2044z00_1410);
						}
						((((BgL_vrefz00_bglt) CREF(BgL_nodez00_1406))->BgL_ftypez00) =
							((BgL_typez00_bglt) BgL_auxz00_2947), BUNSPEC);
					}
					{
						BgL_typez00_bglt BgL_auxz00_2952;

						{	/* Ast/hrtype.scm 205 */
							obj_t BgL_arg2047z00_1412;

							BgL_arg2047z00_1412 =
								(((BgL_typez00_bglt) CREF(
										(((BgL_vrefz00_bglt) CREF(BgL_nodez00_1406))->
											BgL_otypez00)))->BgL_idz00);
							BgL_auxz00_2952 =
								BGl_findzd2typezd2zztype_envz00(BgL_arg2047z00_1412);
						}
						((((BgL_vrefz00_bglt) CREF(BgL_nodez00_1406))->BgL_otypez00) =
							((BgL_typez00_bglt) BgL_auxz00_2952), BUNSPEC);
					}
					{
						BgL_typez00_bglt BgL_auxz00_2957;

						{	/* Ast/hrtype.scm 206 */
							obj_t BgL_arg2049z00_1414;

							BgL_arg2049z00_1414 =
								(((BgL_typez00_bglt) CREF(
										(((BgL_vrefz00_bglt) CREF(BgL_nodez00_1406))->
											BgL_vtypez00)))->BgL_idz00);
							BgL_auxz00_2957 =
								BGl_findzd2typezd2zztype_envz00(BgL_arg2049z00_1414);
						}
						((((BgL_vrefz00_bglt) CREF(BgL_nodez00_1406))->BgL_vtypez00) =
							((BgL_typez00_bglt) BgL_auxz00_2957), BUNSPEC);
					}
					{	/* Ast/hrtype.scm 202 */
						obj_t BgL_nextzd2method1921zd2_1416;

						BgL_nextzd2method1921zd2_1416 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_1406),
							BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
							BGl_vrefz00zzast_nodez00);
						return
							PROCEDURE_ENTRY(BgL_nextzd2method1921zd2_1416)
							(BgL_nextzd2method1921zd2_1416, ((obj_t) BgL_nodez00_1406), BEOA);
					}
				}
			}
		}
	}



/* &hrtype-node!-valloc1920 */
	obj_t BGl_z62hrtypezd2nodez12zd2valloc1920z70zzast_hrtypez00(obj_t
		BgL_envz00_2557, obj_t BgL_nodez00_2558)
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 193 */
			{
				BgL_vallocz00_bglt BgL_nodez00_1397;

				BgL_nodez00_1397 = ((BgL_vallocz00_bglt) BgL_nodez00_2558);
				{

					{
						BgL_typez00_bglt BgL_auxz00_2970;

						{	/* Ast/hrtype.scm 195 */
							obj_t BgL_arg2039z00_1401;

							BgL_arg2039z00_1401 =
								(((BgL_typez00_bglt) CREF(
										(((BgL_vallocz00_bglt) CREF(BgL_nodez00_1397))->
											BgL_ftypez00)))->BgL_idz00);
							BgL_auxz00_2970 =
								BGl_findzd2typezd2zztype_envz00(BgL_arg2039z00_1401);
						}
						((((BgL_vallocz00_bglt) CREF(BgL_nodez00_1397))->BgL_ftypez00) =
							((BgL_typez00_bglt) BgL_auxz00_2970), BUNSPEC);
					}
					{
						BgL_typez00_bglt BgL_auxz00_2975;

						{	/* Ast/hrtype.scm 196 */
							obj_t BgL_arg2042z00_1403;

							BgL_arg2042z00_1403 =
								(((BgL_typez00_bglt) CREF(
										(((BgL_vallocz00_bglt) CREF(BgL_nodez00_1397))->
											BgL_otypez00)))->BgL_idz00);
							BgL_auxz00_2975 =
								BGl_findzd2typezd2zztype_envz00(BgL_arg2042z00_1403);
						}
						((((BgL_vallocz00_bglt) CREF(BgL_nodez00_1397))->BgL_otypez00) =
							((BgL_typez00_bglt) BgL_auxz00_2975), BUNSPEC);
					}
					{	/* Ast/hrtype.scm 193 */
						obj_t BgL_nextzd2method1919zd2_1405;

						BgL_nextzd2method1919zd2_1405 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_1397),
							BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
							BGl_vallocz00zzast_nodez00);
						return
							PROCEDURE_ENTRY(BgL_nextzd2method1919zd2_1405)
							(BgL_nextzd2method1919zd2_1405, ((obj_t) BgL_nodez00_1397), BEOA);
					}
				}
			}
		}
	}



/* &hrtype-node!-new1918 */
	obj_t BGl_z62hrtypezd2nodez12zd2new1918z70zzast_hrtypez00(obj_t
		BgL_envz00_2559, obj_t BgL_nodez00_2560)
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 185 */
			{
				BgL_newz00_bglt BgL_nodez00_1382;

				BgL_nodez00_1382 = ((BgL_newz00_bglt) BgL_nodez00_2560);
				{

					{
						obj_t BgL_auxz00_2988;

						{	/* Ast/hrtype.scm 187 */
							obj_t BgL_l01810z00_1386;

							BgL_l01810z00_1386 =
								(((BgL_newz00_bglt) CREF(BgL_nodez00_1382))->
								BgL_argszd2typezd2);
							{
								obj_t BgL_l1809z00_1388;

								BgL_l1809z00_1388 = BgL_l01810z00_1386;
							BgL_zc3anonymousza32034ze3z83_1389:
								if (NULLP(BgL_l1809z00_1388))
									{	/* Ast/hrtype.scm 187 */
										BgL_auxz00_2988 = BgL_l01810z00_1386;
									}
								else
									{	/* Ast/hrtype.scm 187 */
										{	/* Ast/hrtype.scm 187 */
											BgL_typez00_bglt BgL_arg2036z00_1391;

											{	/* Ast/hrtype.scm 187 */
												obj_t BgL_tz00_1392;

												BgL_tz00_1392 = CAR(BgL_l1809z00_1388);
												{	/* Ast/hrtype.scm 187 */
													obj_t BgL_arg2037z00_1393;

													BgL_arg2037z00_1393 =
														(((BgL_typez00_bglt) CREF(
																((BgL_typez00_bglt) BgL_tz00_1392)))->
														BgL_idz00);
													BgL_arg2036z00_1391 =
														BGl_findzd2typezd2zztype_envz00
														(BgL_arg2037z00_1393);
												}
											}
											{	/* Ast/hrtype.scm 187 */
												obj_t BgL_auxz00_2996;

												BgL_auxz00_2996 = ((obj_t) BgL_arg2036z00_1391);
												SET_CAR(BgL_l1809z00_1388, BgL_auxz00_2996);
											}
										}
										{	/* Ast/hrtype.scm 187 */
											obj_t BgL_arg2038z00_1394;

											BgL_arg2038z00_1394 = CDR(BgL_l1809z00_1388);
											{
												obj_t BgL_l1809z00_3000;

												BgL_l1809z00_3000 = BgL_arg2038z00_1394;
												BgL_l1809z00_1388 = BgL_l1809z00_3000;
												goto BgL_zc3anonymousza32034ze3z83_1389;
											}
										}
									}
							}
						}
						((((BgL_newz00_bglt) CREF(BgL_nodez00_1382))->BgL_argszd2typezd2) =
							((obj_t) BgL_auxz00_2988), BUNSPEC);
					}
					{	/* Ast/hrtype.scm 185 */
						obj_t BgL_nextzd2method1917zd2_1396;

						BgL_nextzd2method1917zd2_1396 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_1382),
							BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
							BGl_newz00zzast_nodez00);
						return
							PROCEDURE_ENTRY(BgL_nextzd2method1917zd2_1396)
							(BgL_nextzd2method1917zd2_1396, ((obj_t) BgL_nodez00_1382), BEOA);
					}
				}
			}
		}
	}



/* &hrtype-node!-widenin1916 */
	obj_t BGl_z62hrtypezd2nodez12zd2widenin1916z70zzast_hrtypez00(obj_t
		BgL_envz00_2561, obj_t BgL_nodez00_2562)
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 177 */
			{
				BgL_wideningz00_bglt BgL_nodez00_1375;

				BgL_nodez00_1375 = ((BgL_wideningz00_bglt) BgL_nodez00_2562);
				{

					{
						BgL_typez00_bglt BgL_auxz00_3010;

						{	/* Ast/hrtype.scm 179 */
							obj_t BgL_arg2032z00_1379;

							BgL_arg2032z00_1379 =
								(((BgL_typez00_bglt) CREF(
										(((BgL_wideningz00_bglt) CREF(BgL_nodez00_1375))->
											BgL_otypez00)))->BgL_idz00);
							BgL_auxz00_3010 =
								BGl_findzd2typezd2zztype_envz00(BgL_arg2032z00_1379);
						}
						((((BgL_wideningz00_bglt) CREF(BgL_nodez00_1375))->BgL_otypez00) =
							((BgL_typez00_bglt) BgL_auxz00_3010), BUNSPEC);
					}
					{	/* Ast/hrtype.scm 177 */
						obj_t BgL_nextzd2method1915zd2_1381;

						BgL_nextzd2method1915zd2_1381 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_1375),
							BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
							BGl_wideningz00zzast_nodez00);
						return
							PROCEDURE_ENTRY(BgL_nextzd2method1915zd2_1381)
							(BgL_nextzd2method1915zd2_1381, ((obj_t) BgL_nodez00_1375), BEOA);
					}
				}
			}
		}
	}



/* &hrtype-node!-setfiel1914 */
	obj_t BGl_z62hrtypezd2nodez12zd2setfiel1914z70zzast_hrtypez00(obj_t
		BgL_envz00_2563, obj_t BgL_nodez00_2564)
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 168 */
			{
				BgL_setfieldz00_bglt BgL_nodez00_1366;

				BgL_nodez00_1366 = ((BgL_setfieldz00_bglt) BgL_nodez00_2564);
				{

					{
						BgL_typez00_bglt BgL_auxz00_3023;

						{	/* Ast/hrtype.scm 170 */
							obj_t BgL_arg2027z00_1370;

							BgL_arg2027z00_1370 =
								(((BgL_typez00_bglt) CREF(
										(((BgL_setfieldz00_bglt) CREF(BgL_nodez00_1366))->
											BgL_ftypez00)))->BgL_idz00);
							BgL_auxz00_3023 =
								BGl_findzd2typezd2zztype_envz00(BgL_arg2027z00_1370);
						}
						((((BgL_setfieldz00_bglt) CREF(BgL_nodez00_1366))->BgL_ftypez00) =
							((BgL_typez00_bglt) BgL_auxz00_3023), BUNSPEC);
					}
					{
						BgL_typez00_bglt BgL_auxz00_3028;

						{	/* Ast/hrtype.scm 171 */
							obj_t BgL_arg2029z00_1372;

							BgL_arg2029z00_1372 =
								(((BgL_typez00_bglt) CREF(
										(((BgL_setfieldz00_bglt) CREF(BgL_nodez00_1366))->
											BgL_otypez00)))->BgL_idz00);
							BgL_auxz00_3028 =
								BGl_findzd2typezd2zztype_envz00(BgL_arg2029z00_1372);
						}
						((((BgL_setfieldz00_bglt) CREF(BgL_nodez00_1366))->BgL_otypez00) =
							((BgL_typez00_bglt) BgL_auxz00_3028), BUNSPEC);
					}
					{	/* Ast/hrtype.scm 168 */
						obj_t BgL_nextzd2method1913zd2_1374;

						BgL_nextzd2method1913zd2_1374 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_1366),
							BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
							BGl_setfieldz00zzast_nodez00);
						return
							PROCEDURE_ENTRY(BgL_nextzd2method1913zd2_1374)
							(BgL_nextzd2method1913zd2_1374, ((obj_t) BgL_nodez00_1366), BEOA);
					}
				}
			}
		}
	}



/* &hrtype-node!-getfiel1912 */
	obj_t BGl_z62hrtypezd2nodez12zd2getfiel1912z70zzast_hrtypez00(obj_t
		BgL_envz00_2565, obj_t BgL_nodez00_2566)
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 159 */
			{
				BgL_getfieldz00_bglt BgL_nodez00_1357;

				BgL_nodez00_1357 = ((BgL_getfieldz00_bglt) BgL_nodez00_2566);
				{

					{
						BgL_typez00_bglt BgL_auxz00_3041;

						{	/* Ast/hrtype.scm 161 */
							obj_t BgL_arg2023z00_1361;

							BgL_arg2023z00_1361 =
								(((BgL_typez00_bglt) CREF(
										(((BgL_getfieldz00_bglt) CREF(BgL_nodez00_1357))->
											BgL_ftypez00)))->BgL_idz00);
							BgL_auxz00_3041 =
								BGl_findzd2typezd2zztype_envz00(BgL_arg2023z00_1361);
						}
						((((BgL_getfieldz00_bglt) CREF(BgL_nodez00_1357))->BgL_ftypez00) =
							((BgL_typez00_bglt) BgL_auxz00_3041), BUNSPEC);
					}
					{
						BgL_typez00_bglt BgL_auxz00_3046;

						{	/* Ast/hrtype.scm 162 */
							obj_t BgL_arg2025z00_1363;

							BgL_arg2025z00_1363 =
								(((BgL_typez00_bglt) CREF(
										(((BgL_getfieldz00_bglt) CREF(BgL_nodez00_1357))->
											BgL_otypez00)))->BgL_idz00);
							BgL_auxz00_3046 =
								BGl_findzd2typezd2zztype_envz00(BgL_arg2025z00_1363);
						}
						((((BgL_getfieldz00_bglt) CREF(BgL_nodez00_1357))->BgL_otypez00) =
							((BgL_typez00_bglt) BgL_auxz00_3046), BUNSPEC);
					}
					{	/* Ast/hrtype.scm 159 */
						obj_t BgL_nextzd2method1911zd2_1365;

						BgL_nextzd2method1911zd2_1365 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_1357),
							BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
							BGl_getfieldz00zzast_nodez00);
						return
							PROCEDURE_ENTRY(BgL_nextzd2method1911zd2_1365)
							(BgL_nextzd2method1911zd2_1365, ((obj_t) BgL_nodez00_1357), BEOA);
					}
				}
			}
		}
	}



/* &hrtype-node!-extern1910 */
	obj_t BGl_z62hrtypezd2nodez12zd2extern1910z70zzast_hrtypez00(obj_t
		BgL_envz00_2567, obj_t BgL_nodez00_2568)
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 151 */
			{
				BgL_externz00_bglt BgL_nodez00_1351;

				BgL_nodez00_1351 = ((BgL_externz00_bglt) BgL_nodez00_2568);
				{

					BGl_hrtypezd2nodeza2z12z62zzast_hrtypez00(
						(((BgL_externz00_bglt) CREF(BgL_nodez00_1351))->BgL_exprza2za2));
					{	/* Ast/hrtype.scm 151 */
						obj_t BgL_nextzd2method1909zd2_1356;

						BgL_nextzd2method1909zd2_1356 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_1351),
							BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
							BGl_externz00zzast_nodez00);
						return
							PROCEDURE_ENTRY(BgL_nextzd2method1909zd2_1356)
							(BgL_nextzd2method1909zd2_1356, ((obj_t) BgL_nodez00_1351), BEOA);
					}
				}
			}
		}
	}



/* &hrtype-node!-funcall1908 */
	obj_t BGl_z62hrtypezd2nodez12zd2funcall1908z70zzast_hrtypez00(obj_t
		BgL_envz00_2569, obj_t BgL_nodez00_2570)
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 142 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1344;

				BgL_nodez00_1344 = ((BgL_funcallz00_bglt) BgL_nodez00_2570);
				{

					BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
						(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1344))->BgL_funz00));
					BGl_hrtypezd2nodeza2z12z62zzast_hrtypez00(
						(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1344))->BgL_argsz00));
					{	/* Ast/hrtype.scm 142 */
						obj_t BgL_nextzd2method1907zd2_1350;

						BgL_nextzd2method1907zd2_1350 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_1344),
							BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
							BGl_funcallz00zzast_nodez00);
						return
							PROCEDURE_ENTRY(BgL_nextzd2method1907zd2_1350)
							(BgL_nextzd2method1907zd2_1350, ((obj_t) BgL_nodez00_1344), BEOA);
					}
				}
			}
		}
	}



/* &hrtype-node!-app-ly1906 */
	obj_t BGl_z62hrtypezd2nodez12zd2appzd2ly1906za2zzast_hrtypez00(obj_t
		BgL_envz00_2571, obj_t BgL_nodez00_2572)
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 133 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1337;

				BgL_nodez00_1337 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2572);
				{

					BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
						(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1337))->BgL_funz00));
					BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
						(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1337))->BgL_argz00));
					{	/* Ast/hrtype.scm 133 */
						obj_t BgL_nextzd2method1905zd2_1343;

						BgL_nextzd2method1905zd2_1343 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_1337),
							BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
							BGl_appzd2lyzd2zzast_nodez00);
						return
							PROCEDURE_ENTRY(BgL_nextzd2method1905zd2_1343)
							(BgL_nextzd2method1905zd2_1343, ((obj_t) BgL_nodez00_1337), BEOA);
					}
				}
			}
		}
	}



/* &hrtype-node!-app1904 */
	obj_t BGl_z62hrtypezd2nodez12zd2app1904z70zzast_hrtypez00(obj_t
		BgL_envz00_2573, obj_t BgL_nodez00_2574)
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 94 */
			{
				BgL_appz00_bglt BgL_nodez00_1301;

				BgL_nodez00_1301 = ((BgL_appz00_bglt) BgL_nodez00_2574);
				{

					{	/* Ast/hrtype.scm 96 */
						BgL_varz00_bglt BgL_i1100z00_1305;

						BgL_i1100z00_1305 =
							(((BgL_appz00_bglt) CREF(BgL_nodez00_1301))->BgL_funz00);
						{	/* Ast/hrtype.scm 97 */
							bool_t BgL_testz00_3094;

							{	/* Ast/hrtype.scm 97 */
								BgL_variablez00_bglt BgL_arg2014z00_1334;

								BgL_arg2014z00_1334 =
									(((BgL_varz00_bglt) CREF(BgL_i1100z00_1305))->
									BgL_variablez00);
								{	/* Ast/hrtype.scm 97 */
									bool_t BgL_res2179z00_2360;

									BgL_res2179z00_2360 =
										BGl_isazf3zf3zz__objectz00(
										((obj_t) BgL_arg2014z00_1334), BGl_globalz00zzast_varz00);
									BgL_testz00_3094 = BgL_res2179z00_2360;
								}
							}
							if (BgL_testz00_3094)
								{	/* Ast/hrtype.scm 98 */
									BgL_valuez00_bglt BgL_valuez00_1307;

									BgL_valuez00_1307 =
										(((BgL_variablez00_bglt) CREF(
												(((BgL_varz00_bglt) CREF(BgL_i1100z00_1305))->
													BgL_variablez00)))->BgL_valuez00);
									{	/* Ast/hrtype.scm 100 */
										bool_t BgL_testz00_3100;

										{	/* Ast/hrtype.scm 100 */
											bool_t BgL_res2181z00_2365;

											BgL_res2181z00_2365 =
												BGl_isazf3zf3zz__objectz00(
												((obj_t) BgL_valuez00_1307), BGl_cfunz00zzast_varz00);
											BgL_testz00_3100 = BgL_res2181z00_2365;
										}
										if (BgL_testz00_3100)
											{	/* Ast/hrtype.scm 101 */
												BgL_variablez00_bglt BgL_arg1990z00_1309;

												BgL_arg1990z00_1309 =
													(((BgL_varz00_bglt) CREF(BgL_i1100z00_1305))->
													BgL_variablez00);
												BGl_restorezd2globalz12zc0zzast_envz00(((obj_t)
														BgL_arg1990z00_1309));
											}
										else
											{	/* Ast/hrtype.scm 102 */
												bool_t BgL_testz00_3106;

												{	/* Ast/hrtype.scm 102 */
													bool_t BgL_res2182z00_2367;

													BgL_res2182z00_2367 =
														BGl_isazf3zf3zz__objectz00(
														((obj_t) BgL_valuez00_1307),
														BGl_sfunz00zzast_varz00);
													BgL_testz00_3106 = BgL_res2182z00_2367;
												}
												if (BgL_testz00_3106)
													{	/* Ast/hrtype.scm 103 */
														bool_t BgL_testz00_3109;

														if (
															((((BgL_sfunz00_bglt) CREF(
																			((BgL_sfunz00_bglt) BgL_valuez00_1307)))->
																	BgL_classz00) == CNST_TABLE_REF(((long) 0))))
															{	/* Ast/hrtype.scm 105 */
																bool_t BgL_testz00_3115;

																{	/* Ast/hrtype.scm 105 */
																	BgL_variablez00_bglt BgL_arg2010z00_1331;

																	BgL_arg2010z00_1331 =
																		(((BgL_varz00_bglt)
																			CREF(BgL_i1100z00_1305))->
																		BgL_variablez00);
																	BgL_testz00_3115 =
																		CBOOL
																		(BGl_alreadyzd2restoredzf3z21zzast_envz00((
																				(obj_t) BgL_arg2010z00_1331)));
																}
																if (BgL_testz00_3115)
																	{	/* Ast/hrtype.scm 105 */
																		BgL_testz00_3109 = ((bool_t) 0);
																	}
																else
																	{	/* Ast/hrtype.scm 105 */
																		BgL_testz00_3109 = ((bool_t) 1);
																	}
															}
														else
															{	/* Ast/hrtype.scm 103 */
																BgL_testz00_3109 = ((bool_t) 0);
															}
														if (BgL_testz00_3109)
															{	/* Ast/hrtype.scm 109 */
																BgL_variablez00_bglt BgL_arg1993z00_1312;

																BgL_arg1993z00_1312 =
																	(((BgL_varz00_bglt) CREF(BgL_i1100z00_1305))->
																	BgL_variablez00);
																BGl_restorezd2globalz12zc0zzast_envz00(((obj_t)
																		BgL_arg1993z00_1312));
															}
														else
															{	/* Ast/hrtype.scm 115 */
																obj_t BgL_gz00_1313;

																{	/* Ast/hrtype.scm 115 */
																	obj_t BgL_arg2003z00_1324;
																	obj_t BgL_arg2004z00_1325;

																	BgL_arg2003z00_1324 =
																		(((BgL_variablez00_bglt) CREF(
																				((BgL_variablez00_bglt)
																					((BgL_globalz00_bglt)
																						(((BgL_varz00_bglt)
																								CREF(BgL_i1100z00_1305))->
																							BgL_variablez00)))))->BgL_idz00);
																	BgL_arg2004z00_1325 =
																		(((BgL_globalz00_bglt)
																			CREF(((BgL_globalz00_bglt) ((
																							(BgL_varz00_bglt)
																							CREF(BgL_i1100z00_1305))->
																						BgL_variablez00))))->BgL_modulez00);
																	{	/* Ast/hrtype.scm 115 */
																		obj_t BgL_list2005z00_1326;

																		BgL_list2005z00_1326 =
																			MAKE_PAIR(BgL_arg2004z00_1325, BNIL);
																		BgL_gz00_1313 =
																			BGl_findzd2globalzd2zzast_envz00
																			(BgL_arg2003z00_1324,
																			BgL_list2005z00_1326);
																	}
																}
																if (BGl_isazf3zf3zz__objectz00(BgL_gz00_1313,
																		BGl_variablez00zzast_varz00))
																	{	/* Ast/hrtype.scm 117 */
																		((((BgL_varz00_bglt)
																					CREF(BgL_i1100z00_1305))->
																				BgL_variablez00) =
																			((BgL_variablez00_bglt) (
																					(BgL_variablez00_bglt)
																					BgL_gz00_1313)), BUNSPEC);
																	}
																else
																	{	/* Ast/hrtype.scm 118 */
																		obj_t BgL_newzd2gzd2_1315;

																		{	/* Ast/hrtype.scm 118 */
																			obj_t BgL_arg2000z00_1321;

																			BgL_arg2000z00_1321 =
																				(((BgL_variablez00_bglt) CREF(
																						((BgL_variablez00_bglt)
																							((BgL_globalz00_bglt)
																								(((BgL_varz00_bglt)
																										CREF(BgL_i1100z00_1305))->
																									BgL_variablez00)))))->
																				BgL_idz00);
																			{	/* Ast/hrtype.scm 118 */
																				obj_t BgL_list2001z00_1322;

																				BgL_list2001z00_1322 =
																					MAKE_PAIR
																					(BGl_za2moduleza2z00zzmodule_modulez00,
																					BNIL);
																				BgL_newzd2gzd2_1315 =
																					BGl_findzd2globalzd2zzast_envz00
																					(BgL_arg2000z00_1321,
																					BgL_list2001z00_1322);
																			}
																		}
																		{	/* Ast/hrtype.scm 120 */
																			bool_t BgL_testz00_3142;

																			if (BGl_isazf3zf3zz__objectz00
																				(BgL_newzd2gzd2_1315,
																					BGl_globalz00zzast_varz00))
																				{	/* Ast/hrtype.scm 120 */
																					BgL_testz00_3142 =
																						(
																						(((BgL_globalz00_bglt) CREF(
																									((BgL_globalz00_bglt)
																										BgL_newzd2gzd2_1315)))->
																							BgL_importz00) ==
																						CNST_TABLE_REF(((long) 1)));
																				}
																			else
																				{	/* Ast/hrtype.scm 120 */
																					BgL_testz00_3142 = ((bool_t) 0);
																				}
																			if (BgL_testz00_3142)
																				{	/* Ast/hrtype.scm 120 */
																					((((BgL_varz00_bglt)
																								CREF(BgL_i1100z00_1305))->
																							BgL_variablez00) =
																						((BgL_variablez00_bglt) (
																								(BgL_variablez00_bglt) (
																									(BgL_globalz00_bglt)
																									BgL_newzd2gzd2_1315))),
																						BUNSPEC);
																				}
																			else
																				{	/* Ast/hrtype.scm 124 */
																					obj_t BgL_arg1996z00_1317;

																					BgL_arg1996z00_1317 =
																						(((BgL_variablez00_bglt) CREF(
																								((BgL_variablez00_bglt)
																									((BgL_globalz00_bglt)
																										(((BgL_varz00_bglt)
																												CREF
																												(BgL_i1100z00_1305))->
																											BgL_variablez00)))))->
																						BgL_idz00);
																					BGl_errorz00zz__errorz00
																						(BGl_string2247z00zzast_hrtypez00,
																						BGl_string2248z00zzast_hrtypez00,
																						BgL_arg1996z00_1317);
																				}
																		}
																	}
															}
													}
												else
													{	/* Ast/hrtype.scm 102 */
														BFALSE;
													}
											}
									}
								}
							else
								{	/* Ast/hrtype.scm 97 */
									BFALSE;
								}
						}
					}
					BGl_hrtypezd2nodeza2z12z62zzast_hrtypez00(
						(((BgL_appz00_bglt) CREF(BgL_nodez00_1301))->BgL_argsz00));
					{	/* Ast/hrtype.scm 94 */
						obj_t BgL_nextzd2method1903zd2_1336;

						BgL_nextzd2method1903zd2_1336 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_1301),
							BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
							BGl_appz00zzast_nodez00);
						return
							PROCEDURE_ENTRY(BgL_nextzd2method1903zd2_1336)
							(BgL_nextzd2method1903zd2_1336, ((obj_t) BgL_nodez00_1301), BEOA);
					}
				}
			}
		}
	}



/* &hrtype-node!-sync1902 */
	obj_t BGl_z62hrtypezd2nodez12zd2sync1902z70zzast_hrtypez00(obj_t
		BgL_envz00_2575, obj_t BgL_nodez00_2576)
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 84 */
			{
				BgL_syncz00_bglt BgL_nodez00_1293;

				BgL_nodez00_1293 = ((BgL_syncz00_bglt) BgL_nodez00_2576);
				{

					BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
						(((BgL_syncz00_bglt) CREF(BgL_nodez00_1293))->BgL_mutexz00));
					BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
						(((BgL_syncz00_bglt) CREF(BgL_nodez00_1293))->BgL_prelockz00));
					BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
						(((BgL_syncz00_bglt) CREF(BgL_nodez00_1293))->BgL_bodyz00));
					{	/* Ast/hrtype.scm 84 */
						obj_t BgL_nextzd2method1901zd2_1300;

						BgL_nextzd2method1901zd2_1300 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_1293),
							BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
							BGl_syncz00zzast_nodez00);
						return
							PROCEDURE_ENTRY(BgL_nextzd2method1901zd2_1300)
							(BgL_nextzd2method1901zd2_1300, ((obj_t) BgL_nodez00_1293), BEOA);
					}
				}
			}
		}
	}



/* &hrtype-node!-sequenc1900 */
	obj_t BGl_z62hrtypezd2nodez12zd2sequenc1900z70zzast_hrtypez00(obj_t
		BgL_envz00_2577, obj_t BgL_nodez00_2578)
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 76 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1287;

				BgL_nodez00_1287 = ((BgL_sequencez00_bglt) BgL_nodez00_2578);
				{

					BGl_hrtypezd2nodeza2z12z62zzast_hrtypez00(
						(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1287))->BgL_nodesz00));
					{	/* Ast/hrtype.scm 76 */
						obj_t BgL_nextzd2method1899zd2_1292;

						BgL_nextzd2method1899zd2_1292 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_1287),
							BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
							BGl_sequencez00zzast_nodez00);
						return
							PROCEDURE_ENTRY(BgL_nextzd2method1899zd2_1292)
							(BgL_nextzd2method1899zd2_1292, ((obj_t) BgL_nodez00_1287), BEOA);
					}
				}
			}
		}
	}



/* &hrtype-node!-var1898 */
	obj_t BGl_z62hrtypezd2nodez12zd2var1898z70zzast_hrtypez00(obj_t
		BgL_envz00_2579, obj_t BgL_nodez00_2580)
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 39 */
			{
				BgL_varz00_bglt BgL_nodez00_1269;

				BgL_nodez00_1269 = ((BgL_varz00_bglt) BgL_nodez00_2580);
				{

					{	/* Ast/hrtype.scm 64 */
						bool_t BgL_testz00_3191;

						{	/* Ast/hrtype.scm 64 */
							bool_t BgL_testz00_3192;

							{	/* Ast/hrtype.scm 64 */
								BgL_variablez00_bglt BgL_arg1982z00_1285;

								BgL_arg1982z00_1285 =
									(((BgL_varz00_bglt) CREF(BgL_nodez00_1269))->BgL_variablez00);
								{	/* Ast/hrtype.scm 64 */
									bool_t BgL_res2173z00_2344;

									BgL_res2173z00_2344 =
										BGl_isazf3zf3zz__objectz00(
										((obj_t) BgL_arg1982z00_1285), BGl_globalz00zzast_varz00);
									BgL_testz00_3192 = BgL_res2173z00_2344;
								}
							}
							if (BgL_testz00_3192)
								{	/* Ast/hrtype.scm 65 */
									obj_t BgL_arg1978z00_1281;
									obj_t BgL_arg1979z00_1282;

									BgL_arg1978z00_1281 =
										(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt)
														(((BgL_varz00_bglt) CREF(BgL_nodez00_1269))->
															BgL_variablez00)))))->BgL_idz00);
									BgL_arg1979z00_1282 =
										(((BgL_globalz00_bglt)
											CREF(((BgL_globalz00_bglt) (((BgL_varz00_bglt)
															CREF(BgL_nodez00_1269))->BgL_variablez00))))->
										BgL_modulez00);
									BgL_testz00_3191 =
										CBOOL(BGl_globalzd2bucketzd2positionz00zzast_envz00
										(BgL_arg1978z00_1281, BgL_arg1979z00_1282));
								}
							else
								{	/* Ast/hrtype.scm 64 */
									BgL_testz00_3191 = ((bool_t) 0);
								}
						}
						if (BgL_testz00_3191)
							{	/* Ast/hrtype.scm 67 */
								obj_t BgL_nz00_1274;

								{	/* Ast/hrtype.scm 67 */
									obj_t BgL_arg1973z00_1276;
									obj_t BgL_arg1974z00_1277;

									BgL_arg1973z00_1276 =
										(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt)
														(((BgL_varz00_bglt) CREF(BgL_nodez00_1269))->
															BgL_variablez00)))))->BgL_idz00);
									BgL_arg1974z00_1277 =
										(((BgL_globalz00_bglt)
											CREF(((BgL_globalz00_bglt) (((BgL_varz00_bglt)
															CREF(BgL_nodez00_1269))->BgL_variablez00))))->
										BgL_modulez00);
									BgL_nz00_1274 =
										BGl_findzd2globalzf2modulez20zzast_envz00
										(BgL_arg1973z00_1276, BgL_arg1974z00_1277);
								}
								if (BGl_isazf3zf3zz__objectz00(BgL_nz00_1274,
										BGl_globalz00zzast_varz00))
									{	/* Ast/hrtype.scm 69 */
										((((BgL_varz00_bglt) CREF(BgL_nodez00_1269))->
												BgL_variablez00) =
											((BgL_variablez00_bglt) ((BgL_variablez00_bglt) (
														(BgL_globalz00_bglt) BgL_nz00_1274))), BUNSPEC);
									}
								else
									{	/* Ast/hrtype.scm 69 */
										BFALSE;
									}
							}
						else
							{	/* Ast/hrtype.scm 64 */
								BFALSE;
							}
					}
					{	/* Ast/hrtype.scm 39 */
						obj_t BgL_nextzd2method1897zd2_1286;

						BgL_nextzd2method1897zd2_1286 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_1269),
							BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
							BGl_varz00zzast_nodez00);
						return
							PROCEDURE_ENTRY(BgL_nextzd2method1897zd2_1286)
							(BgL_nextzd2method1897zd2_1286, ((obj_t) BgL_nodez00_1269), BEOA);
					}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_hrtypez00()
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 17 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2249z00zzast_hrtypez00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2249z00zzast_hrtypez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2249z00zzast_hrtypez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2249z00zzast_hrtypez00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string2249z00zzast_hrtypez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2249z00zzast_hrtypez00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2249z00zzast_hrtypez00));
			return
				BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 458567972),
				BSTRING_TO_STRING(BGl_string2249z00zzast_hrtypez00));
		}
	}

#ifdef __cplusplus
}
#endif
