/*===========================================================================*/
/*   (Ast/occur.scm)                                                         */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/occur.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62occurzd2nodez12zd2appzd2ly1919za2zzast_occurz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_occurzd2nodezd2inz12z12zzast_occurz00(BgL_nodez00_bglt,
		BgL_globalz00_bglt);
	static obj_t BGl_z62occurzd2nodez12zd2select1935z70zzast_occurz00(obj_t,
		obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzast_occurz00();
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_z62occurzd2nodez121907za2zzast_occurz00(obj_t, obj_t);
	static obj_t BGl_z62occurzd2nodez12zd2extern1923z70zzast_occurz00(obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zzast_occurz00();
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62occurzd2nodez12zd2boxzd2setz121949zb0zzast_occurz00(obj_t,
		obj_t);
	static obj_t BGl_z62occurzd2nodez12zd2setzd2exzd2i1941z70zzast_occurz00(obj_t,
		obj_t);
	static obj_t BGl_z62occurzd2nodez12zd2conditio1931z70zzast_occurz00(obj_t,
		obj_t);
	static obj_t BGl_z62occurzd2nodez12zd2makezd2box1945za2zzast_occurz00(obj_t,
		obj_t);
	static obj_t BGl_z62occurzd2nodez12zd2var1911z70zzast_occurz00(obj_t, obj_t);
	extern obj_t BGl_pragmaz00zzast_nodez00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62occurzd2nodez12zd2cast1927z70zzast_occurz00(obj_t, obj_t);
	static obj_t BGl_z62occurzd2nodez12zd2setq1929z70zzast_occurz00(obj_t, obj_t);
	static obj_t BGl_z62occurzd2nodez12zd2pragma1925z70zzast_occurz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_occurzd2nodez12zc0zzast_occurz00(BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62occurzd2nodez12zd2funcall1921z70zzast_occurz00(obj_t,
		obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_selectz00zzast_nodez00;
	static obj_t BGl_z62occurzd2nodez12zd2boxzd2ref1947za2zzast_occurz00(obj_t,
		obj_t);
	static obj_t BGl_z62occurzd2nodezd2inz12z70zzast_occurz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzast_occurz00 = BUNSPEC;
	static obj_t BGl_za2globalza2z00zzast_occurz00 = BUNSPEC;
	static obj_t BGl_z62occurzd2nodez12za2zzast_occurz00(obj_t, obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzast_occurz00();
	static obj_t BGl_genericzd2initzd2zzast_occurz00();
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62occurzd2nodez12zd2jumpzd2exzd21943z70zzast_occurz00(obj_t,
		obj_t);
	static obj_t BGl_z62occurzd2nodez12zd2letzd2fun1937za2zzast_occurz00(obj_t,
		obj_t);
	static obj_t BGl_z62occurzd2varzb0zzast_occurz00(obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_occurz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62occurzd2nodez12zd2app1917z70zzast_occurz00(obj_t, obj_t);
	static obj_t BGl_z62occurzd2nodez12zd2sequence1913z70zzast_occurz00(obj_t,
		obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_occurzd2varzd2zzast_occurz00(obj_t);
	static obj_t BGl_cnstzd2initzd2zzast_occurz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_occurz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzast_occurz00();
	extern obj_t BGl_scnstz00zzast_varz00;
	static obj_t BGl_z62occurzd2nodez12zd2sync1915z70zzast_occurz00(obj_t, obj_t);
	static obj_t BGl_z62occurzd2nodez12zd2fail1933z70zzast_occurz00(obj_t, obj_t);
	static bool_t BGl_occurzd2nodeza2z12z62zzast_occurz00(obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_z62zc3anonymousza31955ze3ze1zzast_occurz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t BGl_z62occurzd2nodez12zd2letzd2var1939za2zzast_occurz00(obj_t,
		obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t __cnst[3];


	   
		 
		DEFINE_STRING(BGl_string2146z00zzast_occurz00,
		BgL_bgl_string2146za700za7za7a2173za7, "occur-node!1907", 15);
	      DEFINE_STRING(BGl_string2148z00zzast_occurz00,
		BgL_bgl_string2148za700za7za7a2174za7, "occur-node!", 11);
	      DEFINE_STRING(BGl_string2168z00zzast_occurz00,
		BgL_bgl_string2168za700za7za7a2175za7, "ast_occur", 9);
	      DEFINE_STRING(BGl_string2169z00zzast_occurz00,
		BgL_bgl_string2169za700za7za7a2176za7, "read write done ", 16);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_occurzd2varzd2envz00zzast_occurz00,
		BgL_bgl_za762occurza7d2varza7b2177za7, BGl_z62occurzd2varzb0zzast_occurz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2144z00zzast_occurz00,
		BgL_bgl_za762za7c3anonymousza72178za7,
		BGl_z62zc3anonymousza31955ze3ze1zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2145z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza72179za7,
		BGl_z62occurzd2nodez121907za2zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2147z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza72180za7,
		BGl_z62occurzd2nodez12zd2var1911z70zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2149z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza72181za7,
		BGl_z62occurzd2nodez12zd2sequence1913z70zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2150z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza72182za7,
		BGl_z62occurzd2nodez12zd2sync1915z70zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2151z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza72183za7,
		BGl_z62occurzd2nodez12zd2app1917z70zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2152z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza72184za7,
		BGl_z62occurzd2nodez12zd2appzd2ly1919za2zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2153z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza72185za7,
		BGl_z62occurzd2nodez12zd2funcall1921z70zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2154z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza72186za7,
		BGl_z62occurzd2nodez12zd2extern1923z70zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2155z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza72187za7,
		BGl_z62occurzd2nodez12zd2pragma1925z70zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2156z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza72188za7,
		BGl_z62occurzd2nodez12zd2cast1927z70zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2157z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza72189za7,
		BGl_z62occurzd2nodez12zd2setq1929z70zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2158z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza72190za7,
		BGl_z62occurzd2nodez12zd2conditio1931z70zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2159z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza72191za7,
		BGl_z62occurzd2nodez12zd2fail1933z70zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2160z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza72192za7,
		BGl_z62occurzd2nodez12zd2select1935z70zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2161z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza72193za7,
		BGl_z62occurzd2nodez12zd2letzd2fun1937za2zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2162z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza72194za7,
		BGl_z62occurzd2nodez12zd2letzd2var1939za2zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2163z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza72195za7,
		BGl_z62occurzd2nodez12zd2setzd2exzd2i1941z70zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2164z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza72196za7,
		BGl_z62occurzd2nodez12zd2jumpzd2exzd21943z70zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2165z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza72197za7,
		BGl_z62occurzd2nodez12zd2makezd2box1945za2zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2166z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza72198za7,
		BGl_z62occurzd2nodez12zd2boxzd2ref1947za2zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2167z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza72199za7,
		BGl_z62occurzd2nodez12zd2boxzd2setz121949zb0zzast_occurz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_occurzd2nodezd2inz12zd2envzc0zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza72200za7,
		BGl_z62occurzd2nodezd2inz12z70zzast_occurz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_occurzd2nodez12zd2envz12zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza72201za7,
		BGl_z62occurzd2nodez12za2zzast_occurz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_occurz00(long
		BgL_checksumz00_2475, char *BgL_fromz00_2476)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_occurz00))
				{
					BGl_requirezd2initializa7ationz75zzast_occurz00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzast_occurz00();
					BGl_cnstzd2initzd2zzast_occurz00();
					BGl_importedzd2moduleszd2initz00zzast_occurz00();
					BGl_genericzd2initzd2zzast_occurz00();
					BGl_methodzd2initzd2zzast_occurz00();
					BGl_toplevelzd2initzd2zzast_occurz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_occurz00()
	{
		AN_OBJECT;
		{	/* Ast/occur.scm 17 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "ast_occur");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_occur");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"ast_occur");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_occur");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_occur");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_occurz00()
	{
		AN_OBJECT;
		{	/* Ast/occur.scm 17 */
			{	/* Ast/occur.scm 17 */
				obj_t BgL_cportz00_2466;

				BgL_cportz00_2466 =
					bgl_open_input_string(BGl_string2169z00zzast_occurz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2467;

					BgL_iz00_2467 = ((long) 2);
				BgL_loopz00_2468:
					if ((BgL_iz00_2467 == ((long) -1)))
						{	/* Ast/occur.scm 17 */
							return BUNSPEC;
						}
					else
						{	/* Ast/occur.scm 17 */
							{	/* Ast/occur.scm 17 */
								obj_t BgL_arg2172z00_2470;

								{	/* Ast/occur.scm 17 */

									{	/* Ast/occur.scm 17 */
										obj_t BgL_locationz00_2472;

										BgL_locationz00_2472 = BBOOL(((bool_t) 0));
										{	/* Ast/occur.scm 17 */

											BgL_arg2172z00_2470 =
												BGl_readz00zz__readerz00(BgL_cportz00_2466,
												BgL_locationz00_2472);
										}
									}
								}
								{	/* Ast/occur.scm 17 */
									int BgL_auxz00_2497;

									BgL_auxz00_2497 = (int) (BgL_iz00_2467);
									CNST_TABLE_SET(BgL_auxz00_2497, BgL_arg2172z00_2470);
							}}
							{	/* Ast/occur.scm 17 */
								int BgL_auxz00_2473;

								BgL_auxz00_2473 = (int) ((BgL_iz00_2467 - ((long) 1)));
								{
									long BgL_iz00_2502;

									BgL_iz00_2502 = (long) (BgL_auxz00_2473);
									BgL_iz00_2467 = BgL_iz00_2502;
									goto BgL_loopz00_2468;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_occurz00()
	{
		AN_OBJECT;
		{	/* Ast/occur.scm 17 */
			BGl_za2globalza2z00zzast_occurz00 = BUNSPEC;
			return BUNSPEC;
		}
	}



/* occur-var */
	BGL_EXPORTED_DEF obj_t BGl_occurzd2varzd2zzast_occurz00(obj_t
		BgL_globalsz00_3)
	{
		AN_OBJECT;
		{	/* Ast/occur.scm 31 */
			BGl_forzd2eachzd2globalz12z12zzast_envz00(BGl_proc2144z00zzast_occurz00,
				BNIL);
			{
				obj_t BgL_l1787z00_1239;

				BgL_l1787z00_1239 = BgL_globalsz00_3;
			BgL_zc3anonymousza31956ze3z83_1240:
				if (PAIRP(BgL_l1787z00_1239))
					{	/* Ast/occur.scm 37 */
						{	/* Ast/occur.scm 38 */
							obj_t BgL_globalz00_1242;

							BgL_globalz00_1242 = CAR(BgL_l1787z00_1239);
							{	/* Ast/occur.scm 38 */
								obj_t BgL_arg1958z00_1243;

								BgL_arg1958z00_1243 =
									(((BgL_sfunz00_bglt) CREF(
											((BgL_sfunz00_bglt)
												(((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt) BgL_globalz00_1242))))->
													BgL_valuez00))))->BgL_bodyz00);
								BGl_za2globalza2z00zzast_occurz00 =
									((obj_t) ((BgL_globalz00_bglt) BgL_globalz00_1242));
								BGl_occurzd2nodez12zc0zzast_occurz00(((BgL_nodez00_bglt)
										BgL_arg1958z00_1243));
							}
						}
						{
							obj_t BgL_l1787z00_2517;

							BgL_l1787z00_2517 = CDR(BgL_l1787z00_1239);
							BgL_l1787z00_1239 = BgL_l1787z00_2517;
							goto BgL_zc3anonymousza31956ze3z83_1240;
						}
					}
				else
					{	/* Ast/occur.scm 37 */
						((bool_t) 1);
					}
			}
			return BgL_globalsz00_3;
		}
	}



/* &occur-var */
	obj_t BGl_z62occurzd2varzb0zzast_occurz00(obj_t BgL_envz00_2394,
		obj_t BgL_globalsz00_2395)
	{
		AN_OBJECT;
		{	/* Ast/occur.scm 31 */
			return BGl_occurzd2varzd2zzast_occurz00(BgL_globalsz00_2395);
		}
	}



/* &<anonymous:1955> */
	obj_t BGl_z62zc3anonymousza31955ze3ze1zzast_occurz00(obj_t BgL_envz00_2396,
		obj_t BgL_globalz00_2397)
	{
		AN_OBJECT;
		{	/* Ast/occur.scm 33 */
			{
				obj_t BgL_globalz00_1235;

				BgL_globalz00_1235 = BgL_globalz00_2397;
				((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt)
									((BgL_globalz00_bglt) BgL_globalz00_1235))))->
						BgL_occurrencez00) = ((long) ((long) 0)), BUNSPEC);
				return ((((BgL_variablez00_bglt)
							CREF(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_globalz00_1235))))->BgL_occurrencewz00) =
					((long) ((long) 0)), BUNSPEC);
		}}
	}



/* occur-node-in! */
	BGL_EXPORTED_DEF obj_t
		BGl_occurzd2nodezd2inz12z12zzast_occurz00(BgL_nodez00_bglt BgL_nodez00_4,
		BgL_globalz00_bglt BgL_globalz00_5)
	{
		AN_OBJECT;
		{	/* Ast/occur.scm 45 */
			BGl_za2globalza2z00zzast_occurz00 = ((obj_t) BgL_globalz00_5);
			return BGl_occurzd2nodez12zc0zzast_occurz00(BgL_nodez00_4);
		}
	}



/* &occur-node-in! */
	obj_t BGl_z62occurzd2nodezd2inz12z70zzast_occurz00(obj_t BgL_envz00_2398,
		obj_t BgL_nodez00_2399, obj_t BgL_globalz00_2400)
	{
		AN_OBJECT;
		{	/* Ast/occur.scm 45 */
			return
				BGl_occurzd2nodezd2inz12z12zzast_occurz00(
				((BgL_nodez00_bglt) BgL_nodez00_2399),
				((BgL_globalz00_bglt) BgL_globalz00_2400));
		}
	}



/* occur-node*! */
	bool_t BGl_occurzd2nodeza2z12z62zzast_occurz00(obj_t BgL_nodeza2za2_27)
	{
		AN_OBJECT;
		{	/* Ast/occur.scm 255 */
			{
				obj_t BgL_l1905z00_1248;

				BgL_l1905z00_1248 = BgL_nodeza2za2_27;
			BgL_zc3anonymousza31961ze3z83_1249:
				if (PAIRP(BgL_l1905z00_1248))
					{	/* Ast/occur.scm 256 */
						{	/* Ast/occur.scm 256 */
							obj_t BgL_arg1964z00_1251;

							BgL_arg1964z00_1251 = CAR(BgL_l1905z00_1248);
							BGl_occurzd2nodez12zc0zzast_occurz00(
								((BgL_nodez00_bglt) BgL_arg1964z00_1251));
						}
						{
							obj_t BgL_l1905z00_2536;

							BgL_l1905z00_2536 = CDR(BgL_l1905z00_1248);
							BgL_l1905z00_1248 = BgL_l1905z00_2536;
							goto BgL_zc3anonymousza31961ze3z83_1249;
						}
					}
				else
					{	/* Ast/occur.scm 256 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_occurz00()
	{
		AN_OBJECT;
		{	/* Ast/occur.scm 17 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_occurz00()
	{
		AN_OBJECT;
		{	/* Ast/occur.scm 17 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00,
				BGl_proc2145z00zzast_occurz00, BGl_nodez00zzast_nodez00,
				BGl_string2146z00zzast_occurz00);
		}
	}



/* &occur-node!1907 */
	obj_t BGl_z62occurzd2nodez121907za2zzast_occurz00(obj_t BgL_envz00_2402,
		obj_t BgL_nodez00_2403)
	{
		AN_OBJECT;
		{	/* Ast/occur.scm 57 */
			return CNST_TABLE_REF(((long) 0));
		}
	}



/* occur-node! */
	BGL_EXPORTED_DEF obj_t BGl_occurzd2nodez12zc0zzast_occurz00(BgL_nodez00_bglt
		BgL_nodez00_6)
	{
		AN_OBJECT;
		{	/* Ast/occur.scm 57 */
			{	/* Ast/occur.scm 57 */
				obj_t BgL_method1909z00_1258;

				{	/* Ast/occur.scm 57 */
					obj_t BgL_res2111z00_2244;

					{	/* Ast/occur.scm 57 */
						long BgL_objzd2classzd2numz00_2217;

						{	/* Ast/occur.scm 57 */
							long BgL_res2105z00_2220;

							BgL_res2105z00_2220 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_6));
							BgL_objzd2classzd2numz00_2217 = BgL_res2105z00_2220;
						}
						{	/* Ast/occur.scm 57 */
							obj_t BgL_arg1769z00_2218;

							BgL_arg1769z00_2218 =
								PROCEDURE_REF(BGl_occurzd2nodez12zd2envz12zzast_occurz00,
								(int) (((long) 1)));
							{	/* Ast/occur.scm 57 */
								int BgL_offsetz00_2222;

								BgL_offsetz00_2222 = (int) (BgL_objzd2classzd2numz00_2217);
								{	/* Ast/occur.scm 57 */
									long BgL_offsetz00_2223;

									BgL_offsetz00_2223 =
										((long) (BgL_offsetz00_2222) - OBJECT_TYPE);
									{	/* Ast/occur.scm 57 */
										long BgL_modz00_2224;

										{	/* Ast/occur.scm 57 */
											int BgL_arg1771z00_2225;

											BgL_arg1771z00_2225 = (int) (((long) 16));
											{	/* Ast/occur.scm 57 */
												long BgL_res2108z00_2235;

												{	/* Ast/occur.scm 57 */
													long BgL_auxz00_2548;

													BgL_auxz00_2548 = (long) (BgL_arg1771z00_2225);
													BgL_res2108z00_2235 =
														(BgL_offsetz00_2223 / BgL_auxz00_2548);
												}
												BgL_modz00_2224 = BgL_res2108z00_2235;
										}}
										{	/* Ast/occur.scm 57 */
											long BgL_restz00_2226;

											{	/* Ast/occur.scm 57 */
												int BgL_arg1770z00_2227;

												BgL_arg1770z00_2227 = (int) (((long) 16));
												{	/* Ast/occur.scm 57 */
													long BgL_res2110z00_2239;

													{	/* Ast/occur.scm 57 */
														long BgL_auxz00_2552;

														BgL_auxz00_2552 = (long) (BgL_arg1770z00_2227);
														BgL_res2110z00_2239 =
															(BgL_offsetz00_2223 % BgL_auxz00_2552);
													}
													BgL_restz00_2226 = BgL_res2110z00_2239;
											}}
											{	/* Ast/occur.scm 57 */

												BgL_res2111z00_2244 =
													VECTOR_REF(VECTOR_REF(BgL_arg1769z00_2218,
														(int) (BgL_modz00_2224)), (int) (BgL_restz00_2226));
					}}}}}}}
					BgL_method1909z00_1258 = BgL_res2111z00_2244;
				}
				return
					PROCEDURE_ENTRY(BgL_method1909z00_1258) (BgL_method1909z00_1258,
					((obj_t) BgL_nodez00_6), BEOA);
			}
		}
	}



/* &occur-node! */
	obj_t BGl_z62occurzd2nodez12za2zzast_occurz00(obj_t BgL_envz00_2404,
		obj_t BgL_nodez00_2405)
	{
		AN_OBJECT;
		{	/* Ast/occur.scm 57 */
			return
				BGl_occurzd2nodez12zc0zzast_occurz00(
				((BgL_nodez00_bglt) BgL_nodez00_2405));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_occurz00()
	{
		AN_OBJECT;
		{	/* Ast/occur.scm 17 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BGl_varz00zzast_nodez00,
				BGl_proc2147z00zzast_occurz00, BGl_string2148z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2149z00zzast_occurz00,
				BGl_string2148z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BGl_syncz00zzast_nodez00,
				BGl_proc2150z00zzast_occurz00, BGl_string2148z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BGl_appz00zzast_nodez00,
				BGl_proc2151z00zzast_occurz00, BGl_string2148z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2152z00zzast_occurz00,
				BGl_string2148z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2153z00zzast_occurz00,
				BGl_string2148z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BGl_externz00zzast_nodez00,
				BGl_proc2154z00zzast_occurz00, BGl_string2148z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BGl_pragmaz00zzast_nodez00,
				BGl_proc2155z00zzast_occurz00, BGl_string2148z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BGl_castz00zzast_nodez00,
				BGl_proc2156z00zzast_occurz00, BGl_string2148z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BGl_setqz00zzast_nodez00,
				BGl_proc2157z00zzast_occurz00, BGl_string2148z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2158z00zzast_occurz00,
				BGl_string2148z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BGl_failz00zzast_nodez00,
				BGl_proc2159z00zzast_occurz00, BGl_string2148z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BGl_selectz00zzast_nodez00,
				BGl_proc2160z00zzast_occurz00, BGl_string2148z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2161z00zzast_occurz00,
				BGl_string2148z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2162z00zzast_occurz00,
				BGl_string2148z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2163z00zzast_occurz00,
				BGl_string2148z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2164z00zzast_occurz00,
				BGl_string2148z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2165z00zzast_occurz00,
				BGl_string2148z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2166z00zzast_occurz00,
				BGl_string2148z00zzast_occurz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2167z00zzast_occurz00,
				BGl_string2148z00zzast_occurz00);
		}
	}



/* &occur-node!-box-set!1949 */
	obj_t BGl_z62occurzd2nodez12zd2boxzd2setz121949zb0zzast_occurz00(obj_t
		BgL_envz00_2426, obj_t BgL_nodez00_2427)
	{
		AN_OBJECT;
		{	/* Ast/occur.scm 247 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1467;

				BgL_nodez00_1467 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2427);
				{	/* Ast/occur.scm 249 */
					BgL_varz00_bglt BgL_arg2049z00_1471;

					BgL_arg2049z00_1471 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1467))->BgL_varz00);
					BGl_occurzd2nodez12zc0zzast_occurz00(
						((BgL_nodez00_bglt) BgL_arg2049z00_1471));
				}
				return
					BGl_occurzd2nodez12zc0zzast_occurz00(
					(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1467))->BgL_valuez00));
			}
		}
	}



/* &occur-node!-box-ref1947 */
	obj_t BGl_z62occurzd2nodez12zd2boxzd2ref1947za2zzast_occurz00(obj_t
		BgL_envz00_2428, obj_t BgL_nodez00_2429)
	{
		AN_OBJECT;
		{	/* Ast/occur.scm 241 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1462;

				BgL_nodez00_1462 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2429);
				{	/* Ast/occur.scm 242 */
					BgL_varz00_bglt BgL_arg2048z00_2367;

					BgL_arg2048z00_2367 =
						(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1462))->BgL_varz00);
					return
						BGl_occurzd2nodez12zc0zzast_occurz00(
						((BgL_nodez00_bglt) BgL_arg2048z00_2367));
				}
			}
		}
	}



/* &occur-node!-make-box1945 */
	obj_t BGl_z62occurzd2nodez12zd2makezd2box1945za2zzast_occurz00(obj_t
		BgL_envz00_2430, obj_t BgL_nodez00_2431)
	{
		AN_OBJECT;
		{	/* Ast/occur.scm 235 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1457;

				BgL_nodez00_1457 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2431);
				return
					BGl_occurzd2nodez12zc0zzast_occurz00(
					(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1457))->BgL_valuez00));
			}
		}
	}



/* &occur-node!-jump-ex-1943 */
	obj_t BGl_z62occurzd2nodez12zd2jumpzd2exzd21943z70zzast_occurz00(obj_t
		BgL_envz00_2432, obj_t BgL_nodez00_2433)
	{
		AN_OBJECT;
		{	/* Ast/occur.scm 227 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1450;

				BgL_nodez00_1450 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2433);
				BGl_occurzd2nodez12zc0zzast_occurz00(
					(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1450))->BgL_exitz00));
				return
					BGl_occurzd2nodez12zc0zzast_occurz00(
					(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1450))->
						BgL_valuez00));
			}
		}
	}



/* &occur-node!-set-ex-i1941 */
	obj_t BGl_z62occurzd2nodez12zd2setzd2exzd2i1941z70zzast_occurz00(obj_t
		BgL_envz00_2434, obj_t BgL_nodez00_2435)
	{
		AN_OBJECT;
		{	/* Ast/occur.scm 216 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1440;

				BgL_nodez00_1440 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2435);
				{	/* Ast/occur.scm 218 */
					BgL_localz00_bglt BgL_i1110z00_1444;

					BgL_i1110z00_1444 =
						((BgL_localz00_bglt)
						(((BgL_varz00_bglt) CREF(
									(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1440))->
										BgL_varz00)))->BgL_variablez00));
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_i1110z00_1444)))->BgL_occurrencez00) =
						((long) ((long) 0)), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_i1110z00_1444)))->BgL_occurrencewz00) =
						((long) ((long) 0)), BUNSPEC);
					if (((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
											BgL_i1110z00_1444)))->BgL_accessz00) ==
							CNST_TABLE_REF(((long) 1))))
						{	/* Ast/occur.scm 221 */
							((((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt) BgL_i1110z00_1444)))->
									BgL_accessz00) =
								((obj_t) CNST_TABLE_REF(((long) 2))), BUNSPEC);
						}
					else
						{	/* Ast/occur.scm 221 */
							BFALSE;
						}
				}
				return
					BGl_occurzd2nodez12zc0zzast_occurz00(
					(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1440))->BgL_bodyz00));
			}
		}
	}



/* &occur-node!-let-var1939 */
	obj_t BGl_z62occurzd2nodez12zd2letzd2var1939za2zzast_occurz00(obj_t
		BgL_envz00_2436, obj_t BgL_nodez00_2437)
	{
		AN_OBJECT;
		{	/* Ast/occur.scm 200 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1416;

				BgL_nodez00_1416 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_2437);
				{	/* Ast/occur.scm 202 */
					obj_t BgL_g1901z00_1420;

					BgL_g1901z00_1420 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1416))->BgL_bindingsz00);
					{
						obj_t BgL_l1899z00_1422;

						BgL_l1899z00_1422 = BgL_g1901z00_1420;
					BgL_zc3anonymousza32031ze3z83_1423:
						if (PAIRP(BgL_l1899z00_1422))
							{	/* Ast/occur.scm 202 */
								{	/* Ast/occur.scm 203 */
									obj_t BgL_bindingz00_1425;

									BgL_bindingz00_1425 = CAR(BgL_l1899z00_1422);
									{	/* Ast/occur.scm 203 */
										BgL_localz00_bglt BgL_i1108z00_1426;

										BgL_i1108z00_1426 =
											((BgL_localz00_bglt) CAR(BgL_bindingz00_1425));
										((((BgL_variablez00_bglt) CREF(
														((BgL_variablez00_bglt) BgL_i1108z00_1426)))->
												BgL_occurrencez00) = ((long) ((long) 0)), BUNSPEC);
										((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
															BgL_i1108z00_1426)))->BgL_occurrencewz00) =
											((long) ((long) 0)), BUNSPEC);
										((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
															BgL_i1108z00_1426)))->BgL_accessz00) =
											((obj_t) CNST_TABLE_REF(((long) 2))), BUNSPEC);
								}}
								{
									obj_t BgL_l1899z00_2635;

									BgL_l1899z00_2635 = CDR(BgL_l1899z00_1422);
									BgL_l1899z00_1422 = BgL_l1899z00_2635;
									goto BgL_zc3anonymousza32031ze3z83_1423;
								}
							}
						else
							{	/* Ast/occur.scm 202 */
								((bool_t) 1);
							}
					}
				}
				{	/* Ast/occur.scm 208 */
					obj_t BgL_g1904z00_1429;

					BgL_g1904z00_1429 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1416))->BgL_bindingsz00);
					{
						obj_t BgL_l1902z00_1431;

						BgL_l1902z00_1431 = BgL_g1904z00_1429;
					BgL_zc3anonymousza32034ze3z83_1432:
						if (PAIRP(BgL_l1902z00_1431))
							{	/* Ast/occur.scm 208 */
								{	/* Ast/occur.scm 209 */
									obj_t BgL_bindingz00_1434;

									BgL_bindingz00_1434 = CAR(BgL_l1902z00_1431);
									{	/* Ast/occur.scm 209 */
										obj_t BgL_arg2036z00_1435;

										BgL_arg2036z00_1435 = CDR(BgL_bindingz00_1434);
										BGl_occurzd2nodez12zc0zzast_occurz00(
											((BgL_nodez00_bglt) BgL_arg2036z00_1435));
									}
								}
								{
									obj_t BgL_l1902z00_2644;

									BgL_l1902z00_2644 = CDR(BgL_l1902z00_1431);
									BgL_l1902z00_1431 = BgL_l1902z00_2644;
									goto BgL_zc3anonymousza32034ze3z83_1432;
								}
							}
						else
							{	/* Ast/occur.scm 208 */
								((bool_t) 1);
							}
					}
				}
				return
					BGl_occurzd2nodez12zc0zzast_occurz00(
					(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1416))->BgL_bodyz00));
			}
		}
	}



/* &occur-node!-let-fun1937 */
	obj_t BGl_z62occurzd2nodez12zd2letzd2fun1937za2zzast_occurz00(obj_t
		BgL_envz00_2438, obj_t BgL_nodez00_2439)
	{
		AN_OBJECT;
		{	/* Ast/occur.scm 179 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1379;

				BgL_nodez00_1379 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_2439);
				{	/* Ast/occur.scm 181 */
					obj_t BgL_g1895z00_1383;

					BgL_g1895z00_1383 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1379))->BgL_localsz00);
					{
						obj_t BgL_l1893z00_1385;

						BgL_l1893z00_1385 = BgL_g1895z00_1383;
					BgL_zc3anonymousza32015ze3z83_1386:
						if (PAIRP(BgL_l1893z00_1385))
							{	/* Ast/occur.scm 181 */
								{	/* Ast/occur.scm 186 */
									obj_t BgL_localz00_1388;

									BgL_localz00_1388 = CAR(BgL_l1893z00_1385);
									((((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_localz00_1388))))->
											BgL_occurrencez00) = ((long) ((long) 0)), BUNSPEC);
									((((BgL_variablez00_bglt)
												CREF(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
															BgL_localz00_1388))))->BgL_occurrencewz00) =
										((long) ((long) 0)), BUNSPEC);
									if (((((BgL_variablez00_bglt)
													CREF(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
																BgL_localz00_1388))))->BgL_accessz00) ==
											CNST_TABLE_REF(((long) 1))))
										{	/* Ast/occur.scm 186 */
											((((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt)
																((BgL_localz00_bglt) BgL_localz00_1388))))->
													BgL_accessz00) =
												((obj_t) CNST_TABLE_REF(((long) 2))), BUNSPEC);
										}
									else
										{	/* Ast/occur.scm 186 */
											BFALSE;
										}
									{	/* Ast/occur.scm 187 */
										obj_t BgL_g1892z00_1392;

										BgL_g1892z00_1392 =
											(((BgL_sfunz00_bglt) CREF(
													((BgL_sfunz00_bglt)
														(((BgL_variablez00_bglt) CREF(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt) BgL_localz00_1388))))->
															BgL_valuez00))))->BgL_argsz00);
										{
											obj_t BgL_l1890z00_1394;

											BgL_l1890z00_1394 = BgL_g1892z00_1392;
										BgL_zc3anonymousza32020ze3z83_1395:
											if (PAIRP(BgL_l1890z00_1394))
												{	/* Ast/occur.scm 188 */
													{	/* Ast/occur.scm 187 */
														obj_t BgL_az00_1397;

														BgL_az00_1397 = CAR(BgL_l1890z00_1394);
														((((BgL_variablez00_bglt) CREF(
																		((BgL_variablez00_bglt)
																			((BgL_localz00_bglt) BgL_az00_1397))))->
																BgL_occurrencez00) =
															((long) ((long) 1)), BUNSPEC);
													}
													{
														obj_t BgL_l1890z00_2680;

														BgL_l1890z00_2680 = CDR(BgL_l1890z00_1394);
														BgL_l1890z00_1394 = BgL_l1890z00_2680;
														goto BgL_zc3anonymousza32020ze3z83_1395;
													}
												}
											else
												{	/* Ast/occur.scm 188 */
													((bool_t) 1);
												}
										}
									}
								}
								{
									obj_t BgL_l1893z00_2682;

									BgL_l1893z00_2682 = CDR(BgL_l1893z00_1385);
									BgL_l1893z00_1385 = BgL_l1893z00_2682;
									goto BgL_zc3anonymousza32015ze3z83_1386;
								}
							}
						else
							{	/* Ast/occur.scm 181 */
								((bool_t) 1);
							}
					}
				}
				{	/* Ast/occur.scm 190 */
					obj_t BgL_g1898z00_1403;

					BgL_g1898z00_1403 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1379))->BgL_localsz00);
					{
						obj_t BgL_l1896z00_1405;

						BgL_l1896z00_1405 = BgL_g1898z00_1403;
					BgL_zc3anonymousza32025ze3z83_1406:
						if (PAIRP(BgL_l1896z00_1405))
							{	/* Ast/occur.scm 190 */
								{	/* Ast/occur.scm 191 */
									obj_t BgL_localz00_1408;

									BgL_localz00_1408 = CAR(BgL_l1896z00_1405);
									{	/* Ast/occur.scm 191 */
										long BgL_oldz00_1409;

										BgL_oldz00_1409 =
											(((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_localz00_1408))))->
											BgL_occurrencez00);
										{	/* Ast/occur.scm 192 */
											obj_t BgL_arg2027z00_1410;

											BgL_arg2027z00_1410 =
												(((BgL_sfunz00_bglt) CREF(
														((BgL_sfunz00_bglt)
															(((BgL_variablez00_bglt) CREF(
																		((BgL_variablez00_bglt)
																			((BgL_localz00_bglt)
																				BgL_localz00_1408))))->
																BgL_valuez00))))->BgL_bodyz00);
											BGl_occurzd2nodez12zc0zzast_occurz00(((BgL_nodez00_bglt)
													BgL_arg2027z00_1410));
										}
										((((BgL_variablez00_bglt) CREF(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt) BgL_localz00_1408))))->
												BgL_occurrencez00) = ((long) BgL_oldz00_1409), BUNSPEC);
								}}
								{
									obj_t BgL_l1896z00_2701;

									BgL_l1896z00_2701 = CDR(BgL_l1896z00_1405);
									BgL_l1896z00_1405 = BgL_l1896z00_2701;
									goto BgL_zc3anonymousza32025ze3z83_1406;
								}
							}
						else
							{	/* Ast/occur.scm 190 */
								((bool_t) 1);
							}
					}
				}
				return
					BGl_occurzd2nodez12zc0zzast_occurz00(
					(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1379))->BgL_bodyz00));
			}
		}
	}



/* &occur-node!-select1935 */
	obj_t BGl_z62occurzd2nodez12zd2select1935z70zzast_occurz00(obj_t
		BgL_envz00_2440, obj_t BgL_nodez00_2441)
	{
		AN_OBJECT;
		{	/* Ast/occur.scm 169 */
			{
				BgL_selectz00_bglt BgL_nodez00_1364;

				BgL_nodez00_1364 = ((BgL_selectz00_bglt) BgL_nodez00_2441);
				BGl_occurzd2nodez12zc0zzast_occurz00(
					(((BgL_selectz00_bglt) CREF(BgL_nodez00_1364))->BgL_testz00));
				{	/* Ast/occur.scm 172 */
					obj_t BgL_g1889z00_1369;

					BgL_g1889z00_1369 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1364))->BgL_clausesz00);
					{
						obj_t BgL_l1887z00_1371;

						{	/* Ast/occur.scm 172 */
							bool_t BgL_auxz00_2709;

							BgL_l1887z00_1371 = BgL_g1889z00_1369;
						BgL_zc3anonymousza32010ze3z83_1372:
							if (PAIRP(BgL_l1887z00_1371))
								{	/* Ast/occur.scm 172 */
									{	/* Ast/occur.scm 173 */
										obj_t BgL_clausez00_1374;

										BgL_clausez00_1374 = CAR(BgL_l1887z00_1371);
										{	/* Ast/occur.scm 173 */
											obj_t BgL_arg2012z00_1375;

											BgL_arg2012z00_1375 = CDR(BgL_clausez00_1374);
											BGl_occurzd2nodez12zc0zzast_occurz00(
												((BgL_nodez00_bglt) BgL_arg2012z00_1375));
										}
									}
									{
										obj_t BgL_l1887z00_2716;

										BgL_l1887z00_2716 = CDR(BgL_l1887z00_1371);
										BgL_l1887z00_1371 = BgL_l1887z00_2716;
										goto BgL_zc3anonymousza32010ze3z83_1372;
									}
								}
							else
								{	/* Ast/occur.scm 172 */
									BgL_auxz00_2709 = ((bool_t) 1);
								}
							return BBOOL(BgL_auxz00_2709);
						}
					}
				}
			}
		}
	}



/* &occur-node!-fail1933 */
	obj_t BGl_z62occurzd2nodez12zd2fail1933z70zzast_occurz00(obj_t
		BgL_envz00_2442, obj_t BgL_nodez00_2443)
	{
		AN_OBJECT;
		{	/* Ast/occur.scm 160 */
			{
				BgL_failz00_bglt BgL_nodez00_1356;

				BgL_nodez00_1356 = ((BgL_failz00_bglt) BgL_nodez00_2443);
				BGl_occurzd2nodez12zc0zzast_occurz00(
					(((BgL_failz00_bglt) CREF(BgL_nodez00_1356))->BgL_procz00));
				BGl_occurzd2nodez12zc0zzast_occurz00(
					(((BgL_failz00_bglt) CREF(BgL_nodez00_1356))->BgL_msgz00));
				return
					BGl_occurzd2nodez12zc0zzast_occurz00(
					(((BgL_failz00_bglt) CREF(BgL_nodez00_1356))->BgL_objz00));
			}
		}
	}



/* &occur-node!-conditio1931 */
	obj_t BGl_z62occurzd2nodez12zd2conditio1931z70zzast_occurz00(obj_t
		BgL_envz00_2444, obj_t BgL_nodez00_2445)
	{
		AN_OBJECT;
		{	/* Ast/occur.scm 151 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1348;

				BgL_nodez00_1348 = ((BgL_conditionalz00_bglt) BgL_nodez00_2445);
				BGl_occurzd2nodez12zc0zzast_occurz00(
					(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1348))->BgL_testz00));
				BGl_occurzd2nodez12zc0zzast_occurz00(
					(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1348))->BgL_truez00));
				return
					BGl_occurzd2nodez12zc0zzast_occurz00(
					(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1348))->BgL_falsez00));
			}
		}
	}



/* &occur-node!-setq1929 */
	obj_t BGl_z62occurzd2nodez12zd2setq1929z70zzast_occurz00(obj_t
		BgL_envz00_2446, obj_t BgL_nodez00_2447)
	{
		AN_OBJECT;
		{	/* Ast/occur.scm 140 */
			{
				BgL_setqz00_bglt BgL_nodez00_1336;

				BgL_nodez00_1336 = ((BgL_setqz00_bglt) BgL_nodez00_2447);
				{	/* Ast/occur.scm 142 */
					BgL_variablez00_bglt BgL_i1101z00_1340;

					BgL_i1101z00_1340 =
						(((BgL_varz00_bglt) CREF(
								(((BgL_setqz00_bglt) CREF(BgL_nodez00_1336))->BgL_varz00)))->
						BgL_variablez00);
					if (((((BgL_variablez00_bglt) CREF(BgL_i1101z00_1340))->
								BgL_accessz00) == CNST_TABLE_REF(((long) 2))))
						{	/* Ast/occur.scm 143 */
							((((BgL_variablez00_bglt) CREF(BgL_i1101z00_1340))->
									BgL_accessz00) =
								((obj_t) CNST_TABLE_REF(((long) 1))), BUNSPEC);
						}
					else
						{	/* Ast/occur.scm 143 */
							BFALSE;
						}
					((((BgL_variablez00_bglt) CREF(BgL_i1101z00_1340))->
							BgL_occurrencewz00) =
						((long) (((long) 1) +
								(((BgL_variablez00_bglt) CREF(BgL_i1101z00_1340))->
									BgL_occurrencewz00))), BUNSPEC);
				}
				{	/* Ast/occur.scm 145 */
					BgL_varz00_bglt BgL_arg1999z00_1345;

					BgL_arg1999z00_1345 =
						(((BgL_setqz00_bglt) CREF(BgL_nodez00_1336))->BgL_varz00);
					BGl_occurzd2nodez12zc0zzast_occurz00(
						((BgL_nodez00_bglt) BgL_arg1999z00_1345));
				}
				return
					BGl_occurzd2nodez12zc0zzast_occurz00(
					(((BgL_setqz00_bglt) CREF(BgL_nodez00_1336))->BgL_valuez00));
			}
		}
	}



/* &occur-node!-cast1927 */
	obj_t BGl_z62occurzd2nodez12zd2cast1927z70zzast_occurz00(obj_t
		BgL_envz00_2448, obj_t BgL_nodez00_2449)
	{
		AN_OBJECT;
		{	/* Ast/occur.scm 134 */
			{
				BgL_castz00_bglt BgL_nodez00_1331;

				BgL_nodez00_1331 = ((BgL_castz00_bglt) BgL_nodez00_2449);
				return
					BGl_occurzd2nodez12zc0zzast_occurz00(
					(((BgL_castz00_bglt) CREF(BgL_nodez00_1331))->BgL_argz00));
			}
		}
	}



/* &occur-node!-pragma1925 */
	obj_t BGl_z62occurzd2nodez12zd2pragma1925z70zzast_occurz00(obj_t
		BgL_envz00_2450, obj_t BgL_nodez00_2451)
	{
		AN_OBJECT;
		{	/* Ast/occur.scm 120 */
			{
				BgL_pragmaz00_bglt BgL_nodez00_1311;

				BgL_nodez00_1311 = ((BgL_pragmaz00_bglt) BgL_nodez00_2451);
				{

					if (CBOOL(
							(((BgL_nodezf2effectzf2_bglt) CREF(
										((BgL_nodezf2effectzf2_bglt) BgL_nodez00_1311)))->
								BgL_sidezd2effectzd2)))
						{	/* Ast/occur.scm 123 */
							obj_t BgL_g1886z00_1316;

							BgL_g1886z00_1316 =
								(((BgL_externz00_bglt) CREF(
										((BgL_externz00_bglt) BgL_nodez00_1311)))->BgL_exprza2za2);
							{
								obj_t BgL_l1789z00_1318;

								BgL_l1789z00_1318 = BgL_g1886z00_1316;
							BgL_zc3anonymousza31985ze3z83_1319:
								if (PAIRP(BgL_l1789z00_1318))
									{	/* Ast/occur.scm 128 */
										{	/* Ast/occur.scm 124 */
											obj_t BgL_nz00_1321;

											BgL_nz00_1321 = CAR(BgL_l1789z00_1318);
											{	/* Ast/occur.scm 124 */
												bool_t BgL_testz00_2763;

												if (BGl_isazf3zf3zz__objectz00(BgL_nz00_1321,
														BGl_varz00zzast_nodez00))
													{	/* Ast/occur.scm 124 */
														BgL_variablez00_bglt BgL_arg1992z00_1327;

														BgL_arg1992z00_1327 =
															(((BgL_varz00_bglt) CREF(
																	((BgL_varz00_bglt) BgL_nz00_1321)))->
															BgL_variablez00);
														{	/* Ast/occur.scm 124 */
															bool_t BgL_res2126z00_2296;

															BgL_res2126z00_2296 =
																BGl_isazf3zf3zz__objectz00(
																((obj_t) BgL_arg1992z00_1327),
																BGl_localz00zzast_varz00);
															BgL_testz00_2763 = BgL_res2126z00_2296;
														}
													}
												else
													{	/* Ast/occur.scm 124 */
														BgL_testz00_2763 = ((bool_t) 0);
													}
												if (BgL_testz00_2763)
													{	/* Ast/occur.scm 125 */
														BgL_localz00_bglt BgL_i1099z00_1323;

														BgL_i1099z00_1323 =
															((BgL_localz00_bglt)
															(((BgL_varz00_bglt) CREF(
																		((BgL_varz00_bglt) BgL_nz00_1321)))->
																BgL_variablez00));
														if (((((BgL_variablez00_bglt)
																		CREF(((BgL_variablez00_bglt)
																				BgL_i1099z00_1323)))->BgL_accessz00) ==
																CNST_TABLE_REF(((long) 2))))
															{	/* Ast/occur.scm 126 */
																((((BgL_variablez00_bglt) CREF(
																				((BgL_variablez00_bglt)
																					BgL_i1099z00_1323)))->BgL_accessz00) =
																	((obj_t) CNST_TABLE_REF(((long) 1))),
																	BUNSPEC);
															}
														else
															{	/* Ast/occur.scm 126 */
																BFALSE;
															}
													}
												else
													{	/* Ast/occur.scm 124 */
														BFALSE;
													}
											}
										}
										{
											obj_t BgL_l1789z00_2781;

											BgL_l1789z00_2781 = CDR(BgL_l1789z00_1318);
											BgL_l1789z00_1318 = BgL_l1789z00_2781;
											goto BgL_zc3anonymousza31985ze3z83_1319;
										}
									}
								else
									{	/* Ast/occur.scm 128 */
										((bool_t) 1);
									}
							}
						}
					else
						{	/* Ast/occur.scm 122 */
							((bool_t) 0);
						}
					{	/* Ast/occur.scm 120 */
						obj_t BgL_nextzd2method1924zd2_1330;

						BgL_nextzd2method1924zd2_1330 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_1311),
							BGl_occurzd2nodez12zd2envz12zzast_occurz00,
							BGl_pragmaz00zzast_nodez00);
						return
							PROCEDURE_ENTRY(BgL_nextzd2method1924zd2_1330)
							(BgL_nextzd2method1924zd2_1330, ((obj_t) BgL_nodez00_1311), BEOA);
					}
				}
			}
		}
	}



/* &occur-node!-extern1923 */
	obj_t BGl_z62occurzd2nodez12zd2extern1923z70zzast_occurz00(obj_t
		BgL_envz00_2452, obj_t BgL_nodez00_2453)
	{
		AN_OBJECT;
		{	/* Ast/occur.scm 112 */
			{
				BgL_externz00_bglt BgL_nodez00_1305;

				BgL_nodez00_1305 = ((BgL_externz00_bglt) BgL_nodez00_2453);
				{	/* Ast/occur.scm 114 */
					obj_t BgL_nodesz00_2280;

					BgL_nodesz00_2280 =
						(((BgL_externz00_bglt) CREF(BgL_nodez00_1305))->BgL_exprza2za2);
					return
						BBOOL(BGl_occurzd2nodeza2z12z62zzast_occurz00(BgL_nodesz00_2280));
				}
			}
		}
	}



/* &occur-node!-funcall1921 */
	obj_t BGl_z62occurzd2nodez12zd2funcall1921z70zzast_occurz00(obj_t
		BgL_envz00_2454, obj_t BgL_nodez00_2455)
	{
		AN_OBJECT;
		{	/* Ast/occur.scm 104 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1298;

				BgL_nodez00_1298 = ((BgL_funcallz00_bglt) BgL_nodez00_2455);
				BGl_occurzd2nodez12zc0zzast_occurz00(
					(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1298))->BgL_funz00));
				{	/* Ast/occur.scm 107 */
					obj_t BgL_arg1983z00_1303;

					BgL_arg1983z00_1303 =
						(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1298))->BgL_argsz00);
					return
						BBOOL(BGl_occurzd2nodeza2z12z62zzast_occurz00(BgL_arg1983z00_1303));
				}
			}
		}
	}



/* &occur-node!-app-ly1919 */
	obj_t BGl_z62occurzd2nodez12zd2appzd2ly1919za2zzast_occurz00(obj_t
		BgL_envz00_2456, obj_t BgL_nodez00_2457)
	{
		AN_OBJECT;
		{	/* Ast/occur.scm 96 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1291;

				BgL_nodez00_1291 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2457);
				BGl_occurzd2nodez12zc0zzast_occurz00(
					(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1291))->BgL_funz00));
				return
					BGl_occurzd2nodez12zc0zzast_occurz00(
					(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1291))->BgL_argz00));
			}
		}
	}



/* &occur-node!-app1917 */
	obj_t BGl_z62occurzd2nodez12zd2app1917z70zzast_occurz00(obj_t BgL_envz00_2458,
		obj_t BgL_nodez00_2459)
	{
		AN_OBJECT;
		{	/* Ast/occur.scm 88 */
			{
				BgL_appz00_bglt BgL_nodez00_1284;

				BgL_nodez00_1284 = ((BgL_appz00_bglt) BgL_nodez00_2459);
				{	/* Ast/occur.scm 90 */
					BgL_varz00_bglt BgL_arg1978z00_1288;

					BgL_arg1978z00_1288 =
						(((BgL_appz00_bglt) CREF(BgL_nodez00_1284))->BgL_funz00);
					BGl_occurzd2nodez12zc0zzast_occurz00(
						((BgL_nodez00_bglt) BgL_arg1978z00_1288));
				}
				{	/* Ast/occur.scm 91 */
					obj_t BgL_arg1979z00_1289;

					BgL_arg1979z00_1289 =
						(((BgL_appz00_bglt) CREF(BgL_nodez00_1284))->BgL_argsz00);
					return
						BBOOL(BGl_occurzd2nodeza2z12z62zzast_occurz00(BgL_arg1979z00_1289));
				}
			}
		}
	}



/* &occur-node!-sync1915 */
	obj_t BGl_z62occurzd2nodez12zd2sync1915z70zzast_occurz00(obj_t
		BgL_envz00_2460, obj_t BgL_nodez00_2461)
	{
		AN_OBJECT;
		{	/* Ast/occur.scm 80 */
			{
				BgL_syncz00_bglt BgL_nodez00_1277;

				BgL_nodez00_1277 = ((BgL_syncz00_bglt) BgL_nodez00_2461);
				BGl_occurzd2nodez12zc0zzast_occurz00(
					(((BgL_syncz00_bglt) CREF(BgL_nodez00_1277))->BgL_mutexz00));
				BGl_occurzd2nodez12zc0zzast_occurz00(
					(((BgL_syncz00_bglt) CREF(BgL_nodez00_1277))->BgL_prelockz00));
				return
					BGl_occurzd2nodez12zc0zzast_occurz00(
					(((BgL_syncz00_bglt) CREF(BgL_nodez00_1277))->BgL_bodyz00));
			}
		}
	}



/* &occur-node!-sequence1913 */
	obj_t BGl_z62occurzd2nodez12zd2sequence1913z70zzast_occurz00(obj_t
		BgL_envz00_2462, obj_t BgL_nodez00_2463)
	{
		AN_OBJECT;
		{	/* Ast/occur.scm 74 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1272;

				BgL_nodez00_1272 = ((BgL_sequencez00_bglt) BgL_nodez00_2463);
				{	/* Ast/occur.scm 75 */
					obj_t BgL_arg1974z00_2268;

					BgL_arg1974z00_2268 =
						(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1272))->BgL_nodesz00);
					return
						BBOOL(BGl_occurzd2nodeza2z12z62zzast_occurz00(BgL_arg1974z00_2268));
				}
			}
		}
	}



/* &occur-node!-var1911 */
	obj_t BGl_z62occurzd2nodez12zd2var1911z70zzast_occurz00(obj_t BgL_envz00_2464,
		obj_t BgL_nodez00_2465)
	{
		AN_OBJECT;
		{	/* Ast/occur.scm 63 */
			{
				BgL_varz00_bglt BgL_nodez00_1259;

				BgL_nodez00_1259 = ((BgL_varz00_bglt) BgL_nodez00_2465);
				{	/* Ast/occur.scm 64 */
					BgL_variablez00_bglt BgL_vz00_1262;

					BgL_vz00_1262 =
						(((BgL_varz00_bglt) CREF(BgL_nodez00_1259))->BgL_variablez00);
					{	/* Ast/occur.scm 65 */
						BgL_valuez00_bglt BgL_valuez00_1263;

						BgL_valuez00_1263 =
							(((BgL_variablez00_bglt) CREF(BgL_vz00_1262))->BgL_valuez00);
						{	/* Ast/occur.scm 66 */
							bool_t BgL_testz00_2826;

							{	/* Ast/occur.scm 66 */
								bool_t BgL_testz00_2827;

								{	/* Ast/occur.scm 66 */
									bool_t BgL_res2114z00_2252;

									BgL_res2114z00_2252 =
										BGl_isazf3zf3zz__objectz00(
										((obj_t) BgL_valuez00_1263), BGl_scnstz00zzast_varz00);
									BgL_testz00_2827 = BgL_res2114z00_2252;
								}
								if (BgL_testz00_2827)
									{	/* Ast/occur.scm 66 */
										obj_t BgL_arg1970z00_1267;

										BgL_arg1970z00_1267 =
											(((BgL_scnstz00_bglt) CREF(
													((BgL_scnstz00_bglt) BgL_valuez00_1263)))->
											BgL_nodez00);
										BgL_testz00_2826 =
											BGl_isazf3zf3zz__objectz00(BgL_arg1970z00_1267,
											BGl_nodez00zzast_nodez00);
									}
								else
									{	/* Ast/occur.scm 66 */
										BgL_testz00_2826 = ((bool_t) 0);
									}
							}
							if (BgL_testz00_2826)
								{	/* Ast/occur.scm 67 */
									obj_t BgL_arg1968z00_1265;

									BgL_arg1968z00_1265 =
										(((BgL_scnstz00_bglt) CREF(
												((BgL_scnstz00_bglt) BgL_valuez00_1263)))->BgL_nodez00);
									BGl_occurzd2nodez12zc0zzast_occurz00(
										((BgL_nodez00_bglt) BgL_arg1968z00_1265));
								}
							else
								{	/* Ast/occur.scm 66 */
									BFALSE;
								}
						}
					}
					if ((((obj_t) BgL_vz00_1262) == BGl_za2globalza2z00zzast_occurz00))
						{	/* Ast/occur.scm 68 */
							return BFALSE;
						}
					else
						{	/* Ast/occur.scm 68 */
							return
								((((BgL_variablez00_bglt) CREF(BgL_vz00_1262))->
									BgL_occurrencez00) =
								((long) ((((BgL_variablez00_bglt) CREF(BgL_vz00_1262))->
											BgL_occurrencez00) + ((long) 1))), BUNSPEC);
		}}}}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_occurz00()
	{
		AN_OBJECT;
		{	/* Ast/occur.scm 17 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2168z00zzast_occurz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2168z00zzast_occurz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 458567972),
				BSTRING_TO_STRING(BGl_string2168z00zzast_occurz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2168z00zzast_occurz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2168z00zzast_occurz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 36886173),
				BSTRING_TO_STRING(BGl_string2168z00zzast_occurz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2168z00zzast_occurz00));
			return
				BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string2168z00zzast_occurz00));
		}
	}

#ifdef __cplusplus
}
#endif
