/*===========================================================================*/
/*   (Cfa/loose.scm)                                                         */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/loose.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
	}                *BgL_approxz00_bglt;


	static obj_t BGl_objectzd2initzd2zzcfa_loosez00();
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(obj_t,
		BgL_approxz00_bglt);
	static obj_t BGl_methodzd2initzd2zzcfa_loosez00();
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_loosezd2allocz12zc0zzcfa_loosez00(BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_loosez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_procedurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_iteratez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_nodez00zzast_nodez00;
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_loosez00();
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2loosez12zc0zzcfa_loosez00(BgL_globalz00_bglt,
		BgL_approxz00_bglt);
	static BgL_approxz00_bglt BGl_z62loosez12z70zzcfa_loosez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_disablezd2Xzd2Tz12z12zzcfa_procedurez00(BgL_approxz00_bglt,
		obj_t);
	extern obj_t BGl_za2cfazd2stampza2zd2zzcfa_iteratez00;
	static obj_t BGl_z62globalzd2loosez12za2zzcfa_loosez00(obj_t, obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_loosez00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zzcfa_loosez00();
	static obj_t BGl_genericzd2initzd2zzcfa_loosez00();
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_loosez12z12zzcfa_loosez00(BgL_approxz00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62loosezd2allocz122702za2zzcfa_loosez00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzcfa_loosez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_loosez00();
	static obj_t BGl_z62loosezd2allocz12za2zzcfa_loosez00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t __cnst[3];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2879z00zzcfa_loosez00,
		BgL_bgl_za762looseza7d2alloc2886z00,
		BGl_z62loosezd2allocz122702za2zzcfa_loosez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2loosez12zd2envz12zzcfa_loosez00,
		BgL_bgl_za762globalza7d2loos2887z00,
		BGl_z62globalzd2loosez12za2zzcfa_loosez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_loosez12zd2envzc0zzcfa_loosez00,
		BgL_bgl_za762looseza712za770za7za72888za7, BGl_z62loosez12z70zzcfa_loosez00,
		0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2878z00zzcfa_loosez00,
		BgL_bgl_string2878za700za7za7c2889za7, "global track is lost", 20);
	      DEFINE_STRING(BGl_string2880z00zzcfa_loosez00,
		BgL_bgl_string2880za700za7za7c2890za7, "loose-alloc!2702", 16);
	      DEFINE_STRING(BGl_string2881z00zzcfa_loosez00,
		BgL_bgl_string2881za700za7za7c2891za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2882z00zzcfa_loosez00,
		BgL_bgl_string2882za700za7za7c2892za7, "cfa_loose", 9);
	      DEFINE_STRING(BGl_string2883z00zzcfa_loosez00,
		BgL_bgl_string2883za700za7za7c2893za7,
		"loose-alloc!2702 all (import export) ", 37);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_loosezd2allocz12zd2envz12zzcfa_loosez00,
		BgL_bgl_za762looseza7d2alloc2894z00,
		BGl_z62loosezd2allocz12za2zzcfa_loosez00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_loosez00(long
		BgL_checksumz00_4383, char *BgL_fromz00_4384)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_loosez00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_loosez00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcfa_loosez00();
					BGl_cnstzd2initzd2zzcfa_loosez00();
					BGl_importedzd2moduleszd2initz00zzcfa_loosez00();
					BGl_genericzd2initzd2zzcfa_loosez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_loosez00()
	{
		AN_OBJECT;
		{	/* Cfa/loose.scm 16 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_loose");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "cfa_loose");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "cfa_loose");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cfa_loose");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"cfa_loose");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_loose");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_loosez00()
	{
		AN_OBJECT;
		{	/* Cfa/loose.scm 16 */
			{	/* Cfa/loose.scm 16 */
				obj_t BgL_cportz00_4375;

				BgL_cportz00_4375 =
					bgl_open_input_string(BGl_string2883z00zzcfa_loosez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_4376;

					BgL_iz00_4376 = ((long) 2);
				BgL_loopz00_4377:
					if ((BgL_iz00_4376 == ((long) -1)))
						{	/* Cfa/loose.scm 16 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/loose.scm 16 */
							{	/* Cfa/loose.scm 16 */
								obj_t BgL_arg2885z00_4379;

								{	/* Cfa/loose.scm 16 */

									{	/* Cfa/loose.scm 16 */
										obj_t BgL_locationz00_4381;

										BgL_locationz00_4381 = BBOOL(((bool_t) 0));
										{	/* Cfa/loose.scm 16 */

											BgL_arg2885z00_4379 =
												BGl_readz00zz__readerz00(BgL_cportz00_4375,
												BgL_locationz00_4381);
										}
									}
								}
								{	/* Cfa/loose.scm 16 */
									int BgL_auxz00_4404;

									BgL_auxz00_4404 = (int) (BgL_iz00_4376);
									CNST_TABLE_SET(BgL_auxz00_4404, BgL_arg2885z00_4379);
							}}
							{	/* Cfa/loose.scm 16 */
								int BgL_auxz00_4382;

								BgL_auxz00_4382 = (int) ((BgL_iz00_4376 - ((long) 1)));
								{
									long BgL_iz00_4409;

									BgL_iz00_4409 = (long) (BgL_auxz00_4382);
									BgL_iz00_4376 = BgL_iz00_4409;
									goto BgL_loopz00_4377;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_loosez00()
	{
		AN_OBJECT;
		{	/* Cfa/loose.scm 16 */
			return BUNSPEC;
		}
	}



/* loose! */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_loosez12z12zzcfa_loosez00(BgL_approxz00_bglt BgL_approxz00_3,
		obj_t BgL_ownerz00_4)
	{
		AN_OBJECT;
		{	/* Cfa/loose.scm 35 */
			if (
				((((BgL_approxz00_bglt) CREF(BgL_approxz00_3))->BgL_lostzd2stampzd2) <
					(long) CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00)))
				{	/* Cfa/loose.scm 38 */
					((((BgL_approxz00_bglt) CREF(BgL_approxz00_3))->BgL_lostzd2stampzd2) =
						((long) (long) CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00)),
						BUNSPEC);
					BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
						(BGl_loosezd2allocz12zd2envz12zzcfa_loosez00, BgL_approxz00_3);
				}
			else
				{	/* Cfa/loose.scm 38 */
					BFALSE;
				}
			return BgL_approxz00_3;
		}
	}



/* &loose! */
	BgL_approxz00_bglt BGl_z62loosez12z70zzcfa_loosez00(obj_t BgL_envz00_4364,
		obj_t BgL_approxz00_4365, obj_t BgL_ownerz00_4366)
	{
		AN_OBJECT;
		{	/* Cfa/loose.scm 35 */
			return
				BGl_loosez12z12zzcfa_loosez00(
				((BgL_approxz00_bglt) BgL_approxz00_4365), BgL_ownerz00_4366);
		}
	}



/* global-loose! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2loosez12zc0zzcfa_loosez00(BgL_globalz00_bglt BgL_globalz00_6,
		BgL_approxz00_bglt BgL_approxz00_7)
	{
		AN_OBJECT;
		{	/* Cfa/loose.scm 58 */
			if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
						(((BgL_globalz00_bglt) CREF(BgL_globalz00_6))->BgL_importz00),
						CNST_TABLE_REF(((long) 0)))))
				{	/* Cfa/loose.scm 61 */
					return
						((obj_t)
						BGl_loosez12z12zzcfa_loosez00(BgL_approxz00_7,
							CNST_TABLE_REF(((long) 1))));
				}
			else
				{	/* Cfa/loose.scm 61 */
					return
						BGl_disablezd2Xzd2Tz12z12zzcfa_procedurez00(BgL_approxz00_7,
						BGl_string2878z00zzcfa_loosez00);
				}
		}
	}



/* &global-loose! */
	obj_t BGl_z62globalzd2loosez12za2zzcfa_loosez00(obj_t BgL_envz00_4369,
		obj_t BgL_globalz00_4370, obj_t BgL_approxz00_4371)
	{
		AN_OBJECT;
		{	/* Cfa/loose.scm 58 */
			return
				BGl_globalzd2loosez12zc0zzcfa_loosez00(
				((BgL_globalz00_bglt) BgL_globalz00_4370),
				((BgL_approxz00_bglt) BgL_approxz00_4371));
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_loosez00()
	{
		AN_OBJECT;
		{	/* Cfa/loose.scm 16 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_loosez00()
	{
		AN_OBJECT;
		{	/* Cfa/loose.scm 16 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_loosezd2allocz12zd2envz12zzcfa_loosez00,
				BGl_proc2879z00zzcfa_loosez00, BGl_nodez00zzast_nodez00,
				BGl_string2880z00zzcfa_loosez00);
		}
	}



/* &loose-alloc!2702 */
	obj_t BGl_z62loosezd2allocz122702za2zzcfa_loosez00(obj_t BgL_envz00_4373,
		obj_t BgL_nodez00_4374)
	{
		AN_OBJECT;
		{	/* Cfa/loose.scm 47 */
			{
				BgL_nodez00_bglt BgL_nodez00_2625;

				BgL_nodez00_2625 = ((BgL_nodez00_bglt) BgL_nodez00_4374);
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 2)),
					BGl_string2881z00zzcfa_loosez00, ((obj_t) BgL_nodez00_2625));
		}}
	}



/* loose-alloc! */
	BGL_EXPORTED_DEF obj_t BGl_loosezd2allocz12zc0zzcfa_loosez00(BgL_nodez00_bglt
		BgL_nodez00_5)
	{
		AN_OBJECT;
		{	/* Cfa/loose.scm 47 */
			{	/* Cfa/loose.scm 47 */
				obj_t BgL_method2703z00_2628;

				{	/* Cfa/loose.scm 47 */
					obj_t BgL_res2877z00_4362;

					{	/* Cfa/loose.scm 47 */
						long BgL_objzd2classzd2numz00_4335;

						{	/* Cfa/loose.scm 47 */
							long BgL_res2871z00_4338;

							BgL_res2871z00_4338 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_5));
							BgL_objzd2classzd2numz00_4335 = BgL_res2871z00_4338;
						}
						{	/* Cfa/loose.scm 47 */
							obj_t BgL_arg1769z00_4336;

							BgL_arg1769z00_4336 =
								PROCEDURE_REF(BGl_loosezd2allocz12zd2envz12zzcfa_loosez00,
								(int) (((long) 1)));
							{	/* Cfa/loose.scm 47 */
								int BgL_offsetz00_4340;

								BgL_offsetz00_4340 = (int) (BgL_objzd2classzd2numz00_4335);
								{	/* Cfa/loose.scm 47 */
									long BgL_offsetz00_4341;

									BgL_offsetz00_4341 =
										((long) (BgL_offsetz00_4340) - OBJECT_TYPE);
									{	/* Cfa/loose.scm 47 */
										long BgL_modz00_4342;

										{	/* Cfa/loose.scm 47 */
											int BgL_arg1771z00_4343;

											BgL_arg1771z00_4343 = (int) (((long) 16));
											{	/* Cfa/loose.scm 47 */
												long BgL_res2874z00_4353;

												{	/* Cfa/loose.scm 47 */
													long BgL_auxz00_4445;

													BgL_auxz00_4445 = (long) (BgL_arg1771z00_4343);
													BgL_res2874z00_4353 =
														(BgL_offsetz00_4341 / BgL_auxz00_4445);
												}
												BgL_modz00_4342 = BgL_res2874z00_4353;
										}}
										{	/* Cfa/loose.scm 47 */
											long BgL_restz00_4344;

											{	/* Cfa/loose.scm 47 */
												int BgL_arg1770z00_4345;

												BgL_arg1770z00_4345 = (int) (((long) 16));
												{	/* Cfa/loose.scm 47 */
													long BgL_res2876z00_4357;

													{	/* Cfa/loose.scm 47 */
														long BgL_auxz00_4449;

														BgL_auxz00_4449 = (long) (BgL_arg1770z00_4345);
														BgL_res2876z00_4357 =
															(BgL_offsetz00_4341 % BgL_auxz00_4449);
													}
													BgL_restz00_4344 = BgL_res2876z00_4357;
											}}
											{	/* Cfa/loose.scm 47 */

												BgL_res2877z00_4362 =
													VECTOR_REF(VECTOR_REF(BgL_arg1769z00_4336,
														(int) (BgL_modz00_4342)), (int) (BgL_restz00_4344));
					}}}}}}}
					BgL_method2703z00_2628 = BgL_res2877z00_4362;
				}
				return
					PROCEDURE_ENTRY(BgL_method2703z00_2628) (BgL_method2703z00_2628,
					((obj_t) BgL_nodez00_5), BEOA);
			}
		}
	}



/* &loose-alloc! */
	obj_t BGl_z62loosezd2allocz12za2zzcfa_loosez00(obj_t BgL_envz00_4367,
		obj_t BgL_nodez00_4368)
	{
		AN_OBJECT;
		{	/* Cfa/loose.scm 47 */
			return
				BGl_loosezd2allocz12zc0zzcfa_loosez00(
				((BgL_nodez00_bglt) BgL_nodez00_4368));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_loosez00()
	{
		AN_OBJECT;
		{	/* Cfa/loose.scm 16 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_loosez00()
	{
		AN_OBJECT;
		{	/* Cfa/loose.scm 16 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2882z00zzcfa_loosez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2882z00zzcfa_loosez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2882z00zzcfa_loosez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2882z00zzcfa_loosez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 458567972),
				BSTRING_TO_STRING(BGl_string2882z00zzcfa_loosez00));
			BGl_modulezd2initializa7ationz75zzcfa_iteratez00(((long) 131412063),
				BSTRING_TO_STRING(BGl_string2882z00zzcfa_loosez00));
			BGl_modulezd2initializa7ationz75zzcfa_setz00(((long) 21528182),
				BSTRING_TO_STRING(BGl_string2882z00zzcfa_loosez00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 125571606),
				BSTRING_TO_STRING(BGl_string2882z00zzcfa_loosez00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string2882z00zzcfa_loosez00));
			BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long) 468997863),
				BSTRING_TO_STRING(BGl_string2882z00zzcfa_loosez00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_procedurez00(((long) 227655313),
				BSTRING_TO_STRING(BGl_string2882z00zzcfa_loosez00));
		}
	}

#ifdef __cplusplus
}
#endif
