/*===========================================================================*/
/*   (Cfa/walk.scm)                                                          */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/walk.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	static obj_t BGl_objectzd2initzd2zzcfa_walkz00();
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzcfa_walkz00();
	extern obj_t BGl_showzd2cfazd2nbzd2iterationszd2zzcfa_showz00();
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_collectzd2allzd2approxz12z12zzcfa_collectz00(obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	extern obj_t BGl_removezd2varzd2zzast_removez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_arithmeticz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_pairz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_specializa7eza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_closurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_showz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_iteratez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setupz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_collectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_shrinkifyz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_removez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_z62cfazd2walkz12za2zzcfa_walkz00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_walkz00();
	BGL_EXPORTED_DECL obj_t BGl_cfazd2walkz12zc0zzcfa_walkz00(obj_t);
	extern obj_t BGl_declarezd2approxzd2setsz12z12zzcfa_approxz00();
	extern obj_t BGl_typezd2settingsz12zc0zzcfa_typez00(obj_t);
	extern obj_t BGl_shrinkifyz12z12zzast_shrinkifyz00(obj_t);
	static obj_t BGl_appendzd221011zd2zzcfa_walkz00(obj_t, obj_t);
	extern obj_t BGl_specializa7ez12zb5zzcfa_specializa7eza7(obj_t);
	extern obj_t BGl_closurezd2optimiza7ationz12z67zzcfa_closurez00(obj_t);
	extern obj_t BGl_vectorzd2ze3tvectorz12z23zzcfa_tvectorz00(obj_t);
	extern obj_t BGl_cfazd2iteratezd2tozd2fixpointz12zc0zzcfa_iteratez00(obj_t);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_walkz00 = BUNSPEC;
	static obj_t BGl_genericzd2initzd2zzcfa_walkz00();
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_setzd2initialzd2approxz12z12zzcfa_setupz00(obj_t);
	extern obj_t BGl_showzd2cfazd2resultsz00zzcfa_showz00(obj_t);
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	static obj_t BGl_cnstzd2initzd2zzcfa_walkz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_walkz00();
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t __cnst[3];


	   
		 
		DEFINE_STRING(BGl_string3237z00zzcfa_walkz00,
		BgL_bgl_string3237za700za7za7c3249za7, "Cfa", 3);
	      DEFINE_STRING(BGl_string3238z00zzcfa_walkz00,
		BgL_bgl_string3238za700za7za7c3250za7, "   . ", 5);
	      DEFINE_STRING(BGl_string3239z00zzcfa_walkz00,
		BgL_bgl_string3239za700za7za7c3251za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string3240z00zzcfa_walkz00,
		BgL_bgl_string3240za700za7za7c3252za7, " error", 6);
	      DEFINE_STRING(BGl_string3241z00zzcfa_walkz00,
		BgL_bgl_string3241za700za7za7c3253za7, "s", 1);
	      DEFINE_STRING(BGl_string3242z00zzcfa_walkz00,
		BgL_bgl_string3242za700za7za7c3254za7, "", 0);
	      DEFINE_STRING(BGl_string3243z00zzcfa_walkz00,
		BgL_bgl_string3243za700za7za7c3255za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string3244z00zzcfa_walkz00,
		BgL_bgl_string3244za700za7za7c3256za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string3245z00zzcfa_walkz00,
		BgL_bgl_string3245za700za7za7c3257za7, "cfa_walk", 8);
	      DEFINE_STRING(BGl_string3246z00zzcfa_walkz00,
		BgL_bgl_string3246za700za7za7c3258za7,
		"(stop-closure-cache unpatch-vector-set! unpatch-pair-set!) (cfa inline) pass-started ",
		85);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfazd2walkz12zd2envz12zzcfa_walkz00,
		BgL_bgl_za762cfaza7d2walkza7123259za7, BGl_z62cfazd2walkz12za2zzcfa_walkz00,
		0L, BUNSPEC, 1);
	extern obj_t BGl_unpatchzd2pairzd2setz12zd2envzc0zzcfa_pairz00;
	extern obj_t BGl_unpatchzd2vectorzd2setz12zd2envzc0zzcfa_tvectorz00;
	extern obj_t BGl_stopzd2closurezd2cachezd2envzd2zzcfa_closurez00;



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_walkz00(long
		BgL_checksumz00_5101, char *BgL_fromz00_5102)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_walkz00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcfa_walkz00();
					BGl_cnstzd2initzd2zzcfa_walkz00();
					BGl_importedzd2moduleszd2initz00zzcfa_walkz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_walkz00()
	{
		AN_OBJECT;
		{	/* Cfa/walk.scm 24 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"cfa_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"cfa_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cfa_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "cfa_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"cfa_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_walk");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_walkz00()
	{
		AN_OBJECT;
		{	/* Cfa/walk.scm 24 */
			{	/* Cfa/walk.scm 24 */
				obj_t BgL_cportz00_5093;

				BgL_cportz00_5093 =
					bgl_open_input_string(BGl_string3246z00zzcfa_walkz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_5094;

					BgL_iz00_5094 = ((long) 2);
				BgL_loopz00_5095:
					if ((BgL_iz00_5094 == ((long) -1)))
						{	/* Cfa/walk.scm 24 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/walk.scm 24 */
							{	/* Cfa/walk.scm 24 */
								obj_t BgL_arg3248z00_5097;

								{	/* Cfa/walk.scm 24 */

									{	/* Cfa/walk.scm 24 */
										obj_t BgL_locationz00_5099;

										BgL_locationz00_5099 = BBOOL(((bool_t) 0));
										{	/* Cfa/walk.scm 24 */

											BgL_arg3248z00_5097 =
												BGl_readz00zz__readerz00(BgL_cportz00_5093,
												BgL_locationz00_5099);
										}
									}
								}
								{	/* Cfa/walk.scm 24 */
									int BgL_auxz00_5122;

									BgL_auxz00_5122 = (int) (BgL_iz00_5094);
									CNST_TABLE_SET(BgL_auxz00_5122, BgL_arg3248z00_5097);
							}}
							{	/* Cfa/walk.scm 24 */
								int BgL_auxz00_5100;

								BgL_auxz00_5100 = (int) ((BgL_iz00_5094 - ((long) 1)));
								{
									long BgL_iz00_5127;

									BgL_iz00_5127 = (long) (BgL_auxz00_5100);
									BgL_iz00_5094 = BgL_iz00_5127;
									goto BgL_loopz00_5095;
								}
							}
						}
				}
			}
		}
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzcfa_walkz00(obj_t BgL_l1z00_1, obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_3023;

				BgL_headz00_3023 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_3024;
					obj_t BgL_tailz00_3025;

					BgL_prevz00_3024 = BgL_headz00_3023;
					BgL_tailz00_3025 = BgL_l1z00_1;
				BgL_loopz00_3026:
					if (PAIRP(BgL_tailz00_3025))
						{
							obj_t BgL_newzd2prevzd2_3028;

							BgL_newzd2prevzd2_3028 =
								MAKE_PAIR(CAR(BgL_tailz00_3025), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_3024, BgL_newzd2prevzd2_3028);
							{
								obj_t BgL_tailz00_5136;
								obj_t BgL_prevz00_5135;

								BgL_prevz00_5135 = BgL_newzd2prevzd2_3028;
								BgL_tailz00_5136 = CDR(BgL_tailz00_3025);
								BgL_tailz00_3025 = BgL_tailz00_5136;
								BgL_prevz00_3024 = BgL_prevz00_5135;
								goto BgL_loopz00_3026;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_3023);
				}
			}
		}
	}



/* cfa-walk! */
	BGL_EXPORTED_DEF obj_t BGl_cfazd2walkz12zc0zzcfa_walkz00(obj_t
		BgL_globalsz00_3)
	{
		AN_OBJECT;
		{	/* Cfa/walk.scm 61 */
			{	/* Cfa/walk.scm 62 */
				obj_t BgL_list2976z00_3031;

				{	/* Cfa/walk.scm 62 */
					obj_t BgL_arg2977z00_3032;

					{	/* Cfa/walk.scm 62 */
						obj_t BgL_arg2978z00_3033;

						BgL_arg2978z00_3033 =
							MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
						BgL_arg2977z00_3032 =
							MAKE_PAIR(BGl_string3237z00zzcfa_walkz00, BgL_arg2978z00_3033);
					}
					BgL_list2976z00_3031 =
						MAKE_PAIR(BGl_string3238z00zzcfa_walkz00, BgL_arg2977z00_3032);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list2976z00_3031);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string3237z00zzcfa_walkz00;
			{
				obj_t BgL_hooksz00_3037;
				obj_t BgL_hnamesz00_3038;

				BgL_hooksz00_3037 = BNIL;
				BgL_hnamesz00_3038 = BNIL;
			BgL_zc3anonymousza32979ze3z83_3039:
				if (NULLP(BgL_hooksz00_3037))
					{	/* Cfa/walk.scm 62 */
						CNST_TABLE_REF(((long) 0));
					}
				else
					{	/* Cfa/walk.scm 62 */
						bool_t BgL_testz00_5149;

						{	/* Cfa/walk.scm 62 */
							obj_t BgL_fun2986z00_3045;

							BgL_fun2986z00_3045 = CAR(BgL_hooksz00_3037);
							BgL_testz00_5149 =
								CBOOL(PROCEDURE_ENTRY(BgL_fun2986z00_3045) (BgL_fun2986z00_3045,
									BEOA));
						}
						if (BgL_testz00_5149)
							{
								obj_t BgL_hnamesz00_5157;
								obj_t BgL_hooksz00_5155;

								BgL_hooksz00_5155 = CDR(BgL_hooksz00_3037);
								BgL_hnamesz00_5157 = CDR(BgL_hnamesz00_3038);
								BgL_hnamesz00_3038 = BgL_hnamesz00_5157;
								BgL_hooksz00_3037 = BgL_hooksz00_5155;
								goto BgL_zc3anonymousza32979ze3z83_3039;
							}
						else
							{	/* Cfa/walk.scm 62 */
								BGl_internalzd2errorzd2zztools_errorz00
									(BGl_string3237z00zzcfa_walkz00,
									BGl_string3239z00zzcfa_walkz00, CAR(BgL_hnamesz00_3038));
							}
					}
			}
			BGl_collectzd2allzd2approxz12z12zzcfa_collectz00(BgL_globalsz00_3);
			BGl_declarezd2approxzd2setsz12z12zzcfa_approxz00();
			BGl_setzd2initialzd2approxz12z12zzcfa_setupz00(BgL_globalsz00_3);
			{	/* Cfa/walk.scm 73 */
				obj_t BgL_iterationzd2rootszd2_3048;

				BgL_iterationzd2rootszd2_3048 =
					BGl_cfazd2iteratezd2tozd2fixpointz12zc0zzcfa_iteratez00
					(BgL_globalsz00_3);
				BGl_showzd2cfazd2nbzd2iterationszd2zzcfa_showz00();
				{	/* Cfa/walk.scm 77 */
					obj_t BgL_globalsz00_3049;

					BgL_globalsz00_3049 =
						BGl_removezd2varzd2zzast_removez00(CNST_TABLE_REF(((long) 1)),
						BgL_globalsz00_3);
					BGl_showzd2cfazd2resultsz00zzcfa_showz00(BgL_globalsz00_3049);
					{	/* Cfa/walk.scm 81 */
						obj_t BgL_additionalz00_3050;

						BgL_additionalz00_3050 =
							BGl_vectorzd2ze3tvectorz12z23zzcfa_tvectorz00
							(BgL_globalsz00_3049);
						BGl_closurezd2optimiza7ationz12z67zzcfa_closurez00
							(BgL_globalsz00_3049);
						BGl_typezd2settingsz12zc0zzcfa_typez00(BgL_globalsz00_3049);
						BGl_specializa7ez12zb5zzcfa_specializa7eza7(BgL_globalsz00_3049);
						{	/* Cfa/walk.scm 89 */
							obj_t BgL_valuez00_3051;

							BgL_valuez00_3051 =
								BGl_shrinkifyz12z12zzast_shrinkifyz00
								(BGl_appendzd221011zd2zzcfa_walkz00(BgL_additionalz00_3050,
									BgL_globalsz00_3049));
							if (((long)
									CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
									((long) 0)))
								{	/* Cfa/walk.scm 89 */
									{	/* Cfa/walk.scm 89 */
										obj_t BgL_port2972z00_3053;

										{	/* Cfa/walk.scm 89 */
											obj_t BgL_res3232z00_5069;

											{	/* Cfa/walk.scm 89 */
												obj_t BgL_auxz00_5178;

												BgL_auxz00_5178 = BGL_CURRENT_DYNAMIC_ENV();
												BgL_res3232z00_5069 =
													BGL_ENV_CURRENT_ERROR_PORT(BgL_auxz00_5178);
											}
											BgL_port2972z00_3053 = BgL_res3232z00_5069;
										}
										bgl_display_obj
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
											BgL_port2972z00_3053);
										bgl_display_string(BGl_string3240z00zzcfa_walkz00,
											BgL_port2972z00_3053);
										{	/* Cfa/walk.scm 89 */
											obj_t BgL_arg2991z00_3054;

											{	/* Cfa/walk.scm 89 */
												bool_t BgL_testz00_5183;

												if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
													{	/* Cfa/walk.scm 89 */
														if (INTEGERP
															(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
															{	/* Cfa/walk.scm 89 */
																BgL_testz00_5183 =
																	(
																	(long)
																	CINT
																	(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
																	> ((long) 1));
															}
														else
															{	/* Cfa/walk.scm 89 */
																BgL_testz00_5183 =
																	BGl_2ze3ze3zz__r4_numbers_6_5z00
																	(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
																	BINT(((long) 1)));
													}}
												else
													{	/* Cfa/walk.scm 89 */
														BgL_testz00_5183 = ((bool_t) 0);
													}
												if (BgL_testz00_5183)
													{	/* Cfa/walk.scm 89 */
														BgL_arg2991z00_3054 =
															BGl_string3241z00zzcfa_walkz00;
													}
												else
													{	/* Cfa/walk.scm 89 */
														BgL_arg2991z00_3054 =
															BGl_string3242z00zzcfa_walkz00;
													}
											}
											bgl_display_obj(BgL_arg2991z00_3054,
												BgL_port2972z00_3053);
										}
										bgl_display_string(BGl_string3243z00zzcfa_walkz00,
											BgL_port2972z00_3053);
										bgl_display_char(((unsigned char) '\n'),
											BgL_port2972z00_3053);
									}
									{	/* Cfa/walk.scm 89 */
										obj_t BgL_list2995z00_3058;

										BgL_list2995z00_3058 = MAKE_PAIR(BINT(((long) -1)), BNIL);
										return BGl_exitz00zz__errorz00(BgL_list2995z00_3058);
									}
								}
							else
								{	/* Cfa/walk.scm 89 */
									obj_t BgL_g1167z00_3059;
									obj_t BgL_g1168z00_3060;

									{	/* Cfa/walk.scm 89 */
										obj_t BgL_list3005z00_3072;

										{	/* Cfa/walk.scm 89 */
											obj_t BgL_arg3006z00_3073;

											{	/* Cfa/walk.scm 89 */
												obj_t BgL_arg3009z00_3074;

												BgL_arg3009z00_3074 =
													MAKE_PAIR
													(BGl_unpatchzd2pairzd2setz12zd2envzc0zzcfa_pairz00,
													BNIL);
												BgL_arg3006z00_3073 =
													MAKE_PAIR
													(BGl_unpatchzd2vectorzd2setz12zd2envzc0zzcfa_tvectorz00,
													BgL_arg3009z00_3074);
											}
											BgL_list3005z00_3072 =
												MAKE_PAIR
												(BGl_stopzd2closurezd2cachezd2envzd2zzcfa_closurez00,
												BgL_arg3006z00_3073);
										}
										BgL_g1167z00_3059 = BgL_list3005z00_3072;
									}
									BgL_g1168z00_3060 = CNST_TABLE_REF(((long) 2));
									{
										obj_t BgL_hooksz00_3062;
										obj_t BgL_hnamesz00_3063;

										BgL_hooksz00_3062 = BgL_g1167z00_3059;
										BgL_hnamesz00_3063 = BgL_g1168z00_3060;
									BgL_zc3anonymousza32996ze3z83_3064:
										if (NULLP(BgL_hooksz00_3062))
											{	/* Cfa/walk.scm 89 */
												return BgL_valuez00_3051;
											}
										else
											{	/* Cfa/walk.scm 89 */
												bool_t BgL_testz00_5204;

												{	/* Cfa/walk.scm 89 */
													obj_t BgL_fun3004z00_3070;

													BgL_fun3004z00_3070 = CAR(BgL_hooksz00_3062);
													BgL_testz00_5204 =
														CBOOL(PROCEDURE_ENTRY(BgL_fun3004z00_3070)
														(BgL_fun3004z00_3070, BEOA));
												}
												if (BgL_testz00_5204)
													{
														obj_t BgL_hnamesz00_5212;
														obj_t BgL_hooksz00_5210;

														BgL_hooksz00_5210 = CDR(BgL_hooksz00_3062);
														BgL_hnamesz00_5212 = CDR(BgL_hnamesz00_3063);
														BgL_hnamesz00_3063 = BgL_hnamesz00_5212;
														BgL_hooksz00_3062 = BgL_hooksz00_5210;
														goto BgL_zc3anonymousza32996ze3z83_3064;
													}
												else
													{	/* Cfa/walk.scm 89 */
														obj_t BgL_arg3003z00_3069;

														BgL_arg3003z00_3069 = CAR(BgL_hnamesz00_3063);
														return
															BGl_internalzd2errorzd2zztools_errorz00
															(BGl_za2currentzd2passza2zd2zzengine_passz00,
															BGl_string3244z00zzcfa_walkz00,
															BgL_arg3003z00_3069);
													}
											}
									}
								}
						}
					}
				}
			}
		}
	}



/* &cfa-walk! */
	obj_t BGl_z62cfazd2walkz12za2zzcfa_walkz00(obj_t BgL_envz00_5088,
		obj_t BgL_globalsz00_5089)
	{
		AN_OBJECT;
		{	/* Cfa/walk.scm 61 */
			return BGl_cfazd2walkz12zc0zzcfa_walkz00(BgL_globalsz00_5089);
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_walkz00()
	{
		AN_OBJECT;
		{	/* Cfa/walk.scm 24 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_walkz00()
	{
		AN_OBJECT;
		{	/* Cfa/walk.scm 24 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_walkz00()
	{
		AN_OBJECT;
		{	/* Cfa/walk.scm 24 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_walkz00()
	{
		AN_OBJECT;
		{	/* Cfa/walk.scm 24 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string3245z00zzcfa_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string3245z00zzcfa_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string3245z00zzcfa_walkz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string3245z00zzcfa_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string3245z00zzcfa_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 328744326),
				BSTRING_TO_STRING(BGl_string3245z00zzcfa_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string3245z00zzcfa_walkz00));
			BGl_modulezd2initializa7ationz75zzast_removez00(((long) 383247627),
				BSTRING_TO_STRING(BGl_string3245z00zzcfa_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string3245z00zzcfa_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 458567972),
				BSTRING_TO_STRING(BGl_string3245z00zzcfa_walkz00));
			BGl_modulezd2initializa7ationz75zzast_shrinkifyz00(((long) 393828111),
				BSTRING_TO_STRING(BGl_string3245z00zzcfa_walkz00));
			BGl_modulezd2initializa7ationz75zzcfa_collectz00(((long) 220306886),
				BSTRING_TO_STRING(BGl_string3245z00zzcfa_walkz00));
			BGl_modulezd2initializa7ationz75zzcfa_setupz00(((long) 168272122),
				BSTRING_TO_STRING(BGl_string3245z00zzcfa_walkz00));
			BGl_modulezd2initializa7ationz75zzcfa_iteratez00(((long) 131412063),
				BSTRING_TO_STRING(BGl_string3245z00zzcfa_walkz00));
			BGl_modulezd2initializa7ationz75zzcfa_showz00(((long) 391833753),
				BSTRING_TO_STRING(BGl_string3245z00zzcfa_walkz00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 125571606),
				BSTRING_TO_STRING(BGl_string3245z00zzcfa_walkz00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string3245z00zzcfa_walkz00));
			BGl_modulezd2initializa7ationz75zzcfa_info3z00(((long) 0),
				BSTRING_TO_STRING(BGl_string3245z00zzcfa_walkz00));
			BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long) 468997863),
				BSTRING_TO_STRING(BGl_string3245z00zzcfa_walkz00));
			BGl_modulezd2initializa7ationz75zzcfa_typez00(((long) 235802177),
				BSTRING_TO_STRING(BGl_string3245z00zzcfa_walkz00));
			BGl_modulezd2initializa7ationz75zzcfa_closurez00(((long) 189402713),
				BSTRING_TO_STRING(BGl_string3245z00zzcfa_walkz00));
			BGl_modulezd2initializa7ationz75zzcfa_specializa7eza7(((long) 374743292),
				BSTRING_TO_STRING(BGl_string3245z00zzcfa_walkz00));
			BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(((long) 324810626),
				BSTRING_TO_STRING(BGl_string3245z00zzcfa_walkz00));
			BGl_modulezd2initializa7ationz75zzcfa_pairz00(((long) 37668556),
				BSTRING_TO_STRING(BGl_string3245z00zzcfa_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_arithmeticz00(((long) 185547682),
				BSTRING_TO_STRING(BGl_string3245z00zzcfa_walkz00));
		}
	}

#ifdef __cplusplus
}
#endif
