/*===========================================================================*/
/*   (Coerce/walk.scm)                                                       */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Coerce/walk.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;


	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_getzd2stackzd2checkz00zzcoerce_convertz00();
	static obj_t BGl_objectzd2initzd2zzcoerce_walkz00();
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzcoerce_walkz00();
	BGL_EXPORTED_DECL obj_t BGl_coercezd2walkz12zc0zzcoerce_walkz00(obj_t);
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	extern obj_t BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	extern obj_t BGl_resetzd2ppmargez12zc0zzcoerce_pprotoz00();
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t BGl_z62coercezd2walkz12za2zzcoerce_walkz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcoerce_walkz00 = BUNSPEC;
	extern obj_t BGl_pvariablezd2protozd2zzcoerce_pprotoz00(long,
		BgL_variablez00_bglt);
	extern obj_t BGl_funz00zzast_varz00;
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzcoerce_walkz00();
	extern obj_t BGl_leavezd2functionzd2zztools_errorz00();
	extern obj_t
		BGl_coercezd2functionz12zc0zzcoerce_coercez00(BgL_variablez00_bglt, bool_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	extern obj_t BGl_removezd2varzd2zzast_removez00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31808ze3ze1zzcoerce_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcoerce_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_convertz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_pprotoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_removez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_cnstzd2initzd2zzcoerce_walkz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_walkz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzcoerce_walkz00();
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t __cnst[4];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1900z00zzcoerce_walkz00,
		BgL_bgl_za762za7c3anonymousza71911za7,
		BGl_z62zc3anonymousza31808ze3ze1zzcoerce_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1897z00zzcoerce_walkz00,
		BgL_bgl_string1897za700za7za7c1912za7, "Coercions & Checks", 18);
	      DEFINE_STRING(BGl_string1898z00zzcoerce_walkz00,
		BgL_bgl_string1898za700za7za7c1913za7, "   . ", 5);
	      DEFINE_STRING(BGl_string1899z00zzcoerce_walkz00,
		BgL_bgl_string1899za700za7za7c1914za7, "failure during prelude hook", 27);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_coercezd2walkz12zd2envz12zzcoerce_walkz00,
		BgL_bgl_za762coerceza7d2walk1915z00,
		BGl_z62coercezd2walkz12za2zzcoerce_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1901z00zzcoerce_walkz00,
		BgL_bgl_string1901za700za7za7c1916za7, "      type tests introduced: ", 29);
	      DEFINE_STRING(BGl_string1902z00zzcoerce_walkz00,
		BgL_bgl_string1902za700za7za7c1917za7, " error", 6);
	      DEFINE_STRING(BGl_string1903z00zzcoerce_walkz00,
		BgL_bgl_string1903za700za7za7c1918za7, "s", 1);
	      DEFINE_STRING(BGl_string1904z00zzcoerce_walkz00,
		BgL_bgl_string1904za700za7za7c1919za7, "", 0);
	      DEFINE_STRING(BGl_string1905z00zzcoerce_walkz00,
		BgL_bgl_string1905za700za7za7c1920za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string1906z00zzcoerce_walkz00,
		BgL_bgl_string1906za700za7za7c1921za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string1907z00zzcoerce_walkz00,
		BgL_bgl_string1907za700za7za7c1922za7, "coerce_walk", 11);
	      DEFINE_STRING(BGl_string1908z00zzcoerce_walkz00,
		BgL_bgl_string1908za700za7za7c1923za7, "export static coerce pass-started ",
		34);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcoerce_walkz00(long
		BgL_checksumz00_2056, char *BgL_fromz00_2057)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcoerce_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzcoerce_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcoerce_walkz00();
					BGl_cnstzd2initzd2zzcoerce_walkz00();
					BGl_importedzd2moduleszd2initz00zzcoerce_walkz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_walkz00()
	{
		AN_OBJECT;
		{	/* Coerce/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"coerce_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"coerce_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"coerce_walk");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "coerce_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "coerce_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "coerce_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"coerce_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"coerce_walk");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcoerce_walkz00()
	{
		AN_OBJECT;
		{	/* Coerce/walk.scm 15 */
			{	/* Coerce/walk.scm 15 */
				obj_t BgL_cportz00_2048;

				BgL_cportz00_2048 =
					bgl_open_input_string(BGl_string1908z00zzcoerce_walkz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2049;

					BgL_iz00_2049 = ((long) 3);
				BgL_loopz00_2050:
					if ((BgL_iz00_2049 == ((long) -1)))
						{	/* Coerce/walk.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Coerce/walk.scm 15 */
							{	/* Coerce/walk.scm 15 */
								obj_t BgL_arg1910z00_2052;

								{	/* Coerce/walk.scm 15 */

									{	/* Coerce/walk.scm 15 */
										obj_t BgL_locationz00_2054;

										BgL_locationz00_2054 = BBOOL(((bool_t) 0));
										{	/* Coerce/walk.scm 15 */

											BgL_arg1910z00_2052 =
												BGl_readz00zz__readerz00(BgL_cportz00_2048,
												BgL_locationz00_2054);
										}
									}
								}
								{	/* Coerce/walk.scm 15 */
									int BgL_auxz00_2078;

									BgL_auxz00_2078 = (int) (BgL_iz00_2049);
									CNST_TABLE_SET(BgL_auxz00_2078, BgL_arg1910z00_2052);
							}}
							{	/* Coerce/walk.scm 15 */
								int BgL_auxz00_2055;

								BgL_auxz00_2055 = (int) ((BgL_iz00_2049 - ((long) 1)));
								{
									long BgL_iz00_2083;

									BgL_iz00_2083 = (long) (BgL_auxz00_2055);
									BgL_iz00_2049 = BgL_iz00_2083;
									goto BgL_loopz00_2050;
								}
							}
						}
				}
			}
		}
	}



/* coerce-walk! */
	BGL_EXPORTED_DEF obj_t BGl_coercezd2walkz12zc0zzcoerce_walkz00(obj_t
		BgL_astz00_3)
	{
		AN_OBJECT;
		{	/* Coerce/walk.scm 35 */
			{	/* Coerce/walk.scm 36 */
				obj_t BgL_list1789z00_1209;

				{	/* Coerce/walk.scm 36 */
					obj_t BgL_arg1790z00_1210;

					{	/* Coerce/walk.scm 36 */
						obj_t BgL_arg1791z00_1211;

						BgL_arg1791z00_1211 =
							MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
						BgL_arg1790z00_1210 =
							MAKE_PAIR(BGl_string1897z00zzcoerce_walkz00, BgL_arg1791z00_1211);
					}
					BgL_list1789z00_1209 =
						MAKE_PAIR(BGl_string1898z00zzcoerce_walkz00, BgL_arg1790z00_1210);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list1789z00_1209);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string1897z00zzcoerce_walkz00;
			{
				obj_t BgL_hooksz00_1215;
				obj_t BgL_hnamesz00_1216;

				BgL_hooksz00_1215 = BNIL;
				BgL_hnamesz00_1216 = BNIL;
			BgL_zc3anonymousza31792ze3z83_1217:
				if (NULLP(BgL_hooksz00_1215))
					{	/* Coerce/walk.scm 36 */
						CNST_TABLE_REF(((long) 0));
					}
				else
					{	/* Coerce/walk.scm 36 */
						bool_t BgL_testz00_2095;

						{	/* Coerce/walk.scm 36 */
							obj_t BgL_fun1798z00_1223;

							BgL_fun1798z00_1223 = CAR(BgL_hooksz00_1215);
							BgL_testz00_2095 =
								CBOOL(PROCEDURE_ENTRY(BgL_fun1798z00_1223) (BgL_fun1798z00_1223,
									BEOA));
						}
						if (BgL_testz00_2095)
							{
								obj_t BgL_hnamesz00_2103;
								obj_t BgL_hooksz00_2101;

								BgL_hooksz00_2101 = CDR(BgL_hooksz00_1215);
								BgL_hnamesz00_2103 = CDR(BgL_hnamesz00_1216);
								BgL_hnamesz00_1216 = BgL_hnamesz00_2103;
								BgL_hooksz00_1215 = BgL_hooksz00_2101;
								goto BgL_zc3anonymousza31792ze3z83_1217;
							}
						else
							{	/* Coerce/walk.scm 36 */
								BGl_internalzd2errorzd2zztools_errorz00
									(BGl_string1897z00zzcoerce_walkz00,
									BGl_string1899z00zzcoerce_walkz00, CAR(BgL_hnamesz00_1216));
							}
					}
			}
			{
				obj_t BgL_l1783z00_1227;

				BgL_l1783z00_1227 = BgL_astz00_3;
			BgL_zc3anonymousza31800ze3z83_1228:
				if (PAIRP(BgL_l1783z00_1227))
					{	/* Coerce/walk.scm 37 */
						{	/* Coerce/walk.scm 38 */
							obj_t BgL_globalz00_1230;

							BgL_globalz00_1230 = CAR(BgL_l1783z00_1227);
							BGl_resetzd2ppmargez12zc0zzcoerce_pprotoz00();
							{	/* Coerce/walk.scm 39 */
								obj_t BgL_arg1802z00_1231;

								BgL_arg1802z00_1231 =
									(((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_globalz00_1230))))->
									BgL_idz00);
								BGl_enterzd2functionzd2zztools_errorz00(BgL_arg1802z00_1231);
							}
							{	/* Coerce/walk.scm 40 */
								bool_t BgL_arg1803z00_1232;

								if (CBOOL(BGl_za2unsafezd2typeza2zd2zzengine_paramz00))
									{	/* Coerce/walk.scm 40 */
										BgL_arg1803z00_1232 = ((bool_t) 0);
									}
								else
									{	/* Coerce/walk.scm 40 */
										BgL_arg1803z00_1232 = ((bool_t) 1);
									}
								BGl_coercezd2functionz12zc0zzcoerce_coercez00(
									((BgL_variablez00_bglt) BgL_globalz00_1230),
									BgL_arg1803z00_1232);
							}
							BGl_leavezd2functionzd2zztools_errorz00();
						}
						{
							obj_t BgL_l1783z00_2120;

							BgL_l1783z00_2120 = CDR(BgL_l1783z00_1227);
							BgL_l1783z00_1227 = BgL_l1783z00_2120;
							goto BgL_zc3anonymousza31800ze3z83_1228;
						}
					}
				else
					{	/* Coerce/walk.scm 37 */
						((bool_t) 1);
					}
			}
			BGl_resetzd2ppmargez12zc0zzcoerce_pprotoz00();
			BGl_forzd2eachzd2globalz12z12zzast_envz00(BGl_proc1900z00zzcoerce_walkz00,
				BNIL);
			{	/* Coerce/walk.scm 49 */
				obj_t BgL_arg1814z00_1246;

				BgL_arg1814z00_1246 = BGl_getzd2stackzd2checkz00zzcoerce_convertz00();
				{	/* Coerce/walk.scm 49 */
					obj_t BgL_list1815z00_1247;

					{	/* Coerce/walk.scm 49 */
						obj_t BgL_arg1816z00_1248;

						{	/* Coerce/walk.scm 49 */
							obj_t BgL_arg1817z00_1249;

							BgL_arg1817z00_1249 =
								MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
							BgL_arg1816z00_1248 =
								MAKE_PAIR(BgL_arg1814z00_1246, BgL_arg1817z00_1249);
						}
						BgL_list1815z00_1247 =
							MAKE_PAIR(BGl_string1901z00zzcoerce_walkz00, BgL_arg1816z00_1248);
					}
					BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
						BgL_list1815z00_1247);
			}}
			{	/* Coerce/walk.scm 50 */
				obj_t BgL_valuez00_1250;

				BgL_valuez00_1250 =
					BGl_removezd2varzd2zzast_removez00(CNST_TABLE_REF(((long) 1)),
					BgL_astz00_3);
				if (((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
						((long) 0)))
					{	/* Coerce/walk.scm 50 */
						{	/* Coerce/walk.scm 50 */
							obj_t BgL_port1785z00_1252;

							{	/* Coerce/walk.scm 50 */
								obj_t BgL_res1892z00_2021;

								{	/* Coerce/walk.scm 50 */
									obj_t BgL_auxz00_2136;

									BgL_auxz00_2136 = BGL_CURRENT_DYNAMIC_ENV();
									BgL_res1892z00_2021 =
										BGL_ENV_CURRENT_ERROR_PORT(BgL_auxz00_2136);
								}
								BgL_port1785z00_1252 = BgL_res1892z00_2021;
							}
							bgl_display_obj
								(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
								BgL_port1785z00_1252);
							bgl_display_string(BGl_string1902z00zzcoerce_walkz00,
								BgL_port1785z00_1252);
							{	/* Coerce/walk.scm 50 */
								obj_t BgL_arg1819z00_1253;

								{	/* Coerce/walk.scm 50 */
									bool_t BgL_testz00_2141;

									if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
										(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
										{	/* Coerce/walk.scm 50 */
											if (INTEGERP
												(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
												{	/* Coerce/walk.scm 50 */
													BgL_testz00_2141 =
														(
														(long)
														CINT
														(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
														> ((long) 1));
												}
											else
												{	/* Coerce/walk.scm 50 */
													BgL_testz00_2141 =
														BGl_2ze3ze3zz__r4_numbers_6_5z00
														(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
														BINT(((long) 1)));
										}}
									else
										{	/* Coerce/walk.scm 50 */
											BgL_testz00_2141 = ((bool_t) 0);
										}
									if (BgL_testz00_2141)
										{	/* Coerce/walk.scm 50 */
											BgL_arg1819z00_1253 = BGl_string1903z00zzcoerce_walkz00;
										}
									else
										{	/* Coerce/walk.scm 50 */
											BgL_arg1819z00_1253 = BGl_string1904z00zzcoerce_walkz00;
										}
								}
								bgl_display_obj(BgL_arg1819z00_1253, BgL_port1785z00_1252);
							}
							bgl_display_string(BGl_string1905z00zzcoerce_walkz00,
								BgL_port1785z00_1252);
							bgl_display_char(((unsigned char) '\n'), BgL_port1785z00_1252);
						}
						{	/* Coerce/walk.scm 50 */
							obj_t BgL_list1823z00_1257;

							BgL_list1823z00_1257 = MAKE_PAIR(BINT(((long) -1)), BNIL);
							return BGl_exitz00zz__errorz00(BgL_list1823z00_1257);
						}
					}
				else
					{
						obj_t BgL_hooksz00_1261;
						obj_t BgL_hnamesz00_1262;

						BgL_hooksz00_1261 = BNIL;
						BgL_hnamesz00_1262 = BNIL;
					BgL_zc3anonymousza31824ze3z83_1263:
						if (NULLP(BgL_hooksz00_1261))
							{	/* Coerce/walk.scm 50 */
								return BgL_valuez00_1250;
							}
						else
							{	/* Coerce/walk.scm 50 */
								bool_t BgL_testz00_2158;

								{	/* Coerce/walk.scm 50 */
									obj_t BgL_fun1831z00_1269;

									BgL_fun1831z00_1269 = CAR(BgL_hooksz00_1261);
									BgL_testz00_2158 =
										CBOOL(PROCEDURE_ENTRY(BgL_fun1831z00_1269)
										(BgL_fun1831z00_1269, BEOA));
								}
								if (BgL_testz00_2158)
									{
										obj_t BgL_hnamesz00_2166;
										obj_t BgL_hooksz00_2164;

										BgL_hooksz00_2164 = CDR(BgL_hooksz00_1261);
										BgL_hnamesz00_2166 = CDR(BgL_hnamesz00_1262);
										BgL_hnamesz00_1262 = BgL_hnamesz00_2166;
										BgL_hooksz00_1261 = BgL_hooksz00_2164;
										goto BgL_zc3anonymousza31824ze3z83_1263;
									}
								else
									{	/* Coerce/walk.scm 50 */
										obj_t BgL_arg1830z00_1268;

										BgL_arg1830z00_1268 = CAR(BgL_hnamesz00_1262);
										return
											BGl_internalzd2errorzd2zztools_errorz00
											(BGl_za2currentzd2passza2zd2zzengine_passz00,
											BGl_string1906z00zzcoerce_walkz00, BgL_arg1830z00_1268);
									}
							}
					}
			}
		}
	}



/* &coerce-walk! */
	obj_t BGl_z62coercezd2walkz12za2zzcoerce_walkz00(obj_t BgL_envz00_2044,
		obj_t BgL_astz00_2045)
	{
		AN_OBJECT;
		{	/* Coerce/walk.scm 35 */
			return BGl_coercezd2walkz12zc0zzcoerce_walkz00(BgL_astz00_2045);
		}
	}



/* &<anonymous:1808> */
	obj_t BGl_z62zc3anonymousza31808ze3ze1zzcoerce_walkz00(obj_t BgL_envz00_2046,
		obj_t BgL_globalz00_2047)
	{
		AN_OBJECT;
		{	/* Coerce/walk.scm 44 */
			{
				obj_t BgL_globalz00_1237;

				BgL_globalz00_1237 = BgL_globalz00_2047;
				{	/* Coerce/walk.scm 45 */
					bool_t BgL_testz00_2171;

					{	/* Coerce/walk.scm 45 */
						bool_t BgL_testz00_2172;

						{	/* Coerce/walk.scm 45 */
							BgL_valuez00_bglt BgL_arg1813z00_1244;

							BgL_arg1813z00_1244 =
								(((BgL_variablez00_bglt) CREF(
										((BgL_variablez00_bglt)
											((BgL_globalz00_bglt) BgL_globalz00_1237))))->
								BgL_valuez00);
							{	/* Coerce/walk.scm 45 */
								bool_t BgL_res1890z00_2012;

								BgL_res1890z00_2012 =
									BGl_isazf3zf3zz__objectz00(
									((obj_t) BgL_arg1813z00_1244), BGl_funz00zzast_varz00);
								BgL_testz00_2172 = BgL_res1890z00_2012;
							}
						}
						if (BgL_testz00_2172)
							{	/* Coerce/walk.scm 45 */
								BgL_testz00_2171 = ((bool_t) 0);
							}
						else
							{	/* Coerce/walk.scm 46 */
								bool_t BgL__ortest_1104z00_1241;

								BgL__ortest_1104z00_1241 =
									(
									(((BgL_globalz00_bglt) CREF(
												((BgL_globalz00_bglt) BgL_globalz00_1237)))->
										BgL_importz00) == CNST_TABLE_REF(((long) 2)));
								if (BgL__ortest_1104z00_1241)
									{	/* Coerce/walk.scm 46 */
										BgL_testz00_2171 = BgL__ortest_1104z00_1241;
									}
								else
									{	/* Coerce/walk.scm 46 */
										BgL_testz00_2171 =
											(
											(((BgL_globalz00_bglt) CREF(
														((BgL_globalz00_bglt) BgL_globalz00_1237)))->
												BgL_importz00) == CNST_TABLE_REF(((long) 3)));
					}}}
					if (BgL_testz00_2171)
						{	/* Coerce/walk.scm 45 */
							return
								BGl_pvariablezd2protozd2zzcoerce_pprotoz00(((long) 3),
								((BgL_variablez00_bglt) BgL_globalz00_1237));
						}
					else
						{	/* Coerce/walk.scm 45 */
							return BFALSE;
						}
				}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcoerce_walkz00()
	{
		AN_OBJECT;
		{	/* Coerce/walk.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcoerce_walkz00()
	{
		AN_OBJECT;
		{	/* Coerce/walk.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcoerce_walkz00()
	{
		AN_OBJECT;
		{	/* Coerce/walk.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcoerce_walkz00()
	{
		AN_OBJECT;
		{	/* Coerce/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1907z00zzcoerce_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1907z00zzcoerce_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string1907z00zzcoerce_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1907z00zzcoerce_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1907z00zzcoerce_walkz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 164192787),
				BSTRING_TO_STRING(BGl_string1907z00zzcoerce_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 328744326),
				BSTRING_TO_STRING(BGl_string1907z00zzcoerce_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1907z00zzcoerce_walkz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string1907z00zzcoerce_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 458567972),
				BSTRING_TO_STRING(BGl_string1907z00zzcoerce_walkz00));
			BGl_modulezd2initializa7ationz75zzast_removez00(((long) 383247627),
				BSTRING_TO_STRING(BGl_string1907z00zzcoerce_walkz00));
			BGl_modulezd2initializa7ationz75zzcoerce_pprotoz00(((long) 44915300),
				BSTRING_TO_STRING(BGl_string1907z00zzcoerce_walkz00));
			BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long) 361167184),
				BSTRING_TO_STRING(BGl_string1907z00zzcoerce_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzcoerce_convertz00(((long) 87995645),
				BSTRING_TO_STRING(BGl_string1907z00zzcoerce_walkz00));
		}
	}

#ifdef __cplusplus
}
#endif
