/*===========================================================================*/
/*   (Expand/exit.scm)                                                       */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Expand/exit.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;


	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	extern obj_t BGl_locationzd2fullzd2fnamez00zztools_locationz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzexpand_exitz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zzexpand_exitz00();
	static obj_t BGl_genericzd2initzd2zzexpand_exitz00();
	BGL_EXPORTED_DECL obj_t BGl_expandzd2setzd2exitz00zzexpand_exitz00(obj_t,
		obj_t);
	static obj_t BGl_z62expandzd2setzd2exitz62zzexpand_exitz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzexpand_exitz00();
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_expandzd2bindzd2exitz00zzexpand_exitz00(obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zzexpand_exitz00();
	BGL_EXPORTED_DECL obj_t
		BGl_expandzd2unwindzd2protectz00zzexpand_exitz00(obj_t, obj_t);
	static obj_t BGl_z62expandzd2withzd2handlerz62zzexpand_exitz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62expandzd2unwindzd2protectz62zzexpand_exitz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62expandzd2bindzd2exitz62zzexpand_exitz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_replacez12z12zztools_miscz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzexpand_exitz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzexpand_lambdaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzexpand_epsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzexpand_expanderz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_expandzd2withzd2handlerz00zzexpand_exitz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_expandzd2jumpzd2exitz00zzexpand_exitz00(obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zzexpand_exitz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzexpand_exitz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzexpand_exitz00();
	BGL_IMPORT int BGl_bigloozd2compilerzd2debugz00zz__paramz00();
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	static obj_t BGl_z62expandzd2jumpzd2exitz62zzexpand_exitz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_IMPORT obj_t BGl_expandzd2prognzd2zz__prognz00(obj_t);
	static obj_t __cnst[41];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_expandzd2withzd2handlerzd2envzd2zzexpand_exitz00,
		BgL_bgl_za762expandza7d2with1832z00,
		BGl_z62expandzd2withzd2handlerz62zzexpand_exitz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_expandzd2setzd2exitzd2envzd2zzexpand_exitz00,
		BgL_bgl_za762expandza7d2setza71833za7,
		BGl_z62expandzd2setzd2exitz62zzexpand_exitz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_expandzd2unwindzd2protectzd2envzd2zzexpand_exitz00,
		BgL_bgl_za762expandza7d2unwi1834z00,
		BGl_z62expandzd2unwindzd2protectz62zzexpand_exitz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1823z00zzexpand_exitz00,
		BgL_bgl_string1823za700za7za7e1835za7, "Illegal 'jump-exit' form", 24);
	      DEFINE_STRING(BGl_string1824z00zzexpand_exitz00,
		BgL_bgl_string1824za700za7za7e1836za7, "Illegal `set-exit' form", 23);
	      DEFINE_STRING(BGl_string1825z00zzexpand_exitz00,
		BgL_bgl_string1825za700za7za7e1837za7, "Illegal `bind-exit' form", 24);
	      DEFINE_STRING(BGl_string1826z00zzexpand_exitz00,
		BgL_bgl_string1826za700za7za7e1838za7, "Illegal `unwind-protect' form", 29);
	      DEFINE_STRING(BGl_string1827z00zzexpand_exitz00,
		BgL_bgl_string1827za700za7za7e1839za7, "Illegal `with-handler' form", 27);
	      DEFINE_STRING(BGl_string1828z00zzexpand_exitz00,
		BgL_bgl_string1828za700za7za7e1840za7, "expand_exit", 11);
	      DEFINE_STRING(BGl_string1829z00zzexpand_exitz00,
		BgL_bgl_string1829za700za7za7e1841za7,
		"$pop-trace $push-trace quote with-handler loc name at location if bind-exit unwind-protect $set-error-handler! cons set! |e| $get-error-handler handler escape err ohs exitd-pop-protect! exitd-push-protect! lambda tmp protect exitd labels let pop-exit! begin @ unwind-until! __bexit $get-exitd-top push-exit! res val an_exitd an_exit set-exit jump-exit ",
		352);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_expandzd2bindzd2exitzd2envzd2zzexpand_exitz00,
		BgL_bgl_za762expandza7d2bind1842z00,
		BGl_z62expandzd2bindzd2exitz62zzexpand_exitz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_expandzd2jumpzd2exitzd2envzd2zzexpand_exitz00,
		BgL_bgl_za762expandza7d2jump1843z00,
		BGl_z62expandzd2jumpzd2exitz62zzexpand_exitz00, 0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzexpand_exitz00(long
		BgL_checksumz00_692, char *BgL_fromz00_693)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzexpand_exitz00))
				{
					BGl_requirezd2initializa7ationz75zzexpand_exitz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzexpand_exitz00();
					BGl_cnstzd2initzd2zzexpand_exitz00();
					BGl_importedzd2moduleszd2initz00zzexpand_exitz00();
					BGl_toplevelzd2initzd2zzexpand_exitz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzexpand_exitz00()
	{
		AN_OBJECT;
		{	/* Expand/exit.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"expand_exit");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "expand_exit");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "expand_exit");
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 0), "expand_exit");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"expand_exit");
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 0), "expand_exit");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"expand_exit");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0),
				"expand_exit");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "expand_exit");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzexpand_exitz00()
	{
		AN_OBJECT;
		{	/* Expand/exit.scm 15 */
			{	/* Expand/exit.scm 15 */
				obj_t BgL_cportz00_684;

				BgL_cportz00_684 =
					bgl_open_input_string(BGl_string1829z00zzexpand_exitz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_685;

					BgL_iz00_685 = ((long) 40);
				BgL_loopz00_686:
					if ((BgL_iz00_685 == ((long) -1)))
						{	/* Expand/exit.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Expand/exit.scm 15 */
							{	/* Expand/exit.scm 15 */
								obj_t BgL_arg1831z00_688;

								{	/* Expand/exit.scm 15 */

									{	/* Expand/exit.scm 15 */
										obj_t BgL_locationz00_690;

										BgL_locationz00_690 = BBOOL(((bool_t) 0));
										{	/* Expand/exit.scm 15 */

											BgL_arg1831z00_688 =
												BGl_readz00zz__readerz00(BgL_cportz00_684,
												BgL_locationz00_690);
										}
									}
								}
								{	/* Expand/exit.scm 15 */
									int BgL_auxz00_716;

									BgL_auxz00_716 = (int) (BgL_iz00_685);
									CNST_TABLE_SET(BgL_auxz00_716, BgL_arg1831z00_688);
							}}
							{	/* Expand/exit.scm 15 */
								int BgL_auxz00_691;

								BgL_auxz00_691 = (int) ((BgL_iz00_685 - ((long) 1)));
								{
									long BgL_iz00_721;

									BgL_iz00_721 = (long) (BgL_auxz00_691);
									BgL_iz00_685 = BgL_iz00_721;
									goto BgL_loopz00_686;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzexpand_exitz00()
	{
		AN_OBJECT;
		{	/* Expand/exit.scm 15 */
			return BUNSPEC;
		}
	}



/* expand-jump-exit */
	BGL_EXPORTED_DEF obj_t BGl_expandzd2jumpzd2exitz00zzexpand_exitz00(obj_t
		BgL_xz00_27, obj_t BgL_ez00_28)
	{
		AN_OBJECT;
		{	/* Expand/exit.scm 39 */
			{
				obj_t BgL_exitz00_206;
				obj_t BgL_valuez00_207;

				if (PAIRP(BgL_xz00_27))
					{	/* Expand/exit.scm 40 */
						obj_t BgL_cdrzd2367zd2_212;

						BgL_cdrzd2367zd2_212 = CDR(BgL_xz00_27);
						if (PAIRP(BgL_cdrzd2367zd2_212))
							{	/* Expand/exit.scm 40 */
								BgL_exitz00_206 = CAR(BgL_cdrzd2367zd2_212);
								BgL_valuez00_207 = CDR(BgL_cdrzd2367zd2_212);
								{	/* Expand/exit.scm 42 */
									obj_t BgL_newz00_216;

									{	/* Expand/exit.scm 42 */
										obj_t BgL_arg1174z00_217;

										{	/* Expand/exit.scm 42 */
											obj_t BgL_arg1175z00_218;
											obj_t BgL_arg1176z00_219;

											BgL_arg1175z00_218 =
												PROCEDURE_ENTRY(BgL_ez00_28) (BgL_ez00_28,
												BgL_exitz00_206, BgL_ez00_28, BEOA);
											{	/* Expand/exit.scm 42 */
												obj_t BgL_arg1177z00_220;

												{	/* Expand/exit.scm 42 */
													obj_t BgL_arg1179z00_221;

													BgL_arg1179z00_221 =
														BGl_expandzd2prognzd2zz__prognz00(BgL_valuez00_207);
													BgL_arg1177z00_220 =
														PROCEDURE_ENTRY(BgL_ez00_28) (BgL_ez00_28,
														BgL_arg1179z00_221, BgL_ez00_28, BEOA);
												}
												BgL_arg1176z00_219 =
													MAKE_PAIR(BgL_arg1177z00_220, BNIL);
											}
											BgL_arg1174z00_217 =
												MAKE_PAIR(BgL_arg1175z00_218, BgL_arg1176z00_219);
										}
										BgL_newz00_216 =
											MAKE_PAIR(CNST_TABLE_REF(((long) 0)), BgL_arg1174z00_217);
									}
									return
										BGl_replacez12z12zztools_miscz00(BgL_xz00_27,
										BgL_newz00_216);
								}
							}
						else
							{	/* Expand/exit.scm 40 */
							BgL_tagzd2360zd2_209:
								return
									BGl_errorz00zz__errorz00(BFALSE,
									BGl_string1823z00zzexpand_exitz00, BgL_xz00_27);
							}
					}
				else
					{	/* Expand/exit.scm 40 */
						goto BgL_tagzd2360zd2_209;
					}
			}
		}
	}



/* &expand-jump-exit */
	obj_t BGl_z62expandzd2jumpzd2exitz62zzexpand_exitz00(obj_t BgL_envz00_667,
		obj_t BgL_xz00_668, obj_t BgL_ez00_669)
	{
		AN_OBJECT;
		{	/* Expand/exit.scm 39 */
			return
				BGl_expandzd2jumpzd2exitz00zzexpand_exitz00(BgL_xz00_668, BgL_ez00_669);
		}
	}



/* expand-set-exit */
	BGL_EXPORTED_DEF obj_t BGl_expandzd2setzd2exitz00zzexpand_exitz00(obj_t
		BgL_xz00_29, obj_t BgL_ez00_30)
	{
		AN_OBJECT;
		{	/* Expand/exit.scm 50 */
			{
				obj_t BgL_exitz00_222;
				obj_t BgL_bodyz00_223;

				if (PAIRP(BgL_xz00_29))
					{	/* Expand/exit.scm 51 */
						obj_t BgL_cdrzd2382zd2_228;

						BgL_cdrzd2382zd2_228 = CDR(BgL_xz00_29);
						if (PAIRP(BgL_cdrzd2382zd2_228))
							{	/* Expand/exit.scm 51 */
								obj_t BgL_carzd2385zd2_230;

								BgL_carzd2385zd2_230 = CAR(BgL_cdrzd2382zd2_228);
								if (PAIRP(BgL_carzd2385zd2_230))
									{	/* Expand/exit.scm 51 */
										if (NULLP(CDR(BgL_carzd2385zd2_230)))
											{	/* Expand/exit.scm 51 */
												BgL_exitz00_222 = CAR(BgL_carzd2385zd2_230);
												BgL_bodyz00_223 = CDR(BgL_cdrzd2382zd2_228);
												{	/* Expand/exit.scm 53 */
													obj_t BgL_newz00_236;

													{	/* Expand/exit.scm 53 */
														obj_t BgL_arg1204z00_237;

														{	/* Expand/exit.scm 53 */
															obj_t BgL_arg1205z00_238;
															obj_t BgL_arg1210z00_239;

															BgL_arg1205z00_238 =
																MAKE_PAIR(BgL_exitz00_222, BNIL);
															{	/* Expand/exit.scm 53 */
																obj_t BgL_arg1211z00_240;

																{	/* Expand/exit.scm 53 */
																	obj_t BgL_arg1215z00_241;

																	BgL_arg1215z00_241 =
																		BGl_expandzd2prognzd2zz__prognz00
																		(BgL_bodyz00_223);
																	BgL_arg1211z00_240 =
																		PROCEDURE_ENTRY(BgL_ez00_30) (BgL_ez00_30,
																		BgL_arg1215z00_241, BgL_ez00_30, BEOA);
																}
																BgL_arg1210z00_239 =
																	MAKE_PAIR(BgL_arg1211z00_240, BNIL);
															}
															BgL_arg1204z00_237 =
																MAKE_PAIR(BgL_arg1205z00_238,
																BgL_arg1210z00_239);
														}
														BgL_newz00_236 =
															MAKE_PAIR(CNST_TABLE_REF(((long) 1)),
															BgL_arg1204z00_237);
													}
													return
														BGl_replacez12z12zztools_miscz00(BgL_xz00_29,
														BgL_newz00_236);
												}
											}
										else
											{	/* Expand/exit.scm 51 */
											BgL_tagzd2375zd2_225:
												return
													BGl_errorz00zz__errorz00(BFALSE,
													BGl_string1824z00zzexpand_exitz00, BgL_xz00_29);
											}
									}
								else
									{	/* Expand/exit.scm 51 */
										goto BgL_tagzd2375zd2_225;
									}
							}
						else
							{	/* Expand/exit.scm 51 */
								goto BgL_tagzd2375zd2_225;
							}
					}
				else
					{	/* Expand/exit.scm 51 */
						goto BgL_tagzd2375zd2_225;
					}
			}
		}
	}



/* &expand-set-exit */
	obj_t BGl_z62expandzd2setzd2exitz62zzexpand_exitz00(obj_t BgL_envz00_670,
		obj_t BgL_xz00_671, obj_t BgL_ez00_672)
	{
		AN_OBJECT;
		{	/* Expand/exit.scm 50 */
			return
				BGl_expandzd2setzd2exitz00zzexpand_exitz00(BgL_xz00_671, BgL_ez00_672);
		}
	}



/* expand-bind-exit */
	BGL_EXPORTED_DEF obj_t BGl_expandzd2bindzd2exitz00zzexpand_exitz00(obj_t
		BgL_xz00_31, obj_t BgL_ez00_32)
	{
		AN_OBJECT;
		{	/* Expand/exit.scm 61 */
			{
				obj_t BgL_exitz00_242;
				obj_t BgL_bodyz00_243;

				if (PAIRP(BgL_xz00_31))
					{	/* Expand/exit.scm 62 */
						obj_t BgL_cdrzd2400zd2_248;

						BgL_cdrzd2400zd2_248 = CDR(BgL_xz00_31);
						if (PAIRP(BgL_cdrzd2400zd2_248))
							{	/* Expand/exit.scm 62 */
								obj_t BgL_carzd2403zd2_250;

								BgL_carzd2403zd2_250 = CAR(BgL_cdrzd2400zd2_248);
								if (PAIRP(BgL_carzd2403zd2_250))
									{	/* Expand/exit.scm 62 */
										if (NULLP(CDR(BgL_carzd2403zd2_250)))
											{	/* Expand/exit.scm 62 */
												BgL_exitz00_242 = CAR(BgL_carzd2403zd2_250);
												BgL_bodyz00_243 = CDR(BgL_cdrzd2400zd2_248);
												{	/* Expand/exit.scm 64 */
													obj_t BgL_anzd2exitzd2_256;
													obj_t BgL_anzd2exitdzd2_257;
													obj_t BgL_valz00_258;
													obj_t BgL_resz00_259;

													BgL_anzd2exitzd2_256 =
														BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
														(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
																	(long) 2))));
													BgL_anzd2exitdzd2_257 =
														BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
														(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
																	(long) 3))));
													BgL_valz00_258 =
														BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
														(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
																	(long) 4))));
													BgL_resz00_259 =
														BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
														(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
																	(long) 5))));
													{	/* Expand/exit.scm 68 */
														obj_t BgL_newz00_260;

														{	/* Expand/exit.scm 68 */
															obj_t BgL_arg1223z00_261;

															{	/* Expand/exit.scm 68 */
																obj_t BgL_arg1225z00_262;

																{	/* Expand/exit.scm 68 */
																	obj_t BgL_arg1227z00_263;
																	obj_t BgL_arg1229z00_264;

																	BgL_arg1227z00_263 =
																		MAKE_PAIR(BgL_anzd2exitzd2_256, BNIL);
																	{	/* Expand/exit.scm 70 */
																		obj_t BgL_arg1230z00_265;

																		{	/* Expand/exit.scm 70 */
																			obj_t BgL_arg1233z00_266;

																			{	/* Expand/exit.scm 70 */
																				obj_t BgL_arg1239z00_267;

																				{	/* Expand/exit.scm 70 */
																					obj_t BgL_arg1246z00_268;
																					obj_t BgL_arg1254z00_269;

																					{	/* Expand/exit.scm 70 */
																						obj_t BgL_arg1256z00_270;

																						{	/* Expand/exit.scm 70 */
																							obj_t BgL_arg1258z00_271;

																							BgL_arg1258z00_271 =
																								MAKE_PAIR(BINT(((long) 1)),
																								BNIL);
																							BgL_arg1256z00_270 =
																								MAKE_PAIR(BgL_anzd2exitzd2_256,
																								BgL_arg1258z00_271);
																						}
																						BgL_arg1246z00_268 =
																							MAKE_PAIR(CNST_TABLE_REF(((long)
																									6)), BgL_arg1256z00_270);
																					}
																					{	/* Expand/exit.scm 71 */
																						obj_t BgL_arg1259z00_272;

																						{	/* Expand/exit.scm 71 */
																							obj_t BgL_arg1261z00_273;

																							{	/* Expand/exit.scm 71 */
																								obj_t BgL_arg1264z00_274;
																								obj_t BgL_arg1271z00_275;

																								{	/* Expand/exit.scm 71 */
																									obj_t BgL_arg1274z00_276;

																									{	/* Expand/exit.scm 71 */
																										obj_t BgL_arg1276z00_277;

																										{	/* Expand/exit.scm 71 */
																											obj_t BgL_arg1279z00_278;

																											BgL_arg1279z00_278 =
																												MAKE_PAIR(CNST_TABLE_REF
																												(((long) 7)), BNIL);
																											BgL_arg1276z00_277 =
																												MAKE_PAIR
																												(BgL_arg1279z00_278,
																												BNIL);
																										}
																										BgL_arg1274z00_276 =
																											MAKE_PAIR
																											(BgL_anzd2exitdzd2_257,
																											BgL_arg1276z00_277);
																									}
																									BgL_arg1264z00_274 =
																										MAKE_PAIR
																										(BgL_arg1274z00_276, BNIL);
																								}
																								{	/* Expand/exit.scm 72 */
																									obj_t BgL_arg1281z00_279;

																									{	/* Expand/exit.scm 72 */
																										obj_t BgL_arg1283z00_280;

																										{	/* Expand/exit.scm 72 */
																											obj_t BgL_arg1284z00_281;
																											obj_t BgL_arg1285z00_282;

																											{	/* Expand/exit.scm 72 */
																												obj_t
																													BgL_arg1286z00_283;
																												{	/* Expand/exit.scm 72 */
																													obj_t
																														BgL_arg1287z00_284;
																													{	/* Expand/exit.scm 72 */
																														obj_t
																															BgL_arg1288z00_285;
																														obj_t
																															BgL_arg1289z00_286;
																														BgL_arg1288z00_285 =
																															MAKE_PAIR
																															(BgL_valz00_258,
																															BNIL);
																														{	/* Expand/exit.scm 73 */
																															obj_t
																																BgL_arg1290z00_287;
																															{	/* Expand/exit.scm 73 */
																																obj_t
																																	BgL_arg1291z00_288;
																																obj_t
																																	BgL_arg1292z00_289;
																																{	/* Expand/exit.scm 73 */
																																	obj_t
																																		BgL_arg1293z00_290;
																																	{	/* Expand/exit.scm 73 */
																																		obj_t
																																			BgL_arg1294z00_291;
																																		BgL_arg1294z00_291
																																			=
																																			MAKE_PAIR
																																			(CNST_TABLE_REF
																																			(((long)
																																					8)),
																																			BNIL);
																																		BgL_arg1293z00_290
																																			=
																																			MAKE_PAIR
																																			(CNST_TABLE_REF
																																			(((long)
																																					9)),
																																			BgL_arg1294z00_291);
																																	}
																																	BgL_arg1291z00_288
																																		=
																																		MAKE_PAIR
																																		(CNST_TABLE_REF
																																		(((long)
																																				10)),
																																		BgL_arg1293z00_290);
																																}
																																{	/* Expand/exit.scm 73 */
																																	obj_t
																																		BgL_arg1295z00_292;
																																	BgL_arg1295z00_292
																																		=
																																		MAKE_PAIR
																																		(BgL_valz00_258,
																																		BNIL);
																																	BgL_arg1292z00_289
																																		=
																																		MAKE_PAIR
																																		(BgL_anzd2exitdzd2_257,
																																		BgL_arg1295z00_292);
																																}
																																BgL_arg1290z00_287
																																	=
																																	MAKE_PAIR
																																	(BgL_arg1291z00_288,
																																	BgL_arg1292z00_289);
																															}
																															BgL_arg1289z00_286
																																=
																																MAKE_PAIR
																																(BgL_arg1290z00_287,
																																BNIL);
																														}
																														BgL_arg1287z00_284 =
																															MAKE_PAIR
																															(BgL_arg1288z00_285,
																															BgL_arg1289z00_286);
																													}
																													BgL_arg1286z00_283 =
																														MAKE_PAIR
																														(BgL_exitz00_242,
																														BgL_arg1287z00_284);
																												}
																												BgL_arg1284z00_281 =
																													MAKE_PAIR
																													(BgL_arg1286z00_283,
																													BNIL);
																											}
																											{	/* Expand/exit.scm 76 */
																												obj_t
																													BgL_arg1296z00_293;
																												{	/* Expand/exit.scm 76 */
																													obj_t
																														BgL_arg1298z00_294;
																													{	/* Expand/exit.scm 76 */
																														obj_t
																															BgL_arg1307z00_295;
																														obj_t
																															BgL_arg1308z00_296;
																														{	/* Expand/exit.scm 76 */
																															obj_t
																																BgL_arg1309z00_297;
																															{	/* Expand/exit.scm 76 */
																																obj_t
																																	BgL_arg1310z00_298;
																																{	/* Expand/exit.scm 76 */
																																	obj_t
																																		BgL_arg1311z00_299;
																																	{	/* Expand/exit.scm 76 */
																																		obj_t
																																			BgL_arg1312z00_300;
																																		BgL_arg1312z00_300
																																			=
																																			BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																			(BgL_bodyz00_243,
																																			BNIL);
																																		BgL_arg1311z00_299
																																			=
																																			MAKE_PAIR
																																			(CNST_TABLE_REF
																																			(((long)
																																					11)),
																																			BgL_arg1312z00_300);
																																	}
																																	BgL_arg1310z00_298
																																		=
																																		MAKE_PAIR
																																		(BgL_arg1311z00_299,
																																		BNIL);
																																}
																																BgL_arg1309z00_297
																																	=
																																	MAKE_PAIR
																																	(BgL_resz00_259,
																																	BgL_arg1310z00_298);
																															}
																															BgL_arg1307z00_295
																																=
																																MAKE_PAIR
																																(BgL_arg1309z00_297,
																																BNIL);
																														}
																														{	/* Expand/exit.scm 77 */
																															obj_t
																																BgL_arg1313z00_301;
																															obj_t
																																BgL_arg1315z00_302;
																															BgL_arg1313z00_301
																																=
																																MAKE_PAIR
																																(CNST_TABLE_REF(
																																	((long) 12)),
																																BNIL);
																															BgL_arg1315z00_302
																																=
																																MAKE_PAIR
																																(BgL_resz00_259,
																																BNIL);
																															BgL_arg1308z00_296
																																=
																																MAKE_PAIR
																																(BgL_arg1313z00_301,
																																BgL_arg1315z00_302);
																														}
																														BgL_arg1298z00_294 =
																															MAKE_PAIR
																															(BgL_arg1307z00_295,
																															BgL_arg1308z00_296);
																													}
																													BgL_arg1296z00_293 =
																														MAKE_PAIR
																														(CNST_TABLE_REF((
																																(long) 13)),
																														BgL_arg1298z00_294);
																												}
																												BgL_arg1285z00_282 =
																													MAKE_PAIR
																													(BgL_arg1296z00_293,
																													BNIL);
																											}
																											BgL_arg1283z00_280 =
																												MAKE_PAIR
																												(BgL_arg1284z00_281,
																												BgL_arg1285z00_282);
																										}
																										BgL_arg1281z00_279 =
																											MAKE_PAIR(CNST_TABLE_REF((
																													(long) 14)),
																											BgL_arg1283z00_280);
																									}
																									BgL_arg1271z00_275 =
																										MAKE_PAIR
																										(BgL_arg1281z00_279, BNIL);
																								}
																								BgL_arg1261z00_273 =
																									MAKE_PAIR(BgL_arg1264z00_274,
																									BgL_arg1271z00_275);
																							}
																							BgL_arg1259z00_272 =
																								MAKE_PAIR(CNST_TABLE_REF(((long)
																										13)), BgL_arg1261z00_273);
																						}
																						BgL_arg1254z00_269 =
																							MAKE_PAIR(BgL_arg1259z00_272,
																							BNIL);
																					}
																					BgL_arg1239z00_267 =
																						MAKE_PAIR(BgL_arg1246z00_268,
																						BgL_arg1254z00_269);
																				}
																				BgL_arg1233z00_266 =
																					MAKE_PAIR(BNIL, BgL_arg1239z00_267);
																			}
																			BgL_arg1230z00_265 =
																				MAKE_PAIR(CNST_TABLE_REF(((long) 13)),
																				BgL_arg1233z00_266);
																		}
																		BgL_arg1229z00_264 =
																			MAKE_PAIR(BgL_arg1230z00_265, BNIL);
																	}
																	BgL_arg1225z00_262 =
																		MAKE_PAIR(BgL_arg1227z00_263,
																		BgL_arg1229z00_264);
																}
																BgL_arg1223z00_261 =
																	MAKE_PAIR(CNST_TABLE_REF(((long) 1)),
																	BgL_arg1225z00_262);
															}
															BgL_newz00_260 =
																PROCEDURE_ENTRY(BgL_ez00_32) (BgL_ez00_32,
																BgL_arg1223z00_261, BgL_ez00_32, BEOA);
														}
														return
															BGl_replacez12z12zztools_miscz00(BgL_xz00_31,
															BgL_newz00_260);
													}
												}
											}
										else
											{	/* Expand/exit.scm 62 */
											BgL_tagzd2393zd2_245:
												return
													BGl_errorz00zz__errorz00(BFALSE,
													BGl_string1825z00zzexpand_exitz00, BgL_xz00_31);
											}
									}
								else
									{	/* Expand/exit.scm 62 */
										goto BgL_tagzd2393zd2_245;
									}
							}
						else
							{	/* Expand/exit.scm 62 */
								goto BgL_tagzd2393zd2_245;
							}
					}
				else
					{	/* Expand/exit.scm 62 */
						goto BgL_tagzd2393zd2_245;
					}
			}
		}
	}



/* &expand-bind-exit */
	obj_t BGl_z62expandzd2bindzd2exitz62zzexpand_exitz00(obj_t BgL_envz00_673,
		obj_t BgL_xz00_674, obj_t BgL_ez00_675)
	{
		AN_OBJECT;
		{	/* Expand/exit.scm 61 */
			return
				BGl_expandzd2bindzd2exitz00zzexpand_exitz00(BgL_xz00_674, BgL_ez00_675);
		}
	}



/* expand-unwind-protect */
	BGL_EXPORTED_DEF obj_t BGl_expandzd2unwindzd2protectz00zzexpand_exitz00(obj_t
		BgL_xz00_33, obj_t BgL_ez00_34)
	{
		AN_OBJECT;
		{	/* Expand/exit.scm 87 */
			{
				obj_t BgL_expz00_319;
				obj_t BgL_cleanupz00_320;

				{

					if (PAIRP(BgL_xz00_33))
						{	/* Expand/exit.scm 102 */
							obj_t BgL_cdrzd2418zd2_314;

							BgL_cdrzd2418zd2_314 = CDR(BgL_xz00_33);
							if (PAIRP(BgL_cdrzd2418zd2_314))
								{	/* Expand/exit.scm 102 */
									obj_t BgL_cdrzd2422zd2_316;

									BgL_cdrzd2422zd2_316 = CDR(BgL_cdrzd2418zd2_314);
									if (PAIRP(BgL_cdrzd2422zd2_316))
										{	/* Expand/exit.scm 102 */
											BgL_expz00_319 = CAR(BgL_cdrzd2418zd2_314);
											BgL_cleanupz00_320 = BgL_cdrzd2422zd2_316;
											{	/* Expand/exit.scm 90 */
												obj_t BgL_exitdz00_322;
												obj_t BgL_protectz00_323;
												obj_t BgL_tmpz00_324;

												BgL_exitdz00_322 =
													BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
													(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
																(long) 15))));
												BgL_protectz00_323 =
													BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
													(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
																(long) 16))));
												BgL_tmpz00_324 =
													BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
													(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
																(long) 17))));
												{	/* Expand/exit.scm 93 */
													obj_t BgL_newz00_325;

													{	/* Expand/exit.scm 93 */
														obj_t BgL_arg1365z00_327;

														{	/* Expand/exit.scm 93 */
															obj_t BgL_arg1371z00_328;
															obj_t BgL_arg1372z00_329;

															{	/* Expand/exit.scm 93 */
																obj_t BgL_arg1377z00_330;
																obj_t BgL_arg1379z00_331;

																{	/* Expand/exit.scm 93 */
																	obj_t BgL_arg1382z00_332;

																	{	/* Expand/exit.scm 93 */
																		obj_t BgL_arg1386z00_333;

																		BgL_arg1386z00_333 =
																			MAKE_PAIR(CNST_TABLE_REF(((long) 7)),
																			BNIL);
																		BgL_arg1382z00_332 =
																			MAKE_PAIR(BgL_arg1386z00_333, BNIL);
																	}
																	BgL_arg1377z00_330 =
																		MAKE_PAIR(BgL_exitdz00_322,
																		BgL_arg1382z00_332);
																}
																{	/* Expand/exit.scm 94 */
																	obj_t BgL_arg1389z00_334;

																	{	/* Expand/exit.scm 94 */
																		obj_t BgL_arg1393z00_335;

																		{	/* Expand/exit.scm 94 */
																			obj_t BgL_arg1399z00_336;

																			{	/* Expand/exit.scm 94 */
																				obj_t BgL_arg1402z00_337;

																				BgL_arg1402z00_337 =
																					MAKE_PAIR(BNIL,
																					BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																					(BgL_cleanupz00_320, BNIL));
																				BgL_arg1399z00_336 =
																					MAKE_PAIR(CNST_TABLE_REF(((long) 18)),
																					BgL_arg1402z00_337);
																			}
																			BgL_arg1393z00_335 =
																				MAKE_PAIR(BgL_arg1399z00_336, BNIL);
																		}
																		BgL_arg1389z00_334 =
																			MAKE_PAIR(BgL_protectz00_323,
																			BgL_arg1393z00_335);
																	}
																	BgL_arg1379z00_331 =
																		MAKE_PAIR(BgL_arg1389z00_334, BNIL);
																}
																BgL_arg1371z00_328 =
																	MAKE_PAIR(BgL_arg1377z00_330,
																	BgL_arg1379z00_331);
															}
															{	/* Expand/exit.scm 95 */
																obj_t BgL_arg1411z00_339;
																obj_t BgL_arg1417z00_340;

																{	/* Expand/exit.scm 95 */
																	obj_t BgL_arg1418z00_341;
																	obj_t BgL_arg1421z00_342;

																	{	/* Expand/exit.scm 95 */
																		obj_t BgL_arg1427z00_343;

																		{	/* Expand/exit.scm 95 */
																			obj_t BgL_arg1430z00_344;

																			BgL_arg1430z00_344 =
																				MAKE_PAIR(CNST_TABLE_REF(((long) 8)),
																				BNIL);
																			BgL_arg1427z00_343 =
																				MAKE_PAIR(CNST_TABLE_REF(((long) 19)),
																				BgL_arg1430z00_344);
																		}
																		BgL_arg1418z00_341 =
																			MAKE_PAIR(CNST_TABLE_REF(((long) 10)),
																			BgL_arg1427z00_343);
																	}
																	{	/* Expand/exit.scm 95 */
																		obj_t BgL_arg1433z00_345;

																		BgL_arg1433z00_345 =
																			MAKE_PAIR(BgL_protectz00_323, BNIL);
																		BgL_arg1421z00_342 =
																			MAKE_PAIR(BgL_exitdz00_322,
																			BgL_arg1433z00_345);
																	}
																	BgL_arg1411z00_339 =
																		MAKE_PAIR(BgL_arg1418z00_341,
																		BgL_arg1421z00_342);
																}
																{	/* Expand/exit.scm 96 */
																	obj_t BgL_arg1434z00_346;

																	{	/* Expand/exit.scm 96 */
																		obj_t BgL_arg1436z00_347;

																		{	/* Expand/exit.scm 96 */
																			obj_t BgL_arg1437z00_348;
																			obj_t BgL_arg1440z00_349;

																			{	/* Expand/exit.scm 96 */
																				obj_t BgL_arg1441z00_350;

																				{	/* Expand/exit.scm 96 */
																					obj_t BgL_arg1443z00_351;

																					BgL_arg1443z00_351 =
																						MAKE_PAIR(BgL_expz00_319, BNIL);
																					BgL_arg1441z00_350 =
																						MAKE_PAIR(BgL_tmpz00_324,
																						BgL_arg1443z00_351);
																				}
																				BgL_arg1437z00_348 =
																					MAKE_PAIR(BgL_arg1441z00_350, BNIL);
																			}
																			{	/* Expand/exit.scm 97 */
																				obj_t BgL_arg1444z00_352;
																				obj_t BgL_arg1453z00_353;

																				{	/* Expand/exit.scm 97 */
																					obj_t BgL_arg1461z00_354;
																					obj_t BgL_arg1463z00_355;

																					{	/* Expand/exit.scm 97 */
																						obj_t BgL_arg1466z00_356;

																						{	/* Expand/exit.scm 97 */
																							obj_t BgL_arg1470z00_357;

																							BgL_arg1470z00_357 =
																								MAKE_PAIR(CNST_TABLE_REF(((long)
																										8)), BNIL);
																							BgL_arg1466z00_356 =
																								MAKE_PAIR(CNST_TABLE_REF(((long)
																										20)), BgL_arg1470z00_357);
																						}
																						BgL_arg1461z00_354 =
																							MAKE_PAIR(CNST_TABLE_REF(((long)
																									10)), BgL_arg1466z00_356);
																					}
																					BgL_arg1463z00_355 =
																						MAKE_PAIR(BgL_exitdz00_322, BNIL);
																					BgL_arg1444z00_352 =
																						MAKE_PAIR(BgL_arg1461z00_354,
																						BgL_arg1463z00_355);
																				}
																				{	/* Expand/exit.scm 98 */
																					obj_t BgL_arg1471z00_358;
																					obj_t BgL_arg1474z00_359;

																					BgL_arg1471z00_358 =
																						MAKE_PAIR(BgL_protectz00_323, BNIL);
																					BgL_arg1474z00_359 =
																						MAKE_PAIR(BgL_tmpz00_324, BNIL);
																					BgL_arg1453z00_353 =
																						MAKE_PAIR(BgL_arg1471z00_358,
																						BgL_arg1474z00_359);
																				}
																				BgL_arg1440z00_349 =
																					MAKE_PAIR(BgL_arg1444z00_352,
																					BgL_arg1453z00_353);
																			}
																			BgL_arg1436z00_347 =
																				MAKE_PAIR(BgL_arg1437z00_348,
																				BgL_arg1440z00_349);
																		}
																		BgL_arg1434z00_346 =
																			MAKE_PAIR(CNST_TABLE_REF(((long) 13)),
																			BgL_arg1436z00_347);
																	}
																	BgL_arg1417z00_340 =
																		MAKE_PAIR(BgL_arg1434z00_346, BNIL);
																}
																BgL_arg1372z00_329 =
																	MAKE_PAIR(BgL_arg1411z00_339,
																	BgL_arg1417z00_340);
															}
															BgL_arg1365z00_327 =
																MAKE_PAIR(BgL_arg1371z00_328,
																BgL_arg1372z00_329);
														}
														BgL_newz00_325 =
															MAKE_PAIR(CNST_TABLE_REF(((long) 13)),
															BgL_arg1365z00_327);
													}
													{	/* Expand/exit.scm 100 */
														obj_t BgL_arg1364z00_326;

														BgL_arg1364z00_326 =
															PROCEDURE_ENTRY(BgL_ez00_34) (BgL_ez00_34,
															BgL_newz00_325, BgL_ez00_34, BEOA);
														return BGl_replacez12z12zztools_miscz00(BgL_xz00_33,
															BgL_arg1364z00_326);
													}
												}
											}
										}
									else
										{	/* Expand/exit.scm 102 */
										BgL_tagzd2411zd2_311:
											return
												BGl_errorz00zz__errorz00(BFALSE,
												BGl_string1826z00zzexpand_exitz00, BgL_xz00_33);
										}
								}
							else
								{	/* Expand/exit.scm 102 */
									goto BgL_tagzd2411zd2_311;
								}
						}
					else
						{	/* Expand/exit.scm 102 */
							goto BgL_tagzd2411zd2_311;
						}
				}
			}
		}
	}



/* &expand-unwind-protect */
	obj_t BGl_z62expandzd2unwindzd2protectz62zzexpand_exitz00(obj_t
		BgL_envz00_676, obj_t BgL_xz00_677, obj_t BgL_ez00_678)
	{
		AN_OBJECT;
		{	/* Expand/exit.scm 87 */
			return
				BGl_expandzd2unwindzd2protectz00zzexpand_exitz00(BgL_xz00_677,
				BgL_ez00_678);
		}
	}



/* expand-with-handler */
	BGL_EXPORTED_DEF obj_t BGl_expandzd2withzd2handlerz00zzexpand_exitz00(obj_t
		BgL_xz00_35, obj_t BgL_ez00_36)
	{
		AN_OBJECT;
		{	/* Expand/exit.scm 111 */
			{
				obj_t BgL_handlerz00_425;
				obj_t BgL_bodyz00_426;

				{
					obj_t BgL_bodyz00_378;

					{

						if (PAIRP(BgL_xz00_35))
							{	/* Expand/exit.scm 155 */
								obj_t BgL_cdrzd2435zd2_372;

								BgL_cdrzd2435zd2_372 = CDR(BgL_xz00_35);
								if (PAIRP(BgL_cdrzd2435zd2_372))
									{	/* Expand/exit.scm 155 */
										obj_t BgL_arg1490z00_374;
										obj_t BgL_arg1499z00_375;

										BgL_arg1490z00_374 = CAR(BgL_cdrzd2435zd2_372);
										BgL_arg1499z00_375 = CDR(BgL_cdrzd2435zd2_372);
										{	/* Expand/exit.scm 157 */
											obj_t BgL_auxz00_940;

											BgL_handlerz00_425 = BgL_arg1490z00_374;
											BgL_bodyz00_426 = BgL_arg1499z00_375;
											{	/* Expand/exit.scm 114 */
												obj_t BgL_ohsz00_428;
												obj_t BgL_errz00_429;
												obj_t BgL_resz00_430;
												obj_t BgL_escapez00_431;
												obj_t BgL_hdlz00_432;

												BgL_ohsz00_428 =
													BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
															(long) 21)));
												BgL_errz00_429 =
													BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
															(long) 22)));
												BgL_resz00_430 =
													BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
															(long) 5)));
												BgL_escapez00_431 =
													BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
															(long) 23)));
												BgL_hdlz00_432 =
													BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
															(long) 24)));
												{	/* Expand/exit.scm 119 */
													obj_t BgL_arg1644z00_433;

													{	/* Expand/exit.scm 119 */
														obj_t BgL_arg1655z00_434;

														{	/* Expand/exit.scm 119 */
															obj_t BgL_arg1656z00_435;
															obj_t BgL_arg1658z00_436;

															{	/* Expand/exit.scm 119 */
																obj_t BgL_arg1673z00_437;
																obj_t BgL_arg1676z00_438;

																{	/* Expand/exit.scm 119 */
																	obj_t BgL_arg1681z00_439;

																	BgL_arg1681z00_439 = MAKE_PAIR(BUNSPEC, BNIL);
																	BgL_arg1673z00_437 =
																		MAKE_PAIR(BgL_resz00_430,
																		BgL_arg1681z00_439);
																}
																{	/* Expand/exit.scm 120 */
																	obj_t BgL_arg1683z00_440;

																	{	/* Expand/exit.scm 120 */
																		obj_t BgL_arg1686z00_441;

																		BgL_arg1686z00_441 =
																			MAKE_PAIR(BgL_handlerz00_425, BNIL);
																		BgL_arg1683z00_440 =
																			MAKE_PAIR(BgL_hdlz00_432,
																			BgL_arg1686z00_441);
																	}
																	BgL_arg1676z00_438 =
																		MAKE_PAIR(BgL_arg1683z00_440, BNIL);
																}
																BgL_arg1656z00_435 =
																	MAKE_PAIR(BgL_arg1673z00_437,
																	BgL_arg1676z00_438);
															}
															{	/* Expand/exit.scm 121 */
																obj_t BgL_arg1691z00_442;

																{	/* Expand/exit.scm 121 */
																	obj_t BgL_arg1696z00_443;

																	{	/* Expand/exit.scm 121 */
																		obj_t BgL_arg1697z00_444;
																		obj_t BgL_arg1699z00_445;

																		{	/* Expand/exit.scm 121 */
																			obj_t BgL_arg1700z00_446;

																			{	/* Expand/exit.scm 121 */
																				obj_t BgL_arg1706z00_447;
																				obj_t BgL_arg1707z00_448;

																				BgL_arg1706z00_447 =
																					MAKE_PAIR(BgL_escapez00_431, BNIL);
																				{	/* Expand/exit.scm 122 */
																					obj_t BgL_arg1710z00_449;

																					{	/* Expand/exit.scm 122 */
																						obj_t BgL_arg1717z00_450;

																						{	/* Expand/exit.scm 122 */
																							obj_t BgL_arg1719z00_451;
																							obj_t BgL_arg1720z00_452;

																							{	/* Expand/exit.scm 122 */
																								obj_t BgL_arg1721z00_453;

																								{	/* Expand/exit.scm 122 */
																									obj_t BgL_arg1725z00_454;

																									{	/* Expand/exit.scm 122 */
																										obj_t BgL_arg1726z00_455;

																										BgL_arg1726z00_455 =
																											MAKE_PAIR(CNST_TABLE_REF((
																													(long) 25)), BNIL);
																										BgL_arg1725z00_454 =
																											MAKE_PAIR
																											(BgL_arg1726z00_455,
																											BNIL);
																									}
																									BgL_arg1721z00_453 =
																										MAKE_PAIR(BgL_ohsz00_428,
																										BgL_arg1725z00_454);
																								}
																								BgL_arg1719z00_451 =
																									MAKE_PAIR(BgL_arg1721z00_453,
																									BNIL);
																							}
																							{	/* Expand/exit.scm 126 */
																								obj_t BgL_arg1727z00_456;

																								{	/* Expand/exit.scm 126 */
																									obj_t BgL_arg1730z00_457;

																									{	/* Expand/exit.scm 126 */
																										obj_t BgL_arg1731z00_458;
																										obj_t BgL_arg1732z00_459;

																										{	/* Expand/exit.scm 126 */
																											obj_t BgL_arg1737z00_460;

																											{	/* Expand/exit.scm 126 */
																												obj_t
																													BgL_arg1739z00_461;
																												obj_t
																													BgL_arg1741z00_462;
																												{	/* Expand/exit.scm 126 */
																													obj_t
																														BgL_arg1747z00_463;
																													{	/* Expand/exit.scm 126 */
																														obj_t
																															BgL_arg1750z00_464;
																														{	/* Expand/exit.scm 126 */
																															obj_t
																																BgL_arg1756z00_465;
																															{	/* Expand/exit.scm 126 */
																																obj_t
																																	BgL_arg1768z00_466;
																																obj_t
																																	BgL_arg1774z00_467;
																																{	/* Expand/exit.scm 126 */
																																	obj_t
																																		BgL_arg1775z00_468;
																																	{	/* Expand/exit.scm 126 */
																																		obj_t
																																			BgL_arg1776z00_469;
																																		obj_t
																																			BgL_arg1777z00_470;
																																		BgL_arg1776z00_469
																																			=
																																			MAKE_PAIR
																																			(CNST_TABLE_REF
																																			(((long)
																																					26)),
																																			BNIL);
																																		{	/* Expand/exit.scm 127 */
																																			obj_t
																																				BgL_arg1779z00_471;
																																			obj_t
																																				BgL_arg1780z00_472;
																																			{	/* Expand/exit.scm 127 */
																																				obj_t
																																					BgL_arg1781z00_473;
																																				{	/* Expand/exit.scm 127 */
																																					obj_t
																																						BgL_arg1783z00_474;
																																					BgL_arg1783z00_474
																																						=
																																						MAKE_PAIR
																																						(CNST_TABLE_REF
																																						(((long) 26)), BNIL);
																																					BgL_arg1781z00_473
																																						=
																																						MAKE_PAIR
																																						(BgL_resz00_430,
																																						BgL_arg1783z00_474);
																																				}
																																				BgL_arg1779z00_471
																																					=
																																					MAKE_PAIR
																																					(CNST_TABLE_REF
																																					(((long) 27)), BgL_arg1781z00_473);
																																			}
																																			{	/* Expand/exit.scm 128 */
																																				obj_t
																																					BgL_arg1785z00_475;
																																				{	/* Expand/exit.scm 128 */
																																					obj_t
																																						BgL_arg1786z00_476;
																																					BgL_arg1786z00_476
																																						=
																																						MAKE_PAIR
																																						(BTRUE,
																																						BNIL);
																																					BgL_arg1785z00_475
																																						=
																																						MAKE_PAIR
																																						(BgL_escapez00_431,
																																						BgL_arg1786z00_476);
																																				}
																																				BgL_arg1780z00_472
																																					=
																																					MAKE_PAIR
																																					(BgL_arg1785z00_475,
																																					BNIL);
																																			}
																																			BgL_arg1777z00_470
																																				=
																																				MAKE_PAIR
																																				(BgL_arg1779z00_471,
																																				BgL_arg1780z00_472);
																																		}
																																		BgL_arg1775z00_468
																																			=
																																			MAKE_PAIR
																																			(BgL_arg1776z00_469,
																																			BgL_arg1777z00_470);
																																	}
																																	BgL_arg1768z00_466
																																		=
																																		MAKE_PAIR
																																		(CNST_TABLE_REF
																																		(((long)
																																				18)),
																																		BgL_arg1775z00_468);
																																}
																																BgL_arg1774z00_467
																																	=
																																	MAKE_PAIR
																																	(BgL_ohsz00_428,
																																	BNIL);
																																BgL_arg1756z00_465
																																	=
																																	MAKE_PAIR
																																	(BgL_arg1768z00_466,
																																	BgL_arg1774z00_467);
																															}
																															BgL_arg1750z00_464
																																=
																																MAKE_PAIR
																																(CNST_TABLE_REF(
																																	((long) 28)),
																																BgL_arg1756z00_465);
																														}
																														BgL_arg1747z00_463 =
																															MAKE_PAIR
																															(BgL_arg1750z00_464,
																															BNIL);
																													}
																													BgL_arg1739z00_461 =
																														MAKE_PAIR
																														(CNST_TABLE_REF((
																																(long) 29)),
																														BgL_arg1747z00_463);
																												}
																												{	/* Expand/exit.scm 130 */
																													obj_t
																														BgL_arg1787z00_477;
																													obj_t
																														BgL_arg1788z00_478;
																													{	/* Expand/exit.scm 130 */
																														obj_t
																															BgL_arg1789z00_479;
																														{	/* Expand/exit.scm 130 */
																															obj_t
																																BgL_arg1790z00_480;
																															{	/* Expand/exit.scm 130 */
																																obj_t
																																	BgL_arg1791z00_481;
																																{	/* Expand/exit.scm 130 */
																																	obj_t
																																		BgL_arg1792z00_482;
																																	BgL_arg1792z00_482
																																		=
																																		BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																		(BgL_bodyz00_426,
																																		BNIL);
																																	BgL_arg1791z00_481
																																		=
																																		MAKE_PAIR
																																		(CNST_TABLE_REF
																																		(((long)
																																				11)),
																																		BgL_arg1792z00_482);
																																}
																																BgL_arg1790z00_480
																																	=
																																	MAKE_PAIR
																																	(BgL_arg1791z00_481,
																																	BNIL);
																															}
																															BgL_arg1789z00_479
																																=
																																MAKE_PAIR
																																(BgL_resz00_430,
																																BgL_arg1790z00_480);
																														}
																														BgL_arg1787z00_477 =
																															MAKE_PAIR
																															(CNST_TABLE_REF((
																																	(long) 27)),
																															BgL_arg1789z00_479);
																													}
																													BgL_arg1788z00_478 =
																														MAKE_PAIR(BFALSE,
																														BNIL);
																													BgL_arg1741z00_462 =
																														MAKE_PAIR
																														(BgL_arg1787z00_477,
																														BgL_arg1788z00_478);
																												}
																												BgL_arg1737z00_460 =
																													MAKE_PAIR
																													(BgL_arg1739z00_461,
																													BgL_arg1741z00_462);
																											}
																											BgL_arg1731z00_458 =
																												MAKE_PAIR(CNST_TABLE_REF
																												(((long) 11)),
																												BgL_arg1737z00_460);
																										}
																										{	/* Expand/exit.scm 132 */
																											obj_t BgL_arg1793z00_483;

																											{	/* Expand/exit.scm 132 */
																												obj_t
																													BgL_arg1794z00_484;
																												BgL_arg1794z00_484 =
																													MAKE_PAIR
																													(BgL_ohsz00_428,
																													BNIL);
																												BgL_arg1793z00_483 =
																													MAKE_PAIR
																													(CNST_TABLE_REF((
																															(long) 29)),
																													BgL_arg1794z00_484);
																											}
																											BgL_arg1732z00_459 =
																												MAKE_PAIR
																												(BgL_arg1793z00_483,
																												BNIL);
																										}
																										BgL_arg1730z00_457 =
																											MAKE_PAIR
																											(BgL_arg1731z00_458,
																											BgL_arg1732z00_459);
																									}
																									BgL_arg1727z00_456 =
																										MAKE_PAIR(CNST_TABLE_REF((
																												(long) 30)),
																										BgL_arg1730z00_457);
																								}
																								BgL_arg1720z00_452 =
																									MAKE_PAIR(BgL_arg1727z00_456,
																									BNIL);
																							}
																							BgL_arg1717z00_450 =
																								MAKE_PAIR(BgL_arg1719z00_451,
																								BgL_arg1720z00_452);
																						}
																						BgL_arg1710z00_449 =
																							MAKE_PAIR(CNST_TABLE_REF(((long)
																									13)), BgL_arg1717z00_450);
																					}
																					BgL_arg1707z00_448 =
																						MAKE_PAIR(BgL_arg1710z00_449, BNIL);
																				}
																				BgL_arg1700z00_446 =
																					MAKE_PAIR(BgL_arg1706z00_447,
																					BgL_arg1707z00_448);
																			}
																			BgL_arg1697z00_444 =
																				MAKE_PAIR(CNST_TABLE_REF(((long) 31)),
																				BgL_arg1700z00_446);
																		}
																		{	/* Expand/exit.scm 133 */
																			obj_t BgL_arg1795z00_485;
																			obj_t BgL_arg1796z00_486;

																			{	/* Expand/exit.scm 133 */
																				obj_t BgL_arg1797z00_487;

																				BgL_arg1797z00_487 =
																					MAKE_PAIR(BgL_resz00_430, BNIL);
																				BgL_arg1795z00_485 =
																					MAKE_PAIR(BgL_hdlz00_432,
																					BgL_arg1797z00_487);
																			}
																			BgL_arg1796z00_486 =
																				MAKE_PAIR(BgL_resz00_430, BNIL);
																			BgL_arg1699z00_445 =
																				MAKE_PAIR(BgL_arg1795z00_485,
																				BgL_arg1796z00_486);
																		}
																		BgL_arg1696z00_443 =
																			MAKE_PAIR(BgL_arg1697z00_444,
																			BgL_arg1699z00_445);
																	}
																	BgL_arg1691z00_442 =
																		MAKE_PAIR(CNST_TABLE_REF(((long) 32)),
																		BgL_arg1696z00_443);
																}
																BgL_arg1658z00_436 =
																	MAKE_PAIR(BgL_arg1691z00_442, BNIL);
															}
															BgL_arg1655z00_434 =
																MAKE_PAIR(BgL_arg1656z00_435,
																BgL_arg1658z00_436);
														}
														BgL_arg1644z00_433 =
															MAKE_PAIR(CNST_TABLE_REF(((long) 13)),
															BgL_arg1655z00_434);
													}
													BgL_bodyz00_378 =
														PROCEDURE_ENTRY(BgL_ez00_36) (BgL_ez00_36,
														BgL_arg1644z00_433, BgL_ez00_36, BEOA);
											}}
											{	/* Expand/exit.scm 138 */
												obj_t BgL_locz00_380;

												BgL_locz00_380 =
													BGl_findzd2locationzd2zztools_locationz00
													(BgL_xz00_35);
												{	/* Expand/exit.scm 139 */
													bool_t BgL_testz00_942;

													{	/* Expand/exit.scm 139 */
														bool_t BgL_testz00_943;

														if (STRUCTP(BgL_locz00_380))
															{	/* Expand/exit.scm 139 */
																BgL_testz00_943 =
																	(STRUCT_KEY(BgL_locz00_380) ==
																	CNST_TABLE_REF(((long) 33)));
															}
														else
															{	/* Expand/exit.scm 139 */
																BgL_testz00_943 = ((bool_t) 0);
															}
														if (BgL_testz00_943)
															{	/* Expand/exit.scm 140 */
																bool_t BgL_testz00_949;

																{	/* Expand/exit.scm 140 */
																	int BgL_arg1642z00_423;

																	BgL_arg1642z00_423 =
																		BGl_bigloozd2compilerzd2debugz00zz__paramz00
																		();
																	BgL_testz00_949 =
																		((long) (BgL_arg1642z00_423) > ((long) 0));
																}
																if (BgL_testz00_949)
																	{	/* Expand/exit.scm 141 */
																		obj_t BgL_arg1631z00_422;

																		BgL_arg1631z00_422 =
																			BGl_thezd2backendzd2zzbackend_backendz00
																			();
																		BgL_testz00_942 =
																			(((BgL_backendz00_bglt)
																				CREF(((BgL_backendz00_bglt)
																						BgL_arg1631z00_422)))->
																			BgL_tracezd2supportzd2);
																	}
																else
																	{	/* Expand/exit.scm 140 */
																		BgL_testz00_942 = ((bool_t) 0);
																	}
															}
														else
															{	/* Expand/exit.scm 139 */
																BgL_testz00_942 = ((bool_t) 0);
															}
													}
													if (BgL_testz00_942)
														{	/* Expand/exit.scm 142 */
															obj_t BgL_locz00_382;
															obj_t BgL_vidz00_383;
															obj_t BgL_tmp1z00_384;
															obj_t BgL_tmp2z00_385;

															{	/* Expand/exit.scm 142 */
																obj_t BgL_arg1611z00_413;

																{	/* Expand/exit.scm 142 */
																	obj_t BgL_arg1612z00_414;
																	obj_t BgL_arg1613z00_415;

																	BgL_arg1612z00_414 =
																		BGl_locationzd2fullzd2fnamez00zztools_locationz00
																		(BgL_locz00_380);
																	BgL_arg1613z00_415 =
																		MAKE_PAIR(STRUCT_REF(BgL_locz00_380,
																			(int) (((long) 1))), BNIL);
																	BgL_arg1611z00_413 =
																		MAKE_PAIR(BgL_arg1612z00_414,
																		BgL_arg1613z00_415);
																}
																BgL_locz00_382 =
																	MAKE_PAIR(CNST_TABLE_REF(((long) 34)),
																	BgL_arg1611z00_413);
															}
															{	/* Expand/exit.scm 143 */

																{	/* Expand/exit.scm 143 */

																	BgL_vidz00_383 =
																		BGl_gensymz00zz__r4_symbols_6_4z00(BFALSE);
															}}
															BgL_tmp1z00_384 =
																BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
																(BGl_gensymz00zz__r4_symbols_6_4z00
																(CNST_TABLE_REF(((long) 35))));
															BgL_tmp2z00_385 =
																BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
																(BGl_gensymz00zz__r4_symbols_6_4z00
																(CNST_TABLE_REF(((long) 36))));
															{	/* Expand/exit.scm 146 */
																obj_t BgL_arg1516z00_386;

																{	/* Expand/exit.scm 146 */
																	obj_t BgL_arg1517z00_387;
																	obj_t BgL_arg1520z00_388;

																	{	/* Expand/exit.scm 146 */
																		obj_t BgL_arg1525z00_389;
																		obj_t BgL_arg1527z00_390;

																		{	/* Expand/exit.scm 146 */
																			obj_t BgL_arg1539z00_391;

																			{	/* Expand/exit.scm 146 */
																				obj_t BgL_arg1544z00_392;

																				{	/* Expand/exit.scm 146 */
																					obj_t BgL_arg1545z00_393;

																					BgL_arg1545z00_393 =
																						MAKE_PAIR(CNST_TABLE_REF(((long)
																								37)), BNIL);
																					BgL_arg1544z00_392 =
																						MAKE_PAIR(CNST_TABLE_REF(((long)
																								38)), BgL_arg1545z00_393);
																				}
																				BgL_arg1539z00_391 =
																					MAKE_PAIR(BgL_arg1544z00_392, BNIL);
																			}
																			BgL_arg1525z00_389 =
																				MAKE_PAIR(BgL_tmp1z00_384,
																				BgL_arg1539z00_391);
																		}
																		{	/* Expand/exit.scm 147 */
																			obj_t BgL_arg1547z00_394;

																			{	/* Expand/exit.scm 147 */
																				obj_t BgL_arg1550z00_395;

																				{	/* Expand/exit.scm 147 */
																					obj_t BgL_arg1551z00_396;

																					{	/* Expand/exit.scm 147 */
																						obj_t BgL_arg1556z00_397;

																						BgL_arg1556z00_397 =
																							MAKE_PAIR(BgL_locz00_382, BNIL);
																						BgL_arg1551z00_396 =
																							MAKE_PAIR(CNST_TABLE_REF(((long)
																									38)), BgL_arg1556z00_397);
																					}
																					BgL_arg1550z00_395 =
																						MAKE_PAIR(BgL_arg1551z00_396, BNIL);
																				}
																				BgL_arg1547z00_394 =
																					MAKE_PAIR(BgL_tmp2z00_385,
																					BgL_arg1550z00_395);
																			}
																			BgL_arg1527z00_390 =
																				MAKE_PAIR(BgL_arg1547z00_394, BNIL);
																		}
																		BgL_arg1517z00_387 =
																			MAKE_PAIR(BgL_arg1525z00_389,
																			BgL_arg1527z00_390);
																	}
																	{	/* Expand/exit.scm 149 */
																		obj_t BgL_arg1559z00_398;

																		{	/* Expand/exit.scm 149 */
																			obj_t BgL_arg1562z00_399;

																			{	/* Expand/exit.scm 149 */
																				obj_t BgL_arg1563z00_400;

																				{	/* Expand/exit.scm 149 */
																					obj_t BgL_arg1565z00_401;
																					obj_t BgL_arg1570z00_402;

																					{	/* Expand/exit.scm 149 */
																						obj_t BgL_arg1571z00_403;

																						{	/* Expand/exit.scm 149 */
																							obj_t BgL_arg1574z00_404;

																							BgL_arg1574z00_404 =
																								MAKE_PAIR(BgL_tmp2z00_385,
																								BNIL);
																							BgL_arg1571z00_403 =
																								MAKE_PAIR(BgL_tmp1z00_384,
																								BgL_arg1574z00_404);
																						}
																						BgL_arg1565z00_401 =
																							MAKE_PAIR(CNST_TABLE_REF(((long)
																									39)), BgL_arg1571z00_403);
																					}
																					{	/* Expand/exit.scm 150 */
																						obj_t BgL_arg1579z00_405;

																						{	/* Expand/exit.scm 150 */
																							obj_t BgL_arg1582z00_406;

																							{	/* Expand/exit.scm 150 */
																								obj_t BgL_arg1585z00_407;
																								obj_t BgL_arg1591z00_408;

																								{	/* Expand/exit.scm 150 */
																									obj_t BgL_arg1592z00_409;

																									{	/* Expand/exit.scm 150 */
																										obj_t BgL_arg1599z00_410;

																										BgL_arg1599z00_410 =
																											MAKE_PAIR(BgL_bodyz00_378,
																											BNIL);
																										BgL_arg1592z00_409 =
																											MAKE_PAIR(BgL_vidz00_383,
																											BgL_arg1599z00_410);
																									}
																									BgL_arg1585z00_407 =
																										MAKE_PAIR
																										(BgL_arg1592z00_409, BNIL);
																								}
																								{	/* Expand/exit.scm 151 */
																									obj_t BgL_arg1605z00_411;
																									obj_t BgL_arg1606z00_412;

																									{	/* Expand/exit.scm 151 */
																										obj_t BgL_res1820z00_652;

																										{	/* Expand/exit.scm 151 */
																											obj_t BgL_obj1z00_649;

																											BgL_obj1z00_649 =
																												CNST_TABLE_REF(((long)
																													40));
																											BgL_res1820z00_652 =
																												MAKE_EXTENDED_PAIR
																												(BgL_obj1z00_649, BNIL,
																												BgL_locz00_382);
																										}
																										BgL_arg1605z00_411 =
																											BgL_res1820z00_652;
																									}
																									BgL_arg1606z00_412 =
																										MAKE_PAIR(BgL_vidz00_383,
																										BNIL);
																									BgL_arg1591z00_408 =
																										MAKE_PAIR
																										(BgL_arg1605z00_411,
																										BgL_arg1606z00_412);
																								}
																								BgL_arg1582z00_406 =
																									MAKE_PAIR(BgL_arg1585z00_407,
																									BgL_arg1591z00_408);
																							}
																							BgL_arg1579z00_405 =
																								MAKE_PAIR(CNST_TABLE_REF(((long)
																										13)), BgL_arg1582z00_406);
																						}
																						BgL_arg1570z00_402 =
																							MAKE_PAIR(BgL_arg1579z00_405,
																							BNIL);
																					}
																					BgL_arg1563z00_400 =
																						MAKE_PAIR(BgL_arg1565z00_401,
																						BgL_arg1570z00_402);
																				}
																				BgL_arg1562z00_399 =
																					MAKE_PAIR(BNIL, BgL_arg1563z00_400);
																			}
																			BgL_arg1559z00_398 =
																				MAKE_PAIR(CNST_TABLE_REF(((long) 13)),
																				BgL_arg1562z00_399);
																		}
																		BgL_arg1520z00_388 =
																			MAKE_PAIR(BgL_arg1559z00_398, BNIL);
																	}
																	BgL_arg1516z00_386 =
																		MAKE_PAIR(BgL_arg1517z00_387,
																		BgL_arg1520z00_388);
																}
																BgL_auxz00_940 =
																	MAKE_PAIR(CNST_TABLE_REF(((long) 13)),
																	BgL_arg1516z00_386);
														}}
													else
														{	/* Expand/exit.scm 139 */
															BgL_auxz00_940 = BgL_bodyz00_378;
														}
												}
											}
											return
												BGl_replacez12z12zztools_miscz00(BgL_xz00_35,
												BgL_auxz00_940);
										}
									}
								else
									{	/* Expand/exit.scm 155 */
									BgL_tagzd2428zd2_369:
										return
											BGl_errorz00zz__errorz00(BFALSE,
											BGl_string1827z00zzexpand_exitz00, BgL_xz00_35);
									}
							}
						else
							{	/* Expand/exit.scm 155 */
								goto BgL_tagzd2428zd2_369;
							}
					}
				}
			}
		}
	}



/* &expand-with-handler */
	obj_t BGl_z62expandzd2withzd2handlerz62zzexpand_exitz00(obj_t BgL_envz00_679,
		obj_t BgL_xz00_680, obj_t BgL_ez00_681)
	{
		AN_OBJECT;
		{	/* Expand/exit.scm 111 */
			return
				BGl_expandzd2withzd2handlerz00zzexpand_exitz00(BgL_xz00_680,
				BgL_ez00_681);
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzexpand_exitz00()
	{
		AN_OBJECT;
		{	/* Expand/exit.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzexpand_exitz00()
	{
		AN_OBJECT;
		{	/* Expand/exit.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzexpand_exitz00()
	{
		AN_OBJECT;
		{	/* Expand/exit.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzexpand_exitz00()
	{
		AN_OBJECT;
		{	/* Expand/exit.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1828z00zzexpand_exitz00));
			BGl_modulezd2initializa7ationz75zztools_argsz00(((long) 47102372),
				BSTRING_TO_STRING(BGl_string1828z00zzexpand_exitz00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1828z00zzexpand_exitz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 9470071),
				BSTRING_TO_STRING(BGl_string1828z00zzexpand_exitz00));
			BGl_modulezd2initializa7ationz75zzexpand_expanderz00(((long) 393376),
				BSTRING_TO_STRING(BGl_string1828z00zzexpand_exitz00));
			BGl_modulezd2initializa7ationz75zzexpand_epsz00(((long) 359337187),
				BSTRING_TO_STRING(BGl_string1828z00zzexpand_exitz00));
			BGl_modulezd2initializa7ationz75zzexpand_lambdaz00(((long) 223654864),
				BSTRING_TO_STRING(BGl_string1828z00zzexpand_exitz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 328744326),
				BSTRING_TO_STRING(BGl_string1828z00zzexpand_exitz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1828z00zzexpand_exitz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string1828z00zzexpand_exitz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string1828z00zzexpand_exitz00));
			return
				BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string1828z00zzexpand_exitz00));
		}
	}

#ifdef __cplusplus
}
#endif
