/*===========================================================================*/
/*   (Integrate/free.scm)                                                    */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Integrate/free.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_svarzf2iinfozf2_bgl
	{
		obj_t BgL_fzd2markzd2;
		obj_t BgL_uzd2markzd2;
		bool_t BgL_kapturedzf3zf3;
		bool_t BgL_celledzf3zf3;
	}                      *BgL_svarzf2iinfozf2_bglt;

	typedef struct BgL_sexitzf2iinfozf2_bgl
	{
		obj_t BgL_fzd2markzd2;
		obj_t BgL_uzd2markzd2;
		bool_t BgL_kapturedzf3zf3;
		bool_t BgL_celledzf3zf3;
	}                       *BgL_sexitzf2iinfozf2_bglt;

	typedef struct BgL_sfunzf2iinfozf2_bgl
	{
		obj_t BgL_ownerz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
		obj_t BgL_cfromz00;
		obj_t BgL_ctoz00;
		obj_t BgL_kz00;
		obj_t BgL_kza2za2;
		obj_t BgL_uz00;
		obj_t BgL_cnz00;
		obj_t BgL_ctz00;
		obj_t BgL_kontz00;
		bool_t BgL_gzf3zf3;
		bool_t BgL_forcegzf3zf3;
		obj_t BgL_lz00;
		obj_t BgL_ledz00;
		obj_t BgL_istampz00;
		obj_t BgL_globalz00;
		obj_t BgL_kapturedz00;
		obj_t BgL_tailzd2coercionzd2;
	}                      *BgL_sfunzf2iinfozf2_bglt;


	static obj_t BGl_z62nodezd2freezd2app1927z62zzintegrate_freez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	static obj_t BGl_z62nodezd2free1915zb0zzintegrate_freez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t BGl_nodezd2freeza2z70zzintegrate_freez00(obj_t, obj_t);
	static obj_t BGl_z62nodezd2freezd2cast1935z62zzintegrate_freez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_za2integratorza2z00zzintegrate_freez00 = BUNSPEC;
	static obj_t BGl_z62nodezd2freezb0zzintegrate_freez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzintegrate_freez00();
	static obj_t BGl_z62nodezd2freezd2setq1937z62zzintegrate_freez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_nodezd2freezd2zzintegrate_freez00(BgL_nodez00_bglt, obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzintegrate_freez00();
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62nodezd2freezd2conditiona1939z62zzintegrate_freez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62nodezd2freezd2letzd2fun1945zb0zzintegrate_freez00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62nodezd2freezd2boxzd2setz121957za2zzintegrate_freez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2freezd2makezd2box1953zb0zzintegrate_freez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t
		BGl_internalzd2getzd2freezd2varsz12zc0zzintegrate_freez00(BgL_nodez00_bglt,
		BgL_localz00_bglt);
	static obj_t
		BGl_z62nodezd2freezd2jumpzd2exzd2it1951z62zzintegrate_freez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2freezd2var1918z62zzintegrate_freez00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62nodezd2freezd2letzd2var1947zb0zzintegrate_freez00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62nodezd2freezd2setzd2exzd2it1949z62zzintegrate_freez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_selectz00zzast_nodez00;
	static obj_t BGl_z62nodezd2freezd2closure1920z62zzintegrate_freez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd2freezd2appzd2ly1929zb0zzintegrate_freez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd2freezd2select1943z62zzintegrate_freez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzintegrate_freez00 = BUNSPEC;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzintegrate_freez00();
	static obj_t BGl_z62nodezd2freezd2extern1933z62zzintegrate_freez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzintegrate_freez00();
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	static obj_t BGl_z62nodezd2freezd2sync1925z62zzintegrate_freez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getzd2freezd2varsz00zzintegrate_freez00(BgL_nodez00_bglt,
		BgL_localz00_bglt);
	static obj_t BGl_z62nodezd2freezd2fail1941z62zzintegrate_freez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62freezd2fromzb0zzintegrate_freez00(obj_t, obj_t, obj_t);
	static obj_t BGl_bindzd2variablez12zc0zzintegrate_freez00(BgL_localz00_bglt,
		BgL_localz00_bglt);
	static obj_t BGl_markzd2variablez12zc0zzintegrate_freez00(BgL_localz00_bglt);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_freezd2fromzd2zzintegrate_freez00(obj_t,
		BgL_localz00_bglt);
	extern obj_t BGl_sexitzf2Iinfozf2zzintegrate_infoz00;
	static long BGl_za2roundza2z00zzintegrate_freez00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_freez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_nodez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_infoz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_svarzf2Iinfozf2zzintegrate_infoz00;
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_freezd2variablezf3z21zzintegrate_freez00(obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_freez00();
	static obj_t BGl_importedzd2moduleszd2initz00zzintegrate_freez00();
	static obj_t BGl_z62nodezd2freezd2sequence1922z62zzintegrate_freez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_z62nodezd2freezd2funcall1931z62zzintegrate_freez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62getzd2freezd2varsz62zzintegrate_freez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl_z62nodezd2freezd2boxzd2ref1955zb0zzintegrate_freez00(obj_t,
		obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2200z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d2216za7,
		BGl_z62nodezd2freezd2funcall1931z62zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2201z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d2217za7,
		BGl_z62nodezd2freezd2extern1933z62zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2202z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d2218za7,
		BGl_z62nodezd2freezd2cast1935z62zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2203z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d2219za7,
		BGl_z62nodezd2freezd2setq1937z62zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2204z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d2220za7,
		BGl_z62nodezd2freezd2conditiona1939z62zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2205z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d2221za7,
		BGl_z62nodezd2freezd2fail1941z62zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2206z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d2222za7,
		BGl_z62nodezd2freezd2select1943z62zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2207z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d2223za7,
		BGl_z62nodezd2freezd2letzd2fun1945zb0zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2208z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d2224za7,
		BGl_z62nodezd2freezd2letzd2var1947zb0zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2209z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d2225za7,
		BGl_z62nodezd2freezd2setzd2exzd2it1949z62zzintegrate_freez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2210z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d2226za7,
		BGl_z62nodezd2freezd2jumpzd2exzd2it1951z62zzintegrate_freez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2211z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d2227za7,
		BGl_z62nodezd2freezd2makezd2box1953zb0zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2212z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d2228za7,
		BGl_z62nodezd2freezd2boxzd2ref1955zb0zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2213z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d2229za7,
		BGl_z62nodezd2freezd2boxzd2setz121957za2zzintegrate_freez00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string2189z00zzintegrate_freez00,
		BgL_bgl_string2189za700za7za7i2230za7, "free-variable?", 14);
	      DEFINE_STRING(BGl_string2190z00zzintegrate_freez00,
		BgL_bgl_string2190za700za7za7i2231za7, "Unknown variable type", 21);
	      DEFINE_STRING(BGl_string2192z00zzintegrate_freez00,
		BgL_bgl_string2192za700za7za7i2232za7, "node-free1915", 13);
	      DEFINE_STRING(BGl_string2194z00zzintegrate_freez00,
		BgL_bgl_string2194za700za7za7i2233za7, "node-free", 9);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_freezd2fromzd2envz00zzintegrate_freez00,
		BgL_bgl_za762freeza7d2fromza7b2234za7,
		BGl_z62freezd2fromzb0zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2214z00zzintegrate_freez00,
		BgL_bgl_string2214za700za7za7i2235za7, "Unexepected `closure' node", 26);
	      DEFINE_STRING(BGl_string2215z00zzintegrate_freez00,
		BgL_bgl_string2215za700za7za7i2236za7, "integrate_free", 14);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2freezd2varszd2envzd2zzintegrate_freez00,
		BgL_bgl_za762getza7d2freeza7d22237za7,
		BGl_z62getzd2freezd2varsz62zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2191z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2free192238z00,
		BGl_z62nodezd2free1915zb0zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2193z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d2239za7,
		BGl_z62nodezd2freezd2var1918z62zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2195z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d2240za7,
		BGl_z62nodezd2freezd2closure1920z62zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2196z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d2241za7,
		BGl_z62nodezd2freezd2sequence1922z62zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2197z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d2242za7,
		BGl_z62nodezd2freezd2sync1925z62zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2198z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d2243za7,
		BGl_z62nodezd2freezd2app1927z62zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2199z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d2244za7,
		BGl_z62nodezd2freezd2appzd2ly1929zb0zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_nodezd2freezd2envz00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7b2245za7,
		BGl_z62nodezd2freezb0zzintegrate_freez00, 0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_freez00(long
		BgL_checksumz00_2872, char *BgL_fromz00_2873)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzintegrate_freez00))
				{
					BGl_requirezd2initializa7ationz75zzintegrate_freez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzintegrate_freez00();
					BGl_importedzd2moduleszd2initz00zzintegrate_freez00();
					BGl_genericzd2initzd2zzintegrate_freez00();
					BGl_methodzd2initzd2zzintegrate_freez00();
					BGl_toplevelzd2initzd2zzintegrate_freez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_freez00()
	{
		AN_OBJECT;
		{	/* Integrate/free.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"integrate_free");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"integrate_free");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"integrate_free");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"integrate_free");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"integrate_free");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"integrate_free");
			return BUNSPEC;
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzintegrate_freez00()
	{
		AN_OBJECT;
		{	/* Integrate/free.scm 15 */
			BGl_za2roundza2z00zzintegrate_freez00 = ((long) 0);
			BGl_za2integratorza2z00zzintegrate_freez00 = BUNSPEC;
			return BUNSPEC;
		}
	}



/* mark-variable! */
	obj_t BGl_markzd2variablez12zc0zzintegrate_freez00(BgL_localz00_bglt
		BgL_localz00_3)
	{
		AN_OBJECT;
		{	/* Integrate/free.scm 41 */
			{	/* Integrate/free.scm 42 */
				BgL_valuez00_bglt BgL_infoz00_1449;

				BgL_infoz00_1449 =
					(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_localz00_3)))->BgL_valuez00);
				{	/* Integrate/free.scm 44 */
					bool_t BgL_testz00_2890;

					{	/* Integrate/free.scm 44 */
						bool_t BgL_res2153z00_2576;

						BgL_res2153z00_2576 =
							BGl_isazf3zf3zz__objectz00(
							((obj_t) BgL_infoz00_1449),
							BGl_svarzf2Iinfozf2zzintegrate_infoz00);
						BgL_testz00_2890 = BgL_res2153z00_2576;
					}
					if (BgL_testz00_2890)
						{	/* Integrate/free.scm 45 */
							obj_t BgL_vz00_2578;

							BgL_vz00_2578 = BINT(BGl_za2roundza2z00zzintegrate_freez00);
							{
								BgL_svarzf2iinfozf2_bglt BgL_auxz00_2894;

								{
									obj_t BgL_auxz00_2895;

									{	/* Integrate/free.scm 45 */
										BgL_objectz00_bglt BgL_auxz00_2896;

										BgL_auxz00_2896 =
											((BgL_objectz00_bglt)
											((BgL_svarz00_bglt) BgL_infoz00_1449));
										BgL_auxz00_2895 = BGL_OBJECT_WIDENING(BgL_auxz00_2896);
									}
									BgL_auxz00_2894 =
										((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_2895);
								}
								return
									((((BgL_svarzf2iinfozf2_bglt) CREF(BgL_auxz00_2894))->
										BgL_fzd2markzd2) = ((obj_t) BgL_vz00_2578), BUNSPEC);
							}
						}
					else
						{	/* Integrate/free.scm 46 */
							bool_t BgL_testz00_2902;

							{	/* Integrate/free.scm 46 */
								bool_t BgL_res2154z00_2581;

								BgL_res2154z00_2581 =
									BGl_isazf3zf3zz__objectz00(
									((obj_t) BgL_infoz00_1449),
									BGl_sexitzf2Iinfozf2zzintegrate_infoz00);
								BgL_testz00_2902 = BgL_res2154z00_2581;
							}
							if (BgL_testz00_2902)
								{	/* Integrate/free.scm 47 */
									obj_t BgL_vz00_2583;

									BgL_vz00_2583 = BINT(BGl_za2roundza2z00zzintegrate_freez00);
									{
										BgL_sexitzf2iinfozf2_bglt BgL_auxz00_2906;

										{
											obj_t BgL_auxz00_2907;

											{	/* Integrate/free.scm 47 */
												BgL_objectz00_bglt BgL_auxz00_2908;

												BgL_auxz00_2908 =
													((BgL_objectz00_bglt)
													((BgL_sexitz00_bglt) BgL_infoz00_1449));
												BgL_auxz00_2907 = BGL_OBJECT_WIDENING(BgL_auxz00_2908);
											}
											BgL_auxz00_2906 =
												((BgL_sexitzf2iinfozf2_bglt) BgL_auxz00_2907);
										}
										return
											((((BgL_sexitzf2iinfozf2_bglt) CREF(BgL_auxz00_2906))->
												BgL_fzd2markzd2) = ((obj_t) BgL_vz00_2583), BUNSPEC);
									}
								}
							else
								{	/* Integrate/free.scm 46 */
									return BFALSE;
								}
						}
				}
			}
		}
	}



/* bind-variable! */
	obj_t BGl_bindzd2variablez12zc0zzintegrate_freez00(BgL_localz00_bglt
		BgL_localz00_4, BgL_localz00_bglt BgL_integratorz00_5)
	{
		AN_OBJECT;
		{	/* Integrate/free.scm 52 */
			{	/* Integrate/free.scm 53 */
				BgL_valuez00_bglt BgL_finfoz00_1452;

				BgL_finfoz00_1452 =
					(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_integratorz00_5)))->BgL_valuez00);
				{	/* Integrate/free.scm 54 */
					obj_t BgL_arg1964z00_1453;

					{	/* Integrate/free.scm 54 */
						obj_t BgL_arg1965z00_1454;

						{
							BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2916;

							{
								obj_t BgL_auxz00_2917;

								{	/* Integrate/free.scm 54 */
									BgL_objectz00_bglt BgL_auxz00_2918;

									BgL_auxz00_2918 =
										((BgL_objectz00_bglt)
										((BgL_sfunz00_bglt) BgL_finfoz00_1452));
									BgL_auxz00_2917 = BGL_OBJECT_WIDENING(BgL_auxz00_2918);
								}
								BgL_auxz00_2916 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2917);
							}
							BgL_arg1965z00_1454 =
								(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_2916))->
								BgL_boundz00);
						}
						BgL_arg1964z00_1453 =
							MAKE_PAIR(((obj_t) BgL_localz00_4), BgL_arg1965z00_1454);
					}
					{
						BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2926;

						{
							obj_t BgL_auxz00_2927;

							{	/* Integrate/free.scm 54 */
								BgL_objectz00_bglt BgL_auxz00_2928;

								BgL_auxz00_2928 =
									((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_finfoz00_1452));
								BgL_auxz00_2927 = BGL_OBJECT_WIDENING(BgL_auxz00_2928);
							}
							BgL_auxz00_2926 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2927);
						}
						((((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_2926))->
								BgL_boundz00) = ((obj_t) BgL_arg1964z00_1453), BUNSPEC);
					}
				}
				return BGl_markzd2variablez12zc0zzintegrate_freez00(BgL_localz00_4);
			}
		}
	}



/* free-variable? */
	obj_t BGl_freezd2variablezf3z21zzintegrate_freez00(obj_t BgL_localz00_6)
	{
		AN_OBJECT;
		{	/* Integrate/free.scm 60 */
			{	/* Integrate/free.scm 61 */
				BgL_valuez00_bglt BgL_infoz00_1455;

				BgL_infoz00_1455 =
					(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt)
								((BgL_localz00_bglt) BgL_localz00_6))))->BgL_valuez00);
				{	/* Integrate/free.scm 63 */
					bool_t BgL_testz00_2938;

					{	/* Integrate/free.scm 63 */
						bool_t BgL_res2157z00_2597;

						BgL_res2157z00_2597 =
							BGl_isazf3zf3zz__objectz00(
							((obj_t) BgL_infoz00_1455),
							BGl_svarzf2Iinfozf2zzintegrate_infoz00);
						BgL_testz00_2938 = BgL_res2157z00_2597;
					}
					if (BgL_testz00_2938)
						{	/* Integrate/free.scm 64 */
							bool_t BgL_testz00_2941;

							{	/* Integrate/free.scm 64 */
								obj_t BgL_arg1968z00_1458;

								{
									BgL_svarzf2iinfozf2_bglt BgL_auxz00_2942;

									{
										obj_t BgL_auxz00_2943;

										{	/* Integrate/free.scm 64 */
											BgL_objectz00_bglt BgL_auxz00_2944;

											BgL_auxz00_2944 =
												((BgL_objectz00_bglt)
												((BgL_svarz00_bglt) BgL_infoz00_1455));
											BgL_auxz00_2943 = BGL_OBJECT_WIDENING(BgL_auxz00_2944);
										}
										BgL_auxz00_2942 =
											((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_2943);
									}
									BgL_arg1968z00_1458 =
										(((BgL_svarzf2iinfozf2_bglt) CREF(BgL_auxz00_2942))->
										BgL_fzd2markzd2);
								}
								BgL_testz00_2941 =
									(BgL_arg1968z00_1458 ==
									BINT(BGl_za2roundza2z00zzintegrate_freez00));
							}
							if (BgL_testz00_2941)
								{	/* Integrate/free.scm 64 */
									return BFALSE;
								}
							else
								{	/* Integrate/free.scm 64 */
									return BTRUE;
								}
						}
					else
						{	/* Integrate/free.scm 65 */
							bool_t BgL_testz00_2952;

							{	/* Integrate/free.scm 65 */
								bool_t BgL_res2158z00_2601;

								BgL_res2158z00_2601 =
									BGl_isazf3zf3zz__objectz00(
									((obj_t) BgL_infoz00_1455),
									BGl_sexitzf2Iinfozf2zzintegrate_infoz00);
								BgL_testz00_2952 = BgL_res2158z00_2601;
							}
							if (BgL_testz00_2952)
								{	/* Integrate/free.scm 66 */
									bool_t BgL_testz00_2955;

									{	/* Integrate/free.scm 66 */
										obj_t BgL_arg1972z00_1461;

										{
											BgL_sexitzf2iinfozf2_bglt BgL_auxz00_2956;

											{
												obj_t BgL_auxz00_2957;

												{	/* Integrate/free.scm 66 */
													BgL_objectz00_bglt BgL_auxz00_2958;

													BgL_auxz00_2958 =
														((BgL_objectz00_bglt)
														((BgL_sexitz00_bglt) BgL_infoz00_1455));
													BgL_auxz00_2957 =
														BGL_OBJECT_WIDENING(BgL_auxz00_2958);
												}
												BgL_auxz00_2956 =
													((BgL_sexitzf2iinfozf2_bglt) BgL_auxz00_2957);
											}
											BgL_arg1972z00_1461 =
												(((BgL_sexitzf2iinfozf2_bglt) CREF(BgL_auxz00_2956))->
												BgL_fzd2markzd2);
										}
										BgL_testz00_2955 =
											(BgL_arg1972z00_1461 ==
											BINT(BGl_za2roundza2z00zzintegrate_freez00));
									}
									if (BgL_testz00_2955)
										{	/* Integrate/free.scm 66 */
											return BFALSE;
										}
									else
										{	/* Integrate/free.scm 66 */
											return BTRUE;
										}
								}
							else
								{	/* Integrate/free.scm 70 */
									obj_t BgL_arg1973z00_1462;

									BgL_arg1973z00_1462 =
										MAKE_PAIR(BgL_localz00_6,
										BGl_shapez00zztools_shapez00(BgL_localz00_6));
									return
										BGl_errorz00zz__errorz00
										(BGl_string2189z00zzintegrate_freez00,
										BGl_string2190z00zzintegrate_freez00, BgL_arg1973z00_1462);
								}
						}
				}
			}
		}
	}



/* get-free-vars */
	BGL_EXPORTED_DEF obj_t
		BGl_getzd2freezd2varsz00zzintegrate_freez00(BgL_nodez00_bglt BgL_nodez00_7,
		BgL_localz00_bglt BgL_integratorz00_8)
	{
		AN_OBJECT;
		{	/* Integrate/free.scm 78 */
			{	/* Integrate/free.scm 81 */
				obj_t BgL_freez00_1464;

				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2969;

					{
						obj_t BgL_auxz00_2970;

						{	/* Integrate/free.scm 81 */
							BgL_objectz00_bglt BgL_auxz00_2971;

							BgL_auxz00_2971 =
								((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt)
									(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt) BgL_integratorz00_8)))->
										BgL_valuez00)));
							BgL_auxz00_2970 = BGL_OBJECT_WIDENING(BgL_auxz00_2971);
						}
						BgL_auxz00_2969 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2970);
					}
					BgL_freez00_1464 =
						(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_2969))->BgL_freez00);
				}
				{	/* Integrate/free.scm 82 */
					bool_t BgL_testz00_2979;

					if (NULLP(BgL_freez00_1464))
						{	/* Integrate/free.scm 82 */
							BgL_testz00_2979 = ((bool_t) 1);
						}
					else
						{	/* Integrate/free.scm 82 */
							BgL_testz00_2979 = PAIRP(BgL_freez00_1464);
						}
					if (BgL_testz00_2979)
						{	/* Integrate/free.scm 82 */
							return BgL_freez00_1464;
						}
					else
						{	/* Integrate/free.scm 84 */
							obj_t BgL_freez00_1466;

							BgL_freez00_1466 =
								BGl_internalzd2getzd2freezd2varsz12zc0zzintegrate_freez00
								(BgL_nodez00_7, BgL_integratorz00_8);
							{	/* Integrate/free.scm 85 */
								BgL_valuez00_bglt BgL_arg1976z00_1467;

								BgL_arg1976z00_1467 =
									(((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt) BgL_integratorz00_8)))->
									BgL_valuez00);
								{
									BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2986;

									{
										obj_t BgL_auxz00_2987;

										{	/* Integrate/free.scm 85 */
											BgL_objectz00_bglt BgL_auxz00_2988;

											BgL_auxz00_2988 =
												((BgL_objectz00_bglt)
												((BgL_sfunz00_bglt) BgL_arg1976z00_1467));
											BgL_auxz00_2987 = BGL_OBJECT_WIDENING(BgL_auxz00_2988);
										}
										BgL_auxz00_2986 =
											((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2987);
									}
									((((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_2986))->
											BgL_freez00) = ((obj_t) BgL_freez00_1466), BUNSPEC);
								}
							}
							return BgL_freez00_1466;
						}
				}
			}
		}
	}



/* &get-free-vars */
	obj_t BGl_z62getzd2freezd2varsz62zzintegrate_freez00(obj_t BgL_envz00_2777,
		obj_t BgL_nodez00_2778, obj_t BgL_integratorz00_2779)
	{
		AN_OBJECT;
		{	/* Integrate/free.scm 78 */
			return
				BGl_getzd2freezd2varsz00zzintegrate_freez00(
				((BgL_nodez00_bglt) BgL_nodez00_2778),
				((BgL_localz00_bglt) BgL_integratorz00_2779));
		}
	}



/* internal-get-free-vars! */
	obj_t
		BGl_internalzd2getzd2freezd2varsz12zc0zzintegrate_freez00(BgL_nodez00_bglt
		BgL_nodez00_9, BgL_localz00_bglt BgL_integratorz00_10)
	{
		AN_OBJECT;
		{	/* Integrate/free.scm 99 */
			BGl_za2roundza2z00zzintegrate_freez00 =
				(BGl_za2roundza2z00zzintegrate_freez00 + ((long) 1));
			BGl_za2integratorza2z00zzintegrate_freez00 =
				((obj_t) BgL_integratorz00_10);
			{	/* Integrate/free.scm 103 */
				obj_t BgL_g1903z00_1470;

				BgL_g1903z00_1470 =
					(((BgL_sfunz00_bglt) CREF(
							((BgL_sfunz00_bglt)
								(((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt) BgL_integratorz00_10)))->
									BgL_valuez00))))->BgL_argsz00);
				{
					obj_t BgL_l1901z00_1472;

					BgL_l1901z00_1472 = BgL_g1903z00_1470;
				BgL_zc3anonymousza31979ze3z83_1473:
					if (PAIRP(BgL_l1901z00_1472))
						{	/* Integrate/free.scm 104 */
							{	/* Integrate/free.scm 103 */
								obj_t BgL_lz00_1475;

								BgL_lz00_1475 = CAR(BgL_l1901z00_1472);
								BGl_bindzd2variablez12zc0zzintegrate_freez00(
									((BgL_localz00_bglt) BgL_lz00_1475), BgL_integratorz00_10);
							}
							{
								obj_t BgL_l1901z00_3008;

								BgL_l1901z00_3008 = CDR(BgL_l1901z00_1472);
								BgL_l1901z00_1472 = BgL_l1901z00_3008;
								goto BgL_zc3anonymousza31979ze3z83_1473;
							}
						}
					else
						{	/* Integrate/free.scm 104 */
							((bool_t) 1);
						}
				}
			}
			return BGl_nodezd2freezd2zzintegrate_freez00(BgL_nodez00_9, BNIL);
		}
	}



/* node-free* */
	obj_t BGl_nodezd2freeza2z70zzintegrate_freez00(obj_t BgL_nodeza2za2_53,
		obj_t BgL_freez00_54)
	{
		AN_OBJECT;
		{	/* Integrate/free.scm 285 */
			{
				obj_t BgL_nodeza2za2_1480;
				obj_t BgL_freez00_1481;

				BgL_nodeza2za2_1480 = BgL_nodeza2za2_53;
				BgL_freez00_1481 = BgL_freez00_54;
			BgL_zc3anonymousza31983ze3z83_1482:
				if (NULLP(BgL_nodeza2za2_1480))
					{	/* Integrate/free.scm 288 */
						return BgL_freez00_1481;
					}
				else
					{	/* Integrate/free.scm 290 */
						obj_t BgL_arg1986z00_1484;
						obj_t BgL_arg1987z00_1485;

						BgL_arg1986z00_1484 = CDR(BgL_nodeza2za2_1480);
						{	/* Integrate/free.scm 291 */
							obj_t BgL_arg1988z00_1486;

							BgL_arg1988z00_1486 = CAR(BgL_nodeza2za2_1480);
							BgL_arg1987z00_1485 =
								BGl_nodezd2freezd2zzintegrate_freez00(
								((BgL_nodez00_bglt) BgL_arg1988z00_1486), BgL_freez00_1481);
						}
						{
							obj_t BgL_freez00_3018;
							obj_t BgL_nodeza2za2_3017;

							BgL_nodeza2za2_3017 = BgL_arg1986z00_1484;
							BgL_freez00_3018 = BgL_arg1987z00_1485;
							BgL_freez00_1481 = BgL_freez00_3018;
							BgL_nodeza2za2_1480 = BgL_nodeza2za2_3017;
							goto BgL_zc3anonymousza31983ze3z83_1482;
						}
					}
			}
		}
	}



/* free-from */
	BGL_EXPORTED_DEF obj_t BGl_freezd2fromzd2zzintegrate_freez00(obj_t
		BgL_setsz00_55, BgL_localz00_bglt BgL_integratorz00_56)
	{
		AN_OBJECT;
		{	/* Integrate/free.scm 296 */
			BGl_za2roundza2z00zzintegrate_freez00 =
				(BGl_za2roundza2z00zzintegrate_freez00 + ((long) 1));
			{	/* Integrate/free.scm 299 */
				BgL_valuez00_bglt BgL_finfoz00_1488;

				BgL_finfoz00_1488 =
					(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_integratorz00_56)))->BgL_valuez00);
				{	/* Integrate/free.scm 306 */
					obj_t BgL_g1909z00_1489;

					{
						BgL_sfunzf2iinfozf2_bglt BgL_auxz00_3022;

						{
							obj_t BgL_auxz00_3023;

							{	/* Integrate/free.scm 306 */
								BgL_objectz00_bglt BgL_auxz00_3024;

								BgL_auxz00_3024 =
									((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_finfoz00_1488));
								BgL_auxz00_3023 = BGL_OBJECT_WIDENING(BgL_auxz00_3024);
							}
							BgL_auxz00_3022 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_3023);
						}
						BgL_g1909z00_1489 =
							(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_3022))->
							BgL_boundz00);
					}
					{
						obj_t BgL_l1907z00_1491;

						BgL_l1907z00_1491 = BgL_g1909z00_1489;
					BgL_zc3anonymousza31989ze3z83_1492:
						if (PAIRP(BgL_l1907z00_1491))
							{	/* Integrate/free.scm 306 */
								{	/* Integrate/free.scm 306 */
									obj_t BgL_arg1991z00_1494;

									BgL_arg1991z00_1494 = CAR(BgL_l1907z00_1491);
									BGl_markzd2variablez12zc0zzintegrate_freez00(
										((BgL_localz00_bglt) BgL_arg1991z00_1494));
								}
								{
									obj_t BgL_l1907z00_3035;

									BgL_l1907z00_3035 = CDR(BgL_l1907z00_1491);
									BgL_l1907z00_1491 = BgL_l1907z00_3035;
									goto BgL_zc3anonymousza31989ze3z83_1492;
								}
							}
						else
							{	/* Integrate/free.scm 306 */
								((bool_t) 1);
							}
					}
				}
			}
			if (NULLP(BgL_setsz00_55))
				{	/* Integrate/free.scm 308 */
					return BNIL;
				}
			else
				{	/* Integrate/free.scm 308 */
					obj_t BgL_head1912z00_1499;

					{	/* Integrate/free.scm 308 */
						obj_t BgL_res2171z00_2651;

						BgL_res2171z00_2651 = MAKE_PAIR(BNIL, BNIL);
						BgL_head1912z00_1499 = BgL_res2171z00_2651;
					}
					{
						obj_t BgL_l1910z00_1501;
						obj_t BgL_tail1913z00_1502;

						BgL_l1910z00_1501 = BgL_setsz00_55;
						BgL_tail1913z00_1502 = BgL_head1912z00_1499;
					BgL_zc3anonymousza31994ze3z83_1503:
						if (NULLP(BgL_l1910z00_1501))
							{	/* Integrate/free.scm 308 */
								return CDR(BgL_head1912z00_1499);
							}
						else
							{	/* Integrate/free.scm 308 */
								obj_t BgL_newtail1914z00_1505;

								{	/* Integrate/free.scm 308 */
									obj_t BgL_arg1997z00_1507;

									{	/* Integrate/free.scm 308 */
										obj_t BgL_setz00_1508;

										BgL_setz00_1508 = CAR(BgL_l1910z00_1501);
										{
											obj_t BgL_setz00_1511;
											obj_t BgL_resz00_1512;

											BgL_setz00_1511 = BgL_setz00_1508;
											BgL_resz00_1512 = BNIL;
										BgL_zc3anonymousza31998ze3z83_1513:
											if (NULLP(BgL_setz00_1511))
												{	/* Integrate/free.scm 312 */
													BgL_arg1997z00_1507 = BgL_resz00_1512;
												}
											else
												{	/* Integrate/free.scm 314 */
													bool_t BgL_testz00_3046;

													{	/* Integrate/free.scm 314 */
														obj_t BgL_arg2007z00_1520;

														BgL_arg2007z00_1520 = CAR(BgL_setz00_1511);
														BgL_testz00_3046 =
															CBOOL(BGl_freezd2variablezf3z21zzintegrate_freez00
															(BgL_arg2007z00_1520));
													}
													if (BgL_testz00_3046)
														{	/* Integrate/free.scm 315 */
															obj_t BgL_arg2002z00_1516;
															obj_t BgL_arg2003z00_1517;

															BgL_arg2002z00_1516 = CDR(BgL_setz00_1511);
															BgL_arg2003z00_1517 =
																MAKE_PAIR(CAR(BgL_setz00_1511),
																BgL_resz00_1512);
															{
																obj_t BgL_resz00_3054;
																obj_t BgL_setz00_3053;

																BgL_setz00_3053 = BgL_arg2002z00_1516;
																BgL_resz00_3054 = BgL_arg2003z00_1517;
																BgL_resz00_1512 = BgL_resz00_3054;
																BgL_setz00_1511 = BgL_setz00_3053;
																goto BgL_zc3anonymousza31998ze3z83_1513;
															}
														}
													else
														{
															obj_t BgL_setz00_3055;

															BgL_setz00_3055 = CDR(BgL_setz00_1511);
															BgL_setz00_1511 = BgL_setz00_3055;
															goto BgL_zc3anonymousza31998ze3z83_1513;
														}
												}
										}
									}
									{	/* Integrate/free.scm 308 */
										obj_t BgL_res2174z00_2664;

										BgL_res2174z00_2664 = MAKE_PAIR(BgL_arg1997z00_1507, BNIL);
										BgL_newtail1914z00_1505 = BgL_res2174z00_2664;
									}
								}
								SET_CDR(BgL_tail1913z00_1502, BgL_newtail1914z00_1505);
								{
									obj_t BgL_tail1913z00_3061;
									obj_t BgL_l1910z00_3059;

									BgL_l1910z00_3059 = CDR(BgL_l1910z00_1501);
									BgL_tail1913z00_3061 = BgL_newtail1914z00_1505;
									BgL_tail1913z00_1502 = BgL_tail1913z00_3061;
									BgL_l1910z00_1501 = BgL_l1910z00_3059;
									goto BgL_zc3anonymousza31994ze3z83_1503;
								}
							}
					}
				}
		}
	}



/* &free-from */
	obj_t BGl_z62freezd2fromzb0zzintegrate_freez00(obj_t BgL_envz00_2780,
		obj_t BgL_setsz00_2781, obj_t BgL_integratorz00_2782)
	{
		AN_OBJECT;
		{	/* Integrate/free.scm 296 */
			return
				BGl_freezd2fromzd2zzintegrate_freez00(BgL_setsz00_2781,
				((BgL_localz00_bglt) BgL_integratorz00_2782));
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzintegrate_freez00()
	{
		AN_OBJECT;
		{	/* Integrate/free.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzintegrate_freez00()
	{
		AN_OBJECT;
		{	/* Integrate/free.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00,
				BGl_proc2191z00zzintegrate_freez00, BGl_nodez00zzast_nodez00,
				BGl_string2192z00zzintegrate_freez00);
		}
	}



/* &node-free1915 */
	obj_t BGl_z62nodezd2free1915zb0zzintegrate_freez00(obj_t BgL_envz00_2784,
		obj_t BgL_nodez00_2785, obj_t BgL_freez00_2786)
	{
		AN_OBJECT;
		{	/* Integrate/free.scm 111 */
			return BgL_freez00_2786;
		}
	}



/* node-free */
	obj_t BGl_nodezd2freezd2zzintegrate_freez00(BgL_nodez00_bglt BgL_nodez00_11,
		obj_t BgL_freez00_12)
	{
		AN_OBJECT;
		{	/* Integrate/free.scm 111 */
			{	/* Integrate/free.scm 111 */
				obj_t BgL_method1916z00_1528;

				{	/* Integrate/free.scm 111 */
					obj_t BgL_res2181z00_2696;

					{	/* Integrate/free.scm 111 */
						long BgL_objzd2classzd2numz00_2669;

						{	/* Integrate/free.scm 111 */
							long BgL_res2175z00_2672;

							BgL_res2175z00_2672 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_11));
							BgL_objzd2classzd2numz00_2669 = BgL_res2175z00_2672;
						}
						{	/* Integrate/free.scm 111 */
							obj_t BgL_arg1769z00_2670;

							BgL_arg1769z00_2670 =
								PROCEDURE_REF(BGl_nodezd2freezd2envz00zzintegrate_freez00,
								(int) (((long) 1)));
							{	/* Integrate/free.scm 111 */
								int BgL_offsetz00_2674;

								BgL_offsetz00_2674 = (int) (BgL_objzd2classzd2numz00_2669);
								{	/* Integrate/free.scm 111 */
									long BgL_offsetz00_2675;

									BgL_offsetz00_2675 =
										((long) (BgL_offsetz00_2674) - OBJECT_TYPE);
									{	/* Integrate/free.scm 111 */
										long BgL_modz00_2676;

										{	/* Integrate/free.scm 111 */
											int BgL_arg1771z00_2677;

											BgL_arg1771z00_2677 = (int) (((long) 16));
											{	/* Integrate/free.scm 111 */
												long BgL_res2178z00_2687;

												{	/* Integrate/free.scm 111 */
													long BgL_auxz00_3073;

													BgL_auxz00_3073 = (long) (BgL_arg1771z00_2677);
													BgL_res2178z00_2687 =
														(BgL_offsetz00_2675 / BgL_auxz00_3073);
												}
												BgL_modz00_2676 = BgL_res2178z00_2687;
										}}
										{	/* Integrate/free.scm 111 */
											long BgL_restz00_2678;

											{	/* Integrate/free.scm 111 */
												int BgL_arg1770z00_2679;

												BgL_arg1770z00_2679 = (int) (((long) 16));
												{	/* Integrate/free.scm 111 */
													long BgL_res2180z00_2691;

													{	/* Integrate/free.scm 111 */
														long BgL_auxz00_3077;

														BgL_auxz00_3077 = (long) (BgL_arg1770z00_2679);
														BgL_res2180z00_2691 =
															(BgL_offsetz00_2675 % BgL_auxz00_3077);
													}
													BgL_restz00_2678 = BgL_res2180z00_2691;
											}}
											{	/* Integrate/free.scm 111 */

												BgL_res2181z00_2696 =
													VECTOR_REF(VECTOR_REF(BgL_arg1769z00_2670,
														(int) (BgL_modz00_2676)), (int) (BgL_restz00_2678));
					}}}}}}}
					BgL_method1916z00_1528 = BgL_res2181z00_2696;
				}
				return
					PROCEDURE_ENTRY(BgL_method1916z00_1528) (BgL_method1916z00_1528,
					((obj_t) BgL_nodez00_11), BgL_freez00_12, BEOA);
			}
		}
	}



/* &node-free */
	obj_t BGl_z62nodezd2freezb0zzintegrate_freez00(obj_t BgL_envz00_2787,
		obj_t BgL_nodez00_2788, obj_t BgL_freez00_2789)
	{
		AN_OBJECT;
		{	/* Integrate/free.scm 111 */
			return
				BGl_nodezd2freezd2zzintegrate_freez00(
				((BgL_nodez00_bglt) BgL_nodez00_2788), BgL_freez00_2789);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzintegrate_freez00()
	{
		AN_OBJECT;
		{	/* Integrate/free.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00, BGl_varz00zzast_nodez00,
				BGl_proc2193z00zzintegrate_freez00,
				BGl_string2194z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00,
				BGl_closurez00zzast_nodez00, BGl_proc2195z00zzintegrate_freez00,
				BGl_string2194z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00,
				BGl_sequencez00zzast_nodez00, BGl_proc2196z00zzintegrate_freez00,
				BGl_string2194z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00, BGl_syncz00zzast_nodez00,
				BGl_proc2197z00zzintegrate_freez00,
				BGl_string2194z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00, BGl_appz00zzast_nodez00,
				BGl_proc2198z00zzintegrate_freez00,
				BGl_string2194z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2199z00zzintegrate_freez00,
				BGl_string2194z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00,
				BGl_funcallz00zzast_nodez00, BGl_proc2200z00zzintegrate_freez00,
				BGl_string2194z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00,
				BGl_externz00zzast_nodez00, BGl_proc2201z00zzintegrate_freez00,
				BGl_string2194z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00, BGl_castz00zzast_nodez00,
				BGl_proc2202z00zzintegrate_freez00,
				BGl_string2194z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00, BGl_setqz00zzast_nodez00,
				BGl_proc2203z00zzintegrate_freez00,
				BGl_string2194z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2204z00zzintegrate_freez00,
				BGl_string2194z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00, BGl_failz00zzast_nodez00,
				BGl_proc2205z00zzintegrate_freez00,
				BGl_string2194z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00,
				BGl_selectz00zzast_nodez00, BGl_proc2206z00zzintegrate_freez00,
				BGl_string2194z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2207z00zzintegrate_freez00,
				BGl_string2194z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2208z00zzintegrate_freez00,
				BGl_string2194z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2209z00zzintegrate_freez00,
				BGl_string2194z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2210z00zzintegrate_freez00,
				BGl_string2194z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2211z00zzintegrate_freez00,
				BGl_string2194z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2212z00zzintegrate_freez00,
				BGl_string2194z00zzintegrate_freez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2213z00zzintegrate_freez00,
				BGl_string2194z00zzintegrate_freez00);
		}
	}



/* &node-free-box-set!1957 */
	obj_t BGl_z62nodezd2freezd2boxzd2setz121957za2zzintegrate_freez00(obj_t
		BgL_envz00_2810, obj_t BgL_nodez00_2811, obj_t BgL_freez00_2812)
	{
		AN_OBJECT;
		{	/* Integrate/free.scm 278 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1732;
				obj_t BgL_freez00_1733;

				BgL_nodez00_1732 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2811);
				BgL_freez00_1733 = BgL_freez00_2812;
				{	/* Integrate/free.scm 280 */
					BgL_varz00_bglt BgL_arg2086z00_2761;
					obj_t BgL_arg2087z00_2762;

					BgL_arg2086z00_2761 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1732))->BgL_varz00);
					BgL_arg2087z00_2762 =
						BGl_nodezd2freezd2zzintegrate_freez00(
						(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1732))->BgL_valuez00),
						BgL_freez00_1733);
					return BGl_nodezd2freezd2zzintegrate_freez00(((BgL_nodez00_bglt)
							BgL_arg2086z00_2761), BgL_arg2087z00_2762);
				}
			}
		}
	}



/* &node-free-box-ref1955 */
	obj_t BGl_z62nodezd2freezd2boxzd2ref1955zb0zzintegrate_freez00(obj_t
		BgL_envz00_2813, obj_t BgL_nodez00_2814, obj_t BgL_freez00_2815)
	{
		AN_OBJECT;
		{	/* Integrate/free.scm 271 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1725;
				obj_t BgL_freez00_1726;

				BgL_nodez00_1725 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2814);
				BgL_freez00_1726 = BgL_freez00_2815;
				{	/* Integrate/free.scm 273 */
					BgL_varz00_bglt BgL_arg2085z00_2759;

					BgL_arg2085z00_2759 =
						(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1725))->BgL_varz00);
					return
						BGl_nodezd2freezd2zzintegrate_freez00(
						((BgL_nodez00_bglt) BgL_arg2085z00_2759), BgL_freez00_1726);
				}
			}
		}
	}



/* &node-free-make-box1953 */
	obj_t BGl_z62nodezd2freezd2makezd2box1953zb0zzintegrate_freez00(obj_t
		BgL_envz00_2816, obj_t BgL_nodez00_2817, obj_t BgL_freez00_2818)
	{
		AN_OBJECT;
		{	/* Integrate/free.scm 264 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1718;
				obj_t BgL_freez00_1719;

				BgL_nodez00_1718 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2817);
				BgL_freez00_1719 = BgL_freez00_2818;
				return
					BGl_nodezd2freezd2zzintegrate_freez00(
					(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1718))->BgL_valuez00),
					BgL_freez00_1719);
			}
		}
	}



/* &node-free-jump-ex-it1951 */
	obj_t BGl_z62nodezd2freezd2jumpzd2exzd2it1951z62zzintegrate_freez00(obj_t
		BgL_envz00_2819, obj_t BgL_nodez00_2820, obj_t BgL_freez00_2821)
	{
		AN_OBJECT;
		{	/* Integrate/free.scm 257 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1709;
				obj_t BgL_freez00_1710;

				BgL_nodez00_1709 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2820);
				BgL_freez00_1710 = BgL_freez00_2821;
				return
					BGl_nodezd2freezd2zzintegrate_freez00(
					(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1709))->BgL_exitz00),
					BGl_nodezd2freezd2zzintegrate_freez00(
						(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1709))->
							BgL_valuez00), BgL_freez00_1710));
			}
		}
	}



/* &node-free-set-ex-it1949 */
	obj_t BGl_z62nodezd2freezd2setzd2exzd2it1949z62zzintegrate_freez00(obj_t
		BgL_envz00_2822, obj_t BgL_nodez00_2823, obj_t BgL_freez00_2824)
	{
		AN_OBJECT;
		{	/* Integrate/free.scm 249 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1700;
				obj_t BgL_freez00_1701;

				BgL_nodez00_1700 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2823);
				BgL_freez00_1701 = BgL_freez00_2824;
				{	/* Integrate/free.scm 251 */
					BgL_variablez00_bglt BgL_arg2077z00_1705;

					BgL_arg2077z00_1705 =
						(((BgL_varz00_bglt) CREF(
								(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1700))->
									BgL_varz00)))->BgL_variablez00);
					BGl_bindzd2variablez12zc0zzintegrate_freez00(((BgL_localz00_bglt)
							BgL_arg2077z00_1705),
						((BgL_localz00_bglt) BGl_za2integratorza2z00zzintegrate_freez00));
				}
				return
					BGl_nodezd2freezd2zzintegrate_freez00(
					(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1700))->BgL_bodyz00),
					BgL_freez00_1701);
			}
		}
	}



/* &node-free-let-var1947 */
	obj_t BGl_z62nodezd2freezd2letzd2var1947zb0zzintegrate_freez00(obj_t
		BgL_envz00_2825, obj_t BgL_nodez00_2826, obj_t BgL_freez00_2827)
	{
		AN_OBJECT;
		{	/* Integrate/free.scm 235 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1680;
				obj_t BgL_freez00_1681;

				BgL_nodez00_1680 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_2826);
				BgL_freez00_1681 = BgL_freez00_2827;
				{
					obj_t BgL_bindingsz00_1687;
					obj_t BgL_freez00_1688;

					BgL_bindingsz00_1687 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1680))->BgL_bindingsz00);
					BgL_freez00_1688 = BgL_freez00_1681;
				BgL_zc3anonymousza32068ze3z83_1689:
					if (NULLP(BgL_bindingsz00_1687))
						{	/* Integrate/free.scm 239 */
							return
								BGl_nodezd2freezd2zzintegrate_freez00(
								(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1680))->BgL_bodyz00),
								BgL_freez00_1688);
						}
					else
						{	/* Integrate/free.scm 239 */
							{	/* Integrate/free.scm 242 */
								obj_t BgL_arg2071z00_1692;

								BgL_arg2071z00_1692 = CAR(CAR(BgL_bindingsz00_1687));
								BGl_bindzd2variablez12zc0zzintegrate_freez00(
									((BgL_localz00_bglt) BgL_arg2071z00_1692),
									((BgL_localz00_bglt)
										BGl_za2integratorza2z00zzintegrate_freez00));
							}
							{	/* Integrate/free.scm 243 */
								obj_t BgL_arg2073z00_1694;
								obj_t BgL_arg2074z00_1695;

								BgL_arg2073z00_1694 = CDR(BgL_bindingsz00_1687);
								{	/* Integrate/free.scm 244 */
									obj_t BgL_arg2075z00_1696;

									BgL_arg2075z00_1696 = CDR(CAR(BgL_bindingsz00_1687));
									BgL_arg2074z00_1695 =
										BGl_nodezd2freezd2zzintegrate_freez00(
										((BgL_nodez00_bglt) BgL_arg2075z00_1696), BgL_freez00_1688);
								}
								{
									obj_t BgL_freez00_3153;
									obj_t BgL_bindingsz00_3152;

									BgL_bindingsz00_3152 = BgL_arg2073z00_1694;
									BgL_freez00_3153 = BgL_arg2074z00_1695;
									BgL_freez00_1688 = BgL_freez00_3153;
									BgL_bindingsz00_1687 = BgL_bindingsz00_3152;
									goto BgL_zc3anonymousza32068ze3z83_1689;
								}
							}
						}
				}
			}
		}
	}



/* &node-free-let-fun1945 */
	obj_t BGl_z62nodezd2freezd2letzd2fun1945zb0zzintegrate_freez00(obj_t
		BgL_envz00_2828, obj_t BgL_nodez00_2829, obj_t BgL_freez00_2830)
	{
		AN_OBJECT;
		{	/* Integrate/free.scm 218 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1653;
				obj_t BgL_freez00_1654;

				BgL_nodez00_1653 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_2829);
				BgL_freez00_1654 = BgL_freez00_2830;
				{	/* Integrate/free.scm 221 */
					obj_t BgL_g1116z00_1658;

					BgL_g1116z00_1658 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1653))->BgL_localsz00);
					{
						obj_t BgL_localsz00_1660;
						obj_t BgL_freez00_1661;

						BgL_localsz00_1660 = BgL_g1116z00_1658;
						BgL_freez00_1661 = BgL_freez00_1654;
					BgL_zc3anonymousza32058ze3z83_1662:
						if (NULLP(BgL_localsz00_1660))
							{	/* Integrate/free.scm 223 */
								return
									BGl_nodezd2freezd2zzintegrate_freez00(
									(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1653))->
										BgL_bodyz00), BgL_freez00_1661);
							}
						else
							{	/* Integrate/free.scm 225 */
								obj_t BgL_localz00_1665;

								BgL_localz00_1665 = CAR(BgL_localsz00_1660);
								{	/* Integrate/free.scm 225 */
									BgL_valuez00_bglt BgL_funz00_1666;

									BgL_funz00_1666 =
										(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_localz00_1665))))->
										BgL_valuez00);
									{	/* Integrate/free.scm 226 */

										{	/* Integrate/free.scm 227 */
											obj_t BgL_g1906z00_1667;

											BgL_g1906z00_1667 =
												(((BgL_sfunz00_bglt) CREF(
														((BgL_sfunz00_bglt) BgL_funz00_1666)))->
												BgL_argsz00);
											{
												obj_t BgL_l1904z00_1669;

												BgL_l1904z00_1669 = BgL_g1906z00_1667;
											BgL_zc3anonymousza32061ze3z83_1670:
												if (PAIRP(BgL_l1904z00_1669))
													{	/* Integrate/free.scm 228 */
														{	/* Integrate/free.scm 227 */
															obj_t BgL_lz00_1672;

															BgL_lz00_1672 = CAR(BgL_l1904z00_1669);
															BGl_bindzd2variablez12zc0zzintegrate_freez00(
																((BgL_localz00_bglt) BgL_lz00_1672),
																((BgL_localz00_bglt)
																	BGl_za2integratorza2z00zzintegrate_freez00));
														}
														{
															obj_t BgL_l1904z00_3173;

															BgL_l1904z00_3173 = CDR(BgL_l1904z00_1669);
															BgL_l1904z00_1669 = BgL_l1904z00_3173;
															goto BgL_zc3anonymousza32061ze3z83_1670;
														}
													}
												else
													{	/* Integrate/free.scm 228 */
														((bool_t) 1);
													}
											}
										}
										{	/* Integrate/free.scm 229 */
											obj_t BgL_arg2064z00_1675;
											obj_t BgL_arg2065z00_1676;

											BgL_arg2064z00_1675 = CDR(BgL_localsz00_1660);
											{	/* Integrate/free.scm 230 */
												obj_t BgL_arg2066z00_1677;

												BgL_arg2066z00_1677 =
													(((BgL_sfunz00_bglt) CREF(
															((BgL_sfunz00_bglt) BgL_funz00_1666)))->
													BgL_bodyz00);
												BgL_arg2065z00_1676 =
													BGl_nodezd2freezd2zzintegrate_freez00((
														(BgL_nodez00_bglt) BgL_arg2066z00_1677),
													BgL_freez00_1661);
											}
											{
												obj_t BgL_freez00_3181;
												obj_t BgL_localsz00_3180;

												BgL_localsz00_3180 = BgL_arg2064z00_1675;
												BgL_freez00_3181 = BgL_arg2065z00_1676;
												BgL_freez00_1661 = BgL_freez00_3181;
												BgL_localsz00_1660 = BgL_localsz00_3180;
												goto BgL_zc3anonymousza32058ze3z83_1662;
											}
										}
									}
								}
							}
					}
				}
			}
		}
	}



/* &node-free-select1943 */
	obj_t BGl_z62nodezd2freezd2select1943z62zzintegrate_freez00(obj_t
		BgL_envz00_2831, obj_t BgL_nodez00_2832, obj_t BgL_freez00_2833)
	{
		AN_OBJECT;
		{	/* Integrate/free.scm 207 */
			{
				BgL_selectz00_bglt BgL_nodez00_1635;
				obj_t BgL_freez00_1636;

				BgL_nodez00_1635 = ((BgL_selectz00_bglt) BgL_nodez00_2832);
				BgL_freez00_1636 = BgL_freez00_2833;
				{
					obj_t BgL_clausesz00_1642;
					obj_t BgL_freez00_1643;

					BgL_clausesz00_1642 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1635))->BgL_clausesz00);
					BgL_freez00_1643 = BgL_freez00_1636;
				BgL_zc3anonymousza32051ze3z83_1644:
					if (NULLP(BgL_clausesz00_1642))
						{	/* Integrate/free.scm 211 */
							return
								BGl_nodezd2freezd2zzintegrate_freez00(
								(((BgL_selectz00_bglt) CREF(BgL_nodez00_1635))->BgL_testz00),
								BgL_freez00_1643);
						}
					else
						{	/* Integrate/free.scm 213 */
							obj_t BgL_arg2054z00_1647;
							obj_t BgL_arg2055z00_1648;

							BgL_arg2054z00_1647 = CDR(BgL_clausesz00_1642);
							{	/* Integrate/free.scm 213 */
								obj_t BgL_arg2056z00_1649;

								BgL_arg2056z00_1649 = CDR(CAR(BgL_clausesz00_1642));
								BgL_arg2055z00_1648 =
									BGl_nodezd2freezd2zzintegrate_freez00(
									((BgL_nodez00_bglt) BgL_arg2056z00_1649), BgL_freez00_1643);
							}
							{
								obj_t BgL_freez00_3193;
								obj_t BgL_clausesz00_3192;

								BgL_clausesz00_3192 = BgL_arg2054z00_1647;
								BgL_freez00_3193 = BgL_arg2055z00_1648;
								BgL_freez00_1643 = BgL_freez00_3193;
								BgL_clausesz00_1642 = BgL_clausesz00_3192;
								goto BgL_zc3anonymousza32051ze3z83_1644;
							}
						}
				}
			}
		}
	}



/* &node-free-fail1941 */
	obj_t BGl_z62nodezd2freezd2fail1941z62zzintegrate_freez00(obj_t
		BgL_envz00_2834, obj_t BgL_nodez00_2835, obj_t BgL_freez00_2836)
	{
		AN_OBJECT;
		{	/* Integrate/free.scm 200 */
			{
				BgL_failz00_bglt BgL_nodez00_1624;
				obj_t BgL_freez00_1625;

				BgL_nodez00_1624 = ((BgL_failz00_bglt) BgL_nodez00_2835);
				BgL_freez00_1625 = BgL_freez00_2836;
				return
					BGl_nodezd2freezd2zzintegrate_freez00(
					(((BgL_failz00_bglt) CREF(BgL_nodez00_1624))->BgL_procz00),
					BGl_nodezd2freezd2zzintegrate_freez00(
						(((BgL_failz00_bglt) CREF(BgL_nodez00_1624))->BgL_msgz00),
						BGl_nodezd2freezd2zzintegrate_freez00(
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1624))->BgL_objz00),
							BgL_freez00_1625)));
			}
		}
	}



/* &node-free-conditiona1939 */
	obj_t BGl_z62nodezd2freezd2conditiona1939z62zzintegrate_freez00(obj_t
		BgL_envz00_2837, obj_t BgL_nodez00_2838, obj_t BgL_freez00_2839)
	{
		AN_OBJECT;
		{	/* Integrate/free.scm 193 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1613;
				obj_t BgL_freez00_1614;

				BgL_nodez00_1613 = ((BgL_conditionalz00_bglt) BgL_nodez00_2838);
				BgL_freez00_1614 = BgL_freez00_2839;
				return
					BGl_nodezd2freezd2zzintegrate_freez00(
					(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1613))->BgL_testz00),
					BGl_nodezd2freezd2zzintegrate_freez00(
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1613))->BgL_truez00),
						BGl_nodezd2freezd2zzintegrate_freez00(
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1613))->
								BgL_falsez00), BgL_freez00_1614)));
			}
		}
	}



/* &node-free-setq1937 */
	obj_t BGl_z62nodezd2freezd2setq1937z62zzintegrate_freez00(obj_t
		BgL_envz00_2840, obj_t BgL_nodez00_2841, obj_t BgL_freez00_2842)
	{
		AN_OBJECT;
		{	/* Integrate/free.scm 186 */
			{
				BgL_setqz00_bglt BgL_nodez00_1604;
				obj_t BgL_freez00_1605;

				BgL_nodez00_1604 = ((BgL_setqz00_bglt) BgL_nodez00_2841);
				BgL_freez00_1605 = BgL_freez00_2842;
				{	/* Integrate/free.scm 188 */
					BgL_varz00_bglt BgL_arg2035z00_2717;
					obj_t BgL_arg2036z00_2718;

					BgL_arg2035z00_2717 =
						(((BgL_setqz00_bglt) CREF(BgL_nodez00_1604))->BgL_varz00);
					BgL_arg2036z00_2718 =
						BGl_nodezd2freezd2zzintegrate_freez00(
						(((BgL_setqz00_bglt) CREF(BgL_nodez00_1604))->BgL_valuez00),
						BgL_freez00_1605);
					return BGl_nodezd2freezd2zzintegrate_freez00(((BgL_nodez00_bglt)
							BgL_arg2035z00_2717), BgL_arg2036z00_2718);
				}
			}
		}
	}



/* &node-free-cast1935 */
	obj_t BGl_z62nodezd2freezd2cast1935z62zzintegrate_freez00(obj_t
		BgL_envz00_2843, obj_t BgL_nodez00_2844, obj_t BgL_freez00_2845)
	{
		AN_OBJECT;
		{	/* Integrate/free.scm 179 */
			{
				BgL_castz00_bglt BgL_nodez00_1597;
				obj_t BgL_freez00_1598;

				BgL_nodez00_1597 = ((BgL_castz00_bglt) BgL_nodez00_2844);
				BgL_freez00_1598 = BgL_freez00_2845;
				return
					BGl_nodezd2freezd2zzintegrate_freez00(
					(((BgL_castz00_bglt) CREF(BgL_nodez00_1597))->BgL_argz00),
					BgL_freez00_1598);
			}
		}
	}



/* &node-free-extern1933 */
	obj_t BGl_z62nodezd2freezd2extern1933z62zzintegrate_freez00(obj_t
		BgL_envz00_2846, obj_t BgL_nodez00_2847, obj_t BgL_freez00_2848)
	{
		AN_OBJECT;
		{	/* Integrate/free.scm 172 */
			{
				BgL_externz00_bglt BgL_nodez00_1590;
				obj_t BgL_freez00_1591;

				BgL_nodez00_1590 = ((BgL_externz00_bglt) BgL_nodez00_2847);
				BgL_freez00_1591 = BgL_freez00_2848;
				return
					BGl_nodezd2freeza2z70zzintegrate_freez00(
					(((BgL_externz00_bglt) CREF(BgL_nodez00_1590))->BgL_exprza2za2),
					BgL_freez00_1591);
			}
		}
	}



/* &node-free-funcall1931 */
	obj_t BGl_z62nodezd2freezd2funcall1931z62zzintegrate_freez00(obj_t
		BgL_envz00_2849, obj_t BgL_nodez00_2850, obj_t BgL_freez00_2851)
	{
		AN_OBJECT;
		{	/* Integrate/free.scm 165 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1581;
				obj_t BgL_freez00_1582;

				BgL_nodez00_1581 = ((BgL_funcallz00_bglt) BgL_nodez00_2850);
				BgL_freez00_1582 = BgL_freez00_2851;
				return
					BGl_nodezd2freezd2zzintegrate_freez00(
					(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1581))->BgL_funz00),
					BGl_nodezd2freeza2z70zzintegrate_freez00(
						(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1581))->BgL_argsz00),
						BgL_freez00_1582));
			}
		}
	}



/* &node-free-app-ly1929 */
	obj_t BGl_z62nodezd2freezd2appzd2ly1929zb0zzintegrate_freez00(obj_t
		BgL_envz00_2852, obj_t BgL_nodez00_2853, obj_t BgL_freez00_2854)
	{
		AN_OBJECT;
		{	/* Integrate/free.scm 158 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1572;
				obj_t BgL_freez00_1573;

				BgL_nodez00_1572 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2853);
				BgL_freez00_1573 = BgL_freez00_2854;
				return
					BGl_nodezd2freezd2zzintegrate_freez00(
					(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1572))->BgL_funz00),
					BGl_nodezd2freezd2zzintegrate_freez00(
						(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1572))->BgL_argz00),
						BgL_freez00_1573));
			}
		}
	}



/* &node-free-app1927 */
	obj_t BGl_z62nodezd2freezd2app1927z62zzintegrate_freez00(obj_t
		BgL_envz00_2855, obj_t BgL_nodez00_2856, obj_t BgL_freez00_2857)
	{
		AN_OBJECT;
		{	/* Integrate/free.scm 151 */
			{
				BgL_appz00_bglt BgL_nodez00_1565;
				obj_t BgL_freez00_1566;

				BgL_nodez00_1565 = ((BgL_appz00_bglt) BgL_nodez00_2856);
				BgL_freez00_1566 = BgL_freez00_2857;
				return
					BGl_nodezd2freeza2z70zzintegrate_freez00(
					(((BgL_appz00_bglt) CREF(BgL_nodez00_1565))->BgL_argsz00),
					BgL_freez00_1566);
			}
		}
	}



/* &node-free-sync1925 */
	obj_t BGl_z62nodezd2freezd2sync1925z62zzintegrate_freez00(obj_t
		BgL_envz00_2858, obj_t BgL_nodez00_2859, obj_t BgL_freez00_2860)
	{
		AN_OBJECT;
		{	/* Integrate/free.scm 144 */
			{
				BgL_syncz00_bglt BgL_nodez00_1554;
				obj_t BgL_freez00_1555;

				BgL_nodez00_1554 = ((BgL_syncz00_bglt) BgL_nodez00_2859);
				BgL_freez00_1555 = BgL_freez00_2860;
				return
					BGl_nodezd2freezd2zzintegrate_freez00(
					(((BgL_syncz00_bglt) CREF(BgL_nodez00_1554))->BgL_bodyz00),
					BGl_nodezd2freezd2zzintegrate_freez00(
						(((BgL_syncz00_bglt) CREF(BgL_nodez00_1554))->BgL_prelockz00),
						BGl_nodezd2freezd2zzintegrate_freez00(
							(((BgL_syncz00_bglt) CREF(BgL_nodez00_1554))->BgL_mutexz00),
							BgL_freez00_1555)));
			}
		}
	}



/* &node-free-sequence1922 */
	obj_t BGl_z62nodezd2freezd2sequence1922z62zzintegrate_freez00(obj_t
		BgL_envz00_2861, obj_t BgL_nodez00_2862, obj_t BgL_freez00_2863)
	{
		AN_OBJECT;
		{	/* Integrate/free.scm 137 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1547;
				obj_t BgL_freez00_1548;

				BgL_nodez00_1547 = ((BgL_sequencez00_bglt) BgL_nodez00_2862);
				BgL_freez00_1548 = BgL_freez00_2863;
				return
					BGl_nodezd2freeza2z70zzintegrate_freez00(
					(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1547))->BgL_nodesz00),
					BgL_freez00_1548);
			}
		}
	}



/* &node-free-closure1920 */
	obj_t BGl_z62nodezd2freezd2closure1920z62zzintegrate_freez00(obj_t
		BgL_envz00_2864, obj_t BgL_nodez00_2865, obj_t BgL_freez00_2866)
	{
		AN_OBJECT;
		{	/* Integrate/free.scm 131 */
			{
				BgL_closurez00_bglt BgL_nodez00_1541;
				obj_t BgL_freez00_1542;

				BgL_nodez00_1541 = ((BgL_closurez00_bglt) BgL_nodez00_2865);
				BgL_freez00_1542 = BgL_freez00_2866;
				{	/* Integrate/free.scm 132 */
					obj_t BgL_arg2016z00_2699;

					BgL_arg2016z00_2699 =
						BGl_shapez00zztools_shapez00(((obj_t) BgL_nodez00_1541));
					return
						BGl_internalzd2errorzd2zztools_errorz00
						(BGl_string2194z00zzintegrate_freez00,
						BGl_string2214z00zzintegrate_freez00, BgL_arg2016z00_2699);
				}
			}
		}
	}



/* &node-free-var1918 */
	obj_t BGl_z62nodezd2freezd2var1918z62zzintegrate_freez00(obj_t
		BgL_envz00_2867, obj_t BgL_nodez00_2868, obj_t BgL_freez00_2869)
	{
		AN_OBJECT;
		{	/* Integrate/free.scm 117 */
			{
				BgL_varz00_bglt BgL_nodez00_1529;
				obj_t BgL_freez00_1530;

				BgL_nodez00_1529 = ((BgL_varz00_bglt) BgL_nodez00_2868);
				BgL_freez00_1530 = BgL_freez00_2869;
				{	/* Integrate/free.scm 120 */
					bool_t BgL_testz00_3249;

					{	/* Integrate/free.scm 120 */
						BgL_variablez00_bglt BgL_arg2015z00_1539;

						BgL_arg2015z00_1539 =
							(((BgL_varz00_bglt) CREF(BgL_nodez00_1529))->BgL_variablez00);
						{	/* Integrate/free.scm 120 */
							bool_t BgL_res2182z00_2698;

							BgL_res2182z00_2698 =
								BGl_isazf3zf3zz__objectz00(
								((obj_t) BgL_arg2015z00_1539), BGl_globalz00zzast_varz00);
							BgL_testz00_3249 = BgL_res2182z00_2698;
						}
					}
					if (BgL_testz00_3249)
						{	/* Integrate/free.scm 120 */
							return BgL_freez00_1530;
						}
					else
						{	/* Integrate/free.scm 122 */
							bool_t BgL_testz00_3253;

							{	/* Integrate/free.scm 122 */
								BgL_variablez00_bglt BgL_arg2014z00_1538;

								BgL_arg2014z00_1538 =
									(((BgL_varz00_bglt) CREF(BgL_nodez00_1529))->BgL_variablez00);
								BgL_testz00_3253 =
									CBOOL(BGl_freezd2variablezf3z21zzintegrate_freez00(
										((obj_t) BgL_arg2014z00_1538)));
							}
							if (BgL_testz00_3253)
								{	/* Integrate/free.scm 122 */
									{	/* Integrate/free.scm 123 */
										BgL_variablez00_bglt BgL_arg2011z00_1536;

										BgL_arg2011z00_1536 =
											(((BgL_varz00_bglt) CREF(BgL_nodez00_1529))->
											BgL_variablez00);
										BGl_markzd2variablez12zc0zzintegrate_freez00((
												(BgL_localz00_bglt) BgL_arg2011z00_1536));
									}
									{	/* Integrate/free.scm 124 */
										BgL_variablez00_bglt BgL_arg2012z00_1537;

										BgL_arg2012z00_1537 =
											(((BgL_varz00_bglt) CREF(BgL_nodez00_1529))->
											BgL_variablez00);
										return MAKE_PAIR(((obj_t) BgL_arg2012z00_1537),
											BgL_freez00_1530);
									}
								}
							else
								{	/* Integrate/free.scm 122 */
									return BgL_freez00_1530;
								}
						}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzintegrate_freez00()
	{
		AN_OBJECT;
		{	/* Integrate/free.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2215z00zzintegrate_freez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2215z00zzintegrate_freez00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2215z00zzintegrate_freez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2215z00zzintegrate_freez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2215z00zzintegrate_freez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 164192787),
				BSTRING_TO_STRING(BGl_string2215z00zzintegrate_freez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2215z00zzintegrate_freez00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string2215z00zzintegrate_freez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 458567972),
				BSTRING_TO_STRING(BGl_string2215z00zzintegrate_freez00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 36886173),
				BSTRING_TO_STRING(BGl_string2215z00zzintegrate_freez00));
			BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(((long) 44601789),
				BSTRING_TO_STRING(BGl_string2215z00zzintegrate_freez00));
			BGl_modulezd2initializa7ationz75zzintegrate_infoz00(((long) 0),
				BSTRING_TO_STRING(BGl_string2215z00zzintegrate_freez00));
			BGl_modulezd2initializa7ationz75zzintegrate_nodez00(((long) 347237104),
				BSTRING_TO_STRING(BGl_string2215z00zzintegrate_freez00));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 328744326),
				BSTRING_TO_STRING(BGl_string2215z00zzintegrate_freez00));
		}
	}

#ifdef __cplusplus
}
#endif
