/*===========================================================================*/
/*   (Integrate/let_fun.scm)                                                 */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Integrate/let_fun.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_sfunzf2iinfozf2_bgl
	{
		obj_t BgL_ownerz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
		obj_t BgL_cfromz00;
		obj_t BgL_ctoz00;
		obj_t BgL_kz00;
		obj_t BgL_kza2za2;
		obj_t BgL_uz00;
		obj_t BgL_cnz00;
		obj_t BgL_ctz00;
		obj_t BgL_kontz00;
		bool_t BgL_gzf3zf3;
		bool_t BgL_forcegzf3zf3;
		obj_t BgL_lz00;
		obj_t BgL_ledz00;
		obj_t BgL_istampz00;
		obj_t BgL_globalz00;
		obj_t BgL_kapturedz00;
		obj_t BgL_tailzd2coercionzd2;
	}                      *BgL_sfunzf2iinfozf2_bglt;


	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzintegrate_letzd2funzd2();
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzintegrate_letzd2funzd2();
	extern obj_t BGl_externz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static bool_t BGl_freezd2funzf3z21zzintegrate_letzd2funzd2(obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1913zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1916zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1918zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1920zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1922zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1925zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1927zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1929zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1931zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1933zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1935zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1937zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1939zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1941zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1943zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1945zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1947zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1949zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1951zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1953zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1955zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1957zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1959zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_selectz00zzast_nodez00;
	static obj_t BGl_z62displacezd2letzd2funz12z70zzintegrate_letzd2funzd2(obj_t,
		obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzintegrate_letzd2funzd2 =
		BUNSPEC;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_bindzd2funz12zc0zzintegrate_letzd2funzd2(obj_t);
	static obj_t BGl_toplevelzd2initzd2zzintegrate_letzd2funzd2();
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzintegrate_letzd2funzd2();
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t
		BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2
		(BgL_nodez00_bglt, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_displacezd2letzd2funz12z12zzintegrate_letzd2funzd2(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_letzd2funzd2(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_infoz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzintegrate_letzd2funzd2();
	static obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_letzd2funzd2();
	static obj_t BGl_importedzd2moduleszd2initz00zzintegrate_letzd2funzd2();
	static long BGl_za2stampza2z00zzintegrate_letzd2funzd2;
	static obj_t
		BGl_z62displacezd2letzd2funzd2nodez12za2zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t __cnst[1];


	   
		 
		DEFINE_STRING(BGl_string2152z00zzintegrate_letzd2funzd2,
		BgL_bgl_string2152za700za7za7i2183za7, "displace-let-fun-nod1913", 24);
	      DEFINE_STRING(BGl_string2153z00zzintegrate_letzd2funzd2,
		BgL_bgl_string2153za700za7za7i2184za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2155z00zzintegrate_letzd2funzd2,
		BgL_bgl_string2155za700za7za7i2185za7, "displace-let-fun-node!", 22);
	      DEFINE_STRING(BGl_string2177z00zzintegrate_letzd2funzd2,
		BgL_bgl_string2177za700za7za7i2186za7, "displace-let-fun-node", 21);
	      DEFINE_STRING(BGl_string2178z00zzintegrate_letzd2funzd2,
		BgL_bgl_string2178za700za7za7i2187za7, "Unexpected closure", 18);
	      DEFINE_STRING(BGl_string2179z00zzintegrate_letzd2funzd2,
		BgL_bgl_string2179za700za7za7i2188za7, "integrate_let-fun", 17);
	      DEFINE_STRING(BGl_string2180z00zzintegrate_letzd2funzd2,
		BgL_bgl_string2180za700za7za7i2189za7, "displace-let-fun-nod1913 ", 25);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_displacezd2letzd2funz12zd2envzc0zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le2190z00,
		BGl_z62displacezd2letzd2funz12z70zzintegrate_letzd2funzd2, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le2191z00,
		BGl_z62displacezd2letzd2funzd2nodez12za2zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2151z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le2192z00,
		BGl_z62displacezd2letzd2funzd2nod1913zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2154z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le2193z00,
		BGl_z62displacezd2letzd2funzd2nod1916zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2156z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le2194z00,
		BGl_z62displacezd2letzd2funzd2nod1918zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2157z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le2195z00,
		BGl_z62displacezd2letzd2funzd2nod1920zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2158z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le2196z00,
		BGl_z62displacezd2letzd2funzd2nod1922zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2159z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le2197z00,
		BGl_z62displacezd2letzd2funzd2nod1925zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2160z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le2198z00,
		BGl_z62displacezd2letzd2funzd2nod1927zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2161z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le2199z00,
		BGl_z62displacezd2letzd2funzd2nod1929zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2162z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le2200z00,
		BGl_z62displacezd2letzd2funzd2nod1931zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2163z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le2201z00,
		BGl_z62displacezd2letzd2funzd2nod1933zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2164z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le2202z00,
		BGl_z62displacezd2letzd2funzd2nod1935zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2165z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le2203z00,
		BGl_z62displacezd2letzd2funzd2nod1937zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2166z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le2204z00,
		BGl_z62displacezd2letzd2funzd2nod1939zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2167z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le2205z00,
		BGl_z62displacezd2letzd2funzd2nod1941zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2168z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le2206z00,
		BGl_z62displacezd2letzd2funzd2nod1943zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2169z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le2207z00,
		BGl_z62displacezd2letzd2funzd2nod1945zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2170z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le2208z00,
		BGl_z62displacezd2letzd2funzd2nod1947zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2171z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le2209z00,
		BGl_z62displacezd2letzd2funzd2nod1949zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2172z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le2210z00,
		BGl_z62displacezd2letzd2funzd2nod1951zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2173z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le2211z00,
		BGl_z62displacezd2letzd2funzd2nod1953zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2174z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le2212z00,
		BGl_z62displacezd2letzd2funzd2nod1955zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2175z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le2213z00,
		BGl_z62displacezd2letzd2funzd2nod1957zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2176z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le2214z00,
		BGl_z62displacezd2letzd2funzd2nod1959zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_letzd2funzd2(long
		BgL_checksumz00_2836, char *BgL_fromz00_2837)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzintegrate_letzd2funzd2))
				{
					BGl_requirezd2initializa7ationz75zzintegrate_letzd2funzd2 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzintegrate_letzd2funzd2();
					BGl_cnstzd2initzd2zzintegrate_letzd2funzd2();
					BGl_importedzd2moduleszd2initz00zzintegrate_letzd2funzd2();
					BGl_genericzd2initzd2zzintegrate_letzd2funzd2();
					BGl_methodzd2initzd2zzintegrate_letzd2funzd2();
					BGl_toplevelzd2initzd2zzintegrate_letzd2funzd2();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_letzd2funzd2()
	{
		AN_OBJECT;
		{	/* Integrate/let_fun.scm 16 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"integrate_let-fun");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"integrate_let-fun");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"integrate_let-fun");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"integrate_let-fun");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"integrate_let-fun");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"integrate_let-fun");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzintegrate_letzd2funzd2()
	{
		AN_OBJECT;
		{	/* Integrate/let_fun.scm 16 */
			{	/* Integrate/let_fun.scm 16 */
				obj_t BgL_cportz00_2818;

				BgL_cportz00_2818 =
					bgl_open_input_string(BGl_string2180z00zzintegrate_letzd2funzd2,
					(int) (((long) 0)));
				{
					long BgL_iz00_2819;

					BgL_iz00_2819 = ((long) 0);
				BgL_loopz00_2820:
					if ((BgL_iz00_2819 == ((long) -1)))
						{	/* Integrate/let_fun.scm 16 */
							return BUNSPEC;
						}
					else
						{	/* Integrate/let_fun.scm 16 */
							{	/* Integrate/let_fun.scm 16 */
								obj_t BgL_arg2182z00_2822;

								{	/* Integrate/let_fun.scm 16 */

									{	/* Integrate/let_fun.scm 16 */
										obj_t BgL_locationz00_2824;

										BgL_locationz00_2824 = BBOOL(((bool_t) 0));
										{	/* Integrate/let_fun.scm 16 */

											BgL_arg2182z00_2822 =
												BGl_readz00zz__readerz00(BgL_cportz00_2818,
												BgL_locationz00_2824);
										}
									}
								}
								{	/* Integrate/let_fun.scm 16 */
									int BgL_auxz00_2859;

									BgL_auxz00_2859 = (int) (BgL_iz00_2819);
									CNST_TABLE_SET(BgL_auxz00_2859, BgL_arg2182z00_2822);
							}}
							{	/* Integrate/let_fun.scm 16 */
								int BgL_auxz00_2825;

								BgL_auxz00_2825 = (int) ((BgL_iz00_2819 - ((long) 1)));
								{
									long BgL_iz00_2864;

									BgL_iz00_2864 = (long) (BgL_auxz00_2825);
									BgL_iz00_2819 = BgL_iz00_2864;
									goto BgL_loopz00_2820;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzintegrate_letzd2funzd2()
	{
		AN_OBJECT;
		{	/* Integrate/let_fun.scm 16 */
			BGl_za2stampza2z00zzintegrate_letzd2funzd2 = ((long) 0);
			return BUNSPEC;
		}
	}



/* bind-fun! */
	obj_t BGl_bindzd2funz12zc0zzintegrate_letzd2funzd2(obj_t BgL_varz00_3)
	{
		AN_OBJECT;
		{	/* Integrate/let_fun.scm 36 */
			if (BGl_isazf3zf3zz__objectz00(BgL_varz00_3, BGl_localz00zzast_varz00))
				{	/* Integrate/let_fun.scm 39 */
					BgL_valuez00_bglt BgL_arg1966z00_1445;

					BgL_arg1966z00_1445 =
						(((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_varz00_3))))->BgL_valuez00);
					{	/* Integrate/let_fun.scm 39 */
						obj_t BgL_vz00_2549;

						BgL_vz00_2549 = BINT(BGl_za2stampza2z00zzintegrate_letzd2funzd2);
						{
							BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2872;

							{
								obj_t BgL_auxz00_2873;

								{	/* Integrate/let_fun.scm 39 */
									BgL_objectz00_bglt BgL_auxz00_2874;

									BgL_auxz00_2874 =
										((BgL_objectz00_bglt)
										((BgL_sfunz00_bglt) BgL_arg1966z00_1445));
									BgL_auxz00_2873 = BGL_OBJECT_WIDENING(BgL_auxz00_2874);
								}
								BgL_auxz00_2872 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2873);
							}
							return
								((((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_2872))->
									BgL_istampz00) = ((obj_t) BgL_vz00_2549), BUNSPEC);
						}
					}
				}
			else
				{	/* Integrate/let_fun.scm 38 */
					return BFALSE;
				}
		}
	}



/* free-fun? */
	bool_t BGl_freezd2funzf3z21zzintegrate_letzd2funzd2(obj_t BgL_localz00_4)
	{
		AN_OBJECT;
		{	/* Integrate/let_fun.scm 44 */
			{	/* Integrate/let_fun.scm 48 */
				bool_t BgL_testz00_2880;

				{	/* Integrate/let_fun.scm 48 */
					obj_t BgL_arg1968z00_1447;

					{
						BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2881;

						{
							obj_t BgL_auxz00_2882;

							{	/* Integrate/let_fun.scm 48 */
								BgL_objectz00_bglt BgL_auxz00_2883;

								BgL_auxz00_2883 =
									((BgL_objectz00_bglt)
									((BgL_sfunz00_bglt)
										(((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_localz00_4))))->
											BgL_valuez00)));
								BgL_auxz00_2882 = BGL_OBJECT_WIDENING(BgL_auxz00_2883);
							}
							BgL_auxz00_2881 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2882);
						}
						BgL_arg1968z00_1447 =
							(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_2881))->
							BgL_istampz00);
					}
					BgL_testz00_2880 =
						(BgL_arg1968z00_1447 ==
						BINT(BGl_za2stampza2z00zzintegrate_letzd2funzd2));
				}
				if (BgL_testz00_2880)
					{	/* Integrate/let_fun.scm 48 */
						return ((bool_t) 0);
					}
				else
					{	/* Integrate/let_fun.scm 48 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* displace-let-fun! */
	BGL_EXPORTED_DEF obj_t
		BGl_displacezd2letzd2funz12z12zzintegrate_letzd2funzd2(obj_t BgL_varz00_5)
	{
		AN_OBJECT;
		{	/* Integrate/let_fun.scm 53 */
			BGl_za2stampza2z00zzintegrate_letzd2funzd2 =
				(((long) 1) + BGl_za2stampza2z00zzintegrate_letzd2funzd2);
			{	/* Integrate/let_fun.scm 60 */
				obj_t BgL_arg1970z00_1449;
				obj_t BgL_arg1972z00_1450;

				BgL_arg1970z00_1449 =
					(((BgL_sfunz00_bglt) CREF(
							((BgL_sfunz00_bglt)
								(((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt) BgL_varz00_5)))->
									BgL_valuez00))))->BgL_bodyz00);
				{	/* Integrate/let_fun.scm 60 */
					obj_t BgL_list1974z00_1452;

					BgL_list1974z00_1452 = MAKE_PAIR(BgL_varz00_5, BNIL);
					BgL_arg1972z00_1450 = BgL_list1974z00_1452;
				}
				BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
					((BgL_nodez00_bglt) BgL_arg1970z00_1449), BgL_arg1972z00_1450);
			}
			{	/* Integrate/let_fun.scm 69 */
				obj_t BgL_ledz00_1453;

				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2902;

					{
						obj_t BgL_auxz00_2903;

						{	/* Integrate/let_fun.scm 69 */
							BgL_objectz00_bglt BgL_auxz00_2904;

							BgL_auxz00_2904 =
								((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt)
									(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt) BgL_varz00_5)))->
										BgL_valuez00)));
							BgL_auxz00_2903 = BGL_OBJECT_WIDENING(BgL_auxz00_2904);
						}
						BgL_auxz00_2902 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2903);
					}
					BgL_ledz00_1453 =
						(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_2902))->BgL_ledz00);
				}
				{
					obj_t BgL_l1905z00_1455;

					BgL_l1905z00_1455 = BgL_ledz00_1453;
				BgL_zc3anonymousza31975ze3z83_1456:
					if (PAIRP(BgL_l1905z00_1455))
						{	/* Integrate/let_fun.scm 70 */
							{	/* Integrate/let_fun.scm 73 */
								obj_t BgL_lz00_1458;

								BgL_lz00_1458 = CAR(BgL_l1905z00_1455);
								if (BGl_freezd2funzf3z21zzintegrate_letzd2funzd2(BgL_lz00_1458))
									{	/* Integrate/let_fun.scm 80 */
										obj_t BgL_arg1978z00_1460;
										obj_t BgL_arg1979z00_1461;

										BgL_arg1978z00_1460 =
											(((BgL_sfunz00_bglt) CREF(
													((BgL_sfunz00_bglt)
														(((BgL_variablez00_bglt) CREF(
																	((BgL_variablez00_bglt) BgL_lz00_1458)))->
															BgL_valuez00))))->BgL_bodyz00);
										{	/* Integrate/let_fun.scm 81 */
											obj_t BgL_list1981z00_1463;

											BgL_list1981z00_1463 = MAKE_PAIR(BgL_varz00_5, BNIL);
											BgL_arg1979z00_1461 = BgL_list1981z00_1463;
										}
										BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2
											(((BgL_nodez00_bglt) BgL_arg1978z00_1460),
											BgL_arg1979z00_1461);
									}
								else
									{	/* Integrate/let_fun.scm 74 */
										BFALSE;
									}
							}
							{
								obj_t BgL_l1905z00_2924;

								BgL_l1905z00_2924 = CDR(BgL_l1905z00_1455);
								BgL_l1905z00_1455 = BgL_l1905z00_2924;
								goto BgL_zc3anonymousza31975ze3z83_1456;
							}
						}
					else
						{	/* Integrate/let_fun.scm 70 */
							((bool_t) 1);
						}
				}
				{
					obj_t BgL_ledz00_1468;
					obj_t BgL_addedz00_1469;

					BgL_ledz00_1468 = BgL_ledz00_1453;
					BgL_addedz00_1469 = BNIL;
				BgL_zc3anonymousza31983ze3z83_1470:
					if (NULLP(BgL_ledz00_1468))
						{	/* Integrate/let_fun.scm 88 */
							obj_t BgL_oldzd2bodyzd2_1472;

							BgL_oldzd2bodyzd2_1472 =
								(((BgL_sfunz00_bglt) CREF(
										((BgL_sfunz00_bglt)
											(((BgL_variablez00_bglt) CREF(
														((BgL_variablez00_bglt) BgL_varz00_5)))->
												BgL_valuez00))))->BgL_bodyz00);
							if (NULLP(BgL_addedz00_1469))
								{	/* Integrate/let_fun.scm 89 */
									return BgL_oldzd2bodyzd2_1472;
								}
							else
								{	/* Integrate/let_fun.scm 90 */
									BgL_letzd2funzd2_bglt BgL_newzd2bodyzd2_1474;

									{	/* Integrate/let_fun.scm 90 */
										BgL_letzd2funzd2_bglt BgL_new1105z00_1476;

										{	/* Integrate/let_fun.scm 91 */
											BgL_letzd2funzd2_bglt BgL_new1104z00_1477;

											BgL_new1104z00_1477 =
												((BgL_letzd2funzd2_bglt) BREF(GC_MALLOC(sizeof(struct
															BgL_letzd2funzd2_bgl))));
											{	/* Integrate/let_fun.scm 91 */
												long BgL_arg1987z00_1478;

												{	/* Integrate/let_fun.scm 91 */
													long BgL_res2132z00_2592;

													BgL_res2132z00_2592 =
														BGL_CLASS_INDEX(BGl_letzd2funzd2zzast_nodez00);
													BgL_arg1987z00_1478 = BgL_res2132z00_2592;
												}
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1104z00_1477),
													BgL_arg1987z00_1478);
											}
											{	/* Integrate/let_fun.scm 91 */
												BgL_objectz00_bglt BgL_auxz00_2938;

												BgL_auxz00_2938 =
													((BgL_objectz00_bglt) BgL_new1104z00_1477);
												BGL_OBJECT_WIDENING_SET(BgL_auxz00_2938, BFALSE);
											}
											BgL_new1105z00_1476 = BgL_new1104z00_1477;
										}
										((((BgL_nodez00_bglt) CREF(
														((BgL_nodez00_bglt) BgL_new1105z00_1476)))->
												BgL_locz00) =
											((obj_t) (((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																BgL_oldzd2bodyzd2_1472)))->BgL_locz00)),
											BUNSPEC);
										((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
															BgL_new1105z00_1476)))->BgL_typez00) =
											((BgL_typez00_bglt)
												BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
														BgL_oldzd2bodyzd2_1472))), BUNSPEC);
										((((BgL_nodezf2effectzf2_bglt)
													CREF(((BgL_nodezf2effectzf2_bglt)
															BgL_new1105z00_1476)))->BgL_sidezd2effectzd2) =
											((obj_t) BUNSPEC), BUNSPEC);
										((((BgL_nodezf2effectzf2_bglt)
													CREF(((BgL_nodezf2effectzf2_bglt)
															BgL_new1105z00_1476)))->BgL_keyz00) =
											((obj_t) BINT(((long) -1))), BUNSPEC);
										((((BgL_letzd2funzd2_bglt) CREF(BgL_new1105z00_1476))->
												BgL_localsz00) = ((obj_t) BgL_addedz00_1469), BUNSPEC);
										((((BgL_letzd2funzd2_bglt) CREF(BgL_new1105z00_1476))->
												BgL_bodyz00) =
											((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
													BgL_oldzd2bodyzd2_1472)), BUNSPEC);
										BgL_newzd2bodyzd2_1474 = BgL_new1105z00_1476;
									}
									{	/* Integrate/let_fun.scm 101 */
										BgL_valuez00_bglt BgL_arg1986z00_1475;

										BgL_arg1986z00_1475 =
											(((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt) BgL_varz00_5)))->
											BgL_valuez00);
										((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
															BgL_arg1986z00_1475)))->BgL_bodyz00) =
											((obj_t) ((obj_t) BgL_newzd2bodyzd2_1474)), BUNSPEC);
									}
									return ((obj_t) BgL_newzd2bodyzd2_1474);
								}
						}
					else
						{	/* Integrate/let_fun.scm 86 */
							if (BGl_freezd2funzf3z21zzintegrate_letzd2funzd2(CAR
									(BgL_ledz00_1468)))
								{	/* Integrate/let_fun.scm 110 */
									obj_t BgL_arg1990z00_1481;
									obj_t BgL_arg1991z00_1482;

									BgL_arg1990z00_1481 = CDR(BgL_ledz00_1468);
									BgL_arg1991z00_1482 =
										MAKE_PAIR(CAR(BgL_ledz00_1468), BgL_addedz00_1469);
									{
										obj_t BgL_addedz00_2970;
										obj_t BgL_ledz00_2969;

										BgL_ledz00_2969 = BgL_arg1990z00_1481;
										BgL_addedz00_2970 = BgL_arg1991z00_1482;
										BgL_addedz00_1469 = BgL_addedz00_2970;
										BgL_ledz00_1468 = BgL_ledz00_2969;
										goto BgL_zc3anonymousza31983ze3z83_1470;
									}
								}
							else
								{
									obj_t BgL_ledz00_2971;

									BgL_ledz00_2971 = CDR(BgL_ledz00_1468);
									BgL_ledz00_1468 = BgL_ledz00_2971;
									goto BgL_zc3anonymousza31983ze3z83_1470;
								}
						}
				}
			}
		}
	}



/* &displace-let-fun! */
	obj_t BGl_z62displacezd2letzd2funz12z70zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2721, obj_t BgL_varz00_2722)
	{
		AN_OBJECT;
		{	/* Integrate/let_fun.scm 53 */
			return
				BGl_displacezd2letzd2funz12z12zzintegrate_letzd2funzd2(BgL_varz00_2722);
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzintegrate_letzd2funzd2()
	{
		AN_OBJECT;
		{	/* Integrate/let_fun.scm 16 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzintegrate_letzd2funzd2()
	{
		AN_OBJECT;
		{	/* Integrate/let_fun.scm 16 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_proc2151z00zzintegrate_letzd2funzd2, BGl_nodez00zzast_nodez00,
				BGl_string2152z00zzintegrate_letzd2funzd2);
		}
	}



/* &displace-let-fun-nod1913 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1913zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2724, obj_t BgL_nodez00_2725, obj_t BgL_hostsz00_2726)
	{
		AN_OBJECT;
		{	/* Integrate/let_fun.scm 123 */
			{
				BgL_nodez00_bglt BgL_nodez00_1489;
				obj_t BgL_hostsz00_1490;

				BgL_nodez00_1489 = ((BgL_nodez00_bglt) BgL_nodez00_2725);
				BgL_hostsz00_1490 = BgL_hostsz00_2726;
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 0)),
					BGl_string2153z00zzintegrate_letzd2funzd2,
					((obj_t) BgL_nodez00_1489));
		}}
	}



/* displace-let-fun-node! */
	obj_t
		BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2
		(BgL_nodez00_bglt BgL_nodez00_6, obj_t BgL_hostsz00_7)
	{
		AN_OBJECT;
		{	/* Integrate/let_fun.scm 123 */
			{	/* Integrate/let_fun.scm 123 */
				obj_t BgL_method1914z00_1493;

				{	/* Integrate/let_fun.scm 123 */
					obj_t BgL_res2140z00_2635;

					{	/* Integrate/let_fun.scm 123 */
						long BgL_objzd2classzd2numz00_2608;

						{	/* Integrate/let_fun.scm 123 */
							long BgL_res2134z00_2611;

							BgL_res2134z00_2611 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_6));
							BgL_objzd2classzd2numz00_2608 = BgL_res2134z00_2611;
						}
						{	/* Integrate/let_fun.scm 123 */
							obj_t BgL_arg1769z00_2609;

							BgL_arg1769z00_2609 =
								PROCEDURE_REF
								(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
								(int) (((long) 1)));
							{	/* Integrate/let_fun.scm 123 */
								int BgL_offsetz00_2613;

								BgL_offsetz00_2613 = (int) (BgL_objzd2classzd2numz00_2608);
								{	/* Integrate/let_fun.scm 123 */
									long BgL_offsetz00_2614;

									BgL_offsetz00_2614 =
										((long) (BgL_offsetz00_2613) - OBJECT_TYPE);
									{	/* Integrate/let_fun.scm 123 */
										long BgL_modz00_2615;

										{	/* Integrate/let_fun.scm 123 */
											int BgL_arg1771z00_2616;

											BgL_arg1771z00_2616 = (int) (((long) 16));
											{	/* Integrate/let_fun.scm 123 */
												long BgL_res2137z00_2626;

												{	/* Integrate/let_fun.scm 123 */
													long BgL_auxz00_2987;

													BgL_auxz00_2987 = (long) (BgL_arg1771z00_2616);
													BgL_res2137z00_2626 =
														(BgL_offsetz00_2614 / BgL_auxz00_2987);
												}
												BgL_modz00_2615 = BgL_res2137z00_2626;
										}}
										{	/* Integrate/let_fun.scm 123 */
											long BgL_restz00_2617;

											{	/* Integrate/let_fun.scm 123 */
												int BgL_arg1770z00_2618;

												BgL_arg1770z00_2618 = (int) (((long) 16));
												{	/* Integrate/let_fun.scm 123 */
													long BgL_res2139z00_2630;

													{	/* Integrate/let_fun.scm 123 */
														long BgL_auxz00_2991;

														BgL_auxz00_2991 = (long) (BgL_arg1770z00_2618);
														BgL_res2139z00_2630 =
															(BgL_offsetz00_2614 % BgL_auxz00_2991);
													}
													BgL_restz00_2617 = BgL_res2139z00_2630;
											}}
											{	/* Integrate/let_fun.scm 123 */

												BgL_res2140z00_2635 =
													VECTOR_REF(VECTOR_REF(BgL_arg1769z00_2609,
														(int) (BgL_modz00_2615)), (int) (BgL_restz00_2617));
					}}}}}}}
					BgL_method1914z00_1493 = BgL_res2140z00_2635;
				}
				return
					PROCEDURE_ENTRY(BgL_method1914z00_1493) (BgL_method1914z00_1493,
					((obj_t) BgL_nodez00_6), BgL_hostsz00_7, BEOA);
			}
		}
	}



/* &displace-let-fun-node! */
	obj_t BGl_z62displacezd2letzd2funzd2nodez12za2zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2727, obj_t BgL_nodez00_2728, obj_t BgL_hostsz00_2729)
	{
		AN_OBJECT;
		{	/* Integrate/let_fun.scm 123 */
			return
				BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
				((BgL_nodez00_bglt) BgL_nodez00_2728), BgL_hostsz00_2729);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzintegrate_letzd2funzd2()
	{
		AN_OBJECT;
		{	/* Integrate/let_fun.scm 16 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_atomz00zzast_nodez00, BGl_proc2154z00zzintegrate_letzd2funzd2,
				BGl_string2155z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_kwotez00zzast_nodez00, BGl_proc2156z00zzintegrate_letzd2funzd2,
				BGl_string2155z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_varz00zzast_nodez00, BGl_proc2157z00zzintegrate_letzd2funzd2,
				BGl_string2155z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_closurez00zzast_nodez00, BGl_proc2158z00zzintegrate_letzd2funzd2,
				BGl_string2155z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_sequencez00zzast_nodez00, BGl_proc2159z00zzintegrate_letzd2funzd2,
				BGl_string2155z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_syncz00zzast_nodez00, BGl_proc2160z00zzintegrate_letzd2funzd2,
				BGl_string2155z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_appz00zzast_nodez00, BGl_proc2161z00zzintegrate_letzd2funzd2,
				BGl_string2155z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2162z00zzintegrate_letzd2funzd2,
				BGl_string2155z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_funcallz00zzast_nodez00, BGl_proc2163z00zzintegrate_letzd2funzd2,
				BGl_string2155z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_externz00zzast_nodez00, BGl_proc2164z00zzintegrate_letzd2funzd2,
				BGl_string2155z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_castz00zzast_nodez00, BGl_proc2165z00zzintegrate_letzd2funzd2,
				BGl_string2155z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_setqz00zzast_nodez00, BGl_proc2166z00zzintegrate_letzd2funzd2,
				BGl_string2155z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_conditionalz00zzast_nodez00,
				BGl_proc2167z00zzintegrate_letzd2funzd2,
				BGl_string2155z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_failz00zzast_nodez00, BGl_proc2168z00zzintegrate_letzd2funzd2,
				BGl_string2155z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_selectz00zzast_nodez00, BGl_proc2169z00zzintegrate_letzd2funzd2,
				BGl_string2155z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2170z00zzintegrate_letzd2funzd2,
				BGl_string2155z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2171z00zzintegrate_letzd2funzd2,
				BGl_string2155z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc2172z00zzintegrate_letzd2funzd2,
				BGl_string2155z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc2173z00zzintegrate_letzd2funzd2,
				BGl_string2155z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2174z00zzintegrate_letzd2funzd2,
				BGl_string2155z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc2175z00zzintegrate_letzd2funzd2,
				BGl_string2155z00zzintegrate_letzd2funzd2);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2176z00zzintegrate_letzd2funzd2,
				BGl_string2155z00zzintegrate_letzd2funzd2);
		}
	}



/* &displace-let-fun-nod1959 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1959zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2752, obj_t BgL_nodez00_2753, obj_t BgL_hostsz00_2754)
	{
		AN_OBJECT;
		{	/* Integrate/let_fun.scm 322 */
			return BUNSPEC;
		}
	}



/* &displace-let-fun-nod1957 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1957zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2755, obj_t BgL_nodez00_2756, obj_t BgL_hostsz00_2757)
	{
		AN_OBJECT;
		{	/* Integrate/let_fun.scm 316 */
			return BUNSPEC;
		}
	}



/* &displace-let-fun-nod1955 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1955zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2758, obj_t BgL_nodez00_2759, obj_t BgL_hostsz00_2760)
	{
		AN_OBJECT;
		{	/* Integrate/let_fun.scm 309 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1695;
				obj_t BgL_hostsz00_1696;

				BgL_nodez00_1695 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2759);
				BgL_hostsz00_1696 = BgL_hostsz00_2760;
				return
					BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
					(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1695))->BgL_valuez00),
					BgL_hostsz00_1696);
			}
		}
	}



/* &displace-let-fun-nod1953 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1953zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2761, obj_t BgL_nodez00_2762, obj_t BgL_hostsz00_2763)
	{
		AN_OBJECT;
		{	/* Integrate/let_fun.scm 301 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1687;
				obj_t BgL_hostsz00_1688;

				BgL_nodez00_1687 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2762);
				BgL_hostsz00_1688 = BgL_hostsz00_2763;
				BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
					(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1687))->BgL_exitz00),
					BgL_hostsz00_1688);
				return
					BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(((
							(BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1687))->
						BgL_valuez00), BgL_hostsz00_1688);
			}
		}
	}



/* &displace-let-fun-nod1951 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1951zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2764, obj_t BgL_nodez00_2765, obj_t BgL_hostsz00_2766)
	{
		AN_OBJECT;
		{	/* Integrate/let_fun.scm 294 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1680;
				obj_t BgL_hostsz00_1681;

				BgL_nodez00_1680 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2765);
				BgL_hostsz00_1681 = BgL_hostsz00_2766;
				return
					BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
					(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1680))->BgL_bodyz00),
					BgL_hostsz00_1681);
			}
		}
	}



/* &displace-let-fun-nod1949 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1949zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2767, obj_t BgL_nodez00_2768, obj_t BgL_hostsz00_2769)
	{
		AN_OBJECT;
		{	/* Integrate/let_fun.scm 280 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1663;
				obj_t BgL_hostsz00_1664;

				BgL_nodez00_1663 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_2768);
				BgL_hostsz00_1664 = BgL_hostsz00_2769;
				{	/* Integrate/let_fun.scm 282 */
					obj_t BgL_g1123z00_1668;

					BgL_g1123z00_1668 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1663))->BgL_bindingsz00);
					{
						obj_t BgL_bindingsz00_1670;

						BgL_bindingsz00_1670 = BgL_g1123z00_1668;
					BgL_zc3anonymousza32052ze3z83_1671:
						if (NULLP(BgL_bindingsz00_1670))
							{	/* Integrate/let_fun.scm 283 */
								return
									BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
									(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1663))->
										BgL_bodyz00), BgL_hostsz00_1664);
							}
						else
							{	/* Integrate/let_fun.scm 285 */
								obj_t BgL_bindingz00_1674;

								BgL_bindingz00_1674 = CAR(BgL_bindingsz00_1670);
								{	/* Integrate/let_fun.scm 286 */
									obj_t BgL_valz00_1676;

									BgL_valz00_1676 = CDR(BgL_bindingz00_1674);
									{	/* Integrate/let_fun.scm 287 */

										BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2
											(((BgL_nodez00_bglt) BgL_valz00_1676), BgL_hostsz00_1664);
										{
											obj_t BgL_bindingsz00_3048;

											BgL_bindingsz00_3048 = CDR(BgL_bindingsz00_1670);
											BgL_bindingsz00_1670 = BgL_bindingsz00_3048;
											goto BgL_zc3anonymousza32052ze3z83_1671;
										}
									}
								}
							}
					}
				}
			}
		}
	}



/* &displace-let-fun-nod1947 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1947zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2770, obj_t BgL_nodez00_2771, obj_t BgL_hostsz00_2772)
	{
		AN_OBJECT;
		{	/* Integrate/let_fun.scm 250 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1636;
				obj_t BgL_hostsz00_1637;

				BgL_nodez00_1636 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_2771);
				BgL_hostsz00_1637 = BgL_hostsz00_2772;
				{	/* Integrate/let_fun.scm 254 */
					obj_t BgL_g1120z00_1641;

					BgL_g1120z00_1641 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1636))->BgL_localsz00);
					{
						obj_t BgL_oldz00_1644;
						obj_t BgL_newz00_1645;

						BgL_oldz00_1644 = BgL_g1120z00_1641;
						BgL_newz00_1645 = BNIL;
					BgL_zc3anonymousza32036ze3z83_1646:
						if (NULLP(BgL_oldz00_1644))
							{	/* Integrate/let_fun.scm 265 */
								((((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1636))->
										BgL_localsz00) = ((obj_t) BgL_newz00_1645), BUNSPEC);
								return
									BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
									(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1636))->
										BgL_bodyz00), BgL_hostsz00_1637);
							}
						else
							{	/* Integrate/let_fun.scm 268 */
								bool_t BgL_testz00_3057;

								{	/* Integrate/let_fun.scm 268 */
									obj_t BgL_auxz00_3058;

									{	/* Integrate/let_fun.scm 268 */
										obj_t BgL_auxz00_3059;

										{
											BgL_sfunzf2iinfozf2_bglt BgL_auxz00_3060;

											{
												obj_t BgL_auxz00_3061;

												{	/* Integrate/let_fun.scm 268 */
													BgL_objectz00_bglt BgL_auxz00_3062;

													BgL_auxz00_3062 =
														((BgL_objectz00_bglt)
														((BgL_sfunz00_bglt)
															(((BgL_variablez00_bglt) CREF(
																		((BgL_variablez00_bglt)
																			((BgL_localz00_bglt)
																				CAR(BgL_oldz00_1644)))))->
																BgL_valuez00)));
													BgL_auxz00_3061 =
														BGL_OBJECT_WIDENING(BgL_auxz00_3062);
												}
												BgL_auxz00_3060 =
													((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_3061);
											}
											BgL_auxz00_3059 =
												(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_3060))->
												BgL_lz00);
										}
										BgL_auxz00_3058 =
											BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_auxz00_3059,
											BgL_hostsz00_1637);
									}
									BgL_testz00_3057 = CBOOL(BgL_auxz00_3058);
								}
								if (BgL_testz00_3057)
									{	/* Integrate/let_fun.scm 269 */
										obj_t BgL_lz00_1651;

										BgL_lz00_1651 = CAR(BgL_oldz00_1644);
										BGl_bindzd2funz12zc0zzintegrate_letzd2funzd2(BgL_lz00_1651);
										{	/* Integrate/let_fun.scm 271 */
											obj_t BgL_arg2042z00_1652;
											obj_t BgL_arg2043z00_1653;

											BgL_arg2042z00_1652 =
												(((BgL_sfunz00_bglt) CREF(
														((BgL_sfunz00_bglt)
															(((BgL_variablez00_bglt) CREF(
																		((BgL_variablez00_bglt)
																			((BgL_localz00_bglt) BgL_lz00_1651))))->
																BgL_valuez00))))->BgL_bodyz00);
											BgL_arg2043z00_1653 =
												MAKE_PAIR(BgL_lz00_1651, BgL_hostsz00_1637);
											BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2
												(((BgL_nodez00_bglt) BgL_arg2042z00_1652),
												BgL_arg2043z00_1653);
										}
										{	/* Integrate/let_fun.scm 273 */
											obj_t BgL_arg2046z00_1655;
											obj_t BgL_arg2047z00_1656;

											BgL_arg2046z00_1655 = CDR(BgL_oldz00_1644);
											BgL_arg2047z00_1656 =
												MAKE_PAIR(BgL_lz00_1651, BgL_newz00_1645);
											{
												obj_t BgL_newz00_3087;
												obj_t BgL_oldz00_3086;

												BgL_oldz00_3086 = BgL_arg2046z00_1655;
												BgL_newz00_3087 = BgL_arg2047z00_1656;
												BgL_newz00_1645 = BgL_newz00_3087;
												BgL_oldz00_1644 = BgL_oldz00_3086;
												goto BgL_zc3anonymousza32036ze3z83_1646;
											}
										}
									}
								else
									{
										obj_t BgL_oldz00_3088;

										BgL_oldz00_3088 = CDR(BgL_oldz00_1644);
										BgL_oldz00_1644 = BgL_oldz00_3088;
										goto BgL_zc3anonymousza32036ze3z83_1646;
									}
							}
					}
				}
			}
		}
	}



/* &displace-let-fun-nod1945 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1945zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2773, obj_t BgL_nodez00_2774, obj_t BgL_hostsz00_2775)
	{
		AN_OBJECT;
		{	/* Integrate/let_fun.scm 238 */
			{
				BgL_selectz00_bglt BgL_nodez00_1620;
				obj_t BgL_hostsz00_1621;

				BgL_nodez00_1620 = ((BgL_selectz00_bglt) BgL_nodez00_2774);
				BgL_hostsz00_1621 = BgL_hostsz00_2775;
				{	/* Integrate/let_fun.scm 240 */
					obj_t BgL_g1117z00_1625;

					BgL_g1117z00_1625 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1620))->BgL_clausesz00);
					{
						obj_t BgL_clausesz00_1627;

						BgL_clausesz00_1627 = BgL_g1117z00_1625;
					BgL_zc3anonymousza32029ze3z83_1628:
						if (NULLP(BgL_clausesz00_1627))
							{	/* Integrate/let_fun.scm 241 */
								return
									BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
									(((BgL_selectz00_bglt) CREF(BgL_nodez00_1620))->BgL_testz00),
									BgL_hostsz00_1621);
							}
						else
							{	/* Integrate/let_fun.scm 241 */
								{	/* Integrate/let_fun.scm 244 */
									obj_t BgL_arg2033z00_1631;

									BgL_arg2033z00_1631 = CDR(CAR(BgL_clausesz00_1627));
									BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
										((BgL_nodez00_bglt) BgL_arg2033z00_1631),
										BgL_hostsz00_1621);
								}
								{
									obj_t BgL_clausesz00_3100;

									BgL_clausesz00_3100 = CDR(BgL_clausesz00_1627);
									BgL_clausesz00_1627 = BgL_clausesz00_3100;
									goto BgL_zc3anonymousza32029ze3z83_1628;
								}
							}
					}
				}
			}
		}
	}



/* &displace-let-fun-nod1943 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1943zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2776, obj_t BgL_nodez00_2777, obj_t BgL_hostsz00_2778)
	{
		AN_OBJECT;
		{	/* Integrate/let_fun.scm 229 */
			{
				BgL_failz00_bglt BgL_nodez00_1611;
				obj_t BgL_hostsz00_1612;

				BgL_nodez00_1611 = ((BgL_failz00_bglt) BgL_nodez00_2777);
				BgL_hostsz00_1612 = BgL_hostsz00_2778;
				BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
					(((BgL_failz00_bglt) CREF(BgL_nodez00_1611))->BgL_procz00),
					BgL_hostsz00_1612);
				BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(((
							(BgL_failz00_bglt) CREF(BgL_nodez00_1611))->BgL_msgz00),
					BgL_hostsz00_1612);
				return
					BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(((
							(BgL_failz00_bglt) CREF(BgL_nodez00_1611))->BgL_objz00),
					BgL_hostsz00_1612);
			}
		}
	}



/* &displace-let-fun-nod1941 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1941zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2779, obj_t BgL_nodez00_2780, obj_t BgL_hostsz00_2781)
	{
		AN_OBJECT;
		{	/* Integrate/let_fun.scm 220 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1602;
				obj_t BgL_hostsz00_1603;

				BgL_nodez00_1602 = ((BgL_conditionalz00_bglt) BgL_nodez00_2780);
				BgL_hostsz00_1603 = BgL_hostsz00_2781;
				BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
					(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1602))->BgL_testz00),
					BgL_hostsz00_1603);
				BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(((
							(BgL_conditionalz00_bglt) CREF(BgL_nodez00_1602))->BgL_truez00),
					BgL_hostsz00_1603);
				return
					BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(((
							(BgL_conditionalz00_bglt) CREF(BgL_nodez00_1602))->BgL_falsez00),
					BgL_hostsz00_1603);
			}
		}
	}



/* &displace-let-fun-nod1939 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1939zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2782, obj_t BgL_nodez00_2783, obj_t BgL_hostsz00_2784)
	{
		AN_OBJECT;
		{	/* Integrate/let_fun.scm 213 */
			{
				BgL_setqz00_bglt BgL_nodez00_1595;
				obj_t BgL_hostsz00_1596;

				BgL_nodez00_1595 = ((BgL_setqz00_bglt) BgL_nodez00_2783);
				BgL_hostsz00_1596 = BgL_hostsz00_2784;
				return
					BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
					(((BgL_setqz00_bglt) CREF(BgL_nodez00_1595))->BgL_valuez00),
					BgL_hostsz00_1596);
			}
		}
	}



/* &displace-let-fun-nod1937 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1937zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2785, obj_t BgL_nodez00_2786, obj_t BgL_hostsz00_2787)
	{
		AN_OBJECT;
		{	/* Integrate/let_fun.scm 206 */
			{
				BgL_castz00_bglt BgL_nodez00_1588;
				obj_t BgL_hostsz00_1589;

				BgL_nodez00_1588 = ((BgL_castz00_bglt) BgL_nodez00_2786);
				BgL_hostsz00_1589 = BgL_hostsz00_2787;
				return
					BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
					(((BgL_castz00_bglt) CREF(BgL_nodez00_1588))->BgL_argz00),
					BgL_hostsz00_1589);
			}
		}
	}



/* &displace-let-fun-nod1935 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1935zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2788, obj_t BgL_nodez00_2789, obj_t BgL_hostsz00_2790)
	{
		AN_OBJECT;
		{	/* Integrate/let_fun.scm 199 */
			{
				BgL_externz00_bglt BgL_nodez00_1574;
				obj_t BgL_hostsz00_1575;

				{	/* Integrate/let_fun.scm 200 */
					bool_t BgL_auxz00_3123;

					BgL_nodez00_1574 = ((BgL_externz00_bglt) BgL_nodez00_2789);
					BgL_hostsz00_1575 = BgL_hostsz00_2790;
					{	/* Integrate/let_fun.scm 201 */
						obj_t BgL_g1912z00_1579;

						BgL_g1912z00_1579 =
							(((BgL_externz00_bglt) CREF(BgL_nodez00_1574))->BgL_exprza2za2);
						{
							obj_t BgL_l1910z00_1581;

							BgL_l1910z00_1581 = BgL_g1912z00_1579;
						BgL_zc3anonymousza32017ze3z83_1582:
							if (PAIRP(BgL_l1910z00_1581))
								{	/* Integrate/let_fun.scm 201 */
									{	/* Integrate/let_fun.scm 201 */
										obj_t BgL_nodez00_1584;

										BgL_nodez00_1584 = CAR(BgL_l1910z00_1581);
										BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2
											(((BgL_nodez00_bglt) BgL_nodez00_1584),
											BgL_hostsz00_1575);
									}
									{
										obj_t BgL_l1910z00_3130;

										BgL_l1910z00_3130 = CDR(BgL_l1910z00_1581);
										BgL_l1910z00_1581 = BgL_l1910z00_3130;
										goto BgL_zc3anonymousza32017ze3z83_1582;
									}
								}
							else
								{	/* Integrate/let_fun.scm 201 */
									BgL_auxz00_3123 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_3123);
				}
			}
		}
	}



/* &displace-let-fun-nod1933 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1933zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2791, obj_t BgL_nodez00_2792, obj_t BgL_hostsz00_2793)
	{
		AN_OBJECT;
		{	/* Integrate/let_fun.scm 187 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1559;
				obj_t BgL_hostsz00_1560;

				BgL_nodez00_1559 = ((BgL_funcallz00_bglt) BgL_nodez00_2792);
				BgL_hostsz00_1560 = BgL_hostsz00_2793;
				{
					obj_t BgL_astsz00_1566;

					BgL_astsz00_1566 =
						(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1559))->BgL_argsz00);
				BgL_zc3anonymousza32012ze3z83_1567:
					if (NULLP(BgL_astsz00_1566))
						{	/* Integrate/let_fun.scm 190 */
							return
								BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
								(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1559))->BgL_funz00),
								BgL_hostsz00_1560);
						}
					else
						{	/* Integrate/let_fun.scm 190 */
							{	/* Integrate/let_fun.scm 193 */
								obj_t BgL_arg2015z00_1570;

								BgL_arg2015z00_1570 = CAR(BgL_astsz00_1566);
								BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
									((BgL_nodez00_bglt) BgL_arg2015z00_1570), BgL_hostsz00_1560);
							}
							{
								obj_t BgL_astsz00_3141;

								BgL_astsz00_3141 = CDR(BgL_astsz00_1566);
								BgL_astsz00_1566 = BgL_astsz00_3141;
								goto BgL_zc3anonymousza32012ze3z83_1567;
							}
						}
				}
			}
		}
	}



/* &displace-let-fun-nod1931 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1931zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2794, obj_t BgL_nodez00_2795, obj_t BgL_hostsz00_2796)
	{
		AN_OBJECT;
		{	/* Integrate/let_fun.scm 179 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1551;
				obj_t BgL_hostsz00_1552;

				BgL_nodez00_1551 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2795);
				BgL_hostsz00_1552 = BgL_hostsz00_2796;
				BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
					(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1551))->BgL_funz00),
					BgL_hostsz00_1552);
				return
					BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(((
							(BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1551))->BgL_argz00),
					BgL_hostsz00_1552);
			}
		}
	}



/* &displace-let-fun-nod1929 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1929zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2797, obj_t BgL_nodez00_2798, obj_t BgL_hostsz00_2799)
	{
		AN_OBJECT;
		{	/* Integrate/let_fun.scm 168 */
			{
				BgL_appz00_bglt BgL_nodez00_1538;
				obj_t BgL_hostsz00_1539;

				BgL_nodez00_1538 = ((BgL_appz00_bglt) BgL_nodez00_2798);
				BgL_hostsz00_1539 = BgL_hostsz00_2799;
				{	/* Integrate/let_fun.scm 169 */
					obj_t BgL_g1108z00_1542;

					BgL_g1108z00_1542 =
						(((BgL_appz00_bglt) CREF(BgL_nodez00_1538))->BgL_argsz00);
					{
						obj_t BgL_argsz00_1544;

						BgL_argsz00_1544 = BgL_g1108z00_1542;
					BgL_zc3anonymousza32005ze3z83_1545:
						if (NULLP(BgL_argsz00_1544))
							{	/* Integrate/let_fun.scm 170 */
								return BUNSPEC;
							}
						else
							{	/* Integrate/let_fun.scm 170 */
								{	/* Integrate/let_fun.scm 173 */
									obj_t BgL_arg2007z00_1547;

									BgL_arg2007z00_1547 = CAR(BgL_argsz00_1544);
									BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
										((BgL_nodez00_bglt) BgL_arg2007z00_1547),
										BgL_hostsz00_1539);
								}
								{
									obj_t BgL_argsz00_3156;

									BgL_argsz00_3156 = CDR(BgL_argsz00_1544);
									BgL_argsz00_1544 = BgL_argsz00_3156;
									goto BgL_zc3anonymousza32005ze3z83_1545;
								}
							}
					}
				}
			}
		}
	}



/* &displace-let-fun-nod1927 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1927zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2800, obj_t BgL_nodez00_2801, obj_t BgL_hostsz00_2802)
	{
		AN_OBJECT;
		{	/* Integrate/let_fun.scm 159 */
			{
				BgL_syncz00_bglt BgL_nodez00_1529;
				obj_t BgL_hostsz00_1530;

				BgL_nodez00_1529 = ((BgL_syncz00_bglt) BgL_nodez00_2801);
				BgL_hostsz00_1530 = BgL_hostsz00_2802;
				BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
					(((BgL_syncz00_bglt) CREF(BgL_nodez00_1529))->BgL_mutexz00),
					BgL_hostsz00_1530);
				BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(((
							(BgL_syncz00_bglt) CREF(BgL_nodez00_1529))->BgL_prelockz00),
					BgL_hostsz00_1530);
				return
					BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(((
							(BgL_syncz00_bglt) CREF(BgL_nodez00_1529))->BgL_bodyz00),
					BgL_hostsz00_1530);
			}
		}
	}



/* &displace-let-fun-nod1925 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1925zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2803, obj_t BgL_nodez00_2804, obj_t BgL_hostsz00_2805)
	{
		AN_OBJECT;
		{	/* Integrate/let_fun.scm 152 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1515;
				obj_t BgL_hostsz00_1516;

				{	/* Integrate/let_fun.scm 153 */
					bool_t BgL_auxz00_3166;

					BgL_nodez00_1515 = ((BgL_sequencez00_bglt) BgL_nodez00_2804);
					BgL_hostsz00_1516 = BgL_hostsz00_2805;
					{	/* Integrate/let_fun.scm 154 */
						obj_t BgL_g1909z00_1520;

						BgL_g1909z00_1520 =
							(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1515))->BgL_nodesz00);
						{
							obj_t BgL_l1907z00_1522;

							BgL_l1907z00_1522 = BgL_g1909z00_1520;
						BgL_zc3anonymousza31998ze3z83_1523:
							if (PAIRP(BgL_l1907z00_1522))
								{	/* Integrate/let_fun.scm 154 */
									{	/* Integrate/let_fun.scm 154 */
										obj_t BgL_nodez00_1525;

										BgL_nodez00_1525 = CAR(BgL_l1907z00_1522);
										BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2
											(((BgL_nodez00_bglt) BgL_nodez00_1525),
											BgL_hostsz00_1516);
									}
									{
										obj_t BgL_l1907z00_3173;

										BgL_l1907z00_3173 = CDR(BgL_l1907z00_1522);
										BgL_l1907z00_1522 = BgL_l1907z00_3173;
										goto BgL_zc3anonymousza31998ze3z83_1523;
									}
								}
							else
								{	/* Integrate/let_fun.scm 154 */
									BgL_auxz00_3166 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_3166);
				}
			}
		}
	}



/* &displace-let-fun-nod1922 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1922zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2806, obj_t BgL_nodez00_2807, obj_t BgL_hostsz00_2808)
	{
		AN_OBJECT;
		{	/* Integrate/let_fun.scm 146 */
			{
				BgL_closurez00_bglt BgL_nodez00_1509;
				obj_t BgL_hostsz00_1510;

				BgL_nodez00_1509 = ((BgL_closurez00_bglt) BgL_nodez00_2807);
				BgL_hostsz00_1510 = BgL_hostsz00_2808;
				{	/* Integrate/let_fun.scm 147 */
					obj_t BgL_arg1997z00_2636;

					BgL_arg1997z00_2636 =
						BGl_shapez00zztools_shapez00(((obj_t) BgL_nodez00_1509));
					return
						BGl_internalzd2errorzd2zztools_errorz00
						(BGl_string2177z00zzintegrate_letzd2funzd2,
						BGl_string2178z00zzintegrate_letzd2funzd2, BgL_arg1997z00_2636);
				}
			}
		}
	}



/* &displace-let-fun-nod1920 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1920zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2809, obj_t BgL_nodez00_2810, obj_t BgL_hostsz00_2811)
	{
		AN_OBJECT;
		{	/* Integrate/let_fun.scm 140 */
			return BUNSPEC;
		}
	}



/* &displace-let-fun-nod1918 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1918zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2812, obj_t BgL_nodez00_2813, obj_t BgL_hostsz00_2814)
	{
		AN_OBJECT;
		{	/* Integrate/let_fun.scm 134 */
			return BUNSPEC;
		}
	}



/* &displace-let-fun-nod1916 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1916zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2815, obj_t BgL_nodez00_2816, obj_t BgL_hostsz00_2817)
	{
		AN_OBJECT;
		{	/* Integrate/let_fun.scm 128 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzintegrate_letzd2funzd2()
	{
		AN_OBJECT;
		{	/* Integrate/let_fun.scm 16 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2179z00zzintegrate_letzd2funzd2));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2179z00zzintegrate_letzd2funzd2));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2179z00zzintegrate_letzd2funzd2));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2179z00zzintegrate_letzd2funzd2));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 164192787),
				BSTRING_TO_STRING(BGl_string2179z00zzintegrate_letzd2funzd2));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 189813582),
				BSTRING_TO_STRING(BGl_string2179z00zzintegrate_letzd2funzd2));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2179z00zzintegrate_letzd2funzd2));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 458567972),
				BSTRING_TO_STRING(BGl_string2179z00zzintegrate_letzd2funzd2));
			return
				BGl_modulezd2initializa7ationz75zzintegrate_infoz00(((long) 0),
				BSTRING_TO_STRING(BGl_string2179z00zzintegrate_letzd2funzd2));
		}
	}

#ifdef __cplusplus
}
#endif
