/*===========================================================================*/
/*   (Module/load.scm)                                                       */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Module/load.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_ccompz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_producerz00;
		obj_t BgL_consumerz00;
		obj_t BgL_finaliza7erza7;
	}               *BgL_ccompz00_bglt;


	static obj_t BGl_requirezd2initializa7ationz75zzmodule_loadz00 = BUNSPEC;
	static obj_t BGl_genericzd2initzd2zzmodule_loadz00();
	static obj_t BGl_objectzd2initzd2zzmodule_loadz00();
	static obj_t BGl_loadzd2parserzd2zzmodule_loadz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_dirnamez00zz__osz00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzmodule_loadz00();
	BGL_EXPORTED_DECL obj_t BGl_makezd2loadzd2compilerz00zzmodule_loadz00();
	extern obj_t BGl_ccompz00zzmodule_modulez00;
	extern obj_t BGl_loadzd2modulezd2zzread_loadz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_bigloozd2modulezd2resolverz00zz__modulez00();
	static obj_t BGl_z62loadzd2producerzb0zzmodule_loadz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzmodule_loadz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_loadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__modulez00(long, char *);
	static obj_t BGl_cnstzd2initzd2zzmodule_loadz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzmodule_loadz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzmodule_loadz00();
	BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_za2accesszd2filesza2zd2zzengine_paramz00;
	static obj_t BGl_loadzd2producerzd2zzmodule_loadz00(obj_t);
	static obj_t BGl_z62makezd2loadzd2compilerz62zzmodule_loadz00(obj_t);
	static obj_t __cnst[1];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_loadzd2producerzd2envz00zzmodule_loadz00,
		BgL_bgl_za762loadza7d2produc1471z00,
		BGl_z62loadzd2producerzb0zzmodule_loadz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1461z00zzmodule_loadz00,
		BgL_bgl_string1461za700za7za7m1472za7, "Parse error", 11);
	      DEFINE_STRING(BGl_string1462z00zzmodule_loadz00,
		BgL_bgl_string1462za700za7za7m1473za7, "Illegal `load' clause", 21);
	      DEFINE_STRING(BGl_string1463z00zzmodule_loadz00,
		BgL_bgl_string1463za700za7za7m1474za7, "Illegal load clause", 19);
	      DEFINE_STRING(BGl_string1464z00zzmodule_loadz00,
		BgL_bgl_string1464za700za7za7m1475za7, "load", 4);
	      DEFINE_STRING(BGl_string1465z00zzmodule_loadz00,
		BgL_bgl_string1465za700za7za7m1476za7, "Can't load module", 17);
	      DEFINE_STRING(BGl_string1466z00zzmodule_loadz00,
		BgL_bgl_string1466za700za7za7m1477za7, "module_load", 11);
	      DEFINE_STRING(BGl_string1467z00zzmodule_loadz00,
		BgL_bgl_string1467za700za7za7m1478za7, "load ", 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2loadzd2compilerzd2envzd2zzmodule_loadz00,
		BgL_bgl_za762makeza7d2loadza7d1479za7,
		BGl_z62makezd2loadzd2compilerz62zzmodule_loadz00, 0L, BUNSPEC, 0);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzmodule_loadz00(long
		BgL_checksumz00_807, char *BgL_fromz00_808)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzmodule_loadz00))
				{
					BGl_requirezd2initializa7ationz75zzmodule_loadz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzmodule_loadz00();
					BGl_cnstzd2initzd2zzmodule_loadz00();
					BGl_importedzd2moduleszd2initz00zzmodule_loadz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzmodule_loadz00()
	{
		AN_OBJECT;
		{	/* Module/load.scm 15 */
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "module_load");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "module_load");
			BGl_modulezd2initializa7ationz75zz__modulez00(((long) 0), "module_load");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "module_load");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"module_load");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"module_load");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"module_load");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"module_load");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzmodule_loadz00()
	{
		AN_OBJECT;
		{	/* Module/load.scm 15 */
			{	/* Module/load.scm 15 */
				obj_t BgL_cportz00_799;

				BgL_cportz00_799 =
					bgl_open_input_string(BGl_string1467z00zzmodule_loadz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_800;

					BgL_iz00_800 = ((long) 0);
				BgL_loopz00_801:
					if ((BgL_iz00_800 == ((long) -1)))
						{	/* Module/load.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Module/load.scm 15 */
							{	/* Module/load.scm 15 */
								obj_t BgL_arg1470z00_803;

								{	/* Module/load.scm 15 */

									{	/* Module/load.scm 15 */
										obj_t BgL_locationz00_805;

										BgL_locationz00_805 = BBOOL(((bool_t) 0));
										{	/* Module/load.scm 15 */

											BgL_arg1470z00_803 =
												BGl_readz00zz__readerz00(BgL_cportz00_799,
												BgL_locationz00_805);
										}
									}
								}
								{	/* Module/load.scm 15 */
									int BgL_auxz00_829;

									BgL_auxz00_829 = (int) (BgL_iz00_800);
									CNST_TABLE_SET(BgL_auxz00_829, BgL_arg1470z00_803);
							}}
							{	/* Module/load.scm 15 */
								int BgL_auxz00_806;

								BgL_auxz00_806 = (int) ((BgL_iz00_800 - ((long) 1)));
								{
									long BgL_iz00_834;

									BgL_iz00_834 = (long) (BgL_auxz00_806);
									BgL_iz00_800 = BgL_iz00_834;
									goto BgL_loopz00_801;
								}
							}
						}
				}
			}
		}
	}



/* make-load-compiler */
	BGL_EXPORTED_DEF obj_t BGl_makezd2loadzd2compilerz00zzmodule_loadz00()
	{
		AN_OBJECT;
		{	/* Module/load.scm 30 */
			{	/* Module/load.scm 31 */
				BgL_ccompz00_bglt BgL_new1060z00_422;

				{	/* Module/load.scm 31 */
					BgL_ccompz00_bglt BgL_new1059z00_427;

					BgL_new1059z00_427 =
						((BgL_ccompz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ccompz00_bgl))));
					{	/* Module/load.scm 31 */
						long BgL_arg1310z00_428;

						{	/* Module/load.scm 31 */
							long BgL_res1441z00_734;

							BgL_res1441z00_734 =
								BGL_CLASS_INDEX(BGl_ccompz00zzmodule_modulez00);
							BgL_arg1310z00_428 = BgL_res1441z00_734;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1059z00_427), BgL_arg1310z00_428);
					}
					{	/* Module/load.scm 31 */
						BgL_objectz00_bglt BgL_auxz00_840;

						BgL_auxz00_840 = ((BgL_objectz00_bglt) BgL_new1059z00_427);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_840, BFALSE);
					}
					BgL_new1060z00_422 = BgL_new1059z00_427;
				}
				((((BgL_ccompz00_bglt) CREF(BgL_new1060z00_422))->BgL_idz00) = ((obj_t)
						CNST_TABLE_REF(((long) 0))), BUNSPEC);
				((((BgL_ccompz00_bglt) CREF(BgL_new1060z00_422))->BgL_producerz00) =
					((obj_t) BGl_loadzd2producerzd2envz00zzmodule_loadz00), BUNSPEC);
				{
					obj_t BgL_auxz00_846;

					{	/* Module/load.scm 32 */
						obj_t BgL_arg1298z00_423;

						{	/* Module/load.scm 32 */
							obj_t BgL_arg1307z00_424;

							{	/* Module/load.scm 32 */
								obj_t BgL_res1442z00_738;

								{	/* Module/load.scm 32 */
									obj_t BgL_classz00_737;

									BgL_classz00_737 = BGl_ccompz00zzmodule_modulez00;
									BgL_res1442z00_738 = BGL_CLASS_ALL_FIELDS(BgL_classz00_737);
								}
								BgL_arg1307z00_424 = BgL_res1442z00_738;
							}
							{	/* Module/load.scm 32 */
								int BgL_kz00_740;

								BgL_kz00_740 = (int) (((long) 2));
								BgL_arg1298z00_423 =
									VECTOR_REF(BgL_arg1307z00_424, BgL_kz00_740);
						}}
						BgL_auxz00_846 =
							BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00
							(BgL_arg1298z00_423);
					}
					((((BgL_ccompz00_bglt) CREF(BgL_new1060z00_422))->BgL_consumerz00) =
						((obj_t) BgL_auxz00_846), BUNSPEC);
				}
				{
					obj_t BgL_auxz00_852;

					{	/* Module/load.scm 32 */
						obj_t BgL_arg1308z00_425;

						{	/* Module/load.scm 32 */
							obj_t BgL_arg1309z00_426;

							{	/* Module/load.scm 32 */
								obj_t BgL_res1443z00_742;

								{	/* Module/load.scm 32 */
									obj_t BgL_classz00_741;

									BgL_classz00_741 = BGl_ccompz00zzmodule_modulez00;
									BgL_res1443z00_742 = BGL_CLASS_ALL_FIELDS(BgL_classz00_741);
								}
								BgL_arg1309z00_426 = BgL_res1443z00_742;
							}
							{	/* Module/load.scm 32 */
								int BgL_kz00_744;

								BgL_kz00_744 = (int) (((long) 3));
								BgL_arg1308z00_425 =
									VECTOR_REF(BgL_arg1309z00_426, BgL_kz00_744);
						}}
						BgL_auxz00_852 =
							BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00
							(BgL_arg1308z00_425);
					}
					((((BgL_ccompz00_bglt) CREF(BgL_new1060z00_422))->
							BgL_finaliza7erza7) = ((obj_t) BgL_auxz00_852), BUNSPEC);
				}
				return ((obj_t) BgL_new1060z00_422);
			}
		}
	}



/* &make-load-compiler */
	obj_t BGl_z62makezd2loadzd2compilerz62zzmodule_loadz00(obj_t BgL_envz00_796)
	{
		AN_OBJECT;
		{	/* Module/load.scm 30 */
			return BGl_makezd2loadzd2compilerz00zzmodule_loadz00();
		}
	}



/* load-producer */
	obj_t BGl_loadzd2producerzd2zzmodule_loadz00(obj_t BgL_clausez00_3)
	{
		AN_OBJECT;
		{	/* Module/load.scm 37 */
			{
				obj_t BgL_protosz00_429;

				if (PAIRP(BgL_clausez00_3))
					{	/* Module/load.scm 38 */
						obj_t BgL_arg1312z00_434;

						BgL_arg1312z00_434 = CDR(BgL_clausez00_3);
						{	/* Module/load.scm 38 */
							bool_t BgL_auxz00_863;

							BgL_protosz00_429 = BgL_arg1312z00_434;
							{
								obj_t BgL_l1286z00_436;

								BgL_l1286z00_436 = BgL_protosz00_429;
							BgL_zc3anonymousza31313ze3z83_437:
								if (PAIRP(BgL_l1286z00_436))
									{	/* Module/load.scm 40 */
										BGl_loadzd2parserzd2zzmodule_loadz00(CAR(BgL_l1286z00_436),
											BgL_clausez00_3);
										{
											obj_t BgL_l1286z00_868;

											BgL_l1286z00_868 = CDR(BgL_l1286z00_436);
											BgL_l1286z00_436 = BgL_l1286z00_868;
											goto BgL_zc3anonymousza31313ze3z83_437;
										}
									}
								else
									{	/* Module/load.scm 40 */
										BgL_auxz00_863 = ((bool_t) 1);
									}
							}
							return BBOOL(BgL_auxz00_863);
						}
					}
				else
					{	/* Module/load.scm 38 */
						{	/* Module/load.scm 42 */
							obj_t BgL_list1316z00_442;

							BgL_list1316z00_442 = MAKE_PAIR(BNIL, BNIL);
							return
								BGl_userzd2errorzd2zztools_errorz00
								(BGl_string1461z00zzmodule_loadz00,
								BGl_string1462z00zzmodule_loadz00, BgL_clausez00_3,
								BgL_list1316z00_442);
						}
					}
			}
		}
	}



/* &load-producer */
	obj_t BGl_z62loadzd2producerzb0zzmodule_loadz00(obj_t BgL_envz00_797,
		obj_t BgL_clausez00_798)
	{
		AN_OBJECT;
		{	/* Module/load.scm 37 */
			return BGl_loadzd2producerzd2zzmodule_loadz00(BgL_clausez00_798);
		}
	}



/* load-parser */
	obj_t BGl_loadzd2parserzd2zzmodule_loadz00(obj_t BgL_protoz00_4,
		obj_t BgL_clausez00_5)
	{
		AN_OBJECT;
		{	/* Module/load.scm 50 */
			{
				obj_t BgL_modulez00_443;
				obj_t BgL_filez00_444;
				obj_t BgL_filesz00_445;

				if (PAIRP(BgL_protoz00_4))
					{	/* Module/load.scm 51 */
						obj_t BgL_carzd2119zd2_451;
						obj_t BgL_cdrzd2120zd2_452;

						BgL_carzd2119zd2_451 = CAR(BgL_protoz00_4);
						BgL_cdrzd2120zd2_452 = CDR(BgL_protoz00_4);
						if (SYMBOLP(BgL_carzd2119zd2_451))
							{	/* Module/load.scm 51 */
								if (PAIRP(BgL_cdrzd2120zd2_452))
									{	/* Module/load.scm 51 */
										obj_t BgL_carzd2125zd2_455;

										BgL_carzd2125zd2_455 = CAR(BgL_cdrzd2120zd2_452);
										if (STRINGP(BgL_carzd2125zd2_455))
											{	/* Module/load.scm 51 */
												BgL_modulez00_443 = BgL_carzd2119zd2_451;
												BgL_filez00_444 = BgL_carzd2125zd2_455;
												BgL_filesz00_445 = CDR(BgL_cdrzd2120zd2_452);
												{
													obj_t BgL_fz00_463;

													BgL_fz00_463 = BgL_filesz00_445;
												BgL_zc3anonymousza31347ze3z83_464:
													if (NULLP(BgL_fz00_463))
														{	/* Module/load.scm 56 */
															obj_t BgL_arg1349z00_466;

															BgL_arg1349z00_466 =
																MAKE_PAIR(BgL_filez00_444, BgL_filesz00_445);
															return
																BGl_loadzd2modulezd2zzread_loadz00
																(BgL_modulez00_443, BgL_arg1349z00_466);
														}
													else
														{	/* Module/load.scm 57 */
															bool_t BgL_testz00_889;

															{	/* Module/load.scm 57 */
																obj_t BgL_auxz00_890;

																BgL_auxz00_890 = CAR(BgL_fz00_463);
																BgL_testz00_889 = STRINGP(BgL_auxz00_890);
															}
															if (BgL_testz00_889)
																{
																	obj_t BgL_fz00_893;

																	BgL_fz00_893 = CDR(BgL_fz00_463);
																	BgL_fz00_463 = BgL_fz00_893;
																	goto BgL_zc3anonymousza31347ze3z83_464;
																}
															else
																{	/* Module/load.scm 58 */
																	obj_t BgL_list1365z00_469;

																	BgL_list1365z00_469 = MAKE_PAIR(BNIL, BNIL);
																	return
																		BGl_userzd2errorzd2zztools_errorz00
																		(BGl_string1461z00zzmodule_loadz00,
																		BGl_string1463z00zzmodule_loadz00,
																		BgL_clausez00_5, BgL_list1365z00_469);
																}
														}
												}
											}
										else
											{	/* Module/load.scm 51 */
											BgL_tagzd2111zd2_448:
												{	/* Module/load.scm 68 */
													obj_t BgL_list1394z00_493;

													BgL_list1394z00_493 = MAKE_PAIR(BNIL, BNIL);
													return
														BGl_userzd2errorzd2zztools_errorz00
														(BGl_string1461z00zzmodule_loadz00,
														BGl_string1463z00zzmodule_loadz00, BgL_clausez00_5,
														BgL_list1394z00_493);
												}
											}
									}
								else
									{	/* Module/load.scm 51 */
										goto BgL_tagzd2111zd2_448;
									}
							}
						else
							{	/* Module/load.scm 51 */
								goto BgL_tagzd2111zd2_448;
							}
					}
				else
					{	/* Module/load.scm 51 */
						if (SYMBOLP(BgL_protoz00_4))
							{	/* Module/load.scm 51 */
								{	/* Module/load.scm 62 */
									obj_t BgL_abasez00_472;

									{	/* Module/load.scm 62 */
										obj_t BgL_l1288z00_477;

										BgL_l1288z00_477 =
											BGl_za2accesszd2filesza2zd2zzengine_paramz00;
										if (NULLP(BgL_l1288z00_477))
											{	/* Module/load.scm 62 */
												BgL_abasez00_472 = BNIL;
											}
										else
											{	/* Module/load.scm 62 */
												obj_t BgL_head1290z00_479;

												{	/* Module/load.scm 62 */
													obj_t BgL_arg1389z00_491;

													BgL_arg1389z00_491 =
														BGl_dirnamez00zz__osz00(CAR(BgL_l1288z00_477));
													{	/* Module/load.scm 62 */
														obj_t BgL_res1449z00_763;

														BgL_res1449z00_763 =
															MAKE_PAIR(BgL_arg1389z00_491, BNIL);
														BgL_head1290z00_479 = BgL_res1449z00_763;
													}
												}
												{	/* Module/load.scm 62 */
													obj_t BgL_g1293z00_480;

													BgL_g1293z00_480 = CDR(BgL_l1288z00_477);
													{
														obj_t BgL_l1288z00_482;
														obj_t BgL_tail1291z00_483;

														BgL_l1288z00_482 = BgL_g1293z00_480;
														BgL_tail1291z00_483 = BgL_head1290z00_479;
													BgL_zc3anonymousza31376ze3z83_484:
														if (NULLP(BgL_l1288z00_482))
															{	/* Module/load.scm 62 */
																BgL_abasez00_472 = BgL_head1290z00_479;
															}
														else
															{	/* Module/load.scm 62 */
																obj_t BgL_newtail1292z00_486;

																{	/* Module/load.scm 62 */
																	obj_t BgL_arg1382z00_488;

																	BgL_arg1382z00_488 =
																		BGl_dirnamez00zz__osz00(CAR
																		(BgL_l1288z00_482));
																	{	/* Module/load.scm 62 */
																		obj_t BgL_res1451z00_770;

																		BgL_res1451z00_770 =
																			MAKE_PAIR(BgL_arg1382z00_488, BNIL);
																		BgL_newtail1292z00_486 = BgL_res1451z00_770;
																	}
																}
																SET_CDR(BgL_tail1291z00_483,
																	BgL_newtail1292z00_486);
																{
																	obj_t BgL_tail1291z00_916;
																	obj_t BgL_l1288z00_914;

																	BgL_l1288z00_914 = CDR(BgL_l1288z00_482);
																	BgL_tail1291z00_916 = BgL_newtail1292z00_486;
																	BgL_tail1291z00_483 = BgL_tail1291z00_916;
																	BgL_l1288z00_482 = BgL_l1288z00_914;
																	goto BgL_zc3anonymousza31376ze3z83_484;
																}
															}
													}
												}
											}
									}
									{	/* Module/load.scm 62 */
										obj_t BgL_bz00_473;

										{	/* Module/load.scm 63 */
											obj_t BgL_fun1374z00_476;

											BgL_fun1374z00_476 =
												BGl_bigloozd2modulezd2resolverz00zz__modulez00();
											BgL_bz00_473 =
												PROCEDURE_ENTRY(BgL_fun1374z00_476) (BgL_fun1374z00_476,
												BgL_protoz00_4, BNIL, BgL_abasez00_472, BEOA);
										}
										{	/* Module/load.scm 63 */

											if (PAIRP(BgL_bz00_473))
												{	/* Module/load.scm 64 */
													return
														BGl_loadzd2modulezd2zzread_loadz00(BgL_protoz00_4,
														BgL_bz00_473);
												}
											else
												{	/* Module/load.scm 64 */
													return
														BGl_userzd2errorzd2zztools_errorz00
														(BGl_string1464z00zzmodule_loadz00,
														BGl_string1465z00zzmodule_loadz00, BgL_protoz00_4,
														BNIL);
												}
										}
									}
								}
							}
						else
							{	/* Module/load.scm 51 */
								goto BgL_tagzd2111zd2_448;
							}
					}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzmodule_loadz00()
	{
		AN_OBJECT;
		{	/* Module/load.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzmodule_loadz00()
	{
		AN_OBJECT;
		{	/* Module/load.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzmodule_loadz00()
	{
		AN_OBJECT;
		{	/* Module/load.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzmodule_loadz00()
	{
		AN_OBJECT;
		{	/* Module/load.scm 15 */
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string1466z00zzmodule_loadz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 328744326),
				BSTRING_TO_STRING(BGl_string1466z00zzmodule_loadz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1466z00zzmodule_loadz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1466z00zzmodule_loadz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1466z00zzmodule_loadz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string1466z00zzmodule_loadz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string1466z00zzmodule_loadz00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1466z00zzmodule_loadz00));
			return
				BGl_modulezd2initializa7ationz75zzread_loadz00(((long) 52515292),
				BSTRING_TO_STRING(BGl_string1466z00zzmodule_loadz00));
		}
	}

#ifdef __cplusplus
}
#endif
