/*===========================================================================*/
/*   (Object/predicate.scm)                                                  */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Object/predicate.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_jclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		obj_t BgL_packagez00;
	}                *BgL_jclassz00_bglt;


	static obj_t BGl_requirezd2initializa7ationz75zzobject_predicatez00 = BUNSPEC;
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	extern obj_t BGl_tclassz00zzobject_classz00;
	extern obj_t BGl_epairifyza2za2zztools_miscz00(obj_t, obj_t);
	extern obj_t BGl_za2passza2z00zzengine_paramz00;
	static obj_t BGl_genericzd2initzd2zzobject_predicatez00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_genzd2classzd2predz12z12zzobject_predicatez00(BgL_typez00_bglt, obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzobject_predicatez00();
	static obj_t BGl_z62genzd2classzd2predz12z70zzobject_predicatez00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_importzd2javazd2classzd2predz12zc0zzobject_predicatez00
		(BgL_typez00_bglt, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzobject_predicatez00();
	static obj_t BGl_z62importzd2classzd2predz12z70zzobject_predicatez00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	static obj_t
		BGl_genzd2javazd2classzd2predz12zc0zzobject_predicatez00(BgL_typez00_bglt,
		obj_t, obj_t);
	static bool_t BGl_inlinezd2predzf3z21zzobject_predicatez00();
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	extern obj_t BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzobject_predicatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_impusez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_za2profilezd2modeza2zd2zzengine_paramz00;
	BGL_IMPORT bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
	extern obj_t BGl_makezd2privatezd2sexpz00zzast_privatez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_importzd2parserzd2zzmodule_impusez00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zzobject_predicatez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzobject_predicatez00();
	static obj_t BGl_importedzd2moduleszd2initz00zzobject_predicatez00();
	static obj_t
		BGl_z62importzd2javazd2classzd2predz12za2zzobject_predicatez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_importzd2classzd2predz12z12zzobject_predicatez00(BgL_typez00_bglt,
		obj_t, obj_t);
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t __cnst[20];


	   
		 
		DEFINE_STRING(BGl_string1858z00zzobject_predicatez00,
		BgL_bgl_string1858za700za7za7o1862za7, "object_predicate", 16);
	      DEFINE_STRING(BGl_string1859z00zzobject_predicatez00,
		BgL_bgl_string1859za700za7za7o1863za7,
		"export instanceof static define define-inline pragma no-cfa-top effect predicate-of inline ::obj super super- @ isa? __object obj ?::bool ? (make-heap make-add-heap) ",
		166);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_importzd2classzd2predz12zd2envzc0zzobject_predicatez00,
		BgL_bgl_za762importza7d2clas1864z00,
		BGl_z62importzd2classzd2predz12z70zzobject_predicatez00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genzd2classzd2predz12zd2envzc0zzobject_predicatez00,
		BgL_bgl_za762genza7d2classza7d1865za7,
		BGl_z62genzd2classzd2predz12z70zzobject_predicatez00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_importzd2javazd2classzd2predz12zd2envz12zzobject_predicatez00,
		BgL_bgl_za762importza7d2java1866z00,
		BGl_z62importzd2javazd2classzd2predz12za2zzobject_predicatez00, 0L, BUNSPEC,
		3);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzobject_predicatez00(long
		BgL_checksumz00_1363, char *BgL_fromz00_1364)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzobject_predicatez00))
				{
					BGl_requirezd2initializa7ationz75zzobject_predicatez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzobject_predicatez00();
					BGl_cnstzd2initzd2zzobject_predicatez00();
					BGl_importedzd2moduleszd2initz00zzobject_predicatez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzobject_predicatez00()
	{
		AN_OBJECT;
		{	/* Object/predicate.scm 21 */
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"object_predicate");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"object_predicate");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"object_predicate");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"object_predicate");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"object_predicate");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"object_predicate");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"object_predicate");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzobject_predicatez00()
	{
		AN_OBJECT;
		{	/* Object/predicate.scm 21 */
			{	/* Object/predicate.scm 21 */
				obj_t BgL_cportz00_1355;

				BgL_cportz00_1355 =
					bgl_open_input_string(BGl_string1859z00zzobject_predicatez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1356;

					BgL_iz00_1356 = ((long) 19);
				BgL_loopz00_1357:
					if ((BgL_iz00_1356 == ((long) -1)))
						{	/* Object/predicate.scm 21 */
							return BUNSPEC;
						}
					else
						{	/* Object/predicate.scm 21 */
							{	/* Object/predicate.scm 21 */
								obj_t BgL_arg1861z00_1359;

								{	/* Object/predicate.scm 21 */

									{	/* Object/predicate.scm 21 */
										obj_t BgL_locationz00_1361;

										BgL_locationz00_1361 = BBOOL(((bool_t) 0));
										{	/* Object/predicate.scm 21 */

											BgL_arg1861z00_1359 =
												BGl_readz00zz__readerz00(BgL_cportz00_1355,
												BgL_locationz00_1361);
										}
									}
								}
								{	/* Object/predicate.scm 21 */
									int BgL_auxz00_1384;

									BgL_auxz00_1384 = (int) (BgL_iz00_1356);
									CNST_TABLE_SET(BgL_auxz00_1384, BgL_arg1861z00_1359);
							}}
							{	/* Object/predicate.scm 21 */
								int BgL_auxz00_1362;

								BgL_auxz00_1362 = (int) ((BgL_iz00_1356 - ((long) 1)));
								{
									long BgL_iz00_1389;

									BgL_iz00_1389 = (long) (BgL_auxz00_1362);
									BgL_iz00_1356 = BgL_iz00_1389;
									goto BgL_loopz00_1357;
								}
							}
						}
				}
			}
		}
	}



/* inline-pred? */
	bool_t BGl_inlinezd2predzf3z21zzobject_predicatez00()
	{
		AN_OBJECT;
		{	/* Object/predicate.scm 48 */
			{	/* Object/predicate.scm 49 */
				bool_t BgL_testz00_1391;

				{	/* Object/predicate.scm 49 */
					bool_t BgL__ortest_1074z00_687;

					if (BGl_numberzf3zf3zz__r4_numbers_6_5z00
						(BGl_za2profilezd2modeza2zd2zzengine_paramz00))
						{	/* Object/predicate.scm 49 */
							BgL__ortest_1074z00_687 = ((bool_t) 0);
						}
					else
						{	/* Object/predicate.scm 49 */
							BgL__ortest_1074z00_687 = ((bool_t) 1);
						}
					if (BgL__ortest_1074z00_687)
						{	/* Object/predicate.scm 49 */
							BgL_testz00_1391 = BgL__ortest_1074z00_687;
						}
					else
						{	/* Object/predicate.scm 49 */
							BgL_testz00_1391 =
								(
								(long) CINT(BGl_za2profilezd2modeza2zd2zzengine_paramz00) <
								((long) 1));
				}}
				if (BgL_testz00_1391)
					{	/* Object/predicate.scm 49 */
						if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
								(BGl_za2passza2z00zzengine_paramz00,
									CNST_TABLE_REF(((long) 0)))))
							{	/* Object/predicate.scm 51 */
								return ((bool_t) 0);
							}
						else
							{	/* Object/predicate.scm 51 */
								return ((bool_t) 1);
							}
					}
				else
					{	/* Object/predicate.scm 49 */
						return ((bool_t) 0);
					}
			}
		}
	}



/* gen-class-pred! */
	BGL_EXPORTED_DEF obj_t
		BGl_genzd2classzd2predz12z12zzobject_predicatez00(BgL_typez00_bglt
		BgL_classz00_3, obj_t BgL_srczd2defzd2_4, obj_t BgL_importz00_5)
	{
		AN_OBJECT;
		{	/* Object/predicate.scm 59 */
			{	/* Object/predicate.scm 60 */
				obj_t BgL_idz00_689;

				BgL_idz00_689 =
					(((BgL_typez00_bglt) CREF(
							((BgL_typez00_bglt) BgL_classz00_3)))->BgL_idz00);
				{	/* Object/predicate.scm 60 */
					obj_t BgL_idzf3zf3_690;

					{	/* Object/predicate.scm 61 */
						obj_t BgL_arg1613z00_749;

						{	/* Object/predicate.scm 61 */
							obj_t BgL_arg1614z00_750;
							obj_t BgL_arg1625z00_751;

							{	/* Object/predicate.scm 61 */
								obj_t BgL_res1817z00_1219;

								{	/* Object/predicate.scm 61 */
									obj_t BgL_arg1265z00_1218;

									BgL_arg1265z00_1218 = SYMBOL_TO_STRING(BgL_idz00_689);
									BgL_res1817z00_1219 =
										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
										(BgL_arg1265z00_1218);
								}
								BgL_arg1614z00_750 = BgL_res1817z00_1219;
							}
							{	/* Object/predicate.scm 61 */
								obj_t BgL_res1818z00_1222;

								{	/* Object/predicate.scm 61 */
									obj_t BgL_symbolz00_1220;

									BgL_symbolz00_1220 = CNST_TABLE_REF(((long) 1));
									{	/* Object/predicate.scm 61 */
										obj_t BgL_arg1265z00_1221;

										BgL_arg1265z00_1221 = SYMBOL_TO_STRING(BgL_symbolz00_1220);
										BgL_res1818z00_1222 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg1265z00_1221);
								}}
								BgL_arg1625z00_751 = BgL_res1818z00_1222;
							}
							BgL_arg1613z00_749 =
								string_append(BgL_arg1614z00_750, BgL_arg1625z00_751);
						}
						BgL_idzf3zf3_690 = bstring_to_symbol(BgL_arg1613z00_749);
					}
					{	/* Object/predicate.scm 61 */
						obj_t BgL_predzd2idzd2_691;

						{	/* Object/predicate.scm 62 */
							obj_t BgL_arg1606z00_746;

							{	/* Object/predicate.scm 62 */
								obj_t BgL_arg1611z00_747;
								obj_t BgL_arg1612z00_748;

								{	/* Object/predicate.scm 62 */
									obj_t BgL_res1820z00_1227;

									{	/* Object/predicate.scm 62 */
										obj_t BgL_arg1265z00_1226;

										BgL_arg1265z00_1226 = SYMBOL_TO_STRING(BgL_idz00_689);
										BgL_res1820z00_1227 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg1265z00_1226);
									}
									BgL_arg1611z00_747 = BgL_res1820z00_1227;
								}
								{	/* Object/predicate.scm 62 */
									obj_t BgL_res1821z00_1230;

									{	/* Object/predicate.scm 62 */
										obj_t BgL_symbolz00_1228;

										BgL_symbolz00_1228 = CNST_TABLE_REF(((long) 2));
										{	/* Object/predicate.scm 62 */
											obj_t BgL_arg1265z00_1229;

											BgL_arg1265z00_1229 =
												SYMBOL_TO_STRING(BgL_symbolz00_1228);
											BgL_res1821z00_1230 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1265z00_1229);
									}}
									BgL_arg1612z00_748 = BgL_res1821z00_1230;
								}
								BgL_arg1606z00_746 =
									string_append(BgL_arg1611z00_747, BgL_arg1612z00_748);
							}
							BgL_predzd2idzd2_691 = bstring_to_symbol(BgL_arg1606z00_746);
						}
						{	/* Object/predicate.scm 62 */
							BgL_globalz00_bglt BgL_holderz00_692;

							{
								BgL_tclassz00_bglt BgL_auxz00_1417;

								{
									obj_t BgL_auxz00_1418;

									{	/* Object/predicate.scm 63 */
										BgL_objectz00_bglt BgL_auxz00_1419;

										BgL_auxz00_1419 = ((BgL_objectz00_bglt) BgL_classz00_3);
										BgL_auxz00_1418 = BGL_OBJECT_WIDENING(BgL_auxz00_1419);
									}
									BgL_auxz00_1417 = ((BgL_tclassz00_bglt) BgL_auxz00_1418);
								}
								BgL_holderz00_692 =
									(((BgL_tclassz00_bglt) CREF(BgL_auxz00_1417))->BgL_holderz00);
							}
							{	/* Object/predicate.scm 63 */
								obj_t BgL_objz00_693;

								BgL_objz00_693 =
									BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
									(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
												3))));
								{	/* Object/predicate.scm 64 */
									obj_t BgL_superz00_694;

									{
										BgL_tclassz00_bglt BgL_auxz00_1427;

										{
											obj_t BgL_auxz00_1428;

											{	/* Object/predicate.scm 65 */
												BgL_objectz00_bglt BgL_auxz00_1429;

												BgL_auxz00_1429 = ((BgL_objectz00_bglt) BgL_classz00_3);
												BgL_auxz00_1428 = BGL_OBJECT_WIDENING(BgL_auxz00_1429);
											}
											BgL_auxz00_1427 = ((BgL_tclassz00_bglt) BgL_auxz00_1428);
										}
										BgL_superz00_694 =
											(((BgL_tclassz00_bglt) CREF(BgL_auxz00_1427))->
											BgL_itszd2superzd2);
									}
									{	/* Object/predicate.scm 65 */

										{

											if (BGl_isazf3zf3zz__objectz00(BgL_superz00_694,
													BGl_tclassz00zzobject_classz00))
												{	/* Object/predicate.scm 72 */
													obj_t BgL_superzd2predzd2idz00_697;
													obj_t BgL_superzd2typedzd2_698;

													{	/* Object/predicate.scm 72 */
														obj_t BgL_arg1551z00_729;

														{	/* Object/predicate.scm 72 */
															obj_t BgL_arg1556z00_730;
															obj_t BgL_arg1559z00_731;

															{	/* Object/predicate.scm 72 */
																obj_t BgL_res1827z00_1248;

																{	/* Object/predicate.scm 72 */
																	obj_t BgL_symbolz00_1246;

																	BgL_symbolz00_1246 =
																		CNST_TABLE_REF(((long) 7));
																	{	/* Object/predicate.scm 72 */
																		obj_t BgL_arg1265z00_1247;

																		BgL_arg1265z00_1247 =
																			SYMBOL_TO_STRING(BgL_symbolz00_1246);
																		BgL_res1827z00_1248 =
																			BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																			(BgL_arg1265z00_1247);
																}}
																BgL_arg1556z00_730 = BgL_res1827z00_1248;
															}
															{	/* Object/predicate.scm 72 */
																obj_t BgL_res1828z00_1251;

																{	/* Object/predicate.scm 72 */
																	obj_t BgL_arg1265z00_1250;

																	BgL_arg1265z00_1250 =
																		SYMBOL_TO_STRING(BgL_predzd2idzd2_691);
																	BgL_res1828z00_1251 =
																		BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																		(BgL_arg1265z00_1250);
																}
																BgL_arg1559z00_731 = BgL_res1828z00_1251;
															}
															BgL_arg1551z00_729 =
																string_append(BgL_arg1556z00_730,
																BgL_arg1559z00_731);
														}
														BgL_superzd2predzd2idz00_697 =
															bstring_to_symbol(BgL_arg1551z00_729);
													}
													{	/* Object/predicate.scm 73 */
														obj_t BgL_arg1562z00_732;

														BgL_arg1562z00_732 =
															(((BgL_typez00_bglt) CREF(
																	((BgL_typez00_bglt)
																		((BgL_typez00_bglt) BgL_superz00_694))))->
															BgL_idz00);
														BgL_superzd2typedzd2_698 =
															BGl_makezd2typedzd2identz00zzast_identz00
															(CNST_TABLE_REF(((long) 8)), BgL_arg1562z00_732);
													}
													{	/* Object/predicate.scm 76 */
														obj_t BgL_arg1453z00_699;

														if (BGl_inlinezd2predzf3z21zzobject_predicatez00())
															{	/* Object/predicate.scm 77 */
																obj_t BgL_arg1461z00_701;

																{	/* Object/predicate.scm 77 */
																	obj_t BgL_arg1463z00_702;

																	{	/* Object/predicate.scm 77 */
																		obj_t BgL_arg1466z00_703;

																		{	/* Object/predicate.scm 77 */
																			obj_t BgL_arg1470z00_704;

																			BgL_arg1470z00_704 =
																				MAKE_PAIR(CNST_TABLE_REF(((long) 9)),
																				BNIL);
																			BgL_arg1466z00_703 =
																				MAKE_PAIR(BgL_predzd2idzd2_691,
																				BgL_arg1470z00_704);
																		}
																		BgL_arg1463z00_702 =
																			MAKE_PAIR(CNST_TABLE_REF(((long) 10)),
																			BgL_arg1466z00_703);
																	}
																	BgL_arg1461z00_701 =
																		MAKE_PAIR(BgL_arg1463z00_702, BNIL);
																}
																BgL_arg1453z00_699 =
																	MAKE_PAIR(BgL_importz00_5,
																	BgL_arg1461z00_701);
															}
														else
															{	/* Object/predicate.scm 78 */
																obj_t BgL_arg1471z00_705;

																{	/* Object/predicate.scm 78 */
																	obj_t BgL_arg1474z00_706;

																	{	/* Object/predicate.scm 78 */
																		obj_t BgL_arg1477z00_707;

																		BgL_arg1477z00_707 =
																			MAKE_PAIR(CNST_TABLE_REF(((long) 9)),
																			BNIL);
																		BgL_arg1474z00_706 =
																			MAKE_PAIR(BgL_predzd2idzd2_691,
																			BgL_arg1477z00_707);
																	}
																	BgL_arg1471z00_705 =
																		MAKE_PAIR(BgL_arg1474z00_706, BNIL);
																}
																BgL_arg1453z00_699 =
																	MAKE_PAIR(BgL_importz00_5,
																	BgL_arg1471z00_705);
															}
														BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
															(BgL_arg1453z00_699);
													}
													{	/* Object/predicate.scm 80 */
														obj_t BgL_arg1478z00_708;

														{	/* Object/predicate.scm 80 */
															obj_t BgL_arg1486z00_709;

															{	/* Object/predicate.scm 80 */
																obj_t BgL_arg1487z00_710;

																{	/* Object/predicate.scm 80 */
																	obj_t BgL_arg1490z00_711;

																	{	/* Object/predicate.scm 80 */
																		obj_t BgL_arg1499z00_712;
																		obj_t BgL_arg1505z00_713;

																		{	/* Object/predicate.scm 80 */
																			obj_t BgL_arg1512z00_714;

																			{	/* Object/predicate.scm 80 */
																				obj_t BgL_arg1513z00_715;

																				BgL_arg1513z00_715 =
																					(((BgL_typez00_bglt) CREF(
																							((BgL_typez00_bglt)
																								BgL_classz00_3)))->BgL_idz00);
																				BgL_arg1512z00_714 =
																					MAKE_PAIR(BgL_arg1513z00_715, BNIL);
																			}
																			BgL_arg1499z00_712 =
																				MAKE_PAIR(CNST_TABLE_REF(((long) 11)),
																				BgL_arg1512z00_714);
																		}
																		{	/* Object/predicate.scm 81 */
																			obj_t BgL_arg1516z00_716;

																			{	/* Object/predicate.scm 81 */
																				obj_t BgL_arg1517z00_717;

																				BgL_arg1517z00_717 =
																					MAKE_PAIR(CNST_TABLE_REF(((long) 12)),
																					BNIL);
																				BgL_arg1516z00_716 =
																					MAKE_PAIR(BgL_arg1517z00_717, BNIL);
																			}
																			BgL_arg1505z00_713 =
																				MAKE_PAIR(CNST_TABLE_REF(((long) 13)),
																				BgL_arg1516z00_716);
																		}
																		BgL_arg1490z00_711 =
																			MAKE_PAIR(BgL_arg1499z00_712,
																			BgL_arg1505z00_713);
																	}
																	BgL_arg1487z00_710 =
																		MAKE_PAIR(BgL_idzf3zf3_690,
																		BgL_arg1490z00_711);
																}
																BgL_arg1486z00_709 =
																	MAKE_PAIR(BgL_arg1487z00_710, BNIL);
															}
															BgL_arg1478z00_708 =
																MAKE_PAIR(CNST_TABLE_REF(((long) 14)),
																BgL_arg1486z00_709);
														}
														BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
															(BgL_arg1478z00_708);
													}
													{	/* Object/predicate.scm 84 */
														obj_t BgL_arg1520z00_718;

														{	/* Object/predicate.scm 84 */
															obj_t BgL_arg1525z00_720;

															{	/* Object/predicate.scm 84 */
																obj_t BgL_arg1527z00_722;
																obj_t BgL_arg1539z00_723;

																if (BGl_inlinezd2predzf3z21zzobject_predicatez00
																	())
																	{	/* Object/predicate.scm 84 */
																		BgL_arg1527z00_722 =
																			CNST_TABLE_REF(((long) 15));
																	}
																else
																	{	/* Object/predicate.scm 84 */
																		BgL_arg1527z00_722 =
																			CNST_TABLE_REF(((long) 16));
																	}
																{	/* Object/predicate.scm 85 */
																	obj_t BgL_arg1544z00_725;
																	obj_t BgL_arg1545z00_726;

																	{	/* Object/predicate.scm 85 */
																		obj_t BgL_arg1547z00_727;

																		BgL_arg1547z00_727 =
																			MAKE_PAIR(BgL_objz00_693, BNIL);
																		BgL_arg1544z00_725 =
																			MAKE_PAIR(BgL_predzd2idzd2_691,
																			BgL_arg1547z00_727);
																	}
																	{	/* Object/predicate.scm 84 */
																		obj_t BgL_auxz00_1485;

																		{	/* Object/predicate.scm 67 */
																			obj_t BgL_arg1565z00_734;
																			obj_t BgL_arg1570z00_735;

																			{	/* Object/predicate.scm 67 */
																				obj_t BgL_arg1571z00_736;

																				{	/* Object/predicate.scm 67 */
																					obj_t BgL_arg1574z00_737;

																					BgL_arg1574z00_737 =
																						MAKE_PAIR(CNST_TABLE_REF(((long)
																								4)), BNIL);
																					BgL_arg1571z00_736 =
																						MAKE_PAIR(CNST_TABLE_REF(((long)
																								5)), BgL_arg1574z00_737);
																				}
																				BgL_arg1565z00_734 =
																					MAKE_PAIR(CNST_TABLE_REF(((long) 6)),
																					BgL_arg1571z00_736);
																			}
																			{	/* Object/predicate.scm 67 */
																				obj_t BgL_arg1579z00_738;

																				{	/* Object/predicate.scm 67 */
																					obj_t BgL_arg1582z00_739;

																					{	/* Object/predicate.scm 67 */
																						obj_t BgL_arg1585z00_740;

																						{	/* Object/predicate.scm 67 */
																							obj_t BgL_arg1591z00_741;
																							obj_t BgL_arg1592z00_742;

																							BgL_arg1591z00_741 =
																								(((BgL_variablez00_bglt) CREF(
																										((BgL_variablez00_bglt)
																											BgL_holderz00_692)))->
																								BgL_idz00);
																							BgL_arg1592z00_742 =
																								MAKE_PAIR((((BgL_globalz00_bglt)
																										CREF(BgL_holderz00_692))->
																									BgL_modulez00), BNIL);
																							BgL_arg1585z00_740 =
																								MAKE_PAIR(BgL_arg1591z00_741,
																								BgL_arg1592z00_742);
																						}
																						BgL_arg1582z00_739 =
																							MAKE_PAIR(CNST_TABLE_REF(((long)
																									6)), BgL_arg1585z00_740);
																					}
																					BgL_arg1579z00_738 =
																						MAKE_PAIR(BgL_arg1582z00_739, BNIL);
																				}
																				BgL_arg1570z00_735 =
																					MAKE_PAIR(BgL_objz00_693,
																					BgL_arg1579z00_738);
																			}
																			BgL_auxz00_1485 =
																				MAKE_PAIR(BgL_arg1565z00_734,
																				BgL_arg1570z00_735);
																		}
																		BgL_arg1545z00_726 =
																			MAKE_PAIR(BgL_auxz00_1485, BNIL);
																	}
																	BgL_arg1539z00_723 =
																		MAKE_PAIR(BgL_arg1544z00_725,
																		BgL_arg1545z00_726);
																}
																BgL_arg1525z00_720 =
																	MAKE_PAIR(BgL_arg1527z00_722,
																	BgL_arg1539z00_723);
															}
															{	/* Object/predicate.scm 84 */
																obj_t BgL_list1526z00_721;

																BgL_list1526z00_721 =
																	MAKE_PAIR(BgL_srczd2defzd2_4, BNIL);
																BgL_arg1520z00_718 =
																	BGl_epairifyza2za2zztools_miscz00
																	(BgL_arg1525z00_720, BgL_list1526z00_721);
														}}
														{	/* Object/predicate.scm 83 */
															obj_t BgL_list1521z00_719;

															BgL_list1521z00_719 =
																MAKE_PAIR(BgL_arg1520z00_718, BNIL);
															return BgL_list1521z00_719;
														}
													}
												}
											else
												{	/* Object/predicate.scm 68 */
													return BNIL;
												}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* &gen-class-pred! */
	obj_t BGl_z62genzd2classzd2predz12z70zzobject_predicatez00(obj_t
		BgL_envz00_1343, obj_t BgL_classz00_1344, obj_t BgL_srczd2defzd2_1345,
		obj_t BgL_importz00_1346)
	{
		AN_OBJECT;
		{	/* Object/predicate.scm 59 */
			return
				BGl_genzd2classzd2predz12z12zzobject_predicatez00(
				((BgL_typez00_bglt) BgL_classz00_1344), BgL_srczd2defzd2_1345,
				BgL_importz00_1346);
		}
	}



/* import-class-pred! */
	BGL_EXPORTED_DEF obj_t
		BGl_importzd2classzd2predz12z12zzobject_predicatez00(BgL_typez00_bglt
		BgL_classz00_6, obj_t BgL_srczd2defzd2_7, obj_t BgL_modulez00_8)
	{
		AN_OBJECT;
		{	/* Object/predicate.scm 92 */
			if (BGl_inlinezd2predzf3z21zzobject_predicatez00())
				{	/* Object/predicate.scm 93 */
					return
						BGl_genzd2classzd2predz12z12zzobject_predicatez00(BgL_classz00_6,
						BgL_srczd2defzd2_7, CNST_TABLE_REF(((long) 17)));
				}
			else
				{	/* Object/predicate.scm 97 */
					obj_t BgL_idz00_753;

					BgL_idz00_753 =
						(((BgL_typez00_bglt) CREF(
								((BgL_typez00_bglt) BgL_classz00_6)))->BgL_idz00);
					{	/* Object/predicate.scm 97 */
						obj_t BgL_idzf3zf3_754;

						{	/* Object/predicate.scm 98 */
							obj_t BgL_arg1658z00_765;

							{	/* Object/predicate.scm 98 */
								obj_t BgL_arg1673z00_766;
								obj_t BgL_arg1676z00_767;

								{	/* Object/predicate.scm 98 */
									obj_t BgL_res1834z00_1267;

									{	/* Object/predicate.scm 98 */
										obj_t BgL_arg1265z00_1266;

										BgL_arg1265z00_1266 = SYMBOL_TO_STRING(BgL_idz00_753);
										BgL_res1834z00_1267 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg1265z00_1266);
									}
									BgL_arg1673z00_766 = BgL_res1834z00_1267;
								}
								{	/* Object/predicate.scm 98 */
									obj_t BgL_res1835z00_1270;

									{	/* Object/predicate.scm 98 */
										obj_t BgL_symbolz00_1268;

										BgL_symbolz00_1268 = CNST_TABLE_REF(((long) 1));
										{	/* Object/predicate.scm 98 */
											obj_t BgL_arg1265z00_1269;

											BgL_arg1265z00_1269 =
												SYMBOL_TO_STRING(BgL_symbolz00_1268);
											BgL_res1835z00_1270 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1265z00_1269);
									}}
									BgL_arg1676z00_767 = BgL_res1835z00_1270;
								}
								BgL_arg1658z00_765 =
									string_append(BgL_arg1673z00_766, BgL_arg1676z00_767);
							}
							BgL_idzf3zf3_754 = bstring_to_symbol(BgL_arg1658z00_765);
						}
						{	/* Object/predicate.scm 98 */
							obj_t BgL_predzd2idzd2_755;

							{	/* Object/predicate.scm 99 */
								obj_t BgL_arg1644z00_762;

								{	/* Object/predicate.scm 99 */
									obj_t BgL_arg1655z00_763;
									obj_t BgL_arg1656z00_764;

									{	/* Object/predicate.scm 99 */
										obj_t BgL_res1837z00_1275;

										{	/* Object/predicate.scm 99 */
											obj_t BgL_arg1265z00_1274;

											BgL_arg1265z00_1274 = SYMBOL_TO_STRING(BgL_idz00_753);
											BgL_res1837z00_1275 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1265z00_1274);
										}
										BgL_arg1655z00_763 = BgL_res1837z00_1275;
									}
									{	/* Object/predicate.scm 99 */
										obj_t BgL_res1838z00_1278;

										{	/* Object/predicate.scm 99 */
											obj_t BgL_symbolz00_1276;

											BgL_symbolz00_1276 = CNST_TABLE_REF(((long) 2));
											{	/* Object/predicate.scm 99 */
												obj_t BgL_arg1265z00_1277;

												BgL_arg1265z00_1277 =
													SYMBOL_TO_STRING(BgL_symbolz00_1276);
												BgL_res1838z00_1278 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg1265z00_1277);
										}}
										BgL_arg1656z00_764 = BgL_res1838z00_1278;
									}
									BgL_arg1644z00_762 =
										string_append(BgL_arg1655z00_763, BgL_arg1656z00_764);
								}
								BgL_predzd2idzd2_755 = bstring_to_symbol(BgL_arg1644z00_762);
							}
							{	/* Object/predicate.scm 100 */
								obj_t BgL_superz00_757;

								{
									BgL_tclassz00_bglt BgL_auxz00_1530;

									{
										obj_t BgL_auxz00_1531;

										{	/* Object/predicate.scm 101 */
											BgL_objectz00_bglt BgL_auxz00_1532;

											BgL_auxz00_1532 = ((BgL_objectz00_bglt) BgL_classz00_6);
											BgL_auxz00_1531 = BGL_OBJECT_WIDENING(BgL_auxz00_1532);
										}
										BgL_auxz00_1530 = ((BgL_tclassz00_bglt) BgL_auxz00_1531);
									}
									BgL_superz00_757 =
										(((BgL_tclassz00_bglt) CREF(BgL_auxz00_1530))->
										BgL_itszd2superzd2);
								}
								{	/* Object/predicate.scm 101 */

									if (BGl_isazf3zf3zz__objectz00(BgL_superz00_757,
											BGl_tclassz00zzobject_classz00))
										{	/* Object/predicate.scm 104 */
											obj_t BgL_arg1630z00_759;

											{	/* Object/predicate.scm 104 */
												obj_t BgL_arg1642z00_761;

												BgL_arg1642z00_761 =
													MAKE_PAIR(CNST_TABLE_REF(((long) 9)), BNIL);
												BgL_arg1630z00_759 =
													MAKE_PAIR(BgL_predzd2idzd2_755, BgL_arg1642z00_761);
											}
											BGl_importzd2parserzd2zzmodule_impusez00(BgL_modulez00_8,
												BgL_arg1630z00_759, BFALSE, BNIL);
										}
									else
										{	/* Object/predicate.scm 102 */
											BFALSE;
										}
									return BNIL;
								}
							}
						}
					}
				}
		}
	}



/* &import-class-pred! */
	obj_t BGl_z62importzd2classzd2predz12z70zzobject_predicatez00(obj_t
		BgL_envz00_1347, obj_t BgL_classz00_1348, obj_t BgL_srczd2defzd2_1349,
		obj_t BgL_modulez00_1350)
	{
		AN_OBJECT;
		{	/* Object/predicate.scm 92 */
			return
				BGl_importzd2classzd2predz12z12zzobject_predicatez00(
				((BgL_typez00_bglt) BgL_classz00_1348), BgL_srczd2defzd2_1349,
				BgL_modulez00_1350);
		}
	}



/* gen-java-class-pred! */
	obj_t
		BGl_genzd2javazd2classzd2predz12zc0zzobject_predicatez00(BgL_typez00_bglt
		BgL_classz00_9, obj_t BgL_srczd2defzd2_10, obj_t BgL_mclausez00_11)
	{
		AN_OBJECT;
		{	/* Object/predicate.scm 114 */
			{	/* Object/predicate.scm 115 */
				obj_t BgL_idz00_768;

				BgL_idz00_768 =
					(((BgL_typez00_bglt) CREF(
							((BgL_typez00_bglt) BgL_classz00_9)))->BgL_idz00);
				{	/* Object/predicate.scm 115 */
					obj_t BgL_idzf3zf3_769;

					{	/* Object/predicate.scm 116 */
						obj_t BgL_arg1775z00_807;

						{	/* Object/predicate.scm 116 */
							obj_t BgL_arg1776z00_808;
							obj_t BgL_arg1777z00_809;

							{	/* Object/predicate.scm 116 */
								obj_t BgL_res1843z00_1293;

								{	/* Object/predicate.scm 116 */
									obj_t BgL_arg1265z00_1292;

									BgL_arg1265z00_1292 = SYMBOL_TO_STRING(BgL_idz00_768);
									BgL_res1843z00_1293 =
										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
										(BgL_arg1265z00_1292);
								}
								BgL_arg1776z00_808 = BgL_res1843z00_1293;
							}
							{	/* Object/predicate.scm 116 */
								obj_t BgL_res1844z00_1296;

								{	/* Object/predicate.scm 116 */
									obj_t BgL_symbolz00_1294;

									BgL_symbolz00_1294 = CNST_TABLE_REF(((long) 1));
									{	/* Object/predicate.scm 116 */
										obj_t BgL_arg1265z00_1295;

										BgL_arg1265z00_1295 = SYMBOL_TO_STRING(BgL_symbolz00_1294);
										BgL_res1844z00_1296 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg1265z00_1295);
								}}
								BgL_arg1777z00_809 = BgL_res1844z00_1296;
							}
							BgL_arg1775z00_807 =
								string_append(BgL_arg1776z00_808, BgL_arg1777z00_809);
						}
						BgL_idzf3zf3_769 = bstring_to_symbol(BgL_arg1775z00_807);
					}
					{	/* Object/predicate.scm 116 */
						obj_t BgL_predzd2idzd2_770;

						{	/* Object/predicate.scm 117 */
							obj_t BgL_arg1756z00_804;

							{	/* Object/predicate.scm 117 */
								obj_t BgL_arg1768z00_805;
								obj_t BgL_arg1774z00_806;

								{	/* Object/predicate.scm 117 */
									obj_t BgL_res1846z00_1301;

									{	/* Object/predicate.scm 117 */
										obj_t BgL_arg1265z00_1300;

										BgL_arg1265z00_1300 = SYMBOL_TO_STRING(BgL_idz00_768);
										BgL_res1846z00_1301 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg1265z00_1300);
									}
									BgL_arg1768z00_805 = BgL_res1846z00_1301;
								}
								{	/* Object/predicate.scm 117 */
									obj_t BgL_res1847z00_1304;

									{	/* Object/predicate.scm 117 */
										obj_t BgL_symbolz00_1302;

										BgL_symbolz00_1302 = CNST_TABLE_REF(((long) 2));
										{	/* Object/predicate.scm 117 */
											obj_t BgL_arg1265z00_1303;

											BgL_arg1265z00_1303 =
												SYMBOL_TO_STRING(BgL_symbolz00_1302);
											BgL_res1847z00_1304 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1265z00_1303);
									}}
									BgL_arg1774z00_806 = BgL_res1847z00_1304;
								}
								BgL_arg1756z00_804 =
									string_append(BgL_arg1768z00_805, BgL_arg1774z00_806);
							}
							BgL_predzd2idzd2_770 = bstring_to_symbol(BgL_arg1756z00_804);
						}
						{	/* Object/predicate.scm 117 */
							obj_t BgL_objz00_771;

							BgL_objz00_771 =
								BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
								(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
											3))));
							{	/* Object/predicate.scm 119 */

								{

									{	/* Object/predicate.scm 124 */
										obj_t BgL_arg1681z00_774;

										{	/* Object/predicate.scm 124 */
											obj_t BgL_arg1683z00_775;

											{	/* Object/predicate.scm 124 */
												obj_t BgL_arg1686z00_776;

												{	/* Object/predicate.scm 124 */
													obj_t BgL_arg1691z00_777;

													{	/* Object/predicate.scm 124 */
														obj_t BgL_arg1696z00_778;

														BgL_arg1696z00_778 =
															MAKE_PAIR(CNST_TABLE_REF(((long) 9)), BNIL);
														BgL_arg1691z00_777 =
															MAKE_PAIR(BgL_predzd2idzd2_770,
															BgL_arg1696z00_778);
													}
													BgL_arg1686z00_776 =
														MAKE_PAIR(CNST_TABLE_REF(((long) 10)),
														BgL_arg1691z00_777);
												}
												BgL_arg1683z00_775 =
													MAKE_PAIR(BgL_arg1686z00_776, BNIL);
											}
											BgL_arg1681z00_774 =
												MAKE_PAIR(BgL_mclausez00_11, BgL_arg1683z00_775);
										}
										BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
											(BgL_arg1681z00_774);
									}
									{	/* Object/predicate.scm 126 */
										obj_t BgL_arg1697z00_779;

										{	/* Object/predicate.scm 126 */
											obj_t BgL_arg1699z00_780;

											{	/* Object/predicate.scm 126 */
												obj_t BgL_arg1700z00_781;

												{	/* Object/predicate.scm 126 */
													obj_t BgL_arg1706z00_782;

													{	/* Object/predicate.scm 126 */
														obj_t BgL_arg1707z00_783;
														obj_t BgL_arg1710z00_784;

														{	/* Object/predicate.scm 126 */
															obj_t BgL_arg1717z00_785;

															{	/* Object/predicate.scm 126 */
																obj_t BgL_arg1719z00_786;

																BgL_arg1719z00_786 =
																	(((BgL_typez00_bglt) CREF(
																			((BgL_typez00_bglt) BgL_classz00_9)))->
																	BgL_idz00);
																BgL_arg1717z00_785 =
																	MAKE_PAIR(BgL_arg1719z00_786, BNIL);
															}
															BgL_arg1707z00_783 =
																MAKE_PAIR(CNST_TABLE_REF(((long) 11)),
																BgL_arg1717z00_785);
														}
														{	/* Object/predicate.scm 126 */
															obj_t BgL_arg1720z00_787;

															{	/* Object/predicate.scm 126 */
																obj_t BgL_arg1721z00_788;

																BgL_arg1721z00_788 =
																	MAKE_PAIR(CNST_TABLE_REF(((long) 12)), BNIL);
																BgL_arg1720z00_787 =
																	MAKE_PAIR(BgL_arg1721z00_788, BNIL);
															}
															BgL_arg1710z00_784 =
																MAKE_PAIR(CNST_TABLE_REF(((long) 13)),
																BgL_arg1720z00_787);
														}
														BgL_arg1706z00_782 =
															MAKE_PAIR(BgL_arg1707z00_783, BgL_arg1710z00_784);
													}
													BgL_arg1700z00_781 =
														MAKE_PAIR(BgL_idzf3zf3_769, BgL_arg1706z00_782);
												}
												BgL_arg1699z00_780 =
													MAKE_PAIR(BgL_arg1700z00_781, BNIL);
											}
											BgL_arg1697z00_779 =
												MAKE_PAIR(CNST_TABLE_REF(((long) 14)),
												BgL_arg1699z00_780);
										}
										BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
											(BgL_arg1697z00_779);
									}
									{	/* Object/predicate.scm 129 */
										obj_t BgL_arg1725z00_789;

										{	/* Object/predicate.scm 129 */
											obj_t BgL_arg1727z00_791;

											{	/* Object/predicate.scm 129 */
												obj_t BgL_arg1730z00_793;
												obj_t BgL_arg1731z00_794;

												if (BGl_inlinezd2predzf3z21zzobject_predicatez00())
													{	/* Object/predicate.scm 129 */
														BgL_arg1730z00_793 = CNST_TABLE_REF(((long) 15));
													}
												else
													{	/* Object/predicate.scm 129 */
														BgL_arg1730z00_793 = CNST_TABLE_REF(((long) 16));
													}
												{	/* Object/predicate.scm 130 */
													obj_t BgL_arg1737z00_796;
													obj_t BgL_arg1739z00_797;

													{	/* Object/predicate.scm 130 */
														obj_t BgL_arg1741z00_798;

														BgL_arg1741z00_798 =
															MAKE_PAIR(BgL_objz00_771, BNIL);
														BgL_arg1737z00_796 =
															MAKE_PAIR(BgL_predzd2idzd2_770,
															BgL_arg1741z00_798);
													}
													{	/* Object/predicate.scm 129 */
														obj_t BgL_auxz00_1594;

														{	/* Object/predicate.scm 121 */
															obj_t BgL_list1749z00_801;

															BgL_list1749z00_801 =
																MAKE_PAIR(BgL_objz00_771, BNIL);
															BgL_auxz00_1594 =
																BGl_makezd2privatezd2sexpz00zzast_privatez00
																(CNST_TABLE_REF(((long) 18)), BgL_idz00_768,
																BgL_list1749z00_801);
														}
														BgL_arg1739z00_797 =
															MAKE_PAIR(BgL_auxz00_1594, BNIL);
													}
													BgL_arg1731z00_794 =
														MAKE_PAIR(BgL_arg1737z00_796, BgL_arg1739z00_797);
												}
												BgL_arg1727z00_791 =
													MAKE_PAIR(BgL_arg1730z00_793, BgL_arg1731z00_794);
											}
											{	/* Object/predicate.scm 129 */
												obj_t BgL_list1728z00_792;

												BgL_list1728z00_792 =
													MAKE_PAIR(BgL_srczd2defzd2_10, BNIL);
												BgL_arg1725z00_789 =
													BGl_epairifyza2za2zztools_miscz00(BgL_arg1727z00_791,
													BgL_list1728z00_792);
										}}
										{	/* Object/predicate.scm 128 */
											obj_t BgL_list1726z00_790;

											BgL_list1726z00_790 = MAKE_PAIR(BgL_arg1725z00_789, BNIL);
											return BgL_list1726z00_790;
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* import-java-class-pred! */
	BGL_EXPORTED_DEF obj_t
		BGl_importzd2javazd2classzd2predz12zc0zzobject_predicatez00(BgL_typez00_bglt
		BgL_classz00_12, obj_t BgL_srczd2defzd2_13, obj_t BgL_modulez00_14)
	{
		AN_OBJECT;
		{	/* Object/predicate.scm 137 */
			if (BGl_inlinezd2predzf3z21zzobject_predicatez00())
				{	/* Object/predicate.scm 142 */
					obj_t BgL_arg1779z00_811;

					if ((BgL_modulez00_14 == BGl_za2moduleza2z00zzmodule_modulez00))
						{	/* Object/predicate.scm 142 */
							BgL_arg1779z00_811 = CNST_TABLE_REF(((long) 19));
						}
					else
						{	/* Object/predicate.scm 142 */
							BgL_arg1779z00_811 = CNST_TABLE_REF(((long) 17));
						}
					return
						BGl_genzd2javazd2classzd2predz12zc0zzobject_predicatez00
						(BgL_classz00_12, BgL_srczd2defzd2_13, BgL_arg1779z00_811);
				}
			else
				{	/* Object/predicate.scm 144 */
					obj_t BgL_idz00_813;

					BgL_idz00_813 =
						(((BgL_typez00_bglt) CREF(
								((BgL_typez00_bglt) BgL_classz00_12)))->BgL_idz00);
					{	/* Object/predicate.scm 144 */
						obj_t BgL_idzf3zf3_814;

						{	/* Object/predicate.scm 145 */
							obj_t BgL_arg1788z00_823;

							{	/* Object/predicate.scm 145 */
								obj_t BgL_arg1789z00_824;
								obj_t BgL_arg1790z00_825;

								{	/* Object/predicate.scm 145 */
									obj_t BgL_res1852z00_1319;

									{	/* Object/predicate.scm 145 */
										obj_t BgL_arg1265z00_1318;

										BgL_arg1265z00_1318 = SYMBOL_TO_STRING(BgL_idz00_813);
										BgL_res1852z00_1319 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg1265z00_1318);
									}
									BgL_arg1789z00_824 = BgL_res1852z00_1319;
								}
								{	/* Object/predicate.scm 145 */
									obj_t BgL_res1853z00_1322;

									{	/* Object/predicate.scm 145 */
										obj_t BgL_symbolz00_1320;

										BgL_symbolz00_1320 = CNST_TABLE_REF(((long) 1));
										{	/* Object/predicate.scm 145 */
											obj_t BgL_arg1265z00_1321;

											BgL_arg1265z00_1321 =
												SYMBOL_TO_STRING(BgL_symbolz00_1320);
											BgL_res1853z00_1322 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1265z00_1321);
									}}
									BgL_arg1790z00_825 = BgL_res1853z00_1322;
								}
								BgL_arg1788z00_823 =
									string_append(BgL_arg1789z00_824, BgL_arg1790z00_825);
							}
							BgL_idzf3zf3_814 = bstring_to_symbol(BgL_arg1788z00_823);
						}
						{	/* Object/predicate.scm 145 */
							obj_t BgL_predzd2idzd2_815;

							{	/* Object/predicate.scm 146 */
								obj_t BgL_arg1785z00_820;

								{	/* Object/predicate.scm 146 */
									obj_t BgL_arg1786z00_821;
									obj_t BgL_arg1787z00_822;

									{	/* Object/predicate.scm 146 */
										obj_t BgL_res1855z00_1327;

										{	/* Object/predicate.scm 146 */
											obj_t BgL_arg1265z00_1326;

											BgL_arg1265z00_1326 = SYMBOL_TO_STRING(BgL_idz00_813);
											BgL_res1855z00_1327 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1265z00_1326);
										}
										BgL_arg1786z00_821 = BgL_res1855z00_1327;
									}
									{	/* Object/predicate.scm 146 */
										obj_t BgL_res1856z00_1330;

										{	/* Object/predicate.scm 146 */
											obj_t BgL_symbolz00_1328;

											BgL_symbolz00_1328 = CNST_TABLE_REF(((long) 2));
											{	/* Object/predicate.scm 146 */
												obj_t BgL_arg1265z00_1329;

												BgL_arg1265z00_1329 =
													SYMBOL_TO_STRING(BgL_symbolz00_1328);
												BgL_res1856z00_1330 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg1265z00_1329);
										}}
										BgL_arg1787z00_822 = BgL_res1856z00_1330;
									}
									BgL_arg1785z00_820 =
										string_append(BgL_arg1786z00_821, BgL_arg1787z00_822);
								}
								BgL_predzd2idzd2_815 = bstring_to_symbol(BgL_arg1785z00_820);
							}
							{	/* Object/predicate.scm 147 */

								{	/* Object/predicate.scm 149 */
									obj_t BgL_arg1781z00_817;

									{	/* Object/predicate.scm 149 */
										obj_t BgL_arg1783z00_819;

										BgL_arg1783z00_819 =
											MAKE_PAIR(CNST_TABLE_REF(((long) 9)), BNIL);
										BgL_arg1781z00_817 =
											MAKE_PAIR(BgL_predzd2idzd2_815, BgL_arg1783z00_819);
									}
									BGl_importzd2parserzd2zzmodule_impusez00(BgL_modulez00_14,
										BgL_arg1781z00_817, BFALSE, BNIL);
								}
								return BNIL;
							}
						}
					}
				}
		}
	}



/* &import-java-class-pred! */
	obj_t BGl_z62importzd2javazd2classzd2predz12za2zzobject_predicatez00(obj_t
		BgL_envz00_1351, obj_t BgL_classz00_1352, obj_t BgL_srczd2defzd2_1353,
		obj_t BgL_modulez00_1354)
	{
		AN_OBJECT;
		{	/* Object/predicate.scm 137 */
			return
				BGl_importzd2javazd2classzd2predz12zc0zzobject_predicatez00(
				((BgL_typez00_bglt) BgL_classz00_1352), BgL_srczd2defzd2_1353,
				BgL_modulez00_1354);
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzobject_predicatez00()
	{
		AN_OBJECT;
		{	/* Object/predicate.scm 21 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzobject_predicatez00()
	{
		AN_OBJECT;
		{	/* Object/predicate.scm 21 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzobject_predicatez00()
	{
		AN_OBJECT;
		{	/* Object/predicate.scm 21 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzobject_predicatez00()
	{
		AN_OBJECT;
		{	/* Object/predicate.scm 21 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1858z00zzobject_predicatez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1858z00zzobject_predicatez00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 9470071),
				BSTRING_TO_STRING(BGl_string1858z00zzobject_predicatez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1858z00zzobject_predicatez00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string1858z00zzobject_predicatez00));
			BGl_modulezd2initializa7ationz75zztype_toolsz00(((long) 453414928),
				BSTRING_TO_STRING(BGl_string1858z00zzobject_predicatez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 164192787),
				BSTRING_TO_STRING(BGl_string1858z00zzobject_predicatez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1858z00zzobject_predicatez00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string1858z00zzobject_predicatez00));
			BGl_modulezd2initializa7ationz75zzast_privatez00(((long) 296989457),
				BSTRING_TO_STRING(BGl_string1858z00zzobject_predicatez00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 481724379),
				BSTRING_TO_STRING(BGl_string1858z00zzobject_predicatez00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long) 504896450),
				BSTRING_TO_STRING(BGl_string1858z00zzobject_predicatez00));
			BGl_modulezd2initializa7ationz75zzobject_toolsz00(((long) 196511171),
				BSTRING_TO_STRING(BGl_string1858z00zzobject_predicatez00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string1858z00zzobject_predicatez00));
			BGl_modulezd2initializa7ationz75zzmodule_impusez00(((long) 478324304),
				BSTRING_TO_STRING(BGl_string1858z00zzobject_predicatez00));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 328744326),
				BSTRING_TO_STRING(BGl_string1858z00zzobject_predicatez00));
		}
	}

#ifdef __cplusplus
}
#endif
