/*===========================================================================*/
/*   (Tools/shape.scm)                                                       */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Tools/shape.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;


	BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
	static obj_t BGl_z62shapezd2type1777zb0zztools_shapez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_objectzd2initzd2zztools_shapez00();
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	BGL_IMPORT obj_t make_vector(int, obj_t);
	static obj_t BGl_methodzd2initzd2zztools_shapez00();
	static obj_t BGl_z62shapez62zztools_shapez00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_classzf3zf3zz__objectz00(obj_t);
	BGL_IMPORT obj_t create_struct(obj_t, int);
	extern obj_t BGl_za2namezd2shapezf3za2z21zzengine_paramz00;
	extern obj_t BGl_za2typenamezd2shapezf3za2z21zzengine_paramz00;
	static obj_t BGl_z62shapezd2local1775zb0zztools_shapez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2namezd2zz__objectz00(obj_t);
	extern obj_t BGl_za2userzd2shapezf3za2z21zzengine_paramz00;
	BGL_IMPORT obj_t make_struct(obj_t, int, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_nodezd2ze3sexpz31zzast_dumpz00(BgL_nodez00_bglt);
	static obj_t BGl_z62shapezd2global1773zb0zztools_shapez00(obj_t, obj_t);
	static obj_t BGl_z62shapezd2node1779zb0zztools_shapez00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zztools_shapez00 = BUNSPEC;
	extern obj_t BGl_za2accesszd2shapezf3za2z21zzengine_paramz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zztools_shapez00();
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t BGl_za2typezd2shapezf3za2z21zzengine_paramz00;
	static obj_t BGl_genericzd2initzd2zztools_shapez00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_za2keyzd2shapezf3za2z21zzengine_paramz00;
	extern obj_t BGl_typez00zztype_typez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_za2modulezd2shapezf3za2z21zzengine_paramz00;
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	BGL_IMPORT obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		long);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zztools_shapez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zztools_shapez00();
	extern obj_t BGl_globalzd2bucketzd2positionz00zzast_envz00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zztools_shapez00();
	static obj_t BGl_z62shape1770z62zztools_shapez00(obj_t, obj_t);
	static obj_t BGl_loopz00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[3];


	   
		 
		DEFINE_EXPORT_BGL_GENERIC(BGl_shapezd2envzd2zztools_shapez00,
		BgL_bgl_za762shapeza762za7za7too2034z00, BGl_z62shapez62zztools_shapez00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2011z00zztools_shapez00,
		BgL_bgl_string2011za700za7za7t2035za7, "shape1770", 9);
	      DEFINE_STRING(BGl_string2012z00zztools_shapez00,
		BgL_bgl_string2012za700za7za7t2036za7, "#<class:~a>", 11);
	      DEFINE_STRING(BGl_string2014z00zztools_shapez00,
		BgL_bgl_string2014za700za7za7t2037za7, "shape", 5);
	      DEFINE_STRING(BGl_string2018z00zztools_shapez00,
		BgL_bgl_string2018za700za7za7t2038za7, "-", 1);
	      DEFINE_STRING(BGl_string2019z00zztools_shapez00,
		BgL_bgl_string2019za700za7za7t2039za7, "\"", 1);
	      DEFINE_STRING(BGl_string2020z00zztools_shapez00,
		BgL_bgl_string2020za700za7za7t2040za7, "::", 2);
	      DEFINE_STRING(BGl_string2021z00zztools_shapez00,
		BgL_bgl_string2021za700za7za7t2041za7, "", 0);
	      DEFINE_STRING(BGl_string2022z00zztools_shapez00,
		BgL_bgl_string2022za700za7za7t2042za7, "-<user>", 7);
	      DEFINE_STRING(BGl_string2023z00zztools_shapez00,
		BgL_bgl_string2023za700za7za7t2043za7, "-<no-user>", 10);
	      DEFINE_STRING(BGl_string2024z00zztools_shapez00,
		BgL_bgl_string2024za700za7za7t2044za7, "{", 1);
	      DEFINE_STRING(BGl_string2025z00zztools_shapez00,
		BgL_bgl_string2025za700za7za7t2045za7, "}", 1);
	      DEFINE_STRING(BGl_string2026z00zztools_shapez00,
		BgL_bgl_string2026za700za7za7t2046za7, "~a<<~a>>", 8);
	      DEFINE_STRING(BGl_string2027z00zztools_shapez00,
		BgL_bgl_string2027za700za7za7t2047za7, "@", 1);
	      DEFINE_STRING(BGl_string2028z00zztools_shapez00,
		BgL_bgl_string2028za700za7za7t2048za7, "Can't find global anymore -- ", 29);
	      DEFINE_STRING(BGl_string2029z00zztools_shapez00,
		BgL_bgl_string2029za700za7za7t2049za7, "global-shape:", 13);
	      DEFINE_STRING(BGl_string2030z00zztools_shapez00,
		BgL_bgl_string2030za700za7za7t2050za7, "tools_shape", 11);
	      DEFINE_STRING(BGl_string2031z00zztools_shapez00,
		BgL_bgl_string2031za700za7za7t2051za7, "@ _ a-tvector ", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2010z00zztools_shapez00,
		BgL_bgl_za762shape1770za762za72052za7, BGl_z62shape1770z62zztools_shapez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2013z00zztools_shapez00,
		BgL_bgl_za762shapeza7d2globa2053z00,
		BGl_z62shapezd2global1773zb0zztools_shapez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2015z00zztools_shapez00,
		BgL_bgl_za762shapeza7d2local2054z00,
		BGl_z62shapezd2local1775zb0zztools_shapez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2016z00zztools_shapez00,
		BgL_bgl_za762shapeza7d2type12055z00,
		BGl_z62shapezd2type1777zb0zztools_shapez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2017z00zztools_shapez00,
		BgL_bgl_za762shapeza7d2node12056z00,
		BGl_z62shapezd2node1779zb0zztools_shapez00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long
		BgL_checksumz00_2374, char *BgL_fromz00_2375)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zztools_shapez00))
				{
					BGl_requirezd2initializa7ationz75zztools_shapez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zztools_shapez00();
					BGl_cnstzd2initzd2zztools_shapez00();
					BGl_importedzd2moduleszd2initz00zztools_shapez00();
					BGl_genericzd2initzd2zztools_shapez00();
					BGl_methodzd2initzd2zztools_shapez00();
					BGl_toplevelzd2initzd2zztools_shapez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zztools_shapez00()
	{
		AN_OBJECT;
		{	/* Tools/shape.scm 16 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "tools_shape");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"tools_shape");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "tools_shape");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"tools_shape");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"tools_shape");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "tools_shape");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"tools_shape");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"tools_shape");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"tools_shape");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0),
				"tools_shape");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "tools_shape");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zztools_shapez00()
	{
		AN_OBJECT;
		{	/* Tools/shape.scm 16 */
			{	/* Tools/shape.scm 16 */
				obj_t BgL_cportz00_2365;

				BgL_cportz00_2365 =
					bgl_open_input_string(BGl_string2031z00zztools_shapez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2366;

					BgL_iz00_2366 = ((long) 2);
				BgL_loopz00_2367:
					if ((BgL_iz00_2366 == ((long) -1)))
						{	/* Tools/shape.scm 16 */
							return BUNSPEC;
						}
					else
						{	/* Tools/shape.scm 16 */
							{	/* Tools/shape.scm 16 */
								obj_t BgL_arg2033z00_2369;

								{	/* Tools/shape.scm 16 */

									{	/* Tools/shape.scm 16 */
										obj_t BgL_locationz00_2371;

										BgL_locationz00_2371 = BBOOL(((bool_t) 0));
										{	/* Tools/shape.scm 16 */

											BgL_arg2033z00_2369 =
												BGl_readz00zz__readerz00(BgL_cportz00_2365,
												BgL_locationz00_2371);
										}
									}
								}
								{	/* Tools/shape.scm 16 */
									int BgL_auxz00_2402;

									BgL_auxz00_2402 = (int) (BgL_iz00_2366);
									CNST_TABLE_SET(BgL_auxz00_2402, BgL_arg2033z00_2369);
							}}
							{	/* Tools/shape.scm 16 */
								int BgL_auxz00_2372;

								BgL_auxz00_2372 = (int) ((BgL_iz00_2366 - ((long) 1)));
								{
									long BgL_iz00_2407;

									BgL_iz00_2407 = (long) (BgL_auxz00_2372);
									BgL_iz00_2366 = BgL_iz00_2407;
									goto BgL_loopz00_2367;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zztools_shapez00()
	{
		AN_OBJECT;
		{	/* Tools/shape.scm 16 */
			return BUNSPEC;
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zztools_shapez00()
	{
		AN_OBJECT;
		{	/* Tools/shape.scm 16 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zztools_shapez00()
	{
		AN_OBJECT;
		{	/* Tools/shape.scm 16 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_shapezd2envzd2zztools_shapez00, BGl_proc2010z00zztools_shapez00,
				BFALSE, BGl_string2011z00zztools_shapez00);
		}
	}



/* &shape1770 */
	obj_t BGl_z62shape1770z62zztools_shapez00(obj_t BgL_envz00_2348,
		obj_t BgL_expz00_2349)
	{
		AN_OBJECT;
		{	/* Tools/shape.scm 28 */
			{
				obj_t BgL_expz00_1231;

				BgL_expz00_1231 = BgL_expz00_2349;
				if (BGl_classzf3zf3zz__objectz00(BgL_expz00_1231))
					{	/* Tools/shape.scm 31 */
						obj_t BgL_arg1792z00_1234;

						BgL_arg1792z00_1234 =
							BGl_classzd2namezd2zz__objectz00(BgL_expz00_1231);
						{	/* Tools/shape.scm 31 */
							obj_t BgL_list1793z00_1235;

							BgL_list1793z00_1235 = MAKE_PAIR(BgL_arg1792z00_1234, BNIL);
							return
								BGl_formatz00zz__r4_output_6_10_3z00
								(BGl_string2012z00zztools_shapez00, BgL_list1793z00_1235);
						}
					}
				else
					{	/* Tools/shape.scm 30 */
						if (PAIRP(BgL_expz00_1231))
							{	/* Tools/shape.scm 32 */
								return BGl_loopz00zztools_shapez00(BgL_expz00_1231);
							}
						else
							{	/* Tools/shape.scm 32 */
								if (VECTORP(BgL_expz00_1231))
									{	/* Tools/shape.scm 44 */
										obj_t BgL_resz00_1255;

										BgL_resz00_1255 =
											make_vector(VECTOR_LENGTH(BgL_expz00_1231), BNIL);
										{	/* Tools/shape.scm 45 */

											{
												long BgL_indicez00_1257;

												BgL_indicez00_1257 = ((long) 0);
											BgL_zc3anonymousza31811ze3z83_1258:
												if (
													(BgL_indicez00_1257 ==
														(long) (VECTOR_LENGTH(BgL_expz00_1231))))
													{	/* Tools/shape.scm 47 */
														return BgL_resz00_1255;
													}
												else
													{	/* Tools/shape.scm 47 */
														VECTOR_SET(BgL_resz00_1255,
															(int) (BgL_indicez00_1257),
															BGl_shapez00zztools_shapez00(VECTOR_REF
																(BgL_expz00_1231, (int) (BgL_indicez00_1257))));
														{
															long BgL_indicez00_2431;

															BgL_indicez00_2431 =
																(BgL_indicez00_1257 + ((long) 1));
															BgL_indicez00_1257 = BgL_indicez00_2431;
															goto BgL_zc3anonymousza31811ze3z83_1258;
														}
													}
											}
										}
									}
								else
									{	/* Tools/shape.scm 54 */
										bool_t BgL_testz00_2433;

										if (STRUCTP(BgL_expz00_1231))
											{	/* Tools/shape.scm 54 */
												BgL_testz00_2433 =
													(STRUCT_KEY(BgL_expz00_1231) ==
													CNST_TABLE_REF(((long) 0)));
											}
										else
											{	/* Tools/shape.scm 54 */
												BgL_testz00_2433 = ((bool_t) 0);
											}
										if (BgL_testz00_2433)
											{	/* Tools/shape.scm 55 */
												obj_t BgL_arg1817z00_1265;
												obj_t BgL_arg1818z00_1266;

												BgL_arg1817z00_1265 =
													BGl_shapez00zztools_shapez00(STRUCT_REF
													(BgL_expz00_1231, (int) (((long) 0))));
												BgL_arg1818z00_1266 =
													BGl_shapez00zztools_shapez00(STRUCT_REF
													(BgL_expz00_1231, (int) (((long) 1))));
												{	/* Tools/shape.scm 55 */
													obj_t BgL_newz00_2185;

													BgL_newz00_2185 =
														create_struct(CNST_TABLE_REF(((long) 0)),
														(int) (((long) 2)));
													{	/* Tools/shape.scm 55 */
														int BgL_auxz00_2448;

														BgL_auxz00_2448 = (int) (((long) 1));
														STRUCT_SET(BgL_newz00_2185, BgL_auxz00_2448,
															BgL_arg1818z00_1266);
													}
													{	/* Tools/shape.scm 55 */
														int BgL_auxz00_2451;

														BgL_auxz00_2451 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_2185, BgL_auxz00_2451,
															BgL_arg1817z00_1265);
													}
													return BgL_newz00_2185;
												}
											}
										else
											{	/* Tools/shape.scm 54 */
												if (STRUCTP(BgL_expz00_1231))
													{	/* Tools/shape.scm 57 */
														obj_t BgL_keyz00_1270;

														BgL_keyz00_1270 = STRUCT_KEY(BgL_expz00_1231);
														{	/* Tools/shape.scm 57 */
															int BgL_lenz00_1271;

															BgL_lenz00_1271 = STRUCT_LENGTH(BgL_expz00_1231);
															{	/* Tools/shape.scm 58 */
																obj_t BgL_resz00_1272;

																BgL_resz00_1272 =
																	make_struct(BgL_keyz00_1270, BgL_lenz00_1271,
																	BNIL);
																{	/* Tools/shape.scm 59 */

																	{
																		long BgL_indicez00_1274;

																		BgL_indicez00_1274 = ((long) 0);
																	BgL_zc3anonymousza31822ze3z83_1275:
																		if (
																			(BgL_indicez00_1274 ==
																				(long) (BgL_lenz00_1271)))
																			{	/* Tools/shape.scm 61 */
																				return BgL_resz00_1272;
																			}
																		else
																			{	/* Tools/shape.scm 61 */
																				{	/* Tools/shape.scm 64 */
																					obj_t BgL_auxz00_2464;
																					int BgL_auxz00_2462;

																					BgL_auxz00_2464 =
																						BGl_shapez00zztools_shapez00
																						(STRUCT_REF(BgL_expz00_1231,
																							(int) (BgL_indicez00_1274)));
																					BgL_auxz00_2462 =
																						(int) (BgL_indicez00_1274);
																					STRUCT_SET(BgL_resz00_1272,
																						BgL_auxz00_2462, BgL_auxz00_2464);
																				}
																				{
																					long BgL_indicez00_2469;

																					BgL_indicez00_2469 =
																						(BgL_indicez00_1274 + ((long) 1));
																					BgL_indicez00_1274 =
																						BgL_indicez00_2469;
																					goto
																						BgL_zc3anonymousza31822ze3z83_1275;
																				}
																			}
																	}
																}
															}
														}
													}
												else
													{	/* Tools/shape.scm 56 */
														return BgL_expz00_1231;
													}
											}
									}
							}
					}
			}
		}
	}



/* loop */
	obj_t BGl_loopz00zztools_shapez00(obj_t BgL_expz00_1238)
	{
		AN_OBJECT;
		{	/* Tools/shape.scm 33 */
			if (NULLP(BgL_expz00_1238))
				{	/* Tools/shape.scm 35 */
					return BNIL;
				}
			else
				{	/* Tools/shape.scm 35 */
					if (PAIRP(BgL_expz00_1238))
						{	/* Tools/shape.scm 39 */
							bool_t BgL_testz00_2475;

							{	/* Tools/shape.scm 39 */
								bool_t BgL_res1960z00_2146;

								BgL_res1960z00_2146 = EXTENDED_PAIRP(BgL_expz00_1238);
								BgL_testz00_2475 = BgL_res1960z00_2146;
							}
							if (BgL_testz00_2475)
								{	/* Tools/shape.scm 40 */
									obj_t BgL_arg1800z00_1243;
									obj_t BgL_arg1801z00_1244;
									obj_t BgL_arg1802z00_1245;

									BgL_arg1800z00_1243 =
										BGl_shapez00zztools_shapez00(CAR(BgL_expz00_1238));
									BgL_arg1801z00_1244 =
										BGl_loopz00zztools_shapez00(CDR(BgL_expz00_1238));
									BgL_arg1802z00_1245 = CER(BgL_expz00_1238);
									{	/* Tools/shape.scm 40 */
										obj_t BgL_res1961z00_2153;

										BgL_res1961z00_2153 =
											MAKE_EXTENDED_PAIR(BgL_arg1800z00_1243,
											BgL_arg1801z00_1244, BgL_arg1802z00_1245);
										return BgL_res1961z00_2153;
									}
								}
							else
								{	/* Tools/shape.scm 39 */
									return
										MAKE_PAIR(BGl_shapez00zztools_shapez00(CAR
											(BgL_expz00_1238)),
										BGl_loopz00zztools_shapez00(CDR(BgL_expz00_1238)));
								}
						}
					else
						{	/* Tools/shape.scm 37 */
							return BGl_shapez00zztools_shapez00(BgL_expz00_1238);
						}
				}
		}
	}



/* shape */
	BGL_EXPORTED_DEF obj_t BGl_shapez00zztools_shapez00(obj_t BgL_expz00_13)
	{
		AN_OBJECT;
		{	/* Tools/shape.scm 28 */
			if (BGL_OBJECTP(BgL_expz00_13))
				{	/* Tools/shape.scm 28 */
					obj_t BgL_method1771z00_1283;

					{	/* Tools/shape.scm 28 */
						obj_t BgL_res1980z00_2247;

						{	/* Tools/shape.scm 28 */
							long BgL_objzd2classzd2numz00_2220;

							{	/* Tools/shape.scm 28 */
								long BgL_res1974z00_2223;

								BgL_res1974z00_2223 =
									BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_expz00_13));
								BgL_objzd2classzd2numz00_2220 = BgL_res1974z00_2223;
							}
							{	/* Tools/shape.scm 28 */
								obj_t BgL_arg1769z00_2221;

								BgL_arg1769z00_2221 =
									PROCEDURE_REF(BGl_shapezd2envzd2zztools_shapez00,
									(int) (((long) 1)));
								{	/* Tools/shape.scm 28 */
									int BgL_offsetz00_2225;

									BgL_offsetz00_2225 = (int) (BgL_objzd2classzd2numz00_2220);
									{	/* Tools/shape.scm 28 */
										long BgL_offsetz00_2226;

										BgL_offsetz00_2226 =
											((long) (BgL_offsetz00_2225) - OBJECT_TYPE);
										{	/* Tools/shape.scm 28 */
											long BgL_modz00_2227;

											{	/* Tools/shape.scm 28 */
												int BgL_arg1771z00_2228;

												BgL_arg1771z00_2228 = (int) (((long) 16));
												{	/* Tools/shape.scm 28 */
													long BgL_res1977z00_2238;

													{	/* Tools/shape.scm 28 */
														long BgL_auxz00_2499;

														BgL_auxz00_2499 = (long) (BgL_arg1771z00_2228);
														BgL_res1977z00_2238 =
															(BgL_offsetz00_2226 / BgL_auxz00_2499);
													}
													BgL_modz00_2227 = BgL_res1977z00_2238;
											}}
											{	/* Tools/shape.scm 28 */
												long BgL_restz00_2229;

												{	/* Tools/shape.scm 28 */
													int BgL_arg1770z00_2230;

													BgL_arg1770z00_2230 = (int) (((long) 16));
													{	/* Tools/shape.scm 28 */
														long BgL_res1979z00_2242;

														{	/* Tools/shape.scm 28 */
															long BgL_auxz00_2503;

															BgL_auxz00_2503 = (long) (BgL_arg1770z00_2230);
															BgL_res1979z00_2242 =
																(BgL_offsetz00_2226 % BgL_auxz00_2503);
														}
														BgL_restz00_2229 = BgL_res1979z00_2242;
												}}
												{	/* Tools/shape.scm 28 */

													BgL_res1980z00_2247 =
														VECTOR_REF(VECTOR_REF(BgL_arg1769z00_2221,
															(int) (BgL_modz00_2227)),
														(int) (BgL_restz00_2229));
						}}}}}}}
						BgL_method1771z00_1283 = BgL_res1980z00_2247;
					}
					return
						PROCEDURE_ENTRY(BgL_method1771z00_1283) (BgL_method1771z00_1283,
						BgL_expz00_13, BEOA);
				}
			else
				{	/* Tools/shape.scm 28 */
					obj_t BgL_fun1828z00_1284;

					BgL_fun1828z00_1284 =
						PROCEDURE_REF(BGl_shapezd2envzd2zztools_shapez00,
						(int) (((long) 0)));
					return
						PROCEDURE_ENTRY(BgL_fun1828z00_1284) (BgL_fun1828z00_1284,
						BgL_expz00_13, BEOA);
				}
		}
	}



/* &shape */
	obj_t BGl_z62shapez62zztools_shapez00(obj_t BgL_envz00_2350,
		obj_t BgL_expz00_2351)
	{
		AN_OBJECT;
		{	/* Tools/shape.scm 28 */
			return BGl_shapez00zztools_shapez00(BgL_expz00_2351);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zztools_shapez00()
	{
		AN_OBJECT;
		{	/* Tools/shape.scm 16 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shapezd2envzd2zztools_shapez00, BGl_globalz00zzast_varz00,
				BGl_proc2013z00zztools_shapez00, BGl_string2014z00zztools_shapez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shapezd2envzd2zztools_shapez00, BGl_localz00zzast_varz00,
				BGl_proc2015z00zztools_shapez00, BGl_string2014z00zztools_shapez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shapezd2envzd2zztools_shapez00, BGl_typez00zztype_typez00,
				BGl_proc2016z00zztools_shapez00, BGl_string2014z00zztools_shapez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shapezd2envzd2zztools_shapez00, BGl_nodez00zzast_nodez00,
				BGl_proc2017z00zztools_shapez00, BGl_string2014z00zztools_shapez00);
		}
	}



/* &shape-node1779 */
	obj_t BGl_z62shapezd2node1779zb0zztools_shapez00(obj_t BgL_envz00_2356,
		obj_t BgL_nodez00_2357)
	{
		AN_OBJECT;
		{	/* Tools/shape.scm 161 */
			return
				BGl_nodezd2ze3sexpz31zzast_dumpz00(
				((BgL_nodez00_bglt) BgL_nodez00_2357));
		}
	}



/* &shape-type1777 */
	obj_t BGl_z62shapezd2type1777zb0zztools_shapez00(obj_t BgL_envz00_2358,
		obj_t BgL_typez00_2359)
	{
		AN_OBJECT;
		{	/* Tools/shape.scm 143 */
			{
				BgL_typez00_bglt BgL_typez00_1372;

				BgL_typez00_1372 = ((BgL_typez00_bglt) BgL_typez00_2359);
				{	/* Tools/shape.scm 144 */
					obj_t BgL_spz00_1375;

					{	/* Tools/shape.scm 144 */
						obj_t BgL_arg1902z00_1384;

						BgL_arg1902z00_1384 =
							(((BgL_typez00_bglt) CREF(BgL_typez00_1372))->BgL_idz00);
						{	/* Tools/shape.scm 144 */
							obj_t BgL_res2009z00_2331;

							{	/* Tools/shape.scm 144 */
								obj_t BgL_arg1265z00_2330;

								BgL_arg1265z00_2330 = SYMBOL_TO_STRING(BgL_arg1902z00_1384);
								BgL_res2009z00_2331 =
									BGl_stringzd2copyzd2zz__r4_strings_6_7z00
									(BgL_arg1265z00_2330);
							}
							BgL_spz00_1375 = BgL_res2009z00_2331;
						}
					}
					{	/* Tools/shape.scm 144 */
						obj_t BgL_sz00_1376;

						if (CBOOL(BGl_za2keyzd2shapezf3za2z21zzengine_paramz00))
							{	/* Tools/shape.scm 151 */
								obj_t BgL_arg1900z00_1382;

								{	/* Tools/shape.scm 151 */
									long BgL_arg1901z00_1383;

									BgL_arg1901z00_1383 = (long) (BgL_typez00_1372);
									BgL_arg1900z00_1382 =
										BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
										(BgL_arg1901z00_1383, ((long) 16));
								}
								BgL_sz00_1376 =
									string_append_3(BgL_spz00_1375,
									BGl_string2018z00zztools_shapez00, BgL_arg1900z00_1382);
							}
						else
							{	/* Tools/shape.scm 145 */
								BgL_sz00_1376 = BgL_spz00_1375;
							}
						{	/* Tools/shape.scm 145 */

							if (CBOOL(BGl_za2typenamezd2shapezf3za2z21zzengine_paramz00))
								{	/* Tools/shape.scm 155 */
									obj_t BgL_arg1894z00_1377;

									BgL_arg1894z00_1377 =
										(((BgL_typez00_bglt) CREF(BgL_typez00_1372))->BgL_namez00);
									{	/* Tools/shape.scm 155 */
										obj_t BgL_list1895z00_1378;

										{	/* Tools/shape.scm 155 */
											obj_t BgL_arg1896z00_1379;

											{	/* Tools/shape.scm 155 */
												obj_t BgL_arg1897z00_1380;

												{	/* Tools/shape.scm 155 */
													obj_t BgL_arg1898z00_1381;

													BgL_arg1898z00_1381 =
														MAKE_PAIR(BGl_string2019z00zztools_shapez00, BNIL);
													BgL_arg1897z00_1380 =
														MAKE_PAIR(BgL_arg1894z00_1377, BgL_arg1898z00_1381);
												}
												BgL_arg1896z00_1379 =
													MAKE_PAIR(BGl_string2019z00zztools_shapez00,
													BgL_arg1897z00_1380);
											}
											BgL_list1895z00_1378 =
												MAKE_PAIR(BgL_sz00_1376, BgL_arg1896z00_1379);
										}
										return
											BGl_stringzd2appendzd2zz__r4_strings_6_7z00
											(BgL_list1895z00_1378);
									}
								}
							else
								{	/* Tools/shape.scm 154 */
									return BgL_sz00_1376;
								}
						}
					}
				}
			}
		}
	}



/* &shape-local1775 */
	obj_t BGl_z62shapezd2local1775zb0zztools_shapez00(obj_t BgL_envz00_2360,
		obj_t BgL_varz00_2361)
	{
		AN_OBJECT;
		{	/* Tools/shape.scm 115 */
			{
				BgL_localz00_bglt BgL_varz00_1344;

				BgL_varz00_1344 = ((BgL_localz00_bglt) BgL_varz00_2361);
				{	/* Tools/shape.scm 116 */
					obj_t BgL_symz00_1347;

					if (CBOOL(BGl_za2keyzd2shapezf3za2z21zzengine_paramz00))
						{	/* Tools/shape.scm 117 */
							obj_t BgL_arg1887z00_1362;
							obj_t BgL_arg1888z00_1363;

							BgL_arg1887z00_1362 =
								(((BgL_variablez00_bglt) CREF(
										((BgL_variablez00_bglt) BgL_varz00_1344)))->BgL_idz00);
							{	/* Tools/shape.scm 120 */
								obj_t BgL_arg1892z00_1367;

								{	/* Tools/shape.scm 120 */

									BgL_arg1892z00_1367 =
										BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
										(((BgL_localz00_bglt) CREF(BgL_varz00_1344))->BgL_keyz00),
										((long) 10));
								}
								BgL_arg1888z00_1363 = bstring_to_symbol(BgL_arg1892z00_1367);
							}
							{	/* Tools/shape.scm 117 */
								obj_t BgL_list1889z00_1364;

								{	/* Tools/shape.scm 117 */
									obj_t BgL_arg1890z00_1365;

									{	/* Tools/shape.scm 117 */
										obj_t BgL_arg1891z00_1366;

										BgL_arg1891z00_1366 = MAKE_PAIR(BgL_arg1888z00_1363, BNIL);
										BgL_arg1890z00_1365 =
											MAKE_PAIR(CNST_TABLE_REF(((long) 1)),
											BgL_arg1891z00_1366);
									}
									BgL_list1889z00_1364 =
										MAKE_PAIR(BgL_arg1887z00_1362, BgL_arg1890z00_1365);
								}
								BgL_symz00_1347 =
									BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
									(BgL_list1889z00_1364);
						}}
					else
						{	/* Tools/shape.scm 116 */
							BgL_symz00_1347 =
								(((BgL_variablez00_bglt) CREF(
										((BgL_variablez00_bglt) BgL_varz00_1344)))->BgL_idz00);
						}
					{	/* Tools/shape.scm 116 */
						obj_t BgL_symz00_1348;

						{	/* Tools/shape.scm 122 */
							obj_t BgL_res2003z00_2312;

							{	/* Tools/shape.scm 122 */
								obj_t BgL_arg1265z00_2311;

								BgL_arg1265z00_2311 = SYMBOL_TO_STRING(BgL_symz00_1347);
								BgL_res2003z00_2312 =
									BGl_stringzd2copyzd2zz__r4_strings_6_7z00
									(BgL_arg1265z00_2311);
							}
							BgL_symz00_1348 = BgL_res2003z00_2312;
						}
						{	/* Tools/shape.scm 122 */
							BgL_typez00_bglt BgL_typez00_1349;

							BgL_typez00_1349 =
								(((BgL_variablez00_bglt) CREF(
										((BgL_variablez00_bglt) BgL_varz00_1344)))->BgL_typez00);
							{	/* Tools/shape.scm 123 */
								obj_t BgL_tshapez00_1350;

								if (CBOOL(BGl_za2typezd2shapezf3za2z21zzengine_paramz00))
									{	/* Tools/shape.scm 126 */
										obj_t BgL_arg1886z00_1361;

										BgL_arg1886z00_1361 =
											BGl_shapez00zztools_shapez00(((obj_t) BgL_typez00_1349));
										BgL_tshapez00_1350 =
											string_append(BGl_string2020z00zztools_shapez00,
											BgL_arg1886z00_1361);
									}
								else
									{	/* Tools/shape.scm 124 */
										BgL_tshapez00_1350 = BGl_string2021z00zztools_shapez00;
									}
								{	/* Tools/shape.scm 124 */
									obj_t BgL_ushapez00_1351;

									if (CBOOL(BGl_za2userzd2shapezf3za2z21zzengine_paramz00))
										{	/* Tools/shape.scm 127 */
											if (
												(((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt) BgL_varz00_1344)))->
													BgL_userzf3zf3))
												{	/* Tools/shape.scm 129 */
													BgL_ushapez00_1351 =
														BGl_string2022z00zztools_shapez00;
												}
											else
												{	/* Tools/shape.scm 129 */
													BgL_ushapez00_1351 =
														BGl_string2023z00zztools_shapez00;
												}
										}
									else
										{	/* Tools/shape.scm 127 */
											BgL_ushapez00_1351 = BGl_string2021z00zztools_shapez00;
										}
									{	/* Tools/shape.scm 127 */
										obj_t BgL_ashapez00_1352;

										if (CBOOL(BGl_za2accesszd2shapezf3za2z21zzengine_paramz00))
											{	/* Tools/shape.scm 136 */
												obj_t BgL_arg1883z00_1358;

												{	/* Tools/shape.scm 136 */
													obj_t BgL_arg1884z00_1359;

													BgL_arg1884z00_1359 =
														(((BgL_variablez00_bglt) CREF(
																((BgL_variablez00_bglt) BgL_varz00_1344)))->
														BgL_accessz00);
													{	/* Tools/shape.scm 136 */
														obj_t BgL_res2006z00_2323;

														{	/* Tools/shape.scm 136 */
															obj_t BgL_arg1265z00_2322;

															BgL_arg1265z00_2322 =
																SYMBOL_TO_STRING(BgL_arg1884z00_1359);
															BgL_res2006z00_2323 =
																BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																(BgL_arg1265z00_2322);
														}
														BgL_arg1883z00_1358 = BgL_res2006z00_2323;
													}
												}
												BgL_ashapez00_1352 =
													string_append_3(BGl_string2024z00zztools_shapez00,
													BgL_arg1883z00_1358,
													BGl_string2025z00zztools_shapez00);
											}
										else
											{	/* Tools/shape.scm 133 */
												BgL_ashapez00_1352 = BGl_string2021z00zztools_shapez00;
											}
										{	/* Tools/shape.scm 132 */

											{	/* Tools/shape.scm 138 */
												obj_t BgL_arg1878z00_1353;

												{	/* Tools/shape.scm 138 */
													obj_t BgL_list1879z00_1354;

													{	/* Tools/shape.scm 138 */
														obj_t BgL_arg1880z00_1355;

														{	/* Tools/shape.scm 138 */
															obj_t BgL_arg1881z00_1356;

															{	/* Tools/shape.scm 138 */
																obj_t BgL_arg1882z00_1357;

																BgL_arg1882z00_1357 =
																	MAKE_PAIR(BgL_ashapez00_1352, BNIL);
																BgL_arg1881z00_1356 =
																	MAKE_PAIR(BgL_ushapez00_1351,
																	BgL_arg1882z00_1357);
															}
															BgL_arg1880z00_1355 =
																MAKE_PAIR(BgL_tshapez00_1350,
																BgL_arg1881z00_1356);
														}
														BgL_list1879z00_1354 =
															MAKE_PAIR(BgL_symz00_1348, BgL_arg1880z00_1355);
													}
													BgL_arg1878z00_1353 =
														BGl_stringzd2appendzd2zz__r4_strings_6_7z00
														(BgL_list1879z00_1354);
												}
												return bstring_to_symbol(BgL_arg1878z00_1353);
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* &shape-global1773 */
	obj_t BGl_z62shapezd2global1773zb0zztools_shapez00(obj_t BgL_envz00_2362,
		obj_t BgL_varz00_2363)
	{
		AN_OBJECT;
		{	/* Tools/shape.scm 74 */
			{
				BgL_globalz00_bglt BgL_varz00_1285;

				BgL_varz00_1285 = ((BgL_globalz00_bglt) BgL_varz00_2363);
				{	/* Tools/shape.scm 75 */
					obj_t BgL_strzd2idzd2_1288;

					if (CBOOL(BGl_za2namezd2shapezf3za2z21zzengine_paramz00))
						{	/* Tools/shape.scm 77 */
							obj_t BgL_arg1872z00_1338;
							obj_t BgL_arg1873z00_1339;

							BgL_arg1872z00_1338 =
								(((BgL_variablez00_bglt) CREF(
										((BgL_variablez00_bglt) BgL_varz00_1285)))->BgL_idz00);
							BgL_arg1873z00_1339 =
								(((BgL_variablez00_bglt) CREF(
										((BgL_variablez00_bglt) BgL_varz00_1285)))->BgL_namez00);
							{	/* Tools/shape.scm 77 */
								obj_t BgL_list1874z00_1340;

								{	/* Tools/shape.scm 77 */
									obj_t BgL_arg1875z00_1341;

									BgL_arg1875z00_1341 = MAKE_PAIR(BgL_arg1873z00_1339, BNIL);
									BgL_list1874z00_1340 =
										MAKE_PAIR(BgL_arg1872z00_1338, BgL_arg1875z00_1341);
								}
								BgL_strzd2idzd2_1288 =
									BGl_formatz00zz__r4_output_6_10_3z00
									(BGl_string2026z00zztools_shapez00, BgL_list1874z00_1340);
							}
						}
					else
						{	/* Tools/shape.scm 76 */
							obj_t BgL_arg1877z00_1342;

							BgL_arg1877z00_1342 =
								(((BgL_variablez00_bglt) CREF(
										((BgL_variablez00_bglt) BgL_varz00_1285)))->BgL_idz00);
							{	/* Tools/shape.scm 76 */
								obj_t BgL_res1984z00_2259;

								{	/* Tools/shape.scm 76 */
									obj_t BgL_arg1265z00_2258;

									BgL_arg1265z00_2258 = SYMBOL_TO_STRING(BgL_arg1877z00_1342);
									BgL_res1984z00_2259 =
										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
										(BgL_arg1265z00_2258);
								}
								BgL_strzd2idzd2_1288 = BgL_res1984z00_2259;
							}
						}
					{	/* Tools/shape.scm 75 */
						obj_t BgL_modulez00_1289;

						{	/* Tools/shape.scm 78 */
							obj_t BgL_arg1871z00_1337;

							BgL_arg1871z00_1337 =
								(((BgL_globalz00_bglt) CREF(BgL_varz00_1285))->BgL_modulez00);
							{	/* Tools/shape.scm 78 */
								obj_t BgL_res1986z00_2265;

								{	/* Tools/shape.scm 78 */
									obj_t BgL_arg1265z00_2264;

									BgL_arg1265z00_2264 = SYMBOL_TO_STRING(BgL_arg1871z00_1337);
									BgL_res1986z00_2265 =
										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
										(BgL_arg1265z00_2264);
								}
								BgL_modulez00_1289 = BgL_res1986z00_2265;
							}
						}
						{	/* Tools/shape.scm 78 */
							BgL_typez00_bglt BgL_typez00_1290;

							BgL_typez00_1290 =
								(((BgL_variablez00_bglt) CREF(
										((BgL_variablez00_bglt) BgL_varz00_1285)))->BgL_typez00);
							{	/* Tools/shape.scm 79 */
								obj_t BgL_tshapez00_1291;

								if (CBOOL(BGl_za2typezd2shapezf3za2z21zzengine_paramz00))
									{	/* Tools/shape.scm 82 */
										obj_t BgL_arg1870z00_1336;

										BgL_arg1870z00_1336 =
											BGl_shapez00zztools_shapez00(((obj_t) BgL_typez00_1290));
										BgL_tshapez00_1291 =
											string_append(BGl_string2020z00zztools_shapez00,
											BgL_arg1870z00_1336);
									}
								else
									{	/* Tools/shape.scm 80 */
										BgL_tshapez00_1291 = BGl_string2021z00zztools_shapez00;
									}
								{	/* Tools/shape.scm 80 */
									obj_t BgL_ushapez00_1292;

									if (CBOOL(BGl_za2userzd2shapezf3za2z21zzengine_paramz00))
										{	/* Tools/shape.scm 83 */
											if (
												(((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt) BgL_varz00_1285)))->
													BgL_userzf3zf3))
												{	/* Tools/shape.scm 85 */
													BgL_ushapez00_1292 =
														BGl_string2022z00zztools_shapez00;
												}
											else
												{	/* Tools/shape.scm 85 */
													BgL_ushapez00_1292 =
														BGl_string2023z00zztools_shapez00;
												}
										}
									else
										{	/* Tools/shape.scm 83 */
											BgL_ushapez00_1292 = BGl_string2021z00zztools_shapez00;
										}
									{	/* Tools/shape.scm 83 */
										obj_t BgL_ashapez00_1293;

										if (CBOOL(BGl_za2accesszd2shapezf3za2z21zzengine_paramz00))
											{	/* Tools/shape.scm 92 */
												obj_t BgL_arg1867z00_1333;

												{	/* Tools/shape.scm 92 */
													obj_t BgL_arg1868z00_1334;

													BgL_arg1868z00_1334 =
														(((BgL_variablez00_bglt) CREF(
																((BgL_variablez00_bglt) BgL_varz00_1285)))->
														BgL_accessz00);
													{	/* Tools/shape.scm 92 */
														obj_t BgL_res1989z00_2276;

														{	/* Tools/shape.scm 92 */
															obj_t BgL_arg1265z00_2275;

															BgL_arg1265z00_2275 =
																SYMBOL_TO_STRING(BgL_arg1868z00_1334);
															BgL_res1989z00_2276 =
																BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																(BgL_arg1265z00_2275);
														}
														BgL_arg1867z00_1333 = BgL_res1989z00_2276;
													}
												}
												BgL_ashapez00_1293 =
													string_append_3(BGl_string2024z00zztools_shapez00,
													BgL_arg1867z00_1333,
													BGl_string2025z00zztools_shapez00);
											}
										else
											{	/* Tools/shape.scm 89 */
												BgL_ashapez00_1293 = BGl_string2021z00zztools_shapez00;
											}
										{	/* Tools/shape.scm 88 */

											if (CBOOL
												(BGl_za2modulezd2shapezf3za2z21zzengine_paramz00))
												{	/* Tools/shape.scm 97 */
													obj_t BgL_arg1829z00_1294;

													{	/* Tools/shape.scm 97 */
														obj_t BgL_list1830z00_1295;

														{	/* Tools/shape.scm 97 */
															obj_t BgL_arg1831z00_1296;

															{	/* Tools/shape.scm 97 */
																obj_t BgL_arg1832z00_1297;

																{	/* Tools/shape.scm 97 */
																	obj_t BgL_arg1833z00_1298;

																	{	/* Tools/shape.scm 97 */
																		obj_t BgL_arg1834z00_1299;

																		{	/* Tools/shape.scm 97 */
																			obj_t BgL_arg1835z00_1300;

																			BgL_arg1835z00_1300 =
																				MAKE_PAIR(BgL_ashapez00_1293, BNIL);
																			BgL_arg1834z00_1299 =
																				MAKE_PAIR(BgL_ushapez00_1292,
																				BgL_arg1835z00_1300);
																		}
																		BgL_arg1833z00_1298 =
																			MAKE_PAIR(BgL_tshapez00_1291,
																			BgL_arg1834z00_1299);
																	}
																	BgL_arg1832z00_1297 =
																		MAKE_PAIR(BgL_modulez00_1289,
																		BgL_arg1833z00_1298);
																}
																BgL_arg1831z00_1296 =
																	MAKE_PAIR(BGl_string2027z00zztools_shapez00,
																	BgL_arg1832z00_1297);
															}
															BgL_list1830z00_1295 =
																MAKE_PAIR(BgL_strzd2idzd2_1288,
																BgL_arg1831z00_1296);
														}
														BgL_arg1829z00_1294 =
															BGl_stringzd2appendzd2zz__r4_strings_6_7z00
															(BgL_list1830z00_1295);
													}
													return bstring_to_symbol(BgL_arg1829z00_1294);
												}
											else
												{

													{	/* Tools/shape.scm 99 */
														obj_t BgL_aux1095z00_1302;

														{	/* Tools/shape.scm 99 */
															obj_t BgL_arg1856z00_1322;
															obj_t BgL_arg1857z00_1323;

															BgL_arg1856z00_1322 =
																(((BgL_variablez00_bglt) CREF(
																		((BgL_variablez00_bglt) BgL_varz00_1285)))->
																BgL_idz00);
															BgL_arg1857z00_1323 =
																(((BgL_globalz00_bglt) CREF(BgL_varz00_1285))->
																BgL_modulez00);
															BgL_aux1095z00_1302 =
																BGl_globalzd2bucketzd2positionz00zzast_envz00
																(BgL_arg1856z00_1322, BgL_arg1857z00_1323);
														}
														if (INTEGERP(BgL_aux1095z00_1302))
															{	/* Tools/shape.scm 99 */
																switch ((long) CINT(BgL_aux1095z00_1302))
																	{
																	case ((long) -1):

																		{	/* Tools/shape.scm 103 */
																			obj_t BgL_arg1837z00_1304;

																			{	/* Tools/shape.scm 103 */
																				obj_t BgL_arg1841z00_1308;

																				{	/* Tools/shape.scm 103 */
																					obj_t BgL_arg1842z00_1309;
																					obj_t BgL_arg1843z00_1310;

																					BgL_arg1842z00_1309 =
																						(((BgL_variablez00_bglt) CREF(
																								((BgL_variablez00_bglt)
																									BgL_varz00_1285)))->
																						BgL_idz00);
																					BgL_arg1843z00_1310 =
																						MAKE_PAIR((((BgL_globalz00_bglt)
																								CREF(BgL_varz00_1285))->
																							BgL_modulez00), BNIL);
																					BgL_arg1841z00_1308 =
																						MAKE_PAIR(BgL_arg1842z00_1309,
																						BgL_arg1843z00_1310);
																				}
																				BgL_arg1837z00_1304 =
																					MAKE_PAIR(CNST_TABLE_REF(((long) 2)),
																					BgL_arg1841z00_1308);
																			}
																			{	/* Tools/shape.scm 101 */
																				obj_t BgL_list1838z00_1305;

																				{	/* Tools/shape.scm 101 */
																					obj_t BgL_arg1839z00_1306;

																					{	/* Tools/shape.scm 101 */
																						obj_t BgL_arg1840z00_1307;

																						BgL_arg1840z00_1307 =
																							MAKE_PAIR(BgL_arg1837z00_1304,
																							BNIL);
																						BgL_arg1839z00_1306 =
																							MAKE_PAIR
																							(BGl_string2028z00zztools_shapez00,
																							BgL_arg1840z00_1307);
																					}
																					BgL_list1838z00_1305 =
																						MAKE_PAIR
																						(BGl_string2029z00zztools_shapez00,
																						BgL_arg1839z00_1306);
																				}
																				BGl_warningz00zz__errorz00
																					(BgL_list1838z00_1305);
																		}}
																		{	/* Tools/shape.scm 104 */
																			obj_t BgL_arg1845z00_1312;

																			{	/* Tools/shape.scm 104 */
																				obj_t BgL_list1846z00_1313;

																				{	/* Tools/shape.scm 104 */
																					obj_t BgL_arg1847z00_1314;

																					{	/* Tools/shape.scm 104 */
																						obj_t BgL_arg1848z00_1315;

																						{	/* Tools/shape.scm 104 */
																							obj_t BgL_arg1849z00_1316;

																							BgL_arg1849z00_1316 =
																								MAKE_PAIR(BgL_ashapez00_1293,
																								BNIL);
																							BgL_arg1848z00_1315 =
																								MAKE_PAIR(BgL_ushapez00_1292,
																								BgL_arg1849z00_1316);
																						}
																						BgL_arg1847z00_1314 =
																							MAKE_PAIR(BgL_tshapez00_1291,
																							BgL_arg1848z00_1315);
																					}
																					BgL_list1846z00_1313 =
																						MAKE_PAIR(BgL_strzd2idzd2_1288,
																						BgL_arg1847z00_1314);
																				}
																				BgL_arg1845z00_1312 =
																					BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																					(BgL_list1846z00_1313);
																			}
																			return
																				bstring_to_symbol(BgL_arg1845z00_1312);
																		}
																		break;
																	case ((long) 0):

																		{	/* Tools/shape.scm 106 */
																			obj_t BgL_arg1850z00_1317;

																			{	/* Tools/shape.scm 106 */
																				obj_t BgL_list1851z00_1318;

																				{	/* Tools/shape.scm 106 */
																					obj_t BgL_arg1852z00_1319;

																					{	/* Tools/shape.scm 106 */
																						obj_t BgL_arg1854z00_1320;

																						{	/* Tools/shape.scm 106 */
																							obj_t BgL_arg1855z00_1321;

																							BgL_arg1855z00_1321 =
																								MAKE_PAIR(BgL_ashapez00_1293,
																								BNIL);
																							BgL_arg1854z00_1320 =
																								MAKE_PAIR(BgL_ushapez00_1292,
																								BgL_arg1855z00_1321);
																						}
																						BgL_arg1852z00_1319 =
																							MAKE_PAIR(BgL_tshapez00_1291,
																							BgL_arg1854z00_1320);
																					}
																					BgL_list1851z00_1318 =
																						MAKE_PAIR(BgL_strzd2idzd2_1288,
																						BgL_arg1852z00_1319);
																				}
																				BgL_arg1850z00_1317 =
																					BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																					(BgL_list1851z00_1318);
																			}
																			return
																				bstring_to_symbol(BgL_arg1850z00_1317);
																		}
																		break;
																	default:
																	BgL_case_else1094z00_1301:
																		{	/* Tools/shape.scm 108 */
																			obj_t BgL_symz00_1324;

																			{	/* Tools/shape.scm 109 */
																				obj_t BgL_arg1862z00_1328;

																				{	/* Tools/shape.scm 109 */
																					obj_t BgL_list1863z00_1329;

																					{	/* Tools/shape.scm 109 */
																						obj_t BgL_arg1864z00_1330;

																						{	/* Tools/shape.scm 109 */
																							obj_t BgL_arg1865z00_1331;

																							{	/* Tools/shape.scm 109 */
																								obj_t BgL_arg1866z00_1332;

																								BgL_arg1866z00_1332 =
																									MAKE_PAIR(BgL_ashapez00_1293,
																									BNIL);
																								BgL_arg1865z00_1331 =
																									MAKE_PAIR(BgL_ushapez00_1292,
																									BgL_arg1866z00_1332);
																							}
																							BgL_arg1864z00_1330 =
																								MAKE_PAIR(BgL_tshapez00_1291,
																								BgL_arg1865z00_1331);
																						}
																						BgL_list1863z00_1329 =
																							MAKE_PAIR(BgL_strzd2idzd2_1288,
																							BgL_arg1864z00_1330);
																					}
																					BgL_arg1862z00_1328 =
																						BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																						(BgL_list1863z00_1329);
																				}
																				BgL_symz00_1324 =
																					bstring_to_symbol
																					(BgL_arg1862z00_1328);
																			}
																			{	/* Tools/shape.scm 110 */
																				obj_t BgL_arg1858z00_1325;

																				{	/* Tools/shape.scm 110 */
																					obj_t BgL_arg1859z00_1326;

																					BgL_arg1859z00_1326 =
																						MAKE_PAIR(bstring_to_symbol
																						(BgL_modulez00_1289), BNIL);
																					BgL_arg1858z00_1325 =
																						MAKE_PAIR(BgL_symz00_1324,
																						BgL_arg1859z00_1326);
																				}
																				return
																					MAKE_PAIR(CNST_TABLE_REF(((long) 2)),
																					BgL_arg1858z00_1325);
															}}}}
														else
															{	/* Tools/shape.scm 99 */
																goto BgL_case_else1094z00_1301;
															}
													}
												}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zztools_shapez00()
	{
		AN_OBJECT;
		{	/* Tools/shape.scm 16 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2030z00zztools_shapez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2030z00zztools_shapez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 458567972),
				BSTRING_TO_STRING(BGl_string2030z00zztools_shapez00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(((long) 271707717),
				BSTRING_TO_STRING(BGl_string2030z00zztools_shapez00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2030z00zztools_shapez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 328744326),
				BSTRING_TO_STRING(BGl_string2030z00zztools_shapez00));
			return
				BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2030z00zztools_shapez00));
		}
	}

#ifdef __cplusplus
}
#endif
