/*===========================================================================*/
/*   (Type/misc.scm)                                                         */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Type/misc.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;


	extern obj_t BGl_za2pairzd2nilza2zd2zztype_cachez00;
	static long BGl_czd2weightzd2zztype_miscz00(BgL_typez00_bglt);
	static obj_t BGl_z62typezd2disjointzf3z43zztype_miscz00(obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zztype_miscz00();
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zztype_miscz00();
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_findzd2coercerzd2zztype_coercionz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern bool_t BGl_typezd2subclasszf3z21zzobject_classz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62appzd2predicatezd2ofz62zztype_miscz00(obj_t, obj_t);
	extern obj_t BGl_za2epairza2z00zztype_cachez00;
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	static obj_t BGl_requirezd2initializa7ationz75zztype_miscz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zztype_miscz00();
	static obj_t BGl_genericzd2initzd2zztype_miscz00();
	static obj_t BGl_z62isazd2ofzb0zztype_miscz00(obj_t, obj_t);
	static obj_t BGl_z62typezd2lesszd2specificzf3z91zztype_miscz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_czd2subtypezf3z21zztype_miscz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62czd2subtypezf3z43zztype_miscz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_typezd2disjointzf3z21zztype_miscz00(BgL_typez00_bglt, BgL_typez00_bglt);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_za2pairza2z00zztype_cachez00;
	BGL_EXPORTED_DECL bool_t
		BGl_typezd2lesszd2specificzf3zf3zztype_miscz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_coercionz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2predicatezd2ofz00zztype_miscz00(BgL_appz00_bglt);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zztype_miscz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zztype_miscz00();
	static obj_t BGl_importedzd2moduleszd2initz00zztype_miscz00();
	static obj_t BGl_za2isaza2z00zztype_miscz00 = BUNSPEC;
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_za2bnilza2z00zztype_cachez00;
	extern BgL_typez00_bglt BGl_findzd2typezd2zztype_envz00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_EXPORTED_DECL obj_t BGl_isazd2ofzd2zztype_miscz00(BgL_nodez00_bglt);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[10];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_typezd2disjointzf3zd2envzf3zztype_miscz00,
		BgL_bgl_za762typeza7d2disjoi2084z00,
		BGl_z62typezd2disjointzf3z43zztype_miscz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2predicatezd2ofzd2envzd2zztype_miscz00,
		BgL_bgl_za762appza7d2predica2085z00,
		BGl_z62appzd2predicatezd2ofz62zztype_miscz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_isazd2ofzd2envz00zztype_miscz00,
		BgL_bgl_za762isaza7d2ofza7b0za7za72086za7, BGl_z62isazd2ofzb0zztype_miscz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2079z00zztype_miscz00,
		BgL_bgl_string2079za700za7za7t2087za7, "type_misc", 9);
	      DEFINE_STRING(BGl_string2080z00zztype_miscz00,
		BgL_bgl_string2080za700za7za7t2088za7,
		"__object isa? real double llong elong long int short char ", 58);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_typezd2lesszd2specificzf3zd2envz21zztype_miscz00,
		BgL_bgl_za762typeza7d2lessza7d2089za7,
		BGl_z62typezd2lesszd2specificzf3z91zztype_miscz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_czd2subtypezf3zd2envzf3zztype_miscz00,
		BgL_bgl_za762cza7d2subtypeza7f2090za7,
		BGl_z62czd2subtypezf3z43zztype_miscz00, 0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long
		BgL_checksumz00_2495, char *BgL_fromz00_2496)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zztype_miscz00))
				{
					BGl_requirezd2initializa7ationz75zztype_miscz00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zztype_miscz00();
					BGl_cnstzd2initzd2zztype_miscz00();
					BGl_importedzd2moduleszd2initz00zztype_miscz00();
					BGl_toplevelzd2initzd2zztype_miscz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zztype_miscz00()
	{
		AN_OBJECT;
		{	/* Type/misc.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "type_misc");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "type_misc");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"type_misc");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"type_misc");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"type_misc");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zztype_miscz00()
	{
		AN_OBJECT;
		{	/* Type/misc.scm 15 */
			{	/* Type/misc.scm 15 */
				obj_t BgL_cportz00_2487;

				BgL_cportz00_2487 =
					bgl_open_input_string(BGl_string2080z00zztype_miscz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2488;

					BgL_iz00_2488 = ((long) 9);
				BgL_loopz00_2489:
					if ((BgL_iz00_2488 == ((long) -1)))
						{	/* Type/misc.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Type/misc.scm 15 */
							{	/* Type/misc.scm 15 */
								obj_t BgL_arg2083z00_2491;

								{	/* Type/misc.scm 15 */

									{	/* Type/misc.scm 15 */
										obj_t BgL_locationz00_2493;

										BgL_locationz00_2493 = BBOOL(((bool_t) 0));
										{	/* Type/misc.scm 15 */

											BgL_arg2083z00_2491 =
												BGl_readz00zz__readerz00(BgL_cportz00_2487,
												BgL_locationz00_2493);
										}
									}
								}
								{	/* Type/misc.scm 15 */
									int BgL_auxz00_2515;

									BgL_auxz00_2515 = (int) (BgL_iz00_2488);
									CNST_TABLE_SET(BgL_auxz00_2515, BgL_arg2083z00_2491);
							}}
							{	/* Type/misc.scm 15 */
								int BgL_auxz00_2494;

								BgL_auxz00_2494 = (int) ((BgL_iz00_2488 - ((long) 1)));
								{
									long BgL_iz00_2520;

									BgL_iz00_2520 = (long) (BgL_auxz00_2494);
									BgL_iz00_2488 = BgL_iz00_2520;
									goto BgL_loopz00_2489;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zztype_miscz00()
	{
		AN_OBJECT;
		{	/* Type/misc.scm 15 */
			return (BGl_za2isaza2z00zztype_miscz00 = BFALSE, BUNSPEC);
		}
	}



/* type-less-specific? */
	BGL_EXPORTED_DEF bool_t
		BGl_typezd2lesszd2specificzf3zf3zztype_miscz00(BgL_typez00_bglt BgL_t1z00_3,
		BgL_typez00_bglt BgL_t2z00_4)
	{
		AN_OBJECT;
		{	/* Type/misc.scm 37 */
			if ((((obj_t) BgL_t1z00_3) == ((obj_t) BgL_t2z00_4)))
				{	/* Type/misc.scm 39 */
					return ((bool_t) 1);
				}
			else
				{	/* Type/misc.scm 39 */
					if ((((obj_t) BgL_t2z00_4) == BGl_za2_za2z00zztype_cachez00))
						{	/* Type/misc.scm 41 */
							return ((bool_t) 0);
						}
					else
						{	/* Type/misc.scm 43 */
							bool_t BgL_testz00_2529;

							if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_t1z00_3))
								{	/* Type/misc.scm 43 */
									if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_t2z00_4))
										{	/* Type/misc.scm 43 */
											BgL_testz00_2529 = ((bool_t) 0);
										}
									else
										{	/* Type/misc.scm 43 */
											BgL_testz00_2529 = ((bool_t) 1);
										}
								}
							else
								{	/* Type/misc.scm 43 */
									BgL_testz00_2529 = ((bool_t) 1);
								}
							if (BgL_testz00_2529)
								{	/* Type/misc.scm 43 */
									return ((bool_t) 0);
								}
							else
								{	/* Type/misc.scm 43 */
									if (BGl_typezd2subclasszf3z21zzobject_classz00(BgL_t2z00_4,
											BgL_t1z00_3))
										{	/* Type/misc.scm 45 */
											return ((bool_t) 1);
										}
									else
										{	/* Type/misc.scm 45 */
											if (
												(((obj_t) BgL_t1z00_3) ==
													BGl_za2objza2z00zztype_cachez00))
												{	/* Type/misc.scm 47 */
													return ((bool_t) 1);
												}
											else
												{	/* Type/misc.scm 49 */
													bool_t BgL_testz00_2539;

													if (
														(((obj_t) BgL_t1z00_3) ==
															BGl_za2pairzd2nilza2zd2zztype_cachez00))
														{	/* Type/misc.scm 50 */
															bool_t BgL__ortest_1097z00_1445;

															BgL__ortest_1097z00_1445 =
																(
																((obj_t) BgL_t2z00_4) ==
																BGl_za2pairza2z00zztype_cachez00);
															if (BgL__ortest_1097z00_1445)
																{	/* Type/misc.scm 50 */
																	BgL_testz00_2539 = BgL__ortest_1097z00_1445;
																}
															else
																{	/* Type/misc.scm 50 */
																	bool_t BgL__ortest_1098z00_1446;

																	BgL__ortest_1098z00_1446 =
																		(
																		((obj_t) BgL_t2z00_4) ==
																		BGl_za2epairza2z00zztype_cachez00);
																	if (BgL__ortest_1098z00_1446)
																		{	/* Type/misc.scm 50 */
																			BgL_testz00_2539 =
																				BgL__ortest_1098z00_1446;
																		}
																	else
																		{	/* Type/misc.scm 50 */
																			BgL_testz00_2539 =
																				(
																				((obj_t) BgL_t2z00_4) ==
																				BGl_za2bnilza2z00zztype_cachez00);
																		}
																}
														}
													else
														{	/* Type/misc.scm 49 */
															BgL_testz00_2539 = ((bool_t) 0);
														}
													if (BgL_testz00_2539)
														{	/* Type/misc.scm 49 */
															return ((bool_t) 1);
														}
													else
														{	/* Type/misc.scm 49 */
															return ((bool_t) 0);
														}
												}
										}
								}
						}
				}
		}
	}



/* &type-less-specific? */
	obj_t BGl_z62typezd2lesszd2specificzf3z91zztype_miscz00(obj_t BgL_envz00_2474,
		obj_t BgL_t1z00_2475, obj_t BgL_t2z00_2476)
	{
		AN_OBJECT;
		{	/* Type/misc.scm 37 */
			return
				BBOOL(BGl_typezd2lesszd2specificzf3zf3zztype_miscz00(
					((BgL_typez00_bglt) BgL_t1z00_2475),
					((BgL_typez00_bglt) BgL_t2z00_2476)));
		}
	}



/* type-disjoint? */
	BGL_EXPORTED_DEF bool_t
		BGl_typezd2disjointzf3z21zztype_miscz00(BgL_typez00_bglt BgL_t1z00_5,
		BgL_typez00_bglt BgL_t2z00_6)
	{
		AN_OBJECT;
		{	/* Type/misc.scm 60 */
			if ((((obj_t) BgL_t1z00_5) == ((obj_t) BgL_t2z00_6)))
				{	/* Type/misc.scm 62 */
					return ((bool_t) 0);
				}
			else
				{	/* Type/misc.scm 62 */
					if ((((obj_t) BgL_t2z00_6) == BGl_za2_za2z00zztype_cachez00))
						{	/* Type/misc.scm 64 */
							return ((bool_t) 0);
						}
					else
						{	/* Type/misc.scm 66 */
							bool_t BgL_testz00_2562;

							{	/* Type/misc.scm 66 */
								bool_t BgL_testz00_2563;

								if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_t1z00_5))
									{	/* Type/misc.scm 66 */
										if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_t2z00_6))
											{	/* Type/misc.scm 66 */
												BgL_testz00_2563 = ((bool_t) 0);
											}
										else
											{	/* Type/misc.scm 66 */
												BgL_testz00_2563 = ((bool_t) 1);
											}
									}
								else
									{	/* Type/misc.scm 66 */
										BgL_testz00_2563 = ((bool_t) 0);
									}
								if (BgL_testz00_2563)
									{	/* Type/misc.scm 66 */
										BgL_testz00_2562 = ((bool_t) 1);
									}
								else
									{	/* Type/misc.scm 67 */
										bool_t BgL_testz00_2568;

										if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_t1z00_5))
											{	/* Type/misc.scm 67 */
												BgL_testz00_2568 = ((bool_t) 0);
											}
										else
											{	/* Type/misc.scm 67 */
												BgL_testz00_2568 = ((bool_t) 1);
											}
										if (BgL_testz00_2568)
											{	/* Type/misc.scm 67 */
												BgL_testz00_2562 =
													BGl_bigloozd2typezf3z21zztype_typez00(BgL_t2z00_6);
											}
										else
											{	/* Type/misc.scm 67 */
												BgL_testz00_2562 = ((bool_t) 0);
											}
									}
							}
							if (BgL_testz00_2562)
								{	/* Type/misc.scm 70 */
									bool_t BgL_testz00_2572;

									if (CBOOL(BGl_findzd2coercerzd2zztype_coercionz00(BgL_t1z00_5,
												BgL_t2z00_6)))
										{	/* Type/misc.scm 70 */
											BgL_testz00_2572 = ((bool_t) 1);
										}
									else
										{	/* Type/misc.scm 70 */
											BgL_testz00_2572 =
												CBOOL(BGl_findzd2coercerzd2zztype_coercionz00
												(BgL_t2z00_6, BgL_t1z00_5));
										}
									if (BgL_testz00_2572)
										{	/* Type/misc.scm 70 */
											return ((bool_t) 0);
										}
									else
										{	/* Type/misc.scm 70 */
											return ((bool_t) 1);
										}
								}
							else
								{	/* Type/misc.scm 71 */
									bool_t BgL_testz00_2578;

									if (BGl_typezd2lesszd2specificzf3zf3zztype_miscz00
										(BgL_t1z00_5, BgL_t2z00_6))
										{	/* Type/misc.scm 71 */
											BgL_testz00_2578 = ((bool_t) 1);
										}
									else
										{	/* Type/misc.scm 71 */
											BgL_testz00_2578 =
												BGl_typezd2lesszd2specificzf3zf3zztype_miscz00
												(BgL_t2z00_6, BgL_t1z00_5);
										}
									if (BgL_testz00_2578)
										{	/* Type/misc.scm 71 */
											return ((bool_t) 0);
										}
									else
										{	/* Type/misc.scm 74 */
											bool_t BgL_testz00_2582;

											if (CBOOL(BGl_findzd2coercerzd2zztype_coercionz00
													(BgL_t1z00_5, BgL_t2z00_6)))
												{	/* Type/misc.scm 74 */
													BgL_testz00_2582 = ((bool_t) 1);
												}
											else
												{	/* Type/misc.scm 74 */
													BgL_testz00_2582 =
														CBOOL(BGl_findzd2coercerzd2zztype_coercionz00
														(BgL_t2z00_6, BgL_t1z00_5));
												}
											if (BgL_testz00_2582)
												{	/* Type/misc.scm 74 */
													return ((bool_t) 0);
												}
											else
												{	/* Type/misc.scm 74 */
													return ((bool_t) 1);
												}
										}
								}
						}
				}
		}
	}



/* &type-disjoint? */
	obj_t BGl_z62typezd2disjointzf3z43zztype_miscz00(obj_t BgL_envz00_2477,
		obj_t BgL_t1z00_2478, obj_t BgL_t2z00_2479)
	{
		AN_OBJECT;
		{	/* Type/misc.scm 60 */
			return
				BBOOL(BGl_typezd2disjointzf3z21zztype_miscz00(
					((BgL_typez00_bglt) BgL_t1z00_2478),
					((BgL_typez00_bglt) BgL_t2z00_2479)));
		}
	}



/* c-subtype? */
	BGL_EXPORTED_DEF bool_t BGl_czd2subtypezf3z21zztype_miscz00(BgL_typez00_bglt
		BgL_t1z00_7, BgL_typez00_bglt BgL_t2z00_8)
	{
		AN_OBJECT;
		{	/* Type/misc.scm 84 */
			{	/* Type/misc.scm 98 */
				bool_t BgL_testz00_2592;

				if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_t1z00_7))
					{	/* Type/misc.scm 98 */
						BgL_testz00_2592 = ((bool_t) 0);
					}
				else
					{	/* Type/misc.scm 98 */
						if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_t2z00_8))
							{	/* Type/misc.scm 98 */
								BgL_testz00_2592 = ((bool_t) 0);
							}
						else
							{	/* Type/misc.scm 98 */
								BgL_testz00_2592 = ((bool_t) 1);
							}
					}
				if (BgL_testz00_2592)
					{	/* Type/misc.scm 99 */
						long BgL_w1z00_1465;
						long BgL_w2z00_1466;

						BgL_w1z00_1465 = BGl_czd2weightzd2zztype_miscz00(BgL_t1z00_7);
						BgL_w2z00_1466 = BGl_czd2weightzd2zztype_miscz00(BgL_t2z00_8);
						if (((BgL_w1z00_1465 * BgL_w2z00_1466) > ((long) 0)))
							{	/* Type/misc.scm 101 */
								return (BgL_w1z00_1465 < BgL_w2z00_1466);
							}
						else
							{	/* Type/misc.scm 101 */
								return ((bool_t) 0);
							}
					}
				else
					{	/* Type/misc.scm 98 */
						return ((bool_t) 0);
					}
			}
		}
	}



/* c-weight */
	long BGl_czd2weightzd2zztype_miscz00(BgL_typez00_bglt BgL_tz00_1471)
	{
		AN_OBJECT;
		{	/* Type/misc.scm 96 */
			{	/* Type/misc.scm 87 */
				obj_t BgL_casezd2valuezd2_1473;

				BgL_casezd2valuezd2_1473 =
					(((BgL_typez00_bglt) CREF(BgL_tz00_1471))->BgL_idz00);
				if ((BgL_casezd2valuezd2_1473 == CNST_TABLE_REF(((long) 0))))
					{	/* Type/misc.scm 87 */
						return ((long) 1);
					}
				else
					{	/* Type/misc.scm 87 */
						if ((BgL_casezd2valuezd2_1473 == CNST_TABLE_REF(((long) 1))))
							{	/* Type/misc.scm 87 */
								return ((long) 2);
							}
						else
							{	/* Type/misc.scm 87 */
								if ((BgL_casezd2valuezd2_1473 == CNST_TABLE_REF(((long) 2))))
									{	/* Type/misc.scm 87 */
										return ((long) 3);
									}
								else
									{	/* Type/misc.scm 87 */
										if (
											(BgL_casezd2valuezd2_1473 == CNST_TABLE_REF(((long) 3))))
											{	/* Type/misc.scm 87 */
												return ((long) 4);
											}
										else
											{	/* Type/misc.scm 87 */
												if (
													(BgL_casezd2valuezd2_1473 ==
														CNST_TABLE_REF(((long) 4))))
													{	/* Type/misc.scm 87 */
														return ((long) 4);
													}
												else
													{	/* Type/misc.scm 87 */
														if (
															(BgL_casezd2valuezd2_1473 ==
																CNST_TABLE_REF(((long) 5))))
															{	/* Type/misc.scm 87 */
																return ((long) 5);
															}
														else
															{	/* Type/misc.scm 87 */
																if (
																	(BgL_casezd2valuezd2_1473 ==
																		CNST_TABLE_REF(((long) 6))))
																	{	/* Type/misc.scm 87 */
																		return ((long) -1);
																	}
																else
																	{	/* Type/misc.scm 87 */
																		if (
																			(BgL_casezd2valuezd2_1473 ==
																				CNST_TABLE_REF(((long) 7))))
																			{	/* Type/misc.scm 87 */
																				return ((long) -2);
																			}
																		else
																			{	/* Type/misc.scm 87 */
																				return ((long) -1);
		}}}}}}}}}}
	}



/* &c-subtype? */
	obj_t BGl_z62czd2subtypezf3z43zztype_miscz00(obj_t BgL_envz00_2480,
		obj_t BgL_t1z00_2481, obj_t BgL_t2z00_2482)
	{
		AN_OBJECT;
		{	/* Type/misc.scm 84 */
			return
				BBOOL(BGl_czd2subtypezf3z21zztype_miscz00(
					((BgL_typez00_bglt) BgL_t1z00_2481),
					((BgL_typez00_bglt) BgL_t2z00_2482)));
		}
	}



/* isa-of */
	BGL_EXPORTED_DEF obj_t BGl_isazd2ofzd2zztype_miscz00(BgL_nodez00_bglt
		BgL_nodez00_9)
	{
		AN_OBJECT;
		{	/* Type/misc.scm 111 */
			{	/* Type/misc.scm 112 */
				bool_t BgL_testz00_2632;

				{	/* Type/misc.scm 112 */
					bool_t BgL_res2068z00_2428;

					BgL_res2068z00_2428 =
						BGl_isazf3zf3zz__objectz00(
						((obj_t) BgL_nodez00_9), BGl_appz00zzast_nodez00);
					BgL_testz00_2632 = BgL_res2068z00_2428;
				}
				if (BgL_testz00_2632)
					{	/* Type/misc.scm 112 */
						{	/* Type/misc.scm 113 */
							bool_t BgL_testz00_2635;

							{	/* Type/misc.scm 113 */
								bool_t BgL_res2069z00_2430;

								{	/* Type/misc.scm 113 */
									obj_t BgL_objz00_2429;

									BgL_objz00_2429 = BGl_za2isaza2z00zztype_miscz00;
									BgL_res2069z00_2430 =
										BGl_isazf3zf3zz__objectz00(BgL_objz00_2429,
										BGl_globalz00zzast_varz00);
								}
								BgL_testz00_2635 = BgL_res2069z00_2430;
							}
							if (BgL_testz00_2635)
								{	/* Type/misc.scm 113 */
									BFALSE;
								}
							else
								{	/* Type/misc.scm 113 */
									BGl_za2isaza2z00zztype_miscz00 =
										BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF((
												(long) 8)), CNST_TABLE_REF(((long) 9)));
						}}
						{	/* Type/misc.scm 116 */
							bool_t BgL_testz00_2640;

							{	/* Type/misc.scm 116 */
								obj_t BgL_auxz00_2641;

								BgL_auxz00_2641 =
									(((BgL_appz00_bglt) CREF(
											((BgL_appz00_bglt) BgL_nodez00_9)))->BgL_argsz00);
								BgL_testz00_2640 = PAIRP(BgL_auxz00_2641);
							}
							if (BgL_testz00_2640)
								{	/* Type/misc.scm 117 */
									bool_t BgL_testz00_2645;

									{	/* Type/misc.scm 117 */
										bool_t BgL_testz00_2646;

										{	/* Type/misc.scm 117 */
											BgL_variablez00_bglt BgL_arg1954z00_1499;

											BgL_arg1954z00_1499 =
												(((BgL_varz00_bglt) CREF(
														(((BgL_appz00_bglt) CREF(
																	((BgL_appz00_bglt) BgL_nodez00_9)))->
															BgL_funz00)))->BgL_variablez00);
											BgL_testz00_2646 =
												(((obj_t) BgL_arg1954z00_1499) ==
												BGl_za2isaza2z00zztype_miscz00);
										}
										if (BgL_testz00_2646)
											{	/* Type/misc.scm 118 */
												bool_t BgL_testz00_2652;

												{	/* Type/misc.scm 118 */
													obj_t BgL_arg1952z00_1497;

													{	/* Type/misc.scm 118 */
														obj_t BgL_pairz00_2436;

														BgL_pairz00_2436 =
															(((BgL_appz00_bglt) CREF(
																	((BgL_appz00_bglt) BgL_nodez00_9)))->
															BgL_argsz00);
														BgL_arg1952z00_1497 = CAR(CDR(BgL_pairz00_2436));
													}
													BgL_testz00_2652 =
														BGl_isazf3zf3zz__objectz00(BgL_arg1952z00_1497,
														BGl_varz00zzast_nodez00);
												}
												if (BgL_testz00_2652)
													{	/* Type/misc.scm 119 */
														BgL_variablez00_bglt BgL_arg1949z00_1494;

														{
															BgL_varz00_bglt BgL_auxz00_2658;

															{
																obj_t BgL_auxz00_2659;

																{	/* Type/misc.scm 119 */
																	obj_t BgL_pairz00_2442;

																	BgL_pairz00_2442 =
																		(((BgL_appz00_bglt) CREF(
																				((BgL_appz00_bglt) BgL_nodez00_9)))->
																		BgL_argsz00);
																	{	/* Type/misc.scm 119 */
																		obj_t BgL_pairz00_2445;

																		BgL_pairz00_2445 = CDR(BgL_pairz00_2442);
																		BgL_auxz00_2659 = CAR(BgL_pairz00_2445);
																	}
																}
																BgL_auxz00_2658 =
																	((BgL_varz00_bglt) BgL_auxz00_2659);
															}
															BgL_arg1949z00_1494 =
																(((BgL_varz00_bglt) CREF(BgL_auxz00_2658))->
																BgL_variablez00);
														}
														{	/* Type/misc.scm 119 */
															bool_t BgL_res2074z00_2450;

															BgL_res2074z00_2450 =
																BGl_isazf3zf3zz__objectz00(
																((obj_t) BgL_arg1949z00_1494),
																BGl_globalz00zzast_varz00);
															BgL_testz00_2645 = BgL_res2074z00_2450;
														}
													}
												else
													{	/* Type/misc.scm 118 */
														BgL_testz00_2645 = ((bool_t) 0);
													}
											}
										else
											{	/* Type/misc.scm 117 */
												BgL_testz00_2645 = ((bool_t) 0);
											}
									}
									if (BgL_testz00_2645)
										{	/* Type/misc.scm 120 */
											obj_t BgL_arg1943z00_1488;

											{
												BgL_variablez00_bglt BgL_auxz00_2668;

												{
													BgL_globalz00_bglt BgL_auxz00_2669;

													{
														BgL_variablez00_bglt BgL_auxz00_2670;

														{
															BgL_varz00_bglt BgL_auxz00_2671;

															{
																obj_t BgL_auxz00_2672;

																{	/* Type/misc.scm 120 */
																	obj_t BgL_pairz00_2451;

																	BgL_pairz00_2451 =
																		(((BgL_appz00_bglt) CREF(
																				((BgL_appz00_bglt) BgL_nodez00_9)))->
																		BgL_argsz00);
																	{	/* Type/misc.scm 120 */
																		obj_t BgL_pairz00_2454;

																		BgL_pairz00_2454 = CDR(BgL_pairz00_2451);
																		BgL_auxz00_2672 = CAR(BgL_pairz00_2454);
																	}
																}
																BgL_auxz00_2671 =
																	((BgL_varz00_bglt) BgL_auxz00_2672);
															}
															BgL_auxz00_2670 =
																(((BgL_varz00_bglt) CREF(BgL_auxz00_2671))->
																BgL_variablez00);
														}
														BgL_auxz00_2669 =
															((BgL_globalz00_bglt) BgL_auxz00_2670);
													}
													BgL_auxz00_2668 =
														((BgL_variablez00_bglt) BgL_auxz00_2669);
												}
												BgL_arg1943z00_1488 =
													(((BgL_variablez00_bglt) CREF(BgL_auxz00_2668))->
													BgL_idz00);
											}
											return
												((obj_t)
												BGl_findzd2typezd2zztype_envz00(BgL_arg1943z00_1488));
										}
									else
										{	/* Type/misc.scm 117 */
											return BFALSE;
										}
								}
							else
								{	/* Type/misc.scm 116 */
									return BFALSE;
								}
						}
					}
				else
					{	/* Type/misc.scm 112 */
						return BFALSE;
					}
			}
		}
	}



/* &isa-of */
	obj_t BGl_z62isazd2ofzb0zztype_miscz00(obj_t BgL_envz00_2483,
		obj_t BgL_nodez00_2484)
	{
		AN_OBJECT;
		{	/* Type/misc.scm 111 */
			return
				BGl_isazd2ofzd2zztype_miscz00(((BgL_nodez00_bglt) BgL_nodez00_2484));
		}
	}



/* app-predicate-of */
	BGL_EXPORTED_DEF obj_t
		BGl_appzd2predicatezd2ofz00zztype_miscz00(BgL_appz00_bglt BgL_nodez00_11)
	{
		AN_OBJECT;
		{	/* Type/misc.scm 149 */
			{	/* Type/misc.scm 151 */
				BgL_valuez00_bglt BgL_valz00_1539;

				BgL_valz00_1539 =
					(((BgL_variablez00_bglt) CREF(
							(((BgL_varz00_bglt) CREF(
										(((BgL_appz00_bglt) CREF(BgL_nodez00_11))->BgL_funz00)))->
								BgL_variablez00)))->BgL_valuez00);
				{	/* Type/misc.scm 152 */
					obj_t BgL__ortest_1105z00_1540;

					BgL__ortest_1105z00_1540 =
						(((BgL_funz00_bglt) CREF(
								((BgL_funz00_bglt) BgL_valz00_1539)))->BgL_predicatezd2ofzd2);
					if (CBOOL(BgL__ortest_1105z00_1540))
						{	/* Type/misc.scm 152 */
							return BgL__ortest_1105z00_1540;
						}
					else
						{	/* Type/misc.scm 152 */
							return
								BGl_isazd2ofzd2zztype_miscz00(
								((BgL_nodez00_bglt) BgL_nodez00_11));
						}
				}
			}
		}
	}



/* &app-predicate-of */
	obj_t BGl_z62appzd2predicatezd2ofz62zztype_miscz00(obj_t BgL_envz00_2485,
		obj_t BgL_nodez00_2486)
	{
		AN_OBJECT;
		{	/* Type/misc.scm 149 */
			return
				BGl_appzd2predicatezd2ofz00zztype_miscz00(
				((BgL_appz00_bglt) BgL_nodez00_2486));
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zztype_miscz00()
	{
		AN_OBJECT;
		{	/* Type/misc.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zztype_miscz00()
	{
		AN_OBJECT;
		{	/* Type/misc.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zztype_miscz00()
	{
		AN_OBJECT;
		{	/* Type/misc.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zztype_miscz00()
	{
		AN_OBJECT;
		{	/* Type/misc.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2079z00zztype_miscz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 164192787),
				BSTRING_TO_STRING(BGl_string2079z00zztype_miscz00));
			BGl_modulezd2initializa7ationz75zztype_coercionz00(((long) 116865673),
				BSTRING_TO_STRING(BGl_string2079z00zztype_miscz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2079z00zztype_miscz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 481724379),
				BSTRING_TO_STRING(BGl_string2079z00zztype_miscz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2079z00zztype_miscz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 458567972),
				BSTRING_TO_STRING(BGl_string2079z00zztype_miscz00));
			return
				BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2079z00zztype_miscz00));
		}
	}

#ifdef __cplusplus
}
#endif
