/*===========================================================================*/
/*   (Llib/bit.scm)                                                          */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-safe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -O3 -mklib -cc gcc -fsharing -q -unsafev -eval (set! *indent* 4) -copt -fPIC -c Llib/bit.scm -indent -o objs/obj_s/Llib/bit.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
static obj_t BGl_z62bitzd2rshzb0zz__bitz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL long BGl_bitzd2andzd2zz__bitz00(long, long);
static obj_t BGl_z62bitzd2andzb0zz__bitz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL long BGl_bitzd2xorzd2zz__bitz00(long, long);
BGL_EXPORTED_DECL long BGl_bitzd2lshelongzd2zz__bitz00(long, long);
static obj_t BGl_z62bitzd2xorzb0zz__bitz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62bitzd2rshelongzb0zz__bitz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL long BGl_bitzd2andelongzd2zz__bitz00(long, long);
static obj_t BGl_z62bitzd2notelongzb0zz__bitz00(obj_t, obj_t);
static obj_t BGl_z62bitzd2xorllongzb0zz__bitz00(obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__bitz00 = BUNSPEC;
static obj_t BGl_z62bitzd2urshzb0zz__bitz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL long BGl_bitzd2orelongzd2zz__bitz00(long, long);
static obj_t BGl_z62bitzd2orelongzb0zz__bitz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL long BGl_bitzd2rshelongzd2zz__bitz00(long, long);
BGL_EXPORTED_DECL long BGl_bitzd2notelongzd2zz__bitz00(long);
static obj_t BGl_z62bitzd2lshllongzb0zz__bitz00(obj_t, obj_t, obj_t);
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_z62bitzd2andllongzb0zz__bitz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL BGL_LONGLONG_T BGl_bitzd2xorllongzd2zz__bitz00(BGL_LONGLONG_T, BGL_LONGLONG_T);
static obj_t BGl_z62bitzd2urshelongzb0zz__bitz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL unsigned BGL_LONGLONG_T BGl_bitzd2urshllongzd2zz__bitz00(unsigned BGL_LONGLONG_T, long);
BGL_EXPORTED_DECL long BGl_bitzd2orzd2zz__bitz00(long, long);
BGL_EXPORTED_DECL unsigned long BGl_bitzd2urshzd2zz__bitz00(unsigned long, long);
BGL_EXPORTED_DECL long BGl_bitzd2lshzd2zz__bitz00(long, long);
static obj_t BGl_z62bitzd2lshzb0zz__bitz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL long BGl_bitzd2notzd2zz__bitz00(long);
static obj_t BGl_z62bitzd2notzb0zz__bitz00(obj_t, obj_t);
BGL_EXPORTED_DECL BGL_LONGLONG_T BGl_bitzd2lshllongzd2zz__bitz00(BGL_LONGLONG_T, long);
static obj_t BGl_z62bitzd2rshllongzb0zz__bitz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL BGL_LONGLONG_T BGl_bitzd2andllongzd2zz__bitz00(BGL_LONGLONG_T, BGL_LONGLONG_T);
static obj_t BGl_z62bitzd2notllongzb0zz__bitz00(obj_t, obj_t);
static obj_t BGl_z62bitzd2xorelongzb0zz__bitz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62bitzd2orzb0zz__bitz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL BGL_LONGLONG_T BGl_bitzd2orllongzd2zz__bitz00(BGL_LONGLONG_T, BGL_LONGLONG_T);
static obj_t BGl_importedzd2moduleszd2initz00zz__bitz00();
static obj_t BGl_z62bitzd2lshelongzb0zz__bitz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62bitzd2orllongzb0zz__bitz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL BGL_LONGLONG_T BGl_bitzd2rshllongzd2zz__bitz00(BGL_LONGLONG_T, long);
BGL_EXPORTED_DECL BGL_LONGLONG_T BGl_bitzd2notllongzd2zz__bitz00(BGL_LONGLONG_T);
static obj_t BGl_z62bitzd2andelongzb0zz__bitz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL long BGl_bitzd2xorelongzd2zz__bitz00(long, long);
BGL_EXPORTED_DECL unsigned long BGl_bitzd2urshelongzd2zz__bitz00(unsigned long, long);
static obj_t BGl_z62bitzd2urshllongzb0zz__bitz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL long BGl_bitzd2rshzd2zz__bitz00(long, long);
static obj_t *__cnst;


DEFINE_STRING( BGl_string1390z00zz__bitz00, BgL_bgl_string1390za700za7za7_1411za7, "&bit-orllong", 12 );
DEFINE_STRING( BGl_string1391z00zz__bitz00, BgL_bgl_string1391za700za7za7_1412za7, "bllong", 6 );
DEFINE_STRING( BGl_string1392z00zz__bitz00, BgL_bgl_string1392za700za7za7_1413za7, "&bit-and", 8 );
DEFINE_STRING( BGl_string1393z00zz__bitz00, BgL_bgl_string1393za700za7za7_1414za7, "&bit-andelong", 13 );
DEFINE_STRING( BGl_string1394z00zz__bitz00, BgL_bgl_string1394za700za7za7_1415za7, "&bit-andllong", 13 );
DEFINE_STRING( BGl_string1395z00zz__bitz00, BgL_bgl_string1395za700za7za7_1416za7, "&bit-xor", 8 );
DEFINE_STRING( BGl_string1396z00zz__bitz00, BgL_bgl_string1396za700za7za7_1417za7, "&bit-xorelong", 13 );
DEFINE_STRING( BGl_string1397z00zz__bitz00, BgL_bgl_string1397za700za7za7_1418za7, "&bit-xorllong", 13 );
DEFINE_STRING( BGl_string1398z00zz__bitz00, BgL_bgl_string1398za700za7za7_1419za7, "&bit-not", 8 );
DEFINE_STRING( BGl_string1399z00zz__bitz00, BgL_bgl_string1399za700za7za7_1420za7, "&bit-notelong", 13 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bitzd2orelongzd2envz00zz__bitz00, BgL_bgl_za762bitza7d2orelong1421z00, BGl_z62bitzd2orelongzb0zz__bitz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1400z00zz__bitz00, BgL_bgl_string1400za700za7za7_1422za7, "&bit-notllong", 13 );
DEFINE_STRING( BGl_string1401z00zz__bitz00, BgL_bgl_string1401za700za7za7_1423za7, "&bit-rsh", 8 );
DEFINE_STRING( BGl_string1402z00zz__bitz00, BgL_bgl_string1402za700za7za7_1424za7, "&bit-rshelong", 13 );
DEFINE_STRING( BGl_string1403z00zz__bitz00, BgL_bgl_string1403za700za7za7_1425za7, "&bit-rshllong", 13 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bitzd2orllongzd2envz00zz__bitz00, BgL_bgl_za762bitza7d2orllong1426z00, BGl_z62bitzd2orllongzb0zz__bitz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1404z00zz__bitz00, BgL_bgl_string1404za700za7za7_1427za7, "&bit-ursh", 9 );
DEFINE_STRING( BGl_string1405z00zz__bitz00, BgL_bgl_string1405za700za7za7_1428za7, "&bit-urshelong", 14 );
DEFINE_STRING( BGl_string1406z00zz__bitz00, BgL_bgl_string1406za700za7za7_1429za7, "&bit-urshllong", 14 );
DEFINE_STRING( BGl_string1407z00zz__bitz00, BgL_bgl_string1407za700za7za7_1430za7, "&bit-lsh", 8 );
DEFINE_STRING( BGl_string1408z00zz__bitz00, BgL_bgl_string1408za700za7za7_1431za7, "&bit-lshelong", 13 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bitzd2rshelongzd2envz00zz__bitz00, BgL_bgl_za762bitza7d2rshelon1432z00, BGl_z62bitzd2rshelongzb0zz__bitz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1409z00zz__bitz00, BgL_bgl_string1409za700za7za7_1433za7, "&bit-lshllong", 13 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bitzd2notelongzd2envz00zz__bitz00, BgL_bgl_za762bitza7d2notelon1434z00, BGl_z62bitzd2notelongzb0zz__bitz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bitzd2rshllongzd2envz00zz__bitz00, BgL_bgl_za762bitza7d2rshllon1435z00, BGl_z62bitzd2rshllongzb0zz__bitz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bitzd2notllongzd2envz00zz__bitz00, BgL_bgl_za762bitza7d2notllon1436z00, BGl_z62bitzd2notllongzb0zz__bitz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bitzd2urshelongzd2envz00zz__bitz00, BgL_bgl_za762bitza7d2urshelo1437z00, BGl_z62bitzd2urshelongzb0zz__bitz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1410z00zz__bitz00, BgL_bgl_string1410za700za7za7_1438za7, "__bit", 5 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bitzd2urshllongzd2envz00zz__bitz00, BgL_bgl_za762bitza7d2urshllo1439z00, BGl_z62bitzd2urshllongzb0zz__bitz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bitzd2urshzd2envz00zz__bitz00, BgL_bgl_za762bitza7d2urshza7b01440za7, BGl_z62bitzd2urshzb0zz__bitz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bitzd2rshzd2envz00zz__bitz00, BgL_bgl_za762bitza7d2rshza7b0za71441z00, BGl_z62bitzd2rshzb0zz__bitz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bitzd2andzd2envz00zz__bitz00, BgL_bgl_za762bitza7d2andza7b0za71442z00, BGl_z62bitzd2andzb0zz__bitz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bitzd2xorzd2envz00zz__bitz00, BgL_bgl_za762bitza7d2xorza7b0za71443z00, BGl_z62bitzd2xorzb0zz__bitz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bitzd2xorelongzd2envz00zz__bitz00, BgL_bgl_za762bitza7d2xorelon1444z00, BGl_z62bitzd2xorelongzb0zz__bitz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bitzd2xorllongzd2envz00zz__bitz00, BgL_bgl_za762bitza7d2xorllon1445z00, BGl_z62bitzd2xorllongzb0zz__bitz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bitzd2orzd2envz00zz__bitz00, BgL_bgl_za762bitza7d2orza7b0za7za71446za7, BGl_z62bitzd2orzb0zz__bitz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bitzd2lshzd2envz00zz__bitz00, BgL_bgl_za762bitza7d2lshza7b0za71447z00, BGl_z62bitzd2lshzb0zz__bitz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bitzd2notzd2envz00zz__bitz00, BgL_bgl_za762bitza7d2notza7b0za71448z00, BGl_z62bitzd2notzb0zz__bitz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bitzd2lshelongzd2envz00zz__bitz00, BgL_bgl_za762bitza7d2lshelon1449z00, BGl_z62bitzd2lshelongzb0zz__bitz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bitzd2lshllongzd2envz00zz__bitz00, BgL_bgl_za762bitza7d2lshllon1450z00, BGl_z62bitzd2lshllongzb0zz__bitz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1385z00zz__bitz00, BgL_bgl_string1385za700za7za7_1451za7, "/tmp/bigloo/runtime/Llib/bit.scm", 32 );
DEFINE_STRING( BGl_string1386z00zz__bitz00, BgL_bgl_string1386za700za7za7_1452za7, "&bit-or", 7 );
DEFINE_STRING( BGl_string1387z00zz__bitz00, BgL_bgl_string1387za700za7za7_1453za7, "bint", 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bitzd2andelongzd2envz00zz__bitz00, BgL_bgl_za762bitza7d2andelon1454z00, BGl_z62bitzd2andelongzb0zz__bitz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1388z00zz__bitz00, BgL_bgl_string1388za700za7za7_1455za7, "&bit-orelong", 12 );
DEFINE_STRING( BGl_string1389z00zz__bitz00, BgL_bgl_string1389za700za7za7_1456za7, "belong", 6 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bitzd2andllongzd2envz00zz__bitz00, BgL_bgl_za762bitza7d2andllon1457z00, BGl_z62bitzd2andllongzb0zz__bitz00, 0L, BUNSPEC, 2 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long BgL_checksumz00_889, char * BgL_fromz00_890)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__bitz00))
{ 
BGl_requirezd2initializa7ationz75zz__bitz00 = 
BBOOL(((bool_t)0)); 
BGl_importedzd2moduleszd2initz00zz__bitz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* bit-or */
BGL_EXPORTED_DEF long BGl_bitzd2orzd2zz__bitz00(long BgL_xz00_3, long BgL_yz00_4)
{ AN_OBJECT;
{ /* Llib/bit.scm 167 */
return 
(BgL_xz00_3 | BgL_yz00_4);} 
}



/* &bit-or */
obj_t BGl_z62bitzd2orzb0zz__bitz00(obj_t BgL_envz00_712, obj_t BgL_xz00_713, obj_t BgL_yz00_714)
{ AN_OBJECT;
{ /* Llib/bit.scm 167 */
{ /* Llib/bit.scm 168 */
long BgL_auxz00_896;
{ /* Llib/bit.scm 168 */
long BgL_xz00_850;long BgL_yz00_851;
{ /* Llib/bit.scm 168 */
obj_t BgL_auxz00_897;
if(
INTEGERP(BgL_xz00_713))
{ /* Llib/bit.scm 168 */
BgL_auxz00_897 = BgL_xz00_713
; }  else 
{ 
obj_t BgL_auxz00_900;
BgL_auxz00_900 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1385z00zz__bitz00, 
BINT(((long)7844)), BGl_string1386z00zz__bitz00, BGl_string1387z00zz__bitz00, BgL_xz00_713); 
FAILURE(BgL_auxz00_900,BFALSE,BFALSE);} 
BgL_xz00_850 = 
(long)CINT(BgL_auxz00_897); } 
{ /* Llib/bit.scm 168 */
obj_t BgL_auxz00_905;
if(
INTEGERP(BgL_yz00_714))
{ /* Llib/bit.scm 168 */
BgL_auxz00_905 = BgL_yz00_714
; }  else 
{ 
obj_t BgL_auxz00_908;
BgL_auxz00_908 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1385z00zz__bitz00, 
BINT(((long)7844)), BGl_string1386z00zz__bitz00, BGl_string1387z00zz__bitz00, BgL_yz00_714); 
FAILURE(BgL_auxz00_908,BFALSE,BFALSE);} 
BgL_yz00_851 = 
(long)CINT(BgL_auxz00_905); } 
BgL_auxz00_896 = 
(BgL_xz00_850 | BgL_yz00_851); } 
return 
BINT(BgL_auxz00_896);} } 
}



/* bit-orelong */
BGL_EXPORTED_DEF long BGl_bitzd2orelongzd2zz__bitz00(long BgL_xz00_5, long BgL_yz00_6)
{ AN_OBJECT;
{ /* Llib/bit.scm 173 */
return 
(BgL_xz00_5 | BgL_yz00_6);} 
}



/* &bit-orelong */
obj_t BGl_z62bitzd2orelongzb0zz__bitz00(obj_t BgL_envz00_715, obj_t BgL_xz00_716, obj_t BgL_yz00_717)
{ AN_OBJECT;
{ /* Llib/bit.scm 173 */
{ /* Llib/bit.scm 174 */
long BgL_auxz00_916;
{ /* Llib/bit.scm 174 */
long BgL_xz00_852;long BgL_yz00_853;
{ /* Llib/bit.scm 174 */
obj_t BgL_auxz00_917;
if(
ELONGP(BgL_xz00_716))
{ /* Llib/bit.scm 174 */
BgL_auxz00_917 = BgL_xz00_716
; }  else 
{ 
obj_t BgL_auxz00_920;
BgL_auxz00_920 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1385z00zz__bitz00, 
BINT(((long)8118)), BGl_string1388z00zz__bitz00, BGl_string1389z00zz__bitz00, BgL_xz00_716); 
FAILURE(BgL_auxz00_920,BFALSE,BFALSE);} 
BgL_xz00_852 = 
BELONG_TO_LONG(BgL_auxz00_917); } 
{ /* Llib/bit.scm 174 */
obj_t BgL_auxz00_925;
if(
ELONGP(BgL_yz00_717))
{ /* Llib/bit.scm 174 */
BgL_auxz00_925 = BgL_yz00_717
; }  else 
{ 
obj_t BgL_auxz00_928;
BgL_auxz00_928 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1385z00zz__bitz00, 
BINT(((long)8118)), BGl_string1388z00zz__bitz00, BGl_string1389z00zz__bitz00, BgL_yz00_717); 
FAILURE(BgL_auxz00_928,BFALSE,BFALSE);} 
BgL_yz00_853 = 
BELONG_TO_LONG(BgL_auxz00_925); } 
BgL_auxz00_916 = 
(BgL_xz00_852 | BgL_yz00_853); } 
return 
make_belong(BgL_auxz00_916);} } 
}



/* bit-orllong */
BGL_EXPORTED_DEF BGL_LONGLONG_T BGl_bitzd2orllongzd2zz__bitz00(BGL_LONGLONG_T BgL_xz00_7, BGL_LONGLONG_T BgL_yz00_8)
{ AN_OBJECT;
{ /* Llib/bit.scm 179 */
return 
(BgL_xz00_7 | BgL_yz00_8);} 
}



/* &bit-orllong */
obj_t BGl_z62bitzd2orllongzb0zz__bitz00(obj_t BgL_envz00_718, obj_t BgL_xz00_719, obj_t BgL_yz00_720)
{ AN_OBJECT;
{ /* Llib/bit.scm 179 */
{ /* Llib/bit.scm 180 */
BGL_LONGLONG_T BgL_auxz00_936;
{ /* Llib/bit.scm 180 */
BGL_LONGLONG_T BgL_xz00_854;BGL_LONGLONG_T BgL_yz00_855;
{ /* Llib/bit.scm 180 */
obj_t BgL_auxz00_937;
if(
LLONGP(BgL_xz00_719))
{ /* Llib/bit.scm 180 */
BgL_auxz00_937 = BgL_xz00_719
; }  else 
{ 
obj_t BgL_auxz00_940;
BgL_auxz00_940 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1385z00zz__bitz00, 
BINT(((long)8397)), BGl_string1390z00zz__bitz00, BGl_string1391z00zz__bitz00, BgL_xz00_719); 
FAILURE(BgL_auxz00_940,BFALSE,BFALSE);} 
BgL_xz00_854 = 
BLLONG_TO_LLONG(BgL_auxz00_937); } 
{ /* Llib/bit.scm 180 */
obj_t BgL_auxz00_945;
if(
LLONGP(BgL_yz00_720))
{ /* Llib/bit.scm 180 */
BgL_auxz00_945 = BgL_yz00_720
; }  else 
{ 
obj_t BgL_auxz00_948;
BgL_auxz00_948 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1385z00zz__bitz00, 
BINT(((long)8397)), BGl_string1390z00zz__bitz00, BGl_string1391z00zz__bitz00, BgL_yz00_720); 
FAILURE(BgL_auxz00_948,BFALSE,BFALSE);} 
BgL_yz00_855 = 
BLLONG_TO_LLONG(BgL_auxz00_945); } 
BgL_auxz00_936 = 
(BgL_xz00_854 | BgL_yz00_855); } 
return 
make_bllong(BgL_auxz00_936);} } 
}



/* bit-and */
BGL_EXPORTED_DEF long BGl_bitzd2andzd2zz__bitz00(long BgL_xz00_9, long BgL_yz00_10)
{ AN_OBJECT;
{ /* Llib/bit.scm 185 */
return 
(BgL_xz00_9 & BgL_yz00_10);} 
}



/* &bit-and */
obj_t BGl_z62bitzd2andzb0zz__bitz00(obj_t BgL_envz00_721, obj_t BgL_xz00_722, obj_t BgL_yz00_723)
{ AN_OBJECT;
{ /* Llib/bit.scm 185 */
{ /* Llib/bit.scm 186 */
long BgL_auxz00_956;
{ /* Llib/bit.scm 186 */
long BgL_xz00_856;long BgL_yz00_857;
{ /* Llib/bit.scm 186 */
obj_t BgL_auxz00_957;
if(
INTEGERP(BgL_xz00_722))
{ /* Llib/bit.scm 186 */
BgL_auxz00_957 = BgL_xz00_722
; }  else 
{ 
obj_t BgL_auxz00_960;
BgL_auxz00_960 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1385z00zz__bitz00, 
BINT(((long)8672)), BGl_string1392z00zz__bitz00, BGl_string1387z00zz__bitz00, BgL_xz00_722); 
FAILURE(BgL_auxz00_960,BFALSE,BFALSE);} 
BgL_xz00_856 = 
(long)CINT(BgL_auxz00_957); } 
{ /* Llib/bit.scm 186 */
obj_t BgL_auxz00_965;
if(
INTEGERP(BgL_yz00_723))
{ /* Llib/bit.scm 186 */
BgL_auxz00_965 = BgL_yz00_723
; }  else 
{ 
obj_t BgL_auxz00_968;
BgL_auxz00_968 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1385z00zz__bitz00, 
BINT(((long)8672)), BGl_string1392z00zz__bitz00, BGl_string1387z00zz__bitz00, BgL_yz00_723); 
FAILURE(BgL_auxz00_968,BFALSE,BFALSE);} 
BgL_yz00_857 = 
(long)CINT(BgL_auxz00_965); } 
BgL_auxz00_956 = 
(BgL_xz00_856 & BgL_yz00_857); } 
return 
BINT(BgL_auxz00_956);} } 
}



/* bit-andelong */
BGL_EXPORTED_DEF long BGl_bitzd2andelongzd2zz__bitz00(long BgL_xz00_11, long BgL_yz00_12)
{ AN_OBJECT;
{ /* Llib/bit.scm 191 */
return 
(BgL_xz00_11 & BgL_yz00_12);} 
}



/* &bit-andelong */
obj_t BGl_z62bitzd2andelongzb0zz__bitz00(obj_t BgL_envz00_724, obj_t BgL_xz00_725, obj_t BgL_yz00_726)
{ AN_OBJECT;
{ /* Llib/bit.scm 191 */
{ /* Llib/bit.scm 192 */
long BgL_auxz00_976;
{ /* Llib/bit.scm 192 */
long BgL_xz00_858;long BgL_yz00_859;
{ /* Llib/bit.scm 192 */
obj_t BgL_auxz00_977;
if(
ELONGP(BgL_xz00_725))
{ /* Llib/bit.scm 192 */
BgL_auxz00_977 = BgL_xz00_725
; }  else 
{ 
obj_t BgL_auxz00_980;
BgL_auxz00_980 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1385z00zz__bitz00, 
BINT(((long)8948)), BGl_string1393z00zz__bitz00, BGl_string1389z00zz__bitz00, BgL_xz00_725); 
FAILURE(BgL_auxz00_980,BFALSE,BFALSE);} 
BgL_xz00_858 = 
BELONG_TO_LONG(BgL_auxz00_977); } 
{ /* Llib/bit.scm 192 */
obj_t BgL_auxz00_985;
if(
ELONGP(BgL_yz00_726))
{ /* Llib/bit.scm 192 */
BgL_auxz00_985 = BgL_yz00_726
; }  else 
{ 
obj_t BgL_auxz00_988;
BgL_auxz00_988 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1385z00zz__bitz00, 
BINT(((long)8948)), BGl_string1393z00zz__bitz00, BGl_string1389z00zz__bitz00, BgL_yz00_726); 
FAILURE(BgL_auxz00_988,BFALSE,BFALSE);} 
BgL_yz00_859 = 
BELONG_TO_LONG(BgL_auxz00_985); } 
BgL_auxz00_976 = 
(BgL_xz00_858 & BgL_yz00_859); } 
return 
make_belong(BgL_auxz00_976);} } 
}



/* bit-andllong */
BGL_EXPORTED_DEF BGL_LONGLONG_T BGl_bitzd2andllongzd2zz__bitz00(BGL_LONGLONG_T BgL_xz00_13, BGL_LONGLONG_T BgL_yz00_14)
{ AN_OBJECT;
{ /* Llib/bit.scm 197 */
return 
(BgL_xz00_13 & BgL_yz00_14);} 
}



/* &bit-andllong */
obj_t BGl_z62bitzd2andllongzb0zz__bitz00(obj_t BgL_envz00_727, obj_t BgL_xz00_728, obj_t BgL_yz00_729)
{ AN_OBJECT;
{ /* Llib/bit.scm 197 */
{ /* Llib/bit.scm 198 */
BGL_LONGLONG_T BgL_auxz00_996;
{ /* Llib/bit.scm 198 */
BGL_LONGLONG_T BgL_xz00_860;BGL_LONGLONG_T BgL_yz00_861;
{ /* Llib/bit.scm 198 */
obj_t BgL_auxz00_997;
if(
LLONGP(BgL_xz00_728))
{ /* Llib/bit.scm 198 */
BgL_auxz00_997 = BgL_xz00_728
; }  else 
{ 
obj_t BgL_auxz00_1000;
BgL_auxz00_1000 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1385z00zz__bitz00, 
BINT(((long)9229)), BGl_string1394z00zz__bitz00, BGl_string1391z00zz__bitz00, BgL_xz00_728); 
FAILURE(BgL_auxz00_1000,BFALSE,BFALSE);} 
BgL_xz00_860 = 
BLLONG_TO_LLONG(BgL_auxz00_997); } 
{ /* Llib/bit.scm 198 */
obj_t BgL_auxz00_1005;
if(
LLONGP(BgL_yz00_729))
{ /* Llib/bit.scm 198 */
BgL_auxz00_1005 = BgL_yz00_729
; }  else 
{ 
obj_t BgL_auxz00_1008;
BgL_auxz00_1008 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1385z00zz__bitz00, 
BINT(((long)9229)), BGl_string1394z00zz__bitz00, BGl_string1391z00zz__bitz00, BgL_yz00_729); 
FAILURE(BgL_auxz00_1008,BFALSE,BFALSE);} 
BgL_yz00_861 = 
BLLONG_TO_LLONG(BgL_auxz00_1005); } 
BgL_auxz00_996 = 
(BgL_xz00_860 & BgL_yz00_861); } 
return 
make_bllong(BgL_auxz00_996);} } 
}



/* bit-xor */
BGL_EXPORTED_DEF long BGl_bitzd2xorzd2zz__bitz00(long BgL_xz00_15, long BgL_yz00_16)
{ AN_OBJECT;
{ /* Llib/bit.scm 203 */
return 
(BgL_xz00_15 ^ BgL_yz00_16);} 
}



/* &bit-xor */
obj_t BGl_z62bitzd2xorzb0zz__bitz00(obj_t BgL_envz00_730, obj_t BgL_xz00_731, obj_t BgL_yz00_732)
{ AN_OBJECT;
{ /* Llib/bit.scm 203 */
{ /* Llib/bit.scm 204 */
long BgL_auxz00_1016;
{ /* Llib/bit.scm 204 */
long BgL_xz00_862;long BgL_yz00_863;
{ /* Llib/bit.scm 204 */
obj_t BgL_auxz00_1017;
if(
INTEGERP(BgL_xz00_731))
{ /* Llib/bit.scm 204 */
BgL_auxz00_1017 = BgL_xz00_731
; }  else 
{ 
obj_t BgL_auxz00_1020;
BgL_auxz00_1020 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1385z00zz__bitz00, 
BINT(((long)9505)), BGl_string1395z00zz__bitz00, BGl_string1387z00zz__bitz00, BgL_xz00_731); 
FAILURE(BgL_auxz00_1020,BFALSE,BFALSE);} 
BgL_xz00_862 = 
(long)CINT(BgL_auxz00_1017); } 
{ /* Llib/bit.scm 204 */
obj_t BgL_auxz00_1025;
if(
INTEGERP(BgL_yz00_732))
{ /* Llib/bit.scm 204 */
BgL_auxz00_1025 = BgL_yz00_732
; }  else 
{ 
obj_t BgL_auxz00_1028;
BgL_auxz00_1028 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1385z00zz__bitz00, 
BINT(((long)9505)), BGl_string1395z00zz__bitz00, BGl_string1387z00zz__bitz00, BgL_yz00_732); 
FAILURE(BgL_auxz00_1028,BFALSE,BFALSE);} 
BgL_yz00_863 = 
(long)CINT(BgL_auxz00_1025); } 
BgL_auxz00_1016 = 
(BgL_xz00_862 ^ BgL_yz00_863); } 
return 
BINT(BgL_auxz00_1016);} } 
}



/* bit-xorelong */
BGL_EXPORTED_DEF long BGl_bitzd2xorelongzd2zz__bitz00(long BgL_xz00_17, long BgL_yz00_18)
{ AN_OBJECT;
{ /* Llib/bit.scm 209 */
return 
(BgL_xz00_17 ^ BgL_yz00_18);} 
}



/* &bit-xorelong */
obj_t BGl_z62bitzd2xorelongzb0zz__bitz00(obj_t BgL_envz00_733, obj_t BgL_xz00_734, obj_t BgL_yz00_735)
{ AN_OBJECT;
{ /* Llib/bit.scm 209 */
{ /* Llib/bit.scm 210 */
long BgL_auxz00_1036;
{ /* Llib/bit.scm 210 */
long BgL_xz00_864;long BgL_yz00_865;
{ /* Llib/bit.scm 210 */
obj_t BgL_auxz00_1037;
if(
ELONGP(BgL_xz00_734))
{ /* Llib/bit.scm 210 */
BgL_auxz00_1037 = BgL_xz00_734
; }  else 
{ 
obj_t BgL_auxz00_1040;
BgL_auxz00_1040 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1385z00zz__bitz00, 
BINT(((long)9781)), BGl_string1396z00zz__bitz00, BGl_string1389z00zz__bitz00, BgL_xz00_734); 
FAILURE(BgL_auxz00_1040,BFALSE,BFALSE);} 
BgL_xz00_864 = 
BELONG_TO_LONG(BgL_auxz00_1037); } 
{ /* Llib/bit.scm 210 */
obj_t BgL_auxz00_1045;
if(
ELONGP(BgL_yz00_735))
{ /* Llib/bit.scm 210 */
BgL_auxz00_1045 = BgL_yz00_735
; }  else 
{ 
obj_t BgL_auxz00_1048;
BgL_auxz00_1048 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1385z00zz__bitz00, 
BINT(((long)9781)), BGl_string1396z00zz__bitz00, BGl_string1389z00zz__bitz00, BgL_yz00_735); 
FAILURE(BgL_auxz00_1048,BFALSE,BFALSE);} 
BgL_yz00_865 = 
BELONG_TO_LONG(BgL_auxz00_1045); } 
BgL_auxz00_1036 = 
(BgL_xz00_864 ^ BgL_yz00_865); } 
return 
make_belong(BgL_auxz00_1036);} } 
}



/* bit-xorllong */
BGL_EXPORTED_DEF BGL_LONGLONG_T BGl_bitzd2xorllongzd2zz__bitz00(BGL_LONGLONG_T BgL_xz00_19, BGL_LONGLONG_T BgL_yz00_20)
{ AN_OBJECT;
{ /* Llib/bit.scm 215 */
return 
(BgL_xz00_19 ^ BgL_yz00_20);} 
}



/* &bit-xorllong */
obj_t BGl_z62bitzd2xorllongzb0zz__bitz00(obj_t BgL_envz00_736, obj_t BgL_xz00_737, obj_t BgL_yz00_738)
{ AN_OBJECT;
{ /* Llib/bit.scm 215 */
{ /* Llib/bit.scm 216 */
BGL_LONGLONG_T BgL_auxz00_1056;
{ /* Llib/bit.scm 216 */
BGL_LONGLONG_T BgL_xz00_866;BGL_LONGLONG_T BgL_yz00_867;
{ /* Llib/bit.scm 216 */
obj_t BgL_auxz00_1057;
if(
LLONGP(BgL_xz00_737))
{ /* Llib/bit.scm 216 */
BgL_auxz00_1057 = BgL_xz00_737
; }  else 
{ 
obj_t BgL_auxz00_1060;
BgL_auxz00_1060 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1385z00zz__bitz00, 
BINT(((long)10062)), BGl_string1397z00zz__bitz00, BGl_string1391z00zz__bitz00, BgL_xz00_737); 
FAILURE(BgL_auxz00_1060,BFALSE,BFALSE);} 
BgL_xz00_866 = 
BLLONG_TO_LLONG(BgL_auxz00_1057); } 
{ /* Llib/bit.scm 216 */
obj_t BgL_auxz00_1065;
if(
LLONGP(BgL_yz00_738))
{ /* Llib/bit.scm 216 */
BgL_auxz00_1065 = BgL_yz00_738
; }  else 
{ 
obj_t BgL_auxz00_1068;
BgL_auxz00_1068 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1385z00zz__bitz00, 
BINT(((long)10062)), BGl_string1397z00zz__bitz00, BGl_string1391z00zz__bitz00, BgL_yz00_738); 
FAILURE(BgL_auxz00_1068,BFALSE,BFALSE);} 
BgL_yz00_867 = 
BLLONG_TO_LLONG(BgL_auxz00_1065); } 
BgL_auxz00_1056 = 
(BgL_xz00_866 ^ BgL_yz00_867); } 
return 
make_bllong(BgL_auxz00_1056);} } 
}



/* bit-not */
BGL_EXPORTED_DEF long BGl_bitzd2notzd2zz__bitz00(long BgL_xz00_21)
{ AN_OBJECT;
{ /* Llib/bit.scm 221 */
return 
~(BgL_xz00_21);} 
}



/* &bit-not */
obj_t BGl_z62bitzd2notzb0zz__bitz00(obj_t BgL_envz00_739, obj_t BgL_xz00_740)
{ AN_OBJECT;
{ /* Llib/bit.scm 221 */
{ /* Llib/bit.scm 222 */
long BgL_auxz00_1076;
{ /* Llib/bit.scm 222 */
long BgL_xz00_868;
{ /* Llib/bit.scm 222 */
obj_t BgL_auxz00_1077;
if(
INTEGERP(BgL_xz00_740))
{ /* Llib/bit.scm 222 */
BgL_auxz00_1077 = BgL_xz00_740
; }  else 
{ 
obj_t BgL_auxz00_1080;
BgL_auxz00_1080 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1385z00zz__bitz00, 
BINT(((long)10336)), BGl_string1398z00zz__bitz00, BGl_string1387z00zz__bitz00, BgL_xz00_740); 
FAILURE(BgL_auxz00_1080,BFALSE,BFALSE);} 
BgL_xz00_868 = 
(long)CINT(BgL_auxz00_1077); } 
BgL_auxz00_1076 = 
~(BgL_xz00_868); } 
return 
BINT(BgL_auxz00_1076);} } 
}



/* bit-notelong */
BGL_EXPORTED_DEF long BGl_bitzd2notelongzd2zz__bitz00(long BgL_xz00_22)
{ AN_OBJECT;
{ /* Llib/bit.scm 227 */
return 
~(BgL_xz00_22);} 
}



/* &bit-notelong */
obj_t BGl_z62bitzd2notelongzb0zz__bitz00(obj_t BgL_envz00_741, obj_t BgL_xz00_742)
{ AN_OBJECT;
{ /* Llib/bit.scm 227 */
{ /* Llib/bit.scm 228 */
long BgL_auxz00_1088;
{ /* Llib/bit.scm 228 */
long BgL_xz00_869;
{ /* Llib/bit.scm 228 */
obj_t BgL_auxz00_1089;
if(
ELONGP(BgL_xz00_742))
{ /* Llib/bit.scm 228 */
BgL_auxz00_1089 = BgL_xz00_742
; }  else 
{ 
obj_t BgL_auxz00_1092;
BgL_auxz00_1092 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1385z00zz__bitz00, 
BINT(((long)10611)), BGl_string1399z00zz__bitz00, BGl_string1389z00zz__bitz00, BgL_xz00_742); 
FAILURE(BgL_auxz00_1092,BFALSE,BFALSE);} 
BgL_xz00_869 = 
BELONG_TO_LONG(BgL_auxz00_1089); } 
BgL_auxz00_1088 = 
~(BgL_xz00_869); } 
return 
make_belong(BgL_auxz00_1088);} } 
}



/* bit-notllong */
BGL_EXPORTED_DEF BGL_LONGLONG_T BGl_bitzd2notllongzd2zz__bitz00(BGL_LONGLONG_T BgL_xz00_23)
{ AN_OBJECT;
{ /* Llib/bit.scm 233 */
return 
~(BgL_xz00_23);} 
}



/* &bit-notllong */
obj_t BGl_z62bitzd2notllongzb0zz__bitz00(obj_t BgL_envz00_743, obj_t BgL_xz00_744)
{ AN_OBJECT;
{ /* Llib/bit.scm 233 */
{ /* Llib/bit.scm 234 */
BGL_LONGLONG_T BgL_auxz00_1100;
{ /* Llib/bit.scm 234 */
BGL_LONGLONG_T BgL_xz00_870;
{ /* Llib/bit.scm 234 */
obj_t BgL_auxz00_1101;
if(
LLONGP(BgL_xz00_744))
{ /* Llib/bit.scm 234 */
BgL_auxz00_1101 = BgL_xz00_744
; }  else 
{ 
obj_t BgL_auxz00_1104;
BgL_auxz00_1104 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1385z00zz__bitz00, 
BINT(((long)10891)), BGl_string1400z00zz__bitz00, BGl_string1391z00zz__bitz00, BgL_xz00_744); 
FAILURE(BgL_auxz00_1104,BFALSE,BFALSE);} 
BgL_xz00_870 = 
BLLONG_TO_LLONG(BgL_auxz00_1101); } 
BgL_auxz00_1100 = 
~(BgL_xz00_870); } 
return 
make_bllong(BgL_auxz00_1100);} } 
}



/* bit-rsh */
BGL_EXPORTED_DEF long BGl_bitzd2rshzd2zz__bitz00(long BgL_xz00_24, long BgL_yz00_25)
{ AN_OBJECT;
{ /* Llib/bit.scm 239 */
return 
(BgL_xz00_24 >> 
(int)(BgL_yz00_25));} 
}



/* &bit-rsh */
obj_t BGl_z62bitzd2rshzb0zz__bitz00(obj_t BgL_envz00_745, obj_t BgL_xz00_746, obj_t BgL_yz00_747)
{ AN_OBJECT;
{ /* Llib/bit.scm 239 */
{ /* Llib/bit.scm 240 */
long BgL_auxz00_1113;
{ /* Llib/bit.scm 240 */
long BgL_xz00_871;long BgL_yz00_872;
{ /* Llib/bit.scm 240 */
obj_t BgL_auxz00_1114;
if(
INTEGERP(BgL_xz00_746))
{ /* Llib/bit.scm 240 */
BgL_auxz00_1114 = BgL_xz00_746
; }  else 
{ 
obj_t BgL_auxz00_1117;
BgL_auxz00_1117 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1385z00zz__bitz00, 
BINT(((long)11168)), BGl_string1401z00zz__bitz00, BGl_string1387z00zz__bitz00, BgL_xz00_746); 
FAILURE(BgL_auxz00_1117,BFALSE,BFALSE);} 
BgL_xz00_871 = 
(long)CINT(BgL_auxz00_1114); } 
{ /* Llib/bit.scm 240 */
obj_t BgL_auxz00_1122;
if(
INTEGERP(BgL_yz00_747))
{ /* Llib/bit.scm 240 */
BgL_auxz00_1122 = BgL_yz00_747
; }  else 
{ 
obj_t BgL_auxz00_1125;
BgL_auxz00_1125 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1385z00zz__bitz00, 
BINT(((long)11168)), BGl_string1401z00zz__bitz00, BGl_string1387z00zz__bitz00, BgL_yz00_747); 
FAILURE(BgL_auxz00_1125,BFALSE,BFALSE);} 
BgL_yz00_872 = 
(long)CINT(BgL_auxz00_1122); } 
BgL_auxz00_1113 = 
(BgL_xz00_871 >> 
(int)(BgL_yz00_872)); } 
return 
BINT(BgL_auxz00_1113);} } 
}



/* bit-rshelong */
BGL_EXPORTED_DEF long BGl_bitzd2rshelongzd2zz__bitz00(long BgL_xz00_26, long BgL_yz00_27)
{ AN_OBJECT;
{ /* Llib/bit.scm 245 */
return 
(BgL_xz00_26 >> 
(int)(BgL_yz00_27));} 
}



/* &bit-rshelong */
obj_t BGl_z62bitzd2rshelongzb0zz__bitz00(obj_t BgL_envz00_748, obj_t BgL_xz00_749, obj_t BgL_yz00_750)
{ AN_OBJECT;
{ /* Llib/bit.scm 245 */
{ /* Llib/bit.scm 246 */
long BgL_auxz00_1135;
{ /* Llib/bit.scm 246 */
long BgL_xz00_873;long BgL_yz00_874;
{ /* Llib/bit.scm 246 */
obj_t BgL_auxz00_1136;
if(
ELONGP(BgL_xz00_749))
{ /* Llib/bit.scm 246 */
BgL_auxz00_1136 = BgL_xz00_749
; }  else 
{ 
obj_t BgL_auxz00_1139;
BgL_auxz00_1139 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1385z00zz__bitz00, 
BINT(((long)11451)), BGl_string1402z00zz__bitz00, BGl_string1389z00zz__bitz00, BgL_xz00_749); 
FAILURE(BgL_auxz00_1139,BFALSE,BFALSE);} 
BgL_xz00_873 = 
BELONG_TO_LONG(BgL_auxz00_1136); } 
{ /* Llib/bit.scm 246 */
obj_t BgL_auxz00_1144;
if(
INTEGERP(BgL_yz00_750))
{ /* Llib/bit.scm 246 */
BgL_auxz00_1144 = BgL_yz00_750
; }  else 
{ 
obj_t BgL_auxz00_1147;
BgL_auxz00_1147 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1385z00zz__bitz00, 
BINT(((long)11451)), BGl_string1402z00zz__bitz00, BGl_string1387z00zz__bitz00, BgL_yz00_750); 
FAILURE(BgL_auxz00_1147,BFALSE,BFALSE);} 
BgL_yz00_874 = 
(long)CINT(BgL_auxz00_1144); } 
BgL_auxz00_1135 = 
(BgL_xz00_873 >> 
(int)(BgL_yz00_874)); } 
return 
make_belong(BgL_auxz00_1135);} } 
}



/* bit-rshllong */
BGL_EXPORTED_DEF BGL_LONGLONG_T BGl_bitzd2rshllongzd2zz__bitz00(BGL_LONGLONG_T BgL_xz00_28, long BgL_yz00_29)
{ AN_OBJECT;
{ /* Llib/bit.scm 251 */
return 
(BgL_xz00_28 >> 
(int)(BgL_yz00_29));} 
}



/* &bit-rshllong */
obj_t BGl_z62bitzd2rshllongzb0zz__bitz00(obj_t BgL_envz00_751, obj_t BgL_xz00_752, obj_t BgL_yz00_753)
{ AN_OBJECT;
{ /* Llib/bit.scm 251 */
{ /* Llib/bit.scm 252 */
BGL_LONGLONG_T BgL_auxz00_1157;
{ /* Llib/bit.scm 252 */
BGL_LONGLONG_T BgL_xz00_875;long BgL_yz00_876;
{ /* Llib/bit.scm 252 */
obj_t BgL_auxz00_1158;
if(
LLONGP(BgL_xz00_752))
{ /* Llib/bit.scm 252 */
BgL_auxz00_1158 = BgL_xz00_752
; }  else 
{ 
obj_t BgL_auxz00_1161;
BgL_auxz00_1161 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1385z00zz__bitz00, 
BINT(((long)11739)), BGl_string1403z00zz__bitz00, BGl_string1391z00zz__bitz00, BgL_xz00_752); 
FAILURE(BgL_auxz00_1161,BFALSE,BFALSE);} 
BgL_xz00_875 = 
BLLONG_TO_LLONG(BgL_auxz00_1158); } 
{ /* Llib/bit.scm 252 */
obj_t BgL_auxz00_1166;
if(
INTEGERP(BgL_yz00_753))
{ /* Llib/bit.scm 252 */
BgL_auxz00_1166 = BgL_yz00_753
; }  else 
{ 
obj_t BgL_auxz00_1169;
BgL_auxz00_1169 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1385z00zz__bitz00, 
BINT(((long)11739)), BGl_string1403z00zz__bitz00, BGl_string1387z00zz__bitz00, BgL_yz00_753); 
FAILURE(BgL_auxz00_1169,BFALSE,BFALSE);} 
BgL_yz00_876 = 
(long)CINT(BgL_auxz00_1166); } 
BgL_auxz00_1157 = 
(BgL_xz00_875 >> 
(int)(BgL_yz00_876)); } 
return 
make_bllong(BgL_auxz00_1157);} } 
}



/* bit-ursh */
BGL_EXPORTED_DEF unsigned long BGl_bitzd2urshzd2zz__bitz00(unsigned long BgL_xz00_30, long BgL_yz00_31)
{ AN_OBJECT;
{ /* Llib/bit.scm 257 */
return 
(BgL_xz00_30 >> 
(int)(BgL_yz00_31));} 
}



/* &bit-ursh */
obj_t BGl_z62bitzd2urshzb0zz__bitz00(obj_t BgL_envz00_754, obj_t BgL_xz00_755, obj_t BgL_yz00_756)
{ AN_OBJECT;
{ /* Llib/bit.scm 257 */
{ /* Llib/bit.scm 258 */
unsigned long BgL_auxz00_1179;
{ /* Llib/bit.scm 258 */
unsigned long BgL_xz00_877;long BgL_yz00_878;
{ /* Llib/bit.scm 258 */
obj_t BgL_auxz00_1180;
if(
INTEGERP(BgL_xz00_755))
{ /* Llib/bit.scm 258 */
BgL_auxz00_1180 = BgL_xz00_755
; }  else 
{ 
obj_t BgL_auxz00_1183;
BgL_auxz00_1183 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1385z00zz__bitz00, 
BINT(((long)12023)), BGl_string1404z00zz__bitz00, BGl_string1387z00zz__bitz00, BgL_xz00_755); 
FAILURE(BgL_auxz00_1183,BFALSE,BFALSE);} 
BgL_xz00_877 = 
(unsigned long)CINT(BgL_auxz00_1180); } 
{ /* Llib/bit.scm 258 */
obj_t BgL_auxz00_1188;
if(
INTEGERP(BgL_yz00_756))
{ /* Llib/bit.scm 258 */
BgL_auxz00_1188 = BgL_yz00_756
; }  else 
{ 
obj_t BgL_auxz00_1191;
BgL_auxz00_1191 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1385z00zz__bitz00, 
BINT(((long)12023)), BGl_string1404z00zz__bitz00, BGl_string1387z00zz__bitz00, BgL_yz00_756); 
FAILURE(BgL_auxz00_1191,BFALSE,BFALSE);} 
BgL_yz00_878 = 
(long)CINT(BgL_auxz00_1188); } 
BgL_auxz00_1179 = 
(BgL_xz00_877 >> 
(int)(BgL_yz00_878)); } 
return 
BINT(BgL_auxz00_1179);} } 
}



/* bit-urshelong */
BGL_EXPORTED_DEF unsigned long BGl_bitzd2urshelongzd2zz__bitz00(unsigned long BgL_xz00_32, long BgL_yz00_33)
{ AN_OBJECT;
{ /* Llib/bit.scm 263 */
{ /* Llib/bit.scm 264 */
int BgL_auxz00_1199;
BgL_auxz00_1199 = 
(int)(BgL_yz00_33); 
return 
(BgL_xz00_32 >> BgL_auxz00_1199);} } 
}



/* &bit-urshelong */
obj_t BGl_z62bitzd2urshelongzb0zz__bitz00(obj_t BgL_envz00_757, obj_t BgL_xz00_758, obj_t BgL_yz00_759)
{ AN_OBJECT;
{ /* Llib/bit.scm 263 */
{ /* Llib/bit.scm 264 */
long BgL_auxz00_1202;
{ /* Llib/bit.scm 264 */
unsigned long BgL_xz00_879;long BgL_yz00_880;
{ /* Llib/bit.scm 264 */
obj_t BgL_auxz00_1203;
if(
ELONGP(BgL_xz00_758))
{ /* Llib/bit.scm 264 */
BgL_auxz00_1203 = BgL_xz00_758
; }  else 
{ 
obj_t BgL_auxz00_1206;
BgL_auxz00_1206 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1385z00zz__bitz00, 
BINT(((long)12308)), BGl_string1405z00zz__bitz00, BGl_string1389z00zz__bitz00, BgL_xz00_758); 
FAILURE(BgL_auxz00_1206,BFALSE,BFALSE);} 
BgL_xz00_879 = 
BELONG_TO_LONG(BgL_auxz00_1203); } 
{ /* Llib/bit.scm 264 */
obj_t BgL_auxz00_1211;
if(
INTEGERP(BgL_yz00_759))
{ /* Llib/bit.scm 264 */
BgL_auxz00_1211 = BgL_yz00_759
; }  else 
{ 
obj_t BgL_auxz00_1214;
BgL_auxz00_1214 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1385z00zz__bitz00, 
BINT(((long)12308)), BGl_string1405z00zz__bitz00, BGl_string1387z00zz__bitz00, BgL_yz00_759); 
FAILURE(BgL_auxz00_1214,BFALSE,BFALSE);} 
BgL_yz00_880 = 
(long)CINT(BgL_auxz00_1211); } 
{ /* Llib/bit.scm 264 */
int BgL_auxz00_1219;
BgL_auxz00_1219 = 
(int)(BgL_yz00_880); 
BgL_auxz00_1202 = 
(BgL_xz00_879 >> BgL_auxz00_1219); } } 
return 
make_belong(BgL_auxz00_1202);} } 
}



/* bit-urshllong */
BGL_EXPORTED_DEF unsigned BGL_LONGLONG_T BGl_bitzd2urshllongzd2zz__bitz00(unsigned BGL_LONGLONG_T BgL_xz00_34, long BgL_yz00_35)
{ AN_OBJECT;
{ /* Llib/bit.scm 269 */
{ /* Llib/bit.scm 270 */
int BgL_auxz00_1223;
BgL_auxz00_1223 = 
(int)(BgL_yz00_35); 
return 
(BgL_xz00_34 >> BgL_auxz00_1223);} } 
}



/* &bit-urshllong */
obj_t BGl_z62bitzd2urshllongzb0zz__bitz00(obj_t BgL_envz00_760, obj_t BgL_xz00_761, obj_t BgL_yz00_762)
{ AN_OBJECT;
{ /* Llib/bit.scm 269 */
{ /* Llib/bit.scm 270 */
unsigned BGL_LONGLONG_T BgL_auxz00_1226;
{ /* Llib/bit.scm 270 */
unsigned BGL_LONGLONG_T BgL_xz00_881;long BgL_yz00_882;
{ /* Llib/bit.scm 270 */
obj_t BgL_auxz00_1227;
if(
LLONGP(BgL_xz00_761))
{ /* Llib/bit.scm 270 */
BgL_auxz00_1227 = BgL_xz00_761
; }  else 
{ 
obj_t BgL_auxz00_1230;
BgL_auxz00_1230 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1385z00zz__bitz00, 
BINT(((long)12598)), BGl_string1406z00zz__bitz00, BGl_string1391z00zz__bitz00, BgL_xz00_761); 
FAILURE(BgL_auxz00_1230,BFALSE,BFALSE);} 
BgL_xz00_881 = 
BLLONG_TO_LLONG(BgL_auxz00_1227); } 
{ /* Llib/bit.scm 270 */
obj_t BgL_auxz00_1235;
if(
INTEGERP(BgL_yz00_762))
{ /* Llib/bit.scm 270 */
BgL_auxz00_1235 = BgL_yz00_762
; }  else 
{ 
obj_t BgL_auxz00_1238;
BgL_auxz00_1238 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1385z00zz__bitz00, 
BINT(((long)12598)), BGl_string1406z00zz__bitz00, BGl_string1387z00zz__bitz00, BgL_yz00_762); 
FAILURE(BgL_auxz00_1238,BFALSE,BFALSE);} 
BgL_yz00_882 = 
(long)CINT(BgL_auxz00_1235); } 
{ /* Llib/bit.scm 270 */
int BgL_auxz00_1243;
BgL_auxz00_1243 = 
(int)(BgL_yz00_882); 
BgL_auxz00_1226 = 
(BgL_xz00_881 >> BgL_auxz00_1243); } } 
return 
make_bllong(BgL_auxz00_1226);} } 
}



/* bit-lsh */
BGL_EXPORTED_DEF long BGl_bitzd2lshzd2zz__bitz00(long BgL_xz00_36, long BgL_yz00_37)
{ AN_OBJECT;
{ /* Llib/bit.scm 275 */
return 
(BgL_xz00_36 << 
(int)(BgL_yz00_37));} 
}



/* &bit-lsh */
obj_t BGl_z62bitzd2lshzb0zz__bitz00(obj_t BgL_envz00_763, obj_t BgL_xz00_764, obj_t BgL_yz00_765)
{ AN_OBJECT;
{ /* Llib/bit.scm 275 */
{ /* Llib/bit.scm 276 */
long BgL_auxz00_1249;
{ /* Llib/bit.scm 276 */
long BgL_xz00_883;long BgL_yz00_884;
{ /* Llib/bit.scm 276 */
obj_t BgL_auxz00_1250;
if(
INTEGERP(BgL_xz00_764))
{ /* Llib/bit.scm 276 */
BgL_auxz00_1250 = BgL_xz00_764
; }  else 
{ 
obj_t BgL_auxz00_1253;
BgL_auxz00_1253 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1385z00zz__bitz00, 
BINT(((long)12882)), BGl_string1407z00zz__bitz00, BGl_string1387z00zz__bitz00, BgL_xz00_764); 
FAILURE(BgL_auxz00_1253,BFALSE,BFALSE);} 
BgL_xz00_883 = 
(long)CINT(BgL_auxz00_1250); } 
{ /* Llib/bit.scm 276 */
obj_t BgL_auxz00_1258;
if(
INTEGERP(BgL_yz00_765))
{ /* Llib/bit.scm 276 */
BgL_auxz00_1258 = BgL_yz00_765
; }  else 
{ 
obj_t BgL_auxz00_1261;
BgL_auxz00_1261 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1385z00zz__bitz00, 
BINT(((long)12882)), BGl_string1407z00zz__bitz00, BGl_string1387z00zz__bitz00, BgL_yz00_765); 
FAILURE(BgL_auxz00_1261,BFALSE,BFALSE);} 
BgL_yz00_884 = 
(long)CINT(BgL_auxz00_1258); } 
BgL_auxz00_1249 = 
(BgL_xz00_883 << 
(int)(BgL_yz00_884)); } 
return 
BINT(BgL_auxz00_1249);} } 
}



/* bit-lshelong */
BGL_EXPORTED_DEF long BGl_bitzd2lshelongzd2zz__bitz00(long BgL_xz00_38, long BgL_yz00_39)
{ AN_OBJECT;
{ /* Llib/bit.scm 281 */
return 
(BgL_xz00_38 << 
(int)(BgL_yz00_39));} 
}



/* &bit-lshelong */
obj_t BGl_z62bitzd2lshelongzb0zz__bitz00(obj_t BgL_envz00_766, obj_t BgL_xz00_767, obj_t BgL_yz00_768)
{ AN_OBJECT;
{ /* Llib/bit.scm 281 */
{ /* Llib/bit.scm 282 */
long BgL_auxz00_1271;
{ /* Llib/bit.scm 282 */
long BgL_xz00_885;long BgL_yz00_886;
{ /* Llib/bit.scm 282 */
obj_t BgL_auxz00_1272;
if(
ELONGP(BgL_xz00_767))
{ /* Llib/bit.scm 282 */
BgL_auxz00_1272 = BgL_xz00_767
; }  else 
{ 
obj_t BgL_auxz00_1275;
BgL_auxz00_1275 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1385z00zz__bitz00, 
BINT(((long)13158)), BGl_string1408z00zz__bitz00, BGl_string1389z00zz__bitz00, BgL_xz00_767); 
FAILURE(BgL_auxz00_1275,BFALSE,BFALSE);} 
BgL_xz00_885 = 
BELONG_TO_LONG(BgL_auxz00_1272); } 
{ /* Llib/bit.scm 282 */
obj_t BgL_auxz00_1280;
if(
INTEGERP(BgL_yz00_768))
{ /* Llib/bit.scm 282 */
BgL_auxz00_1280 = BgL_yz00_768
; }  else 
{ 
obj_t BgL_auxz00_1283;
BgL_auxz00_1283 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1385z00zz__bitz00, 
BINT(((long)13158)), BGl_string1408z00zz__bitz00, BGl_string1387z00zz__bitz00, BgL_yz00_768); 
FAILURE(BgL_auxz00_1283,BFALSE,BFALSE);} 
BgL_yz00_886 = 
(long)CINT(BgL_auxz00_1280); } 
BgL_auxz00_1271 = 
(BgL_xz00_885 << 
(int)(BgL_yz00_886)); } 
return 
make_belong(BgL_auxz00_1271);} } 
}



/* bit-lshllong */
BGL_EXPORTED_DEF BGL_LONGLONG_T BGl_bitzd2lshllongzd2zz__bitz00(BGL_LONGLONG_T BgL_xz00_40, long BgL_yz00_41)
{ AN_OBJECT;
{ /* Llib/bit.scm 287 */
return 
(BgL_xz00_40 << 
(int)(BgL_yz00_41));} 
}



/* &bit-lshllong */
obj_t BGl_z62bitzd2lshllongzb0zz__bitz00(obj_t BgL_envz00_769, obj_t BgL_xz00_770, obj_t BgL_yz00_771)
{ AN_OBJECT;
{ /* Llib/bit.scm 287 */
{ /* Llib/bit.scm 288 */
BGL_LONGLONG_T BgL_auxz00_1293;
{ /* Llib/bit.scm 288 */
BGL_LONGLONG_T BgL_xz00_887;long BgL_yz00_888;
{ /* Llib/bit.scm 288 */
obj_t BgL_auxz00_1294;
if(
LLONGP(BgL_xz00_770))
{ /* Llib/bit.scm 288 */
BgL_auxz00_1294 = BgL_xz00_770
; }  else 
{ 
obj_t BgL_auxz00_1297;
BgL_auxz00_1297 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1385z00zz__bitz00, 
BINT(((long)13439)), BGl_string1409z00zz__bitz00, BGl_string1391z00zz__bitz00, BgL_xz00_770); 
FAILURE(BgL_auxz00_1297,BFALSE,BFALSE);} 
BgL_xz00_887 = 
BLLONG_TO_LLONG(BgL_auxz00_1294); } 
{ /* Llib/bit.scm 288 */
obj_t BgL_auxz00_1302;
if(
INTEGERP(BgL_yz00_771))
{ /* Llib/bit.scm 288 */
BgL_auxz00_1302 = BgL_yz00_771
; }  else 
{ 
obj_t BgL_auxz00_1305;
BgL_auxz00_1305 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1385z00zz__bitz00, 
BINT(((long)13439)), BGl_string1409z00zz__bitz00, BGl_string1387z00zz__bitz00, BgL_yz00_771); 
FAILURE(BgL_auxz00_1305,BFALSE,BFALSE);} 
BgL_yz00_888 = 
(long)CINT(BgL_auxz00_1302); } 
BgL_auxz00_1293 = 
(BgL_xz00_887 << 
(int)(BgL_yz00_888)); } 
return 
make_bllong(BgL_auxz00_1293);} } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__bitz00()
{ AN_OBJECT;
{ /* Llib/bit.scm 14 */
return 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)430898742), 
BSTRING_TO_STRING(BGl_string1410z00zz__bitz00));} 
}

#ifdef __cplusplus
}
#endif
