/*===========================================================================*/
/*   (Eval/evutils.scm)                                                      */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Eval/evutils.scm -indent -o objs/obj_u/Eval/evutils.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	static obj_t BGl_requirezd2initializa7ationz75zz__evutilsz00 = BUNSPEC;
	static obj_t BGl_z62bindingszd2ze3listz53zz__evutilsz00(obj_t, obj_t);
	extern obj_t BGl_errorzf2sourcezd2locationz20zz__errorz00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__evutilsz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__macroz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	static obj_t BGl_cnstzd2initzd2zz__evutilsz00();
	static obj_t BGl_genericzd2initzd2zz__evutilsz00();
	static obj_t BGl_importedzd2moduleszd2initz00zz__evutilsz00();
	BGL_EXPORTED_DECL obj_t BGl_argszd2ze3listz31zz__evutilsz00(obj_t);
	static obj_t BGl_objectzd2initzd2zz__evutilsz00();
	static obj_t BGl_symbol1502z00zz__evutilsz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_bindingszd2ze3listz31zz__evutilsz00(obj_t);
	static obj_t BGl_z62argszd2ze3listz53zz__evutilsz00(obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_parsezd2formalzd2identz00zz__evutilsz00(obj_t,
		obj_t);
	extern obj_t BGl_errorzf2sourcezf2zz__errorz00(obj_t, obj_t, obj_t, obj_t);
	extern obj_t c_substring(obj_t, long, long);
	extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_methodzd2initzd2zz__evutilsz00();
	static obj_t BGl_z62parsezd2formalzd2identz62zz__evutilsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol1496z00zz__evutilsz00 = BUNSPEC;
	static obj_t BGl_symbol1499z00zz__evutilsz00 = BUNSPEC;
	extern bool_t BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00(obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_parsezd2formalzd2identzd2envzd2zz__evutilsz00,
		BgL_bgl_za762parseza7d2forma1506z00,
		BGl_z62parsezd2formalzd2identz62zz__evutilsz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1500z00zz__evutilsz00,
		BgL_bgl_string1500za700za7za7_1507za7, "args->list", 10);
	      DEFINE_STRING(BGl_string1501z00zz__evutilsz00,
		BgL_bgl_string1501za700za7za7_1508za7, "Illegal args list", 17);
	      DEFINE_STRING(BGl_string1503z00zz__evutilsz00,
		BgL_bgl_string1503za700za7za7_1509za7, "bindings->list", 14);
	      DEFINE_STRING(BGl_string1504z00zz__evutilsz00,
		BgL_bgl_string1504za700za7za7_1510za7, "Illegal bindings list", 21);
	      DEFINE_STRING(BGl_string1505z00zz__evutilsz00,
		BgL_bgl_string1505za700za7za7_1511za7, "__evutils", 9);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_argszd2ze3listzd2envze3zz__evutilsz00,
		BgL_bgl_za762argsza7d2za7e3lis1512za7,
		BGl_z62argszd2ze3listz53zz__evutilsz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1493z00zz__evutilsz00,
		BgL_bgl_string1493za700za7za7_1513za7, "parse-formal-ident", 18);
	      DEFINE_STRING(BGl_string1494z00zz__evutilsz00,
		BgL_bgl_string1494za700za7za7_1514za7, "Illegal empty identifier type", 29);
	      DEFINE_STRING(BGl_string1495z00zz__evutilsz00,
		BgL_bgl_string1495za700za7za7_1515za7, "", 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_bindingszd2ze3listzd2envze3zz__evutilsz00,
		BgL_bgl_za762bindingsza7d2za7e1516za7,
		BGl_z62bindingszd2ze3listz53zz__evutilsz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1497z00zz__evutilsz00,
		BgL_bgl_string1497za700za7za7_1517za7, "dsssl", 5);
	      DEFINE_STRING(BGl_string1498z00zz__evutilsz00,
		BgL_bgl_string1498za700za7za7_1518za7, "Illegal identifier type", 23);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__evutilsz00(long
		BgL_checksumz00_1167, char *BgL_fromz00_1168)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evutilsz00))
				{
					BGl_requirezd2initializa7ationz75zz__evutilsz00 = BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__evutilsz00();
					BGl_importedzd2moduleszd2initz00zz__evutilsz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evutilsz00()
	{
		AN_OBJECT;
		{	/* Eval/evutils.scm 15 */
			BGl_symbol1496z00zz__evutilsz00 =
				bstring_to_symbol(BGl_string1497z00zz__evutilsz00);
			BGl_symbol1499z00zz__evutilsz00 =
				bstring_to_symbol(BGl_string1500z00zz__evutilsz00);
			return (BGl_symbol1502z00zz__evutilsz00 =
				bstring_to_symbol(BGl_string1503z00zz__evutilsz00), BUNSPEC);
		}
	}



/* parse-formal-ident */
	BGL_EXPORTED_DEF obj_t BGl_parsezd2formalzd2identz00zz__evutilsz00(obj_t
		BgL_identz00_3, obj_t BgL_locz00_4)
	{
		AN_OBJECT;
		{	/* Eval/evutils.scm 56 */
			{
				obj_t BgL_identz00_599;

				if (BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00(BgL_identz00_3))
					{	/* Eval/evutils.scm 83 */
						return
							MAKE_PAIR(BGl_gensymz00zz__r4_symbols_6_4z00
							(BGl_symbol1496z00zz__evutilsz00), BNIL);
					}
				else
					{	/* Eval/evutils.scm 85 */
						bool_t BgL_testz00_1181;

						if (PAIRP(BgL_identz00_3))
							{	/* Eval/evutils.scm 85 */
								obj_t BgL_auxz00_1184;

								BgL_auxz00_1184 = CAR(BgL_identz00_3);
								BgL_testz00_1181 = SYMBOLP(BgL_auxz00_1184);
							}
						else
							{	/* Eval/evutils.scm 85 */
								BgL_testz00_1181 = ((bool_t) 0);
							}
						if (BgL_testz00_1181)
							{	/* Eval/evutils.scm 85 */
								return MAKE_PAIR(BgL_identz00_3, BNIL);
							}
						else
							{	/* Eval/evutils.scm 85 */
								if (SYMBOLP(BgL_identz00_3))
									{	/* Eval/evutils.scm 87 */
										BgL_identz00_599 = BgL_identz00_3;
										{	/* Eval/evutils.scm 59 */
											obj_t BgL_strz00_601;

											{	/* Eval/evutils.scm 59 */
												obj_t BgL_res1426z00_879;

												BgL_res1426z00_879 = SYMBOL_TO_STRING(BgL_identz00_599);
												BgL_strz00_601 = BgL_res1426z00_879;
											}
											{	/* Eval/evutils.scm 59 */
												long BgL_lenz00_602;

												BgL_lenz00_602 = STRING_LENGTH(BgL_strz00_601);
												{	/* Eval/evutils.scm 60 */

													{
														long BgL_iz00_604;

														BgL_iz00_604 = ((long) 0);
													BgL_zc3anonymousza31113ze3z83_605:
														if ((BgL_iz00_604 == BgL_lenz00_602))
															{	/* Eval/evutils.scm 63 */
																return MAKE_PAIR(BgL_identz00_599, BNIL);
															}
														else
															{	/* Eval/evutils.scm 65 */
																bool_t BgL_testz00_1195;

																if (
																	(STRING_REF(BgL_strz00_601,
																			BgL_iz00_604) == ((unsigned char) ':')))
																	{	/* Eval/evutils.scm 65 */
																		if (
																			(BgL_iz00_604 <
																				(BgL_lenz00_602 - ((long) 1))))
																			{	/* Eval/evutils.scm 66 */
																				BgL_testz00_1195 =
																					(STRING_REF(BgL_strz00_601,
																						(BgL_iz00_604 + ((long) 1))) ==
																					((unsigned char) ':'));
																			}
																		else
																			{	/* Eval/evutils.scm 66 */
																				BgL_testz00_1195 = ((bool_t) 0);
																			}
																	}
																else
																	{	/* Eval/evutils.scm 65 */
																		BgL_testz00_1195 = ((bool_t) 0);
																	}
																if (BgL_testz00_1195)
																	{	/* Eval/evutils.scm 65 */
																		if (
																			(BgL_iz00_604 ==
																				(BgL_lenz00_602 - ((long) 2))))
																			{	/* Eval/evutils.scm 69 */
																				return
																					BGl_errorzf2sourcezd2locationz20zz__errorz00
																					(BGl_string1493z00zz__evutilsz00,
																					BGl_string1494z00zz__evutilsz00,
																					BgL_identz00_599, BgL_locz00_4);
																			}
																		else
																			{	/* Eval/evutils.scm 69 */
																				if ((BgL_iz00_604 == ((long) 0)))
																					{	/* Eval/evutils.scm 74 */
																						return
																							MAKE_PAIR(bstring_to_symbol
																							(BGl_string1495z00zz__evutilsz00),
																							BgL_identz00_599);
																					}
																				else
																					{	/* Eval/evutils.scm 74 */
																						return
																							MAKE_PAIR(bstring_to_symbol
																							(c_substring(BgL_strz00_601,
																									((long) 0), BgL_iz00_604)),
																							bstring_to_symbol(c_substring
																								(BgL_strz00_601,
																									(BgL_iz00_604 + ((long) 2)),
																									BgL_lenz00_602)));
																	}}}
																else
																	{
																		long BgL_iz00_1219;

																		BgL_iz00_1219 = (BgL_iz00_604 + ((long) 1));
																		BgL_iz00_604 = BgL_iz00_1219;
																		goto BgL_zc3anonymousza31113ze3z83_605;
																	}
															}
													}
												}
											}
										}
									}
								else
									{	/* Eval/evutils.scm 87 */
										return
											BGl_errorzf2sourcezd2locationz20zz__errorz00
											(BGl_string1493z00zz__evutilsz00,
											BGl_string1498z00zz__evutilsz00, BgL_identz00_3,
											BgL_locz00_4);
									}
							}
					}
			}
		}
	}



/* &parse-formal-ident */
	obj_t BGl_z62parsezd2formalzd2identz62zz__evutilsz00(obj_t BgL_envz00_1160,
		obj_t BgL_identz00_1161, obj_t BgL_locz00_1162)
	{
		AN_OBJECT;
		{	/* Eval/evutils.scm 56 */
			return
				BGl_parsezd2formalzd2identz00zz__evutilsz00(BgL_identz00_1161,
				BgL_locz00_1162);
		}
	}



/* args->list */
	BGL_EXPORTED_DEF obj_t BGl_argszd2ze3listz31zz__evutilsz00(obj_t
		BgL_argsz00_5)
	{
		AN_OBJECT;
		{	/* Eval/evutils.scm 98 */
			if (NULLP(BgL_argsz00_5))
				{	/* Eval/evutils.scm 100 */
					return BNIL;
				}
			else
				{	/* Eval/evutils.scm 100 */
					if (SYMBOLP(BgL_argsz00_5))
						{	/* Eval/evutils.scm 103 */
							obj_t BgL_list1160z00_628;

							BgL_list1160z00_628 = MAKE_PAIR(BgL_argsz00_5, BNIL);
							return BgL_list1160z00_628;
						}
					else
						{	/* Eval/evutils.scm 102 */
							if (PAIRP(BgL_argsz00_5))
								{	/* Eval/evutils.scm 104 */
									return
										MAKE_PAIR(CAR(BgL_argsz00_5),
										BGl_argszd2ze3listz31zz__evutilsz00(CDR(BgL_argsz00_5)));
								}
							else
								{	/* Eval/evutils.scm 104 */
									return
										BGl_errorzf2sourcezf2zz__errorz00
										(BGl_symbol1499z00zz__evutilsz00,
										BGl_string1501z00zz__evutilsz00, BgL_argsz00_5,
										BgL_argsz00_5);
								}
						}
				}
		}
	}



/* &args->list */
	obj_t BGl_z62argszd2ze3listz53zz__evutilsz00(obj_t BgL_envz00_1163,
		obj_t BgL_argsz00_1164)
	{
		AN_OBJECT;
		{	/* Eval/evutils.scm 98 */
			return BGl_argszd2ze3listz31zz__evutilsz00(BgL_argsz00_1164);
		}
	}



/* bindings->list */
	BGL_EXPORTED_DEF obj_t BGl_bindingszd2ze3listz31zz__evutilsz00(obj_t
		BgL_bindingsz00_6)
	{
		AN_OBJECT;
		{	/* Eval/evutils.scm 112 */
			if (NULLP(BgL_bindingsz00_6))
				{	/* Eval/evutils.scm 114 */
					return BNIL;
				}
			else
				{	/* Eval/evutils.scm 114 */
					if (PAIRP(BgL_bindingsz00_6))
						{	/* Eval/evutils.scm 118 */
							bool_t BgL_testz00_1240;

							{	/* Eval/evutils.scm 118 */
								obj_t BgL_auxz00_1241;

								BgL_auxz00_1241 = CAR(BgL_bindingsz00_6);
								BgL_testz00_1240 = SYMBOLP(BgL_auxz00_1241);
							}
							if (BgL_testz00_1240)
								{	/* Eval/evutils.scm 118 */
									return
										MAKE_PAIR(BgL_bindingsz00_6,
										BGl_bindingszd2ze3listz31zz__evutilsz00(CDR
											(BgL_bindingsz00_6)));
								}
							else
								{	/* Eval/evutils.scm 120 */
									bool_t BgL_testz00_1247;

									{	/* Eval/evutils.scm 120 */
										obj_t BgL_auxz00_1248;

										BgL_auxz00_1248 = CAR(BgL_bindingsz00_6);
										BgL_testz00_1247 = PAIRP(BgL_auxz00_1248);
									}
									if (BgL_testz00_1247)
										{	/* Eval/evutils.scm 120 */
											return
												MAKE_PAIR(CAR(BgL_bindingsz00_6),
												BGl_bindingszd2ze3listz31zz__evutilsz00(CDR
													(BgL_bindingsz00_6)));
										}
									else
										{	/* Eval/evutils.scm 120 */
											return
												BGl_errorzf2sourcezf2zz__errorz00
												(BGl_symbol1502z00zz__evutilsz00,
												BGl_string1504z00zz__evutilsz00, BgL_bindingsz00_6,
												BgL_bindingsz00_6);
										}
								}
						}
					else
						{	/* Eval/evutils.scm 116 */
							return
								BGl_errorzf2sourcezf2zz__errorz00
								(BGl_symbol1502z00zz__evutilsz00,
								BGl_string1504z00zz__evutilsz00, BgL_bindingsz00_6,
								BgL_bindingsz00_6);
						}
				}
		}
	}



/* &bindings->list */
	obj_t BGl_z62bindingszd2ze3listz53zz__evutilsz00(obj_t BgL_envz00_1165,
		obj_t BgL_bindingsz00_1166)
	{
		AN_OBJECT;
		{	/* Eval/evutils.scm 112 */
			return BGl_bindingszd2ze3listz31zz__evutilsz00(BgL_bindingsz00_1166);
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evutilsz00()
	{
		AN_OBJECT;
		{	/* Eval/evutils.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evutilsz00()
	{
		AN_OBJECT;
		{	/* Eval/evutils.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evutilsz00()
	{
		AN_OBJECT;
		{	/* Eval/evutils.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evutilsz00()
	{
		AN_OBJECT;
		{	/* Eval/evutils.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 189425161),
				BSTRING_TO_STRING(BGl_string1505z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 430898742),
				BSTRING_TO_STRING(BGl_string1505z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 162724851),
				BSTRING_TO_STRING(BGl_string1505z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string1505z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string1505z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 340267792),
				BSTRING_TO_STRING(BGl_string1505z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string1505z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 237624134),
				BSTRING_TO_STRING(BGl_string1505z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 441709255),
				BSTRING_TO_STRING(BGl_string1505z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 1041382),
				BSTRING_TO_STRING(BGl_string1505z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 316564000),
				BSTRING_TO_STRING(BGl_string1505z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string1505z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 368290641),
				BSTRING_TO_STRING(BGl_string1505z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					249410258), BSTRING_TO_STRING(BGl_string1505z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					231310901), BSTRING_TO_STRING(BGl_string1505z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843), BSTRING_TO_STRING(BGl_string1505z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800), BSTRING_TO_STRING(BGl_string1505z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430), BSTRING_TO_STRING(BGl_string1505z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string1505z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460263214),
				BSTRING_TO_STRING(BGl_string1505z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 97251556),
				BSTRING_TO_STRING(BGl_string1505z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					47127928), BSTRING_TO_STRING(BGl_string1505z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					376927882), BSTRING_TO_STRING(BGl_string1505z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 509771705),
				BSTRING_TO_STRING(BGl_string1505z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 231561374),
				BSTRING_TO_STRING(BGl_string1505z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					116655667), BSTRING_TO_STRING(BGl_string1505z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__evenvz00(((long) 23062368),
				BSTRING_TO_STRING(BGl_string1505z00zz__evutilsz00));
			return BGl_modulezd2initializa7ationz75zz__macroz00(((long) 261397491),
				BSTRING_TO_STRING(BGl_string1505z00zz__evutilsz00));
		}
	}

#ifdef __cplusplus
}
#endif
