/*===========================================================================*/
/*   (Eval/expdcase.scm)                                                     */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Eval/expdcase.scm -indent -o objs/obj_u/Eval/expdcase.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	static obj_t BGl_requirezd2initializa7ationz75zz__expander_casez00 = BUNSPEC;
	extern obj_t BGl_expandzd2errorzd2zz__expandz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2casezd2zz__expander_casez00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_genericzd2initzd2zz__expander_casez00();
	static obj_t BGl_objectzd2initzd2zz__expander_casez00();
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_methodzd2initzd2zz__expander_casez00();
	BGL_EXPORTED_DECL obj_t BGl_expandzd2evalzd2casez00zz__expander_casez00(obj_t,
		obj_t);
	extern obj_t BGl_evepairifyz00zz__prognz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__expander_casez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_z62expandzd2evalzd2casez62zz__expander_casez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zz__expander_casez00();
	static obj_t BGl_importedzd2moduleszd2initz00zz__expander_casez00();
	static obj_t BGl_symbol1501z00zz__expander_casez00 = BUNSPEC;
	static obj_t BGl_symbol1503z00zz__expander_casez00 = BUNSPEC;
	static obj_t BGl_symbol1505z00zz__expander_casez00 = BUNSPEC;
	static obj_t BGl_symbol1507z00zz__expander_casez00 = BUNSPEC;
	static obj_t BGl_symbol1509z00zz__expander_casez00 = BUNSPEC;
	static obj_t BGl_loopz00zz__expander_casez00(obj_t, obj_t);
	static obj_t BGl_symbol1496z00zz__expander_casez00 = BUNSPEC;
	static obj_t BGl_symbol1498z00zz__expander_casez00 = BUNSPEC;
	extern obj_t BGl_expandzd2prognzd2zz__prognz00(obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string1500z00zz__expander_casez00,
		BgL_bgl_string1500za700za7za7_1512za7, "Illegal `case' form", 19);
	      DEFINE_STRING(BGl_string1502z00zz__expander_casez00,
		BgL_bgl_string1502za700za7za7_1513za7, "quote", 5);
	      DEFINE_STRING(BGl_string1504z00zz__expander_casez00,
		BgL_bgl_string1504za700za7za7_1514za7, "eqv?", 4);
	      DEFINE_STRING(BGl_string1506z00zz__expander_casez00,
		BgL_bgl_string1506za700za7za7_1515za7, "if", 2);
	      DEFINE_STRING(BGl_string1508z00zz__expander_casez00,
		BgL_bgl_string1508za700za7za7_1516za7, "memv", 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_expandzd2evalzd2casezd2envzd2zz__expander_casez00,
		BgL_bgl_za762expandza7d2eval1517z00,
		BGl_z62expandzd2evalzd2casez62zz__expander_casez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1510z00zz__expander_casez00,
		BgL_bgl_string1510za700za7za7_1518za7, "else", 4);
	      DEFINE_STRING(BGl_string1511z00zz__expander_casez00,
		BgL_bgl_string1511za700za7za7_1519za7, "__expander_case", 15);
	      DEFINE_STRING(BGl_string1494z00zz__expander_casez00,
		BgL_bgl_string1494za700za7za7_1520za7, "case", 4);
	      DEFINE_STRING(BGl_string1495z00zz__expander_casez00,
		BgL_bgl_string1495za700za7za7_1521za7, "Illegal form", 12);
	      DEFINE_STRING(BGl_string1497z00zz__expander_casez00,
		BgL_bgl_string1497za700za7za7_1522za7, "case-value", 10);
	      DEFINE_STRING(BGl_string1499z00zz__expander_casez00,
		BgL_bgl_string1499za700za7za7_1523za7, "let", 3);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__expander_casez00(long
		BgL_checksumz00_1161, char *BgL_fromz00_1162)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__expander_casez00))
				{
					BGl_requirezd2initializa7ationz75zz__expander_casez00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__expander_casez00();
					BGl_importedzd2moduleszd2initz00zz__expander_casez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__expander_casez00()
	{
		AN_OBJECT;
		{	/* Eval/expdcase.scm 14 */
			BGl_symbol1496z00zz__expander_casez00 =
				bstring_to_symbol(BGl_string1497z00zz__expander_casez00);
			BGl_symbol1498z00zz__expander_casez00 =
				bstring_to_symbol(BGl_string1499z00zz__expander_casez00);
			BGl_symbol1501z00zz__expander_casez00 =
				bstring_to_symbol(BGl_string1502z00zz__expander_casez00);
			BGl_symbol1503z00zz__expander_casez00 =
				bstring_to_symbol(BGl_string1504z00zz__expander_casez00);
			BGl_symbol1505z00zz__expander_casez00 =
				bstring_to_symbol(BGl_string1506z00zz__expander_casez00);
			BGl_symbol1507z00zz__expander_casez00 =
				bstring_to_symbol(BGl_string1508z00zz__expander_casez00);
			return (BGl_symbol1509z00zz__expander_casez00 =
				bstring_to_symbol(BGl_string1510z00zz__expander_casez00), BUNSPEC);
		}
	}



/* expand-eval-case */
	BGL_EXPORTED_DEF obj_t BGl_expandzd2evalzd2casez00zz__expander_casez00(obj_t
		BgL_xz00_3, obj_t BgL_ez00_4)
	{
		AN_OBJECT;
		{	/* Eval/expdcase.scm 53 */
			if (PAIRP(BgL_xz00_3))
				{	/* Eval/expdcase.scm 54 */
					obj_t BgL_cdrzd2109zd2_598;

					BgL_cdrzd2109zd2_598 = CDR(BgL_xz00_3);
					if (PAIRP(BgL_cdrzd2109zd2_598))
						{	/* Eval/expdcase.scm 54 */
							return
								BGl_genericzd2casezd2zz__expander_casez00(BgL_xz00_3,
								CAR(BgL_cdrzd2109zd2_598),
								CDR(BgL_cdrzd2109zd2_598), BgL_ez00_4);
						}
					else
						{	/* Eval/expdcase.scm 54 */
							return
								BGl_expandzd2errorzd2zz__expandz00
								(BGl_string1494z00zz__expander_casez00,
								BGl_string1495z00zz__expander_casez00, BgL_xz00_3);
						}
				}
			else
				{	/* Eval/expdcase.scm 54 */
					return
						BGl_expandzd2errorzd2zz__expandz00
						(BGl_string1494z00zz__expander_casez00,
						BGl_string1495z00zz__expander_casez00, BgL_xz00_3);
				}
		}
	}



/* &expand-eval-case */
	obj_t BGl_z62expandzd2evalzd2casez62zz__expander_casez00(obj_t
		BgL_envz00_1157, obj_t BgL_xz00_1158, obj_t BgL_ez00_1159)
	{
		AN_OBJECT;
		{	/* Eval/expdcase.scm 53 */
			return
				BGl_expandzd2evalzd2casez00zz__expander_casez00(BgL_xz00_1158,
				BgL_ez00_1159);
		}
	}



/* generic-case */
	obj_t BGl_genericzd2casezd2zz__expander_casez00(obj_t BgL_xz00_5,
		obj_t BgL_valuez00_6, obj_t BgL_clausesz00_7, obj_t BgL_ez00_8)
	{
		AN_OBJECT;
		{	/* Eval/expdcase.scm 64 */
			{	/* Eval/expdcase.scm 65 */
				obj_t BgL_arg1111z00_602;

				{	/* Eval/expdcase.scm 65 */
					obj_t BgL_arg1112z00_603;

					{	/* Eval/expdcase.scm 65 */
						obj_t BgL_arg1113z00_604;
						obj_t BgL_arg1115z00_605;

						{	/* Eval/expdcase.scm 65 */
							obj_t BgL_arg1116z00_606;

							{	/* Eval/expdcase.scm 65 */
								obj_t BgL_arg1132z00_607;

								BgL_arg1132z00_607 = MAKE_PAIR(BgL_valuez00_6, BNIL);
								BgL_arg1116z00_606 =
									MAKE_PAIR(BGl_symbol1496z00zz__expander_casez00,
									BgL_arg1132z00_607);
							}
							BgL_arg1113z00_604 = MAKE_PAIR(BgL_arg1116z00_606, BNIL);
						}
						BgL_arg1115z00_605 =
							MAKE_PAIR(BGl_loopz00zz__expander_casez00(BgL_xz00_5,
								BgL_clausesz00_7), BNIL);
						BgL_arg1112z00_603 =
							MAKE_PAIR(BgL_arg1113z00_604, BgL_arg1115z00_605);
					}
					BgL_arg1111z00_602 =
						MAKE_PAIR(BGl_symbol1498z00zz__expander_casez00,
						BgL_arg1112z00_603);
				}
				return
					PROCEDURE_ENTRY(BgL_ez00_8) (BgL_ez00_8, BgL_arg1111z00_602,
					BgL_ez00_8, BEOA);
			}
		}
	}



/* loop */
	obj_t BGl_loopz00zz__expander_casez00(obj_t BgL_xz00_1160,
		obj_t BgL_clausesz00_610)
	{
		AN_OBJECT;
		{	/* Eval/expdcase.scm 66 */
			if (NULLP(BgL_clausesz00_610))
				{	/* Eval/expdcase.scm 67 */
					return BUNSPEC;
				}
			else
				{
					obj_t BgL_bodyz00_614;
					obj_t BgL_datumsz00_616;
					obj_t BgL_bodyz00_617;
					obj_t BgL_datumsz00_619;
					obj_t BgL_bodyz00_620;

					{	/* Eval/expdcase.scm 69 */
						obj_t BgL_ezd2121zd2_623;

						BgL_ezd2121zd2_623 = CAR(BgL_clausesz00_610);
						if (NULLP(BgL_ezd2121zd2_623))
							{	/* Eval/expdcase.scm 69 */
								return BUNSPEC;
							}
						else
							{	/* Eval/expdcase.scm 69 */
								if (PAIRP(BgL_ezd2121zd2_623))
									{	/* Eval/expdcase.scm 69 */
										if (
											(CAR(BgL_ezd2121zd2_623) ==
												BGl_symbol1509z00zz__expander_casez00))
											{	/* Eval/expdcase.scm 69 */
												BgL_bodyz00_614 = CDR(BgL_ezd2121zd2_623);
												{	/* Eval/expdcase.scm 73 */
													bool_t BgL_testz00_1208;

													if (NULLP(CDR(BgL_clausesz00_610)))
														{	/* Eval/expdcase.scm 73 */
															BgL_testz00_1208 = NULLP(BgL_bodyz00_614);
														}
													else
														{	/* Eval/expdcase.scm 73 */
															BgL_testz00_1208 = ((bool_t) 1);
														}
													if (BgL_testz00_1208)
														{	/* Eval/expdcase.scm 73 */
															return
																BGl_expandzd2errorzd2zz__expandz00
																(BGl_string1494z00zz__expander_casez00,
																BGl_string1500z00zz__expander_casez00,
																BgL_xz00_1160);
														}
													else
														{	/* Eval/expdcase.scm 73 */
															return
																BGl_expandzd2prognzd2zz__prognz00
																(BgL_bodyz00_614);
														}
												}
											}
										else
											{	/* Eval/expdcase.scm 69 */
												obj_t BgL_carzd2134zd2_628;

												BgL_carzd2134zd2_628 = CAR(BgL_ezd2121zd2_623);
												if (PAIRP(BgL_carzd2134zd2_628))
													{	/* Eval/expdcase.scm 69 */
														bool_t BgL_testz00_1219;

														{	/* Eval/expdcase.scm 69 */
															obj_t BgL_auxz00_1220;

															BgL_auxz00_1220 = CDR(BgL_carzd2134zd2_628);
															BgL_testz00_1219 = PAIRP(BgL_auxz00_1220);
														}
														if (BgL_testz00_1219)
															{	/* Eval/expdcase.scm 69 */
																BgL_datumsz00_616 = BgL_carzd2134zd2_628;
																BgL_bodyz00_617 = CDR(BgL_ezd2121zd2_623);
																if (NULLP(BgL_bodyz00_617))
																	{	/* Eval/expdcase.scm 77 */
																		return
																			BGl_expandzd2errorzd2zz__expandz00
																			(BGl_string1494z00zz__expander_casez00,
																			BGl_string1500z00zz__expander_casez00,
																			BgL_xz00_1160);
																	}
																else
																	{	/* Eval/expdcase.scm 80 */
																		obj_t BgL_arg1167z00_649;
																		obj_t BgL_arg1168z00_650;

																		{	/* Eval/expdcase.scm 80 */
																			obj_t BgL_arg1169z00_651;

																			{	/* Eval/expdcase.scm 80 */
																				obj_t BgL_arg1170z00_652;
																				obj_t BgL_arg1172z00_653;

																				{	/* Eval/expdcase.scm 80 */
																					obj_t BgL_arg1173z00_654;

																					{	/* Eval/expdcase.scm 80 */
																						obj_t BgL_arg1174z00_655;

																						{	/* Eval/expdcase.scm 80 */
																							obj_t BgL_arg1175z00_656;

																							{	/* Eval/expdcase.scm 80 */
																								obj_t BgL_arg1176z00_657;

																								BgL_arg1176z00_657 =
																									MAKE_PAIR(BgL_datumsz00_616,
																									BNIL);
																								BgL_arg1175z00_656 =
																									MAKE_PAIR
																									(BGl_symbol1501z00zz__expander_casez00,
																									BgL_arg1176z00_657);
																							}
																							BgL_arg1174z00_655 =
																								MAKE_PAIR(BgL_arg1175z00_656,
																								BNIL);
																						}
																						BgL_arg1173z00_654 =
																							MAKE_PAIR
																							(BGl_symbol1496z00zz__expander_casez00,
																							BgL_arg1174z00_655);
																					}
																					BgL_arg1170z00_652 =
																						MAKE_PAIR
																						(BGl_symbol1507z00zz__expander_casez00,
																						BgL_arg1173z00_654);
																				}
																				{	/* Eval/expdcase.scm 81 */
																					obj_t BgL_arg1177z00_658;
																					obj_t BgL_arg1179z00_659;

																					BgL_arg1177z00_658 =
																						BGl_expandzd2prognzd2zz__prognz00
																						(BgL_bodyz00_617);
																					BgL_arg1179z00_659 =
																						MAKE_PAIR
																						(BGl_loopz00zz__expander_casez00
																						(BgL_xz00_1160,
																							CDR(BgL_clausesz00_610)), BNIL);
																					BgL_arg1172z00_653 =
																						MAKE_PAIR(BgL_arg1177z00_658,
																						BgL_arg1179z00_659);
																				}
																				BgL_arg1169z00_651 =
																					MAKE_PAIR(BgL_arg1170z00_652,
																					BgL_arg1172z00_653);
																			}
																			BgL_arg1167z00_649 =
																				MAKE_PAIR
																				(BGl_symbol1505z00zz__expander_casez00,
																				BgL_arg1169z00_651);
																		}
																		BgL_arg1168z00_650 =
																			CAR(BgL_clausesz00_610);
																		return
																			BGl_evepairifyz00zz__prognz00
																			(BgL_arg1167z00_649, BgL_arg1168z00_650);
																	}
															}
														else
															{	/* Eval/expdcase.scm 69 */
																if (NULLP(CDR(BgL_carzd2134zd2_628)))
																	{	/* Eval/expdcase.scm 69 */
																		BgL_datumsz00_619 =
																			CAR(BgL_carzd2134zd2_628);
																		BgL_bodyz00_620 = CDR(BgL_ezd2121zd2_623);
																		if (NULLP(BgL_bodyz00_620))
																			{	/* Eval/expdcase.scm 85 */
																				return
																					BGl_expandzd2errorzd2zz__expandz00
																					(BGl_string1494z00zz__expander_casez00,
																					BGl_string1500z00zz__expander_casez00,
																					BgL_xz00_1160);
																			}
																		else
																			{	/* Eval/expdcase.scm 88 */
																				obj_t BgL_arg1187z00_663;
																				obj_t BgL_arg1189z00_664;

																				{	/* Eval/expdcase.scm 88 */
																					obj_t BgL_arg1204z00_665;

																					{	/* Eval/expdcase.scm 88 */
																						obj_t BgL_arg1205z00_666;
																						obj_t BgL_arg1210z00_667;

																						{	/* Eval/expdcase.scm 88 */
																							obj_t BgL_arg1211z00_668;

																							{	/* Eval/expdcase.scm 88 */
																								obj_t BgL_arg1215z00_669;

																								{	/* Eval/expdcase.scm 88 */
																									obj_t BgL_arg1216z00_670;

																									{	/* Eval/expdcase.scm 88 */
																										obj_t BgL_arg1218z00_671;

																										BgL_arg1218z00_671 =
																											MAKE_PAIR
																											(BgL_datumsz00_619, BNIL);
																										BgL_arg1216z00_670 =
																											MAKE_PAIR
																											(BGl_symbol1501z00zz__expander_casez00,
																											BgL_arg1218z00_671);
																									}
																									BgL_arg1215z00_669 =
																										MAKE_PAIR
																										(BgL_arg1216z00_670, BNIL);
																								}
																								BgL_arg1211z00_668 =
																									MAKE_PAIR
																									(BGl_symbol1496z00zz__expander_casez00,
																									BgL_arg1215z00_669);
																							}
																							BgL_arg1205z00_666 =
																								MAKE_PAIR
																								(BGl_symbol1503z00zz__expander_casez00,
																								BgL_arg1211z00_668);
																						}
																						{	/* Eval/expdcase.scm 89 */
																							obj_t BgL_arg1219z00_672;
																							obj_t BgL_arg1220z00_673;

																							BgL_arg1219z00_672 =
																								BGl_expandzd2prognzd2zz__prognz00
																								(BgL_bodyz00_620);
																							BgL_arg1220z00_673 =
																								MAKE_PAIR
																								(BGl_loopz00zz__expander_casez00
																								(BgL_xz00_1160,
																									CDR(BgL_clausesz00_610)),
																								BNIL);
																							BgL_arg1210z00_667 =
																								MAKE_PAIR(BgL_arg1219z00_672,
																								BgL_arg1220z00_673);
																						}
																						BgL_arg1204z00_665 =
																							MAKE_PAIR(BgL_arg1205z00_666,
																							BgL_arg1210z00_667);
																					}
																					BgL_arg1187z00_663 =
																						MAKE_PAIR
																						(BGl_symbol1505z00zz__expander_casez00,
																						BgL_arg1204z00_665);
																				}
																				BgL_arg1189z00_664 =
																					CAR(BgL_clausesz00_610);
																				return
																					BGl_evepairifyz00zz__prognz00
																					(BgL_arg1187z00_663,
																					BgL_arg1189z00_664);
																			}
																	}
																else
																	{	/* Eval/expdcase.scm 69 */
																		return
																			BGl_expandzd2errorzd2zz__expandz00
																			(BGl_string1494z00zz__expander_casez00,
																			BGl_string1500z00zz__expander_casez00,
																			BgL_xz00_1160);
																	}
															}
													}
												else
													{	/* Eval/expdcase.scm 69 */
														return
															BGl_expandzd2errorzd2zz__expandz00
															(BGl_string1494z00zz__expander_casez00,
															BGl_string1500z00zz__expander_casez00,
															BgL_xz00_1160);
													}
											}
									}
								else
									{	/* Eval/expdcase.scm 69 */
										return
											BGl_expandzd2errorzd2zz__expandz00
											(BGl_string1494z00zz__expander_casez00,
											BGl_string1500z00zz__expander_casez00, BgL_xz00_1160);
									}
							}
					}
				}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__expander_casez00()
	{
		AN_OBJECT;
		{	/* Eval/expdcase.scm 14 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__expander_casez00()
	{
		AN_OBJECT;
		{	/* Eval/expdcase.scm 14 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__expander_casez00()
	{
		AN_OBJECT;
		{	/* Eval/expdcase.scm 14 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__expander_casez00()
	{
		AN_OBJECT;
		{	/* Eval/expdcase.scm 14 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 430898742),
				BSTRING_TO_STRING(BGl_string1511z00zz__expander_casez00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 162724851),
				BSTRING_TO_STRING(BGl_string1511z00zz__expander_casez00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string1511z00zz__expander_casez00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string1511z00zz__expander_casez00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 340267792),
				BSTRING_TO_STRING(BGl_string1511z00zz__expander_casez00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string1511z00zz__expander_casez00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 441709255),
				BSTRING_TO_STRING(BGl_string1511z00zz__expander_casez00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 1041382),
				BSTRING_TO_STRING(BGl_string1511z00zz__expander_casez00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 316564000),
				BSTRING_TO_STRING(BGl_string1511z00zz__expander_casez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 368290641),
				BSTRING_TO_STRING(BGl_string1511z00zz__expander_casez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					249410258), BSTRING_TO_STRING(BGl_string1511z00zz__expander_casez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					231310901), BSTRING_TO_STRING(BGl_string1511z00zz__expander_casez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843), BSTRING_TO_STRING(BGl_string1511z00zz__expander_casez00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800), BSTRING_TO_STRING(BGl_string1511z00zz__expander_casez00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430), BSTRING_TO_STRING(BGl_string1511z00zz__expander_casez00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string1511z00zz__expander_casez00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460263214),
				BSTRING_TO_STRING(BGl_string1511z00zz__expander_casez00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 97251556),
				BSTRING_TO_STRING(BGl_string1511z00zz__expander_casez00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					47127928), BSTRING_TO_STRING(BGl_string1511z00zz__expander_casez00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					376927882), BSTRING_TO_STRING(BGl_string1511z00zz__expander_casez00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 509771705),
				BSTRING_TO_STRING(BGl_string1511z00zz__expander_casez00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 231561374),
				BSTRING_TO_STRING(BGl_string1511z00zz__expander_casez00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					116655667), BSTRING_TO_STRING(BGl_string1511z00zz__expander_casez00));
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 177147622),
				BSTRING_TO_STRING(BGl_string1511z00zz__expander_casez00));
			return BGl_modulezd2initializa7ationz75zz__expandz00(((long) 414007149),
				BSTRING_TO_STRING(BGl_string1511z00zz__expander_casez00));
		}
	}

#ifdef __cplusplus
}
#endif
