/*===========================================================================*/
/*   (Ieee/control5.scm)                                                     */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Ieee/control5.scm -indent -o objs/obj_u/Ieee/control5.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	BGL_EXPORTED_DECL obj_t
		BGl_z52getzd2mvalueszd2valz52zz__r5_control_features_6_4z00(int);
	static obj_t
		BGl_z62callzd2withzd2valuesz62zz__r5_control_features_6_4z00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_z52setzd2mvalueszd2valz12z40zz__r5_control_features_6_4z00(int, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__r5_control_features_6_4z00 =
		BUNSPEC;
	static obj_t BGl_z62valuesz62zz__r5_control_features_6_4z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_callzd2withzd2valuesz00zz__r5_control_features_6_4z00(obj_t, obj_t);
	BGL_EXPORTED_DECL int
		BGl_z52getzd2mvalueszd2numberz52zz__r5_control_features_6_4z00();
	static obj_t
		BGl_z62z52getzd2mvalueszd2numberz30zz__r5_control_features_6_4z00(obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t
		BGl_z62z52setzd2mvalueszd2numberz12z22zz__r5_control_features_6_4z00(obj_t,
		obj_t);
	static obj_t
		BGl_z62z52setzd2mvalueszd2valz12z22zz__r5_control_features_6_4z00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL int
		BGl_z52setzd2mvalueszd2numberz12z40zz__r5_control_features_6_4z00(int);
	static obj_t
		BGl_z62z52getzd2mvalueszd2valz30zz__r5_control_features_6_4z00(obj_t,
		obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__r5_control_features_6_4z00();
	BGL_EXPORTED_DECL obj_t BGl_valuesz00zz__r5_control_features_6_4z00(obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z52setzd2mvalueszd2valz12zd2envz92zz__r5_control_features_6_4z00,
		BgL_bgl_za762za752setza7d2mval1486za7,
		BGl_z62z52setzd2mvalueszd2valz12z22zz__r5_control_features_6_4z00, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1478z00zz__r5_control_features_6_4z00,
		BgL_bgl_string1478za700za7za7_1487za7,
		"/tmp/bigloo/runtime/Ieee/control5.scm", 37);
	      DEFINE_STRING(BGl_string1479z00zz__r5_control_features_6_4z00,
		BgL_bgl_string1479za700za7za7_1488za7, "&%set-mvalues-number!", 21);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_callzd2withzd2valueszd2envzd2zz__r5_control_features_6_4z00,
		BgL_bgl_za762callza7d2withza7d1489za7,
		BGl_z62callzd2withzd2valuesz62zz__r5_control_features_6_4z00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string1480z00zz__r5_control_features_6_4z00,
		BgL_bgl_string1480za700za7za7_1490za7, "bint", 4);
	      DEFINE_STRING(BGl_string1481z00zz__r5_control_features_6_4z00,
		BgL_bgl_string1481za700za7za7_1491za7, "&%get-mvalues-val", 17);
	      DEFINE_STRING(BGl_string1482z00zz__r5_control_features_6_4z00,
		BgL_bgl_string1482za700za7za7_1492za7, "&%set-mvalues-val!", 18);
	      DEFINE_STRING(BGl_string1483z00zz__r5_control_features_6_4z00,
		BgL_bgl_string1483za700za7za7_1493za7, "&call-with-values", 17);
	      DEFINE_STRING(BGl_string1484z00zz__r5_control_features_6_4z00,
		BgL_bgl_string1484za700za7za7_1494za7, "procedure", 9);
	      DEFINE_STRING(BGl_string1485z00zz__r5_control_features_6_4z00,
		BgL_bgl_string1485za700za7za7_1495za7, "__r5_control_features_6_4", 25);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z52getzd2mvalueszd2valzd2envz80zz__r5_control_features_6_4z00,
		BgL_bgl_za762za752getza7d2mval1496za7,
		BGl_z62z52getzd2mvalueszd2valz30zz__r5_control_features_6_4z00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z52setzd2mvalueszd2numberz12zd2envz92zz__r5_control_features_6_4z00,
		BgL_bgl_za762za752setza7d2mval1497za7,
		BGl_z62z52setzd2mvalueszd2numberz12z22zz__r5_control_features_6_4z00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z52getzd2mvalueszd2numberzd2envz80zz__r5_control_features_6_4z00,
		BgL_bgl_za762za752getza7d2mval1498za7,
		BGl_z62z52getzd2mvalueszd2numberz30zz__r5_control_features_6_4z00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_valueszd2envzd2zz__r5_control_features_6_4z00,
		BgL_bgl_za762valuesza762za7za7__1499z00, va_generic_entry,
		BGl_z62valuesz62zz__r5_control_features_6_4z00, BUNSPEC, -1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long
		BgL_checksumz00_972, char *BgL_fromz00_973)
	{
		AN_OBJECT;
		{
			if (CBOOL
				(BGl_requirezd2initializa7ationz75zz__r5_control_features_6_4z00))
				{
					BGl_requirezd2initializa7ationz75zz__r5_control_features_6_4z00 =
						BBOOL(((bool_t) 0));
					BGl_importedzd2moduleszd2initz00zz__r5_control_features_6_4z00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* %get-mvalues-number */
	BGL_EXPORTED_DEF int
		BGl_z52getzd2mvalueszd2numberz52zz__r5_control_features_6_4z00()
	{
		AN_OBJECT;
		{	/* Ieee/control5.scm 66 */
			return BGL_MVALUES_NUMBER();
		}
	}



/* &%get-mvalues-number */
	obj_t BGl_z62z52getzd2mvalueszd2numberz30zz__r5_control_features_6_4z00(obj_t
		BgL_envz00_945)
	{
		AN_OBJECT;
		{	/* Ieee/control5.scm 66 */
			return BINT(BGL_MVALUES_NUMBER());
		}
	}



/* %set-mvalues-number! */
	BGL_EXPORTED_DEF int
		BGl_z52setzd2mvalueszd2numberz12z40zz__r5_control_features_6_4z00(int
		BgL_nz00_3)
	{
		AN_OBJECT;
		{	/* Ieee/control5.scm 72 */
			return BGL_MVALUES_NUMBER_SET(BgL_nz00_3);
		}
	}



/* &%set-mvalues-number! */
	obj_t
		BGl_z62z52setzd2mvalueszd2numberz12z22zz__r5_control_features_6_4z00(obj_t
		BgL_envz00_946, obj_t BgL_nz00_947)
	{
		AN_OBJECT;
		{	/* Ieee/control5.scm 72 */
			{	/* Ieee/control5.scm 73 */
				int BgL_auxz00_982;

				{	/* Ieee/control5.scm 73 */
					int BgL_nz00_968;

					{	/* Ieee/control5.scm 73 */
						obj_t BgL_auxz00_983;

						if (INTEGERP(BgL_nz00_947))
							{	/* Ieee/control5.scm 73 */
								BgL_auxz00_983 = BgL_nz00_947;
							}
						else
							{
								obj_t BgL_auxz00_986;

								BgL_auxz00_986 =
									BGl_typezd2errorzd2zz__errorz00
									(BGl_string1478z00zz__r5_control_features_6_4z00,
									BINT(((long) 2768)),
									BGl_string1479z00zz__r5_control_features_6_4z00,
									BGl_string1480z00zz__r5_control_features_6_4z00,
									BgL_nz00_947);
								FAILURE(BgL_auxz00_986, BFALSE, BFALSE);
							}
						BgL_nz00_968 = CINT(BgL_auxz00_983);
					}
					BgL_auxz00_982 = BGL_MVALUES_NUMBER_SET(BgL_nz00_968);
				}
				return BINT(BgL_auxz00_982);
			}
		}
	}



/* %get-mvalues-val */
	BGL_EXPORTED_DEF obj_t
		BGl_z52getzd2mvalueszd2valz52zz__r5_control_features_6_4z00(int BgL_nz00_4)
	{
		AN_OBJECT;
		{	/* Ieee/control5.scm 78 */
			return BGL_MVALUES_VAL(BgL_nz00_4);
		}
	}



/* &%get-mvalues-val */
	obj_t BGl_z62z52getzd2mvalueszd2valz30zz__r5_control_features_6_4z00(obj_t
		BgL_envz00_948, obj_t BgL_nz00_949)
	{
		AN_OBJECT;
		{	/* Ieee/control5.scm 78 */
			{	/* Ieee/control5.scm 79 */
				int BgL_nz00_969;

				{	/* Ieee/control5.scm 79 */
					obj_t BgL_auxz00_994;

					if (INTEGERP(BgL_nz00_949))
						{	/* Ieee/control5.scm 79 */
							BgL_auxz00_994 = BgL_nz00_949;
						}
					else
						{
							obj_t BgL_auxz00_997;

							BgL_auxz00_997 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string1478z00zz__r5_control_features_6_4z00,
								BINT(((long) 3056)),
								BGl_string1481z00zz__r5_control_features_6_4z00,
								BGl_string1480z00zz__r5_control_features_6_4z00, BgL_nz00_949);
							FAILURE(BgL_auxz00_997, BFALSE, BFALSE);
						}
					BgL_nz00_969 = CINT(BgL_auxz00_994);
				}
				return BGL_MVALUES_VAL(BgL_nz00_969);
			}
		}
	}



/* %set-mvalues-val! */
	BGL_EXPORTED_DEF obj_t
		BGl_z52setzd2mvalueszd2valz12z40zz__r5_control_features_6_4z00(int
		BgL_nz00_5, obj_t BgL_oz00_6)
	{
		AN_OBJECT;
		{	/* Ieee/control5.scm 84 */
			return BGL_MVALUES_VAL_SET(BgL_nz00_5, BgL_oz00_6);
		}
	}



/* &%set-mvalues-val! */
	obj_t BGl_z62z52setzd2mvalueszd2valz12z22zz__r5_control_features_6_4z00(obj_t
		BgL_envz00_950, obj_t BgL_nz00_951, obj_t BgL_oz00_952)
	{
		AN_OBJECT;
		{	/* Ieee/control5.scm 84 */
			{	/* Ieee/control5.scm 85 */
				int BgL_nz00_970;

				{	/* Ieee/control5.scm 85 */
					obj_t BgL_auxz00_1004;

					if (INTEGERP(BgL_nz00_951))
						{	/* Ieee/control5.scm 85 */
							BgL_auxz00_1004 = BgL_nz00_951;
						}
					else
						{
							obj_t BgL_auxz00_1007;

							BgL_auxz00_1007 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string1478z00zz__r5_control_features_6_4z00,
								BINT(((long) 3343)),
								BGl_string1482z00zz__r5_control_features_6_4z00,
								BGl_string1480z00zz__r5_control_features_6_4z00, BgL_nz00_951);
							FAILURE(BgL_auxz00_1007, BFALSE, BFALSE);
						}
					BgL_nz00_970 = CINT(BgL_auxz00_1004);
				}
				return BGL_MVALUES_VAL_SET(BgL_nz00_970, BgL_oz00_952);
			}
		}
	}



/* values */
	BGL_EXPORTED_DEF obj_t BGl_valuesz00zz__r5_control_features_6_4z00(obj_t
		BgL_argsz00_7)
	{
		AN_OBJECT;
		{	/* Ieee/control5.scm 92 */
			if (NULLP(BgL_argsz00_7))
				{	/* Ieee/control5.scm 94 */
					int BgL_res1442z00_684;

					{	/* Ieee/control5.scm 73 */
						int BgL_auxz00_1015;

						BgL_auxz00_1015 = (int) (((long) 0));
						BgL_res1442z00_684 = BGL_MVALUES_NUMBER_SET(BgL_auxz00_1015);
					}
					return BINT(BgL_res1442z00_684);
				}
			else
				{	/* Ieee/control5.scm 93 */
					if (NULLP(CDR(BgL_argsz00_7)))
						{	/* Ieee/control5.scm 95 */
							{	/* Ieee/control5.scm 97 */
								int BgL_res1444z00_689;

								{	/* Ieee/control5.scm 73 */
									int BgL_auxz00_1022;

									BgL_auxz00_1022 = (int) (((long) 1));
									BgL_res1444z00_689 = BGL_MVALUES_NUMBER_SET(BgL_auxz00_1022);
								} BgL_res1444z00_689;
							}
							return CAR(BgL_argsz00_7);
						}
					else
						{	/* Ieee/control5.scm 99 */
							obj_t BgL_res0z00_397;

							BgL_res0z00_397 = CAR(BgL_argsz00_7);
							{	/* Ieee/control5.scm 101 */
								obj_t BgL_g1012z00_399;

								BgL_g1012z00_399 = CDR(BgL_argsz00_7);
								{
									long BgL_iz00_710;
									obj_t BgL_argsz00_711;

									BgL_iz00_710 = ((long) 1);
									BgL_argsz00_711 = BgL_g1012z00_399;
								BgL_loopz00_709:
									if (NULLP(BgL_argsz00_711))
										{	/* Ieee/control5.scm 104 */
											{	/* Ieee/control5.scm 105 */
												int BgL_res1446z00_715;

												{	/* Ieee/control5.scm 73 */
													int BgL_auxz00_1030;

													BgL_auxz00_1030 = (int) (BgL_iz00_710);
													BgL_res1446z00_715 =
														BGL_MVALUES_NUMBER_SET(BgL_auxz00_1030);
												} BgL_res1446z00_715;
											}
											return BgL_res0z00_397;
										}
									else
										{	/* Ieee/control5.scm 104 */
											if ((BgL_iz00_710 == ((long) 16)))
												{	/* Ieee/control5.scm 107 */
													{	/* Ieee/control5.scm 108 */
														int BgL_res1448z00_721;

														{	/* Ieee/control5.scm 73 */
															int BgL_auxz00_1035;

															BgL_auxz00_1035 = (int) (((long) -1));
															BgL_res1448z00_721 =
																BGL_MVALUES_NUMBER_SET(BgL_auxz00_1035);
														} BgL_res1448z00_721;
													}
													return BgL_argsz00_7;
												}
											else
												{	/* Ieee/control5.scm 107 */
													{	/* Ieee/control5.scm 85 */
														obj_t BgL_auxz00_1040;
														int BgL_auxz00_1038;

														BgL_auxz00_1040 = CAR(BgL_argsz00_711);
														BgL_auxz00_1038 = (int) (BgL_iz00_710);
														BGL_MVALUES_VAL_SET(BgL_auxz00_1038,
															BgL_auxz00_1040);
													}
													{
														obj_t BgL_argsz00_1045;
														long BgL_iz00_1043;

														BgL_iz00_1043 = (BgL_iz00_710 + ((long) 1));
														BgL_argsz00_1045 = CDR(BgL_argsz00_711);
														BgL_argsz00_711 = BgL_argsz00_1045;
														BgL_iz00_710 = BgL_iz00_1043;
														goto BgL_loopz00_709;
													}
												}
										}
								}
							}
						}
				}
		}
	}



/* &values */
	obj_t BGl_z62valuesz62zz__r5_control_features_6_4z00(obj_t BgL_envz00_953,
		obj_t BgL_argsz00_954)
	{
		AN_OBJECT;
		{	/* Ieee/control5.scm 92 */
			return BGl_valuesz00zz__r5_control_features_6_4z00(BgL_argsz00_954);
		}
	}



/* call-with-values */
	BGL_EXPORTED_DEF obj_t
		BGl_callzd2withzd2valuesz00zz__r5_control_features_6_4z00(obj_t
		BgL_producerz00_8, obj_t BgL_consumerz00_9)
	{
		AN_OBJECT;
		{	/* Ieee/control5.scm 117 */
			{	/* Ieee/control5.scm 118 */
				int BgL_res1450z00_734;

				{	/* Ieee/control5.scm 73 */
					int BgL_auxz00_1048;

					BgL_auxz00_1048 = (int) (((long) 1));
					BgL_res1450z00_734 = BGL_MVALUES_NUMBER_SET(BgL_auxz00_1048);
				} BgL_res1450z00_734;
			}
			{	/* Ieee/control5.scm 119 */
				obj_t BgL_res0z00_411;

				BgL_res0z00_411 =
					PROCEDURE_ENTRY(BgL_producerz00_8) (BgL_producerz00_8, BEOA);
				{	/* Ieee/control5.scm 120 */
					int BgL_aux1014z00_413;

					{	/* Ieee/control5.scm 120 */
						int BgL_res1451z00_735;

						BgL_res1451z00_735 = BGL_MVALUES_NUMBER();
						BgL_aux1014z00_413 = BgL_res1451z00_735;
					}
					switch ((long) (BgL_aux1014z00_413))
						{
						case ((long) -1):

							return apply(BgL_consumerz00_9, BgL_res0z00_411);
							break;
						case ((long) 0):

							return
								PROCEDURE_ENTRY(BgL_consumerz00_9) (BgL_consumerz00_9, BEOA);
							break;
						case ((long) 1):

							return
								PROCEDURE_ENTRY(BgL_consumerz00_9) (BgL_consumerz00_9,
								BgL_res0z00_411, BEOA);
							break;
						case ((long) 2):

							{	/* Ieee/control5.scm 129 */
								obj_t BgL_arg1061z00_415;

								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1064;

									BgL_auxz00_1064 = (int) (((long) 1));
									BgL_arg1061z00_415 = BGL_MVALUES_VAL(BgL_auxz00_1064);
								}
								return
									PROCEDURE_ENTRY(BgL_consumerz00_9) (BgL_consumerz00_9,
									BgL_res0z00_411, BgL_arg1061z00_415, BEOA);
							}
							break;
						case ((long) 3):

							{	/* Ieee/control5.scm 132 */
								obj_t BgL_arg1063z00_416;
								obj_t BgL_arg1065z00_417;

								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1072;

									BgL_auxz00_1072 = (int) (((long) 1));
									BgL_arg1063z00_416 = BGL_MVALUES_VAL(BgL_auxz00_1072);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1075;

									BgL_auxz00_1075 = (int) (((long) 2));
									BgL_arg1065z00_417 = BGL_MVALUES_VAL(BgL_auxz00_1075);
								}
								return
									PROCEDURE_ENTRY(BgL_consumerz00_9) (BgL_consumerz00_9,
									BgL_res0z00_411, BgL_arg1063z00_416, BgL_arg1065z00_417,
									BEOA);
							}
							break;
						case ((long) 4):

							{	/* Ieee/control5.scm 136 */
								obj_t BgL_arg1068z00_418;
								obj_t BgL_arg1070z00_419;
								obj_t BgL_arg1071z00_420;

								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1084;

									BgL_auxz00_1084 = (int) (((long) 1));
									BgL_arg1068z00_418 = BGL_MVALUES_VAL(BgL_auxz00_1084);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1087;

									BgL_auxz00_1087 = (int) (((long) 2));
									BgL_arg1070z00_419 = BGL_MVALUES_VAL(BgL_auxz00_1087);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1090;

									BgL_auxz00_1090 = (int) (((long) 3));
									BgL_arg1071z00_420 = BGL_MVALUES_VAL(BgL_auxz00_1090);
								}
								return
									PROCEDURE_ENTRY(BgL_consumerz00_9) (BgL_consumerz00_9,
									BgL_res0z00_411, BgL_arg1068z00_418, BgL_arg1070z00_419,
									BgL_arg1071z00_420, BEOA);
							}
							break;
						case ((long) 5):

							{	/* Ieee/control5.scm 141 */
								obj_t BgL_arg1072z00_421;
								obj_t BgL_arg1073z00_422;
								obj_t BgL_arg1074z00_423;
								obj_t BgL_arg1075z00_424;

								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1100;

									BgL_auxz00_1100 = (int) (((long) 1));
									BgL_arg1072z00_421 = BGL_MVALUES_VAL(BgL_auxz00_1100);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1103;

									BgL_auxz00_1103 = (int) (((long) 2));
									BgL_arg1073z00_422 = BGL_MVALUES_VAL(BgL_auxz00_1103);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1106;

									BgL_auxz00_1106 = (int) (((long) 3));
									BgL_arg1074z00_423 = BGL_MVALUES_VAL(BgL_auxz00_1106);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1109;

									BgL_auxz00_1109 = (int) (((long) 4));
									BgL_arg1075z00_424 = BGL_MVALUES_VAL(BgL_auxz00_1109);
								}
								return
									PROCEDURE_ENTRY(BgL_consumerz00_9) (BgL_consumerz00_9,
									BgL_res0z00_411, BgL_arg1072z00_421, BgL_arg1073z00_422,
									BgL_arg1074z00_423, BgL_arg1075z00_424, BEOA);
							}
							break;
						case ((long) 6):

							{	/* Ieee/control5.scm 147 */
								obj_t BgL_arg1076z00_425;
								obj_t BgL_arg1077z00_426;
								obj_t BgL_arg1078z00_427;
								obj_t BgL_arg1079z00_428;
								obj_t BgL_arg1080z00_429;

								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1120;

									BgL_auxz00_1120 = (int) (((long) 1));
									BgL_arg1076z00_425 = BGL_MVALUES_VAL(BgL_auxz00_1120);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1123;

									BgL_auxz00_1123 = (int) (((long) 2));
									BgL_arg1077z00_426 = BGL_MVALUES_VAL(BgL_auxz00_1123);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1126;

									BgL_auxz00_1126 = (int) (((long) 3));
									BgL_arg1078z00_427 = BGL_MVALUES_VAL(BgL_auxz00_1126);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1129;

									BgL_auxz00_1129 = (int) (((long) 4));
									BgL_arg1079z00_428 = BGL_MVALUES_VAL(BgL_auxz00_1129);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1132;

									BgL_auxz00_1132 = (int) (((long) 5));
									BgL_arg1080z00_429 = BGL_MVALUES_VAL(BgL_auxz00_1132);
								}
								return
									PROCEDURE_ENTRY(BgL_consumerz00_9) (BgL_consumerz00_9,
									BgL_res0z00_411, BgL_arg1076z00_425, BgL_arg1077z00_426,
									BgL_arg1078z00_427, BgL_arg1079z00_428, BgL_arg1080z00_429,
									BEOA);
							}
							break;
						case ((long) 7):

							{	/* Ieee/control5.scm 154 */
								obj_t BgL_arg1089z00_430;
								obj_t BgL_arg1094z00_431;
								obj_t BgL_arg1095z00_432;
								obj_t BgL_arg1096z00_433;
								obj_t BgL_arg1097z00_434;
								obj_t BgL_arg1098z00_435;

								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1144;

									BgL_auxz00_1144 = (int) (((long) 1));
									BgL_arg1089z00_430 = BGL_MVALUES_VAL(BgL_auxz00_1144);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1147;

									BgL_auxz00_1147 = (int) (((long) 2));
									BgL_arg1094z00_431 = BGL_MVALUES_VAL(BgL_auxz00_1147);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1150;

									BgL_auxz00_1150 = (int) (((long) 3));
									BgL_arg1095z00_432 = BGL_MVALUES_VAL(BgL_auxz00_1150);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1153;

									BgL_auxz00_1153 = (int) (((long) 4));
									BgL_arg1096z00_433 = BGL_MVALUES_VAL(BgL_auxz00_1153);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1156;

									BgL_auxz00_1156 = (int) (((long) 5));
									BgL_arg1097z00_434 = BGL_MVALUES_VAL(BgL_auxz00_1156);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1159;

									BgL_auxz00_1159 = (int) (((long) 6));
									BgL_arg1098z00_435 = BGL_MVALUES_VAL(BgL_auxz00_1159);
								}
								return
									PROCEDURE_ENTRY(BgL_consumerz00_9) (BgL_consumerz00_9,
									BgL_res0z00_411, BgL_arg1089z00_430, BgL_arg1094z00_431,
									BgL_arg1095z00_432, BgL_arg1096z00_433, BgL_arg1097z00_434,
									BgL_arg1098z00_435, BEOA);
							}
							break;
						case ((long) 8):

							{	/* Ieee/control5.scm 162 */
								obj_t BgL_arg1099z00_436;
								obj_t BgL_arg1100z00_437;
								obj_t BgL_arg1102z00_438;
								obj_t BgL_arg1103z00_439;
								obj_t BgL_arg1104z00_440;
								obj_t BgL_arg1106z00_441;
								obj_t BgL_arg1107z00_442;

								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1172;

									BgL_auxz00_1172 = (int) (((long) 1));
									BgL_arg1099z00_436 = BGL_MVALUES_VAL(BgL_auxz00_1172);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1175;

									BgL_auxz00_1175 = (int) (((long) 2));
									BgL_arg1100z00_437 = BGL_MVALUES_VAL(BgL_auxz00_1175);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1178;

									BgL_auxz00_1178 = (int) (((long) 3));
									BgL_arg1102z00_438 = BGL_MVALUES_VAL(BgL_auxz00_1178);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1181;

									BgL_auxz00_1181 = (int) (((long) 4));
									BgL_arg1103z00_439 = BGL_MVALUES_VAL(BgL_auxz00_1181);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1184;

									BgL_auxz00_1184 = (int) (((long) 5));
									BgL_arg1104z00_440 = BGL_MVALUES_VAL(BgL_auxz00_1184);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1187;

									BgL_auxz00_1187 = (int) (((long) 6));
									BgL_arg1106z00_441 = BGL_MVALUES_VAL(BgL_auxz00_1187);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1190;

									BgL_auxz00_1190 = (int) (((long) 7));
									BgL_arg1107z00_442 = BGL_MVALUES_VAL(BgL_auxz00_1190);
								}
								return
									PROCEDURE_ENTRY(BgL_consumerz00_9) (BgL_consumerz00_9,
									BgL_res0z00_411, BgL_arg1099z00_436, BgL_arg1100z00_437,
									BgL_arg1102z00_438, BgL_arg1103z00_439, BgL_arg1104z00_440,
									BgL_arg1106z00_441, BgL_arg1107z00_442, BEOA);
							}
							break;
						case ((long) 9):

							{	/* Ieee/control5.scm 171 */
								obj_t BgL_arg1111z00_443;
								obj_t BgL_arg1112z00_444;
								obj_t BgL_arg1113z00_445;
								obj_t BgL_arg1115z00_446;
								obj_t BgL_arg1116z00_447;
								obj_t BgL_arg1132z00_448;
								obj_t BgL_arg1133z00_449;
								obj_t BgL_arg1134z00_450;

								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1204;

									BgL_auxz00_1204 = (int) (((long) 1));
									BgL_arg1111z00_443 = BGL_MVALUES_VAL(BgL_auxz00_1204);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1207;

									BgL_auxz00_1207 = (int) (((long) 2));
									BgL_arg1112z00_444 = BGL_MVALUES_VAL(BgL_auxz00_1207);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1210;

									BgL_auxz00_1210 = (int) (((long) 3));
									BgL_arg1113z00_445 = BGL_MVALUES_VAL(BgL_auxz00_1210);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1213;

									BgL_auxz00_1213 = (int) (((long) 4));
									BgL_arg1115z00_446 = BGL_MVALUES_VAL(BgL_auxz00_1213);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1216;

									BgL_auxz00_1216 = (int) (((long) 5));
									BgL_arg1116z00_447 = BGL_MVALUES_VAL(BgL_auxz00_1216);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1219;

									BgL_auxz00_1219 = (int) (((long) 6));
									BgL_arg1132z00_448 = BGL_MVALUES_VAL(BgL_auxz00_1219);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1222;

									BgL_auxz00_1222 = (int) (((long) 7));
									BgL_arg1133z00_449 = BGL_MVALUES_VAL(BgL_auxz00_1222);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1225;

									BgL_auxz00_1225 = (int) (((long) 8));
									BgL_arg1134z00_450 = BGL_MVALUES_VAL(BgL_auxz00_1225);
								}
								return
									PROCEDURE_ENTRY(BgL_consumerz00_9) (BgL_consumerz00_9,
									BgL_res0z00_411, BgL_arg1111z00_443, BgL_arg1112z00_444,
									BgL_arg1113z00_445, BgL_arg1115z00_446, BgL_arg1116z00_447,
									BgL_arg1132z00_448, BgL_arg1133z00_449, BgL_arg1134z00_450,
									BEOA);
							}
							break;
						case ((long) 10):

							{	/* Ieee/control5.scm 181 */
								obj_t BgL_arg1137z00_451;
								obj_t BgL_arg1138z00_452;
								obj_t BgL_arg1139z00_453;
								obj_t BgL_arg1142z00_454;
								obj_t BgL_arg1143z00_455;
								obj_t BgL_arg1145z00_456;
								obj_t BgL_arg1146z00_457;
								obj_t BgL_arg1151z00_458;
								obj_t BgL_arg1153z00_459;

								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1240;

									BgL_auxz00_1240 = (int) (((long) 1));
									BgL_arg1137z00_451 = BGL_MVALUES_VAL(BgL_auxz00_1240);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1243;

									BgL_auxz00_1243 = (int) (((long) 2));
									BgL_arg1138z00_452 = BGL_MVALUES_VAL(BgL_auxz00_1243);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1246;

									BgL_auxz00_1246 = (int) (((long) 3));
									BgL_arg1139z00_453 = BGL_MVALUES_VAL(BgL_auxz00_1246);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1249;

									BgL_auxz00_1249 = (int) (((long) 4));
									BgL_arg1142z00_454 = BGL_MVALUES_VAL(BgL_auxz00_1249);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1252;

									BgL_auxz00_1252 = (int) (((long) 5));
									BgL_arg1143z00_455 = BGL_MVALUES_VAL(BgL_auxz00_1252);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1255;

									BgL_auxz00_1255 = (int) (((long) 6));
									BgL_arg1145z00_456 = BGL_MVALUES_VAL(BgL_auxz00_1255);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1258;

									BgL_auxz00_1258 = (int) (((long) 7));
									BgL_arg1146z00_457 = BGL_MVALUES_VAL(BgL_auxz00_1258);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1261;

									BgL_auxz00_1261 = (int) (((long) 8));
									BgL_arg1151z00_458 = BGL_MVALUES_VAL(BgL_auxz00_1261);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1264;

									BgL_auxz00_1264 = (int) (((long) 9));
									BgL_arg1153z00_459 = BGL_MVALUES_VAL(BgL_auxz00_1264);
								}
								return
									PROCEDURE_ENTRY(BgL_consumerz00_9) (BgL_consumerz00_9,
									BgL_res0z00_411, BgL_arg1137z00_451, BgL_arg1138z00_452,
									BgL_arg1139z00_453, BgL_arg1142z00_454, BgL_arg1143z00_455,
									BgL_arg1145z00_456, BgL_arg1146z00_457, BgL_arg1151z00_458,
									BgL_arg1153z00_459, BEOA);
							}
							break;
						case ((long) 11):

							{	/* Ieee/control5.scm 192 */
								obj_t BgL_arg1157z00_460;
								obj_t BgL_arg1159z00_461;
								obj_t BgL_arg1160z00_462;
								obj_t BgL_arg1161z00_463;
								obj_t BgL_arg1164z00_464;
								obj_t BgL_arg1167z00_465;
								obj_t BgL_arg1168z00_466;
								obj_t BgL_arg1169z00_467;
								obj_t BgL_arg1170z00_468;
								obj_t BgL_arg1172z00_469;

								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1280;

									BgL_auxz00_1280 = (int) (((long) 1));
									BgL_arg1157z00_460 = BGL_MVALUES_VAL(BgL_auxz00_1280);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1283;

									BgL_auxz00_1283 = (int) (((long) 2));
									BgL_arg1159z00_461 = BGL_MVALUES_VAL(BgL_auxz00_1283);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1286;

									BgL_auxz00_1286 = (int) (((long) 3));
									BgL_arg1160z00_462 = BGL_MVALUES_VAL(BgL_auxz00_1286);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1289;

									BgL_auxz00_1289 = (int) (((long) 4));
									BgL_arg1161z00_463 = BGL_MVALUES_VAL(BgL_auxz00_1289);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1292;

									BgL_auxz00_1292 = (int) (((long) 5));
									BgL_arg1164z00_464 = BGL_MVALUES_VAL(BgL_auxz00_1292);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1295;

									BgL_auxz00_1295 = (int) (((long) 6));
									BgL_arg1167z00_465 = BGL_MVALUES_VAL(BgL_auxz00_1295);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1298;

									BgL_auxz00_1298 = (int) (((long) 7));
									BgL_arg1168z00_466 = BGL_MVALUES_VAL(BgL_auxz00_1298);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1301;

									BgL_auxz00_1301 = (int) (((long) 8));
									BgL_arg1169z00_467 = BGL_MVALUES_VAL(BgL_auxz00_1301);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1304;

									BgL_auxz00_1304 = (int) (((long) 9));
									BgL_arg1170z00_468 = BGL_MVALUES_VAL(BgL_auxz00_1304);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1307;

									BgL_auxz00_1307 = (int) (((long) 10));
									BgL_arg1172z00_469 = BGL_MVALUES_VAL(BgL_auxz00_1307);
								}
								return
									PROCEDURE_ENTRY(BgL_consumerz00_9) (BgL_consumerz00_9,
									BgL_res0z00_411, BgL_arg1157z00_460, BgL_arg1159z00_461,
									BgL_arg1160z00_462, BgL_arg1161z00_463, BgL_arg1164z00_464,
									BgL_arg1167z00_465, BgL_arg1168z00_466, BgL_arg1169z00_467,
									BgL_arg1170z00_468, BgL_arg1172z00_469, BEOA);
							}
							break;
						case ((long) 12):

							{	/* Ieee/control5.scm 204 */
								obj_t BgL_arg1173z00_470;
								obj_t BgL_arg1174z00_471;
								obj_t BgL_arg1175z00_472;
								obj_t BgL_arg1176z00_473;
								obj_t BgL_arg1177z00_474;
								obj_t BgL_arg1179z00_475;
								obj_t BgL_arg1180z00_476;
								obj_t BgL_arg1184z00_477;
								obj_t BgL_arg1187z00_478;
								obj_t BgL_arg1189z00_479;
								obj_t BgL_arg1204z00_480;

								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1324;

									BgL_auxz00_1324 = (int) (((long) 1));
									BgL_arg1173z00_470 = BGL_MVALUES_VAL(BgL_auxz00_1324);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1327;

									BgL_auxz00_1327 = (int) (((long) 2));
									BgL_arg1174z00_471 = BGL_MVALUES_VAL(BgL_auxz00_1327);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1330;

									BgL_auxz00_1330 = (int) (((long) 3));
									BgL_arg1175z00_472 = BGL_MVALUES_VAL(BgL_auxz00_1330);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1333;

									BgL_auxz00_1333 = (int) (((long) 4));
									BgL_arg1176z00_473 = BGL_MVALUES_VAL(BgL_auxz00_1333);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1336;

									BgL_auxz00_1336 = (int) (((long) 5));
									BgL_arg1177z00_474 = BGL_MVALUES_VAL(BgL_auxz00_1336);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1339;

									BgL_auxz00_1339 = (int) (((long) 6));
									BgL_arg1179z00_475 = BGL_MVALUES_VAL(BgL_auxz00_1339);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1342;

									BgL_auxz00_1342 = (int) (((long) 7));
									BgL_arg1180z00_476 = BGL_MVALUES_VAL(BgL_auxz00_1342);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1345;

									BgL_auxz00_1345 = (int) (((long) 8));
									BgL_arg1184z00_477 = BGL_MVALUES_VAL(BgL_auxz00_1345);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1348;

									BgL_auxz00_1348 = (int) (((long) 9));
									BgL_arg1187z00_478 = BGL_MVALUES_VAL(BgL_auxz00_1348);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1351;

									BgL_auxz00_1351 = (int) (((long) 10));
									BgL_arg1189z00_479 = BGL_MVALUES_VAL(BgL_auxz00_1351);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1354;

									BgL_auxz00_1354 = (int) (((long) 11));
									BgL_arg1204z00_480 = BGL_MVALUES_VAL(BgL_auxz00_1354);
								}
								return
									PROCEDURE_ENTRY(BgL_consumerz00_9) (BgL_consumerz00_9,
									BgL_res0z00_411, BgL_arg1173z00_470, BgL_arg1174z00_471,
									BgL_arg1175z00_472, BgL_arg1176z00_473, BgL_arg1177z00_474,
									BgL_arg1179z00_475, BgL_arg1180z00_476, BgL_arg1184z00_477,
									BgL_arg1187z00_478, BgL_arg1189z00_479, BgL_arg1204z00_480,
									BEOA);
							}
							break;
						case ((long) 13):

							{	/* Ieee/control5.scm 217 */
								obj_t BgL_arg1205z00_481;
								obj_t BgL_arg1210z00_482;
								obj_t BgL_arg1211z00_483;
								obj_t BgL_arg1215z00_484;
								obj_t BgL_arg1216z00_485;
								obj_t BgL_arg1218z00_486;
								obj_t BgL_arg1219z00_487;
								obj_t BgL_arg1220z00_488;
								obj_t BgL_arg1221z00_489;
								obj_t BgL_arg1222z00_490;
								obj_t BgL_arg1223z00_491;
								obj_t BgL_arg1225z00_492;

								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1372;

									BgL_auxz00_1372 = (int) (((long) 1));
									BgL_arg1205z00_481 = BGL_MVALUES_VAL(BgL_auxz00_1372);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1375;

									BgL_auxz00_1375 = (int) (((long) 2));
									BgL_arg1210z00_482 = BGL_MVALUES_VAL(BgL_auxz00_1375);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1378;

									BgL_auxz00_1378 = (int) (((long) 3));
									BgL_arg1211z00_483 = BGL_MVALUES_VAL(BgL_auxz00_1378);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1381;

									BgL_auxz00_1381 = (int) (((long) 4));
									BgL_arg1215z00_484 = BGL_MVALUES_VAL(BgL_auxz00_1381);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1384;

									BgL_auxz00_1384 = (int) (((long) 5));
									BgL_arg1216z00_485 = BGL_MVALUES_VAL(BgL_auxz00_1384);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1387;

									BgL_auxz00_1387 = (int) (((long) 6));
									BgL_arg1218z00_486 = BGL_MVALUES_VAL(BgL_auxz00_1387);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1390;

									BgL_auxz00_1390 = (int) (((long) 7));
									BgL_arg1219z00_487 = BGL_MVALUES_VAL(BgL_auxz00_1390);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1393;

									BgL_auxz00_1393 = (int) (((long) 8));
									BgL_arg1220z00_488 = BGL_MVALUES_VAL(BgL_auxz00_1393);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1396;

									BgL_auxz00_1396 = (int) (((long) 9));
									BgL_arg1221z00_489 = BGL_MVALUES_VAL(BgL_auxz00_1396);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1399;

									BgL_auxz00_1399 = (int) (((long) 10));
									BgL_arg1222z00_490 = BGL_MVALUES_VAL(BgL_auxz00_1399);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1402;

									BgL_auxz00_1402 = (int) (((long) 11));
									BgL_arg1223z00_491 = BGL_MVALUES_VAL(BgL_auxz00_1402);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1405;

									BgL_auxz00_1405 = (int) (((long) 12));
									BgL_arg1225z00_492 = BGL_MVALUES_VAL(BgL_auxz00_1405);
								}
								return
									PROCEDURE_ENTRY(BgL_consumerz00_9) (BgL_consumerz00_9,
									BgL_res0z00_411, BgL_arg1205z00_481, BgL_arg1210z00_482,
									BgL_arg1211z00_483, BgL_arg1215z00_484, BgL_arg1216z00_485,
									BgL_arg1218z00_486, BgL_arg1219z00_487, BgL_arg1220z00_488,
									BgL_arg1221z00_489, BgL_arg1222z00_490, BgL_arg1223z00_491,
									BgL_arg1225z00_492, BEOA);
							}
							break;
						case ((long) 14):

							{	/* Ieee/control5.scm 231 */
								obj_t BgL_arg1227z00_493;
								obj_t BgL_arg1229z00_494;
								obj_t BgL_arg1230z00_495;
								obj_t BgL_arg1233z00_496;
								obj_t BgL_arg1239z00_497;
								obj_t BgL_arg1246z00_498;
								obj_t BgL_arg1254z00_499;
								obj_t BgL_arg1256z00_500;
								obj_t BgL_arg1258z00_501;
								obj_t BgL_arg1259z00_502;
								obj_t BgL_arg1261z00_503;
								obj_t BgL_arg1264z00_504;
								obj_t BgL_arg1271z00_505;

								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1424;

									BgL_auxz00_1424 = (int) (((long) 1));
									BgL_arg1227z00_493 = BGL_MVALUES_VAL(BgL_auxz00_1424);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1427;

									BgL_auxz00_1427 = (int) (((long) 2));
									BgL_arg1229z00_494 = BGL_MVALUES_VAL(BgL_auxz00_1427);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1430;

									BgL_auxz00_1430 = (int) (((long) 3));
									BgL_arg1230z00_495 = BGL_MVALUES_VAL(BgL_auxz00_1430);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1433;

									BgL_auxz00_1433 = (int) (((long) 4));
									BgL_arg1233z00_496 = BGL_MVALUES_VAL(BgL_auxz00_1433);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1436;

									BgL_auxz00_1436 = (int) (((long) 5));
									BgL_arg1239z00_497 = BGL_MVALUES_VAL(BgL_auxz00_1436);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1439;

									BgL_auxz00_1439 = (int) (((long) 6));
									BgL_arg1246z00_498 = BGL_MVALUES_VAL(BgL_auxz00_1439);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1442;

									BgL_auxz00_1442 = (int) (((long) 7));
									BgL_arg1254z00_499 = BGL_MVALUES_VAL(BgL_auxz00_1442);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1445;

									BgL_auxz00_1445 = (int) (((long) 8));
									BgL_arg1256z00_500 = BGL_MVALUES_VAL(BgL_auxz00_1445);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1448;

									BgL_auxz00_1448 = (int) (((long) 9));
									BgL_arg1258z00_501 = BGL_MVALUES_VAL(BgL_auxz00_1448);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1451;

									BgL_auxz00_1451 = (int) (((long) 10));
									BgL_arg1259z00_502 = BGL_MVALUES_VAL(BgL_auxz00_1451);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1454;

									BgL_auxz00_1454 = (int) (((long) 11));
									BgL_arg1261z00_503 = BGL_MVALUES_VAL(BgL_auxz00_1454);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1457;

									BgL_auxz00_1457 = (int) (((long) 12));
									BgL_arg1264z00_504 = BGL_MVALUES_VAL(BgL_auxz00_1457);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1460;

									BgL_auxz00_1460 = (int) (((long) 13));
									BgL_arg1271z00_505 = BGL_MVALUES_VAL(BgL_auxz00_1460);
								}
								return
									PROCEDURE_ENTRY(BgL_consumerz00_9) (BgL_consumerz00_9,
									BgL_res0z00_411, BgL_arg1227z00_493, BgL_arg1229z00_494,
									BgL_arg1230z00_495, BgL_arg1233z00_496, BgL_arg1239z00_497,
									BgL_arg1246z00_498, BgL_arg1254z00_499, BgL_arg1256z00_500,
									BgL_arg1258z00_501, BgL_arg1259z00_502, BgL_arg1261z00_503,
									BgL_arg1264z00_504, BgL_arg1271z00_505, BEOA);
							}
							break;
						case ((long) 15):

							{	/* Ieee/control5.scm 246 */
								obj_t BgL_arg1274z00_506;
								obj_t BgL_arg1276z00_507;
								obj_t BgL_arg1279z00_508;
								obj_t BgL_arg1281z00_509;
								obj_t BgL_arg1283z00_510;
								obj_t BgL_arg1284z00_511;
								obj_t BgL_arg1285z00_512;
								obj_t BgL_arg1286z00_513;
								obj_t BgL_arg1287z00_514;
								obj_t BgL_arg1288z00_515;
								obj_t BgL_arg1289z00_516;
								obj_t BgL_arg1290z00_517;
								obj_t BgL_arg1291z00_518;
								obj_t BgL_arg1292z00_519;

								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1480;

									BgL_auxz00_1480 = (int) (((long) 1));
									BgL_arg1274z00_506 = BGL_MVALUES_VAL(BgL_auxz00_1480);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1483;

									BgL_auxz00_1483 = (int) (((long) 2));
									BgL_arg1276z00_507 = BGL_MVALUES_VAL(BgL_auxz00_1483);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1486;

									BgL_auxz00_1486 = (int) (((long) 3));
									BgL_arg1279z00_508 = BGL_MVALUES_VAL(BgL_auxz00_1486);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1489;

									BgL_auxz00_1489 = (int) (((long) 4));
									BgL_arg1281z00_509 = BGL_MVALUES_VAL(BgL_auxz00_1489);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1492;

									BgL_auxz00_1492 = (int) (((long) 5));
									BgL_arg1283z00_510 = BGL_MVALUES_VAL(BgL_auxz00_1492);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1495;

									BgL_auxz00_1495 = (int) (((long) 6));
									BgL_arg1284z00_511 = BGL_MVALUES_VAL(BgL_auxz00_1495);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1498;

									BgL_auxz00_1498 = (int) (((long) 7));
									BgL_arg1285z00_512 = BGL_MVALUES_VAL(BgL_auxz00_1498);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1501;

									BgL_auxz00_1501 = (int) (((long) 8));
									BgL_arg1286z00_513 = BGL_MVALUES_VAL(BgL_auxz00_1501);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1504;

									BgL_auxz00_1504 = (int) (((long) 9));
									BgL_arg1287z00_514 = BGL_MVALUES_VAL(BgL_auxz00_1504);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1507;

									BgL_auxz00_1507 = (int) (((long) 10));
									BgL_arg1288z00_515 = BGL_MVALUES_VAL(BgL_auxz00_1507);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1510;

									BgL_auxz00_1510 = (int) (((long) 11));
									BgL_arg1289z00_516 = BGL_MVALUES_VAL(BgL_auxz00_1510);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1513;

									BgL_auxz00_1513 = (int) (((long) 12));
									BgL_arg1290z00_517 = BGL_MVALUES_VAL(BgL_auxz00_1513);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1516;

									BgL_auxz00_1516 = (int) (((long) 13));
									BgL_arg1291z00_518 = BGL_MVALUES_VAL(BgL_auxz00_1516);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1519;

									BgL_auxz00_1519 = (int) (((long) 14));
									BgL_arg1292z00_519 = BGL_MVALUES_VAL(BgL_auxz00_1519);
								}
								return
									PROCEDURE_ENTRY(BgL_consumerz00_9) (BgL_consumerz00_9,
									BgL_res0z00_411, BgL_arg1274z00_506, BgL_arg1276z00_507,
									BgL_arg1279z00_508, BgL_arg1281z00_509, BgL_arg1283z00_510,
									BgL_arg1284z00_511, BgL_arg1285z00_512, BgL_arg1286z00_513,
									BgL_arg1287z00_514, BgL_arg1288z00_515, BgL_arg1289z00_516,
									BgL_arg1290z00_517, BgL_arg1291z00_518, BgL_arg1292z00_519,
									BEOA);
							}
							break;
						case ((long) 16):

							{	/* Ieee/control5.scm 262 */
								obj_t BgL_arg1293z00_520;
								obj_t BgL_arg1294z00_521;
								obj_t BgL_arg1295z00_522;
								obj_t BgL_arg1296z00_523;
								obj_t BgL_arg1298z00_524;
								obj_t BgL_arg1306z00_525;
								obj_t BgL_arg1307z00_526;
								obj_t BgL_arg1308z00_527;
								obj_t BgL_arg1309z00_528;
								obj_t BgL_arg1310z00_529;
								obj_t BgL_arg1311z00_530;
								obj_t BgL_arg1312z00_531;
								obj_t BgL_arg1313z00_532;
								obj_t BgL_arg1314z00_533;
								obj_t BgL_arg1315z00_534;

								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1540;

									BgL_auxz00_1540 = (int) (((long) 1));
									BgL_arg1293z00_520 = BGL_MVALUES_VAL(BgL_auxz00_1540);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1543;

									BgL_auxz00_1543 = (int) (((long) 2));
									BgL_arg1294z00_521 = BGL_MVALUES_VAL(BgL_auxz00_1543);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1546;

									BgL_auxz00_1546 = (int) (((long) 3));
									BgL_arg1295z00_522 = BGL_MVALUES_VAL(BgL_auxz00_1546);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1549;

									BgL_auxz00_1549 = (int) (((long) 4));
									BgL_arg1296z00_523 = BGL_MVALUES_VAL(BgL_auxz00_1549);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1552;

									BgL_auxz00_1552 = (int) (((long) 5));
									BgL_arg1298z00_524 = BGL_MVALUES_VAL(BgL_auxz00_1552);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1555;

									BgL_auxz00_1555 = (int) (((long) 6));
									BgL_arg1306z00_525 = BGL_MVALUES_VAL(BgL_auxz00_1555);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1558;

									BgL_auxz00_1558 = (int) (((long) 7));
									BgL_arg1307z00_526 = BGL_MVALUES_VAL(BgL_auxz00_1558);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1561;

									BgL_auxz00_1561 = (int) (((long) 8));
									BgL_arg1308z00_527 = BGL_MVALUES_VAL(BgL_auxz00_1561);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1564;

									BgL_auxz00_1564 = (int) (((long) 9));
									BgL_arg1309z00_528 = BGL_MVALUES_VAL(BgL_auxz00_1564);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1567;

									BgL_auxz00_1567 = (int) (((long) 10));
									BgL_arg1310z00_529 = BGL_MVALUES_VAL(BgL_auxz00_1567);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1570;

									BgL_auxz00_1570 = (int) (((long) 11));
									BgL_arg1311z00_530 = BGL_MVALUES_VAL(BgL_auxz00_1570);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1573;

									BgL_auxz00_1573 = (int) (((long) 12));
									BgL_arg1312z00_531 = BGL_MVALUES_VAL(BgL_auxz00_1573);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1576;

									BgL_auxz00_1576 = (int) (((long) 13));
									BgL_arg1313z00_532 = BGL_MVALUES_VAL(BgL_auxz00_1576);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1579;

									BgL_auxz00_1579 = (int) (((long) 14));
									BgL_arg1314z00_533 = BGL_MVALUES_VAL(BgL_auxz00_1579);
								}
								{	/* Ieee/control5.scm 79 */
									int BgL_auxz00_1582;

									BgL_auxz00_1582 = (int) (((long) 15));
									BgL_arg1315z00_534 = BGL_MVALUES_VAL(BgL_auxz00_1582);
								}
								return
									PROCEDURE_ENTRY(BgL_consumerz00_9) (BgL_consumerz00_9,
									BgL_res0z00_411, BgL_arg1293z00_520, BgL_arg1294z00_521,
									BgL_arg1295z00_522, BgL_arg1296z00_523, BgL_arg1298z00_524,
									BgL_arg1306z00_525, BgL_arg1307z00_526, BgL_arg1308z00_527,
									BgL_arg1309z00_528, BgL_arg1310z00_529, BgL_arg1311z00_530,
									BgL_arg1312z00_531, BgL_arg1313z00_532, BgL_arg1314z00_533,
									BgL_arg1315z00_534, BEOA);
							}
							break;
						default:
							return apply(BgL_consumerz00_9, BgL_res0z00_411);
						}
				}
			}
		}
	}



/* &call-with-values */
	obj_t BGl_z62callzd2withzd2valuesz62zz__r5_control_features_6_4z00(obj_t
		BgL_envz00_955, obj_t BgL_producerz00_956, obj_t BgL_consumerz00_957)
	{
		AN_OBJECT;
		{	/* Ieee/control5.scm 117 */
			{	/* Ieee/control5.scm 118 */
				obj_t BgL_auxz00_1615;
				obj_t BgL_auxz00_1608;

				if (PROCEDUREP(BgL_consumerz00_957))
					{	/* Ieee/control5.scm 118 */
						BgL_auxz00_1615 = BgL_consumerz00_957;
					}
				else
					{
						obj_t BgL_auxz00_1618;

						BgL_auxz00_1618 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1478z00zz__r5_control_features_6_4z00,
							BINT(((long) 4539)),
							BGl_string1483z00zz__r5_control_features_6_4z00,
							BGl_string1484z00zz__r5_control_features_6_4z00,
							BgL_consumerz00_957);
						FAILURE(BgL_auxz00_1618, BFALSE, BFALSE);
					}
				if (PROCEDUREP(BgL_producerz00_956))
					{	/* Ieee/control5.scm 118 */
						BgL_auxz00_1608 = BgL_producerz00_956;
					}
				else
					{
						obj_t BgL_auxz00_1611;

						BgL_auxz00_1611 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1478z00zz__r5_control_features_6_4z00,
							BINT(((long) 4539)),
							BGl_string1483z00zz__r5_control_features_6_4z00,
							BGl_string1484z00zz__r5_control_features_6_4z00,
							BgL_producerz00_956);
						FAILURE(BgL_auxz00_1611, BFALSE, BFALSE);
					}
				return
					BGl_callzd2withzd2valuesz00zz__r5_control_features_6_4z00
					(BgL_auxz00_1608, BgL_auxz00_1615);
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__r5_control_features_6_4z00()
	{
		AN_OBJECT;
		{	/* Ieee/control5.scm 14 */
			return
				BGl_modulezd2initializa7ationz75zz__errorz00(((long) 430898742),
				BSTRING_TO_STRING(BGl_string1485z00zz__r5_control_features_6_4z00));
		}
	}

#ifdef __cplusplus
}
#endif
