/*===========================================================================*/
/*   (Ieee/dtoa.scm)                                                         */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Ieee/dtoa.scm -indent -o objs/obj_u/Ieee/dtoa.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	static long BGl_za2mantissazd2siza7eza2z75zz__r4_numbers_6_5_flonum_dtoaz00;
	extern double BGl_logz00zz__r4_numbers_6_5z00(obj_t);
	extern long BGl_modulofxz00zz__r4_numbers_6_5_fixnumz00(long, long);
	static long BGl_fastzd2dividerzd2zz__r4_numbers_6_5_flonum_dtoaz00(long,
		BGL_LONGLONG_T, obj_t, BGL_LONGLONG_T, bool_t);
	static obj_t
		BGl_requirezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00 =
		BUNSPEC;
	static obj_t BGl_cachedzd2dividerzd2zz__r4_numbers_6_5_flonum_dtoaz00(long);
	static double BGl_za2firstzd2normalza2zd2zz__r4_numbers_6_5_flonum_dtoaz00;
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static long
		BGl_prettifyzd2stringz12zc0zz__r4_numbers_6_5_flonum_dtoaz00(obj_t, obj_t,
		obj_t, obj_t);
	static double BGl_za21zf2log2_10za2zf2zz__r4_numbers_6_5_flonum_dtoaz00;
	static long BGl_za2exponentzd2biasza2zd2zz__r4_numbers_6_5_flonum_dtoaz00;
	extern obj_t blit_string(obj_t, long, obj_t, long, long);
	static long BGl_za2minzd2exponentza2zd2zz__r4_numbers_6_5_flonum_dtoaz00;
	static BGL_LONGLONG_T
		BGl_za2exponentzd2maskza2zd2zz__r4_numbers_6_5_flonum_dtoaz00;
	static obj_t
		BGl_z62realzd2ze3stringz53zz__r4_numbers_6_5_flonum_dtoaz00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__r4_numbers_6_5_flonum_dtoaz00();
	static BGL_LONGLONG_T
		BGl_za2hiddenzd2bitza2zd2zz__r4_numbers_6_5_flonum_dtoaz00;
	static long BGl_fillzd2doublez12zc0zz__r4_numbers_6_5_flonum_dtoaz00(obj_t,
		obj_t, double);
	static BGL_LONGLONG_T
		BGl_computezd2denormalzd2zz__r4_numbers_6_5_flonum_dtoaz00(BGL_LONGLONG_T);
	extern obj_t make_string(long, unsigned char);
	static long BGl_za2precisionzd2shiftza2zd2zz__r4_numbers_6_5_flonum_dtoaz00;
	static long BGl_fillzd2fixnumz12zc0zz__r4_numbers_6_5_flonum_dtoaz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__r4_numbers_6_5_flonum_dtoaz00();
	static long BGl_generatezd2digitszd2zz__r4_numbers_6_5_flonum_dtoaz00(obj_t,
		obj_t, BGL_LONGLONG_T, obj_t, BGL_LONGLONG_T, BGL_LONGLONG_T,
		BGL_LONGLONG_T, BGL_LONGLONG_T, bool_t);
	BGL_EXPORTED_DECL obj_t bgl_real_to_string(double);
	static BGL_LONGLONG_T
		BGl_decomposezd2doublezd2zz__r4_numbers_6_5_flonum_dtoaz00(double);
	static obj_t
		BGl_importedzd2moduleszd2initz00zz__r4_numbers_6_5_flonum_dtoaz00();
	extern bool_t BGl_2ze3zd3z30zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t string_to_obj(obj_t);
	static bool_t BGl_stringzd2shiftz12zc0zz__r4_numbers_6_5_flonum_dtoaz00(obj_t,
		obj_t, long, long);
	static double
		BGl_za2maxvalfxzf2mantissaza2zf2zz__r4_numbers_6_5_flonum_dtoaz00;
	static BGL_LONGLONG_T
		BGl_za2mantissazd2maskza2zd2zz__r4_numbers_6_5_flonum_dtoaz00;
	static long
		BGl_difficultzd2fillzd2doublez12z12zz__r4_numbers_6_5_flonum_dtoaz00(obj_t,
		obj_t, double);
	static obj_t __cnst[2];


	   
		 
		DEFINE_STRING(BGl_string1890z00zz__r4_numbers_6_5_flonum_dtoaz00,
		BgL_bgl_string1890za700za7za7_1902za7, "-0.0", 4);
	      DEFINE_STRING(BGl_string1891z00zz__r4_numbers_6_5_flonum_dtoaz00,
		BgL_bgl_string1891za700za7za7_1903za7, "0.0", 3);
	      DEFINE_STRING(BGl_string1892z00zz__r4_numbers_6_5_flonum_dtoaz00,
		BgL_bgl_string1892za700za7za7_1904za7, "-inf.0", 6);
	      DEFINE_STRING(BGl_string1893z00zz__r4_numbers_6_5_flonum_dtoaz00,
		BgL_bgl_string1893za700za7za7_1905za7, "+inf.0", 6);
	      DEFINE_STRING(BGl_string1894z00zz__r4_numbers_6_5_flonum_dtoaz00,
		BgL_bgl_string1894za700za7za7_1906za7, "+nan.0", 6);
	      DEFINE_STRING(BGl_string1895z00zz__r4_numbers_6_5_flonum_dtoaz00,
		BgL_bgl_string1895za700za7za7_1907za7, "/tmp/bigloo/runtime/Ieee/dtoa.scm",
		33);
	      DEFINE_STRING(BGl_string1896z00zz__r4_numbers_6_5_flonum_dtoaz00,
		BgL_bgl_string1896za700za7za7_1908za7, "&real->string", 13);
	      DEFINE_STRING(BGl_string1897z00zz__r4_numbers_6_5_flonum_dtoaz00,
		BgL_bgl_string1897za700za7za7_1909za7, "real", 4);
	      DEFINE_STRING(BGl_string1898z00zz__r4_numbers_6_5_flonum_dtoaz00,
		BgL_bgl_string1898za700za7za7_1910za7, "__r4_numbers_6_5_flonum_dtoa", 28);
	      DEFINE_STRING(BGl_string1899z00zz__r4_numbers_6_5_flonum_dtoaz00,
		BgL_bgl_string1899za700za7za7_1911za7,
		"[\001\002[\002\002L\001\0237830057919084424892L\001\0234893786199427765557L\001\0236117232749284706947L\001\0237646540936605883684L\001\0234779088085378677302L\001\0235973860106723346628L\001\0237467325133404183285L\001\0234667078208377614553L\001\0235833847760472018191L\001\0237292309700590022739L\001\0239115387125737528424L\001\0235697116953585955265L\001\0237121396191982444081L\001\0238901745239978055101L\001\0235563590774986284438L\001\0236954488468732855548L\001\0238693110585916069435L\001\0235433194116197543397L\001\0236791492645246929246L\001\0238489365806558661557L\001\0235305853629099163473L\001\0236632317036373954342L\001\0238290396295467442927L\001\0235181497684667151829L\001\0236476872105833939787L\001\0238096090132292424734L\001\0235060056332682765458L\001\0236325070415853456823L\001\0237906338019816821029L\001\0234941461262385513143L\001\0236176826577981891429L\001\0237721033222477364286L\001\0234825645764048352679L\001\0236032057205060440848L\001\0237540071506325551061L\001\0234712544691453469"
		"413L\001\0235890680864316836766L\001\0237363351080396045958L\001\0239204188850495057447L\001\0235752618031559410904L\001\0237190772539449263630L\001\0238988465674311579538L\001\0235617791046444737211L\001\0237022238808055921514L\001\0238777798510069901893L\001\0235486124068793688683L\001\0236857655085992110854L\001\0238572068857490138567L\001\0235357543035931336604L\001\0236696928794914170755L\001\0238371160993642713444L\001\0235231975621026695903L\001\0236539969526283369878L\001\0238174961907854212348L\001\0235109351192408882717L\001\0236386688990511103397L\001\0237983361238138879246L\001\0234989600773836799529L\001\0236237000967295999411L\001\0237796251209119999264L\001\0234872657005699999540L\001\0236090821257124999425L\001\0237613526571406249281L\001\0234758454107128905800L\001\0235948067633911132251L\001\0237435084542388915313L\001\0234646927838993072071L\001\0235808659798741340089L\001\0237260824748426675111L\001\0239076030935533343889L\001\0235672519334708339930L\001\0237090649168385424913L\001\0238863"
		"311460481781141L\001\0235539569662801113213L\001\0236924462078501391516L\001\0238655577598126739396L\001\0235409735998829212122L\001\0236762169998536515153L\001\0238452712498170643941L\001\0235282945311356652463L\001\0236603681639195815579L\001\0238254602048994769474L\001\0235159126280621730921L\001\0236448907850777163651L\001\0238061134813471454564L\001\0235038209258419659102L\001\0236297761573024573878L\001\0237872201966280717348L\001\0234920126228925448342L\001\0236150157786156810428L\001\0237687697232696013035L\001\0234804810770435008147L\001\0236006013463043760183L\001\0237507516828804700229L\001\0234692198018002937643L\001\0235865247522503672054L\001\0237331559403129590068L\001\0239164449253911987585L\001\0235727780783694992240L\001\0237159725979618740301L\001\0238949657474523425376L\001\0235593535921577140860L\001\0236991919901971426075L\001\0238739899877464282594L\001\0235462437423415176621L\001\0236828046779268970776L\001\0238535058474086213470L\001\0235334411546303883419L\001\0236668014432879854274L"
		"\001\0238335018041099817842L\001\0235209386275687386151L\001\0236511732844609232689L\001\0238139666055761540861L\001\0235087291284850963038L\001\0236359114106063703798L\001\0237948892632579629747L\001\0234968057895362268592L\001\0236210072369202835740L\001\0237762590461503544675L\001\0234851619038439715422L\001\0236064523798049644277L\001\0237580654747562055347L\001\0234737909217226284592L\001\0235922386521532855740L\001\0237402983151916069675L\001\0234626864469947543547L\001\0235783580587434429433L\001\0237229475734293036792L\001\0239036844667866295990L\001\0235648027917416434993L\001\0237060034896770543742L\001\0238825043620963179677L\001\0235515652263101987298L\001\0236894565328877484123L\001\0238618206661096855154L\001\0235386379163185534471L\001\0236732973953981918089L\001\0238416217442477397611L\001\0235260135901548373507L\001\0236575169876935466884L\001\0238218962346169333605L\001\0235136851466355833503L\001\0236421064332944791878L\001\0238026330416180989848L\001\0235016456510113118655L\001\02362705706"
		"37641398319L\001\0237838213297051747899L\001\0234898883310657342436L\001\0236123604138321678046L\001\0237654505172902097557L\001\0234784065733063810973L\001\0235980082166329763716L\001\0237475102707912204646L\001\0234671939192445127903L\001\0235839923990556409879L\001\0237299904988195512349L\001\0239124881235244390437L\001\0235703050772027744023L\001\0237128813465034680029L\001\0238911016831293350036L\001\0235569385519558343772L\001\0236961731899447929715L\001\0238702164874309912144L\001\0235438853046443695090L\001\0236798566308054618863L\001\0238498207885068273579L\001\0235311379928167670986L\001\0236639224910209588733L\001\0238299031137761985917L\001\0235186894461101241198L\001\0236483618076376551497L\001\0238104522595470689372L\001\0235065326622169180857L\001\0236331658277711476071L\001\0237914572847139345089L\001\0234946608029462090681L\001\0236183260036827613351L\001\0237729075046034516689L\001\0234830671903771572930L\001\0236038339879714466163L\001\0237547924849643082704L\001\0234717453031026926690L\001"
		"\0235896816288783658362L\001\0237371020360979572953L\001\0239213775451224466191L\001\0235758609657015291369L\001\0237198262071269114212L\001\0238997827589086392765L\001\0235623642243178995478L\001\0237029552803973744348L\001\0238786941004967180435L\001\0235491838128104487771L\001\0236864797660130609714L\001\0238580997075163262143L\001\0235363123171977038839L\001\0236703903964971298549L\001\0238379879956214123187L\001\0235237424972633826992L\001\0236546781215792283740L\001\0238183476519740354675L\001\0235114672824837721671L\001\0236393341031047152089L\001\0237991676288808940112L\001\0234994797680505587570L\001\0236243497100631984462L\001\0237804371375789980578L\001\0234877732109868737861L\001\0236097165137335922326L\001\0237621456421669902908L\001\0234763410263543689317L\001\0235954262829429611647L\001\0237442828536787014559L\001\0234651767835491884099L\001\0235814709794364855124L\001\0237268387242956068905L\001\0239085484053695086131L\001\0235678427533559428832L\001\0237098034416949286040L\001\023887254302118"
		"6607550L\001\0235545339388241629719L\001\0236931674235302037148L\001\0238664592794127546436L\001\0235415370496329716522L\001\0236769213120412145653L\001\0238461516400515182066L\001\0235288447750321988791L\001\0236610559687902485989L\001\0238263199609878107486L\001\0235164499756173817179L\001\0236455624695217271474L\001\0238069530869021589342L\001\0235043456793138493339L\001\0236304320991423116673L\001\0237880401239278895842L\001\0234925250774549309901L\001\0236156563468186637376L\001\0237695704335233296721L\001\0234809815209520810450L\001\0236012269011901013063L\001\0237515336264876266329L\001\0234697085165547666455L\001\0235871356456934583069L\001\0237339195571168228837L\001\0239173994463960286046L\001\0235733746539975178779L\001\0237167183174968973473L\001\0238958978968711216842L\001\0235599361855444510526L\001\0236999202319305638157L\001\0238749002899132047697L\001\0235468126811957529810L\001\0236835158514946912263L\001\0238543948143683640329L\001\0235339967589802275205L\001\0236674959487252844007L\001\023"
		"8343699359066055009L\001\0235214812099416284380L\001\0236518515124270355476L\001\0238148143905337944345L\001\0235092589940836215215L\001\0236365737426045269019L\001\0237957171782556586274L\001\0234973232364097866421L\001\0236216540455122333026L\001\0237770675568902916283L\001\0234856672230564322677L\001\0236070840288205403346L\001\0237588550360256754183L\001\0234742843975160471364L\001\0235928554968950589205L\001\0237410693711188236507L\001\0234631683569492647816L\001\0235789604461865809771L\001\0237237005577332262213L\001\0239046256971665327767L\001\0235653910607290829854L\001\0237067388259113537318L\001\0238834235323891921647L\001\0235521397077432451029L\001\0236901746346790563787L\001\0238627182933488204734L\001\0235391989333430127958L\001\0236739986666787659948L\001\0238424983333484574935L\001\0235265614583427859334L\001\0236582018229284824168L\001\0238227522786606030210L\001\0235142201741628768881L\001\0236427752177035961102L\001\0238034690221294951377L\001\0235021681388309344611L\001\0236277101735386680"
		"763L\001\0237846377169233350954L\001\0234903985730770844346L\001\0236129982163463555433L\001\0237662477704329444291L\001\0234789048565205902682L\001\0235986310706507378352L\001\0237482888383134222941L\001\0234676805239458889338L\001\0235846006549323611672L\001\0237307508186654514591L\001\0239134385233318143238L\001\0235708990770823839524L\001\0237136238463529799405L\001\0238920298079412249256L\001\0235575186299632655785L\001\0236968982874540819731L\001\0238711228593176024664L\001\0235444517870735015415L\001\0236805647338418769269L\001\0238507059173023461586L\001\0235316911983139663491L\001\0236646139978924579364L\001\0238307674973655724205L\001\0235192296858534827628L\001\0236490371073168534535L\001\0238112963841460668169L\001\0235070602400912917605L\001\0236338253001141147007L\001\0237922816251426433759L\001\0234951760157141521099L\001\0236189700196426901374L\001\0237737125245533626718L\001\0234835703278458516698L\001\0236044629098073145873L\001\0237555786372591432341L\001\0234722366482869645213L\001\0235902"
		"958103587056517L\001\0237378697629483820646L\001\0234611686018427387904L\001\0235764607523034234880L\001\0237205759403792793600L\001\0239007199254740992000L\001\0235629499534213120000L\001\0237036874417766400000L\001\0238796093022208000000L\001\0235497558138880000000L\001\0236871947673600000000L\001\0238589934592000000000L\001\0235368709120000000000L\001\0236710886400000000000L\001\0238388608000000000000L\001\0235242880000000000000L\001\0236553600000000000000L\001\0238192000000000000000L\001\0235120000000000000000L\001\0236400000000000000000L\001\0238000000000000000000L\001\0235000000000000000000L\001\0236250000000000000000L\001\0237812500000000000000L\001\0234882812500000000000L\001\0236103515625000000000L\001\0237629394531250000000L\001\0234768371582031250000L\001\0235960464477539062500L\001\0237450580596923828125L\001\0234656612873077392578L\001\0235820766091346740722L\001\0237275957614183425903L\001\0239094947017729282379L\001\0235684341886080801486L\001\0237105427357601001858L\001\0238881784197001252323L"
		"\001\0235551115123125782702L\001\0236938893903907228377L\001\0238673617379884035472L\001\0235421010862427522170L\001\0236776263578034402712L\001\0238470329472543003390L\001\0235293955920339377119L\001\0236617444900424221398L\001\0238271806125530276748L\001\0235169878828456422967L\001\0236462348535570528709L\001\0238077935669463160887L\001\0235048709793414475554L\001\0236310887241768094443L\001\0237888609052210118054L\001\0234930380657631323783L\001\0236162975822039154729L\001\0237703719777548943412L\001\0234814824860968089632L\001\0236018531076210112040L\001\0237523163845262640050L\001\0234701977403289150031L\001\0235877471754111437539L\001\0237346839692639296924L\001\0239183549615799121156L\001\0235739718509874450722L\001\0237174648137343063403L\001\0238968310171678829253L\001\0235605193857299268283L\001\0237006492321624085354L\001\0238758115402030106693L\001\0235473822126268816683L\001\0236842277657836020854L\001\0238552847072295026067L\001\0235345529420184391292L\001\0236681911775230489115L\001\02383523897"
		"19038111394L\001\0235220243574398819621L\001\0236525304467998524526L\001\0238156630584998155658L\001\0235097894115623847286L\001\0236372367644529809108L\001\0237965459555662261385L\001\0234978412222288913365L\001\0236223015277861141707L\001\0237778769097326427133L\001\0234861730685829016958L\001\0236077163357286271198L\001\0237596454196607838997L\001\0234747783872879899373L\001\0235934729841099874217L\001\0237418412301374842771L\001\0234636507688359276732L\001\0235795634610449095915L\001\0237244543263061369894L\001\0239055679078826712367L\001\0235659799424266695229L\001\0237074749280333369037L\001\0238843436600416711296L\001\0235527147875260444560L\001\0236908934844075555700L\001\0238636168555094444625L\001\0235397605346934027890L\001\0236747006683667534863L\001\0238433758354584418579L\001\0235271098971615261612L\001\0236588873714519077015L\001\0238236092143148846269L\001\0235147557589468028918L\001\0236434446986835036147L\001\0238043058733543795184L\001\0235026911708464871990L\001\0236283639635581089987L\001"
		"\0237854549544476362484L\001\0234909093465297726553L\001\0236136366831622158191L\001\0237670458539527697739L\001\0234794036587204811087L\001\0235992545734006013858L\001\0237490682167507517323L\001\0234681676354692198327L\001\0235852095443365247908L\001\0237315119304206559886L\001\0239143899130258199857L\001\0235714936956411374911L\001\0237143671195514218638L\001\0238929588994392773298L\001\0235580993121495483311L\001\0236976241401869354139L\001\0238720301752336692674L\001\0235450188595210432921L\001\0236812735744013041151L\001\0238515919680016301439L\001\0235322449800010188399L\001\0236653062250012735499L\001\0238316327812515919374L\001\0235197704882822449609L\001\0236497131103528062011L\001\0238121413879410077514L\001\0235075883674631298446L\001\0236344854593289123058L\001\0237931068241611403822L\001\0234956917651007127389L\001\0236196147063758909236L\001\0237745183829698636545L\001\0234840739893561647841L\001\0236050924866952059801L\001\0237563656083690074751L\001\0234727285052306296719L\001\023590910631538"
		"2870899L\001\0237386382894228588624L\001\0234616489308892867890L\001\0235770611636116084862L\001\0237213264545145106078L\001\0239016580681431382598L\001\0235635362925894614123L\001\0237044203657368267654L\001\0238805254571710334568L\001\0235503284107318959105L\001\0236879105134148698881L\001\0238598881417685873602L\001\0235374300886053671001L\001\0236717876107567088751L\001\0238397345134458860939L\001\0235248340709036788087L\001\0236560425886295985109L\001\0238200532357869981386L\001\0235125332723668738366L\001\0236406665904585922958L\001\0238008332380732403697L\001\0235005207737957752311L\001\0236256509672447190388L\001\0237820637090558987986L\001\0234887898181599367491L\001\0236109872726999209364L\001\0237637340908749011705L\001\0234773338067968132315L\001\0235966672584960165394L\001\0237458340731200206743L\001\0234661462957000129214L\001\0235826828696250161518L\001\0237283535870312701897L\001\0239104419837890877372L\001\0235690262398681798357L\001\0237112827998352247947L\001\0238891034997940309933L\001\023"
		"5556896873712693708L\001\0236946121092140867135L\001\0238682651365176083919L\001\0235426657103235052449L\001\0236783321379043815562L\001\0238479151723804769452L\001\0235299469827377980908L\001\0236624337284222476135L\001\0238280421605278095168L\001\0235175263503298809480L\001\0236469079379123511850L\001\0238086349223904389813L\001\0235053968264940243633L\001\0236317460331175304541L\001\0237896825413969130677L\001\0234935515883730706673L\001\0236169394854663383341L\001\0237711743568329229176L\001\0234819839730205768235L\001\0236024799662757210294L\001\0237530999578446512867L\001\0234706874736529070542L\001\0235883593420661338178L\001\0237354491775826672722L\001\0239193114719783340903L\001\0235745696699864588064L\001\0237182120874830735080L\001\0238977651093538418850L\001\0235611031933461511781L\001\0237013789916826889727L\001\0238767237396033612159L\001\0235479523372521007599L\001\0236849404215651259499L\001\0238561755269564074374L\001\0235351097043477546483L\001\0236688871304346933104L\001\0238361089130433666"
		"380L\001\0235225680706521041488L\001\0236532100883151301860L\001\0238165126103939127325L\001\0235103203814961954578L\001\0236379004768702443222L\001\0237973755960878054028L\001\0234983597475548783767L\001\0236229496844435979709L\001\0237786871055544974637L\001\0234866794409715609148L\001\0236083493012144511435L\001\0237604366265180639294L\001\0234752728915737899558L\001\0235940911144672374448L\001\0237426138930840468060L\001\0234641336831775292537L\001\0235801671039719115672L\001\0237252088799648894590L\001\0239065110999561118238L\001\0235665694374725698898L\001\0237082117968407123623L\001\0238852647460508904529L\001\0235532904662818065330L\001\0236916130828522581663L\001\0238645163535653227079L\001\0235403227209783266924L\001\0236754034012229083655L\001\0238442542515286354569L\001\0235276589072053971606L\001\0236595736340067464507L\001\0238244670425084330634L\001\0235152919015677706646L\001\0236441148769597133308L\001\0238051435961996416635L\001\0235032147476247760397L\001\0236290184345309700496L\001\0237862"
		"730431637125620L\001\0234914206519773203512L\001\0236142758149716504390L\001\0237678447687145630488L\001\0234799029804466019055L\001\0235998787255582523819L\001\0237498484069478154774L\001\0234686552543423846733L\001\0235858190679279808417L\001\0237322738349099760521L\001\0239153422936374700651L\001\0235720889335234187907L\001\0237151111669042734884L\001\0238938889586303418605L\001\0235586805991439636628L\001\0236983507489299545785L\001\0238729384361624432231L\001\0235455865226015270144L\001\0236819831532519087681L\001\0238524789415648859601L\001\0235327993384780537250L\001\0236659991730975671563L\001\0238324989663719589454L\001\0235203118539824743409L\001\0236503898174780929261L\001\0238129872718476161576L\001\0235081170449047600985L\001\0236351463061309501231L\001\0237939328826636876539L\001\0234962080516648047837L\001\0236202600645810059796L\001\0237753250807262574745L\001\0234845781754539109216L\001\0236057227193173886520L\001\0237571533991467358150L\001\0234732208744667098843L\001\0235915260930833873554L"
		"\001\0237394076163542341943L\001\0234621297602213963714L\001\0235776622002767454643L\001\0237220777503459318304L\001\0239025971879324147880L\001\0235641232424577592425L\001\0237051540530721990531L\001\0238814425663402488164L\001\0235509016039626555102L\001\0236886270049533193878L\001\0238607837561916492348L\001\0235379898476197807717L\001\0236724873095247259646L\001\0238406091369059074558L\001\0235253807105661921599L\001\0236567258882077401998L\001\0238209073602596752498L\001\0235130671001622970311L\001\0236413338752028712889L\001\0238016673440035891111L\001\0235010420900022431944L\001\0236263026125028039931L\001\0237828782656285049914L\001\0234892989160178156196L\001\0236116236450222695245L\001\0237645295562778369056L\001\0234778309726736480660L\001\0235972887158420600825L\001\0237466108948025751031L\001\0234666318092516094394L\001\0235832897615645117993L\001\0237291122019556397492L\001\0239113902524445496865L\001\0235696189077778435540L\001\0237120236347223044425L\001\0238900295434028805532L\001\02355626846"
		"46268003457L\001\0236953355807835004322L\001\0238691694759793755402L\001\0235432309224871097126[\002\002-\002\004}-\002\004y-\002\004v-\002\004s-\002\004o-\002\004l-\002\004i-\002\004e-\002\004b-\002\004_-\002\004\\-\002\004X-\002\004U-\002\004R-\002\004N-\002\004K-\002\004H-\002\004D-\002\004A-\002\004>-\002\004:-\002\0047-\002\0044-\002\0040-\002\004--\002\004*-\002\004&-\002\004#-\002\004 -\002\004\034-\002\004\031-\002\004\026-\002\004\022-\002\004\017-\002\004\f-\002\004\b-\002\004\005-\002\004\002-\002\003-\002\003-\002\003-\002\003-\002\003-\002\003-\002\003-\002\003-\002\003-\002\003-\002\003-\002\003-\002\003-\002\003-\002\003-\002\003-\002\003-\002\003-\002\003-\002\003-\002\003-\002\003-\002\003-\002\003-\002\003-\002\003-\002\003-\002\003-\002\003-\002\003-\002\003-\002\003-\002\003-\002\003-\002\003-\002\003-\002\003-\002\003-\002\003-\002\003}-\002\003z-\002\003v-\002\003s-\002\003p-\002\003l-\002\003i-\002\003f-\002\003b-\002\003_-\002\003\\-\002\003X-"
		"\002\003U-\002\003R-\002\003N-\002\003K-\002\003H-\002\003D-\002\003A-\002\003>-\002\003;-\002\0037-\002\0034-\002\0031-\002\003--\002\003*-\002\003'-\002\003#-\002\003 -\002\003\035-\002\003\031-\002\003\026-\002\003\023-\002\003\017-\002\003\f-\002\003\t-\002\003\005-\002\003\002-\002\002-\002\002-\002\002-\002\002-\002\002-\002\002-\002\002-\002\002-\002\002-\002\002-\002\002-\002\002-\002\002-\002\002-\002\002-\002\002-\002\002-\002\002-\002\002-\002\002-\002\002-\002\002-\002\002-\002\002-\002\002-\002\002-\002\002-\002\002-\002\002-\002\002-\002\002-\002\002-\002\002-\002\002-\002\002-\002\002-\002\002-\002\002-\002\002-\002\002}-\002\002z-\002\002w-\002\002s-\002\002p-\002\002m-\002\002i-\002\002f-\002\002c-\002\002_-\002\002\\-\002\002Y-\002\002U-\002\002R-\002\002O-\002\002K-\002\002H-\002\002E-\002\002A-\002\002>-\002\002;-\002\0027-\002\0024-\002\0021-\002\002--\002\002*-\002\002'-\002\002#-\002\002 -\002\002\035-\002\002\032-\002\002\026-\002\002\023-\002\002"
		"\020-\002\002\f-\002\002\t-\002\002\006-\002\002\002-\002\001-\002\001-\002\001-\002\001-\002\001-\002\001-\002\001-\002\001-\002\001-\002\001-\002\001-\002\001-\002\001-\002\001-\002\001-\002\001-\002\001-\002\001-\002\001-\002\001-\002\001-\002\001-\002\001-\002\001-\002\001-\002\001-\002\001-\002\001-\002\001-\002\001-\002\001-\002\001-\002\001-\002\001-\002\001-\002\001-\002\001-\002\001-\002\001-\002\001}-\002\001z-\002\001w-\002\001s-\002\001p-\002\001m-\002\001i-\002\001f-\002\001c-\002\001_-\002\001\\-\002\001Y-\002\001V-\002\001R-\002\001O-\002\001L-\002\001H-\002\001E-\002\001B-\002\001>-\002\001;-\002\0018-\002\0014-\002\0011-\002\001.-\002\001*-\002\001'-\002\001$-\002\001 -\002\001\035-\002\001\032-\002\001\026-\002\001\023-\002\001\020-\002\001\f-\002\001\t-\002\001\006-\002\001\002-\001-\001-\001-\001-\001-\001-\001-\001-\001-\001-\001-\001-\001-\001-\001-\001-\001-\001-\001-\001-\001-\001-\001-\001-\001-\001-\001-\001-\001-"
		"\001-\001-\001-\001-\001-\001-\001-\001-\001-\001-\001~-\001z-\001w-\001t-\001p-\001m-\001j-\001f-\001c-\001`-\001\\-\001Y-\001V-\001R-\001O-\001L-\001H-\001E-\001B-\001>-\001;-\0018-\0014-\0011-\001.-\001+-\001'-\001$-\001!-\001\035-\001\032-\001\027-\001\023-\001\020-\001\r-\001\t-\001\006-\001\003\001\001\001\004\001\007\001\v\001\016\001\021\001\025\001\030\001\033\001\037\001\"\001%\001)\001,\001/\0012\0016\0019\001<\001@\001C\001F\001J\001M\001P\001T\001W\001Z\001^\001a\001d\001h\001k\001n\001r\001u\001x\001|\001\001\001\001\001\001\001\001\001\001\001\001\001\001\001\001\001\001\001\001\001\001\001\001\001\001\001\001\001\001\001\001\001\001\001\001\001\001\001\002\001\000\002\001\004\002\001\007\002\001\n\002\001\016\002\001\021\002\001\024\002\001\030\002\001\033\002\001\036\002\001\"\002\001%\002\001(\002\001,\002\001/\002\0012\002\0016\002\0019\002\001<\002\001@\002\001C\002\001F\002\001J\002\001M\002\001P\002\001S\002\001W\002\001Z\002\001]\002\001a"
		"\002\001d\002\001g\002\001k\002\001n\002\001q\002\001u\002\001x\002\001{\002\001\002\001\002\001\002\001\002\001\002\001\002\001\002\001\002\001\002\001\002\001\002\001\002\001\002\001\002\001\002\001\002\001\002\001\002\001\002\001\002\001\002\001\002\001\002\001\002\001\002\001\002\001\002\001\002\001\002\001\002\001\002\001\002\001\002\001\002\001\002\001\002\001\002\001\002\001\002\002\000\002\002\004\002\002\007\002\002\n\002\002\016\002\002\021\002\002\024\002\002\027\002\002\033\002\002\036\002\002!\002\002%\002\002(\002\002+\002\002/\002\0022\002\0025\002\0029\002\002<\002\002?\002\002C\002\002F\002\002I\002\002M\002\002P\002\002S\002\002W\002\002Z\002\002]\002\002a\002\002d\002\002g\002\002k\002\002n\002\002q\002\002t\002\002x\002\002{\002\002~\002\002\002\002\002\002\002\002\002\002\002\002\002\002\002\002\002\002\002\002\002\002\002\002\002\002\002\002\002\002\002\002\002\002\002\002\002\002\002\002\002\002\002\002\002\002\002\002\002"
		"\002\002\002\002\002\002\002\002\002\002\002\002\002\002\002\002\002\002\002\002\002\002\002\002\002\002\002\002\003\000\002\003\003\002\003\007\002\003\n\002\003\r\002\003\021\002\003\024\002\003\027\002\003\033\002\003\036\002\003!\002\003%\002\003(\002\003+\002\003/\002\0032\002\0035\002\0038\002\003<\002\003?\002\003B\002\003F\002\003I\002\003L\002\003P\002\003S\002\003V\002\003Z\002\003]\002\003`\002\003d\002\003g\002\003j\002\003n\002\003q\002\003t\002\003x\002\003{\002\003~\002\003\002\003\002\003\002\003\002\003\002\003\002\003\002\003\002\003\002\003\002\003\002\003\002\003\002\003\002\003\002\003\002\003\002\003\002\003\002\003\002\003\002\003\002\003\002\003\002\003\002\003\002\003\002\003\002\003\002\003\002\003\002\003\002\003\002\003\002\003\002\003\002\003\002\003\002\004\000\002\004\003\002\004\006\002\004\n\002\004\r\002\004\020\002\004\024",
		16728);
	extern obj_t BGl_zc3zd3llongzd2envzc2zz__r4_numbers_6_5_fixnumz00;
	extern obj_t BGl_zc3llongzd2envz11zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_realzd2ze3stringzd2envze3zz__r4_numbers_6_5_flonum_dtoaz00,
		BgL_bgl_za762realza7d2za7e3str1912za7,
		BGl_z62realzd2ze3stringz53zz__r4_numbers_6_5_flonum_dtoaz00, 0L, BUNSPEC,
		1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long
		BgL_checksumz00_2285, char *BgL_fromz00_2286)
	{
		AN_OBJECT;
		{
			if (CBOOL
				(BGl_requirezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00))
				{
					BGl_requirezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__r4_numbers_6_5_flonum_dtoaz00();
					BGl_importedzd2moduleszd2initz00zz__r4_numbers_6_5_flonum_dtoaz00();
					BGl_toplevelzd2initzd2zz__r4_numbers_6_5_flonum_dtoaz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__r4_numbers_6_5_flonum_dtoaz00()
	{
		AN_OBJECT;
		{	/* Ieee/dtoa.scm 15 */
			{	/* Ieee/dtoa.scm 15 */
				obj_t BgL_cnstzd2tmpzd2_2279;

				BgL_cnstzd2tmpzd2_2279 =
					string_to_obj(BGl_string1899z00zz__r4_numbers_6_5_flonum_dtoaz00);
				{
					int BgL_iz00_2280;

					BgL_iz00_2280 = (int) (((long) 1));
				BgL_loopz00_2281:
					if (((long) (BgL_iz00_2280) == ((long) -1)))
						{	/* Ieee/dtoa.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Ieee/dtoa.scm 15 */
							{	/* Ieee/dtoa.scm 15 */
								obj_t BgL_auxz00_2297;

								BgL_auxz00_2297 =
									VECTOR_REF(BgL_cnstzd2tmpzd2_2279, BgL_iz00_2280);
								CNST_TABLE_SET(BgL_iz00_2280, BgL_auxz00_2297);
							}
							{
								int BgL_iz00_2300;

								BgL_iz00_2300 = (int) (((long) (BgL_iz00_2280) - ((long) 1)));
								BgL_iz00_2280 = BgL_iz00_2300;
								goto BgL_loopz00_2281;
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__r4_numbers_6_5_flonum_dtoaz00()
	{
		AN_OBJECT;
		{	/* Ieee/dtoa.scm 15 */
			BGl_za2exponentzd2biasza2zd2zz__r4_numbers_6_5_flonum_dtoaz00 =
				((long) 1075);
			BGl_za2minzd2exponentza2zd2zz__r4_numbers_6_5_flonum_dtoaz00 =
				NEG(((long) 1075));
			BGl_za2mantissazd2siza7eza2z75zz__r4_numbers_6_5_flonum_dtoaz00 =
				((long) 53);
			BGl_za2firstzd2normalza2zd2zz__r4_numbers_6_5_flonum_dtoaz00 =
				((double) 2.2250738585072e-308);
			BGl_za2exponentzd2maskza2zd2zz__r4_numbers_6_5_flonum_dtoaz00 =
				(0 + ((BGL_LONGLONG_T) 65536 * ((0 + ((BGL_LONGLONG_T) 65536 * ((0 +
										((BGL_LONGLONG_T) 65536 *
											(((BGL_LONGLONG_T) 32752))))))))));
			BGl_za2mantissazd2maskza2zd2zz__r4_numbers_6_5_flonum_dtoaz00 =
				(65535 + ((BGL_LONGLONG_T) 65536 * ((65535 +
							((BGL_LONGLONG_T) 65536 * ((65535 +
										((BGL_LONGLONG_T) 65536 * (((BGL_LONGLONG_T) 15))))))))));
			BGl_za2hiddenzd2bitza2zd2zz__r4_numbers_6_5_flonum_dtoaz00 =
				(0 + ((BGL_LONGLONG_T) 65536 * ((0 + ((BGL_LONGLONG_T) 65536 * ((0 +
										((BGL_LONGLONG_T) 65536 * (((BGL_LONGLONG_T) 16))))))))));
			{	/* Ieee/dtoa.scm 142 */
				double BgL_maxvalfx_flz00_516;

				BgL_maxvalfx_flz00_516 = (double) ((LONG_MAX >> TAG_SHIFT));
				if ((BgL_maxvalfx_flz00_516 < ((double) 9007199254740991.0)))
					{	/* Ieee/dtoa.scm 147 */
						BGl_za2maxvalfxzf2mantissaza2zf2zz__r4_numbers_6_5_flonum_dtoaz00 =
							BgL_maxvalfx_flz00_516;
					}
				else
					{	/* Ieee/dtoa.scm 147 */
						BGl_za2maxvalfxzf2mantissaza2zf2zz__r4_numbers_6_5_flonum_dtoaz00 =
							((double) 9007199254740991.0);
			}}
			BGl_za21zf2log2_10za2zf2zz__r4_numbers_6_5_flonum_dtoaz00 =
				(BGl_logz00zz__r4_numbers_6_5z00(BINT(((long) 2))) /
				BGl_logz00zz__r4_numbers_6_5z00(BINT(((long) 10))));
			return (BGl_za2precisionzd2shiftza2zd2zz__r4_numbers_6_5_flonum_dtoaz00 =
				((long) 10), BUNSPEC);
		}
	}



/* cached-divider */
	obj_t BGl_cachedzd2dividerzd2zz__r4_numbers_6_5_flonum_dtoaz00(long
		BgL_kz00_3)
	{
		AN_OBJECT;
		{	/* Ieee/dtoa.scm 81 */
			{	/* Ieee/dtoa.scm 82 */
				long BgL_indexz00_530;

				BgL_indexz00_530 = (((long) 330) + BgL_kz00_3);
				{	/* Ieee/dtoa.scm 82 */
					obj_t BgL_vz00_531;

					{	/* Ieee/dtoa.scm 83 */
						obj_t BgL_arg1075z00_541;

						BgL_arg1075z00_541 = CNST_TABLE_REF(((long) 0));
						BgL_vz00_531 =
							VECTOR_REF(BgL_arg1075z00_541, (int) (BgL_indexz00_530));
					}
					{	/* Ieee/dtoa.scm 83 */
						long BgL_ez00_532;

						{	/* Ieee/dtoa.scm 84 */
							obj_t BgL_arg1074z00_540;

							BgL_arg1074z00_540 = CNST_TABLE_REF(((long) 1));
							{	/* Ieee/dtoa.scm 84 */
								int BgL_kz00_1018;

								BgL_kz00_1018 = (int) (BgL_indexz00_530);
								BgL_ez00_532 =
									(long) CINT(VECTOR_REF(BgL_arg1074z00_540, BgL_kz00_1018));
						}}
						{	/* Ieee/dtoa.scm 84 */
							bool_t BgL_exactzf3zf3_533;

							if ((BgL_indexz00_530 >= ((long) 330)))
								{	/* Ieee/dtoa.scm 85 */
									BgL_exactzf3zf3_533 = (BgL_indexz00_530 <= ((long) 357));
								}
							else
								{	/* Ieee/dtoa.scm 85 */
									BgL_exactzf3zf3_533 = ((bool_t) 0);
								}
							{	/* Ieee/dtoa.scm 85 */

								{	/* Ieee/dtoa.scm 86 */
									int BgL_res1550z00_1026;

									{	/* Ieee/dtoa.scm 86 */
										int BgL_auxz00_2325;

										BgL_auxz00_2325 = (int) (((long) 3));
										BgL_res1550z00_1026 =
											BGL_MVALUES_NUMBER_SET(BgL_auxz00_2325);
									} BgL_res1550z00_1026;
								}
								{	/* Ieee/dtoa.scm 86 */
									obj_t BgL_auxz00_2330;
									int BgL_auxz00_2328;

									BgL_auxz00_2330 = BINT(BgL_ez00_532);
									BgL_auxz00_2328 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_auxz00_2328, BgL_auxz00_2330);
								}
								{	/* Ieee/dtoa.scm 86 */
									obj_t BgL_auxz00_2335;
									int BgL_auxz00_2333;

									BgL_auxz00_2335 = BBOOL(BgL_exactzf3zf3_533);
									BgL_auxz00_2333 = (int) (((long) 2));
									BGL_MVALUES_VAL_SET(BgL_auxz00_2333, BgL_auxz00_2335);
								}
								return BgL_vz00_531;
							}
						}
					}
				}
			}
		}
	}



/* compute-denormal */
	BGL_LONGLONG_T
		BGl_computezd2denormalzd2zz__r4_numbers_6_5_flonum_dtoaz00(BGL_LONGLONG_T
		BgL_mantissaz00_4)
	{
		AN_OBJECT;
		{	/* Ieee/dtoa.scm 91 */
			{	/* Ieee/dtoa.scm 103 */
				long BgL_g1013z00_543;

				BgL_g1013z00_543 =
					(BGl_za2minzd2exponentza2zd2zz__r4_numbers_6_5_flonum_dtoaz00 +
					((long) 1));
				{
					long BgL_ez00_545;
					BGL_LONGLONG_T BgL_mz00_546;

					BgL_ez00_545 = BgL_g1013z00_543;
					BgL_mz00_546 = BgL_mantissaz00_4;
				BgL_zc3anonymousza31077ze3z83_547:
					if (
						((BgL_mz00_546 & (0 + ((BGL_LONGLONG_T) 65536 * ((0 +
												((BGL_LONGLONG_T) 65536 * ((0 +
															((BGL_LONGLONG_T) 65536 *
																(((BGL_LONGLONG_T) 16))))))))))) ==
							((BGL_LONGLONG_T) 0)))
						{
							BGL_LONGLONG_T BgL_mz00_2344;
							long BgL_ez00_2342;

							BgL_ez00_2342 = (BgL_ez00_545 - ((long) 1));
							BgL_mz00_2344 = (BgL_mz00_546 << (int) (((long) 1)));
							BgL_mz00_546 = BgL_mz00_2344;
							BgL_ez00_545 = BgL_ez00_2342;
							goto BgL_zc3anonymousza31077ze3z83_547;
						}
					else
						{	/* Ieee/dtoa.scm 105 */
							{	/* Ieee/dtoa.scm 106 */
								int BgL_res1557z00_1049;

								{	/* Ieee/dtoa.scm 106 */
									int BgL_auxz00_2347;

									BgL_auxz00_2347 = (int) (((long) 2));
									BgL_res1557z00_1049 = BGL_MVALUES_NUMBER_SET(BgL_auxz00_2347);
								} BgL_res1557z00_1049;
							}
							{	/* Ieee/dtoa.scm 106 */
								obj_t BgL_auxz00_2352;
								int BgL_auxz00_2350;

								BgL_auxz00_2352 = BINT(BgL_ez00_545);
								BgL_auxz00_2350 = (int) (((long) 1));
								BGL_MVALUES_VAL_SET(BgL_auxz00_2350, BgL_auxz00_2352);
							}
							return BgL_mz00_546;
						}
				}
			}
		}
	}



/* decompose-double */
	BGL_LONGLONG_T
		BGl_decomposezd2doublezd2zz__r4_numbers_6_5_flonum_dtoaz00(double
		BgL_dz00_5)
	{
		AN_OBJECT;
		{	/* Ieee/dtoa.scm 112 */
			{	/* Ieee/dtoa.scm 117 */
				BGL_LONGLONG_T BgL_elz00_555;

				BgL_elz00_555 = DOUBLE_TO_LLONG_BITS(BgL_dz00_5);
				{	/* Ieee/dtoa.scm 117 */
					long BgL_biasedzd2ezd2_556;

					{	/* Ieee/dtoa.scm 119 */
						BGL_LONGLONG_T BgL_arg1094z00_564;

						BgL_arg1094z00_564 =
							(
							(BgL_elz00_555 & (0 + ((BGL_LONGLONG_T) 65536 * ((0 +
												((BGL_LONGLONG_T) 65536 * ((0 +
															((BGL_LONGLONG_T) 65536 *
																(((BGL_LONGLONG_T) 32752))))))))))) >>
							(int) (((long) 52)));
						{	/* Ieee/dtoa.scm 118 */
							long BgL_res1561z00_1061;

							BgL_res1561z00_1061 = LLONG_TO_LONG(BgL_arg1094z00_564);
							BgL_biasedzd2ezd2_556 = BgL_res1561z00_1061;
					}}
					{	/* Ieee/dtoa.scm 118 */
						BGL_LONGLONG_T BgL_mantissaz00_557;

						BgL_mantissaz00_557 =
							(BgL_elz00_555 & (65535 + ((BGL_LONGLONG_T) 65536 * ((65535 +
											((BGL_LONGLONG_T) 65536 * ((65535 +
														((BGL_LONGLONG_T) 65536 *
															(((BGL_LONGLONG_T) 15)))))))))));
						{	/* Ieee/dtoa.scm 121 */

							if ((BgL_biasedzd2ezd2_556 == ((long) 0)))
								{	/* Ieee/dtoa.scm 123 */
									if ((BgL_mantissaz00_557 == ((BGL_LONGLONG_T) 0)))
										{	/* Ieee/dtoa.scm 126 */
											{	/* Ieee/dtoa.scm 127 */
												int BgL_res1567z00_1076;

												{	/* Ieee/dtoa.scm 127 */
													int BgL_auxz00_2365;

													BgL_auxz00_2365 = (int) (((long) 2));
													BgL_res1567z00_1076 =
														BGL_MVALUES_NUMBER_SET(BgL_auxz00_2365);
												} BgL_res1567z00_1076;
											}
											{	/* Ieee/dtoa.scm 127 */
												obj_t BgL_auxz00_2370;
												int BgL_auxz00_2368;

												BgL_auxz00_2370 = BINT(((long) 51));
												BgL_auxz00_2368 = (int) (((long) 1));
												BGL_MVALUES_VAL_SET(BgL_auxz00_2368, BgL_auxz00_2370);
											}
											return ((BGL_LONGLONG_T) 0);
										}
									else
										{	/* Ieee/dtoa.scm 126 */
											return
												BGl_computezd2denormalzd2zz__r4_numbers_6_5_flonum_dtoaz00
												(BgL_mantissaz00_557);
										}
								}
							else
								{	/* Ieee/dtoa.scm 124 */
									BGL_LONGLONG_T BgL_val0_1033z00_562;
									long BgL_val1_1034z00_563;

									BgL_val0_1033z00_562 =
										((0 + ((BGL_LONGLONG_T) 65536 * ((0 +
														((BGL_LONGLONG_T) 65536 * ((0 +
																	((BGL_LONGLONG_T) 65536 *
																		(((BGL_LONGLONG_T) 16)))))))))) +
										BgL_mantissaz00_557);
									BgL_val1_1034z00_563 =
										(BgL_biasedzd2ezd2_556 - ((long) 1075));
									{	/* Ieee/dtoa.scm 124 */
										int BgL_res1570z00_1086;

										{	/* Ieee/dtoa.scm 124 */
											int BgL_auxz00_2376;

											BgL_auxz00_2376 = (int) (((long) 2));
											BgL_res1570z00_1086 =
												BGL_MVALUES_NUMBER_SET(BgL_auxz00_2376);
										} BgL_res1570z00_1086;
									}
									{	/* Ieee/dtoa.scm 124 */
										obj_t BgL_auxz00_2381;
										int BgL_auxz00_2379;

										BgL_auxz00_2381 = BINT(BgL_val1_1034z00_563);
										BgL_auxz00_2379 = (int) (((long) 1));
										BGL_MVALUES_VAL_SET(BgL_auxz00_2379, BgL_auxz00_2381);
									}
									return BgL_val0_1033z00_562;
								}
						}
					}
				}
			}
		}
	}



/* fill-fixnum! */
	long BGl_fillzd2fixnumz12zc0zz__r4_numbers_6_5_flonum_dtoaz00(obj_t
		BgL_bufferz00_6, obj_t BgL_posz00_7, obj_t BgL_nz00_8)
	{
		AN_OBJECT;
		{	/* Ieee/dtoa.scm 154 */
		BGl_fillzd2fixnumz12zc0zz__r4_numbers_6_5_flonum_dtoaz00:
			if (((long) CINT(BgL_nz00_8) == ((long) 0)))
				{	/* Ieee/dtoa.scm 156 */
					{	/* Ieee/dtoa.scm 157 */
						long BgL_auxz00_2387;

						BgL_auxz00_2387 = (long) CINT(BgL_posz00_7);
						STRING_SET(BgL_bufferz00_6, BgL_auxz00_2387, ((unsigned char) '0'));
					}
					return ((long) CINT(BgL_posz00_7) + ((long) 1));
				}
			else
				{	/* Ieee/dtoa.scm 156 */
					if (((long) CINT(BgL_nz00_8) < ((long) 0)))
						{	/* Ieee/dtoa.scm 159 */
							{	/* Ieee/dtoa.scm 160 */
								long BgL_auxz00_2395;

								BgL_auxz00_2395 = (long) CINT(BgL_posz00_7);
								STRING_SET(BgL_bufferz00_6, BgL_auxz00_2395,
									((unsigned char) '-'));
							}
							{	/* Ieee/dtoa.scm 164 */
								long BgL_arg1098z00_568;
								long BgL_arg1099z00_569;

								BgL_arg1098z00_568 = ((long) CINT(BgL_posz00_7) + ((long) 1));
								BgL_arg1099z00_569 = NEG((long) CINT(BgL_nz00_8));
								{
									obj_t BgL_nz00_2404;
									obj_t BgL_posz00_2402;

									BgL_posz00_2402 = BINT(BgL_arg1098z00_568);
									BgL_nz00_2404 = BINT(BgL_arg1099z00_569);
									BgL_nz00_8 = BgL_nz00_2404;
									BgL_posz00_7 = BgL_posz00_2402;
									goto BGl_fillzd2fixnumz12zc0zz__r4_numbers_6_5_flonum_dtoaz00;
								}
							}
						}
					else
						{	/* Ieee/dtoa.scm 166 */
							long BgL_nbzd2digitszd2_570;

							{
								long BgL_digitsz00_1142;
								obj_t BgL_nz00_1143;

								BgL_digitsz00_1142 = ((long) 0);
								BgL_nz00_1143 = BgL_nz00_8;
							BgL_loopz00_1141:
								if (((long) CINT(BgL_nz00_1143) == ((long) 0)))
									{	/* Ieee/dtoa.scm 168 */
										BgL_nbzd2digitszd2_570 = BgL_digitsz00_1142;
									}
								else
									{
										obj_t BgL_nz00_2411;
										long BgL_digitsz00_2409;

										BgL_digitsz00_2409 = (BgL_digitsz00_1142 + ((long) 1));
										BgL_nz00_2411 =
											BINT(((long) CINT(BgL_nz00_1143) / ((long) 10)));
										BgL_nz00_1143 = BgL_nz00_2411;
										BgL_digitsz00_1142 = BgL_digitsz00_2409;
										goto BgL_loopz00_1141;
									}
							}
							{	/* Ieee/dtoa.scm 172 */
								long BgL_g1014z00_571;

								BgL_g1014z00_571 =
									(
									(long) CINT(BgL_posz00_7) +
									(BgL_nbzd2digitszd2_570 - ((long) 1)));
								{
									obj_t BgL_nz00_573;
									long BgL_iz00_574;

									BgL_nz00_573 = BgL_nz00_8;
									BgL_iz00_574 = BgL_g1014z00_571;
								BgL_zc3anonymousza31100ze3z83_575:
									if (((long) CINT(BgL_nz00_573) == ((long) 0)))
										{	/* Ieee/dtoa.scm 174 */
											return
												((long) CINT(BgL_posz00_7) + BgL_nbzd2digitszd2_570);
										}
									else
										{	/* Ieee/dtoa.scm 174 */
											{	/* Ieee/dtoa.scm 177 */
												unsigned char BgL_auxz00_2423;

												BgL_auxz00_2423 =
													(
													(BGl_modulofxz00zz__r4_numbers_6_5_fixnumz00(
															(long) CINT(BgL_nz00_573),
															((long) 10)) + ((long) 48)));
												STRING_SET(BgL_bufferz00_6, BgL_iz00_574,
													BgL_auxz00_2423);
											}
											{	/* Ieee/dtoa.scm 180 */
												long BgL_arg1106z00_580;
												long BgL_arg1107z00_581;

												BgL_arg1106z00_580 =
													((long) CINT(BgL_nz00_573) / ((long) 10));
												BgL_arg1107z00_581 = (BgL_iz00_574 - ((long) 1));
												{
													long BgL_iz00_2434;
													obj_t BgL_nz00_2432;

													BgL_nz00_2432 = BINT(BgL_arg1106z00_580);
													BgL_iz00_2434 = BgL_arg1107z00_581;
													BgL_iz00_574 = BgL_iz00_2434;
													BgL_nz00_573 = BgL_nz00_2432;
													goto BgL_zc3anonymousza31100ze3z83_575;
												}
											}
										}
								}
							}
						}
				}
		}
	}



/* string-shift! */
	bool_t BGl_stringzd2shiftz12zc0zz__r4_numbers_6_5_flonum_dtoaz00(obj_t
		BgL_strz00_14, obj_t BgL_fromz00_15, long BgL_toz00_16, long BgL_lenz00_17)
	{
		AN_OBJECT;
		{	/* Ieee/dtoa.scm 231 */
			if (((long) CINT(BgL_fromz00_15) < BgL_toz00_16))
				{	/* Ieee/dtoa.scm 233 */
					long BgL_g1015z00_601;
					long BgL_g1016z00_602;

					BgL_g1015z00_601 =
						((long) CINT(BgL_fromz00_15) + (BgL_lenz00_17 - ((long) 1)));
					BgL_g1016z00_602 = (BgL_toz00_16 + (BgL_lenz00_17 - ((long) 1)));
					{
						long BgL_iz00_1286;
						long BgL_jz00_1287;

						BgL_iz00_1286 = BgL_g1015z00_601;
						BgL_jz00_1287 = BgL_g1016z00_602;
					BgL_loopz00_1285:
						if ((BgL_iz00_1286 >= (long) CINT(BgL_fromz00_15)))
							{	/* Ieee/dtoa.scm 235 */
								{	/* Ieee/dtoa.scm 236 */
									unsigned char BgL_auxz00_2446;

									BgL_auxz00_2446 = STRING_REF(BgL_strz00_14, BgL_iz00_1286);
									STRING_SET(BgL_strz00_14, BgL_jz00_1287, BgL_auxz00_2446);
								}
								{
									long BgL_jz00_2451;
									long BgL_iz00_2449;

									BgL_iz00_2449 = (BgL_iz00_1286 - ((long) 1));
									BgL_jz00_2451 = (BgL_jz00_1287 - ((long) 1));
									BgL_jz00_1287 = BgL_jz00_2451;
									BgL_iz00_1286 = BgL_iz00_2449;
									goto BgL_loopz00_1285;
								}
							}
						else
							{	/* Ieee/dtoa.scm 235 */
								return ((bool_t) 0);
							}
					}
				}
			else
				{
					obj_t BgL_iz00_615;
					long BgL_jz00_616;

					BgL_iz00_615 = BgL_fromz00_15;
					BgL_jz00_616 = BgL_toz00_16;
				BgL_zc3anonymousza31152ze3z83_617:
					if (
						((long) CINT(BgL_iz00_615) <
							((long) CINT(BgL_fromz00_15) + BgL_lenz00_17)))
						{	/* Ieee/dtoa.scm 240 */
							{	/* Ieee/dtoa.scm 241 */
								unsigned char BgL_auxz00_2458;

								BgL_auxz00_2458 =
									STRING_REF(BgL_strz00_14, (long) CINT(BgL_iz00_615));
								STRING_SET(BgL_strz00_14, BgL_jz00_616, BgL_auxz00_2458);
							}
							{	/* Ieee/dtoa.scm 242 */
								long BgL_arg1159z00_620;
								long BgL_arg1160z00_621;

								BgL_arg1159z00_620 = ((long) CINT(BgL_iz00_615) + ((long) 1));
								BgL_arg1160z00_621 = (BgL_jz00_616 + ((long) 1));
								{
									long BgL_jz00_2467;
									obj_t BgL_iz00_2465;

									BgL_iz00_2465 = BINT(BgL_arg1159z00_620);
									BgL_jz00_2467 = BgL_arg1160z00_621;
									BgL_jz00_616 = BgL_jz00_2467;
									BgL_iz00_615 = BgL_iz00_2465;
									goto BgL_zc3anonymousza31152ze3z83_617;
								}
							}
						}
					else
						{	/* Ieee/dtoa.scm 240 */
							return ((bool_t) 0);
						}
				}
		}
	}



/* prettify-string! */
	long BGl_prettifyzd2stringz12zc0zz__r4_numbers_6_5_flonum_dtoaz00(obj_t
		BgL_bufferz00_18, obj_t BgL_posz00_19, obj_t BgL_endzd2poszd2_20,
		obj_t BgL_kz00_21)
	{
		AN_OBJECT;
		{	/* Ieee/dtoa.scm 247 */
			{	/* Ieee/dtoa.scm 249 */
				long BgL_nbzd2digitszd2_624;

				BgL_nbzd2digitszd2_624 =
					((long) CINT(BgL_endzd2poszd2_20) - (long) CINT(BgL_posz00_19));
				{	/* Ieee/dtoa.scm 251 */
					bool_t BgL_testz00_2471;

					if ((BgL_nbzd2digitszd2_624 <= (long) CINT(BgL_kz00_21)))
						{	/* Ieee/dtoa.scm 251 */
							BgL_testz00_2471 = ((long) CINT(BgL_kz00_21) <= ((long) 19));
						}
					else
						{	/* Ieee/dtoa.scm 251 */
							BgL_testz00_2471 = ((bool_t) 0);
						}
					if (BgL_testz00_2471)
						{
							long BgL_iz00_627;

							BgL_iz00_627 = BgL_nbzd2digitszd2_624;
						BgL_zc3anonymousza31163ze3z83_628:
							if (BGl_2ze3zd3z30zz__r4_numbers_6_5z00(BINT(BgL_iz00_627),
									BgL_kz00_21))
								{	/* Ieee/dtoa.scm 257 */
									{	/* Ieee/dtoa.scm 258 */
										long BgL_auxz00_2480;

										BgL_auxz00_2480 =
											((long) CINT(BgL_posz00_19) + BgL_iz00_627);
										STRING_SET(BgL_bufferz00_18, BgL_auxz00_2480,
											((unsigned char) '.'));
									}
									{	/* Ieee/dtoa.scm 259 */
										long BgL_auxz00_2484;

										BgL_auxz00_2484 =
											(
											(long) CINT(BgL_posz00_19) + (BgL_iz00_627 + ((long) 1)));
										STRING_SET(BgL_bufferz00_18, BgL_auxz00_2484,
											((unsigned char) '0'));
									}
									return
										((long) CINT(BgL_posz00_19) + (BgL_iz00_627 + ((long) 2)));
								}
							else
								{	/* Ieee/dtoa.scm 257 */
									{	/* Ieee/dtoa.scm 262 */
										long BgL_auxz00_2492;

										BgL_auxz00_2492 =
											((long) CINT(BgL_posz00_19) + BgL_iz00_627);
										STRING_SET(BgL_bufferz00_18, BgL_auxz00_2492,
											((unsigned char) '0'));
									}
									{
										long BgL_iz00_2496;

										BgL_iz00_2496 = (BgL_iz00_627 + ((long) 1));
										BgL_iz00_627 = BgL_iz00_2496;
										goto BgL_zc3anonymousza31163ze3z83_628;
									}
								}
						}
					else
						{	/* Ieee/dtoa.scm 264 */
							bool_t BgL_testz00_2498;

							if ((((long) 0) < (long) CINT(BgL_kz00_21)))
								{	/* Ieee/dtoa.scm 264 */
									BgL_testz00_2498 = ((long) CINT(BgL_kz00_21) <= ((long) 19));
								}
							else
								{	/* Ieee/dtoa.scm 264 */
									BgL_testz00_2498 = ((bool_t) 0);
								}
							if (BgL_testz00_2498)
								{	/* Ieee/dtoa.scm 264 */
									{	/* Ieee/dtoa.scm 268 */
										long BgL_arg1175z00_638;
										long BgL_arg1176z00_639;
										long BgL_arg1177z00_640;

										BgL_arg1175z00_638 =
											((long) CINT(BgL_posz00_19) + (long) CINT(BgL_kz00_21));
										BgL_arg1176z00_639 =
											(
											(long) CINT(BgL_posz00_19) +
											((long) CINT(BgL_kz00_21) + ((long) 1)));
										BgL_arg1177z00_640 =
											(BgL_nbzd2digitszd2_624 - (long) CINT(BgL_kz00_21));
										BGl_stringzd2shiftz12zc0zz__r4_numbers_6_5_flonum_dtoaz00
											(BgL_bufferz00_18, BINT(BgL_arg1175z00_638),
											BgL_arg1176z00_639, BgL_arg1177z00_640);
									}
									{	/* Ieee/dtoa.scm 270 */
										long BgL_auxz00_2515;

										BgL_auxz00_2515 =
											((long) CINT(BgL_posz00_19) + (long) CINT(BgL_kz00_21));
										STRING_SET(BgL_bufferz00_18, BgL_auxz00_2515,
											((unsigned char) '.'));
									}
									return
										(
										(long) CINT(BgL_posz00_19) +
										(BgL_nbzd2digitszd2_624 + ((long) 1)));
								}
							else
								{	/* Ieee/dtoa.scm 272 */
									bool_t BgL_testz00_2523;

									if ((((long) -6) < (long) CINT(BgL_kz00_21)))
										{	/* Ieee/dtoa.scm 272 */
											BgL_testz00_2523 =
												((long) CINT(BgL_kz00_21) <= ((long) 0));
										}
									else
										{	/* Ieee/dtoa.scm 272 */
											BgL_testz00_2523 = ((bool_t) 0);
										}
									if (BgL_testz00_2523)
										{	/* Ieee/dtoa.scm 276 */
											long BgL_offsetz00_645;

											BgL_offsetz00_645 =
												(((long) 2) - (long) CINT(BgL_kz00_21));
											BGl_stringzd2shiftz12zc0zz__r4_numbers_6_5_flonum_dtoaz00
												(BgL_bufferz00_18, BgL_posz00_19,
												((long) CINT(BgL_posz00_19) + BgL_offsetz00_645),
												BgL_nbzd2digitszd2_624);
											{	/* Ieee/dtoa.scm 278 */
												long BgL_auxz00_2534;

												BgL_auxz00_2534 = (long) CINT(BgL_posz00_19);
												STRING_SET(BgL_bufferz00_18, BgL_auxz00_2534,
													((unsigned char) '0'));
											}
											{	/* Ieee/dtoa.scm 279 */
												long BgL_auxz00_2537;

												BgL_auxz00_2537 =
													((long) CINT(BgL_posz00_19) + ((long) 1));
												STRING_SET(BgL_bufferz00_18, BgL_auxz00_2537,
													((unsigned char) '.'));
											}
											{	/* Ieee/dtoa.scm 280 */
												long BgL_g1017z00_648;

												BgL_g1017z00_648 =
													((long) CINT(BgL_posz00_19) + ((long) 2));
												{
													long BgL_iz00_650;

													BgL_iz00_650 = BgL_g1017z00_648;
												BgL_zc3anonymousza31190ze3z83_651:
													if (
														(BgL_iz00_650 >=
															((long) CINT(BgL_posz00_19) + BgL_offsetz00_645)))
														{	/* Ieee/dtoa.scm 282 */
															return
																(
																(long) CINT(BgL_posz00_19) +
																(BgL_nbzd2digitszd2_624 + BgL_offsetz00_645));
														}
													else
														{	/* Ieee/dtoa.scm 282 */
															STRING_SET(BgL_bufferz00_18, BgL_iz00_650,
																((unsigned char) '0'));
															{
																long BgL_iz00_2551;

																BgL_iz00_2551 = (BgL_iz00_650 + ((long) 1));
																BgL_iz00_650 = BgL_iz00_2551;
																goto BgL_zc3anonymousza31190ze3z83_651;
															}
														}
												}
											}
										}
									else
										{	/* Ieee/dtoa.scm 272 */
											if ((BgL_nbzd2digitszd2_624 == ((long) 1)))
												{	/* Ieee/dtoa.scm 287 */
													{	/* Ieee/dtoa.scm 289 */
														long BgL_auxz00_2555;

														BgL_auxz00_2555 =
															((long) CINT(BgL_posz00_19) + ((long) 1));
														STRING_SET(BgL_bufferz00_18, BgL_auxz00_2555,
															((unsigned char) 'e'));
													}
													if (((long) CINT(BgL_kz00_21) > ((long) 0)))
														{	/* Ieee/dtoa.scm 291 */
															long BgL_arg1218z00_660;
															long BgL_arg1219z00_661;

															BgL_arg1218z00_660 =
																((long) CINT(BgL_posz00_19) + ((long) 2));
															{	/* Ieee/dtoa.scm 291 */
																long BgL_nz00_1458;

																BgL_nz00_1458 =
																	((long) CINT(BgL_kz00_21) - ((long) 1));
																if ((BgL_nz00_1458 < ((long) 0)))
																	{	/* Ieee/dtoa.scm 291 */
																		BgL_arg1219z00_661 = NEG(BgL_nz00_1458);
																	}
																else
																	{	/* Ieee/dtoa.scm 291 */
																		BgL_arg1219z00_661 = BgL_nz00_1458;
																	}
															}
															return
																BGl_fillzd2fixnumz12zc0zz__r4_numbers_6_5_flonum_dtoaz00
																(BgL_bufferz00_18, BINT(BgL_arg1218z00_660),
																BINT(BgL_arg1219z00_661));
														}
													else
														{	/* Ieee/dtoa.scm 290 */
															{	/* Ieee/dtoa.scm 293 */
																long BgL_auxz00_2572;

																BgL_auxz00_2572 =
																	((long) CINT(BgL_posz00_19) + ((long) 2));
																STRING_SET(BgL_bufferz00_18, BgL_auxz00_2572,
																	((unsigned char) '-'));
															}
															{	/* Ieee/dtoa.scm 294 */
																long BgL_arg1222z00_664;
																long BgL_arg1223z00_665;

																BgL_arg1222z00_664 =
																	((long) CINT(BgL_posz00_19) + ((long) 3));
																{	/* Ieee/dtoa.scm 295 */
																	long BgL_nz00_1478;

																	BgL_nz00_1478 =
																		((long) CINT(BgL_kz00_21) - ((long) 1));
																	if ((BgL_nz00_1478 < ((long) 0)))
																		{	/* Ieee/dtoa.scm 295 */
																			BgL_arg1223z00_665 = NEG(BgL_nz00_1478);
																		}
																	else
																		{	/* Ieee/dtoa.scm 295 */
																			BgL_arg1223z00_665 = BgL_nz00_1478;
																		}
																}
																return
																	BGl_fillzd2fixnumz12zc0zz__r4_numbers_6_5_flonum_dtoaz00
																	(BgL_bufferz00_18, BINT(BgL_arg1222z00_664),
																	BINT(BgL_arg1223z00_665));
															}
														}
												}
											else
												{	/* Ieee/dtoa.scm 287 */
													{	/* Ieee/dtoa.scm 299 */
														long BgL_arg1227z00_667;
														long BgL_arg1229z00_668;
														long BgL_arg1230z00_669;

														BgL_arg1227z00_667 =
															((long) CINT(BgL_posz00_19) + ((long) 1));
														BgL_arg1229z00_668 =
															((long) CINT(BgL_posz00_19) + ((long) 2));
														BgL_arg1230z00_669 =
															(BgL_nbzd2digitszd2_624 - ((long) 1));
														BGl_stringzd2shiftz12zc0zz__r4_numbers_6_5_flonum_dtoaz00
															(BgL_bufferz00_18, BINT(BgL_arg1227z00_667),
															BgL_arg1229z00_668, BgL_arg1230z00_669);
													}
													{	/* Ieee/dtoa.scm 301 */
														long BgL_auxz00_2593;

														BgL_auxz00_2593 =
															((long) CINT(BgL_posz00_19) + ((long) 1));
														STRING_SET(BgL_bufferz00_18, BgL_auxz00_2593,
															((unsigned char) '.'));
													}
													{	/* Ieee/dtoa.scm 302 */
														long BgL_auxz00_2597;

														BgL_auxz00_2597 =
															(
															(long) CINT(BgL_posz00_19) +
															(BgL_nbzd2digitszd2_624 + ((long) 1)));
														STRING_SET(BgL_bufferz00_18, BgL_auxz00_2597,
															((unsigned char) 'e'));
													}
													if (((long) CINT(BgL_kz00_21) > ((long) 0)))
														{	/* Ieee/dtoa.scm 304 */
															long BgL_arg1254z00_674;
															long BgL_arg1256z00_675;

															BgL_arg1254z00_674 =
																(
																(long) CINT(BgL_posz00_19) +
																(BgL_nbzd2digitszd2_624 + ((long) 2)));
															{	/* Ieee/dtoa.scm 305 */
																long BgL_nz00_1522;

																BgL_nz00_1522 =
																	((long) CINT(BgL_kz00_21) - ((long) 1));
																if ((BgL_nz00_1522 < ((long) 0)))
																	{	/* Ieee/dtoa.scm 305 */
																		BgL_arg1256z00_675 = NEG(BgL_nz00_1522);
																	}
																else
																	{	/* Ieee/dtoa.scm 305 */
																		BgL_arg1256z00_675 = BgL_nz00_1522;
																	}
															}
															return
																BGl_fillzd2fixnumz12zc0zz__r4_numbers_6_5_flonum_dtoaz00
																(BgL_bufferz00_18, BINT(BgL_arg1254z00_674),
																BINT(BgL_arg1256z00_675));
														}
													else
														{	/* Ieee/dtoa.scm 303 */
															{	/* Ieee/dtoa.scm 307 */
																long BgL_auxz00_2616;

																BgL_auxz00_2616 =
																	(
																	(long) CINT(BgL_posz00_19) +
																	(BgL_nbzd2digitszd2_624 + ((long) 2)));
																STRING_SET(BgL_bufferz00_18, BgL_auxz00_2616,
																	((unsigned char) '-'));
															}
															{	/* Ieee/dtoa.scm 308 */
																long BgL_arg1271z00_680;
																long BgL_arg1274z00_681;

																BgL_arg1271z00_680 =
																	(
																	(long) CINT(BgL_posz00_19) +
																	(BgL_nbzd2digitszd2_624 + ((long) 3)));
																{	/* Ieee/dtoa.scm 309 */
																	long BgL_nz00_1548;

																	BgL_nz00_1548 =
																		((long) CINT(BgL_kz00_21) - ((long) 1));
																	if ((BgL_nz00_1548 < ((long) 0)))
																		{	/* Ieee/dtoa.scm 309 */
																			BgL_arg1274z00_681 = NEG(BgL_nz00_1548);
																		}
																	else
																		{	/* Ieee/dtoa.scm 309 */
																			BgL_arg1274z00_681 = BgL_nz00_1548;
																		}
																}
																return
																	BGl_fillzd2fixnumz12zc0zz__r4_numbers_6_5_flonum_dtoaz00
																	(BgL_bufferz00_18, BINT(BgL_arg1271z00_680),
																	BINT(BgL_arg1274z00_681));
															}
														}
												}
										}
								}
						}
				}
			}
		}
	}



/* fast-divider */
	long BGl_fastzd2dividerzd2zz__r4_numbers_6_5_flonum_dtoaz00(long
		BgL_kzd2estzd2_22, BGL_LONGLONG_T BgL_nz00_23, obj_t BgL_e_nz00_24,
		BGL_LONGLONG_T BgL_mzb2zb2_25, bool_t BgL_evenzf3zf3_26)
	{
		AN_OBJECT;
		{	/* Ieee/dtoa.scm 322 */
		BGl_fastzd2dividerzd2zz__r4_numbers_6_5_flonum_dtoaz00:
			{
				obj_t BgL_vz00_710;
				obj_t BgL_e_vz00_711;
				obj_t BgL_exactzf3zf3_712;

				{	/* Ieee/dtoa.scm 341 */
					obj_t BgL_vz00_689;

					BgL_vz00_689 =
						BGl_cachedzd2dividerzd2zz__r4_numbers_6_5_flonum_dtoaz00
						(BgL_kzd2estzd2_22);
					{	/* Ieee/dtoa.scm 343 */
						obj_t BgL_e_vz00_690;
						obj_t BgL_exactzf3zf3_691;

						{	/* Ieee/dtoa.scm 343 */
							int BgL_auxz00_2633;

							BgL_auxz00_2633 = (int) (((long) 1));
							BgL_e_vz00_690 = BGL_MVALUES_VAL(BgL_auxz00_2633);
						}
						{	/* Ieee/dtoa.scm 343 */
							int BgL_auxz00_2636;

							BgL_auxz00_2636 = (int) (((long) 2));
							BgL_exactzf3zf3_691 = BGL_MVALUES_VAL(BgL_auxz00_2636);
						}
						{	/* Ieee/dtoa.scm 343 */
							bool_t BgL_testz00_2639;

							BgL_vz00_710 = BgL_vz00_689;
							BgL_e_vz00_711 = BgL_e_vz00_690;
							BgL_exactzf3zf3_712 = BgL_exactzf3zf3_691;
							{	/* Ieee/dtoa.scm 331 */
								obj_t BgL_compzd2vzd2_715;

								if (CBOOL(BgL_exactzf3zf3_712))
									{	/* Ieee/dtoa.scm 332 */
										BgL_compzd2vzd2_715 = BgL_vz00_710;
									}
								else
									{	/* Ieee/dtoa.scm 332 */
										BGL_LONGLONG_T BgL_za71za7_1556;

										BgL_za71za7_1556 = BLLONG_TO_LLONG(BgL_vz00_710);
										BgL_compzd2vzd2_715 =
											make_bllong(
											(BgL_za71za7_1556 + LONG_TO_LLONG(((long) 1))));
									}
								if (((long) CINT(BgL_e_vz00_711) > (long) CINT(BgL_e_nz00_24)))
									{	/* Ieee/dtoa.scm 334 */
										BgL_testz00_2639 = ((bool_t) 0);
									}
								else
									{	/* Ieee/dtoa.scm 334 */
										if (
											((long) CINT(BgL_e_vz00_711) <
												(long) CINT(BgL_e_nz00_24)))
											{	/* Ieee/dtoa.scm 335 */
												BgL_testz00_2639 = ((bool_t) 1);
											}
										else
											{	/* Ieee/dtoa.scm 336 */
												bool_t BgL_testz00_2654;

												{	/* Ieee/dtoa.scm 336 */
													BGL_LONGLONG_T BgL_arg1298z00_719;

													BgL_arg1298z00_719 = (BgL_nz00_23 + BgL_mzb2zb2_25);
													{	/* Ieee/dtoa.scm 336 */
														obj_t BgL_auxz00_2656;

														{	/* Ieee/dtoa.scm 336 */
															obj_t BgL_tmpz00_2663;
															obj_t BgL_az00_2657;

															if (BgL_evenzf3zf3_26)
																{	/* Ieee/dtoa.scm 331 */
																	BgL_tmpz00_2663 =
																		BGl_zc3zd3llongzd2envzc2zz__r4_numbers_6_5_fixnumz00;
																}
															else
																{	/* Ieee/dtoa.scm 331 */
																	BgL_tmpz00_2663 =
																		BGl_zc3llongzd2envz11zz__r4_numbers_6_5_fixnumz00;
																}
															if (BgL_evenzf3zf3_26)
																{	/* Ieee/dtoa.scm 331 */
																	BgL_az00_2657 =
																		BGl_zc3zd3llongzd2envzc2zz__r4_numbers_6_5_fixnumz00;
																}
															else
																{	/* Ieee/dtoa.scm 331 */
																	BgL_az00_2657 =
																		BGl_zc3llongzd2envz11zz__r4_numbers_6_5_fixnumz00;
																}
															BgL_auxz00_2656 =
																PROCEDURE_ENTRY(BgL_tmpz00_2663) (BgL_az00_2657,
																BgL_compzd2vzd2_715,
																make_bllong(BgL_arg1298z00_719), BEOA);
														}
														BgL_testz00_2654 = CBOOL(BgL_auxz00_2656);
													}
												}
												if (BgL_testz00_2654)
													{	/* Ieee/dtoa.scm 336 */
														BgL_testz00_2639 = ((bool_t) 1);
													}
												else
													{	/* Ieee/dtoa.scm 336 */
														BgL_testz00_2639 = ((bool_t) 0);
													}
											}
									}
							}
							if (BgL_testz00_2639)
								{
									obj_t BgL_vz00_694;
									obj_t BgL_e_vz00_695;
									obj_t BgL_exactzf3zf3_696;

									BgL_vz00_694 = BgL_vz00_689;
									BgL_e_vz00_695 = BgL_e_vz00_690;
									BgL_exactzf3zf3_696 = BgL_exactzf3zf3_691;
								BgL_zc3anonymousza31284ze3z83_697:
									if (
										((long) CINT(BgL_e_vz00_695) == (long) CINT(BgL_e_nz00_24)))
										{	/* Ieee/dtoa.scm 351 */
											long BgL_val0_1037z00_699;

											BgL_val0_1037z00_699 = (BgL_kzd2estzd2_22 + ((long) 1));
											{	/* Ieee/dtoa.scm 351 */
												int BgL_res1700z00_1577;

												{	/* Ieee/dtoa.scm 351 */
													int BgL_auxz00_2671;

													BgL_auxz00_2671 = (int) (((long) 3));
													BgL_res1700z00_1577 =
														BGL_MVALUES_NUMBER_SET(BgL_auxz00_2671);
												} BgL_res1700z00_1577;
											}
											{	/* Ieee/dtoa.scm 351 */
												int BgL_auxz00_2674;

												BgL_auxz00_2674 = (int) (((long) 1));
												BGL_MVALUES_VAL_SET(BgL_auxz00_2674, BgL_vz00_694);
											}
											{	/* Ieee/dtoa.scm 351 */
												int BgL_auxz00_2677;

												BgL_auxz00_2677 = (int) (((long) 2));
												BGL_MVALUES_VAL_SET(BgL_auxz00_2677,
													BgL_exactzf3zf3_696);
											}
											return BgL_val0_1037z00_699;
										}
									else
										{	/* Ieee/dtoa.scm 352 */
											bool_t BgL_testz00_2680;

											{	/* Ieee/dtoa.scm 352 */
												BGL_LONGLONG_T BgL_arg1291z00_707;

												{	/* Ieee/dtoa.scm 352 */
													BGL_LONGLONG_T BgL_res1701z00_1584;

													{	/* Ieee/dtoa.scm 352 */
														BGL_LONGLONG_T BgL_auxz00_2681;

														BgL_auxz00_2681 = BLLONG_TO_LLONG(BgL_vz00_694);
														BgL_res1701z00_1584 =
															(BgL_auxz00_2681 % ((BGL_LONGLONG_T) 2));
													}
													BgL_arg1291z00_707 = BgL_res1701z00_1584;
												}
												BgL_testz00_2680 =
													(BgL_arg1291z00_707 == ((BGL_LONGLONG_T) 0));
											}
											if (BgL_testz00_2680)
												{	/* Ieee/dtoa.scm 355 */
													BGL_LONGLONG_T BgL_arg1287z00_703;
													long BgL_arg1288z00_704;

													BgL_arg1287z00_703 =
														(BLLONG_TO_LLONG(BgL_vz00_694) >>
														(int) (((long) 1)));
													BgL_arg1288z00_704 =
														((long) CINT(BgL_e_vz00_695) + ((long) 1));
													{
														obj_t BgL_e_vz00_2692;
														obj_t BgL_vz00_2690;

														BgL_vz00_2690 = make_bllong(BgL_arg1287z00_703);
														BgL_e_vz00_2692 = BINT(BgL_arg1288z00_704);
														BgL_e_vz00_695 = BgL_e_vz00_2692;
														BgL_vz00_694 = BgL_vz00_2690;
														goto BgL_zc3anonymousza31284ze3z83_697;
													}
												}
											else
												{	/* Ieee/dtoa.scm 357 */
													BGL_LONGLONG_T BgL_arg1289z00_705;
													long BgL_arg1290z00_706;

													BgL_arg1289z00_705 =
														(BLLONG_TO_LLONG(BgL_vz00_694) >>
														(int) (((long) 1)));
													BgL_arg1290z00_706 =
														((long) CINT(BgL_e_vz00_695) + ((long) 1));
													{
														obj_t BgL_exactzf3zf3_2703;
														obj_t BgL_e_vz00_2701;
														obj_t BgL_vz00_2699;

														BgL_vz00_2699 = make_bllong(BgL_arg1289z00_705);
														BgL_e_vz00_2701 = BINT(BgL_arg1290z00_706);
														BgL_exactzf3zf3_2703 = BFALSE;
														BgL_exactzf3zf3_696 = BgL_exactzf3zf3_2703;
														BgL_e_vz00_695 = BgL_e_vz00_2701;
														BgL_vz00_694 = BgL_vz00_2699;
														goto BgL_zc3anonymousza31284ze3z83_697;
													}
												}
										}
								}
							else
								{
									long BgL_kzd2estzd2_2704;

									BgL_kzd2estzd2_2704 = (BgL_kzd2estzd2_22 - ((long) 1));
									BgL_kzd2estzd2_22 = BgL_kzd2estzd2_2704;
									goto BGl_fastzd2dividerzd2zz__r4_numbers_6_5_flonum_dtoaz00;
								}
						}
					}
				}
			}
		}
	}



/* generate-digits */
	long BGl_generatezd2digitszd2zz__r4_numbers_6_5_flonum_dtoaz00(obj_t
		BgL_bufferz00_27, obj_t BgL_posz00_28, BGL_LONGLONG_T BgL_nz00_29,
		obj_t BgL_divz00_30, BGL_LONGLONG_T BgL_errorzd2multiplierzd2_31,
		BGL_LONGLONG_T BgL_errorz00_32, BGL_LONGLONG_T BgL_mzd2zd2_33,
		BGL_LONGLONG_T BgL_mzb2zb2_34, bool_t BgL_evenzf3zf3_35)
	{
		AN_OBJECT;
		{	/* Ieee/dtoa.scm 364 */
		BGl_generatezd2digitszd2zz__r4_numbers_6_5_flonum_dtoaz00:
			{
				BGL_LONGLONG_T BgL_rz00_752;
				obj_t BgL_divz00_753;
				BGL_LONGLONG_T BgL_errorzd2multiplierzd2_754;
				BGL_LONGLONG_T BgL_errorz00_755;
				BGL_LONGLONG_T BgL_mzd2zd2_756;
				BGL_LONGLONG_T BgL_mzb2zb2_757;

				{	/* Ieee/dtoa.scm 423 */
					BGL_LONGLONG_T BgL_qz00_723;

					{	/* Ieee/dtoa.scm 423 */
						BGL_LONGLONG_T BgL_res1764z00_1766;

						{	/* Ieee/dtoa.scm 423 */
							BGL_LONGLONG_T BgL_auxz00_2706;

							BgL_auxz00_2706 = BLLONG_TO_LLONG(BgL_divz00_30);
							BgL_res1764z00_1766 = (BgL_nz00_29 / BgL_auxz00_2706);
						}
						BgL_qz00_723 = BgL_res1764z00_1766;
					}
					{	/* Ieee/dtoa.scm 423 */
						BGL_LONGLONG_T BgL_rz00_724;

						{	/* Ieee/dtoa.scm 424 */
							BGL_LONGLONG_T BgL_res1765z00_1769;

							{	/* Ieee/dtoa.scm 424 */
								BGL_LONGLONG_T BgL_auxz00_2709;

								BgL_auxz00_2709 = BLLONG_TO_LLONG(BgL_divz00_30);
								BgL_res1765z00_1769 = (BgL_nz00_29 % BgL_auxz00_2709);
							}
							BgL_rz00_724 = BgL_res1765z00_1769;
						}
						{
							obj_t BgL_az00_746;
							BGL_LONGLONG_T BgL_bz00_747;

							{	/* Ieee/dtoa.scm 429 */
								BGL_LONGLONG_T BgL_newzd2errorzd2_727;

								BgL_newzd2errorzd2_727 =
									(BgL_errorz00_32 +
									(BgL_errorzd2multiplierzd2_31 * BgL_qz00_723));
								{	/* Ieee/dtoa.scm 430 */
									bool_t BgL_tc1z00_728;

									{	/* Ieee/dtoa.scm 431 */
										BGL_LONGLONG_T BgL_az00_1807;

										BgL_az00_1807 = (BgL_rz00_724 + BgL_newzd2errorzd2_727);
										{	/* Ieee/dtoa.scm 425 */
											bool_t BgL_testz00_2715;

											if (BgL_evenzf3zf3_35)
												{	/* Ieee/dtoa.scm 425 */
													BgL_testz00_2715 = ((bool_t) 1);
												}
											else
												{	/* Ieee/dtoa.scm 425 */
													if (
														(BgL_errorzd2multiplierzd2_31 ==
															((BGL_LONGLONG_T) 0)))
														{	/* Ieee/dtoa.scm 426 */
															BgL_testz00_2715 = ((bool_t) 0);
														}
													else
														{	/* Ieee/dtoa.scm 426 */
															BgL_testz00_2715 = ((bool_t) 1);
														}
												}
											if (BgL_testz00_2715)
												{	/* Ieee/dtoa.scm 425 */
													BgL_tc1z00_728 = (BgL_az00_1807 <= BgL_mzd2zd2_33);
												}
											else
												{	/* Ieee/dtoa.scm 425 */
													BgL_tc1z00_728 = (BgL_az00_1807 < BgL_mzd2zd2_33);
												}
										}
									}
									{	/* Ieee/dtoa.scm 431 */
										bool_t BgL_tc2z00_729;

										BgL_az00_746 = BgL_divz00_30;
										BgL_bz00_747 = (BgL_rz00_724 + BgL_mzb2zb2_34);
										{	/* Ieee/dtoa.scm 425 */
											bool_t BgL_testz00_2721;

											if (BgL_evenzf3zf3_35)
												{	/* Ieee/dtoa.scm 425 */
													BgL_testz00_2721 = ((bool_t) 1);
												}
											else
												{	/* Ieee/dtoa.scm 425 */
													if (
														(BgL_errorzd2multiplierzd2_31 ==
															((BGL_LONGLONG_T) 0)))
														{	/* Ieee/dtoa.scm 426 */
															BgL_testz00_2721 = ((bool_t) 0);
														}
													else
														{	/* Ieee/dtoa.scm 426 */
															BgL_testz00_2721 = ((bool_t) 1);
														}
												}
											if (BgL_testz00_2721)
												{	/* Ieee/dtoa.scm 425 */
													BgL_tc2z00_729 =
														(BLLONG_TO_LLONG(BgL_az00_746) <= BgL_bz00_747);
												}
											else
												{	/* Ieee/dtoa.scm 425 */
													BgL_tc2z00_729 =
														(BLLONG_TO_LLONG(BgL_az00_746) < BgL_bz00_747);
												}
										}
										{	/* Ieee/dtoa.scm 432 */

											{	/* Ieee/dtoa.scm 434 */
												bool_t BgL_testz00_2730;

												if (BgL_tc1z00_728)
													{	/* Ieee/dtoa.scm 434 */
														BgL_testz00_2730 = ((bool_t) 0);
													}
												else
													{	/* Ieee/dtoa.scm 434 */
														if (BgL_tc2z00_729)
															{	/* Ieee/dtoa.scm 434 */
																BgL_testz00_2730 = ((bool_t) 0);
															}
														else
															{	/* Ieee/dtoa.scm 434 */
																BgL_testz00_2730 = ((bool_t) 1);
															}
													}
												if (BgL_testz00_2730)
													{	/* Ieee/dtoa.scm 434 */
														{	/* Ieee/dtoa.scm 373 */
															unsigned char BgL_arg1363z00_1828;

															{	/* Ieee/dtoa.scm 373 */
																long BgL_arg1364z00_1829;

																{	/* Ieee/dtoa.scm 373 */
																	long BgL_arg1365z00_1830;

																	{	/* Ieee/dtoa.scm 373 */
																		long BgL_res1784z00_1832;

																		BgL_res1784z00_1832 =
																			LLONG_TO_LONG(BgL_qz00_723);
																		BgL_arg1365z00_1830 = BgL_res1784z00_1832;
																	}
																	BgL_arg1364z00_1829 =
																		(((long) 48) + BgL_arg1365z00_1830);
																}
																BgL_arg1363z00_1828 = (BgL_arg1364z00_1829);
															}
															{	/* Ieee/dtoa.scm 372 */
																long BgL_auxz00_2736;

																BgL_auxz00_2736 = (long) CINT(BgL_posz00_28);
																STRING_SET(BgL_bufferz00_27, BgL_auxz00_2736,
																	BgL_arg1363z00_1828);
														}}
														((long) CINT(BgL_posz00_28) + ((long) 1));
														BgL_rz00_752 = BgL_rz00_724;
														BgL_divz00_753 = BgL_divz00_30;
														BgL_errorzd2multiplierzd2_754 =
															BgL_errorzd2multiplierzd2_31;
														BgL_errorz00_755 = BgL_newzd2errorzd2_727;
														BgL_mzd2zd2_756 = BgL_mzd2zd2_33;
														BgL_mzb2zb2_757 = BgL_mzb2zb2_34;
													BgL_zc3anonymousza31319ze3z83_758:
														{	/* Ieee/dtoa.scm 381 */
															bool_t BgL_testz00_2741;

															{	/* Ieee/dtoa.scm 381 */
																BGL_LONGLONG_T BgL_arg1360z00_791;

																{	/* Ieee/dtoa.scm 381 */
																	BGL_LONGLONG_T BgL_res1713z00_1622;

																	BgL_res1713z00_1622 =
																		(BGL_LONGLONG_MAX / ((BGL_LONGLONG_T) 10));
																	BgL_arg1360z00_791 = BgL_res1713z00_1622;
																}
																BgL_testz00_2741 =
																	(BgL_rz00_752 < BgL_arg1360z00_791);
															}
															if (BgL_testz00_2741)
																{	/* Ieee/dtoa.scm 383 */
																	long BgL_arg1321z00_760;
																	BGL_LONGLONG_T BgL_arg1322z00_761;
																	BGL_LONGLONG_T BgL_arg1323z00_762;
																	BGL_LONGLONG_T BgL_arg1325z00_763;
																	BGL_LONGLONG_T BgL_arg1326z00_764;

																	BgL_arg1321z00_760 =
																		((long) CINT(BgL_posz00_28) + ((long) 1));
																	BgL_arg1322z00_761 =
																		(BgL_rz00_752 * ((BGL_LONGLONG_T) 10));
																	BgL_arg1323z00_762 =
																		(BgL_errorz00_755 * ((BGL_LONGLONG_T) 10));
																	BgL_arg1325z00_763 =
																		(BgL_mzd2zd2_756 * ((BGL_LONGLONG_T) 10));
																	BgL_arg1326z00_764 =
																		(BgL_mzb2zb2_757 * ((BGL_LONGLONG_T) 10));
																	{
																		BGL_LONGLONG_T BgL_mzb2zb2_2757;
																		BGL_LONGLONG_T BgL_mzd2zd2_2756;
																		BGL_LONGLONG_T BgL_errorz00_2755;
																		BGL_LONGLONG_T
																			BgL_errorzd2multiplierzd2_2754;
																		obj_t BgL_divz00_2753;
																		BGL_LONGLONG_T BgL_nz00_2752;
																		obj_t BgL_posz00_2750;

																		BgL_posz00_2750 = BINT(BgL_arg1321z00_760);
																		BgL_nz00_2752 = BgL_arg1322z00_761;
																		BgL_divz00_2753 = BgL_divz00_753;
																		BgL_errorzd2multiplierzd2_2754 =
																			BgL_errorzd2multiplierzd2_754;
																		BgL_errorz00_2755 = BgL_arg1323z00_762;
																		BgL_mzd2zd2_2756 = BgL_arg1325z00_763;
																		BgL_mzb2zb2_2757 = BgL_arg1326z00_764;
																		BgL_mzb2zb2_34 = BgL_mzb2zb2_2757;
																		BgL_mzd2zd2_33 = BgL_mzd2zd2_2756;
																		BgL_errorz00_32 = BgL_errorz00_2755;
																		BgL_errorzd2multiplierzd2_31 =
																			BgL_errorzd2multiplierzd2_2754;
																		BgL_divz00_30 = BgL_divz00_2753;
																		BgL_nz00_29 = BgL_nz00_2752;
																		BgL_posz00_28 = BgL_posz00_2750;
																		goto
																			BGl_generatezd2digitszd2zz__r4_numbers_6_5_flonum_dtoaz00;
																	}
																}
															else
																{	/* Ieee/dtoa.scm 390 */
																	bool_t BgL_testz00_2758;

																	{	/* Ieee/dtoa.scm 390 */
																		BGL_LONGLONG_T BgL_arg1357z00_789;

																		{	/* Ieee/dtoa.scm 390 */
																			BGL_LONGLONG_T BgL_res1721z00_1644;

																			BgL_res1721z00_1644 =
																				(BGL_LONGLONG_MAX /
																				((BGL_LONGLONG_T) 5));
																			BgL_arg1357z00_789 = BgL_res1721z00_1644;
																		}
																		BgL_testz00_2758 =
																			(BgL_rz00_752 < BgL_arg1357z00_789);
																	}
																	if (BgL_testz00_2758)
																		{	/* Ieee/dtoa.scm 395 */
																			long BgL_arg1328z00_766;
																			BGL_LONGLONG_T BgL_arg1329z00_767;
																			BGL_LONGLONG_T BgL_arg1330z00_768;
																			BGL_LONGLONG_T BgL_arg1332z00_769;
																			BGL_LONGLONG_T BgL_arg1333z00_770;
																			BGL_LONGLONG_T BgL_arg1334z00_771;
																			BGL_LONGLONG_T BgL_arg1335z00_772;

																			BgL_arg1328z00_766 =
																				(
																				(long) CINT(BgL_posz00_28) +
																				((long) 1));
																			BgL_arg1329z00_767 =
																				(BgL_rz00_752 * ((BGL_LONGLONG_T) 5));
																			{	/* Ieee/dtoa.scm 397 */
																				bool_t BgL_testz00_2764;

																				{	/* Ieee/dtoa.scm 397 */
																					bool_t BgL_res1728z00_1664;

																					{	/* Ieee/dtoa.scm 397 */
																						BGL_LONGLONG_T BgL_xz00_1654;

																						BgL_xz00_1654 =
																							BLLONG_TO_LLONG(BgL_divz00_753);
																						{	/* Ieee/dtoa.scm 397 */
																							BGL_LONGLONG_T
																								BgL_arg1401z00_1655;
																							{	/* Ieee/dtoa.scm 397 */
																								BGL_LONGLONG_T
																									BgL_res1725z00_1658;
																								BgL_res1725z00_1658 =
																									(BgL_xz00_1654 %
																									((BGL_LONGLONG_T) 2));
																								BgL_arg1401z00_1655 =
																									BgL_res1725z00_1658;
																							}
																							BgL_res1728z00_1664 =
																								(BgL_arg1401z00_1655 ==
																								((BGL_LONGLONG_T) 0));
																					}}
																					BgL_testz00_2764 =
																						BgL_res1728z00_1664;
																				}
																				if (BgL_testz00_2764)
																					{	/* Ieee/dtoa.scm 397 */
																						BgL_arg1330z00_768 =
																							(BLLONG_TO_LLONG(BgL_divz00_753)
																							>> (int) (((long) 1)));
																					}
																				else
																					{	/* Ieee/dtoa.scm 397 */
																						BgL_arg1330z00_768 =
																							(
																							(BLLONG_TO_LLONG(BgL_divz00_753)
																								>> (int) (((long) 1))) +
																							((BGL_LONGLONG_T) 1));
																			}}
																			{	/* Ieee/dtoa.scm 400 */
																				bool_t BgL_testz00_2775;

																				if (
																					(BgL_errorzd2multiplierzd2_754 ==
																						((BGL_LONGLONG_T) 0)))
																					{	/* Ieee/dtoa.scm 401 */
																						bool_t BgL_res1737z00_1689;

																						{	/* Ieee/dtoa.scm 401 */
																							BGL_LONGLONG_T BgL_xz00_1679;

																							BgL_xz00_1679 =
																								BLLONG_TO_LLONG(BgL_divz00_753);
																							{	/* Ieee/dtoa.scm 401 */
																								BGL_LONGLONG_T
																									BgL_arg1401z00_1680;
																								{	/* Ieee/dtoa.scm 401 */
																									BGL_LONGLONG_T
																										BgL_res1734z00_1683;
																									BgL_res1734z00_1683 =
																										(BgL_xz00_1679 %
																										((BGL_LONGLONG_T) 2));
																									BgL_arg1401z00_1680 =
																										BgL_res1734z00_1683;
																								}
																								BgL_res1737z00_1689 =
																									(BgL_arg1401z00_1680 ==
																									((BGL_LONGLONG_T) 0));
																							}
																						}
																						BgL_testz00_2775 =
																							BgL_res1737z00_1689;
																					}
																				else
																					{	/* Ieee/dtoa.scm 400 */
																						BgL_testz00_2775 = ((bool_t) 1);
																					}
																				if (BgL_testz00_2775)
																					{	/* Ieee/dtoa.scm 400 */
																						BgL_arg1332z00_769 =
																							BgL_errorzd2multiplierzd2_754;
																					}
																				else
																					{	/* Ieee/dtoa.scm 400 */
																						BgL_arg1332z00_769 =
																							((BGL_LONGLONG_T) 1);
																					}
																			}
																			BgL_arg1333z00_770 =
																				(BgL_errorz00_755 *
																				((BGL_LONGLONG_T) 5));
																			BgL_arg1334z00_771 =
																				(BgL_mzd2zd2_756 *
																				((BGL_LONGLONG_T) 5));
																			BgL_arg1335z00_772 =
																				(BgL_mzb2zb2_757 *
																				((BGL_LONGLONG_T) 5));
																			{
																				BGL_LONGLONG_T BgL_mzb2zb2_2792;
																				BGL_LONGLONG_T BgL_mzd2zd2_2791;
																				BGL_LONGLONG_T BgL_errorz00_2790;
																				BGL_LONGLONG_T
																					BgL_errorzd2multiplierzd2_2789;
																				obj_t BgL_divz00_2787;
																				BGL_LONGLONG_T BgL_nz00_2786;
																				obj_t BgL_posz00_2784;

																				BgL_posz00_2784 =
																					BINT(BgL_arg1328z00_766);
																				BgL_nz00_2786 = BgL_arg1329z00_767;
																				BgL_divz00_2787 =
																					make_bllong(BgL_arg1330z00_768);
																				BgL_errorzd2multiplierzd2_2789 =
																					BgL_arg1332z00_769;
																				BgL_errorz00_2790 = BgL_arg1333z00_770;
																				BgL_mzd2zd2_2791 = BgL_arg1334z00_771;
																				BgL_mzb2zb2_2792 = BgL_arg1335z00_772;
																				BgL_mzb2zb2_34 = BgL_mzb2zb2_2792;
																				BgL_mzd2zd2_33 = BgL_mzd2zd2_2791;
																				BgL_errorz00_32 = BgL_errorz00_2790;
																				BgL_errorzd2multiplierzd2_31 =
																					BgL_errorzd2multiplierzd2_2789;
																				BgL_divz00_30 = BgL_divz00_2787;
																				BgL_nz00_29 = BgL_nz00_2786;
																				BgL_posz00_28 = BgL_posz00_2784;
																				goto
																					BGl_generatezd2digitszd2zz__r4_numbers_6_5_flonum_dtoaz00;
																			}
																		}
																	else
																		{	/* Ieee/dtoa.scm 409 */
																			BGL_LONGLONG_T BgL_arg1340z00_777;
																			BGL_LONGLONG_T BgL_arg1341z00_778;
																			BGL_LONGLONG_T BgL_arg1342z00_779;
																			BGL_LONGLONG_T BgL_arg1343z00_780;
																			BGL_LONGLONG_T BgL_arg1344z00_781;
																			BGL_LONGLONG_T BgL_arg1347z00_782;

																			BgL_arg1340z00_777 =
																				(BgL_rz00_752 >> (int) (((long) 1)));
																			{	/* Ieee/dtoa.scm 410 */
																				bool_t BgL_testz00_2795;

																				{	/* Ieee/dtoa.scm 410 */
																					bool_t BgL_res1745z00_1712;

																					{	/* Ieee/dtoa.scm 410 */
																						BGL_LONGLONG_T BgL_xz00_1702;

																						BgL_xz00_1702 =
																							BLLONG_TO_LLONG(BgL_divz00_753);
																						{	/* Ieee/dtoa.scm 410 */
																							BGL_LONGLONG_T
																								BgL_arg1401z00_1703;
																							{	/* Ieee/dtoa.scm 410 */
																								BGL_LONGLONG_T
																									BgL_res1742z00_1706;
																								BgL_res1742z00_1706 =
																									(BgL_xz00_1702 %
																									((BGL_LONGLONG_T) 2));
																								BgL_arg1401z00_1703 =
																									BgL_res1742z00_1706;
																							}
																							BgL_res1745z00_1712 =
																								(BgL_arg1401z00_1703 ==
																								((BGL_LONGLONG_T) 0));
																					}}
																					BgL_testz00_2795 =
																						BgL_res1745z00_1712;
																				}
																				if (BgL_testz00_2795)
																					{	/* Ieee/dtoa.scm 410 */
																						BgL_arg1341z00_778 =
																							(BLLONG_TO_LLONG(BgL_divz00_753)
																							>> (int) (((long) 1)));
																					}
																				else
																					{	/* Ieee/dtoa.scm 410 */
																						BgL_arg1341z00_778 =
																							(
																							(BLLONG_TO_LLONG(BgL_divz00_753)
																								>> (int) (((long) 1))) +
																							((BGL_LONGLONG_T) 1));
																			}}
																			{	/* Ieee/dtoa.scm 413 */
																				bool_t BgL_testz00_2806;

																				if (
																					(BgL_errorzd2multiplierzd2_754 ==
																						((BGL_LONGLONG_T) 0)))
																					{	/* Ieee/dtoa.scm 414 */
																						bool_t BgL_res1754z00_1737;

																						{	/* Ieee/dtoa.scm 414 */
																							BGL_LONGLONG_T BgL_xz00_1727;

																							BgL_xz00_1727 =
																								BLLONG_TO_LLONG(BgL_divz00_753);
																							{	/* Ieee/dtoa.scm 414 */
																								BGL_LONGLONG_T
																									BgL_arg1401z00_1728;
																								{	/* Ieee/dtoa.scm 414 */
																									BGL_LONGLONG_T
																										BgL_res1751z00_1731;
																									BgL_res1751z00_1731 =
																										(BgL_xz00_1727 %
																										((BGL_LONGLONG_T) 2));
																									BgL_arg1401z00_1728 =
																										BgL_res1751z00_1731;
																								}
																								BgL_res1754z00_1737 =
																									(BgL_arg1401z00_1728 ==
																									((BGL_LONGLONG_T) 0));
																							}
																						}
																						BgL_testz00_2806 =
																							BgL_res1754z00_1737;
																					}
																				else
																					{	/* Ieee/dtoa.scm 413 */
																						BgL_testz00_2806 = ((bool_t) 1);
																					}
																				if (BgL_testz00_2806)
																					{	/* Ieee/dtoa.scm 413 */
																						BgL_arg1342z00_779 =
																							BgL_errorzd2multiplierzd2_754;
																					}
																				else
																					{	/* Ieee/dtoa.scm 413 */
																						BgL_arg1342z00_779 =
																							((BGL_LONGLONG_T) 1);
																					}
																			}
																			{	/* Ieee/dtoa.scm 417 */
																				bool_t BgL_testz00_2812;

																				{	/* Ieee/dtoa.scm 417 */
																					bool_t BgL_res1758z00_1748;

																					{	/* Ieee/dtoa.scm 417 */
																						BGL_LONGLONG_T BgL_arg1401z00_1739;

																						{	/* Ieee/dtoa.scm 417 */
																							BGL_LONGLONG_T
																								BgL_res1755z00_1742;
																							BgL_res1755z00_1742 =
																								(BgL_errorz00_755 %
																								((BGL_LONGLONG_T) 2));
																							BgL_arg1401z00_1739 =
																								BgL_res1755z00_1742;
																						}
																						BgL_res1758z00_1748 =
																							(BgL_arg1401z00_1739 ==
																							((BGL_LONGLONG_T) 0));
																					}
																					BgL_testz00_2812 =
																						BgL_res1758z00_1748;
																				}
																				if (BgL_testz00_2812)
																					{	/* Ieee/dtoa.scm 417 */
																						BgL_arg1343z00_780 =
																							(BgL_errorz00_755 >>
																							(int) (((long) 1)));
																					}
																				else
																					{	/* Ieee/dtoa.scm 417 */
																						BgL_arg1343z00_780 =
																							(
																							(BgL_errorz00_755 >>
																								(int) (((long) 1))) +
																							((BGL_LONGLONG_T) 1));
																			}}
																			BgL_arg1344z00_781 =
																				(BgL_mzd2zd2_756 >> (int) (((long) 1)));
																			BgL_arg1347z00_782 =
																				(BgL_mzb2zb2_757 >> (int) (((long) 1)));
																			{
																				BGL_LONGLONG_T BgL_mzb2zb2_2830;
																				BGL_LONGLONG_T BgL_mzd2zd2_2829;
																				BGL_LONGLONG_T BgL_errorz00_2828;
																				BGL_LONGLONG_T
																					BgL_errorzd2multiplierzd2_2827;
																				obj_t BgL_divz00_2825;
																				BGL_LONGLONG_T BgL_rz00_2824;

																				BgL_rz00_2824 = BgL_arg1340z00_777;
																				BgL_divz00_2825 =
																					make_bllong(BgL_arg1341z00_778);
																				BgL_errorzd2multiplierzd2_2827 =
																					BgL_arg1342z00_779;
																				BgL_errorz00_2828 = BgL_arg1343z00_780;
																				BgL_mzd2zd2_2829 = BgL_arg1344z00_781;
																				BgL_mzb2zb2_2830 = BgL_arg1347z00_782;
																				BgL_mzb2zb2_757 = BgL_mzb2zb2_2830;
																				BgL_mzd2zd2_756 = BgL_mzd2zd2_2829;
																				BgL_errorz00_755 = BgL_errorz00_2828;
																				BgL_errorzd2multiplierzd2_754 =
																					BgL_errorzd2multiplierzd2_2827;
																				BgL_divz00_753 = BgL_divz00_2825;
																				BgL_rz00_752 = BgL_rz00_2824;
																				goto BgL_zc3anonymousza31319ze3z83_758;
																			}
																		}
																}
														}
													}
												else
													{	/* Ieee/dtoa.scm 439 */
														bool_t BgL_testz00_2831;

														if (BgL_tc1z00_728)
															{	/* Ieee/dtoa.scm 439 */
																if (BgL_tc2z00_729)
																	{	/* Ieee/dtoa.scm 439 */
																		BgL_testz00_2831 = ((bool_t) 0);
																	}
																else
																	{	/* Ieee/dtoa.scm 439 */
																		BgL_testz00_2831 = ((bool_t) 1);
																	}
															}
														else
															{	/* Ieee/dtoa.scm 439 */
																BgL_testz00_2831 = ((bool_t) 0);
															}
														if (BgL_testz00_2831)
															{	/* Ieee/dtoa.scm 439 */
																{	/* Ieee/dtoa.scm 373 */
																	unsigned char BgL_arg1363z00_1845;

																	{	/* Ieee/dtoa.scm 373 */
																		long BgL_arg1364z00_1846;

																		{	/* Ieee/dtoa.scm 373 */
																			long BgL_arg1365z00_1847;

																			{	/* Ieee/dtoa.scm 373 */
																				long BgL_res1790z00_1849;

																				BgL_res1790z00_1849 =
																					LLONG_TO_LONG(BgL_qz00_723);
																				BgL_arg1365z00_1847 =
																					BgL_res1790z00_1849;
																			}
																			BgL_arg1364z00_1846 =
																				(((long) 48) + BgL_arg1365z00_1847);
																		}
																		BgL_arg1363z00_1845 = (BgL_arg1364z00_1846);
																	}
																	{	/* Ieee/dtoa.scm 372 */
																		long BgL_auxz00_2837;

																		BgL_auxz00_2837 =
																			(long) CINT(BgL_posz00_28);
																		STRING_SET(BgL_bufferz00_27,
																			BgL_auxz00_2837, BgL_arg1363z00_1845);
																}}
																return
																	((long) CINT(BgL_posz00_28) + ((long) 1));
															}
														else
															{	/* Ieee/dtoa.scm 441 */
																bool_t BgL_testz00_2842;

																if (BgL_tc1z00_728)
																	{	/* Ieee/dtoa.scm 441 */
																		BgL_testz00_2842 = ((bool_t) 0);
																	}
																else
																	{	/* Ieee/dtoa.scm 441 */
																		BgL_testz00_2842 = BgL_tc2z00_729;
																	}
																if (BgL_testz00_2842)
																	{	/* Ieee/dtoa.scm 442 */
																		BGL_LONGLONG_T BgL_arg1306z00_733;

																		BgL_arg1306z00_733 =
																			(BgL_qz00_723 + ((BGL_LONGLONG_T) 1));
																		{	/* Ieee/dtoa.scm 373 */
																			unsigned char BgL_arg1363z00_1865;

																			{	/* Ieee/dtoa.scm 373 */
																				long BgL_arg1364z00_1866;

																				{	/* Ieee/dtoa.scm 373 */
																					long BgL_arg1365z00_1867;

																					{	/* Ieee/dtoa.scm 373 */
																						long BgL_res1795z00_1869;

																						BgL_res1795z00_1869 =
																							LLONG_TO_LONG(BgL_arg1306z00_733);
																						BgL_arg1365z00_1867 =
																							BgL_res1795z00_1869;
																					}
																					BgL_arg1364z00_1866 =
																						(((long) 48) + BgL_arg1365z00_1867);
																				}
																				BgL_arg1363z00_1865 =
																					(BgL_arg1364z00_1866);
																			}
																			{	/* Ieee/dtoa.scm 372 */
																				long BgL_auxz00_2848;

																				BgL_auxz00_2848 =
																					(long) CINT(BgL_posz00_28);
																				STRING_SET(BgL_bufferz00_27,
																					BgL_auxz00_2848, BgL_arg1363z00_1865);
																		}}
																		return
																			((long) CINT(BgL_posz00_28) + ((long) 1));
																	}
																else
																	{	/* Ieee/dtoa.scm 441 */
																		if (
																			(((BgL_rz00_724 +
																						BgL_newzd2errorzd2_727) *
																					((BGL_LONGLONG_T) 2)) <=
																				BLLONG_TO_LLONG(BgL_divz00_30)))
																			{	/* Ieee/dtoa.scm 445 */
																				{	/* Ieee/dtoa.scm 373 */
																					unsigned char BgL_arg1363z00_1891;

																					{	/* Ieee/dtoa.scm 373 */
																						long BgL_arg1364z00_1892;

																						{	/* Ieee/dtoa.scm 373 */
																							long BgL_arg1365z00_1893;

																							{	/* Ieee/dtoa.scm 373 */
																								long BgL_res1802z00_1895;

																								BgL_res1802z00_1895 =
																									LLONG_TO_LONG(BgL_qz00_723);
																								BgL_arg1365z00_1893 =
																									BgL_res1802z00_1895;
																							}
																							BgL_arg1364z00_1892 =
																								(((long) 48) +
																								BgL_arg1365z00_1893);
																						}
																						BgL_arg1363z00_1891 =
																							(BgL_arg1364z00_1892);
																					}
																					{	/* Ieee/dtoa.scm 372 */
																						long BgL_auxz00_2861;

																						BgL_auxz00_2861 =
																							(long) CINT(BgL_posz00_28);
																						STRING_SET(BgL_bufferz00_27,
																							BgL_auxz00_2861,
																							BgL_arg1363z00_1891);
																				}}
																				return
																					(
																					(long) CINT(BgL_posz00_28) +
																					((long) 1));
																			}
																		else
																			{	/* Ieee/dtoa.scm 445 */
																				if (
																					(BgL_qz00_723 ==
																						((BGL_LONGLONG_T) 9)))
																					{	/* Ieee/dtoa.scm 447 */
																						{	/* Ieee/dtoa.scm 373 */
																							unsigned char BgL_arg1363z00_1911;

																							{	/* Ieee/dtoa.scm 373 */
																								long BgL_arg1364z00_1912;

																								{	/* Ieee/dtoa.scm 373 */
																									long BgL_arg1365z00_1913;

																									{	/* Ieee/dtoa.scm 373 */
																										long BgL_res1807z00_1915;

																										BgL_res1807z00_1915 =
																											LLONG_TO_LONG
																											(BgL_qz00_723);
																										BgL_arg1365z00_1913 =
																											BgL_res1807z00_1915;
																									}
																									BgL_arg1364z00_1912 =
																										(((long) 48) +
																										BgL_arg1365z00_1913);
																								}
																								BgL_arg1363z00_1911 =
																									(BgL_arg1364z00_1912);
																							}
																							{	/* Ieee/dtoa.scm 372 */
																								long BgL_auxz00_2871;

																								BgL_auxz00_2871 =
																									(long) CINT(BgL_posz00_28);
																								STRING_SET(BgL_bufferz00_27,
																									BgL_auxz00_2871,
																									BgL_arg1363z00_1911);
																						}}
																						return
																							(
																							(long) CINT(BgL_posz00_28) +
																							((long) 1));
																					}
																				else
																					{	/* Ieee/dtoa.scm 450 */
																						BGL_LONGLONG_T BgL_arg1309z00_736;

																						BgL_arg1309z00_736 =
																							(BgL_qz00_723 +
																							((BGL_LONGLONG_T) 1));
																						{	/* Ieee/dtoa.scm 373 */
																							unsigned char BgL_arg1363z00_1931;

																							{	/* Ieee/dtoa.scm 373 */
																								long BgL_arg1364z00_1932;

																								{	/* Ieee/dtoa.scm 373 */
																									long BgL_arg1365z00_1933;

																									{	/* Ieee/dtoa.scm 373 */
																										long BgL_res1812z00_1935;

																										BgL_res1812z00_1935 =
																											LLONG_TO_LONG
																											(BgL_arg1309z00_736);
																										BgL_arg1365z00_1933 =
																											BgL_res1812z00_1935;
																									}
																									BgL_arg1364z00_1932 =
																										(((long) 48) +
																										BgL_arg1365z00_1933);
																								}
																								BgL_arg1363z00_1931 =
																									(BgL_arg1364z00_1932);
																							}
																							{	/* Ieee/dtoa.scm 372 */
																								long BgL_auxz00_2880;

																								BgL_auxz00_2880 =
																									(long) CINT(BgL_posz00_28);
																								STRING_SET(BgL_bufferz00_27,
																									BgL_auxz00_2880,
																									BgL_arg1363z00_1931);
																						}}
																						return
																							(
																							(long) CINT(BgL_posz00_28) +
																							((long) 1));
		}}}}}}}}}}}}}}}
	}



/* difficult-fill-double! */
	long
		BGl_difficultzd2fillzd2doublez12z12zz__r4_numbers_6_5_flonum_dtoaz00(obj_t
		BgL_bufferz00_36, obj_t BgL_posz00_37, double BgL_dz00_38)
	{
		AN_OBJECT;
		{	/* Ieee/dtoa.scm 455 */
			{	/* Ieee/dtoa.scm 457 */
				BGL_LONGLONG_T BgL_fz00_800;

				BgL_fz00_800 =
					BGl_decomposezd2doublezd2zz__r4_numbers_6_5_flonum_dtoaz00
					(BgL_dz00_38);
				{	/* Ieee/dtoa.scm 459 */
					obj_t BgL_ez00_801;

					{	/* Ieee/dtoa.scm 459 */
						int BgL_auxz00_2886;

						BgL_auxz00_2886 = (int) (((long) 1));
						BgL_ez00_801 = BGL_MVALUES_VAL(BgL_auxz00_2886);
					}
					{	/* Ieee/dtoa.scm 459 */
						long BgL_kzd2estzd2_802;

						{	/* Ieee/dtoa.scm 225 */
							double BgL_ezb2len_fzd21z60_1949;

							BgL_ezb2len_fzd21z60_1949 =
								(double) (((long) CINT(BgL_ez00_801) + ((long) 51)));
							{	/* Ieee/dtoa.scm 225 */

								{	/* Ieee/dtoa.scm 226 */
									double BgL_arg1133z00_1951;

									{	/* Ieee/dtoa.scm 226 */
										double BgL_arg1134z00_1952;

										BgL_arg1134z00_1952 =
											(
											(BgL_ezb2len_fzd21z60_1949 *
												BGl_za21zf2log2_10za2zf2zz__r4_numbers_6_5_flonum_dtoaz00)
											- ((double) 1e-10));
										{	/* Ieee/dtoa.scm 226 */
											double BgL_res1820z00_1966;

											BgL_res1820z00_1966 = ceil(BgL_arg1134z00_1952);
											BgL_arg1133z00_1951 = BgL_res1820z00_1966;
									}}
									BgL_kzd2estzd2_802 = (long) (BgL_arg1133z00_1951);
						}}}
						{	/* Ieee/dtoa.scm 460 */
							bool_t BgL_evenzf3zf3_803;

							BgL_evenzf3zf3_803 =
								((BgL_fz00_800 & ((BGL_LONGLONG_T) 1)) == ((BGL_LONGLONG_T) 0));
							{	/* Ieee/dtoa.scm 461 */
								BGL_LONGLONG_T BgL_shiftedz00_804;

								BgL_shiftedz00_804 = (BgL_fz00_800 << (int) (((long) 10)));
								{	/* Ieee/dtoa.scm 464 */
									bool_t BgL_ze5pzd21zf3zc4_805;

									BgL_ze5pzd21zf3zc4_805 =
										(
										(BgL_fz00_800 & (65535 + ((BGL_LONGLONG_T) 65536 * ((65535 +
															((BGL_LONGLONG_T) 65536 * ((65535 +
																		((BGL_LONGLONG_T) 65536 *
																			(((BGL_LONGLONG_T) 15))))))))))) ==
										((BGL_LONGLONG_T) 0));
									{	/* Ieee/dtoa.scm 469 */
										BGL_LONGLONG_T BgL_mzd2zd2_806;

										{	/* Ieee/dtoa.scm 472 */
											int BgL_auxz00_2902;

											if (BgL_ze5pzd21zf3zc4_805)
												{	/* Ieee/dtoa.scm 472 */
													BgL_auxz00_2902 = (int) (((long) 8));
												}
											else
												{	/* Ieee/dtoa.scm 472 */
													BgL_auxz00_2902 = (int) (((long) 9));
												}
											BgL_mzd2zd2_806 =
												(((BGL_LONGLONG_T) 1) << BgL_auxz00_2902);
										}
										{	/* Ieee/dtoa.scm 472 */
											BGL_LONGLONG_T BgL_mzb2zb2_807;

											BgL_mzb2zb2_807 =
												(((BGL_LONGLONG_T) 1) << (int) (((long) 9)));
											{	/* Ieee/dtoa.scm 473 */

												{	/* Ieee/dtoa.scm 474 */
													long BgL_kz00_808;

													BgL_kz00_808 =
														BGl_fastzd2dividerzd2zz__r4_numbers_6_5_flonum_dtoaz00
														(BgL_kzd2estzd2_802, BgL_shiftedz00_804,
														BgL_ez00_801, BgL_mzb2zb2_807, BgL_evenzf3zf3_803);
													{	/* Ieee/dtoa.scm 476 */
														obj_t BgL_dividerz00_809;
														obj_t BgL_exactzf3zf3_810;

														{	/* Ieee/dtoa.scm 476 */
															int BgL_auxz00_2910;

															BgL_auxz00_2910 = (int) (((long) 1));
															BgL_dividerz00_809 =
																BGL_MVALUES_VAL(BgL_auxz00_2910);
														}
														{	/* Ieee/dtoa.scm 476 */
															int BgL_auxz00_2913;

															BgL_auxz00_2913 = (int) (((long) 2));
															BgL_exactzf3zf3_810 =
																BGL_MVALUES_VAL(BgL_auxz00_2913);
														}
														{	/* Ieee/dtoa.scm 476 */
															long BgL_endzd2poszd2_811;

															{	/* Ieee/dtoa.scm 479 */
																obj_t BgL_arg1368z00_812;
																BGL_LONGLONG_T BgL_arg1369z00_813;

																if (CBOOL(BgL_exactzf3zf3_810))
																	{	/* Ieee/dtoa.scm 479 */
																		BgL_arg1368z00_812 = BgL_dividerz00_809;
																	}
																else
																	{	/* Ieee/dtoa.scm 479 */
																		BgL_arg1368z00_812 =
																			make_bllong(
																			(BLLONG_TO_LLONG(BgL_dividerz00_809) +
																				((BGL_LONGLONG_T) 1)));
																	}
																if (CBOOL(BgL_exactzf3zf3_810))
																	{	/* Ieee/dtoa.scm 480 */
																		BgL_arg1369z00_813 = ((BGL_LONGLONG_T) 0);
																	}
																else
																	{	/* Ieee/dtoa.scm 480 */
																		BgL_arg1369z00_813 = ((BGL_LONGLONG_T) 1);
																	}
																BgL_endzd2poszd2_811 =
																	BGl_generatezd2digitszd2zz__r4_numbers_6_5_flonum_dtoaz00
																	(BgL_bufferz00_36, BgL_posz00_37,
																	BgL_shiftedz00_804, BgL_arg1368z00_812,
																	BgL_arg1369z00_813, ((BGL_LONGLONG_T) 0),
																	BgL_mzd2zd2_806, BgL_mzb2zb2_807,
																	BgL_evenzf3zf3_803);
															}
															return
																BGl_prettifyzd2stringz12zc0zz__r4_numbers_6_5_flonum_dtoaz00
																(BgL_bufferz00_36, BgL_posz00_37,
																BINT(BgL_endzd2poszd2_811), BINT(BgL_kz00_808));
														}
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* fill-double! */
	long BGl_fillzd2doublez12zc0zz__r4_numbers_6_5_flonum_dtoaz00(obj_t
		BgL_bufferz00_42, obj_t BgL_posz00_43, double BgL_dz00_44)
	{
		AN_OBJECT;
		{	/* Ieee/dtoa.scm 496 */
			{	/* Ieee/dtoa.scm 497 */
				bool_t BgL_signzd2bzf3z21_818;

				if ((BGL_SIGNBIT(BgL_dz00_44) == ((long) 0)))
					{	/* Ieee/dtoa.scm 497 */
						BgL_signzd2bzf3z21_818 = ((bool_t) 0);
					}
				else
					{	/* Ieee/dtoa.scm 497 */
						BgL_signzd2bzf3z21_818 = ((bool_t) 1);
					}
				{	/* Ieee/dtoa.scm 497 */
					double BgL_abszd2dzd2_819;

					if (BgL_signzd2bzf3z21_818)
						{	/* Ieee/dtoa.scm 498 */
							BgL_abszd2dzd2_819 = NEG(BgL_dz00_44);
						}
					else
						{	/* Ieee/dtoa.scm 498 */
							BgL_abszd2dzd2_819 = BgL_dz00_44;
						}
					{	/* Ieee/dtoa.scm 498 */

						if ((((double) 0.0) == BgL_dz00_44))
							{	/* Ieee/dtoa.scm 501 */
								if (BgL_signzd2bzf3z21_818)
									{	/* Ieee/dtoa.scm 502 */
										blit_string
											(BGl_string1890z00zz__r4_numbers_6_5_flonum_dtoaz00,
											((long) 0), BgL_bufferz00_42, (long) CINT(BgL_posz00_43),
											((long) 4));
										return ((long) CINT(BgL_posz00_43) + ((long) 4));
									}
								else
									{	/* Ieee/dtoa.scm 502 */
										blit_string
											(BGl_string1891z00zz__r4_numbers_6_5_flonum_dtoaz00,
											((long) 0), BgL_bufferz00_42, (long) CINT(BgL_posz00_43),
											((long) 3));
										return ((long) CINT(BgL_posz00_43) + ((long) 3));
							}}
						else
							{	/* Ieee/dtoa.scm 501 */
								if (BGL_IS_INF(BgL_dz00_44))
									{	/* Ieee/dtoa.scm 505 */
										if (BgL_signzd2bzf3z21_818)
											{	/* Ieee/dtoa.scm 506 */
												blit_string
													(BGl_string1892z00zz__r4_numbers_6_5_flonum_dtoaz00,
													((long) 0), BgL_bufferz00_42,
													(long) CINT(BgL_posz00_43), ((long) 6));
												return ((long) CINT(BgL_posz00_43) + ((long) 6));
											}
										else
											{	/* Ieee/dtoa.scm 506 */
												blit_string
													(BGl_string1893z00zz__r4_numbers_6_5_flonum_dtoaz00,
													((long) 0), BgL_bufferz00_42,
													(long) CINT(BgL_posz00_43), ((long) 6));
												return ((long) CINT(BgL_posz00_43) + ((long) 6));
									}}
								else
									{	/* Ieee/dtoa.scm 505 */
										if (BGL_IS_NAN(BgL_dz00_44))
											{	/* Ieee/dtoa.scm 509 */
												blit_string
													(BGl_string1894z00zz__r4_numbers_6_5_flonum_dtoaz00,
													((long) 0), BgL_bufferz00_42,
													(long) CINT(BgL_posz00_43), ((long) 6));
												return ((long) CINT(BgL_posz00_43) + ((long) 6));
											}
										else
											{	/* Ieee/dtoa.scm 513 */
												bool_t BgL_testz00_2960;

												if (
													(BgL_abszd2dzd2_819 <
														BGl_za2maxvalfxzf2mantissaza2zf2zz__r4_numbers_6_5_flonum_dtoaz00))
													{	/* Ieee/dtoa.scm 513 */
														BgL_testz00_2960 =
															(BgL_abszd2dzd2_819 ==
															(double) ((long) (BgL_abszd2dzd2_819)));
													}
												else
													{	/* Ieee/dtoa.scm 513 */
														BgL_testz00_2960 = ((bool_t) 0);
													}
												if (BgL_testz00_2960)
													{	/* Ieee/dtoa.scm 515 */
														long BgL_arg1377z00_824;

														BgL_arg1377z00_824 = (long) (BgL_abszd2dzd2_819);
														{	/* Ieee/dtoa.scm 515 */
															obj_t BgL_nz00_2110;

															BgL_nz00_2110 = BINT(BgL_arg1377z00_824);
															if (BgL_signzd2bzf3z21_818)
																{	/* Ieee/dtoa.scm 188 */
																	long BgL_auxz00_2969;

																	BgL_auxz00_2969 = (long) CINT(BgL_posz00_43);
																	STRING_SET(BgL_bufferz00_42, BgL_auxz00_2969,
																		((unsigned char) '-'));
																}
															else
																{	/* Ieee/dtoa.scm 187 */
																	BFALSE;
																}
															{	/* Ieee/dtoa.scm 189 */
																obj_t BgL_newzd2poszd2_2112;

																if (BgL_signzd2bzf3z21_818)
																	{	/* Ieee/dtoa.scm 189 */
																		BgL_newzd2poszd2_2112 =
																			BINT(
																			((long) CINT(BgL_posz00_43) +
																				((long) 1)));
																	}
																else
																	{	/* Ieee/dtoa.scm 189 */
																		BgL_newzd2poszd2_2112 = BgL_posz00_43;
																	}
																{	/* Ieee/dtoa.scm 189 */
																	long BgL_afterzd2nzd2posz00_2113;

																	BgL_afterzd2nzd2posz00_2113 =
																		BGl_fillzd2fixnumz12zc0zz__r4_numbers_6_5_flonum_dtoaz00
																		(BgL_bufferz00_42, BgL_newzd2poszd2_2112,
																		BgL_nz00_2110);
																	{	/* Ieee/dtoa.scm 190 */

																		STRING_SET(BgL_bufferz00_42,
																			BgL_afterzd2nzd2posz00_2113,
																			((unsigned char) '.'));
																		{	/* Ieee/dtoa.scm 192 */
																			long BgL_auxz00_2978;

																			BgL_auxz00_2978 =
																				(BgL_afterzd2nzd2posz00_2113 +
																				((long) 1));
																			STRING_SET(BgL_bufferz00_42,
																				BgL_auxz00_2978, ((unsigned char) '0'));
																		}
																		return
																			(BgL_afterzd2nzd2posz00_2113 +
																			((long) 2));
													}}}}}
												else
													{	/* Ieee/dtoa.scm 513 */
														if (BgL_signzd2bzf3z21_818)
															{	/* Ieee/dtoa.scm 517 */
																{	/* Ieee/dtoa.scm 519 */
																	long BgL_auxz00_2983;

																	BgL_auxz00_2983 = (long) CINT(BgL_posz00_43);
																	STRING_SET(BgL_bufferz00_42, BgL_auxz00_2983,
																		((unsigned char) '-'));
																}
																{	/* Ieee/dtoa.scm 520 */
																	long BgL_arg1378z00_825;
																	double BgL_arg1379z00_826;

																	BgL_arg1378z00_825 =
																		((long) CINT(BgL_posz00_43) + ((long) 1));
																	BgL_arg1379z00_826 = NEG(BgL_dz00_44);
																	return
																		BGl_difficultzd2fillzd2doublez12z12zz__r4_numbers_6_5_flonum_dtoaz00
																		(BgL_bufferz00_42, BINT(BgL_arg1378z00_825),
																		BgL_arg1379z00_826);
																}
															}
														else
															{	/* Ieee/dtoa.scm 517 */
																return
																	BGl_difficultzd2fillzd2doublez12z12zz__r4_numbers_6_5_flonum_dtoaz00
																	(BgL_bufferz00_42, BgL_posz00_43,
																	BgL_dz00_44);
															}
													}
											}
									}
							}
					}
				}
			}
		}
	}



/* real->string */
	BGL_EXPORTED_DEF obj_t bgl_real_to_string(double BgL_dz00_45)
	{
		AN_OBJECT;
		{	/* Ieee/dtoa.scm 526 */
			{	/* Ieee/dtoa.scm 527 */
				obj_t BgL_strz00_2141;

				{	/* Ieee/dtoa.scm 527 */

					{	/* Ieee/dtoa.scm 527 */
						obj_t BgL_res1861z00_2147;

						{	/* Ieee/dtoa.scm 527 */
							obj_t BgL_charz00_2146;

							BgL_charz00_2146 = BCHAR(((unsigned char) ' '));
							BgL_res1861z00_2147 =
								make_string(((long) 50), CCHAR(BgL_charz00_2146));
						}
						BgL_strz00_2141 = BgL_res1861z00_2147;
				}}
				{	/* Ieee/dtoa.scm 527 */
					long BgL_lenz00_2144;

					BgL_lenz00_2144 =
						BGl_fillzd2doublez12zc0zz__r4_numbers_6_5_flonum_dtoaz00
						(BgL_strz00_2141, BINT(((long) 0)), BgL_dz00_45);
					{	/* Ieee/dtoa.scm 528 */

						return bgl_string_shrink(BgL_strz00_2141, BgL_lenz00_2144);
					}
				}
			}
		}
	}



/* &real->string */
	obj_t BGl_z62realzd2ze3stringz53zz__r4_numbers_6_5_flonum_dtoaz00(obj_t
		BgL_envz00_2274, obj_t BgL_dz00_2275)
	{
		AN_OBJECT;
		{	/* Ieee/dtoa.scm 526 */
			{	/* Ieee/dtoa.scm 527 */
				double BgL_auxz00_2998;

				{	/* Ieee/dtoa.scm 527 */
					obj_t BgL_auxz00_2999;

					if (REALP(BgL_dz00_2275))
						{	/* Ieee/dtoa.scm 527 */
							BgL_auxz00_2999 = BgL_dz00_2275;
						}
					else
						{
							obj_t BgL_auxz00_3002;

							BgL_auxz00_3002 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string1895z00zz__r4_numbers_6_5_flonum_dtoaz00,
								BINT(((long) 38003)),
								BGl_string1896z00zz__r4_numbers_6_5_flonum_dtoaz00,
								BGl_string1897z00zz__r4_numbers_6_5_flonum_dtoaz00,
								BgL_dz00_2275);
							FAILURE(BgL_auxz00_3002, BFALSE, BFALSE);
						}
					BgL_auxz00_2998 = REAL_TO_DOUBLE(BgL_auxz00_2999);
				}
				return bgl_real_to_string(BgL_auxz00_2998);
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__r4_numbers_6_5_flonum_dtoaz00()
	{
		AN_OBJECT;
		{	/* Ieee/dtoa.scm 15 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 430898742),
				BSTRING_TO_STRING(BGl_string1898z00zz__r4_numbers_6_5_flonum_dtoaz00));
			return
				BGl_modulezd2initializa7ationz75zz__paramz00(((long) 441709255),
				BSTRING_TO_STRING(BGl_string1898z00zz__r4_numbers_6_5_flonum_dtoaz00));
		}
	}

#ifdef __cplusplus
}
#endif
