/*===========================================================================*/
/*   (Unsafe/rsa.scm)                                                        */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Unsafe/rsa.scm -indent -o objs/obj_u/Unsafe/rsa.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	extern obj_t BGl_u8vectorzd2ze3listz31zz__srfi4z00(obj_t);
	extern obj_t BGl_gcdbxz00zz__r4_numbers_6_5_fixnumz00(obj_t);
	static obj_t BGl_modzd2inversezd2zz__rsaz00(obj_t, obj_t);
	extern obj_t BGl_makezd2u8vectorzd2zz__srfi4z00(long, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_rsazd2encryptzd2stringz00zz__rsaz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__rsaz00 = BUNSPEC;
	extern obj_t bgl_bignum_quotient(obj_t, obj_t);
	static obj_t BGl_u8vectorzd2appendzd2zz__rsaz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_PKCS1zd2unpadzd2zz__rsaz00(obj_t);
	static obj_t BGl_z62publiczd2rsazd2keyz62zz__rsaz00(obj_t, obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_listzd2ze3u8vectorz31zz__srfi4z00(obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__rsaz00();
	static obj_t BGl_list2101z00zz__rsaz00 = BUNSPEC;
	static obj_t BGl_randomzd2primezd2zz__rsaz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zz__rsaz00();
	extern long bgl_bignum_to_long(obj_t);
	extern obj_t bgl_bignum_remainder(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zz__rsaz00();
	extern obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_2zd2zd2zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t bgl_bignum_mul(obj_t, obj_t);
	extern bool_t BGl_2zc3zc3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_rsazd2decryptzd2stringz00zz__rsaz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_publiczd2rsazd2keyz00zz__rsaz00(obj_t);
	static obj_t BGl__makezd2rsazd2keyzd2pairzd2zz__rsaz00(obj_t, obj_t);
	extern obj_t bgl_bignum_add(obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	extern bool_t bgl_bignum_even(obj_t);
	extern obj_t bgl_rand_bignum(obj_t);
	static obj_t BGl_z62PKCS1zd2unpadzb0zz__rsaz00(obj_t, obj_t);
	static obj_t BGl_z62rsazd2keyzd3z63zz__rsaz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62rsazd2decryptzd2u8vectorz62zz__rsaz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zz__rsaz00();
	static obj_t BGl_list2084z00zz__rsaz00 = BUNSPEC;
	extern obj_t BGl_modulobxz00zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t);
	static obj_t BGl_exptzd2modzd2zz__rsaz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_rsazd2decryptzd2u8vectorz00zz__rsaz00(obj_t,
		obj_t);
	extern obj_t bgl_bignum_sub(obj_t, obj_t);
	extern obj_t BGl_exptbxz00zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t);
	extern obj_t bgl_long_to_bignum(long);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern long BGl_modulofxz00zz__r4_numbers_6_5_fixnumz00(long, long);
	static obj_t BGl_z62PKCS1zd2padzb0zz__rsaz00(obj_t, obj_t, obj_t);
	static obj_t BGl_u8vectorzd2ze3bignumz31zz__rsaz00(obj_t);
	static obj_t BGl_symbol2102z00zz__rsaz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_makezd2rsazd2keyzd2pairzd2zz__rsaz00(obj_t,
		obj_t);
	static obj_t BGl_gcdzd2extzd2zz__rsaz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__rsaz00(long,
		char *);
	static obj_t BGl_z62rsazd2encryptzd2stringz62zz__rsaz00(obj_t, obj_t, obj_t);
	static obj_t BGl_subu8vectorz00zz__rsaz00(obj_t, long, long);
	static obj_t BGl_keyword2085z00zz__rsaz00 = BUNSPEC;
	static obj_t BGl_keyword2087z00zz__rsaz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_rsazd2keyzd3z01zz__rsaz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_PKCS1zd2padzd2zz__rsaz00(obj_t, obj_t);
	extern obj_t create_struct(obj_t, int);
	static obj_t BGl_cnstzd2initzd2zz__rsaz00();
	static obj_t BGl_symbol2081z00zz__rsaz00 = BUNSPEC;
	static obj_t BGl_symbol2089z00zz__rsaz00 = BUNSPEC;
	static obj_t BGl_z62rsazd2encryptzd2u8vectorz62zz__rsaz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol2096z00zz__rsaz00 = BUNSPEC;
	static obj_t BGl_symbol2098z00zz__rsaz00 = BUNSPEC;
	extern bool_t bgl_bignum_odd(obj_t);
	static obj_t BGl_z62rsazd2decryptzd2stringz62zz__rsaz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_rsazd2encryptzd2u8vectorz00zz__rsaz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_stringzd2ze3listz31zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_bignumzd2ze3u8vectorz31zz__rsaz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_privatezd2rsazd2keyz00zz__rsaz00(obj_t);
	static obj_t BGl_z62privatezd2rsazd2keyz62zz__rsaz00(obj_t, obj_t);
	extern obj_t bstring_to_keyword(obj_t);
	extern int bgl_bignum_cmp(obj_t, obj_t);
	extern bool_t BGl_2ze3zd3z30zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string2079z00zz__rsaz00,
		BgL_bgl_string2079za700za7za7_2108za7, ".", 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_PKCS1zd2padzd2envz00zz__rsaz00,
		BgL_bgl_za762pkcs1za7d2padza7b2109za7, BGl_z62PKCS1zd2padzb0zz__rsaz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2080z00zz__rsaz00,
		BgL_bgl_string2080za700za7za7_2110za7, "+", 1);
	      DEFINE_STRING(BGl_string2082z00zz__rsaz00,
		BgL_bgl_string2082za700za7za7_2111za7, "mod-inverse", 11);
	      DEFINE_STRING(BGl_string2083z00zz__rsaz00,
		BgL_bgl_string2083za700za7za7_2112za7,
		"internal error, numbers are not relatively prime", 48);
	      DEFINE_STRING(BGl_string2086z00zz__rsaz00,
		BgL_bgl_string2086za700za7za7_2113za7, "show-trace", 10);
	      DEFINE_STRING(BGl_string2088z00zz__rsaz00,
		BgL_bgl_string2088za700za7za7_2114za7, "size", 4);
	      DEFINE_STRING(BGl_string2090z00zz__rsaz00,
		BgL_bgl_string2090za700za7za7_2115za7, "make-rsa-key-pair", 17);
	      DEFINE_STRING(BGl_string2091z00zz__rsaz00,
		BgL_bgl_string2091za700za7za7_2116za7, "Illegal keyword argument", 24);
	      DEFINE_STRING(BGl_string2092z00zz__rsaz00,
		BgL_bgl_string2092za700za7za7_2117za7,
		"wrong number of arguments: [0..2] expected, provided", 52);
	      DEFINE_STRING(BGl_string2093z00zz__rsaz00,
		BgL_bgl_string2093za700za7za7_2118za7, "/tmp/bigloo/runtime/Unsafe/rsa.scm",
		34);
	      DEFINE_STRING(BGl_string2094z00zz__rsaz00,
		BgL_bgl_string2094za700za7za7_2119za7, "_make-rsa-key-pair", 18);
	      DEFINE_STRING(BGl_string2095z00zz__rsaz00,
		BgL_bgl_string2095za700za7za7_2120za7, "bint", 4);
	      DEFINE_STRING(BGl_string2097z00zz__rsaz00,
		BgL_bgl_string2097za700za7za7_2121za7, "rsa-key", 7);
	      DEFINE_STRING(BGl_string2099z00zz__rsaz00,
		BgL_bgl_string2099za700za7za7_2122za7, "PKCS1-pad", 9);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_publiczd2rsazd2keyzd2envzd2zz__rsaz00,
		BgL_bgl_za762publicza7d2rsaza72123za7,
		BGl_z62publiczd2rsazd2keyz62zz__rsaz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_privatezd2rsazd2keyzd2envzd2zz__rsaz00,
		BgL_bgl_za762privateza7d2rsa2124z00,
		BGl_z62privatezd2rsazd2keyz62zz__rsaz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rsazd2encryptzd2u8vectorzd2envzd2zz__rsaz00,
		BgL_bgl_za762rsaza7d2encrypt2125z00,
		BGl_z62rsazd2encryptzd2u8vectorz62zz__rsaz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rsazd2decryptzd2stringzd2envzd2zz__rsaz00,
		BgL_bgl_za762rsaza7d2decrypt2126z00,
		BGl_z62rsazd2decryptzd2stringz62zz__rsaz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rsazd2encryptzd2stringzd2envzd2zz__rsaz00,
		BgL_bgl_za762rsaza7d2encrypt2127z00,
		BGl_z62rsazd2encryptzd2stringz62zz__rsaz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rsazd2keyzd2pairzd2envz00zz__rsaz00,
		BgL_bgl__makeza7d2rsaza7d2ke2128z00, opt_generic_entry,
		BGl__makezd2rsazd2keyzd2pairzd2zz__rsaz00, BFALSE, -1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rsazd2keyzd3zd2envzd3zz__rsaz00,
		BgL_bgl_za762rsaza7d2keyza7d3za72129z00, BGl_z62rsazd2keyzd3z63zz__rsaz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rsazd2decryptzd2u8vectorzd2envzd2zz__rsaz00,
		BgL_bgl_za762rsaza7d2decrypt2130z00,
		BGl_z62rsazd2decryptzd2u8vectorz62zz__rsaz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_PKCS1zd2unpadzd2envz00zz__rsaz00,
		BgL_bgl_za762pkcs1za7d2unpad2131z00, BGl_z62PKCS1zd2unpadzb0zz__rsaz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2100z00zz__rsaz00,
		BgL_bgl_string2100za700za7za7_2132za7,
		"not enough space is available for proper padding", 48);
	      DEFINE_STRING(BGl_string2103z00zz__rsaz00,
		BgL_bgl_string2103za700za7za7_2133za7, "PKCS1-unpad", 11);
	      DEFINE_STRING(BGl_string2104z00zz__rsaz00,
		BgL_bgl_string2104za700za7za7_2134za7, "improperly padded message", 25);
	      DEFINE_STRING(BGl_string2105z00zz__rsaz00,
		BgL_bgl_string2105za700za7za7_2135za7, "&rsa-encrypt-string", 19);
	      DEFINE_STRING(BGl_string2106z00zz__rsaz00,
		BgL_bgl_string2106za700za7za7_2136za7, "bstring", 7);
	      DEFINE_STRING(BGl_string2107z00zz__rsaz00,
		BgL_bgl_string2107za700za7za7_2137za7, "&rsa-decrypt-string", 19);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__rsaz00(long
		BgL_checksumz00_2989, char *BgL_fromz00_2990)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__rsaz00))
				{
					BGl_requirezd2initializa7ationz75zz__rsaz00 = BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__rsaz00();
					BGl_toplevelzd2initzd2zz__rsaz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__rsaz00()
	{
		AN_OBJECT;
		{	/* Unsafe/rsa.scm 16 */
			BGl_symbol2081z00zz__rsaz00 =
				bstring_to_symbol(BGl_string2082z00zz__rsaz00);
			BGl_keyword2085z00zz__rsaz00 =
				bstring_to_keyword(BGl_string2086z00zz__rsaz00);
			BGl_keyword2087z00zz__rsaz00 =
				bstring_to_keyword(BGl_string2088z00zz__rsaz00);
			BGl_list2084z00zz__rsaz00 =
				MAKE_PAIR(BGl_keyword2085z00zz__rsaz00,
				MAKE_PAIR(BGl_keyword2087z00zz__rsaz00, BNIL));
			BGl_symbol2089z00zz__rsaz00 =
				bstring_to_symbol(BGl_string2090z00zz__rsaz00);
			BGl_symbol2096z00zz__rsaz00 =
				bstring_to_symbol(BGl_string2097z00zz__rsaz00);
			BGl_symbol2098z00zz__rsaz00 =
				bstring_to_symbol(BGl_string2099z00zz__rsaz00);
			BGl_list2101z00zz__rsaz00 = MAKE_PAIR(BINT(((long) 0)), BNIL);
			return (BGl_symbol2102z00zz__rsaz00 =
				bstring_to_symbol(BGl_string2103z00zz__rsaz00), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__rsaz00()
	{
		AN_OBJECT;
		{	/* Unsafe/rsa.scm 16 */
			return BUNSPEC;
		}
	}



/* random-prime */
	obj_t BGl_randomzd2primezd2zz__rsaz00(obj_t BgL_startz00_17,
		obj_t BgL_endz00_18, obj_t BgL_showzd2tracezd2_19)
	{
		AN_OBJECT;
		{	/* Unsafe/rsa.scm 78 */
			{
				long BgL_nz00_888;

				if (CBOOL(BgL_showzd2tracezd2_19))
					{	/* Unsafe/rsa.scm 90 */
						{	/* Unsafe/rsa.scm 91 */
							obj_t BgL_arg1170z00_859;

							{	/* Unsafe/rsa.scm 91 */
								obj_t BgL_res1854z00_1851;

								{	/* Unsafe/rsa.scm 91 */
									obj_t BgL_auxz00_3009;

									BgL_auxz00_3009 = BGL_CURRENT_DYNAMIC_ENV();
									BgL_res1854z00_1851 =
										BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_3009);
								}
								BgL_arg1170z00_859 = BgL_res1854z00_1851;
							}
							bgl_display_string(BGl_string2079z00zz__rsaz00,
								BgL_arg1170z00_859);
						}
						{	/* Unsafe/rsa.scm 92 */
							obj_t BgL_arg1172z00_860;

							{	/* Unsafe/rsa.scm 92 */
								obj_t BgL_res1855z00_1855;

								{	/* Unsafe/rsa.scm 92 */
									obj_t BgL_auxz00_3013;

									BgL_auxz00_3013 = BGL_CURRENT_DYNAMIC_ENV();
									BgL_res1855z00_1855 =
										BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_3013);
								}
								BgL_arg1172z00_860 = BgL_res1855z00_1855;
							}
							bgl_flush_output_port(BgL_arg1172z00_860);
						}
					}
				else
					{	/* Unsafe/rsa.scm 90 */
						BFALSE;
					}
				{	/* Unsafe/rsa.scm 94 */
					obj_t BgL_prodzd2smallzd2primesz00_861;

					BgL_nz00_888 = ((long) 300);
					{	/* Unsafe/rsa.scm 81 */
						long BgL_g1038z00_890;

						BgL_g1038z00_890 = (BgL_nz00_888 - ((long) 1));
						{
							long BgL_nz00_1810;
							obj_t BgL_pz00_1811;
							long BgL_iz00_1812;

							BgL_nz00_1810 = BgL_g1038z00_890;
							BgL_pz00_1811 = (bgl_string_to_bignum("2", 16));
							BgL_iz00_1812 = ((long) 3);
						BgL_loopz00_1809:
							if ((BgL_nz00_1810 == ((long) 0)))
								{	/* Unsafe/rsa.scm 83 */
									BgL_prodzd2smallzd2primesz00_861 = BgL_pz00_1811;
								}
							else
								{	/* Unsafe/rsa.scm 85 */
									bool_t BgL_testz00_3020;

									{	/* Unsafe/rsa.scm 85 */
										obj_t BgL_arg1221z00_1818;

										{	/* Unsafe/rsa.scm 85 */
											obj_t BgL_arg1222z00_1819;

											BgL_arg1222z00_1819 = bgl_long_to_bignum(BgL_iz00_1812);
											{	/* Unsafe/rsa.scm 85 */
												obj_t BgL_list1223z00_1822;

												{	/* Unsafe/rsa.scm 85 */
													obj_t BgL_arg1225z00_1823;

													BgL_arg1225z00_1823 = MAKE_PAIR(BgL_pz00_1811, BNIL);
													BgL_list1223z00_1822 =
														MAKE_PAIR(BgL_arg1222z00_1819, BgL_arg1225z00_1823);
												}
												BgL_arg1221z00_1818 =
													BGl_gcdbxz00zz__r4_numbers_6_5_fixnumz00
													(BgL_list1223z00_1822);
											}
										}
										BgL_testz00_3020 =
											(
											(long) (bgl_bignum_cmp((bgl_string_to_bignum("1", 16)),
													BgL_arg1221z00_1818)) == ((long) 0));
									}
									if (BgL_testz00_3020)
										{
											long BgL_iz00_3033;
											obj_t BgL_pz00_3030;
											long BgL_nz00_3028;

											BgL_nz00_3028 = (BgL_nz00_1810 - ((long) 1));
											BgL_pz00_3030 =
												bgl_bignum_mul(BgL_pz00_1811,
												bgl_long_to_bignum(BgL_iz00_1812));
											BgL_iz00_3033 = (BgL_iz00_1812 + ((long) 2));
											BgL_iz00_1812 = BgL_iz00_3033;
											BgL_pz00_1811 = BgL_pz00_3030;
											BgL_nz00_1810 = BgL_nz00_3028;
											goto BgL_loopz00_1809;
										}
									else
										{
											long BgL_iz00_3035;

											BgL_iz00_3035 = (BgL_iz00_1812 + ((long) 2));
											BgL_iz00_1812 = BgL_iz00_3035;
											goto BgL_loopz00_1809;
										}
								}
						}
					}
					{
						obj_t BgL_nz00_879;

						{
							long BgL_iz00_864;

							BgL_iz00_864 = ((long) 1);
						BgL_zc3anonymousza31173ze3z83_865:
							if (CBOOL(BgL_showzd2tracezd2_19))
								{	/* Unsafe/rsa.scm 101 */
									{	/* Unsafe/rsa.scm 102 */
										obj_t BgL_arg1174z00_866;

										{	/* Unsafe/rsa.scm 102 */
											obj_t BgL_res1861z00_1875;

											{	/* Unsafe/rsa.scm 102 */
												obj_t BgL_auxz00_3039;

												BgL_auxz00_3039 = BGL_CURRENT_DYNAMIC_ENV();
												BgL_res1861z00_1875 =
													BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_3039);
											}
											BgL_arg1174z00_866 = BgL_res1861z00_1875;
										}
										bgl_display_string(BGl_string2080z00zz__rsaz00,
											BgL_arg1174z00_866);
									}
									{	/* Unsafe/rsa.scm 103 */
										obj_t BgL_arg1175z00_867;

										{	/* Unsafe/rsa.scm 103 */
											obj_t BgL_res1862z00_1879;

											{	/* Unsafe/rsa.scm 103 */
												obj_t BgL_auxz00_3043;

												BgL_auxz00_3043 = BGL_CURRENT_DYNAMIC_ENV();
												BgL_res1862z00_1879 =
													BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_3043);
											}
											BgL_arg1175z00_867 = BgL_res1862z00_1879;
										}
										bgl_flush_output_port(BgL_arg1175z00_867);
									}
								}
							else
								{	/* Unsafe/rsa.scm 101 */
									BFALSE;
								}
							{	/* Unsafe/rsa.scm 104 */
								obj_t BgL_xz00_868;

								BgL_xz00_868 =
									bgl_bignum_add(BgL_startz00_17,
									bgl_rand_bignum(bgl_bignum_sub(BgL_endz00_18,
											BgL_startz00_17)));
								{	/* Unsafe/rsa.scm 104 */
									obj_t BgL_nz00_869;

									if (bgl_bignum_odd(BgL_xz00_868))
										{	/* Unsafe/rsa.scm 105 */
											BgL_nz00_869 = BgL_xz00_868;
										}
									else
										{	/* Unsafe/rsa.scm 105 */
											BgL_nz00_869 =
												bgl_bignum_add(BgL_xz00_868, (bgl_string_to_bignum("1",
														16)));
										}
									{	/* Unsafe/rsa.scm 105 */

										{	/* Unsafe/rsa.scm 106 */
											bool_t BgL_testz00_3053;

											if (
												((long) (bgl_bignum_cmp(BgL_nz00_869,
															BgL_endz00_18)) >= ((long) 0)))
												{	/* Unsafe/rsa.scm 106 */
													BgL_testz00_3053 = ((bool_t) 1);
												}
											else
												{	/* Unsafe/rsa.scm 106 */
													bool_t BgL_testz00_3058;

													BgL_nz00_879 = BgL_nz00_869;
													{	/* Unsafe/rsa.scm 97 */
														bool_t BgL_testz00_3059;

														{	/* Unsafe/rsa.scm 97 */
															obj_t BgL_arg1205z00_884;

															{	/* Unsafe/rsa.scm 97 */
																obj_t BgL_list1206z00_885;

																{	/* Unsafe/rsa.scm 97 */
																	obj_t BgL_arg1210z00_886;

																	BgL_arg1210z00_886 =
																		MAKE_PAIR(BgL_prodzd2smallzd2primesz00_861,
																		BNIL);
																	BgL_list1206z00_885 =
																		MAKE_PAIR(BgL_nz00_879, BgL_arg1210z00_886);
																}
																BgL_arg1205z00_884 =
																	BGl_gcdbxz00zz__r4_numbers_6_5_fixnumz00
																	(BgL_list1206z00_885);
															}
															BgL_testz00_3059 =
																(
																(long) (bgl_bignum_cmp((bgl_string_to_bignum
																			("1", 16)),
																		BgL_arg1205z00_884)) == ((long) 0));
														}
														if (BgL_testz00_3059)
															{	/* Unsafe/rsa.scm 98 */
																long BgL_auxz00_3066;

																{	/* Unsafe/rsa.scm 98 */
																	int BgL_auxz00_3067;

																	{	/* Unsafe/rsa.scm 98 */
																		obj_t BgL_auxz00_3068;

																		BgL_auxz00_3068 =
																			BGl_exptzd2modzd2zz__rsaz00(
																			(bgl_string_to_bignum("2", 16)),
																			bgl_bignum_sub(BgL_nz00_879,
																				(bgl_string_to_bignum("1", 16))),
																			BgL_nz00_879);
																		BgL_auxz00_3067 =
																			bgl_bignum_cmp((bgl_string_to_bignum("1",
																					16)), BgL_auxz00_3068);
																	}
																	BgL_auxz00_3066 = (long) (BgL_auxz00_3067);
																}
																BgL_testz00_3058 =
																	(BgL_auxz00_3066 == ((long) 0));
															}
														else
															{	/* Unsafe/rsa.scm 97 */
																BgL_testz00_3058 = ((bool_t) 0);
															}
													}
													if (BgL_testz00_3058)
														{	/* Unsafe/rsa.scm 106 */
															BgL_testz00_3053 = ((bool_t) 0);
														}
													else
														{	/* Unsafe/rsa.scm 106 */
															BgL_testz00_3053 = ((bool_t) 1);
														}
												}
											if (BgL_testz00_3053)
												{
													long BgL_iz00_3074;

													BgL_iz00_3074 = (BgL_iz00_864 + ((long) 1));
													BgL_iz00_864 = BgL_iz00_3074;
													goto BgL_zc3anonymousza31173ze3z83_865;
												}
											else
												{	/* Unsafe/rsa.scm 106 */
													return BgL_nz00_869;
												}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* gcd-ext */
	obj_t BGl_gcdzd2extzd2zz__rsaz00(obj_t BgL_xz00_20, obj_t BgL_yz00_21)
	{
		AN_OBJECT;
		{	/* Unsafe/rsa.scm 113 */
			{
				obj_t BgL_xz00_1977;
				obj_t BgL_yz00_1978;
				obj_t BgL_u1z00_1979;
				obj_t BgL_u2z00_1980;
				obj_t BgL_v1z00_1981;
				obj_t BgL_v2z00_1982;

				BgL_xz00_1977 = BgL_xz00_20;
				BgL_yz00_1978 = BgL_yz00_21;
				BgL_u1z00_1979 = (bgl_string_to_bignum("1", 16));
				BgL_u2z00_1980 = (bgl_string_to_bignum("0", 16));
				BgL_v1z00_1981 = (bgl_string_to_bignum("0", 16));
				BgL_v2z00_1982 = (bgl_string_to_bignum("1", 16));
			BgL_loopz00_1976:
				if (BXZERO(BgL_yz00_1978))
					{	/* Unsafe/rsa.scm 121 */
						obj_t BgL_list1228z00_1994;

						{	/* Unsafe/rsa.scm 121 */
							obj_t BgL_arg1229z00_1995;

							{	/* Unsafe/rsa.scm 121 */
								obj_t BgL_arg1230z00_1996;

								BgL_arg1230z00_1996 = MAKE_PAIR(BgL_v1z00_1981, BNIL);
								BgL_arg1229z00_1995 =
									MAKE_PAIR(BgL_u1z00_1979, BgL_arg1230z00_1996);
							}
							BgL_list1228z00_1994 =
								MAKE_PAIR(BgL_xz00_1977, BgL_arg1229z00_1995);
						}
						return BgL_list1228z00_1994;
					}
				else
					{	/* Unsafe/rsa.scm 122 */
						obj_t BgL_qz00_1997;
						obj_t BgL_rz00_1998;

						BgL_qz00_1997 = bgl_bignum_quotient(BgL_xz00_1977, BgL_yz00_1978);
						BgL_rz00_1998 = bgl_bignum_remainder(BgL_xz00_1977, BgL_yz00_1978);
						{
							obj_t BgL_v2z00_3090;
							obj_t BgL_v1z00_3089;
							obj_t BgL_u2z00_3086;
							obj_t BgL_u1z00_3085;
							obj_t BgL_yz00_3084;
							obj_t BgL_xz00_3083;

							BgL_xz00_3083 = BgL_yz00_1978;
							BgL_yz00_3084 = BgL_rz00_1998;
							BgL_u1z00_3085 = BgL_u2z00_1980;
							BgL_u2z00_3086 =
								bgl_bignum_sub(BgL_u1z00_1979,
								bgl_bignum_mul(BgL_qz00_1997, BgL_u2z00_1980));
							BgL_v1z00_3089 = BgL_v2z00_1982;
							BgL_v2z00_3090 =
								bgl_bignum_sub(BgL_v1z00_1981,
								bgl_bignum_mul(BgL_qz00_1997, BgL_v2z00_1982));
							BgL_v2z00_1982 = BgL_v2z00_3090;
							BgL_v1z00_1981 = BgL_v1z00_3089;
							BgL_u2z00_1980 = BgL_u2z00_3086;
							BgL_u1z00_1979 = BgL_u1z00_3085;
							BgL_yz00_1978 = BgL_yz00_3084;
							BgL_xz00_1977 = BgL_xz00_3083;
							goto BgL_loopz00_1976;
						}
					}
			}
		}
	}



/* mod-inverse */
	obj_t BGl_modzd2inversezd2zz__rsaz00(obj_t BgL_xz00_22, obj_t BgL_bz00_23)
	{
		AN_OBJECT;
		{	/* Unsafe/rsa.scm 129 */
			{	/* Unsafe/rsa.scm 130 */
				obj_t BgL_x1z00_928;

				BgL_x1z00_928 =
					BGl_modulobxz00zz__r4_numbers_6_5_fixnumz00(BgL_xz00_22, BgL_bz00_23);
				{	/* Unsafe/rsa.scm 130 */
					obj_t BgL_gz00_929;

					BgL_gz00_929 = BGl_gcdzd2extzd2zz__rsaz00(BgL_x1z00_928, BgL_bz00_23);
					{	/* Unsafe/rsa.scm 131 */

						{	/* Unsafe/rsa.scm 132 */
							bool_t BgL_testz00_3095;

							{	/* Unsafe/rsa.scm 132 */
								obj_t BgL_n1z00_2026;

								BgL_n1z00_2026 = CAR(BgL_gz00_929);
								BgL_testz00_3095 =
									(
									(long) (bgl_bignum_cmp(BgL_n1z00_2026,
											(bgl_string_to_bignum("1", 16)))) == ((long) 0));
							}
							if (BgL_testz00_3095)
								{	/* Unsafe/rsa.scm 132 */
									return
										BGl_modulobxz00zz__r4_numbers_6_5_fixnumz00(CAR(CDR
											(BgL_gz00_929)), BgL_bz00_23);
								}
							else
								{	/* Unsafe/rsa.scm 135 */
									obj_t BgL_arg1258z00_932;

									BgL_arg1258z00_932 = MAKE_PAIR(BgL_xz00_22, BgL_bz00_23);
									return
										BGl_errorz00zz__errorz00(BGl_symbol2081z00zz__rsaz00,
										BGl_string2083z00zz__rsaz00, BgL_arg1258z00_932);
								}
						}
					}
				}
			}
		}
	}



/* _make-rsa-key-pair */
	obj_t BGl__makezd2rsazd2keyzd2pairzd2zz__rsaz00(obj_t BgL_envz00_27,
		obj_t BgL_opt1113z00_26)
	{
		AN_OBJECT;
		{	/* Unsafe/rsa.scm 141 */
			{	/* Unsafe/rsa.scm 141 */

				{	/* Unsafe/rsa.scm 141 */
					obj_t BgL_showzd2tracezd2_938;

					BgL_showzd2tracezd2_938 = BFALSE;
					{	/* Unsafe/rsa.scm 141 */
						obj_t BgL_siza7eza7_939;

						BgL_siza7eza7_939 = BINT(((long) 1024));
						{	/* Unsafe/rsa.scm 141 */

							{
								long BgL_iz00_940;

								BgL_iz00_940 = ((long) 0);
							BgL_check1116z00_941:
								if ((BgL_iz00_940 == (long) (VECTOR_LENGTH(BgL_opt1113z00_26))))
									{	/* Unsafe/rsa.scm 141 */
										BNIL;
									}
								else
									{	/* Unsafe/rsa.scm 141 */
										bool_t BgL_testz00_3110;

										{	/* Unsafe/rsa.scm 141 */
											obj_t BgL_arg1274z00_946;

											BgL_arg1274z00_946 =
												VECTOR_REF(BgL_opt1113z00_26, (int) (BgL_iz00_940));
											BgL_testz00_3110 =
												CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
												(BgL_arg1274z00_946, BGl_list2084z00zz__rsaz00));
										}
										if (BgL_testz00_3110)
											{
												long BgL_iz00_3115;

												BgL_iz00_3115 = (BgL_iz00_940 + ((long) 2));
												BgL_iz00_940 = BgL_iz00_3115;
												goto BgL_check1116z00_941;
											}
										else
											{	/* Unsafe/rsa.scm 141 */
												obj_t BgL_arg1271z00_945;

												BgL_arg1271z00_945 =
													VECTOR_REF(BgL_opt1113z00_26, (int) (BgL_iz00_940));
												BGl_errorz00zz__errorz00(BGl_symbol2089z00zz__rsaz00,
													BGl_string2091z00zz__rsaz00, BgL_arg1271z00_945);
							}}}
							{	/* Unsafe/rsa.scm 141 */
								obj_t BgL_index1118z00_947;

								{
									long BgL_iz00_2064;

									BgL_iz00_2064 = ((long) 0);
								BgL_search1115z00_2063:
									if (
										(BgL_iz00_2064 ==
											(long) (VECTOR_LENGTH(BgL_opt1113z00_26))))
										{	/* Unsafe/rsa.scm 141 */
											BgL_index1118z00_947 = BINT(((long) -1));
										}
									else
										{	/* Unsafe/rsa.scm 141 */
											if (
												(BgL_iz00_2064 ==
													((long) (VECTOR_LENGTH(BgL_opt1113z00_26)) -
														((long) 1))))
												{	/* Unsafe/rsa.scm 141 */
													BgL_index1118z00_947 =
														BGl_errorz00zz__errorz00
														(BGl_symbol2089z00zz__rsaz00,
														BGl_string2092z00zz__rsaz00,
														BINT(VECTOR_LENGTH(BgL_opt1113z00_26)));
												}
											else
												{	/* Unsafe/rsa.scm 141 */
													obj_t BgL_vz00_2078;

													BgL_vz00_2078 =
														VECTOR_REF(BgL_opt1113z00_26,
														(int) (BgL_iz00_2064));
													if ((BgL_vz00_2078 == BGl_keyword2085z00zz__rsaz00))
														{	/* Unsafe/rsa.scm 141 */
															BgL_index1118z00_947 =
																BINT((BgL_iz00_2064 + ((long) 1)));
														}
													else
														{
															long BgL_iz00_3139;

															BgL_iz00_3139 = (BgL_iz00_2064 + ((long) 2));
															BgL_iz00_2064 = BgL_iz00_3139;
															goto BgL_search1115z00_2063;
														}
												}
										}
								}
								{	/* Unsafe/rsa.scm 141 */
									bool_t BgL_testz00_3141;

									{	/* Unsafe/rsa.scm 141 */
										long BgL_n1z00_2087;

										{	/* Unsafe/rsa.scm 141 */
											obj_t BgL_auxz00_3142;

											if (INTEGERP(BgL_index1118z00_947))
												{	/* Unsafe/rsa.scm 141 */
													BgL_auxz00_3142 = BgL_index1118z00_947;
												}
											else
												{
													obj_t BgL_auxz00_3145;

													BgL_auxz00_3145 =
														BGl_typezd2errorzd2zz__errorz00
														(BGl_string2093z00zz__rsaz00, BINT(((long) 4799)),
														BGl_string2094z00zz__rsaz00,
														BGl_string2095z00zz__rsaz00, BgL_index1118z00_947);
													FAILURE(BgL_auxz00_3145, BFALSE, BFALSE);
												}
											BgL_n1z00_2087 = (long) CINT(BgL_auxz00_3142);
										}
										BgL_testz00_3141 = (BgL_n1z00_2087 >= ((long) 0));
									}
									if (BgL_testz00_3141)
										{
											int BgL_auxz00_3151;

											{	/* Unsafe/rsa.scm 141 */
												obj_t BgL_auxz00_3152;

												if (INTEGERP(BgL_index1118z00_947))
													{	/* Unsafe/rsa.scm 141 */
														BgL_auxz00_3152 = BgL_index1118z00_947;
													}
												else
													{
														obj_t BgL_auxz00_3155;

														BgL_auxz00_3155 =
															BGl_typezd2errorzd2zz__errorz00
															(BGl_string2093z00zz__rsaz00, BINT(((long) 4799)),
															BGl_string2094z00zz__rsaz00,
															BGl_string2095z00zz__rsaz00,
															BgL_index1118z00_947);
														FAILURE(BgL_auxz00_3155, BFALSE, BFALSE);
													}
												BgL_auxz00_3151 = CINT(BgL_auxz00_3152);
											}
											BgL_showzd2tracezd2_938 =
												VECTOR_REF(BgL_opt1113z00_26, BgL_auxz00_3151);
										}
									else
										{	/* Unsafe/rsa.scm 141 */
											BFALSE;
										}
								}
							}
							{	/* Unsafe/rsa.scm 141 */
								obj_t BgL_index1119z00_949;

								{
									long BgL_iz00_2091;

									BgL_iz00_2091 = ((long) 0);
								BgL_search1115z00_2090:
									if (
										(BgL_iz00_2091 ==
											(long) (VECTOR_LENGTH(BgL_opt1113z00_26))))
										{	/* Unsafe/rsa.scm 141 */
											BgL_index1119z00_949 = BINT(((long) -1));
										}
									else
										{	/* Unsafe/rsa.scm 141 */
											if (
												(BgL_iz00_2091 ==
													((long) (VECTOR_LENGTH(BgL_opt1113z00_26)) -
														((long) 1))))
												{	/* Unsafe/rsa.scm 141 */
													BgL_index1119z00_949 =
														BGl_errorz00zz__errorz00
														(BGl_symbol2089z00zz__rsaz00,
														BGl_string2092z00zz__rsaz00,
														BINT(VECTOR_LENGTH(BgL_opt1113z00_26)));
												}
											else
												{	/* Unsafe/rsa.scm 141 */
													obj_t BgL_vz00_2105;

													BgL_vz00_2105 =
														VECTOR_REF(BgL_opt1113z00_26,
														(int) (BgL_iz00_2091));
													if ((BgL_vz00_2105 == BGl_keyword2087z00zz__rsaz00))
														{	/* Unsafe/rsa.scm 141 */
															BgL_index1119z00_949 =
																BINT((BgL_iz00_2091 + ((long) 1)));
														}
													else
														{
															long BgL_iz00_3180;

															BgL_iz00_3180 = (BgL_iz00_2091 + ((long) 2));
															BgL_iz00_2091 = BgL_iz00_3180;
															goto BgL_search1115z00_2090;
														}
												}
										}
								}
								{	/* Unsafe/rsa.scm 141 */
									bool_t BgL_testz00_3182;

									{	/* Unsafe/rsa.scm 141 */
										long BgL_n1z00_2114;

										{	/* Unsafe/rsa.scm 141 */
											obj_t BgL_auxz00_3183;

											if (INTEGERP(BgL_index1119z00_949))
												{	/* Unsafe/rsa.scm 141 */
													BgL_auxz00_3183 = BgL_index1119z00_949;
												}
											else
												{
													obj_t BgL_auxz00_3186;

													BgL_auxz00_3186 =
														BGl_typezd2errorzd2zz__errorz00
														(BGl_string2093z00zz__rsaz00, BINT(((long) 4799)),
														BGl_string2094z00zz__rsaz00,
														BGl_string2095z00zz__rsaz00, BgL_index1119z00_949);
													FAILURE(BgL_auxz00_3186, BFALSE, BFALSE);
												}
											BgL_n1z00_2114 = (long) CINT(BgL_auxz00_3183);
										}
										BgL_testz00_3182 = (BgL_n1z00_2114 >= ((long) 0));
									}
									if (BgL_testz00_3182)
										{
											int BgL_auxz00_3192;

											{	/* Unsafe/rsa.scm 141 */
												obj_t BgL_auxz00_3193;

												if (INTEGERP(BgL_index1119z00_949))
													{	/* Unsafe/rsa.scm 141 */
														BgL_auxz00_3193 = BgL_index1119z00_949;
													}
												else
													{
														obj_t BgL_auxz00_3196;

														BgL_auxz00_3196 =
															BGl_typezd2errorzd2zz__errorz00
															(BGl_string2093z00zz__rsaz00, BINT(((long) 4799)),
															BGl_string2094z00zz__rsaz00,
															BGl_string2095z00zz__rsaz00,
															BgL_index1119z00_949);
														FAILURE(BgL_auxz00_3196, BFALSE, BFALSE);
													}
												BgL_auxz00_3192 = CINT(BgL_auxz00_3193);
											}
											BgL_siza7eza7_939 =
												VECTOR_REF(BgL_opt1113z00_26, BgL_auxz00_3192);
										}
									else
										{	/* Unsafe/rsa.scm 141 */
											BFALSE;
										}
								}
							}
							{	/* Unsafe/rsa.scm 141 */
								obj_t BgL_showzd2tracezd2_951;

								BgL_showzd2tracezd2_951 = BgL_showzd2tracezd2_938;
								return
									BGl_makezd2rsazd2keyzd2pairzd2zz__rsaz00
									(BgL_showzd2tracezd2_951, BgL_siza7eza7_939);
							}
						}
					}
				}
			}
		}
	}



/* make-rsa-key-pair */
	BGL_EXPORTED_DEF obj_t BGl_makezd2rsazd2keyzd2pairzd2zz__rsaz00(obj_t
		BgL_showzd2tracezd2_24, obj_t BgL_siza7eza7_25)
	{
		AN_OBJECT;
		{	/* Unsafe/rsa.scm 141 */
			{	/* Unsafe/rsa.scm 142 */
				long BgL_siza7ezd2pz75_960;

				{	/* Unsafe/rsa.scm 142 */
					long BgL_res1907z00_2119;

					{	/* Unsafe/rsa.scm 142 */
						long BgL_auxz00_3203;

						BgL_auxz00_3203 = (long) CINT(BgL_siza7eza7_25);
						BgL_res1907z00_2119 = (BgL_auxz00_3203 / ((long) 2));
					}
					BgL_siza7ezd2pz75_960 = BgL_res1907z00_2119;
				}
				{	/* Unsafe/rsa.scm 142 */
					obj_t BgL_startzd2pzd2_961;

					BgL_startzd2pzd2_961 =
						BGl_exptbxz00zz__r4_numbers_6_5_fixnumz00((bgl_string_to_bignum("2",
								16)), bgl_long_to_bignum(BgL_siza7ezd2pz75_960));
					{	/* Unsafe/rsa.scm 143 */
						obj_t BgL_endzd2pzd2_962;

						BgL_endzd2pzd2_962 =
							bgl_bignum_mul(BgL_startzd2pzd2_961, (bgl_string_to_bignum("2",
									16)));
						{	/* Unsafe/rsa.scm 144 */
							obj_t BgL_pz00_963;

							BgL_pz00_963 =
								BGl_randomzd2primezd2zz__rsaz00(BgL_startzd2pzd2_961,
								BgL_endzd2pzd2_962, BgL_showzd2tracezd2_24);
							{	/* Unsafe/rsa.scm 145 */
								obj_t BgL_startzd2nzd2_964;

								BgL_startzd2nzd2_964 =
									BGl_exptbxz00zz__r4_numbers_6_5_fixnumz00(
									(bgl_string_to_bignum("2", 16)),
									bgl_long_to_bignum((long) CINT(BgL_siza7eza7_25)));
								{	/* Unsafe/rsa.scm 146 */
									obj_t BgL_endzd2nzd2_965;

									BgL_endzd2nzd2_965 =
										bgl_bignum_mul(BgL_startzd2nzd2_964,
										(bgl_string_to_bignum("2", 16)));
									{	/* Unsafe/rsa.scm 147 */
										obj_t BgL_startzd2qzd2_966;

										BgL_startzd2qzd2_966 =
											bgl_bignum_add(bgl_bignum_quotient(bgl_bignum_sub
												(BgL_startzd2nzd2_964, (bgl_string_to_bignum("1", 16))),
												BgL_pz00_963), (bgl_string_to_bignum("1", 16)));
										{	/* Unsafe/rsa.scm 148 */
											obj_t BgL_endzd2qzd2_967;

											BgL_endzd2qzd2_967 =
												bgl_bignum_quotient(BgL_endzd2nzd2_965, BgL_pz00_963);
											{	/* Unsafe/rsa.scm 149 */

												{

												BgL_zc3anonymousza31284ze3z83_969:
													{	/* Unsafe/rsa.scm 151 */
														obj_t BgL_qz00_970;

														BgL_qz00_970 =
															BGl_randomzd2primezd2zz__rsaz00
															(BgL_startzd2qzd2_966, BgL_endzd2qzd2_967,
															BgL_showzd2tracezd2_24);
														{	/* Unsafe/rsa.scm 152 */
															bool_t BgL_testz00_3219;

															{	/* Unsafe/rsa.scm 152 */
																obj_t BgL_arg1306z00_994;

																{	/* Unsafe/rsa.scm 152 */
																	obj_t BgL_list1307z00_995;

																	{	/* Unsafe/rsa.scm 152 */
																		obj_t BgL_arg1308z00_996;

																		BgL_arg1308z00_996 =
																			MAKE_PAIR(BgL_qz00_970, BNIL);
																		BgL_list1307z00_995 =
																			MAKE_PAIR(BgL_pz00_963,
																			BgL_arg1308z00_996);
																	}
																	BgL_arg1306z00_994 =
																		BGl_gcdbxz00zz__r4_numbers_6_5_fixnumz00
																		(BgL_list1307z00_995);
																}
																BgL_testz00_3219 =
																	(
																	(long) (bgl_bignum_cmp(BgL_arg1306z00_994,
																			(bgl_string_to_bignum("1",
																					16)))) == ((long) 0));
															}
															if (BgL_testz00_3219)
																{	/* Unsafe/rsa.scm 154 */
																	obj_t BgL_nz00_972;

																	BgL_nz00_972 =
																		bgl_bignum_mul(BgL_pz00_963, BgL_qz00_970);
																	{	/* Unsafe/rsa.scm 154 */
																		obj_t BgL_pzd21zd2_973;

																		BgL_pzd21zd2_973 =
																			bgl_bignum_sub(BgL_pz00_963,
																			(bgl_string_to_bignum("1", 16)));
																		{	/* Unsafe/rsa.scm 155 */
																			obj_t BgL_qzd21zd2_974;

																			BgL_qzd21zd2_974 =
																				bgl_bignum_sub(BgL_qz00_970,
																				(bgl_string_to_bignum("1", 16)));
																			{	/* Unsafe/rsa.scm 156 */
																				obj_t BgL_phiz00_975;

																				{	/* Unsafe/rsa.scm 157 */
																					obj_t BgL_arg1295z00_990;
																					obj_t BgL_arg1296z00_991;

																					BgL_arg1295z00_990 =
																						bgl_bignum_mul(BgL_pzd21zd2_973,
																						BgL_qzd21zd2_974);
																					{	/* Unsafe/rsa.scm 157 */
																						obj_t BgL_list1297z00_992;

																						{	/* Unsafe/rsa.scm 157 */
																							obj_t BgL_arg1298z00_993;

																							BgL_arg1298z00_993 =
																								MAKE_PAIR(BgL_qzd21zd2_974,
																								BNIL);
																							BgL_list1297z00_992 =
																								MAKE_PAIR(BgL_pzd21zd2_973,
																								BgL_arg1298z00_993);
																						}
																						BgL_arg1296z00_991 =
																							BGl_gcdbxz00zz__r4_numbers_6_5_fixnumz00
																							(BgL_list1297z00_992);
																					}
																					BgL_phiz00_975 =
																						bgl_bignum_quotient
																						(BgL_arg1295z00_990,
																						BgL_arg1296z00_991);
																				}
																				{	/* Unsafe/rsa.scm 157 */
																					obj_t BgL_ez00_976;

																					{
																						obj_t BgL_ez00_2175;

																						BgL_ez00_2175 =
																							(bgl_string_to_bignum("10001",
																								16));
																					BgL_loopz00_2174:
																						{	/* Unsafe/rsa.scm 159 */
																							bool_t BgL_testz00_3234;

																							{	/* Unsafe/rsa.scm 159 */
																								obj_t BgL_arg1292z00_2177;

																								{	/* Unsafe/rsa.scm 159 */
																									obj_t BgL_list1293z00_2178;

																									{	/* Unsafe/rsa.scm 159 */
																										obj_t BgL_arg1294z00_2179;

																										BgL_arg1294z00_2179 =
																											MAKE_PAIR(BgL_phiz00_975,
																											BNIL);
																										BgL_list1293z00_2178 =
																											MAKE_PAIR(BgL_ez00_2175,
																											BgL_arg1294z00_2179);
																									}
																									BgL_arg1292z00_2177 =
																										BGl_gcdbxz00zz__r4_numbers_6_5_fixnumz00
																										(BgL_list1293z00_2178);
																								}
																								BgL_testz00_3234 =
																									(
																									(long) (bgl_bignum_cmp(
																											(bgl_string_to_bignum("1",
																													16)),
																											BgL_arg1292z00_2177)) ==
																									((long) 0));
																							}
																							if (BgL_testz00_3234)
																								{	/* Unsafe/rsa.scm 159 */
																									BgL_ez00_976 = BgL_ez00_2175;
																								}
																							else
																								{
																									obj_t BgL_ez00_3241;

																									BgL_ez00_3241 =
																										bgl_bignum_add
																										(BgL_ez00_2175,
																										(bgl_string_to_bignum("2",
																												16)));
																									BgL_ez00_2175 = BgL_ez00_3241;
																									goto BgL_loopz00_2174;
																								}
																						}
																					}
																					{	/* Unsafe/rsa.scm 158 */
																						obj_t BgL_dz00_977;

																						BgL_dz00_977 =
																							BGl_modzd2inversezd2zz__rsaz00
																							(BgL_ez00_976, BgL_phiz00_975);
																						{	/* Unsafe/rsa.scm 162 */

																							if (CBOOL(BgL_showzd2tracezd2_24))
																								{	/* Unsafe/rsa.scm 163 */
																									obj_t BgL_arg1286z00_978;

																									{	/* Unsafe/rsa.scm 163 */
																										obj_t BgL_res1926z00_2192;

																										{	/* Unsafe/rsa.scm 163 */
																											obj_t BgL_auxz00_3246;

																											BgL_auxz00_3246 =
																												BGL_CURRENT_DYNAMIC_ENV
																												();
																											BgL_res1926z00_2192 =
																												BGL_ENV_CURRENT_OUTPUT_PORT
																												(BgL_auxz00_3246);
																										}
																										BgL_arg1286z00_978 =
																											BgL_res1926z00_2192;
																									}
																									bgl_display_char(((unsigned
																												char) '\n'),
																										BgL_arg1286z00_978);
																								}
																							else
																								{	/* Unsafe/rsa.scm 163 */
																									BFALSE;
																								}
																							{	/* Unsafe/rsa.scm 165 */
																								obj_t BgL_arg1287z00_979;
																								obj_t BgL_arg1288z00_980;

																								{	/* Unsafe/rsa.scm 73 */
																									obj_t BgL_newz00_2197;

																									BgL_newz00_2197 =
																										create_struct
																										(BGl_symbol2096z00zz__rsaz00,
																										(int) (((long) 3)));
																									{	/* Unsafe/rsa.scm 73 */
																										int BgL_auxz00_3252;

																										BgL_auxz00_3252 =
																											(int) (((long) 2));
																										STRUCT_SET(BgL_newz00_2197,
																											BgL_auxz00_3252,
																											BgL_ez00_976);
																									}
																									{	/* Unsafe/rsa.scm 73 */
																										int BgL_auxz00_3255;

																										BgL_auxz00_3255 =
																											(int) (((long) 1));
																										STRUCT_SET(BgL_newz00_2197,
																											BgL_auxz00_3255,
																											BgL_nz00_972);
																									}
																									{	/* Unsafe/rsa.scm 73 */
																										int BgL_auxz00_3258;

																										BgL_auxz00_3258 =
																											(int) (((long) 0));
																										STRUCT_SET(BgL_newz00_2197,
																											BgL_auxz00_3258,
																											BgL_siza7eza7_25);
																									}
																									BgL_arg1287z00_979 =
																										BgL_newz00_2197;
																								}
																								{	/* Unsafe/rsa.scm 73 */
																									obj_t BgL_newz00_2216;

																									BgL_newz00_2216 =
																										create_struct
																										(BGl_symbol2096z00zz__rsaz00,
																										(int) (((long) 3)));
																									{	/* Unsafe/rsa.scm 73 */
																										int BgL_auxz00_3263;

																										BgL_auxz00_3263 =
																											(int) (((long) 2));
																										STRUCT_SET(BgL_newz00_2216,
																											BgL_auxz00_3263,
																											BgL_dz00_977);
																									}
																									{	/* Unsafe/rsa.scm 73 */
																										int BgL_auxz00_3266;

																										BgL_auxz00_3266 =
																											(int) (((long) 1));
																										STRUCT_SET(BgL_newz00_2216,
																											BgL_auxz00_3266,
																											BgL_nz00_972);
																									}
																									{	/* Unsafe/rsa.scm 73 */
																										int BgL_auxz00_3269;

																										BgL_auxz00_3269 =
																											(int) (((long) 0));
																										STRUCT_SET(BgL_newz00_2216,
																											BgL_auxz00_3269,
																											BgL_siza7eza7_25);
																									}
																									BgL_arg1288z00_980 =
																										BgL_newz00_2216;
																								}
																								return
																									MAKE_PAIR(BgL_arg1287z00_979,
																									BgL_arg1288z00_980);
																							}
																						}
																					}
																				}
																			}
																		}
																	}
																}
															else
																{	/* Unsafe/rsa.scm 152 */
																	goto BgL_zc3anonymousza31284ze3z83_969;
																}
														}
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* public-rsa-key */
	BGL_EXPORTED_DEF obj_t BGl_publiczd2rsazd2keyz00zz__rsaz00(obj_t
		BgL_rsazd2keyzd2pairz00_28)
	{
		AN_OBJECT;
		{	/* Unsafe/rsa.scm 171 */
			return CAR(BgL_rsazd2keyzd2pairz00_28);
		}
	}



/* &public-rsa-key */
	obj_t BGl_z62publiczd2rsazd2keyz62zz__rsaz00(obj_t BgL_envz00_2934,
		obj_t BgL_rsazd2keyzd2pairz00_2935)
	{
		AN_OBJECT;
		{	/* Unsafe/rsa.scm 171 */
			return CAR(BgL_rsazd2keyzd2pairz00_2935);
		}
	}



/* private-rsa-key */
	BGL_EXPORTED_DEF obj_t BGl_privatezd2rsazd2keyz00zz__rsaz00(obj_t
		BgL_rsazd2keyzd2pairz00_29)
	{
		AN_OBJECT;
		{	/* Unsafe/rsa.scm 177 */
			return CDR(BgL_rsazd2keyzd2pairz00_29);
		}
	}



/* &private-rsa-key */
	obj_t BGl_z62privatezd2rsazd2keyz62zz__rsaz00(obj_t BgL_envz00_2936,
		obj_t BgL_rsazd2keyzd2pairz00_2937)
	{
		AN_OBJECT;
		{	/* Unsafe/rsa.scm 177 */
			return CDR(BgL_rsazd2keyzd2pairz00_2937);
		}
	}



/* rsa-key= */
	BGL_EXPORTED_DEF obj_t BGl_rsazd2keyzd3z01zz__rsaz00(obj_t
		BgL_rsazd2key1zd2_30, obj_t BgL_rsazd2key2zd2_31)
	{
		AN_OBJECT;
		{	/* Unsafe/rsa.scm 183 */
			if (
				((long) CINT(STRUCT_REF(BgL_rsazd2key1zd2_30,
							(int) (((long) 0)))) ==
					(long) CINT(STRUCT_REF(BgL_rsazd2key2zd2_31, (int) (((long) 0))))))
				{	/* Unsafe/rsa.scm 185 */
					bool_t BgL_testz00_3285;

					{	/* Unsafe/rsa.scm 185 */
						obj_t BgL_n1z00_2249;
						obj_t BgL_n2z00_2250;

						BgL_n1z00_2249 =
							STRUCT_REF(BgL_rsazd2key1zd2_30, (int) (((long) 1)));
						BgL_n2z00_2250 =
							STRUCT_REF(BgL_rsazd2key2zd2_31, (int) (((long) 1)));
						BgL_testz00_3285 =
							(
							(long) (bgl_bignum_cmp(BgL_n1z00_2249,
									BgL_n2z00_2250)) == ((long) 0));
					}
					if (BgL_testz00_3285)
						{	/* Unsafe/rsa.scm 186 */
							obj_t BgL_n1z00_2262;
							obj_t BgL_n2z00_2263;

							BgL_n1z00_2262 =
								STRUCT_REF(BgL_rsazd2key1zd2_30, (int) (((long) 2)));
							BgL_n2z00_2263 =
								STRUCT_REF(BgL_rsazd2key2zd2_31, (int) (((long) 2)));
							return
								BBOOL(
								((long) (bgl_bignum_cmp(BgL_n1z00_2262,
											BgL_n2z00_2263)) == ((long) 0)));
						}
					else
						{	/* Unsafe/rsa.scm 185 */
							return BFALSE;
						}
				}
			else
				{	/* Unsafe/rsa.scm 184 */
					return BFALSE;
				}
		}
	}



/* &rsa-key= */
	obj_t BGl_z62rsazd2keyzd3z63zz__rsaz00(obj_t BgL_envz00_2938,
		obj_t BgL_rsazd2key1zd2_2939, obj_t BgL_rsazd2key2zd2_2940)
	{
		AN_OBJECT;
		{	/* Unsafe/rsa.scm 183 */
			return
				BGl_rsazd2keyzd3z01zz__rsaz00(BgL_rsazd2key1zd2_2939,
				BgL_rsazd2key2zd2_2940);
		}
	}



/* PKCS1-pad */
	BGL_EXPORTED_DEF obj_t BGl_PKCS1zd2padzd2zz__rsaz00(obj_t BgL_u8vectz00_32,
		obj_t BgL_finalzd2lenzd2_33)
	{
		AN_OBJECT;
		{	/* Unsafe/rsa.scm 218 */
			{	/* Unsafe/rsa.scm 219 */
				long BgL_lenz00_1010;

				{	/* Unsafe/rsa.scm 219 */
					long BgL_res1932z00_2270;

					BgL_res1932z00_2270 = BGL_HVECTOR_LENGTH(BgL_u8vectz00_32);
					BgL_lenz00_1010 = BgL_res1932z00_2270;
				}
				{	/* Unsafe/rsa.scm 219 */
					obj_t BgL_nz00_1011;

					BgL_nz00_1011 =
						BGl_2zd2zd2zz__r4_numbers_6_5z00(BgL_finalzd2lenzd2_33,
						BINT((BgL_lenz00_1010 + ((long) 3))));
					{	/* Unsafe/rsa.scm 220 */

						{	/* Unsafe/rsa.scm 221 */
							bool_t BgL_testz00_3306;

							if (INTEGERP(BgL_nz00_1011))
								{	/* Unsafe/rsa.scm 221 */
									BgL_testz00_3306 = ((long) CINT(BgL_nz00_1011) < ((long) 8));
								}
							else
								{	/* Unsafe/rsa.scm 221 */
									BgL_testz00_3306 =
										BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_nz00_1011,
										BINT(((long) 8)));
								}
							if (BgL_testz00_3306)
								{	/* Unsafe/rsa.scm 221 */
									return
										BGl_errorz00zz__errorz00(BGl_symbol2098z00zz__rsaz00,
										BGl_string2100z00zz__rsaz00, BgL_nz00_1011);
								}
							else
								{	/* Unsafe/rsa.scm 225 */
									obj_t BgL_padz00_1013;

									{	/* Unsafe/rsa.scm 226 */
										obj_t BgL_g1043z00_1014;

										BgL_g1043z00_1014 = BGl_list2101z00zz__rsaz00;
										{
											obj_t BgL_lstz00_1016;
											long BgL_iz00_1017;

											BgL_lstz00_1016 = BgL_g1043z00_1014;
											BgL_iz00_1017 = ((long) 0);
										BgL_zc3anonymousza31321ze3z83_1018:
											if (BGl_2zc3zc3zz__r4_numbers_6_5z00(BINT(BgL_iz00_1017),
													BgL_nz00_1011))
												{	/* Unsafe/rsa.scm 228 */
													obj_t BgL_arg1323z00_1020;
													long BgL_arg1325z00_1021;

													{	/* Unsafe/rsa.scm 228 */
														long BgL_arg1326z00_1022;

														{	/* Unsafe/rsa.scm 228 */
															long BgL_arg1327z00_1023;

															{	/* Unsafe/rsa.scm 228 */
																long BgL_res1937z00_2283;

																{	/* Unsafe/rsa.scm 228 */
																	int BgL_arg1800z00_2282;

																	BgL_arg1800z00_2282 = rand();
																	BgL_res1937z00_2283 =
																		BGl_modulofxz00zz__r4_numbers_6_5_fixnumz00(
																		(long) (BgL_arg1800z00_2282), ((long) 255));
																}
																BgL_arg1327z00_1023 = BgL_res1937z00_2283;
															}
															BgL_arg1326z00_1022 =
																(long)
																CINT(BGl_2zb2zb2zz__r4_numbers_6_5z00(BINT((
																			(long) 1)), BINT(BgL_arg1327z00_1023)));
														}
														BgL_arg1323z00_1020 =
															MAKE_PAIR(BINT(BgL_arg1326z00_1022),
															BgL_lstz00_1016);
													}
													BgL_arg1325z00_1021 = (BgL_iz00_1017 + ((long) 1));
													{
														long BgL_iz00_3328;
														obj_t BgL_lstz00_3327;

														BgL_lstz00_3327 = BgL_arg1323z00_1020;
														BgL_iz00_3328 = BgL_arg1325z00_1021;
														BgL_iz00_1017 = BgL_iz00_3328;
														BgL_lstz00_1016 = BgL_lstz00_3327;
														goto BgL_zc3anonymousza31321ze3z83_1018;
													}
												}
											else
												{	/* Unsafe/rsa.scm 229 */
													obj_t BgL_arg1329z00_1025;

													{	/* Unsafe/rsa.scm 229 */
														obj_t BgL_arg1330z00_1026;

														BgL_arg1330z00_1026 =
															MAKE_PAIR(BINT(((long) 2)), BgL_lstz00_1016);
														BgL_arg1329z00_1025 =
															MAKE_PAIR(BINT(((long) 0)), BgL_arg1330z00_1026);
													}
													BgL_padz00_1013 =
														BGl_listzd2ze3u8vectorz31zz__srfi4z00
														(BgL_arg1329z00_1025);
									}}}
									return
										BGl_u8vectorzd2appendzd2zz__rsaz00(BgL_padz00_1013,
										BgL_u8vectz00_32);
								}
						}
					}
				}
			}
		}
	}



/* &PKCS1-pad */
	obj_t BGl_z62PKCS1zd2padzb0zz__rsaz00(obj_t BgL_envz00_2941,
		obj_t BgL_u8vectz00_2942, obj_t BgL_finalzd2lenzd2_2943)
	{
		AN_OBJECT;
		{	/* Unsafe/rsa.scm 218 */
			return
				BGl_PKCS1zd2padzd2zz__rsaz00(BgL_u8vectz00_2942,
				BgL_finalzd2lenzd2_2943);
		}
	}



/* PKCS1-unpad */
	BGL_EXPORTED_DEF obj_t BGl_PKCS1zd2unpadzd2zz__rsaz00(obj_t BgL_u8vectz00_34)
	{
		AN_OBJECT;
		{	/* Unsafe/rsa.scm 235 */
			{	/* Unsafe/rsa.scm 240 */
				long BgL_lenz00_1032;

				{	/* Unsafe/rsa.scm 240 */
					long BgL_res1940z00_2290;

					BgL_res1940z00_2290 = BGL_HVECTOR_LENGTH(BgL_u8vectz00_34);
					BgL_lenz00_1032 = BgL_res1940z00_2290;
				}
				{
					long BgL_iz00_1034;

					BgL_iz00_1034 = ((long) 0);
				BgL_zc3anonymousza31334ze3z83_1035:
					if (BGl_2ze3zd3z30zz__r4_numbers_6_5z00(BINT(BgL_iz00_1034),
							BINT(BgL_lenz00_1032)))
						{	/* Unsafe/rsa.scm 242 */
							return
								BGl_errorz00zz__errorz00(BGl_symbol2102z00zz__rsaz00,
								BGl_string2104z00zz__rsaz00, BgL_u8vectz00_34);
						}
					else
						{	/* Unsafe/rsa.scm 244 */
							unsigned char BgL_xz00_1037;

							BgL_xz00_1037 = BGL_U8VREF(BgL_u8vectz00_34, BgL_iz00_1034);
							if (((long) (BgL_xz00_1037) == ((long) 0)))
								{
									long BgL_iz00_3346;

									BgL_iz00_3346 = (BgL_iz00_1034 + ((long) 1));
									BgL_iz00_1034 = BgL_iz00_3346;
									goto BgL_zc3anonymousza31334ze3z83_1035;
								}
							else
								{	/* Unsafe/rsa.scm 245 */
									if (((long) (BgL_xz00_1037) == ((long) 2)))
										{	/* Unsafe/rsa.scm 250 */
											long BgL_g1044z00_1042;

											BgL_g1044z00_1042 = (BgL_iz00_1034 + ((long) 1));
											{
												long BgL_jz00_1044;

												BgL_jz00_1044 = BgL_g1044z00_1042;
											BgL_zc3anonymousza31340ze3z83_1045:
												if (BGl_2ze3zd3z30zz__r4_numbers_6_5z00(BINT
														(BgL_jz00_1044), BINT(BgL_lenz00_1032)))
													{	/* Unsafe/rsa.scm 251 */
														return
															BGl_errorz00zz__errorz00
															(BGl_symbol2102z00zz__rsaz00,
															BGl_string2104z00zz__rsaz00, BgL_u8vectz00_34);
													}
												else
													{	/* Unsafe/rsa.scm 253 */
														unsigned char BgL_xz00_1047;

														BgL_xz00_1047 =
															BGL_U8VREF(BgL_u8vectz00_34, BgL_jz00_1044);
														if (((long) (BgL_xz00_1047) == ((long) 0)))
															{	/* Unsafe/rsa.scm 255 */
																if (BGl_2zc3zc3zz__r4_numbers_6_5z00(BINT(
																			(long)
																			CINT(BGl_2zd2zd2zz__r4_numbers_6_5z00(BINT
																					(BgL_jz00_1044),
																					BINT(BgL_iz00_1034)))),
																		BINT(((long) 8))))
																	{	/* Unsafe/rsa.scm 257 */
																		return
																			BGl_errorz00zz__errorz00
																			(BGl_symbol2102z00zz__rsaz00,
																			BGl_string2104z00zz__rsaz00,
																			BgL_u8vectz00_34);
																	}
																else
																	{	/* Unsafe/rsa.scm 257 */
																		return
																			BGl_subu8vectorz00zz__rsaz00
																			(BgL_u8vectz00_34,
																			(BgL_jz00_1044 + ((long) 1)),
																			BgL_lenz00_1032);
															}}
														else
															{
																long BgL_jz00_3372;

																BgL_jz00_3372 = (BgL_jz00_1044 + ((long) 1));
																BgL_jz00_1044 = BgL_jz00_3372;
																goto BgL_zc3anonymousza31340ze3z83_1045;
															}
													}
											}
										}
									else
										{	/* Unsafe/rsa.scm 247 */
											return
												BGl_errorz00zz__errorz00(BGl_symbol2102z00zz__rsaz00,
												BGl_string2104z00zz__rsaz00, BgL_u8vectz00_34);
										}
								}
						}
				}
			}
		}
	}



/* &PKCS1-unpad */
	obj_t BGl_z62PKCS1zd2unpadzb0zz__rsaz00(obj_t BgL_envz00_2944,
		obj_t BgL_u8vectz00_2945)
	{
		AN_OBJECT;
		{	/* Unsafe/rsa.scm 235 */
			return BGl_PKCS1zd2unpadzd2zz__rsaz00(BgL_u8vectz00_2945);
		}
	}



/* rsa-encrypt-u8vector */
	BGL_EXPORTED_DEF obj_t BGl_rsazd2encryptzd2u8vectorz00zz__rsaz00(obj_t
		BgL_u8vectz00_37, obj_t BgL_rsazd2keyzd2_38, obj_t BgL_finalzd2lenzd2_39)
	{
		AN_OBJECT;
		{	/* Unsafe/rsa.scm 274 */
			return
				BGl_bignumzd2ze3u8vectorz31zz__rsaz00(BGl_exptzd2modzd2zz__rsaz00
				(BGl_u8vectorzd2ze3bignumz31zz__rsaz00(BGl_PKCS1zd2padzd2zz__rsaz00
						(BgL_u8vectz00_37, BgL_finalzd2lenzd2_39)),
					STRUCT_REF(BgL_rsazd2keyzd2_38, (int) (((long) 2))),
					STRUCT_REF(BgL_rsazd2keyzd2_38, (int) (((long) 1)))));
		}
	}



/* &rsa-encrypt-u8vector */
	obj_t BGl_z62rsazd2encryptzd2u8vectorz62zz__rsaz00(obj_t BgL_envz00_2946,
		obj_t BgL_u8vectz00_2947, obj_t BgL_rsazd2keyzd2_2948,
		obj_t BgL_finalzd2lenzd2_2949)
	{
		AN_OBJECT;
		{	/* Unsafe/rsa.scm 274 */
			return
				BGl_rsazd2encryptzd2u8vectorz00zz__rsaz00(BgL_u8vectz00_2947,
				BgL_rsazd2keyzd2_2948, BgL_finalzd2lenzd2_2949);
		}
	}



/* rsa-decrypt-u8vector */
	BGL_EXPORTED_DEF obj_t BGl_rsazd2decryptzd2u8vectorz00zz__rsaz00(obj_t
		BgL_u8vectz00_40, obj_t BgL_rsazd2keyzd2_41)
	{
		AN_OBJECT;
		{	/* Unsafe/rsa.scm 283 */
			return
				BGl_PKCS1zd2unpadzd2zz__rsaz00(BGl_bignumzd2ze3u8vectorz31zz__rsaz00
				(BGl_exptzd2modzd2zz__rsaz00(BGl_u8vectorzd2ze3bignumz31zz__rsaz00
						(BgL_u8vectz00_40), STRUCT_REF(BgL_rsazd2keyzd2_41,
							(int) (((long) 2))), STRUCT_REF(BgL_rsazd2keyzd2_41,
							(int) (((long) 1))))));
		}
	}



/* &rsa-decrypt-u8vector */
	obj_t BGl_z62rsazd2decryptzd2u8vectorz62zz__rsaz00(obj_t BgL_envz00_2950,
		obj_t BgL_u8vectz00_2951, obj_t BgL_rsazd2keyzd2_2952)
	{
		AN_OBJECT;
		{	/* Unsafe/rsa.scm 283 */
			return
				BGl_rsazd2decryptzd2u8vectorz00zz__rsaz00(BgL_u8vectz00_2951,
				BgL_rsazd2keyzd2_2952);
		}
	}



/* expt-mod */
	obj_t BGl_exptzd2modzd2zz__rsaz00(obj_t BgL_nz00_1100, obj_t BgL_ez00_1101,
		obj_t BgL_mz00_1102)
	{
		AN_OBJECT;
		{	/* Unsafe/rsa.scm 396 */
		BGl_exptzd2modzd2zz__rsaz00:
			if (BXZERO(BgL_ez00_1101))
				{	/* Unsafe/rsa.scm 391 */
					return (bgl_string_to_bignum("1", 16));
				}
			else
				{	/* Unsafe/rsa.scm 391 */
					if (bgl_bignum_even(BgL_ez00_1101))
						{
							obj_t BgL_ez00_3401;
							obj_t BgL_nz00_3398;

							BgL_nz00_3398 =
								BGl_modulobxz00zz__r4_numbers_6_5_fixnumz00(bgl_bignum_mul
								(BgL_nz00_1100, BgL_nz00_1100), BgL_mz00_1102);
							BgL_ez00_3401 =
								bgl_bignum_quotient(BgL_ez00_1101, (bgl_string_to_bignum("2",
										16)));
							BgL_ez00_1101 = BgL_ez00_3401;
							BgL_nz00_1100 = BgL_nz00_3398;
							goto BGl_exptzd2modzd2zz__rsaz00;
						}
					else
						{	/* Unsafe/rsa.scm 393 */
							return
								BGl_modulobxz00zz__r4_numbers_6_5_fixnumz00(bgl_bignum_mul
								(BgL_nz00_1100, BGl_exptzd2modzd2zz__rsaz00(BgL_nz00_1100,
										bgl_bignum_sub(BgL_ez00_1101, (bgl_string_to_bignum("1",
													16))), BgL_mz00_1102)), BgL_mz00_1102);
						}
				}
		}
	}



/* u8vector-append */
	obj_t BGl_u8vectorzd2appendzd2zz__rsaz00(obj_t BgL_v1z00_48,
		obj_t BgL_v2z00_49)
	{
		AN_OBJECT;
		{	/* Unsafe/rsa.scm 403 */
			{	/* Unsafe/rsa.scm 404 */
				long BgL_len1z00_1113;

				{	/* Unsafe/rsa.scm 404 */
					long BgL_res1961z00_2377;

					BgL_res1961z00_2377 = BGL_HVECTOR_LENGTH(BgL_v1z00_48);
					BgL_len1z00_1113 = BgL_res1961z00_2377;
				}
				{	/* Unsafe/rsa.scm 404 */
					long BgL_len2z00_1114;

					{	/* Unsafe/rsa.scm 405 */
						long BgL_res1962z00_2379;

						BgL_res1962z00_2379 = BGL_HVECTOR_LENGTH(BgL_v2z00_49);
						BgL_len2z00_1114 = BgL_res1962z00_2379;
					}
					{	/* Unsafe/rsa.scm 405 */
						long BgL_lenz00_1115;

						BgL_lenz00_1115 = (BgL_len1z00_1113 + BgL_len2z00_1114);
						{	/* Unsafe/rsa.scm 406 */
							obj_t BgL_resz00_1116;

							{	/* Llib/srfi4.scm 232 */

								BgL_resz00_1116 =
									BGl_makezd2u8vectorzd2zz__srfi4z00(BgL_lenz00_1115,
									BINT(((long) 0)));
							}
							{	/* Unsafe/rsa.scm 407 */

								{
									long BgL_iz00_1118;

									BgL_iz00_1118 = ((long) 0);
								BgL_zc3anonymousza31394ze3z83_1119:
									if ((BgL_iz00_1118 < BgL_len1z00_1113))
										{	/* Unsafe/rsa.scm 409 */
											{	/* Unsafe/rsa.scm 411 */
												unsigned char BgL_arg1396z00_1121;

												BgL_arg1396z00_1121 =
													BGL_U8VREF(BgL_v1z00_48, BgL_iz00_1118);
												BGL_U8VSET(BgL_resz00_1116, BgL_iz00_1118,
													BgL_arg1396z00_1121);
												BUNSPEC;
											}
											{
												long BgL_iz00_3416;

												BgL_iz00_3416 = (BgL_iz00_1118 + ((long) 1));
												BgL_iz00_1118 = BgL_iz00_3416;
												goto BgL_zc3anonymousza31394ze3z83_1119;
											}
										}
									else
										{
											long BgL_jz00_2399;

											BgL_jz00_2399 = ((long) 0);
										BgL_loopz00_2398:
											if ((BgL_jz00_2399 < BgL_len2z00_1114))
												{	/* Unsafe/rsa.scm 414 */
													{	/* Unsafe/rsa.scm 416 */
														long BgL_arg1400z00_2404;
														unsigned char BgL_arg1401z00_2405;

														BgL_arg1400z00_2404 =
															(BgL_jz00_2399 + BgL_iz00_1118);
														BgL_arg1401z00_2405 =
															BGL_U8VREF(BgL_v2z00_49, BgL_jz00_2399);
														BGL_U8VSET(BgL_resz00_1116, BgL_arg1400z00_2404,
															BgL_arg1401z00_2405);
														BUNSPEC;
													}
													{
														long BgL_jz00_3423;

														BgL_jz00_3423 = (BgL_jz00_2399 + ((long) 1));
														BgL_jz00_2399 = BgL_jz00_3423;
														goto BgL_loopz00_2398;
													}
												}
											else
												{	/* Unsafe/rsa.scm 414 */
													return BgL_resz00_1116;
												}
										}
								}
							}
						}
					}
				}
			}
		}
	}



/* subu8vector */
	obj_t BGl_subu8vectorz00zz__rsaz00(obj_t BgL_vz00_50, long BgL_startz00_51,
		long BgL_endz00_52)
	{
		AN_OBJECT;
		{	/* Unsafe/rsa.scm 423 */
			{	/* Unsafe/rsa.scm 424 */
				long BgL_lenz00_1134;

				BgL_lenz00_1134 = (BgL_endz00_52 - BgL_startz00_51);
				{	/* Unsafe/rsa.scm 424 */
					obj_t BgL_resz00_1135;

					{	/* Llib/srfi4.scm 232 */

						BgL_resz00_1135 =
							BGl_makezd2u8vectorzd2zz__srfi4z00(BgL_lenz00_1134,
							BINT(((long) 0)));
					}
					{	/* Unsafe/rsa.scm 425 */

						{
							long BgL_iz00_1137;

							BgL_iz00_1137 = BgL_startz00_51;
						BgL_zc3anonymousza31403ze3z83_1138:
							if ((BgL_iz00_1137 < BgL_endz00_52))
								{	/* Unsafe/rsa.scm 427 */
									{	/* Unsafe/rsa.scm 429 */
										long BgL_arg1405z00_1140;
										unsigned char BgL_arg1406z00_1141;

										BgL_arg1405z00_1140 = (BgL_iz00_1137 - BgL_startz00_51);
										BgL_arg1406z00_1141 =
											BGL_U8VREF(BgL_vz00_50, BgL_iz00_1137);
										BGL_U8VSET(BgL_resz00_1135, BgL_arg1405z00_1140,
											BgL_arg1406z00_1141);
										BUNSPEC;
									}
									{
										long BgL_iz00_3433;

										BgL_iz00_3433 = (BgL_iz00_1137 + ((long) 1));
										BgL_iz00_1137 = BgL_iz00_3433;
										goto BgL_zc3anonymousza31403ze3z83_1138;
									}
								}
							else
								{	/* Unsafe/rsa.scm 427 */
									return BgL_resz00_1135;
								}
						}
					}
				}
			}
		}
	}



/* bignum->u8vector */
	obj_t BGl_bignumzd2ze3u8vectorz31zz__rsaz00(obj_t BgL_nz00_54)
	{
		AN_OBJECT;
		{	/* Unsafe/rsa.scm 455 */
			{
				obj_t BgL_nz00_1200;

				{	/* Unsafe/rsa.scm 464 */
					long BgL_siza7eza7_1186;

					BgL_nz00_1200 = BgL_nz00_54;
					{
						long BgL_siza7eza7_2460;
						obj_t BgL_accz00_2461;

						BgL_siza7eza7_2460 = ((long) 1);
						BgL_accz00_2461 = (bgl_string_to_bignum("ff", 16));
					BgL_loopz00_2459:
						if (
							((long) (bgl_bignum_cmp(BgL_nz00_1200,
										BgL_accz00_2461)) > ((long) 0)))
							{
								obj_t BgL_accz00_3441;
								long BgL_siza7eza7_3439;

								BgL_siza7eza7_3439 = (BgL_siza7eza7_2460 + ((long) 1));
								BgL_accz00_3441 =
									bgl_bignum_mul(BgL_accz00_2461, (bgl_string_to_bignum("ff",
											16)));
								BgL_accz00_2461 = BgL_accz00_3441;
								BgL_siza7eza7_2460 = BgL_siza7eza7_3439;
								goto BgL_loopz00_2459;
							}
						else
							{	/* Unsafe/rsa.scm 460 */
								BgL_siza7eza7_1186 = BgL_siza7eza7_2460;
							}
					}
					{	/* Unsafe/rsa.scm 464 */
						obj_t BgL_resz00_1187;

						{	/* Llib/srfi4.scm 232 */

							BgL_resz00_1187 =
								BGl_makezd2u8vectorzd2zz__srfi4z00(BgL_siza7eza7_1186,
								BINT(((long) 0)));
						}
						{	/* Unsafe/rsa.scm 465 */

							{
								long BgL_iz00_2496;
								obj_t BgL_vz00_2497;

								BgL_iz00_2496 = ((long) 0);
								BgL_vz00_2497 = BgL_nz00_54;
							BgL_loopz00_2495:
								if ((BgL_iz00_2496 == BgL_siza7eza7_1186))
									{	/* Unsafe/rsa.scm 468 */
										return BgL_resz00_1187;
									}
								else
									{	/* Unsafe/rsa.scm 468 */
										{	/* Unsafe/rsa.scm 471 */
											long BgL_arg1429z00_2502;

											BgL_arg1429z00_2502 =
												bgl_bignum_to_long(bgl_bignum_remainder(BgL_vz00_2497,
													(bgl_string_to_bignum("100", 16))));
											{	/* Unsafe/rsa.scm 471 */
												unsigned char BgL_auxz00_3449;

												BgL_auxz00_3449 = (unsigned char) (BgL_arg1429z00_2502);
												BGL_U8VSET(BgL_resz00_1187, BgL_iz00_2496,
													BgL_auxz00_3449);
											} BUNSPEC;
										}
										{
											obj_t BgL_vz00_3454;
											long BgL_iz00_3452;

											BgL_iz00_3452 = (BgL_iz00_2496 + ((long) 1));
											BgL_vz00_3454 =
												bgl_bignum_quotient(BgL_vz00_2497,
												(bgl_string_to_bignum("100", 16)));
											BgL_vz00_2497 = BgL_vz00_3454;
											BgL_iz00_2496 = BgL_iz00_3452;
											goto BgL_loopz00_2495;
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* u8vector->bignum */
	obj_t BGl_u8vectorzd2ze3bignumz31zz__rsaz00(obj_t BgL_u8vectz00_55)
	{
		AN_OBJECT;
		{	/* Unsafe/rsa.scm 477 */
			{	/* Unsafe/rsa.scm 478 */
				long BgL_g1046z00_1211;

				{	/* Unsafe/rsa.scm 478 */
					long BgL_arg1450z00_1223;

					{	/* Unsafe/rsa.scm 478 */
						long BgL_res1990z00_2518;

						BgL_res1990z00_2518 = BGL_HVECTOR_LENGTH(BgL_u8vectz00_55);
						BgL_arg1450z00_1223 = BgL_res1990z00_2518;
					}
					BgL_g1046z00_1211 = (BgL_arg1450z00_1223 - ((long) 1));
				}
				{
					long BgL_iz00_2565;
					obj_t BgL_az00_2566;

					BgL_iz00_2565 = BgL_g1046z00_1211;
					BgL_az00_2566 = (bgl_string_to_bignum("0", 16));
				BgL_loopz00_2564:
					if ((BgL_iz00_2565 == ((long) -1)))
						{	/* Unsafe/rsa.scm 480 */
							return BgL_az00_2566;
						}
					else
						{	/* Unsafe/rsa.scm 482 */
							obj_t BgL_dz00_2574;

							{	/* Unsafe/rsa.scm 482 */
								unsigned char BgL_arg1444z00_2575;

								BgL_arg1444z00_2575 =
									BGL_U8VREF(BgL_u8vectz00_55, BgL_iz00_2565);
								BgL_dz00_2574 =
									bgl_long_to_bignum((long) (BgL_arg1444z00_2575));
							}
							{
								obj_t BgL_az00_3465;
								long BgL_iz00_3463;

								BgL_iz00_3463 = (BgL_iz00_2565 - ((long) 1));
								BgL_az00_3465 =
									bgl_bignum_add(bgl_bignum_mul(BgL_az00_2566,
										(bgl_string_to_bignum("100", 16))), BgL_dz00_2574);
								BgL_az00_2566 = BgL_az00_3465;
								BgL_iz00_2565 = BgL_iz00_3463;
								goto BgL_loopz00_2564;
							}
						}
				}
			}
		}
	}



/* rsa-encrypt-string */
	BGL_EXPORTED_DEF obj_t BGl_rsazd2encryptzd2stringz00zz__rsaz00(obj_t
		BgL_strz00_57, obj_t BgL_keyz00_58)
	{
		AN_OBJECT;
		{	/* Unsafe/rsa.scm 514 */
			{	/* Unsafe/rsa.scm 515 */
				obj_t BgL_runner1485z00_1283;

				{	/* Unsafe/rsa.scm 516 */
					obj_t BgL_l01093z00_1260;

					{	/* Unsafe/rsa.scm 519 */
						obj_t BgL_arg1473z00_1269;

						{	/* Unsafe/rsa.scm 519 */
							obj_t BgL_arg1474z00_1270;
							long BgL_arg1476z00_1271;

							{	/* Unsafe/rsa.scm 519 */
								obj_t BgL_arg1477z00_1272;

								{	/* Unsafe/rsa.scm 519 */
									obj_t BgL_l01090z00_1273;

									BgL_l01090z00_1273 =
										BGl_stringzd2ze3listz31zz__r4_strings_6_7z00(BgL_strz00_57);
									{
										obj_t BgL_l1089z00_1275;

										BgL_l1089z00_1275 = BgL_l01090z00_1273;
									BgL_zc3anonymousza31478ze3z83_1276:
										if (NULLP(BgL_l1089z00_1275))
											{	/* Unsafe/rsa.scm 519 */
												BgL_arg1477z00_1272 = BgL_l01090z00_1273;
											}
										else
											{	/* Unsafe/rsa.scm 519 */
												{	/* Unsafe/rsa.scm 519 */
													long BgL_arg1481z00_1278;

													BgL_arg1481z00_1278 = (CCHAR(CAR(BgL_l1089z00_1275)));
													{	/* Unsafe/rsa.scm 519 */
														obj_t BgL_auxz00_3474;

														BgL_auxz00_3474 = BINT(BgL_arg1481z00_1278);
														SET_CAR(BgL_l1089z00_1275, BgL_auxz00_3474);
												}}
												{
													obj_t BgL_l1089z00_3477;

													BgL_l1089z00_3477 = CDR(BgL_l1089z00_1275);
													BgL_l1089z00_1275 = BgL_l1089z00_3477;
													goto BgL_zc3anonymousza31478ze3z83_1276;
												}
											}
									}
								}
								BgL_arg1474z00_1270 =
									BGl_listzd2ze3u8vectorz31zz__srfi4z00(BgL_arg1477z00_1272);
							}
							BgL_arg1476z00_1271 =
								(STRING_LENGTH(BgL_strz00_57) + ((long) 12));
							{	/* Unsafe/rsa.scm 518 */
								obj_t BgL_finalzd2lenzd2_2608;

								BgL_finalzd2lenzd2_2608 = BINT(BgL_arg1476z00_1271);
								BgL_arg1473z00_1269 =
									BGl_bignumzd2ze3u8vectorz31zz__rsaz00
									(BGl_exptzd2modzd2zz__rsaz00
									(BGl_u8vectorzd2ze3bignumz31zz__rsaz00
										(BGl_PKCS1zd2padzd2zz__rsaz00(BgL_arg1474z00_1270,
												BgL_finalzd2lenzd2_2608)), STRUCT_REF(BgL_keyz00_58,
											(int) (((long) 2))), STRUCT_REF(BgL_keyz00_58,
											(int) (((long) 1)))));
						}}
						BgL_l01093z00_1260 =
							BGl_u8vectorzd2ze3listz31zz__srfi4z00(BgL_arg1473z00_1269);
					}
					{
						obj_t BgL_l1092z00_1262;

						BgL_l1092z00_1262 = BgL_l01093z00_1260;
					BgL_zc3anonymousza31468ze3z83_1263:
						if (NULLP(BgL_l1092z00_1262))
							{	/* Unsafe/rsa.scm 517 */
								BgL_runner1485z00_1283 = BgL_l01093z00_1260;
							}
						else
							{	/* Unsafe/rsa.scm 517 */
								{	/* Unsafe/rsa.scm 517 */
									unsigned char BgL_arg1470z00_1265;

									BgL_arg1470z00_1265 = ((long) CINT(CAR(BgL_l1092z00_1262)));
									{	/* Unsafe/rsa.scm 517 */
										obj_t BgL_auxz00_3497;

										BgL_auxz00_3497 = BCHAR(BgL_arg1470z00_1265);
										SET_CAR(BgL_l1092z00_1262, BgL_auxz00_3497);
								}}
								{
									obj_t BgL_l1092z00_3500;

									BgL_l1092z00_3500 = CDR(BgL_l1092z00_1262);
									BgL_l1092z00_1262 = BgL_l1092z00_3500;
									goto BgL_zc3anonymousza31468ze3z83_1263;
								}
							}
					}
				}
				return
					BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(BgL_runner1485z00_1283);
			}
		}
	}



/* &rsa-encrypt-string */
	obj_t BGl_z62rsazd2encryptzd2stringz62zz__rsaz00(obj_t BgL_envz00_2953,
		obj_t BgL_strz00_2954, obj_t BgL_keyz00_2955)
	{
		AN_OBJECT;
		{	/* Unsafe/rsa.scm 514 */
			{	/* Unsafe/rsa.scm 515 */
				obj_t BgL_auxz00_3503;

				if (STRINGP(BgL_strz00_2954))
					{	/* Unsafe/rsa.scm 515 */
						BgL_auxz00_3503 = BgL_strz00_2954;
					}
				else
					{
						obj_t BgL_auxz00_3506;

						BgL_auxz00_3506 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2093z00zz__rsaz00,
							BINT(((long) 21577)), BGl_string2105z00zz__rsaz00,
							BGl_string2106z00zz__rsaz00, BgL_strz00_2954);
						FAILURE(BgL_auxz00_3506, BFALSE, BFALSE);
					}
				return
					BGl_rsazd2encryptzd2stringz00zz__rsaz00(BgL_auxz00_3503,
					BgL_keyz00_2955);
			}
		}
	}



/* rsa-decrypt-string */
	BGL_EXPORTED_DEF obj_t BGl_rsazd2decryptzd2stringz00zz__rsaz00(obj_t
		BgL_strz00_59, obj_t BgL_keyz00_60)
	{
		AN_OBJECT;
		{	/* Unsafe/rsa.scm 526 */
			{	/* Unsafe/rsa.scm 527 */
				obj_t BgL_runner1502z00_1305;

				{	/* Unsafe/rsa.scm 528 */
					obj_t BgL_l01099z00_1284;

					{	/* Unsafe/rsa.scm 531 */
						obj_t BgL_arg1491z00_1293;

						{	/* Unsafe/rsa.scm 531 */
							obj_t BgL_arg1492z00_1294;

							{	/* Unsafe/rsa.scm 531 */
								obj_t BgL_arg1493z00_1295;

								{	/* Unsafe/rsa.scm 531 */
									obj_t BgL_l01096z00_1296;

									BgL_l01096z00_1296 =
										BGl_stringzd2ze3listz31zz__r4_strings_6_7z00(BgL_strz00_59);
									{
										obj_t BgL_l1095z00_1298;

										BgL_l1095z00_1298 = BgL_l01096z00_1296;
									BgL_zc3anonymousza31494ze3z83_1299:
										if (NULLP(BgL_l1095z00_1298))
											{	/* Unsafe/rsa.scm 531 */
												BgL_arg1493z00_1295 = BgL_l01096z00_1296;
											}
										else
											{	/* Unsafe/rsa.scm 531 */
												{	/* Unsafe/rsa.scm 531 */
													long BgL_arg1498z00_1301;

													BgL_arg1498z00_1301 = (CCHAR(CAR(BgL_l1095z00_1298)));
													{	/* Unsafe/rsa.scm 531 */
														obj_t BgL_auxz00_3517;

														BgL_auxz00_3517 = BINT(BgL_arg1498z00_1301);
														SET_CAR(BgL_l1095z00_1298, BgL_auxz00_3517);
												}}
												{
													obj_t BgL_l1095z00_3520;

													BgL_l1095z00_3520 = CDR(BgL_l1095z00_1298);
													BgL_l1095z00_1298 = BgL_l1095z00_3520;
													goto BgL_zc3anonymousza31494ze3z83_1299;
												}
											}
									}
								}
								BgL_arg1492z00_1294 =
									BGl_listzd2ze3u8vectorz31zz__srfi4z00(BgL_arg1493z00_1295);
							}
							BgL_arg1491z00_1293 =
								BGl_PKCS1zd2unpadzd2zz__rsaz00
								(BGl_bignumzd2ze3u8vectorz31zz__rsaz00
								(BGl_exptzd2modzd2zz__rsaz00
									(BGl_u8vectorzd2ze3bignumz31zz__rsaz00(BgL_arg1492z00_1294),
										STRUCT_REF(BgL_keyz00_60, (int) (((long) 2))),
										STRUCT_REF(BgL_keyz00_60, (int) (((long) 1))))));
						}
						BgL_l01099z00_1284 =
							BGl_u8vectorzd2ze3listz31zz__srfi4z00(BgL_arg1491z00_1293);
					}
					{
						obj_t BgL_l1098z00_1286;

						BgL_l1098z00_1286 = BgL_l01099z00_1284;
					BgL_zc3anonymousza31486ze3z83_1287:
						if (NULLP(BgL_l1098z00_1286))
							{	/* Unsafe/rsa.scm 529 */
								BgL_runner1502z00_1305 = BgL_l01099z00_1284;
							}
						else
							{	/* Unsafe/rsa.scm 529 */
								{	/* Unsafe/rsa.scm 529 */
									unsigned char BgL_arg1488z00_1289;

									BgL_arg1488z00_1289 = ((long) CINT(CAR(BgL_l1098z00_1286)));
									{	/* Unsafe/rsa.scm 529 */
										obj_t BgL_auxz00_3537;

										BgL_auxz00_3537 = BCHAR(BgL_arg1488z00_1289);
										SET_CAR(BgL_l1098z00_1286, BgL_auxz00_3537);
								}}
								{
									obj_t BgL_l1098z00_3540;

									BgL_l1098z00_3540 = CDR(BgL_l1098z00_1286);
									BgL_l1098z00_1286 = BgL_l1098z00_3540;
									goto BgL_zc3anonymousza31486ze3z83_1287;
								}
							}
					}
				}
				return
					BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(BgL_runner1502z00_1305);
			}
		}
	}



/* &rsa-decrypt-string */
	obj_t BGl_z62rsazd2decryptzd2stringz62zz__rsaz00(obj_t BgL_envz00_2956,
		obj_t BgL_strz00_2957, obj_t BgL_keyz00_2958)
	{
		AN_OBJECT;
		{	/* Unsafe/rsa.scm 526 */
			{	/* Unsafe/rsa.scm 527 */
				obj_t BgL_auxz00_3543;

				if (STRINGP(BgL_strz00_2957))
					{	/* Unsafe/rsa.scm 527 */
						BgL_auxz00_3543 = BgL_strz00_2957;
					}
				else
					{
						obj_t BgL_auxz00_3546;

						BgL_auxz00_3546 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2093z00zz__rsaz00,
							BINT(((long) 22038)), BGl_string2107z00zz__rsaz00,
							BGl_string2106z00zz__rsaz00, BgL_strz00_2957);
						FAILURE(BgL_auxz00_3546, BFALSE, BFALSE);
					}
				return
					BGl_rsazd2decryptzd2stringz00zz__rsaz00(BgL_auxz00_3543,
					BgL_keyz00_2958);
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__rsaz00()
	{
		AN_OBJECT;
		{	/* Unsafe/rsa.scm 16 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__rsaz00()
	{
		AN_OBJECT;
		{	/* Unsafe/rsa.scm 16 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__rsaz00()
	{
		AN_OBJECT;
		{	/* Unsafe/rsa.scm 16 */
			return BUNSPEC;
		}
	}

#ifdef __cplusplus
}
#endif
