/*===========================================================================*/
/*   (BackEnd/cplib.scm)                                                     */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent BackEnd/cplib.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_jclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		obj_t BgL_packagez00;
	}                *BgL_jclassz00_bglt;

	typedef struct BgL_wclassz00_bgl
	{
		obj_t BgL_itszd2classzd2;
	}                *BgL_wclassz00_bglt;

	typedef struct BgL_slotz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_srcz00;
		obj_t BgL_classzd2ownerzd2;
		long BgL_indexz00;
		obj_t BgL_typez00;
		bool_t BgL_readzd2onlyzf3z21;
		obj_t BgL_defaultzd2valuezd2;
		obj_t BgL_virtualzd2numzd2;
		bool_t BgL_virtualzd2overridezd2;
		obj_t BgL_getterz00;
		obj_t BgL_setterz00;
		obj_t BgL_userzd2infozd2;
	}              *BgL_slotz00_bglt;


	static obj_t
		BGl_z62getzd2declaredzd2globalzd2variableszb0zzbackend_cplibz00(obj_t,
		obj_t);
	static obj_t BGl_z62widezd2ze3chunkz53zzbackend_cplibz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getzd2declaredzd2fieldsz00zzbackend_cplibz00(BgL_typez00_bglt);
	static obj_t BGl_z62qualifiedzd2jclasszd2namez62zzbackend_cplibz00(obj_t,
		obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_z62globalzd2arityzb0zzbackend_cplibz00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62getzd2itszd2superz62zzbackend_cplibz00(obj_t,
		obj_t);
	extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t bigloo_module_mangle(obj_t, obj_t);
	extern obj_t BGl_getzd2objectzd2typez00zztype_cachez00();
	static obj_t BGl_objectzd2initzd2zzbackend_cplibz00();
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzbackend_cplibz00();
	BGL_EXPORTED_DECL obj_t
		BGl_getzd2declaredzd2globalzd2variableszd2zzbackend_cplibz00(obj_t);
	static obj_t
		BGl_z62forzd2eachzd2declaredzd2classeszb0zzbackend_cplibz00(obj_t, obj_t);
	static obj_t
		BGl_z62getzd2globalzd2variableszd2tozd2bezd2initializa7edz17zzbackend_cplibz00
		(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_qualifiedzd2realzd2tclasszd2namezd2zzbackend_cplibz00(BgL_typez00_bglt);
	extern obj_t BGl_cfunz00zzast_varz00;
	static obj_t BGl_typezd2ze3classz31zzbackend_cplibz00(BgL_typez00_bglt);
	BGL_IMPORT obj_t bigloo_mangle(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_resetzd2globalz12zc0zzbackend_cplibz00(BgL_globalz00_bglt);
	static obj_t BGl_zc3anonymousza32036ze3z83zzbackend_cplibz00(obj_t, obj_t);
	extern obj_t BGl_za2jvmzd2foreignzd2classzd2nameza2zd2zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t
		BGl_getzd2fieldzd2typez00zzbackend_cplibz00(BgL_slotz00_bglt);
	extern obj_t BGl_getzd2classzd2listz00zzobject_classz00();
	BGL_IMPORT bool_t bigloo_strcmp(obj_t, obj_t);
	extern obj_t BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t);
	static obj_t BGl_z62getzd2declaredzd2classesz62zzbackend_cplibz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzbackend_cplibz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_qualifiedzd2wclasszd2namez00zzbackend_cplibz00(BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_getzd2declaredzd2classesz00zzbackend_cplibz00();
	extern obj_t BGl_tclassz00zzobject_classz00;
	extern bool_t BGl_widezd2classzf3z21zzobject_classz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32062ze3ze1zzbackend_cplibz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_qualifiedzd2tclasszd2namez00zzbackend_cplibz00(BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_getzd2globalzd2variableszd2tozd2bezd2initializa7edz75zzbackend_cplibz00
		(obj_t);
	static obj_t BGl_toplevelzd2initzd2zzbackend_cplibz00();
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzbackend_cplibz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_z62qualifiedzd2wclasszd2namez62zzbackend_cplibz00(obj_t,
		obj_t);
	extern obj_t BGl_widezd2chunkzd2classzd2idzd2zzobject_classz00(obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_findzd2javazd2classz00zzmodule_javaz00(obj_t);
	static obj_t BGl_z62qualifiedzd2tclasszd2namez62zzbackend_cplibz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_globalzd2entryzd2zzbackend_cplibz00(BgL_globalz00_bglt);
	static obj_t BGl_z62setzd2variablezd2namez12z70zzbackend_cplibz00(obj_t,
		obj_t);
	BGL_IMPORT bool_t BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00(obj_t);
	static obj_t BGl_z62resetzd2globalz12za2zzbackend_cplibz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_getzd2itszd2superz00zzbackend_cplibz00(BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_forzd2eachzd2declaredzd2classeszd2zzbackend_cplibz00(obj_t);
	extern obj_t BGl_wclassz00zzobject_classz00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzbackend_cplibz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_c_prototypez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_javaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcnst_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern bool_t BGl_slotzd2virtualzf3z21zzobject_slotsz00(BgL_slotz00_bglt);
	BGL_IMPORT obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		long);
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zzbackend_cplibz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzbackend_cplibz00();
	extern bool_t
		BGl_requirezd2prototypezf3z21zzbackend_c_prototypez00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2arityzd2zzbackend_cplibz00(BgL_globalz00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzbackend_cplibz00();
	extern obj_t BGl_scnstz00zzast_varz00;
	BGL_IMPORT obj_t BGl_prefixz00zz__osz00(obj_t);
	static obj_t BGl_z62classzd2idzd2ze3typezd2namez53zzbackend_cplibz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62qualifiedzd2typezd2namez62zzbackend_cplibz00(obj_t,
		obj_t);
	static obj_t BGl_z62getzd2fieldzd2typez62zzbackend_cplibz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_widezd2ze3chunkz31zzbackend_cplibz00(BgL_typez00_bglt);
	extern BgL_typez00_bglt BGl_findzd2typezd2zztype_envz00(obj_t);
	static obj_t BGl_z62getzd2declaredzd2fieldsz62zzbackend_cplibz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(BgL_variablez00_bglt);
	static BgL_globalz00_bglt BGl_z62globalzd2entryzb0zzbackend_cplibz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_classzd2idzd2ze3typezd2namez31zzbackend_cplibz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_qualifiedzd2typezd2namez00zzbackend_cplibz00(BgL_typez00_bglt);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl_z62zc3anonymousza32050ze3ze1zzbackend_cplibz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_qualifiedzd2jclasszd2namez00zzbackend_cplibz00(BgL_typez00_bglt);
	static obj_t __cnst[6];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2declaredzd2globalzd2variableszd2envz00zzbackend_cplibz00,
		BgL_bgl_za762getza7d2declare2211z00,
		BGl_z62getzd2declaredzd2globalzd2variableszb0zzbackend_cplibz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_resetzd2globalz12zd2envz12zzbackend_cplibz00,
		BgL_bgl_za762resetza7d2globa2212z00,
		BGl_z62resetzd2globalz12za2zzbackend_cplibz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2193z00zzbackend_cplibz00,
		BgL_bgl_string2193za700za7za7b2213za7, "_K", 2);
	      DEFINE_STRING(BGl_string2194z00zzbackend_cplibz00,
		BgL_bgl_string2194za700za7za7b2214za7, "object", 6);
	      DEFINE_STRING(BGl_string2195z00zzbackend_cplibz00,
		BgL_bgl_string2195za700za7za7b2215za7, "", 0);
	      DEFINE_STRING(BGl_string2196z00zzbackend_cplibz00,
		BgL_bgl_string2196za700za7za7b2216za7, "bigloo", 6);
	      DEFINE_STRING(BGl_string2197z00zzbackend_cplibz00,
		BgL_bgl_string2197za700za7za7b2217za7, ".", 1);
	      DEFINE_STRING(BGl_string2198z00zzbackend_cplibz00,
		BgL_bgl_string2198za700za7za7b2218za7, "bigloo.", 7);
	      DEFINE_STRING(BGl_string2199z00zzbackend_cplibz00,
		BgL_bgl_string2199za700za7za7b2219za7, "_", 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_classzd2idzd2ze3typezd2namezd2envze3zzbackend_cplibz00,
		BgL_bgl_za762classza7d2idza7d22220za7,
		BGl_z62classzd2idzd2ze3typezd2namez53zzbackend_cplibz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_widezd2ze3chunkzd2envze3zzbackend_cplibz00,
		BgL_bgl_za762wideza7d2za7e3chu2221za7,
		BGl_z62widezd2ze3chunkz53zzbackend_cplibz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2entryzd2envz00zzbackend_cplibz00,
		BgL_bgl_za762globalza7d2entr2222z00,
		BGl_z62globalzd2entryzb0zzbackend_cplibz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2variablezd2namez12zd2envzc0zzbackend_cplibz00,
		BgL_bgl_za762setza7d2variabl2223z00,
		BGl_z62setzd2variablezd2namez12z70zzbackend_cplibz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_forzd2eachzd2declaredzd2classeszd2envz00zzbackend_cplibz00,
		BgL_bgl_za762forza7d2eachza7d22224za7,
		BGl_z62forzd2eachzd2declaredzd2classeszb0zzbackend_cplibz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_qualifiedzd2jclasszd2namezd2envzd2zzbackend_cplibz00,
		BgL_bgl_za762qualifiedza7d2j2225z00,
		BGl_z62qualifiedzd2jclasszd2namez62zzbackend_cplibz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2200z00zzbackend_cplibz00,
		BgL_bgl_string2200za700za7za7b2226za7, "set-variable-name!", 18);
	      DEFINE_STRING(BGl_string2201z00zzbackend_cplibz00,
		BgL_bgl_string2201za700za7za7b2227za7, "Unknown variable king", 21);
	      DEFINE_STRING(BGl_string2202z00zzbackend_cplibz00,
		BgL_bgl_string2202za700za7za7b2228za7, "Illegal type", 12);
	      DEFINE_STRING(BGl_string2203z00zzbackend_cplibz00,
		BgL_bgl_string2203za700za7za7b2229za7, "wide-chunk", 10);
	      DEFINE_STRING(BGl_string2204z00zzbackend_cplibz00,
		BgL_bgl_string2204za700za7za7b2230za7, "internal error", 14);
	      DEFINE_STRING(BGl_string2205z00zzbackend_cplibz00,
		BgL_bgl_string2205za700za7za7b2231za7, "backend_cplib", 13);
	      DEFINE_STRING(BGl_string2206z00zzbackend_cplibz00,
		BgL_bgl_string2206za700za7za7b2232za7,
		"__cnsts_table get-declared-fields import stvector foreign obj ", 62);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_qualifiedzd2typezd2namezd2envzd2zzbackend_cplibz00,
		BgL_bgl_za762qualifiedza7d2t2233z00,
		BGl_z62qualifiedzd2typezd2namez62zzbackend_cplibz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_qualifiedzd2tclasszd2namezd2envzd2zzbackend_cplibz00,
		BgL_bgl_za762qualifiedza7d2t2234z00,
		BGl_z62qualifiedzd2tclasszd2namez62zzbackend_cplibz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2globalzd2variableszd2tozd2bezd2initializa7edzd2envza7zzbackend_cplibz00,
		BgL_bgl_za762getza7d2globalza72235za7,
		BGl_z62getzd2globalzd2variableszd2tozd2bezd2initializa7edz17zzbackend_cplibz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_qualifiedzd2wclasszd2namezd2envzd2zzbackend_cplibz00,
		BgL_bgl_za762qualifiedza7d2w2236z00,
		BGl_z62qualifiedzd2wclasszd2namez62zzbackend_cplibz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2arityzd2envz00zzbackend_cplibz00,
		BgL_bgl_za762globalza7d2arit2237z00,
		BGl_z62globalzd2arityzb0zzbackend_cplibz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2declaredzd2classeszd2envzd2zzbackend_cplibz00,
		BgL_bgl_za762getza7d2declare2238z00,
		BGl_z62getzd2declaredzd2classesz62zzbackend_cplibz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2itszd2superzd2envzd2zzbackend_cplibz00,
		BgL_bgl_za762getza7d2itsza7d2s2239za7,
		BGl_z62getzd2itszd2superz62zzbackend_cplibz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2declaredzd2fieldszd2envzd2zzbackend_cplibz00,
		BgL_bgl_za762getza7d2declare2240z00,
		BGl_z62getzd2declaredzd2fieldsz62zzbackend_cplibz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2fieldzd2typezd2envzd2zzbackend_cplibz00,
		BgL_bgl_za762getza7d2fieldza7d2241za7,
		BGl_z62getzd2fieldzd2typez62zzbackend_cplibz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzbackend_cplibz00(long
		BgL_checksumz00_2875, char *BgL_fromz00_2876)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzbackend_cplibz00))
				{
					BGl_requirezd2initializa7ationz75zzbackend_cplibz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzbackend_cplibz00();
					BGl_cnstzd2initzd2zzbackend_cplibz00();
					BGl_importedzd2moduleszd2initz00zzbackend_cplibz00();
					BGl_toplevelzd2initzd2zzbackend_cplibz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzbackend_cplibz00()
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 15 */
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0),
				"backend_cplib");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"backend_cplib");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "backend_cplib");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"backend_cplib");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"backend_cplib");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"backend_cplib");
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "backend_cplib");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"backend_cplib");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"backend_cplib");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"backend_cplib");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0),
				"backend_cplib");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzbackend_cplibz00()
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 15 */
			{	/* BackEnd/cplib.scm 15 */
				obj_t BgL_cportz00_2864;

				BgL_cportz00_2864 =
					bgl_open_input_string(BGl_string2206z00zzbackend_cplibz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2865;

					BgL_iz00_2865 = ((long) 5);
				BgL_loopz00_2866:
					if ((BgL_iz00_2865 == ((long) -1)))
						{	/* BackEnd/cplib.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* BackEnd/cplib.scm 15 */
							{	/* BackEnd/cplib.scm 15 */
								obj_t BgL_arg2209z00_2868;

								{	/* BackEnd/cplib.scm 15 */

									{	/* BackEnd/cplib.scm 15 */
										obj_t BgL_locationz00_2870;

										BgL_locationz00_2870 = BBOOL(((bool_t) 0));
										{	/* BackEnd/cplib.scm 15 */

											BgL_arg2209z00_2868 =
												BGl_readz00zz__readerz00(BgL_cportz00_2864,
												BgL_locationz00_2870);
										}
									}
								}
								{	/* BackEnd/cplib.scm 15 */
									int BgL_auxz00_2901;

									BgL_auxz00_2901 = (int) (BgL_iz00_2865);
									CNST_TABLE_SET(BgL_auxz00_2901, BgL_arg2209z00_2868);
							}}
							{	/* BackEnd/cplib.scm 15 */
								int BgL_auxz00_2871;

								BgL_auxz00_2871 = (int) ((BgL_iz00_2865 - ((long) 1)));
								{
									long BgL_iz00_2906;

									BgL_iz00_2906 = (long) (BgL_auxz00_2871);
									BgL_iz00_2865 = BgL_iz00_2906;
									goto BgL_loopz00_2866;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzbackend_cplibz00()
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 15 */
			return BUNSPEC;
		}
	}



/* class-id->type-name */
	BGL_EXPORTED_DEF obj_t
		BGl_classzd2idzd2ze3typezd2namez31zzbackend_cplibz00(obj_t BgL_cidz00_13,
		obj_t BgL_midz00_14)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 56 */
			{	/* BackEnd/cplib.scm 57 */
				obj_t BgL_idz00_2554;

				{	/* BackEnd/cplib.scm 57 */
					obj_t BgL_arg1941z00_2555;
					obj_t BgL_arg1942z00_2556;

					{	/* BackEnd/cplib.scm 57 */
						obj_t BgL_res2131z00_2559;

						{	/* BackEnd/cplib.scm 57 */
							obj_t BgL_arg1265z00_2558;

							BgL_arg1265z00_2558 = SYMBOL_TO_STRING(BgL_cidz00_13);
							BgL_res2131z00_2559 =
								BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1265z00_2558);
						}
						BgL_arg1941z00_2555 = BgL_res2131z00_2559;
					}
					{	/* BackEnd/cplib.scm 57 */
						obj_t BgL_res2132z00_2562;

						{	/* BackEnd/cplib.scm 57 */
							obj_t BgL_arg1265z00_2561;

							BgL_arg1265z00_2561 = SYMBOL_TO_STRING(BgL_midz00_14);
							BgL_res2132z00_2562 =
								BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1265z00_2561);
						}
						BgL_arg1942z00_2556 = BgL_res2132z00_2562;
					}
					BgL_idz00_2554 =
						bigloo_module_mangle(BgL_arg1941z00_2555, BgL_arg1942z00_2556);
				}
				return
					string_append(BGl_string2193z00zzbackend_cplibz00, BgL_idz00_2554);
			}
		}
	}



/* &class-id->type-name */
	obj_t BGl_z62classzd2idzd2ze3typezd2namez53zzbackend_cplibz00(obj_t
		BgL_envz00_2816, obj_t BgL_cidz00_2817, obj_t BgL_midz00_2818)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 56 */
			return
				BGl_classzd2idzd2ze3typezd2namez31zzbackend_cplibz00(BgL_cidz00_2817,
				BgL_midz00_2818);
		}
	}



/* qualified-real-tclass-name */
	obj_t
		BGl_qualifiedzd2realzd2tclasszd2namezd2zzbackend_cplibz00(BgL_typez00_bglt
		BgL_classz00_15)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 63 */
			{
				BgL_typez00_bglt BgL_classz00_1531;

				{
					obj_t BgL_namez00_1525;

					{
						BgL_typez00_bglt BgL_superz00_1507;

						{	/* BackEnd/cplib.scm 97 */
							obj_t BgL_arg1943z00_1505;
							obj_t BgL_arg1944z00_1506;

							BgL_superz00_1507 = BgL_classz00_15;
							{	/* BackEnd/cplib.scm 87 */
								bool_t BgL_testz00_2915;

								{	/* BackEnd/cplib.scm 87 */
									bool_t BgL_testz00_2916;

									{	/* BackEnd/cplib.scm 87 */
										obj_t BgL_arg1957z00_1523;

										{
											BgL_tclassz00_bglt BgL_auxz00_2917;

											{
												obj_t BgL_auxz00_2918;

												{	/* BackEnd/cplib.scm 87 */
													BgL_objectz00_bglt BgL_auxz00_2919;

													BgL_auxz00_2919 =
														((BgL_objectz00_bglt) BgL_superz00_1507);
													BgL_auxz00_2918 =
														BGL_OBJECT_WIDENING(BgL_auxz00_2919);
												}
												BgL_auxz00_2917 =
													((BgL_tclassz00_bglt) BgL_auxz00_2918);
											}
											BgL_arg1957z00_1523 =
												(((BgL_tclassz00_bglt) CREF(BgL_auxz00_2917))->
												BgL_itszd2superzd2);
										}
										BgL_testz00_2916 =
											BGl_isazf3zf3zz__objectz00(BgL_arg1957z00_1523,
											BGl_tclassz00zzobject_classz00);
									}
									if (BgL_testz00_2916)
										{	/* BackEnd/cplib.scm 88 */
											bool_t BgL_testz00_2925;

											{	/* BackEnd/cplib.scm 88 */
												obj_t BgL_auxz00_2926;

												{
													BgL_tclassz00_bglt BgL_auxz00_2928;

													{
														obj_t BgL_auxz00_2929;

														{	/* BackEnd/cplib.scm 88 */
															BgL_objectz00_bglt BgL_auxz00_2930;

															BgL_auxz00_2930 =
																((BgL_objectz00_bglt) BgL_superz00_1507);
															BgL_auxz00_2929 =
																BGL_OBJECT_WIDENING(BgL_auxz00_2930);
														}
														BgL_auxz00_2928 =
															((BgL_tclassz00_bglt) BgL_auxz00_2929);
													}
													BgL_auxz00_2926 =
														(((BgL_tclassz00_bglt) CREF(BgL_auxz00_2928))->
														BgL_itszd2superzd2);
												}
												BgL_testz00_2925 =
													(((obj_t) BgL_superz00_1507) == BgL_auxz00_2926);
											}
											if (BgL_testz00_2925)
												{	/* BackEnd/cplib.scm 89 */
													bool_t BgL_testz00_2936;

													{	/* BackEnd/cplib.scm 89 */
														obj_t BgL_auxz00_2937;

														{
															BgL_typez00_bglt BgL_auxz00_2938;

															{
																obj_t BgL_auxz00_2939;

																{
																	BgL_tclassz00_bglt BgL_auxz00_2940;

																	{
																		obj_t BgL_auxz00_2941;

																		{	/* BackEnd/cplib.scm 89 */
																			BgL_objectz00_bglt BgL_auxz00_2942;

																			BgL_auxz00_2942 =
																				((BgL_objectz00_bglt)
																				BgL_superz00_1507);
																			BgL_auxz00_2941 =
																				BGL_OBJECT_WIDENING(BgL_auxz00_2942);
																		}
																		BgL_auxz00_2940 =
																			((BgL_tclassz00_bglt) BgL_auxz00_2941);
																	}
																	BgL_auxz00_2939 =
																		(((BgL_tclassz00_bglt)
																			CREF(BgL_auxz00_2940))->
																		BgL_itszd2superzd2);
																}
																BgL_auxz00_2938 =
																	((BgL_typez00_bglt) BgL_auxz00_2939);
															}
															BgL_auxz00_2937 =
																(((BgL_typez00_bglt) CREF(BgL_auxz00_2938))->
																BgL_idz00);
														}
														BgL_testz00_2936 =
															(BgL_auxz00_2937 == CNST_TABLE_REF(((long) 0)));
													}
													if (BgL_testz00_2936)
														{	/* BackEnd/cplib.scm 89 */
															BgL_testz00_2915 = ((bool_t) 0);
														}
													else
														{	/* BackEnd/cplib.scm 89 */
															BgL_testz00_2915 = ((bool_t) 1);
														}
												}
											else
												{	/* BackEnd/cplib.scm 88 */
													BgL_testz00_2915 = ((bool_t) 0);
												}
										}
									else
										{	/* BackEnd/cplib.scm 87 */
											BgL_testz00_2915 = ((bool_t) 1);
										}
								}
								if (BgL_testz00_2915)
									{	/* BackEnd/cplib.scm 87 */
										BgL_arg1943z00_1505 = BGl_string2196z00zzbackend_cplibz00;
									}
								else
									{	/* BackEnd/cplib.scm 91 */
										BgL_globalz00_bglt BgL_holderz00_1511;

										{
											BgL_tclassz00_bglt BgL_auxz00_2951;

											{
												obj_t BgL_auxz00_2952;

												{	/* BackEnd/cplib.scm 91 */
													BgL_objectz00_bglt BgL_auxz00_2953;

													BgL_auxz00_2953 =
														((BgL_objectz00_bglt) BgL_superz00_1507);
													BgL_auxz00_2952 =
														BGL_OBJECT_WIDENING(BgL_auxz00_2953);
												}
												BgL_auxz00_2951 =
													((BgL_tclassz00_bglt) BgL_auxz00_2952);
											}
											BgL_holderz00_1511 =
												(((BgL_tclassz00_bglt) CREF(BgL_auxz00_2951))->
												BgL_holderz00);
										}
										{	/* BackEnd/cplib.scm 92 */
											obj_t BgL_arg1947z00_1512;
											obj_t BgL_arg1948z00_1513;
											obj_t BgL_arg1949z00_1514;

											BgL_arg1947z00_1512 =
												(((BgL_globalz00_bglt) CREF(BgL_holderz00_1511))->
												BgL_modulez00);
											BgL_arg1948z00_1513 =
												(((BgL_globalz00_bglt) CREF(BgL_holderz00_1511))->
												BgL_jvmzd2typezd2namez00);
											BgL_arg1949z00_1514 =
												(((BgL_typez00_bglt) CREF(((BgL_typez00_bglt)
															BgL_superz00_1507)))->BgL_idz00);
											{	/* BackEnd/cplib.scm 92 */
												obj_t BgL_list1950z00_1515;

												BgL_list1950z00_1515 =
													MAKE_PAIR(BgL_arg1949z00_1514, BNIL);
												BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00
													(BgL_arg1947z00_1512, BgL_arg1948z00_1513,
													BgL_list1950z00_1515);
											}
										}
										BgL_namez00_1525 =
											(((BgL_globalz00_bglt) CREF(BgL_holderz00_1511))->
											BgL_modulez00);
										{	/* BackEnd/cplib.scm 79 */
											obj_t BgL_sz00_1527;

											BgL_sz00_1527 =
												BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00
												(BgL_namez00_1525);
											{	/* BackEnd/cplib.scm 79 */
												obj_t BgL_prefz00_1528;

												BgL_prefz00_1528 =
													BGl_prefixz00zz__osz00(BgL_sz00_1527);
												{	/* BackEnd/cplib.scm 80 */

													if (bigloo_strcmp(BgL_prefz00_1528, BgL_sz00_1527))
														{	/* BackEnd/cplib.scm 81 */
															BgL_arg1943z00_1505 =
																BGl_string2195z00zzbackend_cplibz00;
														}
													else
														{	/* BackEnd/cplib.scm 81 */
															BgL_arg1943z00_1505 = BgL_prefz00_1528;
														}
												}
											}
										}
									}
							}
							BgL_classz00_1531 = BgL_classz00_15;
							{	/* BackEnd/cplib.scm 72 */
								bool_t BgL_testz00_2969;

								{	/* BackEnd/cplib.scm 72 */
									obj_t BgL_arg1966z00_1538;

									BgL_arg1966z00_1538 =
										BGl_getzd2objectzd2typez00zztype_cachez00();
									BgL_testz00_2969 =
										(((obj_t) BgL_classz00_1531) == BgL_arg1966z00_1538);
								}
								if (BgL_testz00_2969)
									{	/* BackEnd/cplib.scm 72 */
										BgL_arg1944z00_1506 = BGl_string2194z00zzbackend_cplibz00;
									}
								else
									{	/* BackEnd/cplib.scm 75 */
										obj_t BgL_modz00_1535;

										{
											BgL_globalz00_bglt BgL_auxz00_2973;

											{
												BgL_tclassz00_bglt BgL_auxz00_2974;

												{
													obj_t BgL_auxz00_2975;

													{	/* BackEnd/cplib.scm 75 */
														BgL_objectz00_bglt BgL_auxz00_2976;

														BgL_auxz00_2976 =
															((BgL_objectz00_bglt) BgL_classz00_1531);
														BgL_auxz00_2975 =
															BGL_OBJECT_WIDENING(BgL_auxz00_2976);
													}
													BgL_auxz00_2974 =
														((BgL_tclassz00_bglt) BgL_auxz00_2975);
												}
												BgL_auxz00_2973 =
													(((BgL_tclassz00_bglt) CREF(BgL_auxz00_2974))->
													BgL_holderz00);
											}
											BgL_modz00_1535 =
												(((BgL_globalz00_bglt) CREF(BgL_auxz00_2973))->
												BgL_modulez00);
										}
										{	/* BackEnd/cplib.scm 76 */
											obj_t BgL_arg1964z00_1536;

											BgL_arg1964z00_1536 =
												(((BgL_typez00_bglt) CREF(
														((BgL_typez00_bglt) BgL_classz00_1531)))->
												BgL_idz00);
											{	/* BackEnd/cplib.scm 76 */
												obj_t BgL_res2137z00_2581;

												{	/* BackEnd/cplib.scm 57 */
													obj_t BgL_idz00_2572;

													{	/* BackEnd/cplib.scm 57 */
														obj_t BgL_arg1941z00_2573;
														obj_t BgL_arg1942z00_2574;

														{	/* BackEnd/cplib.scm 57 */
															obj_t BgL_res2135z00_2577;

															{	/* BackEnd/cplib.scm 57 */
																obj_t BgL_arg1265z00_2576;

																BgL_arg1265z00_2576 =
																	SYMBOL_TO_STRING(BgL_arg1964z00_1536);
																BgL_res2135z00_2577 =
																	BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																	(BgL_arg1265z00_2576);
															}
															BgL_arg1941z00_2573 = BgL_res2135z00_2577;
														}
														{	/* BackEnd/cplib.scm 57 */
															obj_t BgL_res2136z00_2580;

															{	/* BackEnd/cplib.scm 57 */
																obj_t BgL_arg1265z00_2579;

																BgL_arg1265z00_2579 =
																	SYMBOL_TO_STRING(BgL_modz00_1535);
																BgL_res2136z00_2580 =
																	BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																	(BgL_arg1265z00_2579);
															}
															BgL_arg1942z00_2574 = BgL_res2136z00_2580;
														}
														BgL_idz00_2572 =
															bigloo_module_mangle(BgL_arg1941z00_2573,
															BgL_arg1942z00_2574);
													}
													BgL_res2137z00_2581 =
														string_append(BGl_string2193z00zzbackend_cplibz00,
														BgL_idz00_2572);
												}
												BgL_arg1944z00_1506 = BgL_res2137z00_2581;
											}
										}
									}
							}
							if (bigloo_strcmp(BgL_arg1943z00_1505,
									BGl_string2195z00zzbackend_cplibz00))
								{	/* BackEnd/cplib.scm 67 */
									return BgL_arg1944z00_1506;
								}
							else
								{	/* BackEnd/cplib.scm 67 */
									return
										string_append_3(BgL_arg1943z00_1505,
										BGl_string2197z00zzbackend_cplibz00, BgL_arg1944z00_1506);
								}
						}
					}
				}
			}
		}
	}



/* qualified-tclass-name */
	BGL_EXPORTED_DEF obj_t
		BGl_qualifiedzd2tclasszd2namez00zzbackend_cplibz00(BgL_typez00_bglt
		BgL_classz00_16)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 102 */
			{	/* BackEnd/cplib.scm 103 */
				obj_t BgL_cz00_1545;

				if (BGl_widezd2classzf3z21zzobject_classz00(((obj_t) BgL_classz00_16)))
					{
						BgL_tclassz00_bglt BgL_auxz00_2996;

						{
							obj_t BgL_auxz00_2997;

							{	/* BackEnd/cplib.scm 103 */
								BgL_objectz00_bglt BgL_auxz00_2998;

								BgL_auxz00_2998 = ((BgL_objectz00_bglt) BgL_classz00_16);
								BgL_auxz00_2997 = BGL_OBJECT_WIDENING(BgL_auxz00_2998);
							}
							BgL_auxz00_2996 = ((BgL_tclassz00_bglt) BgL_auxz00_2997);
						}
						BgL_cz00_1545 =
							(((BgL_tclassz00_bglt) CREF(BgL_auxz00_2996))->
							BgL_itszd2superzd2);
					}
				else
					{	/* BackEnd/cplib.scm 103 */
						BgL_cz00_1545 = ((obj_t) BgL_classz00_16);
					}
				return
					BGl_qualifiedzd2realzd2tclasszd2namezd2zzbackend_cplibz00(
					((BgL_typez00_bglt) BgL_cz00_1545));
			}
		}
	}



/* &qualified-tclass-name */
	obj_t BGl_z62qualifiedzd2tclasszd2namez62zzbackend_cplibz00(obj_t
		BgL_envz00_2819, obj_t BgL_classz00_2820)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 102 */
			return
				BGl_qualifiedzd2tclasszd2namez00zzbackend_cplibz00(
				((BgL_typez00_bglt) BgL_classz00_2820));
		}
	}



/* qualified-wclass-name */
	BGL_EXPORTED_DEF obj_t
		BGl_qualifiedzd2wclasszd2namez00zzbackend_cplibz00(BgL_typez00_bglt
		BgL_classz00_17)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 109 */
			{	/* BackEnd/cplib.scm 110 */
				obj_t BgL_arg1970z00_2610;

				{
					BgL_wclassz00_bglt BgL_auxz00_3008;

					{
						obj_t BgL_auxz00_3009;

						{	/* BackEnd/cplib.scm 110 */
							BgL_objectz00_bglt BgL_auxz00_3010;

							BgL_auxz00_3010 = ((BgL_objectz00_bglt) BgL_classz00_17);
							BgL_auxz00_3009 = BGL_OBJECT_WIDENING(BgL_auxz00_3010);
						}
						BgL_auxz00_3008 = ((BgL_wclassz00_bglt) BgL_auxz00_3009);
					}
					BgL_arg1970z00_2610 =
						(((BgL_wclassz00_bglt) CREF(BgL_auxz00_3008))->BgL_itszd2classzd2);
				}
				return
					BGl_qualifiedzd2realzd2tclasszd2namezd2zzbackend_cplibz00(
					((BgL_typez00_bglt) BgL_arg1970z00_2610));
			}
		}
	}



/* &qualified-wclass-name */
	obj_t BGl_z62qualifiedzd2wclasszd2namez62zzbackend_cplibz00(obj_t
		BgL_envz00_2821, obj_t BgL_classz00_2822)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 109 */
			return
				BGl_qualifiedzd2wclasszd2namez00zzbackend_cplibz00(
				((BgL_typez00_bglt) BgL_classz00_2822));
		}
	}



/* qualified-jclass-name */
	BGL_EXPORTED_DEF obj_t
		BGl_qualifiedzd2jclasszd2namez00zzbackend_cplibz00(BgL_typez00_bglt
		BgL_classz00_18)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 115 */
			return
				(((BgL_typez00_bglt) CREF(
						((BgL_typez00_bglt) BgL_classz00_18)))->BgL_namez00);
		}
	}



/* &qualified-jclass-name */
	obj_t BGl_z62qualifiedzd2jclasszd2namez62zzbackend_cplibz00(obj_t
		BgL_envz00_2823, obj_t BgL_classz00_2824)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 115 */
			{	/* BackEnd/cplib.scm 116 */
				obj_t BgL_res2210z00_2873;

				BgL_res2210z00_2873 =
					(((BgL_typez00_bglt) CREF(
							((BgL_typez00_bglt)
								((BgL_typez00_bglt) BgL_classz00_2824))))->BgL_namez00);
				return BgL_res2210z00_2873;
			}
		}
	}



/* qualified-type-name */
	BGL_EXPORTED_DEF obj_t
		BGl_qualifiedzd2typezd2namez00zzbackend_cplibz00(BgL_typez00_bglt
		BgL_typez00_19)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 121 */
			{	/* BackEnd/cplib.scm 122 */
				obj_t BgL_idz00_1548;

				BgL_idz00_1548 = (((BgL_typez00_bglt) CREF(BgL_typez00_19))->BgL_idz00);
				if ((BgL_idz00_1548 == CNST_TABLE_REF(((long) 1))))
					{	/* BackEnd/cplib.scm 123 */
						return BGl_za2jvmzd2foreignzd2classzd2nameza2zd2zzengine_paramz00;
					}
				else
					{	/* BackEnd/cplib.scm 125 */
						obj_t BgL_javazd2classzd2_1550;

						BgL_javazd2classzd2_1550 =
							BGl_findzd2javazd2classz00zzmodule_javaz00(BgL_idz00_1548);
						if (STRINGP(BgL_javazd2classzd2_1550))
							{	/* BackEnd/cplib.scm 126 */
								return BgL_javazd2classzd2_1550;
							}
						else
							{	/* BackEnd/cplib.scm 128 */
								obj_t BgL_arg1973z00_1552;

								{	/* BackEnd/cplib.scm 128 */
									obj_t BgL_res2148z00_2622;

									{	/* BackEnd/cplib.scm 128 */
										obj_t BgL_arg1265z00_2621;

										BgL_arg1265z00_2621 = SYMBOL_TO_STRING(BgL_idz00_1548);
										BgL_res2148z00_2622 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg1265z00_2621);
									}
									BgL_arg1973z00_1552 = BgL_res2148z00_2622;
								}
								return
									string_append(BGl_string2198z00zzbackend_cplibz00,
									BgL_arg1973z00_1552);
							}
					}
			}
		}
	}



/* &qualified-type-name */
	obj_t BGl_z62qualifiedzd2typezd2namez62zzbackend_cplibz00(obj_t
		BgL_envz00_2825, obj_t BgL_typez00_2826)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 121 */
			return
				BGl_qualifiedzd2typezd2namez00zzbackend_cplibz00(
				((BgL_typez00_bglt) BgL_typez00_2826));
		}
	}



/* reset-global! */
	BGL_EXPORTED_DEF obj_t
		BGl_resetzd2globalz12zc0zzbackend_cplibz00(BgL_globalz00_bglt BgL_varz00_20)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 134 */
			{	/* BackEnd/cplib.scm 136 */
				obj_t BgL_namez00_1553;

				BgL_namez00_1553 =
					(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_varz00_20)))->BgL_namez00);
				if (STRINGP(BgL_namez00_1553))
					{	/* BackEnd/cplib.scm 137 */
						BgL_namez00_1553;
					}
				else
					{	/* BackEnd/cplib.scm 139 */
						obj_t BgL_namez00_1555;

						{	/* BackEnd/cplib.scm 139 */
							obj_t BgL_arg1977z00_1558;

							{	/* BackEnd/cplib.scm 139 */
								obj_t BgL__ortest_1101z00_1559;

								BgL__ortest_1101z00_1559 =
									(((BgL_globalz00_bglt) CREF(BgL_varz00_20))->BgL_aliasz00);
								if (CBOOL(BgL__ortest_1101z00_1559))
									{	/* BackEnd/cplib.scm 139 */
										BgL_arg1977z00_1558 = BgL__ortest_1101z00_1559;
									}
								else
									{	/* BackEnd/cplib.scm 139 */
										BgL_arg1977z00_1558 =
											(((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt) BgL_varz00_20)))->BgL_idz00);
									}
							}
							{	/* BackEnd/cplib.scm 139 */
								obj_t BgL_res2151z00_2634;

								{	/* BackEnd/cplib.scm 139 */
									obj_t BgL_arg1265z00_2633;

									BgL_arg1265z00_2633 = SYMBOL_TO_STRING(BgL_arg1977z00_1558);
									BgL_res2151z00_2634 =
										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
										(BgL_arg1265z00_2633);
								}
								BgL_namez00_1555 = BgL_res2151z00_2634;
							}
						}
						{	/* BackEnd/cplib.scm 141 */
							obj_t BgL_arg1975z00_1556;

							if (BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00
								(BgL_namez00_1555))
								{	/* BackEnd/cplib.scm 141 */
									BgL_arg1975z00_1556 = bigloo_mangle(BgL_namez00_1555);
								}
							else
								{	/* BackEnd/cplib.scm 141 */
									BgL_arg1975z00_1556 = BgL_namez00_1555;
								}
							((((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt) BgL_varz00_20)))->BgL_namez00) =
								((obj_t) BgL_arg1975z00_1556), BUNSPEC);
						}
					}
			}
			{	/* BackEnd/cplib.scm 145 */
				BgL_valuez00_bglt BgL_valuez00_1560;

				BgL_valuez00_1560 =
					(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_varz00_20)))->BgL_valuez00);
				{	/* BackEnd/cplib.scm 146 */
					bool_t BgL_testz00_3054;

					{	/* BackEnd/cplib.scm 146 */
						bool_t BgL_testz00_3055;

						{	/* BackEnd/cplib.scm 146 */
							bool_t BgL_res2153z00_2642;

							BgL_res2153z00_2642 =
								BGl_isazf3zf3zz__objectz00(
								((obj_t) BgL_valuez00_1560), BGl_scnstz00zzast_varz00);
							BgL_testz00_3055 = BgL_res2153z00_2642;
						}
						if (BgL_testz00_3055)
							{	/* BackEnd/cplib.scm 146 */
								BgL_testz00_3054 =
									(
									(((BgL_scnstz00_bglt) CREF(
												((BgL_scnstz00_bglt) BgL_valuez00_1560)))->
										BgL_classz00) == CNST_TABLE_REF(((long) 2)));
							}
						else
							{	/* BackEnd/cplib.scm 146 */
								BgL_testz00_3054 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_3054)
						{	/* BackEnd/cplib.scm 147 */
							obj_t BgL_arg1979z00_1562;

							{	/* BackEnd/cplib.scm 147 */
								obj_t BgL_sz00_2648;

								BgL_sz00_2648 =
									(((BgL_scnstz00_bglt) CREF(
											((BgL_scnstz00_bglt) BgL_valuez00_1560)))->BgL_nodez00);
								BgL_arg1979z00_1562 =
									STRUCT_REF(BgL_sz00_2648, (int) (((long) 0)));
							}
							return
								((((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt) BgL_varz00_20)))->BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_arg1979z00_1562)),
								BUNSPEC);
						}
					else
						{	/* BackEnd/cplib.scm 146 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &reset-global! */
	obj_t BGl_z62resetzd2globalz12za2zzbackend_cplibz00(obj_t BgL_envz00_2827,
		obj_t BgL_varz00_2828)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 134 */
			return
				BGl_resetzd2globalz12zc0zzbackend_cplibz00(
				((BgL_globalz00_bglt) BgL_varz00_2828));
		}
	}



/* set-variable-name! */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(BgL_variablez00_bglt
		BgL_variablez00_21)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 152 */
			{	/* BackEnd/cplib.scm 154 */
				bool_t BgL_testz00_3071;

				{	/* BackEnd/cplib.scm 154 */
					obj_t BgL_auxz00_3072;

					BgL_auxz00_3072 =
						(((BgL_variablez00_bglt) CREF(BgL_variablez00_21))->BgL_namez00);
					BgL_testz00_3071 = STRINGP(BgL_auxz00_3072);
				}
				if (BgL_testz00_3071)
					{	/* BackEnd/cplib.scm 154 */
						return
							(((BgL_variablez00_bglt) CREF(BgL_variablez00_21))->BgL_namez00);
					}
				else
					{	/* BackEnd/cplib.scm 156 */
						obj_t BgL_nz00_1568;

						{	/* BackEnd/cplib.scm 157 */
							bool_t BgL_testz00_3076;

							{	/* BackEnd/cplib.scm 157 */
								bool_t BgL_res2155z00_2656;

								BgL_res2155z00_2656 =
									BGl_isazf3zf3zz__objectz00(
									((obj_t) BgL_variablez00_21), BGl_globalz00zzast_varz00);
								BgL_testz00_3076 = BgL_res2155z00_2656;
							}
							if (BgL_testz00_3076)
								{	/* BackEnd/cplib.scm 159 */
									obj_t BgL_arg1986z00_1571;
									obj_t BgL_arg1987z00_1572;

									{	/* BackEnd/cplib.scm 159 */
										obj_t BgL_arg1988z00_1573;

										{	/* BackEnd/cplib.scm 159 */
											obj_t BgL__ortest_1104z00_1574;

											BgL__ortest_1104z00_1574 =
												(((BgL_globalz00_bglt) CREF(
														((BgL_globalz00_bglt) BgL_variablez00_21)))->
												BgL_aliasz00);
											if (CBOOL(BgL__ortest_1104z00_1574))
												{	/* BackEnd/cplib.scm 159 */
													BgL_arg1988z00_1573 = BgL__ortest_1104z00_1574;
												}
											else
												{	/* BackEnd/cplib.scm 159 */
													BgL_arg1988z00_1573 =
														(((BgL_variablez00_bglt) CREF(
																((BgL_variablez00_bglt)
																	((BgL_globalz00_bglt) BgL_variablez00_21))))->
														BgL_idz00);
												}
										}
										{	/* BackEnd/cplib.scm 159 */
											obj_t BgL_res2156z00_2659;

											{	/* BackEnd/cplib.scm 159 */
												obj_t BgL_arg1265z00_2658;

												BgL_arg1265z00_2658 =
													SYMBOL_TO_STRING(BgL_arg1988z00_1573);
												BgL_res2156z00_2659 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg1265z00_2658);
											}
											BgL_arg1986z00_1571 = BgL_res2156z00_2659;
										}
									}
									{	/* BackEnd/cplib.scm 160 */
										obj_t BgL_arg1990z00_1575;

										BgL_arg1990z00_1575 =
											(((BgL_globalz00_bglt) CREF(
													((BgL_globalz00_bglt) BgL_variablez00_21)))->
											BgL_modulez00);
										{	/* BackEnd/cplib.scm 160 */
											obj_t BgL_res2157z00_2662;

											{	/* BackEnd/cplib.scm 160 */
												obj_t BgL_arg1265z00_2661;

												BgL_arg1265z00_2661 =
													SYMBOL_TO_STRING(BgL_arg1990z00_1575);
												BgL_res2157z00_2662 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg1265z00_2661);
											}
											BgL_arg1987z00_1572 = BgL_res2157z00_2662;
										}
									}
									BgL_nz00_1568 =
										bigloo_module_mangle(BgL_arg1986z00_1571,
										BgL_arg1987z00_1572);
								}
							else
								{	/* BackEnd/cplib.scm 161 */
									bool_t BgL_testz00_3093;

									{	/* BackEnd/cplib.scm 161 */
										bool_t BgL_res2158z00_2664;

										BgL_res2158z00_2664 =
											BGl_isazf3zf3zz__objectz00(
											((obj_t) BgL_variablez00_21), BGl_localz00zzast_varz00);
										BgL_testz00_3093 = BgL_res2158z00_2664;
									}
									if (BgL_testz00_3093)
										{	/* BackEnd/cplib.scm 165 */
											obj_t BgL_arg1992z00_1578;

											{	/* BackEnd/cplib.scm 165 */
												obj_t BgL_arg1993z00_1579;
												obj_t BgL_arg1994z00_1580;

												{	/* BackEnd/cplib.scm 165 */
													obj_t BgL_arg1995z00_1581;

													BgL_arg1995z00_1581 =
														(((BgL_variablez00_bglt) CREF(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_variablez00_21))))->
														BgL_idz00);
													{	/* BackEnd/cplib.scm 165 */
														obj_t BgL_res2159z00_2667;

														{	/* BackEnd/cplib.scm 165 */
															obj_t BgL_arg1265z00_2666;

															BgL_arg1265z00_2666 =
																SYMBOL_TO_STRING(BgL_arg1995z00_1581);
															BgL_res2159z00_2667 =
																BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																(BgL_arg1265z00_2666);
														}
														BgL_arg1993z00_1579 = BgL_res2159z00_2667;
													}
												}
												{	/* BackEnd/cplib.scm 165 */

													BgL_arg1994z00_1580 =
														BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
														((((BgL_localz00_bglt) CREF(((BgL_localz00_bglt)
																		BgL_variablez00_21)))->BgL_keyz00),
														((long) 10));
												}
												BgL_arg1992z00_1578 =
													string_append_3(BgL_arg1993z00_1579,
													BGl_string2199z00zzbackend_cplibz00,
													BgL_arg1994z00_1580);
											}
											BgL_nz00_1568 = bigloo_mangle(BgL_arg1992z00_1578);
										}
									else
										{	/* BackEnd/cplib.scm 169 */
											obj_t BgL_arg1997z00_1585;

											BgL_arg1997z00_1585 =
												BGl_shapez00zztools_shapez00(
												((obj_t) BgL_variablez00_21));
											BgL_nz00_1568 =
												BGl_internalzd2errorzd2zztools_errorz00
												(BGl_string2200z00zzbackend_cplibz00,
												BGl_string2201z00zzbackend_cplibz00,
												BgL_arg1997z00_1585);
										}
								}
						}
						((((BgL_variablez00_bglt) CREF(BgL_variablez00_21))->BgL_namez00) =
							((obj_t) BgL_nz00_1568), BUNSPEC);
						return BgL_nz00_1568;
					}
			}
		}
	}



/* &set-variable-name! */
	obj_t BGl_z62setzd2variablezd2namez12z70zzbackend_cplibz00(obj_t
		BgL_envz00_2829, obj_t BgL_variablez00_2830)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 152 */
			return
				BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(
				((BgL_variablez00_bglt) BgL_variablez00_2830));
		}
	}



/* global-entry */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_globalzd2entryzd2zzbackend_cplibz00(BgL_globalz00_bglt BgL_varz00_22)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 176 */
			{	/* BackEnd/cplib.scm 178 */
				BgL_valuez00_bglt BgL_valuez00_1587;

				BgL_valuez00_1587 =
					(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_varz00_22)))->BgL_valuez00);
				{	/* BackEnd/cplib.scm 179 */
					bool_t BgL_testz00_3114;

					{	/* BackEnd/cplib.scm 179 */
						bool_t BgL_res2161z00_2672;

						BgL_res2161z00_2672 =
							BGl_isazf3zf3zz__objectz00(
							((obj_t) BgL_valuez00_1587), BGl_scnstz00zzast_varz00);
						BgL_testz00_3114 = BgL_res2161z00_2672;
					}
					if (BgL_testz00_3114)
						{
							BgL_variablez00_bglt BgL_auxz00_3117;

							{
								BgL_varz00_bglt BgL_auxz00_3118;

								{	/* BackEnd/cplib.scm 180 */
									obj_t BgL_pairz00_2677;

									BgL_pairz00_2677 =
										(((BgL_appz00_bglt) CREF(
												((BgL_appz00_bglt)
													(((BgL_scnstz00_bglt) CREF(
																((BgL_scnstz00_bglt) BgL_valuez00_1587)))->
														BgL_nodez00))))->BgL_argsz00);
									BgL_auxz00_3118 = ((BgL_varz00_bglt) CAR(BgL_pairz00_2677));
								}
								BgL_auxz00_3117 =
									(((BgL_varz00_bglt) CREF(BgL_auxz00_3118))->BgL_variablez00);
							}
							return ((BgL_globalz00_bglt) BgL_auxz00_3117);
						}
					else
						{	/* BackEnd/cplib.scm 179 */
							return BgL_varz00_22;
						}
				}
			}
		}
	}



/* &global-entry */
	BgL_globalz00_bglt BGl_z62globalzd2entryzb0zzbackend_cplibz00(obj_t
		BgL_envz00_2831, obj_t BgL_varz00_2832)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 176 */
			return
				BGl_globalzd2entryzd2zzbackend_cplibz00(
				((BgL_globalz00_bglt) BgL_varz00_2832));
		}
	}



/* global-arity */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2arityzd2zzbackend_cplibz00(BgL_globalz00_bglt BgL_varz00_23)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 186 */
			{	/* BackEnd/cplib.scm 188 */
				BgL_valuez00_bglt BgL_valuez00_1592;

				BgL_valuez00_1592 =
					(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_varz00_23)))->BgL_valuez00);
				{	/* BackEnd/cplib.scm 190 */
					bool_t BgL_testz00_3131;

					{	/* BackEnd/cplib.scm 190 */
						bool_t BgL_res2164z00_2685;

						BgL_res2164z00_2685 =
							BGl_isazf3zf3zz__objectz00(
							((obj_t) BgL_valuez00_1592), BGl_scnstz00zzast_varz00);
						BgL_testz00_3131 = BgL_res2164z00_2685;
					}
					if (BgL_testz00_3131)
						{	/* BackEnd/cplib.scm 193 */

							{	/* BackEnd/cplib.scm 194 */
								long BgL_auxz00_3134;

								{
									BgL_funz00_bglt BgL_auxz00_3135;

									{
										BgL_sfunz00_bglt BgL_auxz00_3136;

										{
											BgL_valuez00_bglt BgL_auxz00_3137;

											{
												BgL_variablez00_bglt BgL_auxz00_3138;

												{
													obj_t BgL_auxz00_3139;

													{
														BgL_sfunz00_bglt BgL_auxz00_3140;

														{
															BgL_valuez00_bglt BgL_auxz00_3141;

															{
																BgL_variablez00_bglt BgL_auxz00_3142;

																{
																	BgL_globalz00_bglt BgL_auxz00_3143;

																	{
																		BgL_variablez00_bglt BgL_auxz00_3144;

																		{
																			BgL_varz00_bglt BgL_auxz00_3145;

																			{	/* BackEnd/cplib.scm 192 */
																				obj_t BgL_pairz00_2690;

																				BgL_pairz00_2690 =
																					(((BgL_appz00_bglt) CREF(
																							((BgL_appz00_bglt)
																								(((BgL_scnstz00_bglt) CREF(
																											((BgL_scnstz00_bglt)
																												BgL_valuez00_1592)))->
																									BgL_nodez00))))->BgL_argsz00);
																				BgL_auxz00_3145 =
																					((BgL_varz00_bglt)
																					CAR(BgL_pairz00_2690));
																			}
																			BgL_auxz00_3144 =
																				(((BgL_varz00_bglt)
																					CREF(BgL_auxz00_3145))->
																				BgL_variablez00);
																		}
																		BgL_auxz00_3143 =
																			((BgL_globalz00_bglt) BgL_auxz00_3144);
																	}
																	BgL_auxz00_3142 =
																		((BgL_variablez00_bglt) BgL_auxz00_3143);
																}
																BgL_auxz00_3141 =
																	(((BgL_variablez00_bglt)
																		CREF(BgL_auxz00_3142))->BgL_valuez00);
															}
															BgL_auxz00_3140 =
																((BgL_sfunz00_bglt) BgL_auxz00_3141);
														}
														BgL_auxz00_3139 =
															(((BgL_sfunz00_bglt) CREF(BgL_auxz00_3140))->
															BgL_thezd2closurezd2globalz00);
													}
													BgL_auxz00_3138 =
														((BgL_variablez00_bglt) BgL_auxz00_3139);
												}
												BgL_auxz00_3137 =
													(((BgL_variablez00_bglt) CREF(BgL_auxz00_3138))->
													BgL_valuez00);
											}
											BgL_auxz00_3136 = ((BgL_sfunz00_bglt) BgL_auxz00_3137);
										}
										BgL_auxz00_3135 = ((BgL_funz00_bglt) BgL_auxz00_3136);
									}
									BgL_auxz00_3134 =
										(((BgL_funz00_bglt) CREF(BgL_auxz00_3135))->BgL_arityz00);
								}
								return BINT(BgL_auxz00_3134);
							}
						}
					else
						{	/* BackEnd/cplib.scm 196 */
							bool_t BgL_testz00_3164;

							{	/* BackEnd/cplib.scm 196 */
								bool_t BgL_res2169z00_2706;

								BgL_res2169z00_2706 =
									BGl_isazf3zf3zz__objectz00(
									((obj_t) BgL_valuez00_1592), BGl_sfunz00zzast_varz00);
								BgL_testz00_3164 = BgL_res2169z00_2706;
							}
							if (BgL_testz00_3164)
								{	/* BackEnd/cplib.scm 197 */
									long BgL_xz00_1602;

									BgL_xz00_1602 =
										(((BgL_funz00_bglt) CREF(
												((BgL_funz00_bglt)
													((BgL_sfunz00_bglt) BgL_valuez00_1592))))->
										BgL_arityz00);
									if ((BgL_xz00_1602 >= ((long) 0)))
										{	/* BackEnd/cplib.scm 198 */
											return BGL_SAFE_MINUS_FX(BgL_xz00_1602, ((long) 1));
										}
									else
										{	/* BackEnd/cplib.scm 198 */
											return BGL_SAFE_PLUS_FX(BgL_xz00_1602, ((long) 1));
								}}
							else
								{	/* BackEnd/cplib.scm 196 */
									return BFALSE;
								}
						}
				}
			}
		}
	}



/* &global-arity */
	obj_t BGl_z62globalzd2arityzb0zzbackend_cplibz00(obj_t BgL_envz00_2833,
		obj_t BgL_varz00_2834)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 186 */
			return
				BGl_globalzd2arityzd2zzbackend_cplibz00(
				((BgL_globalz00_bglt) BgL_varz00_2834));
		}
	}



/* for-each-declared-classes */
	BGL_EXPORTED_DEF obj_t
		BGl_forzd2eachzd2declaredzd2classeszd2zzbackend_cplibz00(obj_t
		BgL_funz00_24)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 205 */
			{	/* BackEnd/cplib.scm 206 */
				obj_t BgL_g1922z00_1607;

				BgL_g1922z00_1607 = BGl_getzd2declaredzd2classesz00zzbackend_cplibz00();
				{
					obj_t BgL_l1920z00_1609;

					{	/* BackEnd/cplib.scm 215 */
						bool_t BgL_auxz00_3177;

						BgL_l1920z00_1609 = BgL_g1922z00_1607;
					BgL_zc3anonymousza32015ze3z83_1610:
						if (PAIRP(BgL_l1920z00_1609))
							{	/* BackEnd/cplib.scm 215 */
								{	/* BackEnd/cplib.scm 207 */
									obj_t BgL_cz00_1612;

									BgL_cz00_1612 = CAR(BgL_l1920z00_1609);
									{	/* BackEnd/cplib.scm 207 */
										bool_t BgL_widezf3zf3_1613;

										BgL_widezf3zf3_1613 =
											BGl_widezd2classzf3z21zzobject_classz00(BgL_cz00_1612);
										{	/* BackEnd/cplib.scm 212 */
											obj_t BgL_arg2017z00_1614;
											obj_t BgL_arg2019z00_1615;

											if (BgL_widezf3zf3_1613)
												{	/* BackEnd/cplib.scm 212 */
													BgL_arg2017z00_1614 =
														BGl_widezd2ze3chunkz31zzbackend_cplibz00(
														((BgL_typez00_bglt) BgL_cz00_1612));
												}
											else
												{	/* BackEnd/cplib.scm 212 */
													BgL_arg2017z00_1614 = BgL_cz00_1612;
												}
											if (BgL_widezf3zf3_1613)
												{	/* BackEnd/cplib.scm 214 */
													BgL_arg2019z00_1615 =
														((obj_t)
														BGl_findzd2typezd2zztype_envz00(CNST_TABLE_REF((
																	(long) 0))));
												}
											else
												{
													BgL_tclassz00_bglt BgL_auxz00_3189;

													{
														obj_t BgL_auxz00_3190;

														{	/* BackEnd/cplib.scm 214 */
															BgL_objectz00_bglt BgL_auxz00_3191;

															BgL_auxz00_3191 =
																((BgL_objectz00_bglt)
																((BgL_typez00_bglt) BgL_cz00_1612));
															BgL_auxz00_3190 =
																BGL_OBJECT_WIDENING(BgL_auxz00_3191);
														}
														BgL_auxz00_3189 =
															((BgL_tclassz00_bglt) BgL_auxz00_3190);
													}
													BgL_arg2019z00_1615 =
														(((BgL_tclassz00_bglt) CREF(BgL_auxz00_3189))->
														BgL_itszd2superzd2);
												}
											PROCEDURE_ENTRY(BgL_funz00_24) (BgL_funz00_24,
												BgL_cz00_1612, BgL_arg2017z00_1614, BgL_arg2019z00_1615,
												BEOA);
										}
									}
								}
								{
									obj_t BgL_l1920z00_3203;

									BgL_l1920z00_3203 = CDR(BgL_l1920z00_1609);
									BgL_l1920z00_1609 = BgL_l1920z00_3203;
									goto BgL_zc3anonymousza32015ze3z83_1610;
								}
							}
						else
							{	/* BackEnd/cplib.scm 215 */
								BgL_auxz00_3177 = ((bool_t) 1);
							}
						return BBOOL(BgL_auxz00_3177);
					}
				}
			}
		}
	}



/* &for-each-declared-classes */
	obj_t BGl_z62forzd2eachzd2declaredzd2classeszb0zzbackend_cplibz00(obj_t
		BgL_envz00_2835, obj_t BgL_funz00_2836)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 205 */
			return
				BGl_forzd2eachzd2declaredzd2classeszd2zzbackend_cplibz00
				(BgL_funz00_2836);
		}
	}



/* get-declared-classes */
	BGL_EXPORTED_DEF obj_t BGl_getzd2declaredzd2classesz00zzbackend_cplibz00()
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 220 */
			{	/* BackEnd/cplib.scm 223 */
				obj_t BgL_rz00_1618;

				BgL_rz00_1618 = BNIL;
				{	/* BackEnd/cplib.scm 224 */
					obj_t BgL_g1925z00_1619;

					BgL_g1925z00_1619 = BGl_getzd2classzd2listz00zzobject_classz00();
					{
						obj_t BgL_l1923z00_1621;

						BgL_l1923z00_1621 = BgL_g1925z00_1619;
					BgL_zc3anonymousza32022ze3z83_1622:
						if (PAIRP(BgL_l1923z00_1621))
							{	/* BackEnd/cplib.scm 229 */
								{	/* BackEnd/cplib.scm 225 */
									obj_t BgL_cz00_1624;

									BgL_cz00_1624 = CAR(BgL_l1923z00_1621);
									{	/* BackEnd/cplib.scm 225 */
										bool_t BgL_testz00_3211;

										{	/* BackEnd/cplib.scm 225 */
											bool_t BgL_testz00_3212;

											{	/* BackEnd/cplib.scm 225 */
												obj_t BgL_auxz00_3213;

												{
													BgL_globalz00_bglt BgL_auxz00_3214;

													{
														BgL_tclassz00_bglt BgL_auxz00_3215;

														{
															obj_t BgL_auxz00_3216;

															{	/* BackEnd/cplib.scm 225 */
																BgL_objectz00_bglt BgL_auxz00_3217;

																BgL_auxz00_3217 =
																	((BgL_objectz00_bglt)
																	((BgL_typez00_bglt) BgL_cz00_1624));
																BgL_auxz00_3216 =
																	BGL_OBJECT_WIDENING(BgL_auxz00_3217);
															}
															BgL_auxz00_3215 =
																((BgL_tclassz00_bglt) BgL_auxz00_3216);
														}
														BgL_auxz00_3214 =
															(((BgL_tclassz00_bglt) CREF(BgL_auxz00_3215))->
															BgL_holderz00);
													}
													BgL_auxz00_3213 =
														(((BgL_globalz00_bglt) CREF(BgL_auxz00_3214))->
														BgL_importz00);
												}
												BgL_testz00_3212 =
													(BgL_auxz00_3213 == CNST_TABLE_REF(((long) 3)));
											}
											if (BgL_testz00_3212)
												{	/* BackEnd/cplib.scm 225 */
													BgL_testz00_3211 = ((bool_t) 1);
												}
											else
												{	/* BackEnd/cplib.scm 225 */
													BgL_testz00_3211 =
														(BgL_cz00_1624 ==
														BGl_getzd2objectzd2typez00zztype_cachez00());
												}
										}
										if (BgL_testz00_3211)
											{	/* BackEnd/cplib.scm 225 */
												BFALSE;
											}
										else
											{	/* BackEnd/cplib.scm 227 */
												obj_t BgL_arg2025z00_1626;

												if (BGl_widezd2classzf3z21zzobject_classz00
													(BgL_cz00_1624))
													{	/* BackEnd/cplib.scm 227 */
														BgL_arg2025z00_1626 =
															BGl_widezd2ze3chunkz31zzbackend_cplibz00(
															((BgL_typez00_bglt) BgL_cz00_1624));
													}
												else
													{	/* BackEnd/cplib.scm 227 */
														BgL_arg2025z00_1626 = BgL_cz00_1624;
													}
												BgL_rz00_1618 =
													MAKE_PAIR(BgL_arg2025z00_1626, BgL_rz00_1618);
											}
									}
								}
								{
									obj_t BgL_l1923z00_3233;

									BgL_l1923z00_3233 = CDR(BgL_l1923z00_1621);
									BgL_l1923z00_1621 = BgL_l1923z00_3233;
									goto BgL_zc3anonymousza32022ze3z83_1622;
								}
							}
						else
							{	/* BackEnd/cplib.scm 229 */
								((bool_t) 1);
							}
					}
				}
				return BgL_rz00_1618;
			}
		}
	}



/* &get-declared-classes */
	obj_t BGl_z62getzd2declaredzd2classesz62zzbackend_cplibz00(obj_t
		BgL_envz00_2837)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 220 */
			return BGl_getzd2declaredzd2classesz00zzbackend_cplibz00();
		}
	}



/* type->class */
	obj_t BGl_typezd2ze3classz31zzbackend_cplibz00(BgL_typez00_bglt
		BgL_typez00_25)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 235 */
			{	/* BackEnd/cplib.scm 237 */
				bool_t BgL_testz00_3236;

				{	/* BackEnd/cplib.scm 237 */
					bool_t BgL_res2178z00_2735;

					BgL_res2178z00_2735 =
						BGl_isazf3zf3zz__objectz00(
						((obj_t) BgL_typez00_25), BGl_tclassz00zzobject_classz00);
					BgL_testz00_3236 = BgL_res2178z00_2735;
				}
				if (BgL_testz00_3236)
					{	/* BackEnd/cplib.scm 237 */
						return ((obj_t) BgL_typez00_25);
					}
				else
					{	/* BackEnd/cplib.scm 239 */
						bool_t BgL_testz00_3240;

						{	/* BackEnd/cplib.scm 239 */
							bool_t BgL_res2179z00_2737;

							BgL_res2179z00_2737 =
								BGl_isazf3zf3zz__objectz00(
								((obj_t) BgL_typez00_25), BGl_wclassz00zzobject_classz00);
							BgL_testz00_3240 = BgL_res2179z00_2737;
						}
						if (BgL_testz00_3240)
							{
								BgL_wclassz00_bglt BgL_auxz00_3243;

								{
									obj_t BgL_auxz00_3244;

									{	/* BackEnd/cplib.scm 240 */
										BgL_objectz00_bglt BgL_auxz00_3245;

										BgL_auxz00_3245 =
											((BgL_objectz00_bglt)
											((BgL_typez00_bglt) BgL_typez00_25));
										BgL_auxz00_3244 = BGL_OBJECT_WIDENING(BgL_auxz00_3245);
									}
									BgL_auxz00_3243 = ((BgL_wclassz00_bglt) BgL_auxz00_3244);
								}
								return
									(((BgL_wclassz00_bglt) CREF(BgL_auxz00_3243))->
									BgL_itszd2classzd2);
							}
						else
							{	/* BackEnd/cplib.scm 239 */
								return
									BGl_internalzd2errorzd2zztools_errorz00(CNST_TABLE_REF(((long)
											4)), BGl_string2202z00zzbackend_cplibz00,
									((obj_t) BgL_typez00_25));
		}}}}
	}



/* get-its-super */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_getzd2itszd2superz00zzbackend_cplibz00(BgL_typez00_bglt BgL_typez00_26)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 247 */
			{	/* BackEnd/cplib.scm 248 */
				obj_t BgL_arg2035z00_2740;

				BgL_arg2035z00_2740 =
					BGl_typezd2ze3classz31zzbackend_cplibz00(BgL_typez00_26);
				{
					obj_t BgL_auxz00_3255;

					{
						BgL_tclassz00_bglt BgL_auxz00_3256;

						{
							obj_t BgL_auxz00_3257;

							{	/* BackEnd/cplib.scm 248 */
								BgL_objectz00_bglt BgL_auxz00_3258;

								BgL_auxz00_3258 =
									((BgL_objectz00_bglt)
									((BgL_typez00_bglt) BgL_arg2035z00_2740));
								BgL_auxz00_3257 = BGL_OBJECT_WIDENING(BgL_auxz00_3258);
							}
							BgL_auxz00_3256 = ((BgL_tclassz00_bglt) BgL_auxz00_3257);
						}
						BgL_auxz00_3255 =
							(((BgL_tclassz00_bglt) CREF(BgL_auxz00_3256))->
							BgL_itszd2superzd2);
					}
					return ((BgL_typez00_bglt) BgL_auxz00_3255);
				}
			}
		}
	}



/* &get-its-super */
	BgL_typez00_bglt BGl_z62getzd2itszd2superz62zzbackend_cplibz00(obj_t
		BgL_envz00_2838, obj_t BgL_typez00_2839)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 247 */
			return
				BGl_getzd2itszd2superz00zzbackend_cplibz00(
				((BgL_typez00_bglt) BgL_typez00_2839));
		}
	}



/* get-declared-fields */
	BGL_EXPORTED_DEF obj_t
		BGl_getzd2declaredzd2fieldsz00zzbackend_cplibz00(BgL_typez00_bglt
		BgL_typez00_27)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 253 */
			{	/* BackEnd/cplib.scm 255 */
				obj_t BgL_classz00_1637;

				BgL_classz00_1637 =
					BGl_typezd2ze3classz31zzbackend_cplibz00(BgL_typez00_27);
				{	/* BackEnd/cplib.scm 256 */
					obj_t BgL_g1931z00_1638;

					{
						BgL_tclassz00_bglt BgL_auxz00_3268;

						{
							obj_t BgL_auxz00_3269;

							{	/* BackEnd/cplib.scm 259 */
								BgL_objectz00_bglt BgL_auxz00_3270;

								BgL_auxz00_3270 =
									((BgL_objectz00_bglt) ((BgL_typez00_bglt) BgL_classz00_1637));
								BgL_auxz00_3269 = BGL_OBJECT_WIDENING(BgL_auxz00_3270);
							}
							BgL_auxz00_3268 = ((BgL_tclassz00_bglt) BgL_auxz00_3269);
						}
						BgL_g1931z00_1638 =
							(((BgL_tclassz00_bglt) CREF(BgL_auxz00_3268))->BgL_slotsz00);
					}
					return
						BGl_zc3anonymousza32036ze3z83zzbackend_cplibz00(BgL_classz00_1637,
						BgL_g1931z00_1638);
				}
			}
		}
	}



/* <anonymous:2036> */
	obj_t BGl_zc3anonymousza32036ze3z83zzbackend_cplibz00(obj_t BgL_classz00_2862,
		obj_t BgL_lis1927z00_1640)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 259 */
		BGl_zc3anonymousza32036ze3z83zzbackend_cplibz00:
			if (NULLP(BgL_lis1927z00_1640))
				{	/* BackEnd/cplib.scm 259 */
					return BgL_lis1927z00_1640;
				}
			else
				{	/* BackEnd/cplib.scm 259 */
					obj_t BgL_head1928z00_1643;
					obj_t BgL_tail1929z00_1644;

					BgL_head1928z00_1643 = CAR(BgL_lis1927z00_1640);
					BgL_tail1929z00_1644 = CDR(BgL_lis1927z00_1640);
					{	/* BackEnd/cplib.scm 259 */
						bool_t BgL_testz00_3281;

						{	/* BackEnd/cplib.scm 257 */
							bool_t BgL_testz00_3282;

							if (BGl_slotzd2virtualzf3z21zzobject_slotsz00(
									((BgL_slotz00_bglt) BgL_head1928z00_1643)))
								{	/* BackEnd/cplib.scm 257 */
									BgL_testz00_3282 = ((bool_t) 0);
								}
							else
								{	/* BackEnd/cplib.scm 257 */
									BgL_testz00_3282 = ((bool_t) 1);
								}
							if (BgL_testz00_3282)
								{	/* BackEnd/cplib.scm 257 */
									BgL_testz00_3281 =
										(BgL_classz00_2862 ==
										(((BgL_slotz00_bglt) CREF(
													((BgL_slotz00_bglt) BgL_head1928z00_1643)))->
											BgL_classzd2ownerzd2));
								}
							else
								{	/* BackEnd/cplib.scm 257 */
									BgL_testz00_3281 = ((bool_t) 0);
								}
						}
						if (BgL_testz00_3281)
							{	/* BackEnd/cplib.scm 259 */
								obj_t BgL_newzd2tail1930zd2_1646;

								BgL_newzd2tail1930zd2_1646 =
									BGl_zc3anonymousza32036ze3z83zzbackend_cplibz00
									(BgL_classz00_2862, BgL_tail1929z00_1644);
								if ((BgL_tail1929z00_1644 == BgL_newzd2tail1930zd2_1646))
									{	/* BackEnd/cplib.scm 259 */
										return BgL_lis1927z00_1640;
									}
								else
									{	/* BackEnd/cplib.scm 259 */
										obj_t BgL_res2182z00_2756;

										BgL_res2182z00_2756 =
											MAKE_PAIR(BgL_head1928z00_1643,
											BgL_newzd2tail1930zd2_1646);
										return BgL_res2182z00_2756;
									}
							}
						else
							{
								obj_t BgL_lis1927z00_3293;

								BgL_lis1927z00_3293 = BgL_tail1929z00_1644;
								BgL_lis1927z00_1640 = BgL_lis1927z00_3293;
								goto BGl_zc3anonymousza32036ze3z83zzbackend_cplibz00;
							}
					}
				}
		}
	}



/* &get-declared-fields */
	obj_t BGl_z62getzd2declaredzd2fieldsz62zzbackend_cplibz00(obj_t
		BgL_envz00_2840, obj_t BgL_typez00_2841)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 253 */
			return
				BGl_getzd2declaredzd2fieldsz00zzbackend_cplibz00(
				((BgL_typez00_bglt) BgL_typez00_2841));
		}
	}



/* get-field-type */
	BGL_EXPORTED_DEF obj_t
		BGl_getzd2fieldzd2typez00zzbackend_cplibz00(BgL_slotz00_bglt BgL_slotz00_28)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 264 */
			return (((BgL_slotz00_bglt) CREF(BgL_slotz00_28))->BgL_typez00);
		}
	}



/* &get-field-type */
	obj_t BGl_z62getzd2fieldzd2typez62zzbackend_cplibz00(obj_t BgL_envz00_2842,
		obj_t BgL_slotz00_2843)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 264 */
			return
				(((BgL_slotz00_bglt) CREF(
						((BgL_slotz00_bglt) BgL_slotz00_2843)))->BgL_typez00);
		}
	}



/* wide->chunk */
	BGL_EXPORTED_DEF obj_t
		BGl_widezd2ze3chunkz31zzbackend_cplibz00(BgL_typez00_bglt BgL_cz00_29)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 271 */
			{	/* BackEnd/cplib.scm 275 */
				bool_t BgL_testz00_3299;

				{	/* BackEnd/cplib.scm 275 */
					BgL_typez00_bglt BgL_arg2043z00_1654;
					obj_t BgL_arg2044z00_1655;

					{	/* BackEnd/cplib.scm 275 */
						obj_t BgL_arg2046z00_1656;

						{	/* BackEnd/cplib.scm 275 */
							obj_t BgL_arg2047z00_1657;

							BgL_arg2047z00_1657 =
								(((BgL_typez00_bglt) CREF(
										((BgL_typez00_bglt) BgL_cz00_29)))->BgL_idz00);
							BgL_arg2046z00_1656 =
								BGl_widezd2chunkzd2classzd2idzd2zzobject_classz00
								(BgL_arg2047z00_1657);
						}
						BgL_arg2043z00_1654 =
							BGl_findzd2typezd2zztype_envz00(BgL_arg2046z00_1656);
					}
					{
						BgL_tclassz00_bglt BgL_auxz00_3304;

						{
							obj_t BgL_auxz00_3305;

							{	/* BackEnd/cplib.scm 276 */
								BgL_objectz00_bglt BgL_auxz00_3306;

								BgL_auxz00_3306 = ((BgL_objectz00_bglt) BgL_cz00_29);
								BgL_auxz00_3305 = BGL_OBJECT_WIDENING(BgL_auxz00_3306);
							}
							BgL_auxz00_3304 = ((BgL_tclassz00_bglt) BgL_auxz00_3305);
						}
						BgL_arg2044z00_1655 =
							(((BgL_tclassz00_bglt) CREF(BgL_auxz00_3304))->
							BgL_widezd2typezd2);
					}
					BgL_testz00_3299 =
						(((obj_t) BgL_arg2043z00_1654) == BgL_arg2044z00_1655);
				}
				if (BgL_testz00_3299)
					{
						BgL_tclassz00_bglt BgL_auxz00_3313;

						{
							obj_t BgL_auxz00_3314;

							{	/* BackEnd/cplib.scm 278 */
								BgL_objectz00_bglt BgL_auxz00_3315;

								BgL_auxz00_3315 = ((BgL_objectz00_bglt) BgL_cz00_29);
								BgL_auxz00_3314 = BGL_OBJECT_WIDENING(BgL_auxz00_3315);
							}
							BgL_auxz00_3313 = ((BgL_tclassz00_bglt) BgL_auxz00_3314);
						}
						return
							(((BgL_tclassz00_bglt) CREF(BgL_auxz00_3313))->
							BgL_widezd2typezd2);
					}
				else
					{	/* BackEnd/cplib.scm 275 */
						return
							BGl_errorz00zz__errorz00(BGl_string2203z00zzbackend_cplibz00,
							BGl_string2204z00zzbackend_cplibz00, ((obj_t) BgL_cz00_29));
					}
			}
		}
	}



/* &wide->chunk */
	obj_t BGl_z62widezd2ze3chunkz53zzbackend_cplibz00(obj_t BgL_envz00_2844,
		obj_t BgL_cz00_2845)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 271 */
			return
				BGl_widezd2ze3chunkz31zzbackend_cplibz00(
				((BgL_typez00_bglt) BgL_cz00_2845));
		}
	}



/* get-declared-global-variables */
	BGL_EXPORTED_DEF obj_t
		BGl_getzd2declaredzd2globalzd2variableszd2zzbackend_cplibz00(obj_t
		BgL_modulez00_30)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 283 */
			{	/* BackEnd/cplib.scm 285 */
				obj_t BgL_rz00_1658;

				BgL_rz00_1658 = MAKE_CELL(BNIL);
				{	/* BackEnd/cplib.scm 287 */
					obj_t BgL_zc3anonymousza32050ze3z83_2846;

					BgL_zc3anonymousza32050ze3z83_2846 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3anonymousza32050ze3ze1zzbackend_cplibz00,
						(int) (((long) 1)), (int) (((long) 2)));
					PROCEDURE_SET(BgL_zc3anonymousza32050ze3z83_2846, (int) (((long) 0)),
						BgL_rz00_1658);
					PROCEDURE_SET(BgL_zc3anonymousza32050ze3z83_2846, (int) (((long) 1)),
						BgL_modulez00_30);
					BGl_forzd2eachzd2globalz12z12zzast_envz00
						(BgL_zc3anonymousza32050ze3z83_2846, BNIL);
				}
				return CELL_REF(BgL_rz00_1658);
			}
		}
	}



/* &get-declared-global-variables */
	obj_t BGl_z62getzd2declaredzd2globalzd2variableszb0zzbackend_cplibz00(obj_t
		BgL_envz00_2847, obj_t BgL_modulez00_2848)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 283 */
			return
				BGl_getzd2declaredzd2globalzd2variableszd2zzbackend_cplibz00
				(BgL_modulez00_2848);
		}
	}



/* &<anonymous:2050> */
	obj_t BGl_z62zc3anonymousza32050ze3ze1zzbackend_cplibz00(obj_t
		BgL_envz00_2849, obj_t BgL_vz00_2852)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 286 */
			{	/* BackEnd/cplib.scm 287 */
				obj_t BgL_rz00_2850;
				obj_t BgL_modulez00_2851;

				BgL_rz00_2850 = PROCEDURE_REF(BgL_envz00_2849, (int) (((long) 0)));
				BgL_modulez00_2851 = PROCEDURE_REF(BgL_envz00_2849, (int) (((long) 1)));
				{
					obj_t BgL_vz00_1661;

					BgL_vz00_1661 = BgL_vz00_2852;
					{	/* BackEnd/cplib.scm 287 */
						bool_t BgL_testz00_3337;

						if (
							((((BgL_globalz00_bglt) CREF(
											((BgL_globalz00_bglt) BgL_vz00_1661)))->BgL_modulez00) ==
								BgL_modulez00_2851))
							{	/* BackEnd/cplib.scm 288 */
								bool_t BgL_testz00_3342;

								{	/* BackEnd/cplib.scm 288 */
									BgL_valuez00_bglt BgL_arg2058z00_1670;

									BgL_arg2058z00_1670 =
										(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_vz00_1661))))->
										BgL_valuez00);
									{	/* BackEnd/cplib.scm 288 */
										bool_t BgL_res2186z00_2773;

										BgL_res2186z00_2773 =
											BGl_isazf3zf3zz__objectz00(
											((obj_t) BgL_arg2058z00_1670), BGl_cfunz00zzast_varz00);
										BgL_testz00_3342 = BgL_res2186z00_2773;
									}
								}
								if (BgL_testz00_3342)
									{	/* BackEnd/cplib.scm 288 */
										BgL_testz00_3337 = ((bool_t) 0);
									}
								else
									{	/* BackEnd/cplib.scm 289 */
										bool_t BgL_testz00_3348;

										{	/* BackEnd/cplib.scm 289 */
											BgL_valuez00_bglt BgL_arg2057z00_1669;

											BgL_arg2057z00_1669 =
												(((BgL_variablez00_bglt) CREF(
														((BgL_variablez00_bglt)
															((BgL_globalz00_bglt) BgL_vz00_1661))))->
												BgL_valuez00);
											{	/* BackEnd/cplib.scm 289 */
												bool_t BgL_res2188z00_2778;

												BgL_res2188z00_2778 =
													BGl_isazf3zf3zz__objectz00(
													((obj_t) BgL_arg2057z00_1669),
													BGl_sfunz00zzast_varz00);
												BgL_testz00_3348 = BgL_res2188z00_2778;
											}
										}
										if (BgL_testz00_3348)
											{	/* BackEnd/cplib.scm 289 */
												BgL_testz00_3337 = ((bool_t) 0);
											}
										else
											{	/* BackEnd/cplib.scm 289 */
												if (
													((((BgL_variablez00_bglt) CREF(
																	((BgL_variablez00_bglt)
																		((BgL_globalz00_bglt) BgL_vz00_1661))))->
															BgL_idz00) == CNST_TABLE_REF(((long) 5))))
													{	/* BackEnd/cplib.scm 290 */
														BgL_testz00_3337 = ((bool_t) 0);
													}
												else
													{	/* BackEnd/cplib.scm 290 */
														BgL_testz00_3337 = ((bool_t) 1);
													}
											}
									}
							}
						else
							{	/* BackEnd/cplib.scm 287 */
								BgL_testz00_3337 = ((bool_t) 0);
							}
						if (BgL_testz00_3337)
							{	/* BackEnd/cplib.scm 291 */
								obj_t BgL_auxz00_2853;

								BgL_auxz00_2853 =
									MAKE_PAIR(BgL_vz00_1661, CELL_REF(BgL_rz00_2850));
								return CELL_SET(BgL_rz00_2850, BgL_auxz00_2853);
							}
						else
							{	/* BackEnd/cplib.scm 287 */
								return BFALSE;
							}
					}
				}
			}
		}
	}



/* get-global-variables-to-be-initialized */
	BGL_EXPORTED_DEF obj_t
		BGl_getzd2globalzd2variableszd2tozd2bezd2initializa7edz75zzbackend_cplibz00
		(obj_t BgL_modulez00_31)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 297 */
			{	/* BackEnd/cplib.scm 299 */
				obj_t BgL_rz00_1673;

				BgL_rz00_1673 = MAKE_CELL(BNIL);
				{	/* BackEnd/cplib.scm 301 */
					obj_t BgL_zc3anonymousza32062ze3z83_2854;

					BgL_zc3anonymousza32062ze3z83_2854 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3anonymousza32062ze3ze1zzbackend_cplibz00,
						(int) (((long) 1)), (int) (((long) 2)));
					PROCEDURE_SET(BgL_zc3anonymousza32062ze3z83_2854, (int) (((long) 0)),
						BgL_rz00_1673);
					PROCEDURE_SET(BgL_zc3anonymousza32062ze3z83_2854, (int) (((long) 1)),
						BgL_modulez00_31);
					BGl_forzd2eachzd2globalz12z12zzast_envz00
						(BgL_zc3anonymousza32062ze3z83_2854, BNIL);
				}
				return CELL_REF(BgL_rz00_1673);
			}
		}
	}



/* &get-global-variables-to-be-initialized */
	obj_t
		BGl_z62getzd2globalzd2variableszd2tozd2bezd2initializa7edz17zzbackend_cplibz00
		(obj_t BgL_envz00_2855, obj_t BgL_modulez00_2856)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 297 */
			return
				BGl_getzd2globalzd2variableszd2tozd2bezd2initializa7edz75zzbackend_cplibz00
				(BgL_modulez00_2856);
		}
	}



/* &<anonymous:2062> */
	obj_t BGl_z62zc3anonymousza32062ze3ze1zzbackend_cplibz00(obj_t
		BgL_envz00_2857, obj_t BgL_globalz00_2860)
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 300 */
			{	/* BackEnd/cplib.scm 301 */
				obj_t BgL_rz00_2858;
				obj_t BgL_modulez00_2859;

				BgL_rz00_2858 = PROCEDURE_REF(BgL_envz00_2857, (int) (((long) 0)));
				BgL_modulez00_2859 = PROCEDURE_REF(BgL_envz00_2857, (int) (((long) 1)));
				{
					obj_t BgL_globalz00_1676;

					BgL_globalz00_1676 = BgL_globalz00_2860;
					{	/* BackEnd/cplib.scm 301 */
						bool_t BgL_testz00_3374;

						if (
							((((BgL_globalz00_bglt) CREF(
											((BgL_globalz00_bglt) BgL_globalz00_1676)))->
									BgL_modulez00) == BgL_modulez00_2859))
							{	/* BackEnd/cplib.scm 301 */
								if (BGl_requirezd2prototypezf3z21zzbackend_c_prototypez00(
										((BgL_globalz00_bglt) BgL_globalz00_1676)))
									{	/* BackEnd/cplib.scm 304 */
										BgL_valuez00_bglt BgL_arg2066z00_1681;

										BgL_arg2066z00_1681 =
											(((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt)
														((BgL_globalz00_bglt) BgL_globalz00_1676))))->
											BgL_valuez00);
										{	/* BackEnd/cplib.scm 304 */
											bool_t BgL_res2192z00_2789;

											BgL_res2192z00_2789 =
												BGl_isazf3zf3zz__objectz00(
												((obj_t) BgL_arg2066z00_1681),
												BGl_scnstz00zzast_varz00);
											BgL_testz00_3374 = BgL_res2192z00_2789;
										}
									}
								else
									{	/* BackEnd/cplib.scm 303 */
										BgL_testz00_3374 = ((bool_t) 0);
									}
							}
						else
							{	/* BackEnd/cplib.scm 301 */
								BgL_testz00_3374 = ((bool_t) 0);
							}
						if (BgL_testz00_3374)
							{	/* BackEnd/cplib.scm 305 */
								obj_t BgL_auxz00_2861;

								BgL_auxz00_2861 =
									MAKE_PAIR(BgL_globalz00_1676, CELL_REF(BgL_rz00_2858));
								return CELL_SET(BgL_rz00_2858, BgL_auxz00_2861);
							}
						else
							{	/* BackEnd/cplib.scm 301 */
								return BFALSE;
							}
					}
				}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzbackend_cplibz00()
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzbackend_cplibz00()
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzbackend_cplibz00()
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzbackend_cplibz00()
	{
		AN_OBJECT;
		{	/* BackEnd/cplib.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2205z00zzbackend_cplibz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2205z00zzbackend_cplibz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2205z00zzbackend_cplibz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2205z00zzbackend_cplibz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 458567972),
				BSTRING_TO_STRING(BGl_string2205z00zzbackend_cplibz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2205z00zzbackend_cplibz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 164192787),
				BSTRING_TO_STRING(BGl_string2205z00zzbackend_cplibz00));
			BGl_modulezd2initializa7ationz75zzcnst_nodez00(((long) 89013043),
				BSTRING_TO_STRING(BGl_string2205z00zzbackend_cplibz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 481724379),
				BSTRING_TO_STRING(BGl_string2205z00zzbackend_cplibz00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long) 504896450),
				BSTRING_TO_STRING(BGl_string2205z00zzbackend_cplibz00));
			BGl_modulezd2initializa7ationz75zzread_jvmz00(((long) 261574382),
				BSTRING_TO_STRING(BGl_string2205z00zzbackend_cplibz00));
			BGl_modulezd2initializa7ationz75zzmodule_javaz00(((long) 93941037),
				BSTRING_TO_STRING(BGl_string2205z00zzbackend_cplibz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 328744326),
				BSTRING_TO_STRING(BGl_string2205z00zzbackend_cplibz00));
			BGl_modulezd2initializa7ationz75zzbackend_c_prototypez00(((long)
					364917963), BSTRING_TO_STRING(BGl_string2205z00zzbackend_cplibz00));
			return BGl_modulezd2initializa7ationz75zztools_errorz00(((long)
					300504031), BSTRING_TO_STRING(BGl_string2205z00zzbackend_cplibz00));
		}
	}

#ifdef __cplusplus
}
#endif
