/*===========================================================================*/
/*   (Cc/exec.scm)                                                           */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cc/exec.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	static obj_t BGl_systemzf2killzf2zzcc_execz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcc_execz00 = BUNSPEC;
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_systemz00zz__osz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzcc_execz00();
	static obj_t BGl_objectzd2initzd2zzcc_execz00();
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_oszd2classzd2zz__osz00();
	static obj_t BGl_methodzd2initzd2zzcc_execz00();
	static obj_t BGl_z62execz62zzcc_execz00(obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_unixzd2filenamezd2zzcc_execz00(obj_t);
	extern obj_t BGl_za2shellza2z00zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t BGl_execz00zzcc_execz00(obj_t, bool_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcc_execz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinit_mainz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzcc_execz00();
	BGL_IMPORT obj_t BGl_stringzd2indexzd2zz__r4_strings_6_7z00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzcc_execz00();
	extern obj_t BGl_compilerzd2exitzd2zzinit_mainz00(obj_t);
	BGL_IMPORT bool_t bigloo_strcmp(obj_t, obj_t);
	static obj_t BGl_z62unixzd2filenamezb0zzcc_execz00(obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_execzd2envzd2zzcc_execz00,
		BgL_bgl_za762execza762za7za7cc_e1046z00, BGl_z62execz62zzcc_execz00, 0L,
		BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_unixzd2filenamezd2envz00zzcc_execz00,
		BgL_bgl_za762unixza7d2filena1047z00, va_generic_entry,
		BGl_z62unixzd2filenamezb0zzcc_execz00, BUNSPEC, -1);
	      DEFINE_STRING(BGl_string1040z00zzcc_execz00,
		BgL_bgl_string1040za700za7za7c1048za7, "\"", 1);
	      DEFINE_STRING(BGl_string1041z00zzcc_execz00,
		BgL_bgl_string1041za700za7za7c1049za7, "mingw", 5);
	      DEFINE_STRING(BGl_string1042z00zzcc_execz00,
		BgL_bgl_string1042za700za7za7c1050za7, "-c", 2);
	      DEFINE_STRING(BGl_string1043z00zzcc_execz00,
		BgL_bgl_string1043za700za7za7c1051za7, "system/kill", 11);
	      DEFINE_STRING(BGl_string1044z00zzcc_execz00,
		BgL_bgl_string1044za700za7za7c1052za7, "Can't execute cmd", 17);
	      DEFINE_STRING(BGl_string1045z00zzcc_execz00,
		BgL_bgl_string1045za700za7za7c1053za7, "cc_exec", 7);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcc_execz00(long
		BgL_checksumz00_62, char *BgL_fromz00_63)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcc_execz00))
				{
					BGl_requirezd2initializa7ationz75zzcc_execz00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcc_execz00();
					BGl_importedzd2moduleszd2initz00zzcc_execz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcc_execz00()
	{
		AN_OBJECT;
		{	/* Cc/exec.scm 20 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"cc_exec");
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "cc_exec");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"cc_exec");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"cc_exec");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cc_exec");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cc_exec");
			return BUNSPEC;
		}
	}



/* unix-filename */
	BGL_EXPORTED_DEF obj_t BGl_unixzd2filenamezd2zzcc_execz00(obj_t BgL_argsz00_3)
	{
		AN_OBJECT;
		{	/* Cc/exec.scm 33 */
			{	/* Cc/exec.scm 34 */
				obj_t BgL_sz00_16;

				BgL_sz00_16 =
					BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_argsz00_3);
				{	/* Cc/exec.scm 35 */
					bool_t BgL_testz00_76;

					{	/* Cc/exec.scm 35 */

						BgL_testz00_76 =
							CBOOL(BGl_stringzd2indexzd2zz__r4_strings_6_7z00(BgL_sz00_16,
								BCHAR(((unsigned char) ' ')), BINT(((long) 0))));
					}
					if (BgL_testz00_76)
						{	/* Cc/exec.scm 35 */
							return
								string_append_3(BGl_string1040z00zzcc_execz00, BgL_sz00_16,
								BGl_string1040z00zzcc_execz00);
						}
					else
						{	/* Cc/exec.scm 35 */
							return BgL_sz00_16;
						}
				}
			}
		}
	}



/* &unix-filename */
	obj_t BGl_z62unixzd2filenamezb0zzcc_execz00(obj_t BgL_envz00_56,
		obj_t BgL_argsz00_57)
	{
		AN_OBJECT;
		{	/* Cc/exec.scm 33 */
			return BGl_unixzd2filenamezd2zzcc_execz00(BgL_argsz00_57);
		}
	}



/* exec */
	BGL_EXPORTED_DEF obj_t BGl_execz00zzcc_execz00(obj_t BgL_cmdz00_4,
		bool_t BgL_comezd2backzd2_5, obj_t BgL_namez00_6)
	{
		AN_OBJECT;
		{	/* Cc/exec.scm 48 */
			{	/* Cc/exec.scm 49 */
				bool_t BgL_testz00_83;

				if (BgL_comezd2backzd2_5)
					{	/* Cc/exec.scm 49 */
						BgL_testz00_83 = ((bool_t) 1);
					}
				else
					{	/* Cc/exec.scm 49 */
						if (STRINGP(BGl_za2shellza2z00zzengine_paramz00))
							{	/* Cc/exec.scm 49 */
								obj_t BgL_strz00_36;

								BgL_strz00_36 = BGl_za2shellza2z00zzengine_paramz00;
								BgL_testz00_83 = (STRING_LENGTH(BgL_strz00_36) == ((long) 0));
							}
						else
							{	/* Cc/exec.scm 49 */
								BgL_testz00_83 = ((bool_t) 1);
							}
					}
				if (BgL_testz00_83)
					{	/* Cc/exec.scm 49 */
						{	/* Cc/exec.scm 52 */
							obj_t BgL_resz00_23;

							{	/* Cc/exec.scm 52 */
								obj_t BgL_list1025z00_25;

								BgL_list1025z00_25 = MAKE_PAIR(BgL_cmdz00_4, BNIL);
								BgL_resz00_23 = BGl_systemz00zz__osz00(BgL_list1025z00_25);
							}
							if (((long) CINT(BgL_resz00_23) == ((long) 0)))
								{	/* Cc/exec.scm 53 */
									return BgL_resz00_23;
								}
							else
								{	/* Cc/exec.scm 53 */
									return BGl_compilerzd2exitzd2zzinit_mainz00(BINT(((long) 1)));
					}}}
				else
					{	/* Cc/exec.scm 49 */
						return BGl_systemzf2killzf2zzcc_execz00(BgL_cmdz00_4);
					}
			}
		}
	}



/* &exec */
	obj_t BGl_z62execz62zzcc_execz00(obj_t BgL_envz00_58, obj_t BgL_cmdz00_59,
		obj_t BgL_comezd2backzd2_60, obj_t BgL_namez00_61)
	{
		AN_OBJECT;
		{	/* Cc/exec.scm 48 */
			return
				BGl_execz00zzcc_execz00(BgL_cmdz00_59,
				CBOOL(BgL_comezd2backzd2_60), BgL_namez00_61);
		}
	}



/* system/kill */
	obj_t BGl_systemzf2killzf2zzcc_execz00(obj_t BgL_cmdz00_7)
	{
		AN_OBJECT;
		{	/* Cc/exec.scm 63 */
			if (bigloo_strcmp(BGl_oszd2classzd2zz__osz00(),
					BGl_string1041z00zzcc_execz00))
				{	/* Cc/exec.scm 66 */
					obj_t BgL_port1016z00_28;

					{	/* Cc/exec.scm 66 */
						obj_t BgL_res1038z00_51;

						{	/* Cc/exec.scm 66 */
							obj_t BgL_auxz00_102;

							BgL_auxz00_102 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_res1038z00_51 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_102);
						}
						BgL_port1016z00_28 = BgL_res1038z00_51;
					}
					{	/* Cc/exec.scm 66 */
						obj_t BgL_arg1028z00_29;

						{	/* Cc/exec.scm 66 */
							obj_t BgL_list1029z00_30;

							BgL_list1029z00_30 = MAKE_PAIR(BgL_cmdz00_7, BNIL);
							BgL_arg1028z00_29 = BGl_systemz00zz__osz00(BgL_list1029z00_30);
						}
						bgl_display_obj(BgL_arg1028z00_29, BgL_port1016z00_28);
					}
					return bgl_display_char(((unsigned char) '\n'), BgL_port1016z00_28);
				}
			else
				{	/* Cc/exec.scm 64 */
					{	/* Cc/exec.scm 74 */
						obj_t BgL_port1017z00_31;

						{	/* Cc/exec.scm 74 */
							obj_t BgL_res1039z00_54;

							{	/* Cc/exec.scm 74 */
								obj_t BgL_auxz00_109;

								BgL_auxz00_109 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res1039z00_54 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_109);
							}
							BgL_port1017z00_31 = BgL_res1039z00_54;
						}
						{	/* Cc/exec.scm 74 */
							int BgL_arg1030z00_32;

							{	/* Cc/exec.scm 74 */
								char *BgL_auxz00_118;
								char *BgL_auxz00_116;
								char *BgL_auxz00_114;
								char *BgL_auxz00_112;

								BgL_auxz00_118 = BSTRING_TO_STRING(BgL_cmdz00_7);
								BgL_auxz00_116 =
									BSTRING_TO_STRING(BGl_string1042z00zzcc_execz00);
								BgL_auxz00_114 =
									BSTRING_TO_STRING(BGl_za2shellza2z00zzengine_paramz00);
								BgL_auxz00_112 =
									BSTRING_TO_STRING(BGl_za2shellza2z00zzengine_paramz00);
								BgL_arg1030z00_32 =
									execl(BgL_auxz00_112, BgL_auxz00_114, BgL_auxz00_116,
									BgL_auxz00_118, ((long) 0));
							}
							bgl_display_obj(BINT(BgL_arg1030z00_32), BgL_port1017z00_31);
						}
						bgl_display_char(((unsigned char) '\n'), BgL_port1017z00_31);
					}
					return
						BGl_internalzd2errorzd2zztools_errorz00
						(BGl_string1043z00zzcc_execz00, BGl_string1044z00zzcc_execz00,
						BgL_cmdz00_7);
				}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcc_execz00()
	{
		AN_OBJECT;
		{	/* Cc/exec.scm 20 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcc_execz00()
	{
		AN_OBJECT;
		{	/* Cc/exec.scm 20 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcc_execz00()
	{
		AN_OBJECT;
		{	/* Cc/exec.scm 20 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcc_execz00()
	{
		AN_OBJECT;
		{	/* Cc/exec.scm 20 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1045z00zzcc_execz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1045z00zzcc_execz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 328744326),
				BSTRING_TO_STRING(BGl_string1045z00zzcc_execz00));
			return
				BGl_modulezd2initializa7ationz75zzinit_mainz00(((long) 288050968),
				BSTRING_TO_STRING(BGl_string1045z00zzcc_execz00));
		}
	}

#ifdef __cplusplus
}
#endif
