/*===========================================================================*/
/*   (Cfa/pair.scm)                                                          */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/pair.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_prezd2conszd2appz00_bgl
	{
		struct BgL_variablez00_bgl *BgL_ownerz00;
	}                          *BgL_prezd2conszd2appz00_bglt;

	typedef struct BgL_prezd2conszd2refzd2appzd2_bgl
	{
		obj_t BgL_getz00;
	}                                *BgL_prezd2conszd2refzd2appzd2_bglt;

	typedef struct BgL_prezd2conszd2setz12zd2appzc0_bgl
	{
		obj_t BgL_getz00;
	}                                   *BgL_prezd2conszd2setz12zd2appzc0_bglt;

	typedef struct BgL_conszd2appzd2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_approxesz00;
		long BgL_lostzd2stampzd2;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
		bool_t BgL_seenzf3zf3;
	}                    *BgL_conszd2appzd2_bglt;

	typedef struct BgL_conszd2refzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_getz00;
	}                          *BgL_conszd2refzd2appz00_bglt;

	typedef struct BgL_conszd2setz12zd2appz12_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_getz00;
	}                             *BgL_conszd2setz12zd2appz12_bglt;


	extern obj_t
		BGl_za2optimzd2cfazd2pairzd2quotezd2maxzd2lengthza2zd2zzengine_paramz00;
	static obj_t BGl_z62patchzd2pairzd2setz12z70zzcfa_pairz00(obj_t);
	static obj_t BGl_objectzd2initzd2zzcfa_pairz00();
	extern obj_t BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(obj_t,
		BgL_approxz00_bglt);
	static obj_t BGl_methodzd2initzd2zzcfa_pairz00();
	extern BgL_typez00_bglt
		BGl_getzd2bigloozd2typez00zztype_cachez00(BgL_typez00_bglt);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2conszd2setz12zd2app3005zb0zzcfa_pairz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_unpatchzd2pairzd2setz12z12zzcfa_pairz00();
	extern obj_t BGl_conszd2setz12zd2appz12zzcfa_info2z00;
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2conszd2refzd2app3003za2zzcfa_pairz00(obj_t, obj_t);
	extern obj_t BGl_za2optimzd2cfazd2pairzf3za2zf3zzengine_paramz00;
	extern obj_t BGl_za2optimza2z00zzengine_paramz00;
	extern obj_t BGl_nodezd2setupza2z12z62zzcfa_setupz00(obj_t);
	extern obj_t BGl_conszd2appzd2zzcfa_info2z00;
	BGL_EXPORTED_DECL bool_t BGl_pairzd2optimzf3z21zzcfa_pairz00();
	BGL_EXPORTED_DECL obj_t BGl_patchzd2pairzd2setz12z12zzcfa_pairz00();
	static obj_t BGl_z62zc3anonymousza33133ze3ze1zzcfa_pairz00(obj_t, obj_t);
	extern BgL_typez00_bglt BGl_getzd2defaultzd2typez00zztype_cachez00();
	extern obj_t BGl_conszd2refzd2appz00zzcfa_info2z00;
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	extern BgL_approxz00_bglt
		BGl_makezd2typezd2alloczd2approxzd2zzcfa_approxz00(BgL_typez00_bglt,
		BgL_nodez00_bglt);
	extern obj_t BGl_za2pairza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_pairz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setupz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_iteratez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_loosez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_pairz00();
	extern BgL_approxz00_bglt
		BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_typez00_bglt);
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
	static obj_t BGl_z62nodezd2setupz12zd2prezd2cons2995za2zzcfa_pairz00(obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2setupz12zd2prezd2cons2997za2zzcfa_pairz00(obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2setupz12zd2prezd2cons2999za2zzcfa_pairz00(obj_t,
		obj_t);
	static obj_t BGl_z62unpatchzd2pairzd2setz12z70zzcfa_pairz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_pairzd2optimzd2quotezd2maxlenzd2zzcfa_pairz00();
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	extern obj_t BGl_prezd2conszd2refzd2appzd2zzcfa_info2z00;
	extern obj_t BGl_cfunz00zzast_varz00;
	extern BgL_approxz00_bglt
		BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_approxz00_bglt);
	extern BgL_approxz00_bglt BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
	extern obj_t BGl_prezd2conszd2setz12zd2appzc0zzcfa_info2z00;
	static obj_t BGl_z62pairzd2optimzd2quotezd2maxlenzb0zzcfa_pairz00(obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2cfazd2stampza2zd2zzcfa_iteratez00;
	extern obj_t BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_approxz00_bglt);
	static obj_t BGl_z62zc3anonymousza33113ze3ze1zzcfa_pairz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_pairz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_z62loosezd2allocz12zd2conszd2ap3007za2zzcfa_pairz00(obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zzcfa_pairz00();
	static obj_t BGl_genericzd2initzd2zzcfa_pairz00();
	extern BgL_approxz00_bglt BGl_loosez12z12zzcfa_loosez00(BgL_approxz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62pairzd2optimzf3z43zzcfa_pairz00(obj_t);
	static obj_t BGl_cnstzd2initzd2zzcfa_pairz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_pairz00();
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_prezd2conszd2appz00zzcfa_info2z00;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2conszd2app3001z70zzcfa_pairz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	extern obj_t BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[4];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_pairzd2optimzf3zd2envzf3zzcfa_pairz00,
		BgL_bgl_za762pairza7d2optimza73486za7,
		BGl_z62pairzd2optimzf3z43zzcfa_pairz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_patchzd2pairzd2setz12zd2envzc0zzcfa_pairz00,
		BgL_bgl_za762patchza7d2pairza73487za7,
		BGl_z62patchzd2pairzd2setz12z70zzcfa_pairz00, 0L, BUNSPEC, 0);
	extern obj_t BGl_cfaz12zd2envzc0zzcfa_cfaz00;
	   
		 
		DEFINE_STRING(BGl_string3464z00zzcfa_pairz00,
		BgL_bgl_string3464za700za7za7c3488za7, "node-setup!", 11);
	      DEFINE_STRING(BGl_string3468z00zzcfa_pairz00,
		BgL_bgl_string3468za700za7za7c3489za7, "cfa!::approx", 12);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_unpatchzd2pairzd2setz12zd2envzc0zzcfa_pairz00,
		BgL_bgl_za762unpatchza7d2pai3490z00,
		BGl_z62unpatchzd2pairzd2setz12z70zzcfa_pairz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string3472z00zzcfa_pairz00,
		BgL_bgl_string3472za700za7za7c3491za7, "loose-alloc!", 12);
	      DEFINE_STRING(BGl_string3473z00zzcfa_pairz00,
		BgL_bgl_string3473za700za7za7c3492za7, "cfa_pair", 8);
	      DEFINE_STRING(BGl_string3474z00zzcfa_pairz00,
		BgL_bgl_string3474za700za7za7c3493za7,
		"all pair? $pair? ((@ cons __r4_pairs_and_lists_6_3) (@ set-car! __r4_pairs_and_lists_6_3) (@ set-cdr! __r4_pairs_and_lists_6_3) (@ $cons foreign) (@ $set-car! foreign) (@ $set-cdr! foreign)) ",
		191);
	extern obj_t BGl_nodezd2setupz12zd2envz12zzcfa_setupz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_pairzd2optimzd2quotezd2maxlenzd2envz00zzcfa_pairz00,
		BgL_bgl_za762pairza7d2optimza73494za7,
		BGl_z62pairzd2optimzd2quotezd2maxlenzb0zzcfa_pairz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3463z00zzcfa_pairz00,
		BgL_bgl_za762nodeza7d2setupza73495za7,
		BGl_z62nodezd2setupz12zd2prezd2cons2995za2zzcfa_pairz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3465z00zzcfa_pairz00,
		BgL_bgl_za762nodeza7d2setupza73496za7,
		BGl_z62nodezd2setupz12zd2prezd2cons2997za2zzcfa_pairz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3466z00zzcfa_pairz00,
		BgL_bgl_za762nodeza7d2setupza73497za7,
		BGl_z62nodezd2setupz12zd2prezd2cons2999za2zzcfa_pairz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3467z00zzcfa_pairz00,
		BgL_bgl_za762cfaza712za7d2cons3498za7,
		BGl_z62cfaz12zd2conszd2app3001z70zzcfa_pairz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3469z00zzcfa_pairz00,
		BgL_bgl_za762cfaza712za7d2cons3499za7,
		BGl_z62cfaz12zd2conszd2refzd2app3003za2zzcfa_pairz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3470z00zzcfa_pairz00,
		BgL_bgl_za762cfaza712za7d2cons3500za7,
		BGl_z62cfaz12zd2conszd2setz12zd2app3005zb0zzcfa_pairz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3471z00zzcfa_pairz00,
		BgL_bgl_za762looseza7d2alloc3501z00,
		BGl_z62loosezd2allocz12zd2conszd2ap3007za2zzcfa_pairz00, 0L, BUNSPEC, 1);
	extern obj_t BGl_loosezd2allocz12zd2envz12zzcfa_loosez00;



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_pairz00(long
		BgL_checksumz00_5503, char *BgL_fromz00_5504)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_pairz00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_pairz00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcfa_pairz00();
					BGl_cnstzd2initzd2zzcfa_pairz00();
					BGl_importedzd2moduleszd2initz00zzcfa_pairz00();
					BGl_methodzd2initzd2zzcfa_pairz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_pairz00()
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 17 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "cfa_pair");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cfa_pair");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"cfa_pair");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_pair");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_pair");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_pairz00()
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 17 */
			{	/* Cfa/pair.scm 17 */
				obj_t BgL_cportz00_5495;

				BgL_cportz00_5495 =
					bgl_open_input_string(BGl_string3474z00zzcfa_pairz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_5496;

					BgL_iz00_5496 = ((long) 3);
				BgL_loopz00_5497:
					if ((BgL_iz00_5496 == ((long) -1)))
						{	/* Cfa/pair.scm 17 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/pair.scm 17 */
							{	/* Cfa/pair.scm 17 */
								obj_t BgL_arg3485z00_5499;

								{	/* Cfa/pair.scm 17 */

									{	/* Cfa/pair.scm 17 */
										obj_t BgL_locationz00_5501;

										BgL_locationz00_5501 = BBOOL(((bool_t) 0));
										{	/* Cfa/pair.scm 17 */

											BgL_arg3485z00_5499 =
												BGl_readz00zz__readerz00(BgL_cportz00_5495,
												BgL_locationz00_5501);
										}
									}
								}
								{	/* Cfa/pair.scm 17 */
									int BgL_auxz00_5523;

									BgL_auxz00_5523 = (int) (BgL_iz00_5496);
									CNST_TABLE_SET(BgL_auxz00_5523, BgL_arg3485z00_5499);
							}}
							{	/* Cfa/pair.scm 17 */
								int BgL_auxz00_5502;

								BgL_auxz00_5502 = (int) ((BgL_iz00_5496 - ((long) 1)));
								{
									long BgL_iz00_5528;

									BgL_iz00_5528 = (long) (BgL_auxz00_5502);
									BgL_iz00_5496 = BgL_iz00_5528;
									goto BgL_loopz00_5497;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_pairz00()
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 17 */
			return BUNSPEC;
		}
	}



/* pair-optim? */
	BGL_EXPORTED_DEF bool_t BGl_pairzd2optimzf3z21zzcfa_pairz00()
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 44 */
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 2)))
				{	/* Cfa/pair.scm 45 */
					return CBOOL(BGl_za2optimzd2cfazd2pairzf3za2zf3zzengine_paramz00);
				}
			else
				{	/* Cfa/pair.scm 45 */
					return ((bool_t) 0);
				}
		}
	}



/* &pair-optim? */
	obj_t BGl_z62pairzd2optimzf3z43zzcfa_pairz00(obj_t BgL_envz00_5455)
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 44 */
			return BBOOL(BGl_pairzd2optimzf3z21zzcfa_pairz00());
		}
	}



/* pair-optim-quote-maxlen */
	BGL_EXPORTED_DEF obj_t BGl_pairzd2optimzd2quotezd2maxlenzd2zzcfa_pairz00()
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 50 */
			return
				BGl_za2optimzd2cfazd2pairzd2quotezd2maxzd2lengthza2zd2zzengine_paramz00;
		}
	}



/* &pair-optim-quote-maxlen */
	obj_t BGl_z62pairzd2optimzd2quotezd2maxlenzb0zzcfa_pairz00(obj_t
		BgL_envz00_5456)
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 50 */
			return
				BGl_za2optimzd2cfazd2pairzd2quotezd2maxzd2lengthza2zd2zzengine_paramz00;
		}
	}



/* patch-pair-set! */
	BGL_EXPORTED_DEF obj_t BGl_patchzd2pairzd2setz12z12zzcfa_pairz00()
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 59 */
			if (BGl_pairzd2optimzf3z21zzcfa_pairz00())
				{	/* Cfa/pair.scm 62 */
					{	/* Cfa/pair.scm 63 */
						obj_t BgL_g2990z00_3039;

						BgL_g2990z00_3039 = CNST_TABLE_REF(((long) 0));
						{
							obj_t BgL_l2988z00_3041;

							BgL_l2988z00_3041 = BgL_g2990z00_3039;
						BgL_zc3anonymousza33012ze3z83_3042:
							if (PAIRP(BgL_l2988z00_3041))
								{	/* Cfa/pair.scm 74 */
									{	/* Cfa/pair.scm 64 */
										obj_t BgL_idz00_3044;

										BgL_idz00_3044 = CAR(BgL_l2988z00_3041);
										{	/* Cfa/pair.scm 64 */
											obj_t BgL_gz00_3045;

											BgL_gz00_3045 =
												BGl_findzd2globalzf2modulez20zzast_envz00(CAR(CDR
													(BgL_idz00_3044)), CAR(CDR(CDR(BgL_idz00_3044))));
											{	/* Cfa/pair.scm 64 */
												BgL_valuez00_bglt BgL_funz00_3046;

												BgL_funz00_3046 =
													(((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt) BgL_gz00_3045))))->
													BgL_valuez00);
												{	/* Cfa/pair.scm 65 */

													{	/* Cfa/pair.scm 66 */
														BgL_valuez00_bglt BgL_arg3015z00_3047;

														BgL_arg3015z00_3047 =
															(((BgL_variablez00_bglt) CREF(
																	((BgL_variablez00_bglt)
																		((BgL_globalz00_bglt) BgL_gz00_3045))))->
															BgL_valuez00);
														((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt)
																			BgL_arg3015z00_3047)))->BgL_topzf3zf3) =
															((bool_t) ((bool_t) 0)), BUNSPEC);
													}
													{	/* Cfa/pair.scm 67 */
														bool_t BgL_testz00_5556;

														{	/* Cfa/pair.scm 67 */
															bool_t BgL_res3428z00_5248;

															BgL_res3428z00_5248 =
																BGl_isazf3zf3zz__objectz00(
																((obj_t) BgL_funz00_3046),
																BGl_cfunz00zzast_varz00);
															BgL_testz00_5556 = BgL_res3428z00_5248;
														}
														if (BgL_testz00_5556)
															{	/* Cfa/pair.scm 68 */
																obj_t BgL_argsz00_3049;

																BgL_argsz00_3049 =
																	(((BgL_cfunz00_bglt) CREF(
																			((BgL_cfunz00_bglt) BgL_funz00_3046)))->
																	BgL_argszd2typezd2);
																{	/* Cfa/pair.scm 69 */
																	BgL_typez00_bglt BgL_arg3017z00_3050;

																	BgL_arg3017z00_3050 =
																		BGl_getzd2defaultzd2typez00zztype_cachez00
																		();
																	{	/* Cfa/pair.scm 69 */
																		obj_t BgL_auxz00_5562;

																		BgL_auxz00_5562 =
																			((obj_t) BgL_arg3017z00_3050);
																		SET_CAR(BgL_argsz00_3049, BgL_auxz00_5562);
																	}
																}
																{	/* Cfa/pair.scm 70 */
																	obj_t BgL_arg3018z00_3051;
																	BgL_typez00_bglt BgL_arg3019z00_3052;

																	BgL_arg3018z00_3051 = CDR(BgL_argsz00_3049);
																	BgL_arg3019z00_3052 =
																		BGl_getzd2defaultzd2typez00zztype_cachez00
																		();
																	{	/* Cfa/pair.scm 70 */
																		obj_t BgL_auxz00_5567;

																		BgL_auxz00_5567 =
																			((obj_t) BgL_arg3019z00_3052);
																		SET_CAR(BgL_arg3018z00_3051,
																			BgL_auxz00_5567);
																	}
																}
															}
														else
															{	/* Cfa/pair.scm 71 */
																obj_t BgL_argsz00_3053;

																BgL_argsz00_3053 =
																	(((BgL_sfunz00_bglt) CREF(
																			((BgL_sfunz00_bglt) BgL_funz00_3046)))->
																	BgL_argsz00);
																{	/* Cfa/pair.scm 72 */
																	obj_t BgL_arg3020z00_3054;
																	BgL_typez00_bglt BgL_arg3021z00_3055;

																	BgL_arg3020z00_3054 = CAR(BgL_argsz00_3053);
																	BgL_arg3021z00_3055 =
																		BGl_getzd2defaultzd2typez00zztype_cachez00
																		();
																	((((BgL_variablez00_bglt)
																				CREF(((BgL_variablez00_bglt) (
																							(BgL_localz00_bglt)
																							BgL_arg3020z00_3054))))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) BgL_arg3021z00_3055),
																		BUNSPEC);
																}
																{	/* Cfa/pair.scm 73 */
																	obj_t BgL_arg3022z00_3056;
																	BgL_typez00_bglt BgL_arg3023z00_3057;

																	BgL_arg3022z00_3056 =
																		CAR(CDR(BgL_argsz00_3053));
																	BgL_arg3023z00_3057 =
																		BGl_getzd2defaultzd2typez00zztype_cachez00
																		();
																	((((BgL_variablez00_bglt)
																				CREF(((BgL_variablez00_bglt) (
																							(BgL_localz00_bglt)
																							BgL_arg3022z00_3056))))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) BgL_arg3023z00_3057),
																		BUNSPEC);
																}
															}
													}
												}
											}
										}
									}
									{
										obj_t BgL_l2988z00_5583;

										BgL_l2988z00_5583 = CDR(BgL_l2988z00_3041);
										BgL_l2988z00_3041 = BgL_l2988z00_5583;
										goto BgL_zc3anonymousza33012ze3z83_3042;
									}
								}
							else
								{	/* Cfa/pair.scm 74 */
									((bool_t) 1);
								}
						}
					}
					{	/* Cfa/pair.scm 80 */
						obj_t BgL_gz00_3062;

						BgL_gz00_3062 =
							BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 1)),
							BNIL);
						if (BGl_isazf3zf3zz__objectz00(BgL_gz00_3062,
								BGl_globalz00zzast_varz00))
							{	/* Cfa/pair.scm 82 */
								BgL_valuez00_bglt BgL_fz00_3064;

								BgL_fz00_3064 =
									(((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_gz00_3062))))->BgL_valuez00);
								{	/* Cfa/pair.scm 83 */
									obj_t BgL_arg3039z00_3065;
									BgL_typez00_bglt BgL_arg3040z00_3066;

									BgL_arg3039z00_3065 =
										(((BgL_cfunz00_bglt) CREF(
												((BgL_cfunz00_bglt) BgL_fz00_3064)))->
										BgL_argszd2typezd2);
									BgL_arg3040z00_3066 =
										BGl_getzd2defaultzd2typez00zztype_cachez00();
									{	/* Cfa/pair.scm 83 */
										obj_t BgL_auxz00_5595;

										BgL_auxz00_5595 = ((obj_t) BgL_arg3040z00_3066);
										return SET_CAR(BgL_arg3039z00_3065, BgL_auxz00_5595);
									}
								}
							}
						else
							{	/* Cfa/pair.scm 81 */
								return BFALSE;
							}
					}
				}
			else
				{	/* Cfa/pair.scm 62 */
					return BFALSE;
				}
		}
	}



/* &patch-pair-set! */
	obj_t BGl_z62patchzd2pairzd2setz12z70zzcfa_pairz00(obj_t BgL_envz00_5457)
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 59 */
			return BGl_patchzd2pairzd2setz12z12zzcfa_pairz00();
		}
	}



/* unpatch-pair-set! */
	BGL_EXPORTED_DEF obj_t BGl_unpatchzd2pairzd2setz12z12zzcfa_pairz00()
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 88 */
			if (BGl_pairzd2optimzf3z21zzcfa_pairz00())
				{	/* Cfa/pair.scm 89 */
					{	/* Cfa/pair.scm 90 */
						obj_t BgL_g2993z00_3069;

						BgL_g2993z00_3069 = CNST_TABLE_REF(((long) 0));
						{
							obj_t BgL_l2991z00_3071;

							BgL_l2991z00_3071 = BgL_g2993z00_3069;
						BgL_zc3anonymousza33043ze3z83_3072:
							if (PAIRP(BgL_l2991z00_3071))
								{	/* Cfa/pair.scm 100 */
									{	/* Cfa/pair.scm 91 */
										obj_t BgL_idz00_3074;

										BgL_idz00_3074 = CAR(BgL_l2991z00_3071);
										{	/* Cfa/pair.scm 91 */
											obj_t BgL_gz00_3075;

											BgL_gz00_3075 =
												BGl_findzd2globalzf2modulez20zzast_envz00(CAR(CDR
													(BgL_idz00_3074)), CAR(CDR(CDR(BgL_idz00_3074))));
											{	/* Cfa/pair.scm 91 */
												BgL_valuez00_bglt BgL_funz00_3076;

												BgL_funz00_3076 =
													(((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt) BgL_gz00_3075))))->
													BgL_valuez00);
												{	/* Cfa/pair.scm 92 */

													{	/* Cfa/pair.scm 93 */
														bool_t BgL_testz00_5614;

														{	/* Cfa/pair.scm 93 */
															bool_t BgL_res3433z00_5296;

															BgL_res3433z00_5296 =
																BGl_isazf3zf3zz__objectz00(
																((obj_t) BgL_funz00_3076),
																BGl_cfunz00zzast_varz00);
															BgL_testz00_5614 = BgL_res3433z00_5296;
														}
														if (BgL_testz00_5614)
															{	/* Cfa/pair.scm 94 */
																obj_t BgL_argsz00_3078;

																BgL_argsz00_3078 =
																	(((BgL_cfunz00_bglt) CREF(
																			((BgL_cfunz00_bglt) BgL_funz00_3076)))->
																	BgL_argszd2typezd2);
																SET_CAR(BgL_argsz00_3078,
																	BGl_za2objza2z00zztype_cachez00);
																{	/* Cfa/pair.scm 96 */
																	obj_t BgL_arg3046z00_3079;

																	BgL_arg3046z00_3079 = CDR(BgL_argsz00_3078);
																	SET_CAR(BgL_arg3046z00_3079,
																		BGl_za2objza2z00zztype_cachez00);
																}
															}
														else
															{	/* Cfa/pair.scm 97 */
																obj_t BgL_argsz00_3080;

																BgL_argsz00_3080 =
																	(((BgL_sfunz00_bglt) CREF(
																			((BgL_sfunz00_bglt) BgL_funz00_3076)))->
																	BgL_argsz00);
																{	/* Cfa/pair.scm 98 */
																	obj_t BgL_arg3047z00_3081;

																	BgL_arg3047z00_3081 = CAR(BgL_argsz00_3080);
																	{	/* Cfa/pair.scm 98 */
																		BgL_typez00_bglt BgL_vz00_5308;

																		BgL_vz00_5308 =
																			((BgL_typez00_bglt)
																			BGl_za2objza2z00zztype_cachez00);
																		((((BgL_variablez00_bglt)
																					CREF(((BgL_variablez00_bglt) (
																								(BgL_localz00_bglt)
																								BgL_arg3047z00_3081))))->
																				BgL_typez00) =
																			((BgL_typez00_bglt) BgL_vz00_5308),
																			BUNSPEC);
																	}
																}
																{	/* Cfa/pair.scm 99 */
																	obj_t BgL_arg3048z00_3082;

																	BgL_arg3048z00_3082 =
																		CAR(CDR(BgL_argsz00_3080));
																	{	/* Cfa/pair.scm 99 */
																		BgL_typez00_bglt BgL_vz00_5315;

																		BgL_vz00_5315 =
																			((BgL_typez00_bglt)
																			BGl_za2objza2z00zztype_cachez00);
																		((((BgL_variablez00_bglt)
																					CREF(((BgL_variablez00_bglt) (
																								(BgL_localz00_bglt)
																								BgL_arg3048z00_3082))))->
																				BgL_typez00) =
																			((BgL_typez00_bglt) BgL_vz00_5315),
																			BUNSPEC);
																	}
																}
															}
													}
												}
											}
										}
									}
									{
										obj_t BgL_l2991z00_5635;

										BgL_l2991z00_5635 = CDR(BgL_l2991z00_3071);
										BgL_l2991z00_3071 = BgL_l2991z00_5635;
										goto BgL_zc3anonymousza33043ze3z83_3072;
									}
								}
							else
								{	/* Cfa/pair.scm 100 */
									((bool_t) 1);
								}
						}
					}
					{	/* Cfa/pair.scm 106 */
						obj_t BgL_gz00_3087;

						BgL_gz00_3087 =
							BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 1)),
							BNIL);
						if (BGl_isazf3zf3zz__objectz00(BgL_gz00_3087,
								BGl_globalz00zzast_varz00))
							{	/* Cfa/pair.scm 108 */
								BgL_valuez00_bglt BgL_fz00_3089;

								BgL_fz00_3089 =
									(((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_gz00_3087))))->BgL_valuez00);
								{	/* Cfa/pair.scm 109 */
									obj_t BgL_arg3055z00_3090;

									BgL_arg3055z00_3090 =
										(((BgL_cfunz00_bglt) CREF(
												((BgL_cfunz00_bglt) BgL_fz00_3089)))->
										BgL_argszd2typezd2);
									SET_CAR(BgL_arg3055z00_3090, BGl_za2objza2z00zztype_cachez00);
								}
							}
						else
							{	/* Cfa/pair.scm 107 */
								BFALSE;
							}
					}
					{	/* Cfa/pair.scm 110 */
						obj_t BgL_gz00_3092;

						BgL_gz00_3092 =
							BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 2)),
							BNIL);
						if (BGl_isazf3zf3zz__objectz00(BgL_gz00_3092,
								BGl_globalz00zzast_varz00))
							{	/* Cfa/pair.scm 112 */
								BgL_valuez00_bglt BgL_fz00_3094;

								BgL_fz00_3094 =
									(((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_gz00_3092))))->BgL_valuez00);
								{	/* Cfa/pair.scm 113 */
									obj_t BgL_arg3058z00_3095;

									{	/* Cfa/pair.scm 113 */
										obj_t BgL_pairz00_5334;

										BgL_pairz00_5334 =
											(((BgL_sfunz00_bglt) CREF(
													((BgL_sfunz00_bglt) BgL_fz00_3094)))->BgL_argsz00);
										BgL_arg3058z00_3095 = CAR(BgL_pairz00_5334);
									}
									{	/* Cfa/pair.scm 113 */
										BgL_typez00_bglt BgL_vz00_5336;

										BgL_vz00_5336 =
											((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
										((((BgL_variablez00_bglt) CREF(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt) BgL_arg3058z00_3095))))->
												BgL_typez00) =
											((BgL_typez00_bglt) BgL_vz00_5336), BUNSPEC);
									}
								}
							}
						else
							{	/* Cfa/pair.scm 111 */
								BFALSE;
							}
					}
				}
			else
				{	/* Cfa/pair.scm 89 */
					BFALSE;
				}
			return BUNSPEC;
		}
	}



/* &unpatch-pair-set! */
	obj_t BGl_z62unpatchzd2pairzd2setz12z70zzcfa_pairz00(obj_t BgL_envz00_5458)
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 88 */
			return BGl_unpatchzd2pairzd2setz12z12zzcfa_pairz00();
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_pairz00()
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 17 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_pairz00()
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 17 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_pairz00()
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 17 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_prezd2conszd2appz00zzcfa_info2z00, BGl_proc3463z00zzcfa_pairz00,
				BGl_string3464z00zzcfa_pairz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_prezd2conszd2refzd2appzd2zzcfa_info2z00,
				BGl_proc3465z00zzcfa_pairz00, BGl_string3464z00zzcfa_pairz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_prezd2conszd2setz12zd2appzc0zzcfa_info2z00,
				BGl_proc3466z00zzcfa_pairz00, BGl_string3464z00zzcfa_pairz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_conszd2appzd2zzcfa_info2z00,
				BGl_proc3467z00zzcfa_pairz00, BGl_string3468z00zzcfa_pairz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_conszd2refzd2appz00zzcfa_info2z00,
				BGl_proc3469z00zzcfa_pairz00, BGl_string3468z00zzcfa_pairz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
				BGl_conszd2setz12zd2appz12zzcfa_info2z00, BGl_proc3470z00zzcfa_pairz00,
				BGl_string3468z00zzcfa_pairz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_loosezd2allocz12zd2envz12zzcfa_loosez00,
				BGl_conszd2appzd2zzcfa_info2z00, BGl_proc3471z00zzcfa_pairz00,
				BGl_string3472z00zzcfa_pairz00);
		}
	}



/* &loose-alloc!-cons-ap3007 */
	obj_t BGl_z62loosezd2allocz12zd2conszd2ap3007za2zzcfa_pairz00(obj_t
		BgL_envz00_5470, obj_t BgL_allocz00_5471)
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 245 */
			{
				BgL_appz00_bglt BgL_allocz00_3229;

				BgL_allocz00_3229 = ((BgL_appz00_bglt) BgL_allocz00_5471);
				{	/* Cfa/pair.scm 247 */
					bool_t BgL_testz00_5669;

					{	/* Cfa/pair.scm 247 */
						long BgL_n2z00_5438;

						BgL_n2z00_5438 =
							(long) CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00);
						{	/* Cfa/pair.scm 247 */
							long BgL_auxz00_5671;

							{
								BgL_conszd2appzd2_bglt BgL_auxz00_5672;

								{
									obj_t BgL_auxz00_5673;

									{	/* Cfa/pair.scm 247 */
										BgL_objectz00_bglt BgL_auxz00_5674;

										BgL_auxz00_5674 = ((BgL_objectz00_bglt) BgL_allocz00_3229);
										BgL_auxz00_5673 = BGL_OBJECT_WIDENING(BgL_auxz00_5674);
									}
									BgL_auxz00_5672 = ((BgL_conszd2appzd2_bglt) BgL_auxz00_5673);
								}
								BgL_auxz00_5671 =
									(((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_5672))->
									BgL_lostzd2stampzd2);
							}
							BgL_testz00_5669 = (BgL_auxz00_5671 == BgL_n2z00_5438);
					}}
					if (BgL_testz00_5669)
						{	/* Cfa/pair.scm 247 */
							return BFALSE;
						}
					else
						{	/* Cfa/pair.scm 247 */
							{
								BgL_conszd2appzd2_bglt BgL_auxz00_5680;

								{
									obj_t BgL_auxz00_5681;

									{	/* Cfa/pair.scm 250 */
										BgL_objectz00_bglt BgL_auxz00_5682;

										BgL_auxz00_5682 = ((BgL_objectz00_bglt) BgL_allocz00_3229);
										BgL_auxz00_5681 = BGL_OBJECT_WIDENING(BgL_auxz00_5682);
									}
									BgL_auxz00_5680 = ((BgL_conszd2appzd2_bglt) BgL_auxz00_5681);
								}
								((((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_5680))->
										BgL_lostzd2stampzd2) =
									((long) (long)
										CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00)), BUNSPEC);
							}
							{	/* Cfa/pair.scm 251 */
								obj_t BgL_arg3144z00_3234;

								{	/* Cfa/pair.scm 251 */
									obj_t BgL_auxz00_5688;

									{
										BgL_conszd2appzd2_bglt BgL_auxz00_5689;

										{
											obj_t BgL_auxz00_5690;

											{	/* Cfa/pair.scm 251 */
												BgL_objectz00_bglt BgL_auxz00_5691;

												BgL_auxz00_5691 =
													((BgL_objectz00_bglt) BgL_allocz00_3229);
												BgL_auxz00_5690 = BGL_OBJECT_WIDENING(BgL_auxz00_5691);
											}
											BgL_auxz00_5689 =
												((BgL_conszd2appzd2_bglt) BgL_auxz00_5690);
										}
										BgL_auxz00_5688 =
											(((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_5689))->
											BgL_approxesz00);
									}
									BgL_arg3144z00_3234 = CAR(BgL_auxz00_5688);
								}
								BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
									(BGl_loosezd2allocz12zd2envz12zzcfa_loosez00,
									((BgL_approxz00_bglt) BgL_arg3144z00_3234));
							}
							{	/* Cfa/pair.scm 252 */
								obj_t BgL_arg3146z00_3236;

								{	/* Cfa/pair.scm 252 */
									obj_t BgL_auxz00_5699;

									{
										BgL_conszd2appzd2_bglt BgL_auxz00_5700;

										{
											obj_t BgL_auxz00_5701;

											{	/* Cfa/pair.scm 252 */
												BgL_objectz00_bglt BgL_auxz00_5702;

												BgL_auxz00_5702 =
													((BgL_objectz00_bglt) BgL_allocz00_3229);
												BgL_auxz00_5701 = BGL_OBJECT_WIDENING(BgL_auxz00_5702);
											}
											BgL_auxz00_5700 =
												((BgL_conszd2appzd2_bglt) BgL_auxz00_5701);
										}
										BgL_auxz00_5699 =
											(((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_5700))->
											BgL_approxesz00);
									}
									BgL_arg3146z00_3236 = CDR(BgL_auxz00_5699);
								}
								BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
									(BGl_loosezd2allocz12zd2envz12zzcfa_loosez00,
									((BgL_approxz00_bglt) BgL_arg3146z00_3236));
							}
							{	/* Cfa/pair.scm 253 */
								obj_t BgL_arg3148z00_3238;

								{	/* Cfa/pair.scm 253 */
									obj_t BgL_auxz00_5710;

									{
										BgL_conszd2appzd2_bglt BgL_auxz00_5711;

										{
											obj_t BgL_auxz00_5712;

											{	/* Cfa/pair.scm 253 */
												BgL_objectz00_bglt BgL_auxz00_5713;

												BgL_auxz00_5713 =
													((BgL_objectz00_bglt) BgL_allocz00_3229);
												BgL_auxz00_5712 = BGL_OBJECT_WIDENING(BgL_auxz00_5713);
											}
											BgL_auxz00_5711 =
												((BgL_conszd2appzd2_bglt) BgL_auxz00_5712);
										}
										BgL_auxz00_5710 =
											(((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_5711))->
											BgL_approxesz00);
									}
									BgL_arg3148z00_3238 = CAR(BgL_auxz00_5710);
								}
								BGl_approxzd2setzd2typez12z12zzcfa_approxz00(
									((BgL_approxz00_bglt) BgL_arg3148z00_3238),
									((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
							}
							{	/* Cfa/pair.scm 254 */
								obj_t BgL_arg3150z00_3240;

								{	/* Cfa/pair.scm 254 */
									obj_t BgL_auxz00_5722;

									{
										BgL_conszd2appzd2_bglt BgL_auxz00_5723;

										{
											obj_t BgL_auxz00_5724;

											{	/* Cfa/pair.scm 254 */
												BgL_objectz00_bglt BgL_auxz00_5725;

												BgL_auxz00_5725 =
													((BgL_objectz00_bglt) BgL_allocz00_3229);
												BgL_auxz00_5724 = BGL_OBJECT_WIDENING(BgL_auxz00_5725);
											}
											BgL_auxz00_5723 =
												((BgL_conszd2appzd2_bglt) BgL_auxz00_5724);
										}
										BgL_auxz00_5722 =
											(((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_5723))->
											BgL_approxesz00);
									}
									BgL_arg3150z00_3240 = CDR(BgL_auxz00_5722);
								}
								BGl_approxzd2setzd2typez12z12zzcfa_approxz00(
									((BgL_approxz00_bglt) BgL_arg3150z00_3240),
									((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
							}
							{	/* Cfa/pair.scm 255 */
								obj_t BgL_arg3152z00_3242;

								{	/* Cfa/pair.scm 255 */
									obj_t BgL_auxz00_5734;

									{
										BgL_conszd2appzd2_bglt BgL_auxz00_5735;

										{
											obj_t BgL_auxz00_5736;

											{	/* Cfa/pair.scm 255 */
												BgL_objectz00_bglt BgL_auxz00_5737;

												BgL_auxz00_5737 =
													((BgL_objectz00_bglt) BgL_allocz00_3229);
												BgL_auxz00_5736 = BGL_OBJECT_WIDENING(BgL_auxz00_5737);
											}
											BgL_auxz00_5735 =
												((BgL_conszd2appzd2_bglt) BgL_auxz00_5736);
										}
										BgL_auxz00_5734 =
											(((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_5735))->
											BgL_approxesz00);
									}
									BgL_arg3152z00_3242 = CAR(BgL_auxz00_5734);
								}
								BGl_approxzd2setzd2topz12z12zzcfa_approxz00(
									((BgL_approxz00_bglt) BgL_arg3152z00_3242));
							}
							{	/* Cfa/pair.scm 256 */
								obj_t BgL_arg3154z00_3244;

								{	/* Cfa/pair.scm 256 */
									obj_t BgL_auxz00_5745;

									{
										BgL_conszd2appzd2_bglt BgL_auxz00_5746;

										{
											obj_t BgL_auxz00_5747;

											{	/* Cfa/pair.scm 256 */
												BgL_objectz00_bglt BgL_auxz00_5748;

												BgL_auxz00_5748 =
													((BgL_objectz00_bglt) BgL_allocz00_3229);
												BgL_auxz00_5747 = BGL_OBJECT_WIDENING(BgL_auxz00_5748);
											}
											BgL_auxz00_5746 =
												((BgL_conszd2appzd2_bglt) BgL_auxz00_5747);
										}
										BgL_auxz00_5745 =
											(((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_5746))->
											BgL_approxesz00);
									}
									BgL_arg3154z00_3244 = CDR(BgL_auxz00_5745);
								}
								return
									BGl_approxzd2setzd2topz12z12zzcfa_approxz00(
									((BgL_approxz00_bglt) BgL_arg3154z00_3244));
							}
						}
				}
			}
		}
	}



/* &cfa!-cons-set!-app3005 */
	BgL_approxz00_bglt
		BGl_z62cfaz12zd2conszd2setz12zd2app3005zb0zzcfa_pairz00(obj_t
		BgL_envz00_5472, obj_t BgL_nodez00_5473)
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 212 */
			{
				BgL_appz00_bglt BgL_nodez00_3206;

				BgL_nodez00_3206 = ((BgL_appz00_bglt) BgL_nodez00_5473);
				{	/* Cfa/pair.scm 214 */
					BgL_approxz00_bglt BgL_conszd2approxzd2_3210;
					BgL_approxz00_bglt BgL_valzd2approxzd2_3211;

					{	/* Cfa/pair.scm 214 */
						obj_t BgL_arg3138z00_3224;

						{	/* Cfa/pair.scm 214 */
							obj_t BgL_pairz00_5424;

							BgL_pairz00_5424 =
								(((BgL_appz00_bglt) CREF(
										((BgL_appz00_bglt) BgL_nodez00_3206)))->BgL_argsz00);
							BgL_arg3138z00_3224 = CAR(BgL_pairz00_5424);
						}
						BgL_conszd2approxzd2_3210 =
							BGl_cfaz12z12zzcfa_cfaz00(
							((BgL_nodez00_bglt) BgL_arg3138z00_3224));
					}
					{	/* Cfa/pair.scm 215 */
						obj_t BgL_arg3140z00_3226;

						{	/* Cfa/pair.scm 215 */
							obj_t BgL_pairz00_5425;

							BgL_pairz00_5425 =
								(((BgL_appz00_bglt) CREF(
										((BgL_appz00_bglt) BgL_nodez00_3206)))->BgL_argsz00);
							BgL_arg3140z00_3226 = CAR(CDR(BgL_pairz00_5425));
						}
						BgL_valzd2approxzd2_3211 =
							BGl_cfaz12z12zzcfa_cfaz00(
							((BgL_nodez00_bglt) BgL_arg3140z00_3226));
					}
					{	/* Cfa/pair.scm 220 */
						bool_t BgL_testz00_5768;

						{	/* Cfa/pair.scm 220 */
							BgL_typez00_bglt BgL_arg3130z00_3213;

							BgL_arg3130z00_3213 =
								(((BgL_approxz00_bglt) CREF(BgL_conszd2approxzd2_3210))->
								BgL_typez00);
							BgL_testz00_5768 =
								(((obj_t) BgL_arg3130z00_3213) ==
								BGl_za2pairza2z00zztype_cachez00);
						}
						if (BgL_testz00_5768)
							{	/* Cfa/pair.scm 220 */
								BFALSE;
							}
						else
							{	/* Cfa/pair.scm 220 */
								BGl_approxzd2setzd2typez12z12zzcfa_approxz00
									(BgL_valzd2approxzd2_3211,
									((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
							}
					}
					if (
						(((BgL_approxz00_bglt) CREF(BgL_conszd2approxzd2_3210))->
							BgL_topzf3zf3))
						{	/* Cfa/pair.scm 223 */
							((obj_t)
								BGl_loosez12z12zzcfa_loosez00(BgL_valzd2approxzd2_3211,
									CNST_TABLE_REF(((long) 3))));
						}
					else
						{	/* Cfa/pair.scm 229 */
							obj_t BgL_zc3anonymousza33133ze3z83_5462;

							BgL_zc3anonymousza33133ze3z83_5462 =
								MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33133ze3ze1zzcfa_pairz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_zc3anonymousza33133ze3z83_5462,
								(int) (((long) 0)), ((obj_t) BgL_nodez00_3206));
							PROCEDURE_SET(BgL_zc3anonymousza33133ze3z83_5462,
								(int) (((long) 1)), ((obj_t) BgL_valzd2approxzd2_3211));
							BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
								(BgL_zc3anonymousza33133ze3z83_5462, BgL_conszd2approxzd2_3210);
				}}
				{
					BgL_conszd2setz12zd2appz12_bglt BgL_auxz00_5789;

					{
						obj_t BgL_auxz00_5790;

						{	/* Cfa/pair.scm 236 */
							BgL_objectz00_bglt BgL_auxz00_5791;

							BgL_auxz00_5791 = ((BgL_objectz00_bglt) BgL_nodez00_3206);
							BgL_auxz00_5790 = BGL_OBJECT_WIDENING(BgL_auxz00_5791);
						}
						BgL_auxz00_5789 =
							((BgL_conszd2setz12zd2appz12_bglt) BgL_auxz00_5790);
					}
					return
						(((BgL_conszd2setz12zd2appz12_bglt) CREF(BgL_auxz00_5789))->
						BgL_approxz00);
				}
			}
		}
	}



/* &<anonymous:3133> */
	obj_t BGl_z62zc3anonymousza33133ze3ze1zzcfa_pairz00(obj_t BgL_envz00_5474,
		obj_t BgL_appz00_5477)
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 228 */
			{	/* Cfa/pair.scm 229 */
				BgL_appz00_bglt BgL_i1184z00_5475;
				BgL_approxz00_bglt BgL_valzd2approxzd2_5476;

				BgL_i1184z00_5475 =
					((BgL_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_5474, (int) (((long) 0))));
				BgL_valzd2approxzd2_5476 =
					((BgL_approxz00_bglt)
					PROCEDURE_REF(BgL_envz00_5474, (int) (((long) 1))));
				{
					obj_t BgL_appz00_3216;

					BgL_appz00_3216 = BgL_appz00_5477;
					if (BGl_isazf3zf3zz__objectz00(BgL_appz00_3216,
							BGl_conszd2appzd2zzcfa_info2z00))
						{	/* Cfa/pair.scm 229 */
							{
								BgL_conszd2appzd2_bglt BgL_auxz00_5805;

								{
									obj_t BgL_auxz00_5806;

									{	/* Cfa/pair.scm 231 */
										BgL_objectz00_bglt BgL_auxz00_5807;

										BgL_auxz00_5807 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) BgL_appz00_3216));
										BgL_auxz00_5806 = BGL_OBJECT_WIDENING(BgL_auxz00_5807);
									}
									BgL_auxz00_5805 = ((BgL_conszd2appzd2_bglt) BgL_auxz00_5806);
								}
								((((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_5805))->
										BgL_seenzf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
							}
							{	/* Cfa/pair.scm 232 */
								obj_t BgL_arg3135z00_3220;

								{	/* Cfa/pair.scm 232 */
									obj_t BgL_fun3137z00_3221;

									{
										BgL_conszd2setz12zd2appz12_bglt BgL_auxz00_5813;

										{
											obj_t BgL_auxz00_5814;

											{	/* Cfa/pair.scm 232 */
												BgL_objectz00_bglt BgL_auxz00_5815;

												BgL_auxz00_5815 =
													((BgL_objectz00_bglt) BgL_i1184z00_5475);
												BgL_auxz00_5814 = BGL_OBJECT_WIDENING(BgL_auxz00_5815);
											}
											BgL_auxz00_5813 =
												((BgL_conszd2setz12zd2appz12_bglt) BgL_auxz00_5814);
										}
										BgL_fun3137z00_3221 =
											(((BgL_conszd2setz12zd2appz12_bglt)
												CREF(BgL_auxz00_5813))->BgL_getz00);
									}
									{	/* Cfa/pair.scm 232 */
										obj_t BgL_arg3136z00_3222;

										{
											BgL_conszd2appzd2_bglt BgL_auxz00_5820;

											{
												obj_t BgL_auxz00_5821;

												{	/* Cfa/pair.scm 232 */
													BgL_objectz00_bglt BgL_auxz00_5822;

													BgL_auxz00_5822 =
														((BgL_objectz00_bglt)
														((BgL_appz00_bglt) BgL_appz00_3216));
													BgL_auxz00_5821 =
														BGL_OBJECT_WIDENING(BgL_auxz00_5822);
												}
												BgL_auxz00_5820 =
													((BgL_conszd2appzd2_bglt) BgL_auxz00_5821);
											}
											BgL_arg3136z00_3222 =
												(((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_5820))->
												BgL_approxesz00);
										}
										BgL_arg3135z00_3220 =
											PROCEDURE_ENTRY(BgL_fun3137z00_3221) (BgL_fun3137z00_3221,
											BgL_arg3136z00_3222, BEOA);
									}
								}
								return
									((obj_t)
									BGl_unionzd2approxz12zc0zzcfa_approxz00(
										((BgL_approxz00_bglt) BgL_arg3135z00_3220),
										BgL_valzd2approxzd2_5476));
							}
						}
					else
						{	/* Cfa/pair.scm 229 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &cfa!-cons-ref-app3003 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2conszd2refzd2app3003za2zzcfa_pairz00(obj_t
		BgL_envz00_5478, obj_t BgL_nodez00_5479)
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 183 */
			{
				BgL_appz00_bglt BgL_nodez00_3180;

				BgL_nodez00_3180 = ((BgL_appz00_bglt) BgL_nodez00_5479);
				{	/* Cfa/pair.scm 185 */
					BgL_approxz00_bglt BgL_conszd2approxzd2_3184;

					{	/* Cfa/pair.scm 185 */
						obj_t BgL_arg3126z00_3203;

						{	/* Cfa/pair.scm 185 */
							obj_t BgL_pairz00_5415;

							BgL_pairz00_5415 =
								(((BgL_appz00_bglt) CREF(
										((BgL_appz00_bglt) BgL_nodez00_3180)))->BgL_argsz00);
							BgL_arg3126z00_3203 = CAR(BgL_pairz00_5415);
						}
						BgL_conszd2approxzd2_3184 =
							BGl_cfaz12z12zzcfa_cfaz00(
							((BgL_nodez00_bglt) BgL_arg3126z00_3203));
					}
					if (
						(((BgL_approxz00_bglt) CREF(BgL_conszd2approxzd2_3184))->
							BgL_topzf3zf3))
						{	/* Cfa/pair.scm 191 */
							{	/* Cfa/pair.scm 192 */
								BgL_approxz00_bglt BgL_arg3108z00_3186;

								{
									BgL_conszd2refzd2appz00_bglt BgL_auxz00_5842;

									{
										obj_t BgL_auxz00_5843;

										{	/* Cfa/pair.scm 192 */
											BgL_objectz00_bglt BgL_auxz00_5844;

											BgL_auxz00_5844 = ((BgL_objectz00_bglt) BgL_nodez00_3180);
											BgL_auxz00_5843 = BGL_OBJECT_WIDENING(BgL_auxz00_5844);
										}
										BgL_auxz00_5842 =
											((BgL_conszd2refzd2appz00_bglt) BgL_auxz00_5843);
									}
									BgL_arg3108z00_3186 =
										(((BgL_conszd2refzd2appz00_bglt) CREF(BgL_auxz00_5842))->
										BgL_approxz00);
								}
								BGl_approxzd2setzd2typez12z12zzcfa_approxz00
									(BgL_arg3108z00_3186,
									((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
							}
							{	/* Cfa/pair.scm 193 */
								BgL_approxz00_bglt BgL_arg3110z00_3187;

								{
									BgL_conszd2refzd2appz00_bglt BgL_auxz00_5851;

									{
										obj_t BgL_auxz00_5852;

										{	/* Cfa/pair.scm 193 */
											BgL_objectz00_bglt BgL_auxz00_5853;

											BgL_auxz00_5853 = ((BgL_objectz00_bglt) BgL_nodez00_3180);
											BgL_auxz00_5852 = BGL_OBJECT_WIDENING(BgL_auxz00_5853);
										}
										BgL_auxz00_5851 =
											((BgL_conszd2refzd2appz00_bglt) BgL_auxz00_5852);
									}
									BgL_arg3110z00_3187 =
										(((BgL_conszd2refzd2appz00_bglt) CREF(BgL_auxz00_5851))->
										BgL_approxz00);
								}
								BGl_approxzd2setzd2topz12z12zzcfa_approxz00
									(BgL_arg3110z00_3187);
							}
						}
					else
						{	/* Cfa/pair.scm 191 */
							BFALSE;
						}
					{	/* Cfa/pair.scm 197 */
						obj_t BgL_zc3anonymousza33113ze3z83_5464;

						BgL_zc3anonymousza33113ze3z83_5464 =
							MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33113ze3ze1zzcfa_pairz00,
							(int) (((long) 1)), (int) (((long) 1)));
						PROCEDURE_SET(BgL_zc3anonymousza33113ze3z83_5464,
							(int) (((long) 0)), ((obj_t) BgL_nodez00_3180));
						BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
							(BgL_zc3anonymousza33113ze3z83_5464, BgL_conszd2approxzd2_3184);
				}}
				{
					BgL_conszd2refzd2appz00_bglt BgL_auxz00_5866;

					{
						obj_t BgL_auxz00_5867;

						{	/* Cfa/pair.scm 207 */
							BgL_objectz00_bglt BgL_auxz00_5868;

							BgL_auxz00_5868 = ((BgL_objectz00_bglt) BgL_nodez00_3180);
							BgL_auxz00_5867 = BGL_OBJECT_WIDENING(BgL_auxz00_5868);
						}
						BgL_auxz00_5866 = ((BgL_conszd2refzd2appz00_bglt) BgL_auxz00_5867);
					}
					return
						(((BgL_conszd2refzd2appz00_bglt) CREF(BgL_auxz00_5866))->
						BgL_approxz00);
				}
			}
		}
	}



/* &<anonymous:3113> */
	obj_t BGl_z62zc3anonymousza33113ze3ze1zzcfa_pairz00(obj_t BgL_envz00_5480,
		obj_t BgL_appz00_5482)
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 196 */
			{	/* Cfa/pair.scm 197 */
				BgL_appz00_bglt BgL_i1182z00_5481;

				BgL_i1182z00_5481 =
					((BgL_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_5480, (int) (((long) 0))));
				{
					obj_t BgL_appz00_3189;

					BgL_appz00_3189 = BgL_appz00_5482;
					if (BGl_isazf3zf3zz__objectz00(BgL_appz00_3189,
							BGl_conszd2appzd2zzcfa_info2z00))
						{	/* Cfa/pair.scm 197 */
							{
								BgL_conszd2appzd2_bglt BgL_auxz00_5879;

								{
									obj_t BgL_auxz00_5880;

									{	/* Cfa/pair.scm 199 */
										BgL_objectz00_bglt BgL_auxz00_5881;

										BgL_auxz00_5881 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) BgL_appz00_3189));
										BgL_auxz00_5880 = BGL_OBJECT_WIDENING(BgL_auxz00_5881);
									}
									BgL_auxz00_5879 = ((BgL_conszd2appzd2_bglt) BgL_auxz00_5880);
								}
								((((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_5879))->
										BgL_seenzf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
							}
							{	/* Cfa/pair.scm 202 */
								BgL_approxz00_bglt BgL_arg3115z00_3193;
								obj_t BgL_arg3116z00_3194;

								{
									BgL_conszd2refzd2appz00_bglt BgL_auxz00_5887;

									{
										obj_t BgL_auxz00_5888;

										{	/* Cfa/pair.scm 202 */
											BgL_objectz00_bglt BgL_auxz00_5889;

											BgL_auxz00_5889 =
												((BgL_objectz00_bglt) BgL_i1182z00_5481);
											BgL_auxz00_5888 = BGL_OBJECT_WIDENING(BgL_auxz00_5889);
										}
										BgL_auxz00_5887 =
											((BgL_conszd2refzd2appz00_bglt) BgL_auxz00_5888);
									}
									BgL_arg3115z00_3193 =
										(((BgL_conszd2refzd2appz00_bglt) CREF(BgL_auxz00_5887))->
										BgL_approxz00);
								}
								{	/* Cfa/pair.scm 202 */
									obj_t BgL_fun3119z00_3195;

									{
										BgL_conszd2refzd2appz00_bglt BgL_auxz00_5894;

										{
											obj_t BgL_auxz00_5895;

											{	/* Cfa/pair.scm 202 */
												BgL_objectz00_bglt BgL_auxz00_5896;

												BgL_auxz00_5896 =
													((BgL_objectz00_bglt) BgL_i1182z00_5481);
												BgL_auxz00_5895 = BGL_OBJECT_WIDENING(BgL_auxz00_5896);
											}
											BgL_auxz00_5894 =
												((BgL_conszd2refzd2appz00_bglt) BgL_auxz00_5895);
										}
										BgL_fun3119z00_3195 =
											(((BgL_conszd2refzd2appz00_bglt) CREF(BgL_auxz00_5894))->
											BgL_getz00);
									}
									{	/* Cfa/pair.scm 202 */
										obj_t BgL_arg3118z00_3196;

										{
											BgL_conszd2appzd2_bglt BgL_auxz00_5901;

											{
												obj_t BgL_auxz00_5902;

												{	/* Cfa/pair.scm 202 */
													BgL_objectz00_bglt BgL_auxz00_5903;

													BgL_auxz00_5903 =
														((BgL_objectz00_bglt)
														((BgL_appz00_bglt) BgL_appz00_3189));
													BgL_auxz00_5902 =
														BGL_OBJECT_WIDENING(BgL_auxz00_5903);
												}
												BgL_auxz00_5901 =
													((BgL_conszd2appzd2_bglt) BgL_auxz00_5902);
											}
											BgL_arg3118z00_3196 =
												(((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_5901))->
												BgL_approxesz00);
										}
										BgL_arg3116z00_3194 =
											PROCEDURE_ENTRY(BgL_fun3119z00_3195) (BgL_fun3119z00_3195,
											BgL_arg3118z00_3196, BEOA);
									}
								}
								BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg3115z00_3193,
									((BgL_approxz00_bglt) BgL_arg3116z00_3194));
							}
							{	/* Cfa/pair.scm 203 */
								obj_t BgL_arg3120z00_3197;
								BgL_typez00_bglt BgL_arg3121z00_3198;

								{	/* Cfa/pair.scm 203 */
									obj_t BgL_fun3123z00_3199;

									{
										BgL_conszd2refzd2appz00_bglt BgL_auxz00_5915;

										{
											obj_t BgL_auxz00_5916;

											{	/* Cfa/pair.scm 203 */
												BgL_objectz00_bglt BgL_auxz00_5917;

												BgL_auxz00_5917 =
													((BgL_objectz00_bglt) BgL_i1182z00_5481);
												BgL_auxz00_5916 = BGL_OBJECT_WIDENING(BgL_auxz00_5917);
											}
											BgL_auxz00_5915 =
												((BgL_conszd2refzd2appz00_bglt) BgL_auxz00_5916);
										}
										BgL_fun3123z00_3199 =
											(((BgL_conszd2refzd2appz00_bglt) CREF(BgL_auxz00_5915))->
											BgL_getz00);
									}
									{	/* Cfa/pair.scm 203 */
										obj_t BgL_arg3122z00_3200;

										{
											BgL_conszd2appzd2_bglt BgL_auxz00_5922;

											{
												obj_t BgL_auxz00_5923;

												{	/* Cfa/pair.scm 203 */
													BgL_objectz00_bglt BgL_auxz00_5924;

													BgL_auxz00_5924 =
														((BgL_objectz00_bglt)
														((BgL_appz00_bglt) BgL_appz00_3189));
													BgL_auxz00_5923 =
														BGL_OBJECT_WIDENING(BgL_auxz00_5924);
												}
												BgL_auxz00_5922 =
													((BgL_conszd2appzd2_bglt) BgL_auxz00_5923);
											}
											BgL_arg3122z00_3200 =
												(((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_5922))->
												BgL_approxesz00);
										}
										BgL_arg3120z00_3197 =
											PROCEDURE_ENTRY(BgL_fun3123z00_3199) (BgL_fun3123z00_3199,
											BgL_arg3122z00_3200, BEOA);
									}
								}
								{
									BgL_approxz00_bglt BgL_auxz00_5934;

									{
										BgL_conszd2refzd2appz00_bglt BgL_auxz00_5935;

										{
											obj_t BgL_auxz00_5936;

											{	/* Cfa/pair.scm 203 */
												BgL_objectz00_bglt BgL_auxz00_5937;

												BgL_auxz00_5937 =
													((BgL_objectz00_bglt) BgL_i1182z00_5481);
												BgL_auxz00_5936 = BGL_OBJECT_WIDENING(BgL_auxz00_5937);
											}
											BgL_auxz00_5935 =
												((BgL_conszd2refzd2appz00_bglt) BgL_auxz00_5936);
										}
										BgL_auxz00_5934 =
											(((BgL_conszd2refzd2appz00_bglt) CREF(BgL_auxz00_5935))->
											BgL_approxz00);
									}
									BgL_arg3121z00_3198 =
										(((BgL_approxz00_bglt) CREF(BgL_auxz00_5934))->BgL_typez00);
								}
								return
									BGl_approxzd2setzd2typez12z12zzcfa_approxz00(
									((BgL_approxz00_bglt) BgL_arg3120z00_3197),
									BgL_arg3121z00_3198);
							}
						}
					else
						{	/* Cfa/pair.scm 197 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &cfa!-cons-app3001 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2conszd2app3001z70zzcfa_pairz00(obj_t
		BgL_envz00_5483, obj_t BgL_nodez00_5484)
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 159 */
			{
				BgL_appz00_bglt BgL_nodez00_3153;

				BgL_nodez00_3153 = ((BgL_appz00_bglt) BgL_nodez00_5484);
				{	/* Cfa/pair.scm 162 */
					BgL_approxz00_bglt BgL_caraz00_3157;
					BgL_approxz00_bglt BgL_cdraz00_3158;

					{	/* Cfa/pair.scm 162 */
						obj_t BgL_arg3102z00_3175;

						{	/* Cfa/pair.scm 162 */
							obj_t BgL_pairz00_5398;

							BgL_pairz00_5398 =
								(((BgL_appz00_bglt) CREF(
										((BgL_appz00_bglt) BgL_nodez00_3153)))->BgL_argsz00);
							BgL_arg3102z00_3175 = CAR(BgL_pairz00_5398);
						}
						BgL_caraz00_3157 =
							BGl_cfaz12z12zzcfa_cfaz00(
							((BgL_nodez00_bglt) BgL_arg3102z00_3175));
					}
					{	/* Cfa/pair.scm 163 */
						obj_t BgL_arg3105z00_3177;

						{	/* Cfa/pair.scm 163 */
							obj_t BgL_pairz00_5399;

							BgL_pairz00_5399 =
								(((BgL_appz00_bglt) CREF(
										((BgL_appz00_bglt) BgL_nodez00_3153)))->BgL_argsz00);
							BgL_arg3105z00_3177 = CAR(CDR(BgL_pairz00_5399));
						}
						BgL_cdraz00_3158 =
							BGl_cfaz12z12zzcfa_cfaz00(
							((BgL_nodez00_bglt) BgL_arg3105z00_3177));
					}
					{	/* Cfa/pair.scm 164 */
						obj_t BgL_arg3083z00_3159;

						{	/* Cfa/pair.scm 164 */
							obj_t BgL_auxz00_5956;

							{
								BgL_conszd2appzd2_bglt BgL_auxz00_5957;

								{
									obj_t BgL_auxz00_5958;

									{	/* Cfa/pair.scm 164 */
										BgL_objectz00_bglt BgL_auxz00_5959;

										BgL_auxz00_5959 = ((BgL_objectz00_bglt) BgL_nodez00_3153);
										BgL_auxz00_5958 = BGL_OBJECT_WIDENING(BgL_auxz00_5959);
									}
									BgL_auxz00_5957 = ((BgL_conszd2appzd2_bglt) BgL_auxz00_5958);
								}
								BgL_auxz00_5956 =
									(((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_5957))->
									BgL_approxesz00);
							}
							BgL_arg3083z00_3159 = CAR(BgL_auxz00_5956);
						}
						BGl_unionzd2approxz12zc0zzcfa_approxz00(
							((BgL_approxz00_bglt) BgL_arg3083z00_3159), BgL_caraz00_3157);
					}
					{	/* Cfa/pair.scm 165 */
						obj_t BgL_arg3085z00_3161;

						{	/* Cfa/pair.scm 165 */
							obj_t BgL_auxz00_5967;

							{
								BgL_conszd2appzd2_bglt BgL_auxz00_5968;

								{
									obj_t BgL_auxz00_5969;

									{	/* Cfa/pair.scm 165 */
										BgL_objectz00_bglt BgL_auxz00_5970;

										BgL_auxz00_5970 = ((BgL_objectz00_bglt) BgL_nodez00_3153);
										BgL_auxz00_5969 = BGL_OBJECT_WIDENING(BgL_auxz00_5970);
									}
									BgL_auxz00_5968 = ((BgL_conszd2appzd2_bglt) BgL_auxz00_5969);
								}
								BgL_auxz00_5967 =
									(((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_5968))->
									BgL_approxesz00);
							}
							BgL_arg3085z00_3161 = CDR(BgL_auxz00_5967);
						}
						BGl_unionzd2approxz12zc0zzcfa_approxz00(
							((BgL_approxz00_bglt) BgL_arg3085z00_3161), BgL_cdraz00_3158);
					}
					{	/* Cfa/pair.scm 172 */
						obj_t BgL_arg3087z00_3163;
						BgL_typez00_bglt BgL_arg3089z00_3164;

						{	/* Cfa/pair.scm 172 */
							obj_t BgL_auxz00_5978;

							{
								BgL_conszd2appzd2_bglt BgL_auxz00_5979;

								{
									obj_t BgL_auxz00_5980;

									{	/* Cfa/pair.scm 172 */
										BgL_objectz00_bglt BgL_auxz00_5981;

										BgL_auxz00_5981 = ((BgL_objectz00_bglt) BgL_nodez00_3153);
										BgL_auxz00_5980 = BGL_OBJECT_WIDENING(BgL_auxz00_5981);
									}
									BgL_auxz00_5979 = ((BgL_conszd2appzd2_bglt) BgL_auxz00_5980);
								}
								BgL_auxz00_5978 =
									(((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_5979))->
									BgL_approxesz00);
							}
							BgL_arg3087z00_3163 = CAR(BgL_auxz00_5978);
						}
						{	/* Cfa/pair.scm 173 */
							BgL_typez00_bglt BgL_arg3091z00_3166;

							{
								BgL_approxz00_bglt BgL_auxz00_5987;

								{
									obj_t BgL_auxz00_5988;

									{	/* Cfa/pair.scm 173 */
										obj_t BgL_auxz00_5989;

										{
											BgL_conszd2appzd2_bglt BgL_auxz00_5990;

											{
												obj_t BgL_auxz00_5991;

												{	/* Cfa/pair.scm 173 */
													BgL_objectz00_bglt BgL_auxz00_5992;

													BgL_auxz00_5992 =
														((BgL_objectz00_bglt) BgL_nodez00_3153);
													BgL_auxz00_5991 =
														BGL_OBJECT_WIDENING(BgL_auxz00_5992);
												}
												BgL_auxz00_5990 =
													((BgL_conszd2appzd2_bglt) BgL_auxz00_5991);
											}
											BgL_auxz00_5989 =
												(((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_5990))->
												BgL_approxesz00);
										}
										BgL_auxz00_5988 = CAR(BgL_auxz00_5989);
									}
									BgL_auxz00_5987 = ((BgL_approxz00_bglt) BgL_auxz00_5988);
								}
								BgL_arg3091z00_3166 =
									(((BgL_approxz00_bglt) CREF(BgL_auxz00_5987))->BgL_typez00);
							}
							BgL_arg3089z00_3164 =
								BGl_getzd2bigloozd2typez00zztype_cachez00(BgL_arg3091z00_3166);
						}
						BGl_approxzd2setzd2typez12z12zzcfa_approxz00(
							((BgL_approxz00_bglt) BgL_arg3087z00_3163), BgL_arg3089z00_3164);
					}
					{	/* Cfa/pair.scm 174 */
						obj_t BgL_arg3094z00_3169;
						BgL_typez00_bglt BgL_arg3096z00_3170;

						{	/* Cfa/pair.scm 174 */
							obj_t BgL_auxz00_6003;

							{
								BgL_conszd2appzd2_bglt BgL_auxz00_6004;

								{
									obj_t BgL_auxz00_6005;

									{	/* Cfa/pair.scm 174 */
										BgL_objectz00_bglt BgL_auxz00_6006;

										BgL_auxz00_6006 = ((BgL_objectz00_bglt) BgL_nodez00_3153);
										BgL_auxz00_6005 = BGL_OBJECT_WIDENING(BgL_auxz00_6006);
									}
									BgL_auxz00_6004 = ((BgL_conszd2appzd2_bglt) BgL_auxz00_6005);
								}
								BgL_auxz00_6003 =
									(((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_6004))->
									BgL_approxesz00);
							}
							BgL_arg3094z00_3169 = CDR(BgL_auxz00_6003);
						}
						{	/* Cfa/pair.scm 175 */
							BgL_typez00_bglt BgL_arg3098z00_3172;

							{
								BgL_approxz00_bglt BgL_auxz00_6012;

								{
									obj_t BgL_auxz00_6013;

									{	/* Cfa/pair.scm 175 */
										obj_t BgL_auxz00_6014;

										{
											BgL_conszd2appzd2_bglt BgL_auxz00_6015;

											{
												obj_t BgL_auxz00_6016;

												{	/* Cfa/pair.scm 175 */
													BgL_objectz00_bglt BgL_auxz00_6017;

													BgL_auxz00_6017 =
														((BgL_objectz00_bglt) BgL_nodez00_3153);
													BgL_auxz00_6016 =
														BGL_OBJECT_WIDENING(BgL_auxz00_6017);
												}
												BgL_auxz00_6015 =
													((BgL_conszd2appzd2_bglt) BgL_auxz00_6016);
											}
											BgL_auxz00_6014 =
												(((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_6015))->
												BgL_approxesz00);
										}
										BgL_auxz00_6013 = CDR(BgL_auxz00_6014);
									}
									BgL_auxz00_6012 = ((BgL_approxz00_bglt) BgL_auxz00_6013);
								}
								BgL_arg3098z00_3172 =
									(((BgL_approxz00_bglt) CREF(BgL_auxz00_6012))->BgL_typez00);
							}
							BgL_arg3096z00_3170 =
								BGl_getzd2bigloozd2typez00zztype_cachez00(BgL_arg3098z00_3172);
						}
						BGl_approxzd2setzd2typez12z12zzcfa_approxz00(
							((BgL_approxz00_bglt) BgL_arg3094z00_3169), BgL_arg3096z00_3170);
					}
					{
						BgL_conszd2appzd2_bglt BgL_auxz00_6028;

						{
							obj_t BgL_auxz00_6029;

							{	/* Cfa/pair.scm 178 */
								BgL_objectz00_bglt BgL_auxz00_6030;

								BgL_auxz00_6030 = ((BgL_objectz00_bglt) BgL_nodez00_3153);
								BgL_auxz00_6029 = BGL_OBJECT_WIDENING(BgL_auxz00_6030);
							}
							BgL_auxz00_6028 = ((BgL_conszd2appzd2_bglt) BgL_auxz00_6029);
						}
						return
							(((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_6028))->BgL_approxz00);
					}
				}
			}
		}
	}



/* &node-setup!-pre-cons2999 */
	obj_t BGl_z62nodezd2setupz12zd2prezd2cons2999za2zzcfa_pairz00(obj_t
		BgL_envz00_5485, obj_t BgL_nodez00_5486)
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 147 */
			{
				BgL_appz00_bglt BgL_nodez00_3136;

				BgL_nodez00_3136 = ((BgL_appz00_bglt) BgL_nodez00_5486);
				{	/* Cfa/pair.scm 149 */
					obj_t BgL_arg3077z00_3140;

					BgL_arg3077z00_3140 =
						(((BgL_appz00_bglt) CREF(
								((BgL_appz00_bglt) BgL_nodez00_3136)))->BgL_argsz00);
					BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg3077z00_3140);
				}
				{	/* Cfa/pair.scm 150 */
					obj_t BgL_cgetz00_3141;

					{
						BgL_prezd2conszd2setz12zd2appzc0_bglt BgL_auxz00_6039;

						{
							obj_t BgL_auxz00_6040;

							{	/* Cfa/pair.scm 150 */
								BgL_objectz00_bglt BgL_auxz00_6041;

								BgL_auxz00_6041 = ((BgL_objectz00_bglt) BgL_nodez00_3136);
								BgL_auxz00_6040 = BGL_OBJECT_WIDENING(BgL_auxz00_6041);
							}
							BgL_auxz00_6039 =
								((BgL_prezd2conszd2setz12zd2appzc0_bglt) BgL_auxz00_6040);
						}
						BgL_cgetz00_3141 =
							(((BgL_prezd2conszd2setz12zd2appzc0_bglt) CREF(BgL_auxz00_6039))->
							BgL_getz00);
					}
					{	/* Cfa/pair.scm 150 */
						BgL_appz00_bglt BgL_nodez00_3142;

						{	/* Cfa/pair.scm 151 */
							long BgL_arg3080z00_3149;

							{	/* Cfa/pair.scm 151 */
								obj_t BgL_arg3081z00_3150;

								{	/* Cfa/pair.scm 151 */
									obj_t BgL_arg3082z00_3151;

									{	/* Cfa/pair.scm 151 */
										long BgL_arg1772z00_5381;

										{	/* Cfa/pair.scm 151 */
											long BgL_arg1773z00_5382;

											{	/* Cfa/pair.scm 151 */
												long BgL_res3447z00_5384;

												BgL_res3447z00_5384 =
													BGL_OBJECT_CLASS_NUM(
													((BgL_objectz00_bglt) BgL_nodez00_3136));
												BgL_arg1773z00_5382 = BgL_res3447z00_5384;
											}
											BgL_arg1772z00_5381 = (BgL_arg1773z00_5382 - OBJECT_TYPE);
										}
										BgL_arg3082z00_3151 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											(int) (BgL_arg1772z00_5381));
									}
									BgL_arg3081z00_3150 =
										BGl_classzd2superzd2zz__objectz00(BgL_arg3082z00_3151);
								}
								{	/* Cfa/pair.scm 151 */
									long BgL_res3449z00_5391;

									BgL_res3449z00_5391 = BGL_CLASS_INDEX(BgL_arg3081z00_3150);
									BgL_arg3080z00_3149 = BgL_res3449z00_5391;
							}}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_nodez00_3136), BgL_arg3080z00_3149);
						}
						{	/* Cfa/pair.scm 151 */
							BgL_objectz00_bglt BgL_auxz00_6055;

							BgL_auxz00_6055 = ((BgL_objectz00_bglt) BgL_nodez00_3136);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_6055, BFALSE);
						}
						BgL_nodez00_3142 = BgL_nodez00_3136;
						{	/* Cfa/pair.scm 151 */

							{	/* Cfa/pair.scm 152 */
								BgL_conszd2setz12zd2appz12_bglt BgL_wide1179z00_3145;

								BgL_wide1179z00_3145 =
									((BgL_conszd2setz12zd2appz12_bglt)
									BREF(GC_MALLOC(sizeof(struct
												BgL_conszd2setz12zd2appz12_bgl))));
								{	/* Cfa/pair.scm 152 */
									obj_t BgL_auxz00_6063;
									BgL_objectz00_bglt BgL_auxz00_6059;

									BgL_auxz00_6063 = ((obj_t) BgL_wide1179z00_3145);
									BgL_auxz00_6059 =
										((BgL_objectz00_bglt)
										((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3142)));
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_6059, BgL_auxz00_6063);
								}
								{	/* Cfa/pair.scm 152 */
									long BgL_arg3078z00_3146;

									{	/* Cfa/pair.scm 152 */
										long BgL_res3450z00_5395;

										BgL_res3450z00_5395 =
											BGL_CLASS_INDEX(BGl_conszd2setz12zd2appz12zzcfa_info2z00);
										BgL_arg3078z00_3146 = BgL_res3450z00_5395;
									}
									((BgL_appz00_bglt)
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt)
												((BgL_appz00_bglt)
													((BgL_appz00_bglt) BgL_nodez00_3142))),
											BgL_arg3078z00_3146));
								}
								((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3142));
							}
							{
								BgL_conszd2setz12zd2appz12_bglt BgL_auxz00_6074;

								{
									obj_t BgL_auxz00_6075;

									{	/* Cfa/pair.scm 154 */
										BgL_objectz00_bglt BgL_auxz00_6076;

										BgL_auxz00_6076 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3142)));
										BgL_auxz00_6075 = BGL_OBJECT_WIDENING(BgL_auxz00_6076);
									}
									BgL_auxz00_6074 =
										((BgL_conszd2setz12zd2appz12_bglt) BgL_auxz00_6075);
								}
								((((BgL_conszd2setz12zd2appz12_bglt) CREF(BgL_auxz00_6074))->
										BgL_approxz00) =
									((BgL_approxz00_bglt)
										BGl_makezd2typezd2approxz00zzcfa_approxz00((
												(BgL_typez00_bglt)
												BGl_za2unspecza2z00zztype_cachez00))), BUNSPEC);
							}
							{
								BgL_conszd2setz12zd2appz12_bglt BgL_auxz00_6085;

								{
									obj_t BgL_auxz00_6086;

									{	/* Cfa/pair.scm 153 */
										BgL_objectz00_bglt BgL_auxz00_6087;

										BgL_auxz00_6087 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3142)));
										BgL_auxz00_6086 = BGL_OBJECT_WIDENING(BgL_auxz00_6087);
									}
									BgL_auxz00_6085 =
										((BgL_conszd2setz12zd2appz12_bglt) BgL_auxz00_6086);
								}
								((((BgL_conszd2setz12zd2appz12_bglt) CREF(BgL_auxz00_6085))->
										BgL_getz00) = ((obj_t) BgL_cgetz00_3141), BUNSPEC);
							}
							return
								((obj_t)
								((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3142)));
						}
					}
				}
			}
		}
	}



/* &node-setup!-pre-cons2997 */
	obj_t BGl_z62nodezd2setupz12zd2prezd2cons2997za2zzcfa_pairz00(obj_t
		BgL_envz00_5487, obj_t BgL_nodez00_5488)
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 134 */
			{
				BgL_appz00_bglt BgL_nodez00_3119;

				BgL_nodez00_3119 = ((BgL_appz00_bglt) BgL_nodez00_5488);
				{	/* Cfa/pair.scm 137 */
					obj_t BgL_arg3072z00_3123;

					BgL_arg3072z00_3123 =
						(((BgL_appz00_bglt) CREF(
								((BgL_appz00_bglt) BgL_nodez00_3119)))->BgL_argsz00);
					BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg3072z00_3123);
				}
				{	/* Cfa/pair.scm 138 */
					obj_t BgL_cgetz00_3124;

					{
						BgL_prezd2conszd2refzd2appzd2_bglt BgL_auxz00_6101;

						{
							obj_t BgL_auxz00_6102;

							{	/* Cfa/pair.scm 138 */
								BgL_objectz00_bglt BgL_auxz00_6103;

								BgL_auxz00_6103 = ((BgL_objectz00_bglt) BgL_nodez00_3119);
								BgL_auxz00_6102 = BGL_OBJECT_WIDENING(BgL_auxz00_6103);
							}
							BgL_auxz00_6101 =
								((BgL_prezd2conszd2refzd2appzd2_bglt) BgL_auxz00_6102);
						}
						BgL_cgetz00_3124 =
							(((BgL_prezd2conszd2refzd2appzd2_bglt) CREF(BgL_auxz00_6101))->
							BgL_getz00);
					}
					{	/* Cfa/pair.scm 138 */
						BgL_appz00_bglt BgL_nodez00_3125;

						{	/* Cfa/pair.scm 139 */
							long BgL_arg3074z00_3132;

							{	/* Cfa/pair.scm 139 */
								obj_t BgL_arg3075z00_3133;

								{	/* Cfa/pair.scm 139 */
									obj_t BgL_arg3076z00_3134;

									{	/* Cfa/pair.scm 139 */
										long BgL_arg1772z00_5363;

										{	/* Cfa/pair.scm 139 */
											long BgL_arg1773z00_5364;

											{	/* Cfa/pair.scm 139 */
												long BgL_res3443z00_5366;

												BgL_res3443z00_5366 =
													BGL_OBJECT_CLASS_NUM(
													((BgL_objectz00_bglt) BgL_nodez00_3119));
												BgL_arg1773z00_5364 = BgL_res3443z00_5366;
											}
											BgL_arg1772z00_5363 = (BgL_arg1773z00_5364 - OBJECT_TYPE);
										}
										BgL_arg3076z00_3134 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											(int) (BgL_arg1772z00_5363));
									}
									BgL_arg3075z00_3133 =
										BGl_classzd2superzd2zz__objectz00(BgL_arg3076z00_3134);
								}
								{	/* Cfa/pair.scm 139 */
									long BgL_res3445z00_5373;

									BgL_res3445z00_5373 = BGL_CLASS_INDEX(BgL_arg3075z00_3133);
									BgL_arg3074z00_3132 = BgL_res3445z00_5373;
							}}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_nodez00_3119), BgL_arg3074z00_3132);
						}
						{	/* Cfa/pair.scm 139 */
							BgL_objectz00_bglt BgL_auxz00_6117;

							BgL_auxz00_6117 = ((BgL_objectz00_bglt) BgL_nodez00_3119);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_6117, BFALSE);
						}
						BgL_nodez00_3125 = BgL_nodez00_3119;
						{	/* Cfa/pair.scm 139 */

							{	/* Cfa/pair.scm 140 */
								BgL_conszd2refzd2appz00_bglt BgL_wide1172z00_3128;

								BgL_wide1172z00_3128 =
									((BgL_conszd2refzd2appz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_conszd2refzd2appz00_bgl))));
								{	/* Cfa/pair.scm 140 */
									obj_t BgL_auxz00_6125;
									BgL_objectz00_bglt BgL_auxz00_6121;

									BgL_auxz00_6125 = ((obj_t) BgL_wide1172z00_3128);
									BgL_auxz00_6121 =
										((BgL_objectz00_bglt)
										((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3125)));
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_6121, BgL_auxz00_6125);
								}
								{	/* Cfa/pair.scm 140 */
									long BgL_arg3073z00_3129;

									{	/* Cfa/pair.scm 140 */
										long BgL_res3446z00_5377;

										BgL_res3446z00_5377 =
											BGL_CLASS_INDEX(BGl_conszd2refzd2appz00zzcfa_info2z00);
										BgL_arg3073z00_3129 = BgL_res3446z00_5377;
									}
									((BgL_appz00_bglt)
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt)
												((BgL_appz00_bglt)
													((BgL_appz00_bglt) BgL_nodez00_3125))),
											BgL_arg3073z00_3129));
								}
								((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3125));
							}
							{
								BgL_conszd2refzd2appz00_bglt BgL_auxz00_6136;

								{
									obj_t BgL_auxz00_6137;

									{	/* Cfa/pair.scm 142 */
										BgL_objectz00_bglt BgL_auxz00_6138;

										BgL_auxz00_6138 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3125)));
										BgL_auxz00_6137 = BGL_OBJECT_WIDENING(BgL_auxz00_6138);
									}
									BgL_auxz00_6136 =
										((BgL_conszd2refzd2appz00_bglt) BgL_auxz00_6137);
								}
								((((BgL_conszd2refzd2appz00_bglt) CREF(BgL_auxz00_6136))->
										BgL_approxz00) =
									((BgL_approxz00_bglt)
										BGl_makezd2emptyzd2approxz00zzcfa_approxz00()), BUNSPEC);
							}
							{
								BgL_conszd2refzd2appz00_bglt BgL_auxz00_6146;

								{
									obj_t BgL_auxz00_6147;

									{	/* Cfa/pair.scm 141 */
										BgL_objectz00_bglt BgL_auxz00_6148;

										BgL_auxz00_6148 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3125)));
										BgL_auxz00_6147 = BGL_OBJECT_WIDENING(BgL_auxz00_6148);
									}
									BgL_auxz00_6146 =
										((BgL_conszd2refzd2appz00_bglt) BgL_auxz00_6147);
								}
								((((BgL_conszd2refzd2appz00_bglt) CREF(BgL_auxz00_6146))->
										BgL_getz00) = ((obj_t) BgL_cgetz00_3124), BUNSPEC);
							}
							return
								((obj_t)
								((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3125)));
						}
					}
				}
			}
		}
	}



/* &node-setup!-pre-cons2995 */
	obj_t BGl_z62nodezd2setupz12zd2prezd2cons2995za2zzcfa_pairz00(obj_t
		BgL_envz00_5489, obj_t BgL_nodez00_5490)
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 119 */
			{
				BgL_appz00_bglt BgL_nodez00_3098;

				BgL_nodez00_3098 = ((BgL_appz00_bglt) BgL_nodez00_5490);
				{	/* Cfa/pair.scm 121 */
					obj_t BgL_arg3062z00_3102;

					BgL_arg3062z00_3102 =
						(((BgL_appz00_bglt) CREF(
								((BgL_appz00_bglt) BgL_nodez00_3098)))->BgL_argsz00);
					BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg3062z00_3102);
				}
				{	/* Cfa/pair.scm 122 */
					BgL_variablez00_bglt BgL_ownerz00_3103;

					{
						BgL_prezd2conszd2appz00_bglt BgL_auxz00_6162;

						{
							obj_t BgL_auxz00_6163;

							{	/* Cfa/pair.scm 122 */
								BgL_objectz00_bglt BgL_auxz00_6164;

								BgL_auxz00_6164 = ((BgL_objectz00_bglt) BgL_nodez00_3098);
								BgL_auxz00_6163 = BGL_OBJECT_WIDENING(BgL_auxz00_6164);
							}
							BgL_auxz00_6162 =
								((BgL_prezd2conszd2appz00_bglt) BgL_auxz00_6163);
						}
						BgL_ownerz00_3103 =
							(((BgL_prezd2conszd2appz00_bglt) CREF(BgL_auxz00_6162))->
							BgL_ownerz00);
					}
					{	/* Cfa/pair.scm 122 */
						BgL_appz00_bglt BgL_nodez00_3104;

						{	/* Cfa/pair.scm 123 */
							long BgL_arg3068z00_3115;

							{	/* Cfa/pair.scm 123 */
								obj_t BgL_arg3069z00_3116;

								{	/* Cfa/pair.scm 123 */
									obj_t BgL_arg3071z00_3117;

									{	/* Cfa/pair.scm 123 */
										long BgL_arg1772z00_5342;

										{	/* Cfa/pair.scm 123 */
											long BgL_arg1773z00_5343;

											{	/* Cfa/pair.scm 123 */
												long BgL_res3439z00_5345;

												BgL_res3439z00_5345 =
													BGL_OBJECT_CLASS_NUM(
													((BgL_objectz00_bglt) BgL_nodez00_3098));
												BgL_arg1773z00_5343 = BgL_res3439z00_5345;
											}
											BgL_arg1772z00_5342 = (BgL_arg1773z00_5343 - OBJECT_TYPE);
										}
										BgL_arg3071z00_3117 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											(int) (BgL_arg1772z00_5342));
									}
									BgL_arg3069z00_3116 =
										BGl_classzd2superzd2zz__objectz00(BgL_arg3071z00_3117);
								}
								{	/* Cfa/pair.scm 123 */
									long BgL_res3441z00_5352;

									BgL_res3441z00_5352 = BGL_CLASS_INDEX(BgL_arg3069z00_3116);
									BgL_arg3068z00_3115 = BgL_res3441z00_5352;
							}}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_nodez00_3098), BgL_arg3068z00_3115);
						}
						{	/* Cfa/pair.scm 123 */
							BgL_objectz00_bglt BgL_auxz00_6178;

							BgL_auxz00_6178 = ((BgL_objectz00_bglt) BgL_nodez00_3098);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_6178, BFALSE);
						}
						BgL_nodez00_3104 = BgL_nodez00_3098;
						{	/* Cfa/pair.scm 123 */
							BgL_appz00_bglt BgL_wnodez00_3105;

							{	/* Cfa/pair.scm 124 */
								BgL_conszd2appzd2_bglt BgL_wide1166z00_3109;

								BgL_wide1166z00_3109 =
									((BgL_conszd2appzd2_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_conszd2appzd2_bgl))));
								{	/* Cfa/pair.scm 124 */
									obj_t BgL_auxz00_6186;
									BgL_objectz00_bglt BgL_auxz00_6182;

									BgL_auxz00_6186 = ((obj_t) BgL_wide1166z00_3109);
									BgL_auxz00_6182 =
										((BgL_objectz00_bglt)
										((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3104)));
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_6182, BgL_auxz00_6186);
								}
								{	/* Cfa/pair.scm 124 */
									long BgL_arg3064z00_3110;

									{	/* Cfa/pair.scm 124 */
										long BgL_res3442z00_5356;

										BgL_res3442z00_5356 =
											BGL_CLASS_INDEX(BGl_conszd2appzd2zzcfa_info2z00);
										BgL_arg3064z00_3110 = BgL_res3442z00_5356;
									}
									((BgL_appz00_bglt)
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt)
												((BgL_appz00_bglt)
													((BgL_appz00_bglt) BgL_nodez00_3104))),
											BgL_arg3064z00_3110));
								}
								((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3104));
							}
							{
								BgL_conszd2appzd2_bglt BgL_auxz00_6197;

								{
									obj_t BgL_auxz00_6198;

									{	/* Cfa/pair.scm 127 */
										BgL_objectz00_bglt BgL_auxz00_6199;

										BgL_auxz00_6199 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3104)));
										BgL_auxz00_6198 = BGL_OBJECT_WIDENING(BgL_auxz00_6199);
									}
									BgL_auxz00_6197 = ((BgL_conszd2appzd2_bglt) BgL_auxz00_6198);
								}
								((((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_6197))->
										BgL_approxz00) =
									((BgL_approxz00_bglt)
										BGl_makezd2emptyzd2approxz00zzcfa_approxz00()), BUNSPEC);
							}
							{
								obj_t BgL_auxz00_6215;
								BgL_conszd2appzd2_bglt BgL_auxz00_6207;

								{	/* Cfa/pair.scm 126 */
									BgL_approxz00_bglt BgL_arg3065z00_3112;
									BgL_approxz00_bglt BgL_arg3067z00_3113;

									BgL_arg3065z00_3112 =
										BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
									BgL_arg3067z00_3113 =
										BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
									BgL_auxz00_6215 =
										MAKE_PAIR(
										((obj_t) BgL_arg3065z00_3112),
										((obj_t) BgL_arg3067z00_3113));
								}
								{
									obj_t BgL_auxz00_6208;

									{	/* Cfa/pair.scm 126 */
										BgL_objectz00_bglt BgL_auxz00_6209;

										BgL_auxz00_6209 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3104)));
										BgL_auxz00_6208 = BGL_OBJECT_WIDENING(BgL_auxz00_6209);
									}
									BgL_auxz00_6207 = ((BgL_conszd2appzd2_bglt) BgL_auxz00_6208);
								}
								((((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_6207))->
										BgL_approxesz00) = ((obj_t) BgL_auxz00_6215), BUNSPEC);
							}
							{
								BgL_conszd2appzd2_bglt BgL_auxz00_6222;

								{
									obj_t BgL_auxz00_6223;

									{	/* Cfa/cinfo2.scm 109 */
										BgL_objectz00_bglt BgL_auxz00_6224;

										BgL_auxz00_6224 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3104)));
										BgL_auxz00_6223 = BGL_OBJECT_WIDENING(BgL_auxz00_6224);
									}
									BgL_auxz00_6222 = ((BgL_conszd2appzd2_bglt) BgL_auxz00_6223);
								}
								((((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_6222))->
										BgL_lostzd2stampzd2) = ((long) ((long) -1)), BUNSPEC);
							}
							{
								BgL_conszd2appzd2_bglt BgL_auxz00_6231;

								{
									obj_t BgL_auxz00_6232;

									{	/* Cfa/pair.scm 125 */
										BgL_objectz00_bglt BgL_auxz00_6233;

										BgL_auxz00_6233 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3104)));
										BgL_auxz00_6232 = BGL_OBJECT_WIDENING(BgL_auxz00_6233);
									}
									BgL_auxz00_6231 = ((BgL_conszd2appzd2_bglt) BgL_auxz00_6232);
								}
								((((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_6231))->
										BgL_ownerz00) =
									((BgL_variablez00_bglt) BgL_ownerz00_3103), BUNSPEC);
							}
							{
								BgL_conszd2appzd2_bglt BgL_auxz00_6240;

								{
									obj_t BgL_auxz00_6241;

									{	/* Cfa/cinfo2.scm 109 */
										BgL_objectz00_bglt BgL_auxz00_6242;

										BgL_auxz00_6242 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3104)));
										BgL_auxz00_6241 = BGL_OBJECT_WIDENING(BgL_auxz00_6242);
									}
									BgL_auxz00_6240 = ((BgL_conszd2appzd2_bglt) BgL_auxz00_6241);
								}
								((((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_6240))->
										BgL_stackzd2stampzd2) = ((obj_t) BNIL), BUNSPEC);
							}
							{
								BgL_conszd2appzd2_bglt BgL_auxz00_6249;

								{
									obj_t BgL_auxz00_6250;

									{	/* Cfa/cinfo2.scm 109 */
										BgL_objectz00_bglt BgL_auxz00_6251;

										BgL_auxz00_6251 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3104)));
										BgL_auxz00_6250 = BGL_OBJECT_WIDENING(BgL_auxz00_6251);
									}
									BgL_auxz00_6249 = ((BgL_conszd2appzd2_bglt) BgL_auxz00_6250);
								}
								((((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_6249))->
										BgL_seenzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
							}
							BgL_wnodez00_3105 =
								((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3104));
							{	/* Cfa/pair.scm 124 */

								{	/* Cfa/pair.scm 129 */
									BgL_approxz00_bglt BgL_arg3063z00_3106;

									BgL_arg3063z00_3106 =
										BGl_makezd2typezd2alloczd2approxzd2zzcfa_approxz00(
										((BgL_typez00_bglt) BGl_za2pairza2z00zztype_cachez00),
										((BgL_nodez00_bglt) BgL_nodez00_3104));
									{
										BgL_conszd2appzd2_bglt BgL_auxz00_6263;

										{
											obj_t BgL_auxz00_6264;

											{	/* Cfa/pair.scm 129 */
												BgL_objectz00_bglt BgL_auxz00_6265;

												BgL_auxz00_6265 =
													((BgL_objectz00_bglt) BgL_wnodez00_3105);
												BgL_auxz00_6264 = BGL_OBJECT_WIDENING(BgL_auxz00_6265);
											}
											BgL_auxz00_6263 =
												((BgL_conszd2appzd2_bglt) BgL_auxz00_6264);
										}
										return
											((((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_6263))->
												BgL_approxz00) =
											((BgL_approxz00_bglt) BgL_arg3063z00_3106), BUNSPEC);
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_pairz00()
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 17 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string3473z00zzcfa_pairz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string3473z00zzcfa_pairz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string3473z00zzcfa_pairz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string3473z00zzcfa_pairz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 164192787),
				BSTRING_TO_STRING(BGl_string3473z00zzcfa_pairz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string3473z00zzcfa_pairz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 458567972),
				BSTRING_TO_STRING(BGl_string3473z00zzcfa_pairz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string3473z00zzcfa_pairz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 328744326),
				BSTRING_TO_STRING(BGl_string3473z00zzcfa_pairz00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 125571606),
				BSTRING_TO_STRING(BGl_string3473z00zzcfa_pairz00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string3473z00zzcfa_pairz00));
			BGl_modulezd2initializa7ationz75zzcfa_info3z00(((long) 0),
				BSTRING_TO_STRING(BGl_string3473z00zzcfa_pairz00));
			BGl_modulezd2initializa7ationz75zzcfa_loosez00(((long) 471177480),
				BSTRING_TO_STRING(BGl_string3473z00zzcfa_pairz00));
			BGl_modulezd2initializa7ationz75zzcfa_iteratez00(((long) 131412063),
				BSTRING_TO_STRING(BGl_string3473z00zzcfa_pairz00));
			BGl_modulezd2initializa7ationz75zzcfa_cfaz00(((long) 400853817),
				BSTRING_TO_STRING(BGl_string3473z00zzcfa_pairz00));
			BGl_modulezd2initializa7ationz75zzcfa_setupz00(((long) 168272122),
				BSTRING_TO_STRING(BGl_string3473z00zzcfa_pairz00));
			BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long) 468997863),
				BSTRING_TO_STRING(BGl_string3473z00zzcfa_pairz00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(((long) 324810626),
				BSTRING_TO_STRING(BGl_string3473z00zzcfa_pairz00));
		}
	}

#ifdef __cplusplus
}
#endif
