/*===========================================================================*/
/*   (Coerce/app.scm)                                                        */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Coerce/app.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;


	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_objectzd2initzd2zzcoerce_appz00();
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzcoerce_appz00();
	static BgL_nodez00_bglt
		BGl_coercezd2bigloozd2externzd2appz12zc0zzcoerce_appz00
		(BgL_variablez00_bglt, obj_t, BgL_appz00_bglt, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_coercezd2bigloozd2appz12z12zzcoerce_appz00(BgL_variablez00_bglt, obj_t,
		BgL_appz00_bglt, obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_bglt,
		obj_t, BgL_typez00_bglt, bool_t);
	static BgL_nodez00_bglt
		BGl_coercezd2foreignzd2appz12z12zzcoerce_appz00(BgL_variablez00_bglt, obj_t,
		BgL_appz00_bglt, obj_t, obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	extern obj_t BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_coercezd2bigloozd2internzd2appz12zc0zzcoerce_appz00
		(BgL_variablez00_bglt, obj_t, BgL_appz00_bglt, obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_convertz12z12zzcoerce_convertz00(BgL_nodez00_bglt,
		BgL_typez00_bglt, BgL_typez00_bglt, bool_t);
	static obj_t BGl_makezd2procedurezd2idsz00zzcoerce_appz00 = BUNSPEC;
	static obj_t BGl_requirezd2initializa7ationz75zzcoerce_appz00 = BUNSPEC;
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzcoerce_appz00();
	static BgL_nodez00_bglt
		BGl_coercezd2foreignzd2vazd2appz12zc0zzcoerce_appz00(BgL_valuez00_bglt,
		BgL_variablez00_bglt, obj_t, BgL_appz00_bglt, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzcoerce_appz00();
	static BgL_nodez00_bglt BGl_z62coercez12zd2app1793za2zzcoerce_appz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static bool_t BGl_coercezd2argsz12zc0zzcoerce_appz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcoerce_appz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_convertz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzcoerce_appz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_appz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzcoerce_appz00();
	static BgL_nodez00_bglt
		BGl_coercezd2foreignzd2fxzd2appz12zc0zzcoerce_appz00(BgL_valuez00_bglt,
		BgL_variablez00_bglt, obj_t, BgL_appz00_bglt, obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[2];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1968z00zzcoerce_appz00,
		BgL_bgl_za762coerceza712za7d2a1974za7,
		BGl_z62coercez12zd2app1793za2zzcoerce_appz00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string1967z00zzcoerce_appz00,
		BgL_bgl_string1967za700za7za7c1975za7, "procedure", 9);
	      DEFINE_STRING(BGl_string1969z00zzcoerce_appz00,
		BgL_bgl_string1969za700za7za7c1976za7, "coerce!", 7);
	      DEFINE_STRING(BGl_string1970z00zzcoerce_appz00,
		BgL_bgl_string1970za700za7za7c1977za7, "coerce_app", 10);
	      DEFINE_STRING(BGl_string1971z00zzcoerce_appz00,
		BgL_bgl_string1971za700za7za7c1978za7,
		"import (make-fx-procedure make-va-procedure make-l-procedure) ", 62);
	extern obj_t BGl_coercez12zd2envzc0zzcoerce_coercez00;



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcoerce_appz00(long
		BgL_checksumz00_2278, char *BgL_fromz00_2279)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcoerce_appz00))
				{
					BGl_requirezd2initializa7ationz75zzcoerce_appz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcoerce_appz00();
					BGl_cnstzd2initzd2zzcoerce_appz00();
					BGl_importedzd2moduleszd2initz00zzcoerce_appz00();
					BGl_methodzd2initzd2zzcoerce_appz00();
					BGl_toplevelzd2initzd2zzcoerce_appz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_appz00()
	{
		AN_OBJECT;
		{	/* Coerce/app.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"coerce_app");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "coerce_app");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "coerce_app");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"coerce_app");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcoerce_appz00()
	{
		AN_OBJECT;
		{	/* Coerce/app.scm 15 */
			{	/* Coerce/app.scm 15 */
				obj_t BgL_cportz00_2270;

				BgL_cportz00_2270 =
					bgl_open_input_string(BGl_string1971z00zzcoerce_appz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2271;

					BgL_iz00_2271 = ((long) 1);
				BgL_loopz00_2272:
					if ((BgL_iz00_2271 == ((long) -1)))
						{	/* Coerce/app.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Coerce/app.scm 15 */
							{	/* Coerce/app.scm 15 */
								obj_t BgL_arg1973z00_2274;

								{	/* Coerce/app.scm 15 */

									{	/* Coerce/app.scm 15 */
										obj_t BgL_locationz00_2276;

										BgL_locationz00_2276 = BBOOL(((bool_t) 0));
										{	/* Coerce/app.scm 15 */

											BgL_arg1973z00_2274 =
												BGl_readz00zz__readerz00(BgL_cportz00_2270,
												BgL_locationz00_2276);
										}
									}
								}
								{	/* Coerce/app.scm 15 */
									int BgL_auxz00_2298;

									BgL_auxz00_2298 = (int) (BgL_iz00_2271);
									CNST_TABLE_SET(BgL_auxz00_2298, BgL_arg1973z00_2274);
							}}
							{	/* Coerce/app.scm 15 */
								int BgL_auxz00_2277;

								BgL_auxz00_2277 = (int) ((BgL_iz00_2271 - ((long) 1)));
								{
									long BgL_iz00_2303;

									BgL_iz00_2303 = (long) (BgL_auxz00_2277);
									BgL_iz00_2271 = BgL_iz00_2303;
									goto BgL_loopz00_2272;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcoerce_appz00()
	{
		AN_OBJECT;
		{	/* Coerce/app.scm 15 */
			return (BGl_makezd2procedurezd2idsz00zzcoerce_appz00 =
				CNST_TABLE_REF(((long) 0)), BUNSPEC);
		}
	}



/* coerce-foreign-app! */
	BgL_nodez00_bglt
		BGl_coercezd2foreignzd2appz12z12zzcoerce_appz00(BgL_variablez00_bglt
		BgL_calleez00_7, obj_t BgL_callerz00_8, BgL_appz00_bglt BgL_nodez00_9,
		obj_t BgL_toz00_10, obj_t BgL_safez00_11)
	{
		AN_OBJECT;
		{	/* Coerce/app.scm 42 */
			{	/* Coerce/app.scm 45 */
				BgL_valuez00_bglt BgL_ffunz00_1244;

				BgL_ffunz00_1244 =
					(((BgL_variablez00_bglt) CREF(BgL_calleez00_7))->BgL_valuez00);
				{	/* Coerce/app.scm 45 */
					long BgL_arityz00_1245;

					BgL_arityz00_1245 =
						(((BgL_funz00_bglt) CREF(
								((BgL_funz00_bglt) BgL_ffunz00_1244)))->BgL_arityz00);
					{	/* Coerce/app.scm 46 */

						if ((BgL_arityz00_1245 >= ((long) 0)))
							{	/* Coerce/app.scm 47 */
								return
									BGl_coercezd2foreignzd2fxzd2appz12zc0zzcoerce_appz00
									(BgL_ffunz00_1244, BgL_calleez00_7, BgL_callerz00_8,
									BgL_nodez00_9, BgL_toz00_10, BgL_safez00_11);
							}
						else
							{	/* Coerce/app.scm 47 */
								return
									BGl_coercezd2foreignzd2vazd2appz12zc0zzcoerce_appz00
									(BgL_ffunz00_1244, BgL_calleez00_7, BgL_callerz00_8,
									BgL_nodez00_9, BgL_toz00_10, BgL_safez00_11);
							}
					}
				}
			}
		}
	}



/* coerce-foreign-fx-app! */
	BgL_nodez00_bglt
		BGl_coercezd2foreignzd2fxzd2appz12zc0zzcoerce_appz00(BgL_valuez00_bglt
		BgL_funz00_12, BgL_variablez00_bglt BgL_calleez00_13,
		obj_t BgL_callerz00_14, BgL_appz00_bglt BgL_nodez00_15, obj_t BgL_toz00_16,
		obj_t BgL_safez00_17)
	{
		AN_OBJECT;
		{	/* Coerce/app.scm 60 */
			{
				obj_t BgL_argsz00_1258;
				obj_t BgL_typesz00_1259;
				obj_t BgL_locz00_1260;

				if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
							(((BgL_variablez00_bglt) CREF(
										((BgL_variablez00_bglt)
											((BgL_globalz00_bglt) BgL_calleez00_13))))->BgL_idz00),
							CNST_TABLE_REF(((long) 0)))))
					{	/* Coerce/app.scm 82 */
						obj_t BgL_arg1800z00_1251;
						obj_t BgL_arg1801z00_1252;
						obj_t BgL_arg1802z00_1253;

						BgL_arg1800z00_1251 =
							(((BgL_appz00_bglt) CREF(BgL_nodez00_15))->BgL_argsz00);
						BgL_arg1801z00_1252 =
							(((BgL_cfunz00_bglt) CREF(
									((BgL_cfunz00_bglt) BgL_funz00_12)))->BgL_argszd2typezd2);
						BgL_arg1802z00_1253 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_15)))->BgL_locz00);
						BgL_argsz00_1258 = BgL_arg1800z00_1251;
						BgL_typesz00_1259 = BgL_arg1801z00_1252;
						BgL_locz00_1260 = BgL_arg1802z00_1253;
						BGl_coercezd2argsz12zc0zzcoerce_appz00(BgL_safez00_17,
							BgL_callerz00_14, CDR(BgL_argsz00_1258), CDR(BgL_typesz00_1259));
						{	/* Coerce/app.scm 69 */
							obj_t BgL_cloz00_1264;

							BgL_cloz00_1264 = CAR(BgL_argsz00_1258);
							if (BGl_isazf3zf3zz__objectz00(BgL_cloz00_1264,
									BGl_varz00zzast_nodez00))
								{	/* Coerce/app.scm 71 */
									bool_t BgL_testz00_2331;

									{	/* Coerce/app.scm 71 */
										BgL_valuez00_bglt BgL_arg1820z00_1273;

										BgL_arg1820z00_1273 =
											(((BgL_variablez00_bglt) CREF(
													(((BgL_varz00_bglt) CREF(
																((BgL_varz00_bglt) BgL_cloz00_1264)))->
														BgL_variablez00)))->BgL_valuez00);
										{	/* Coerce/app.scm 71 */
											bool_t BgL_res1937z00_2126;

											BgL_res1937z00_2126 =
												BGl_isazf3zf3zz__objectz00(
												((obj_t) BgL_arg1820z00_1273), BGl_sfunz00zzast_varz00);
											BgL_testz00_2331 = BgL_res1937z00_2126;
										}
									}
									if (BgL_testz00_2331)
										{	/* Coerce/app.scm 71 */
											BFALSE;
										}
									else
										{	/* Coerce/app.scm 73 */
											obj_t BgL_arg1814z00_1267;
											obj_t BgL_arg1815z00_1268;

											BgL_arg1814z00_1267 =
												(((BgL_variablez00_bglt) CREF(
														(((BgL_varz00_bglt) CREF(
																	((BgL_varz00_bglt) BgL_cloz00_1264)))->
															BgL_variablez00)))->BgL_namez00);
											{	/* Coerce/app.scm 74 */
												BgL_typez00_bglt BgL_arg1818z00_1271;

												BgL_arg1818z00_1271 =
													(((BgL_variablez00_bglt) CREF(
															(((BgL_varz00_bglt) CREF(
																		((BgL_varz00_bglt) BgL_cloz00_1264)))->
																BgL_variablez00)))->BgL_typez00);
												BgL_arg1815z00_1268 =
													BGl_shapez00zztools_shapez00(((obj_t)
														BgL_arg1818z00_1271));
											}
											BGl_userzd2errorzf2locationz20zztools_errorz00
												(BgL_locz00_1260, BgL_arg1814z00_1267,
												BgL_arg1815z00_1268, BGl_string1967z00zzcoerce_appz00,
												BNIL);
										}
								}
							else
								{	/* Coerce/app.scm 76 */
									BgL_nodez00_bglt BgL_arg1822z00_1275;

									BgL_arg1822z00_1275 =
										BGl_coercez12z12zzcoerce_coercez00(
										((BgL_nodez00_bglt) BgL_cloz00_1264), BgL_callerz00_14,
										((BgL_typez00_bglt) BGl_za2procedureza2z00zztype_cachez00),
										CBOOL(BgL_safez00_17));
									{	/* Coerce/app.scm 76 */
										obj_t BgL_auxz00_2350;

										BgL_auxz00_2350 = ((obj_t) BgL_arg1822z00_1275);
										SET_CAR(BgL_argsz00_1258, BgL_auxz00_2350);
									}
								}
						}
					}
				else
					{	/* Coerce/app.scm 83 */
						obj_t BgL_arg1803z00_1254;
						obj_t BgL_arg1804z00_1255;

						BgL_arg1803z00_1254 =
							(((BgL_appz00_bglt) CREF(BgL_nodez00_15))->BgL_argsz00);
						BgL_arg1804z00_1255 =
							(((BgL_cfunz00_bglt) CREF(
									((BgL_cfunz00_bglt) BgL_funz00_12)))->BgL_argszd2typezd2);
						BBOOL(BGl_coercezd2argsz12zc0zzcoerce_appz00(BgL_safez00_17,
								BgL_callerz00_14, BgL_arg1803z00_1254, BgL_arg1804z00_1255));
					}
				{	/* Coerce/app.scm 84 */
					BgL_typez00_bglt BgL_arg1807z00_1257;

					BgL_arg1807z00_1257 =
						BGl_getzd2typezd2zztype_typeofz00(
						((BgL_nodez00_bglt) BgL_nodez00_15));
					return
						BGl_convertz12z12zzcoerce_convertz00(
						((BgL_nodez00_bglt) BgL_nodez00_15), BgL_arg1807z00_1257,
						((BgL_typez00_bglt) BgL_toz00_16), CBOOL(BgL_safez00_17));
				}
			}
		}
	}



/* coerce-args! */
	bool_t BGl_coercezd2argsz12zc0zzcoerce_appz00(obj_t BgL_safez00_2269,
		obj_t BgL_callerz00_2268, obj_t BgL_argsz00_1277, obj_t BgL_typesz00_1278)
	{
		AN_OBJECT;
		{	/* Coerce/app.scm 66 */
			{
				obj_t BgL_actualsz00_1281;
				obj_t BgL_typesz00_1282;

				BgL_actualsz00_1281 = BgL_argsz00_1277;
				BgL_typesz00_1282 = BgL_typesz00_1278;
			BgL_zc3anonymousza31824ze3z83_1283:
				if (PAIRP(BgL_actualsz00_1281))
					{	/* Coerce/app.scm 64 */
						{	/* Coerce/app.scm 65 */
							BgL_nodez00_bglt BgL_arg1826z00_1285;

							{	/* Coerce/app.scm 65 */
								obj_t BgL_arg1827z00_1286;
								obj_t BgL_arg1829z00_1287;

								BgL_arg1827z00_1286 = CAR(BgL_actualsz00_1281);
								BgL_arg1829z00_1287 = CAR(BgL_typesz00_1282);
								BgL_arg1826z00_1285 =
									BGl_coercez12z12zzcoerce_coercez00(
									((BgL_nodez00_bglt) BgL_arg1827z00_1286), BgL_callerz00_2268,
									((BgL_typez00_bglt) BgL_arg1829z00_1287),
									CBOOL(BgL_safez00_2269));
							}
							{	/* Coerce/app.scm 65 */
								obj_t BgL_auxz00_2372;

								BgL_auxz00_2372 = ((obj_t) BgL_arg1826z00_1285);
								SET_CAR(BgL_actualsz00_1281, BgL_auxz00_2372);
							}
						}
						{
							obj_t BgL_typesz00_2377;
							obj_t BgL_actualsz00_2375;

							BgL_actualsz00_2375 = CDR(BgL_actualsz00_1281);
							BgL_typesz00_2377 = CDR(BgL_typesz00_1282);
							BgL_typesz00_1282 = BgL_typesz00_2377;
							BgL_actualsz00_1281 = BgL_actualsz00_2375;
							goto BgL_zc3anonymousza31824ze3z83_1283;
						}
					}
				else
					{	/* Coerce/app.scm 64 */
						return ((bool_t) 0);
					}
			}
		}
	}



/* coerce-foreign-va-app! */
	BgL_nodez00_bglt
		BGl_coercezd2foreignzd2vazd2appz12zc0zzcoerce_appz00(BgL_valuez00_bglt
		BgL_funz00_18, BgL_variablez00_bglt BgL_calleez00_19,
		obj_t BgL_callerz00_20, BgL_appz00_bglt BgL_nodez00_21, obj_t BgL_toz00_22,
		obj_t BgL_safez00_23)
	{
		AN_OBJECT;
		{	/* Coerce/app.scm 89 */
			{	/* Coerce/app.scm 90 */
				obj_t BgL_g1103z00_1292;
				obj_t BgL_g1104z00_1293;
				long BgL_g1108z00_1294;

				BgL_g1103z00_1292 =
					(((BgL_appz00_bglt) CREF(BgL_nodez00_21))->BgL_argsz00);
				BgL_g1104z00_1293 =
					(((BgL_cfunz00_bglt) CREF(
							((BgL_cfunz00_bglt) BgL_funz00_18)))->BgL_argszd2typezd2);
				BgL_g1108z00_1294 =
					(((BgL_funz00_bglt) CREF(
							((BgL_funz00_bglt) BgL_funz00_18)))->BgL_arityz00);
				{
					obj_t BgL_actualsz00_1296;
					obj_t BgL_typesz00_1297;
					long BgL_counterz00_1298;

					BgL_actualsz00_1296 = BgL_g1103z00_1292;
					BgL_typesz00_1297 = BgL_g1104z00_1293;
					BgL_counterz00_1298 = BgL_g1108z00_1294;
				BgL_zc3anonymousza31832ze3z83_1299:
					if ((BgL_counterz00_1298 == ((long) -1)))
						{
							obj_t BgL_actualsz00_1302;

							BgL_actualsz00_1302 = BgL_actualsz00_1296;
						BgL_zc3anonymousza31834ze3z83_1303:
							if (NULLP(BgL_actualsz00_1302))
								{	/* Coerce/app.scm 97 */
									BgL_typez00_bglt BgL_arg1836z00_1305;

									BgL_arg1836z00_1305 =
										BGl_getzd2typezd2zztype_typeofz00(
										((BgL_nodez00_bglt) BgL_nodez00_21));
									return
										BGl_convertz12z12zzcoerce_convertz00(
										((BgL_nodez00_bglt) BgL_nodez00_21), BgL_arg1836z00_1305,
										((BgL_typez00_bglt) BgL_toz00_22), CBOOL(BgL_safez00_23));
								}
							else
								{	/* Coerce/app.scm 96 */
									{	/* Coerce/app.scm 99 */
										BgL_nodez00_bglt BgL_arg1837z00_1306;

										{	/* Coerce/app.scm 99 */
											obj_t BgL_arg1838z00_1307;
											obj_t BgL_arg1839z00_1308;

											BgL_arg1838z00_1307 = CAR(BgL_actualsz00_1302);
											BgL_arg1839z00_1308 = CAR(BgL_typesz00_1297);
											BgL_arg1837z00_1306 =
												BGl_coercez12z12zzcoerce_coercez00(
												((BgL_nodez00_bglt) BgL_arg1838z00_1307),
												BgL_callerz00_20,
												((BgL_typez00_bglt) BgL_arg1839z00_1308),
												CBOOL(BgL_safez00_23));
										}
										{	/* Coerce/app.scm 99 */
											obj_t BgL_auxz00_2400;

											BgL_auxz00_2400 = ((obj_t) BgL_arg1837z00_1306);
											SET_CAR(BgL_actualsz00_1302, BgL_auxz00_2400);
										}
									}
									{
										obj_t BgL_actualsz00_2403;

										BgL_actualsz00_2403 = CDR(BgL_actualsz00_1302);
										BgL_actualsz00_1302 = BgL_actualsz00_2403;
										goto BgL_zc3anonymousza31834ze3z83_1303;
									}
								}
						}
					else
						{	/* Coerce/app.scm 93 */
							{	/* Coerce/app.scm 105 */
								BgL_nodez00_bglt BgL_arg1841z00_1311;

								{	/* Coerce/app.scm 105 */
									obj_t BgL_arg1842z00_1312;
									obj_t BgL_arg1843z00_1313;

									BgL_arg1842z00_1312 = CAR(BgL_actualsz00_1296);
									BgL_arg1843z00_1313 = CAR(BgL_typesz00_1297);
									BgL_arg1841z00_1311 =
										BGl_coercez12z12zzcoerce_coercez00(
										((BgL_nodez00_bglt) BgL_arg1842z00_1312), BgL_callerz00_20,
										((BgL_typez00_bglt) BgL_arg1843z00_1313),
										CBOOL(BgL_safez00_23));
								}
								{	/* Coerce/app.scm 105 */
									obj_t BgL_auxz00_2411;

									BgL_auxz00_2411 = ((obj_t) BgL_arg1841z00_1311);
									SET_CAR(BgL_actualsz00_1296, BgL_auxz00_2411);
								}
							}
							{
								long BgL_counterz00_2418;
								obj_t BgL_typesz00_2416;
								obj_t BgL_actualsz00_2414;

								BgL_actualsz00_2414 = CDR(BgL_actualsz00_1296);
								BgL_typesz00_2416 = CDR(BgL_typesz00_1297);
								BgL_counterz00_2418 = (BgL_counterz00_1298 + ((long) 1));
								BgL_counterz00_1298 = BgL_counterz00_2418;
								BgL_typesz00_1297 = BgL_typesz00_2416;
								BgL_actualsz00_1296 = BgL_actualsz00_2414;
								goto BgL_zc3anonymousza31832ze3z83_1299;
							}
						}
				}
			}
		}
	}



/* coerce-bigloo-app! */
	BgL_nodez00_bglt
		BGl_coercezd2bigloozd2appz12z12zzcoerce_appz00(BgL_variablez00_bglt
		BgL_calleez00_24, obj_t BgL_callerz00_25, BgL_appz00_bglt BgL_nodez00_26,
		obj_t BgL_toz00_27, obj_t BgL_safez00_28)
	{
		AN_OBJECT;
		{	/* Coerce/app.scm 114 */
			{	/* Coerce/app.scm 118 */
				bool_t BgL_testz00_2420;

				{	/* Coerce/app.scm 118 */
					bool_t BgL_testz00_2421;

					{	/* Coerce/app.scm 118 */
						bool_t BgL_res1946z00_2174;

						BgL_res1946z00_2174 =
							BGl_isazf3zf3zz__objectz00(
							((obj_t) BgL_calleez00_24), BGl_globalz00zzast_varz00);
						BgL_testz00_2421 = BgL_res1946z00_2174;
					}
					if (BgL_testz00_2421)
						{	/* Coerce/app.scm 118 */
							if (
								((((BgL_globalz00_bglt) CREF(
												((BgL_globalz00_bglt) BgL_calleez00_24)))->
										BgL_importz00) == CNST_TABLE_REF(((long) 1))))
								{	/* Coerce/app.scm 120 */
									bool_t BgL_testz00_2429;

									{	/* Coerce/app.scm 120 */
										obj_t BgL_auxz00_2430;

										BgL_auxz00_2430 =
											(((BgL_sfunz00_bglt) CREF(
													((BgL_sfunz00_bglt)
														(((BgL_variablez00_bglt) CREF(BgL_calleez00_24))->
															BgL_valuez00))))->BgL_argsz00);
										BgL_testz00_2429 = PAIRP(BgL_auxz00_2430);
									}
									if (BgL_testz00_2429)
										{	/* Coerce/app.scm 121 */
											obj_t BgL_arg1851z00_1322;

											{	/* Coerce/app.scm 121 */
												obj_t BgL_pairz00_2189;

												BgL_pairz00_2189 =
													(((BgL_sfunz00_bglt) CREF(
															((BgL_sfunz00_bglt)
																(((BgL_variablez00_bglt)
																		CREF(BgL_calleez00_24))->BgL_valuez00))))->
													BgL_argsz00);
												BgL_arg1851z00_1322 = CAR(BgL_pairz00_2189);
											}
											BgL_testz00_2420 =
												BGl_isazf3zf3zz__objectz00(BgL_arg1851z00_1322,
												BGl_typez00zztype_typez00);
										}
									else
										{	/* Coerce/app.scm 120 */
											BgL_testz00_2420 = ((bool_t) 0);
										}
								}
							else
								{	/* Coerce/app.scm 119 */
									BgL_testz00_2420 = ((bool_t) 0);
								}
						}
					else
						{	/* Coerce/app.scm 118 */
							BgL_testz00_2420 = ((bool_t) 0);
						}
				}
				if (BgL_testz00_2420)
					{	/* Coerce/app.scm 118 */
						return
							BGl_coercezd2bigloozd2externzd2appz12zc0zzcoerce_appz00
							(BgL_calleez00_24, BgL_callerz00_25, BgL_nodez00_26, BgL_toz00_27,
							BgL_safez00_28);
					}
				else
					{	/* Coerce/app.scm 118 */
						return
							BGl_coercezd2bigloozd2internzd2appz12zc0zzcoerce_appz00
							(BgL_calleez00_24, BgL_callerz00_25, BgL_nodez00_26, BgL_toz00_27,
							BgL_safez00_28);
					}
			}
		}
	}



/* coerce-bigloo-intern-app! */
	BgL_nodez00_bglt
		BGl_coercezd2bigloozd2internzd2appz12zc0zzcoerce_appz00(BgL_variablez00_bglt
		BgL_calleez00_29, obj_t BgL_callerz00_30, BgL_appz00_bglt BgL_nodez00_31,
		obj_t BgL_toz00_32, obj_t BgL_safez00_33)
	{
		AN_OBJECT;
		{	/* Coerce/app.scm 128 */
			{	/* Coerce/app.scm 132 */
				BgL_valuez00_bglt BgL_funz00_1328;

				BgL_funz00_1328 =
					(((BgL_variablez00_bglt) CREF(BgL_calleez00_29))->BgL_valuez00);
				{	/* Coerce/app.scm 133 */
					obj_t BgL_shz00_1330;

					BgL_shz00_1330 =
						BGl_shapez00zztools_shapez00(((obj_t) BgL_calleez00_29));
					{	/* Coerce/app.scm 134 */
						BgL_typez00_bglt BgL_ntypez00_1331;

						BgL_ntypez00_1331 =
							BGl_getzd2typezd2zztype_typeofz00(
							((BgL_nodez00_bglt) BgL_nodez00_31));
						{	/* Coerce/app.scm 135 */

							{	/* Coerce/app.scm 136 */
								obj_t BgL_g1109z00_1332;
								obj_t BgL_g1113z00_1333;

								BgL_g1109z00_1332 =
									(((BgL_appz00_bglt) CREF(BgL_nodez00_31))->BgL_argsz00);
								BgL_g1113z00_1333 =
									(((BgL_sfunz00_bglt) CREF(
											((BgL_sfunz00_bglt) BgL_funz00_1328)))->BgL_argsz00);
								{
									obj_t BgL_actualsz00_1335;
									obj_t BgL_formalsz00_1336;

									BgL_actualsz00_1335 = BgL_g1109z00_1332;
									BgL_formalsz00_1336 = BgL_g1113z00_1333;
								BgL_zc3anonymousza31858ze3z83_1337:
									if (NULLP(BgL_actualsz00_1335))
										{	/* Coerce/app.scm 140 */
											bool_t BgL_testz00_2452;

											if ((BgL_callerz00_30 == ((obj_t) BgL_calleez00_29)))
												{	/* Coerce/app.scm 140 */
													if (CBOOL
														(BGl_za2unsafezd2typeza2zd2zzengine_paramz00))
														{	/* Coerce/app.scm 140 */
															BgL_testz00_2452 = ((bool_t) 0);
														}
													else
														{	/* Coerce/app.scm 140 */
															BgL_testz00_2452 = ((bool_t) 1);
														}
												}
											else
												{	/* Coerce/app.scm 140 */
													BgL_testz00_2452 = ((bool_t) 0);
												}
											if (BgL_testz00_2452)
												{	/* Coerce/app.scm 140 */
													return
														BGl_convertz12z12zzcoerce_convertz00(
														((BgL_nodez00_bglt) BgL_nodez00_31),
														BgL_ntypez00_1331,
														((BgL_typez00_bglt) BgL_toz00_32), ((bool_t) 0));
												}
											else
												{	/* Coerce/app.scm 140 */
													return
														BGl_convertz12z12zzcoerce_convertz00(
														((BgL_nodez00_bglt) BgL_nodez00_31),
														BgL_ntypez00_1331,
														((BgL_typez00_bglt) BgL_toz00_32),
														CBOOL(BgL_safez00_33));
												}
										}
									else
										{	/* Coerce/app.scm 147 */
											BgL_typez00_bglt BgL_typez00_1341;

											BgL_typez00_1341 =
												(((BgL_variablez00_bglt) CREF(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt)
																CAR(BgL_formalsz00_1336)))))->BgL_typez00);
											{	/* Coerce/app.scm 148 */
												BgL_nodez00_bglt BgL_arg1862z00_1342;

												{	/* Coerce/app.scm 148 */
													obj_t BgL_arg1863z00_1343;

													BgL_arg1863z00_1343 = CAR(BgL_actualsz00_1335);
													BgL_arg1862z00_1342 =
														BGl_coercez12z12zzcoerce_coercez00(
														((BgL_nodez00_bglt) BgL_arg1863z00_1343),
														BgL_callerz00_30, BgL_typez00_1341,
														CBOOL(BgL_safez00_33));
												}
												{	/* Coerce/app.scm 148 */
													obj_t BgL_auxz00_2473;

													BgL_auxz00_2473 = ((obj_t) BgL_arg1862z00_1342);
													SET_CAR(BgL_actualsz00_1335, BgL_auxz00_2473);
												}
											}
											{
												obj_t BgL_formalsz00_2478;
												obj_t BgL_actualsz00_2476;

												BgL_actualsz00_2476 = CDR(BgL_actualsz00_1335);
												BgL_formalsz00_2478 = CDR(BgL_formalsz00_1336);
												BgL_formalsz00_1336 = BgL_formalsz00_2478;
												BgL_actualsz00_1335 = BgL_actualsz00_2476;
												goto BgL_zc3anonymousza31858ze3z83_1337;
											}
										}
								}
							}
						}
					}
				}
			}
		}
	}



/* coerce-bigloo-extern-app! */
	BgL_nodez00_bglt
		BGl_coercezd2bigloozd2externzd2appz12zc0zzcoerce_appz00(BgL_variablez00_bglt
		BgL_calleez00_34, obj_t BgL_callerz00_35, BgL_appz00_bglt BgL_nodez00_36,
		obj_t BgL_toz00_37, obj_t BgL_safez00_38)
	{
		AN_OBJECT;
		{	/* Coerce/app.scm 154 */
			{	/* Coerce/app.scm 155 */
				BgL_valuez00_bglt BgL_funz00_1348;

				BgL_funz00_1348 =
					(((BgL_variablez00_bglt) CREF(BgL_calleez00_34))->BgL_valuez00);
				{	/* Coerce/app.scm 156 */
					BgL_typez00_bglt BgL_ntypez00_1350;

					BgL_ntypez00_1350 =
						BGl_getzd2typezd2zztype_typeofz00(
						((BgL_nodez00_bglt) BgL_nodez00_36));
					{	/* Coerce/app.scm 157 */

						{	/* Coerce/app.scm 158 */
							obj_t BgL_g1114z00_1351;
							obj_t BgL_g1116z00_1352;

							BgL_g1114z00_1351 =
								(((BgL_appz00_bglt) CREF(BgL_nodez00_36))->BgL_argsz00);
							BgL_g1116z00_1352 =
								(((BgL_sfunz00_bglt) CREF(
										((BgL_sfunz00_bglt) BgL_funz00_1348)))->BgL_argsz00);
							{
								obj_t BgL_actualsz00_1354;
								obj_t BgL_formalsz00_1355;

								BgL_actualsz00_1354 = BgL_g1114z00_1351;
								BgL_formalsz00_1355 = BgL_g1116z00_1352;
							BgL_zc3anonymousza31867ze3z83_1356:
								if (NULLP(BgL_actualsz00_1354))
									{	/* Coerce/app.scm 160 */
										return
											BGl_convertz12z12zzcoerce_convertz00(
											((BgL_nodez00_bglt) BgL_nodez00_36), BgL_ntypez00_1350,
											((BgL_typez00_bglt) BgL_toz00_37), CBOOL(BgL_safez00_38));
									}
								else
									{	/* Coerce/app.scm 162 */
										obj_t BgL_typez00_1358;

										BgL_typez00_1358 = CAR(BgL_formalsz00_1355);
										{	/* Coerce/app.scm 163 */
											BgL_nodez00_bglt BgL_arg1869z00_1359;

											{	/* Coerce/app.scm 163 */
												obj_t BgL_arg1870z00_1360;

												BgL_arg1870z00_1360 = CAR(BgL_actualsz00_1354);
												BgL_arg1869z00_1359 =
													BGl_coercez12z12zzcoerce_coercez00(
													((BgL_nodez00_bglt) BgL_arg1870z00_1360),
													BgL_callerz00_35,
													((BgL_typez00_bglt) BgL_typez00_1358),
													CBOOL(BgL_safez00_38));
											}
											{	/* Coerce/app.scm 163 */
												obj_t BgL_auxz00_2498;

												BgL_auxz00_2498 = ((obj_t) BgL_arg1869z00_1359);
												SET_CAR(BgL_actualsz00_1354, BgL_auxz00_2498);
											}
										}
										{
											obj_t BgL_formalsz00_2503;
											obj_t BgL_actualsz00_2501;

											BgL_actualsz00_2501 = CDR(BgL_actualsz00_1354);
											BgL_formalsz00_2503 = CDR(BgL_formalsz00_1355);
											BgL_formalsz00_1355 = BgL_formalsz00_2503;
											BgL_actualsz00_1354 = BgL_actualsz00_2501;
											goto BgL_zc3anonymousza31867ze3z83_1356;
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcoerce_appz00()
	{
		AN_OBJECT;
		{	/* Coerce/app.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcoerce_appz00()
	{
		AN_OBJECT;
		{	/* Coerce/app.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcoerce_appz00()
	{
		AN_OBJECT;
		{	/* Coerce/app.scm 15 */
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_appz00zzast_nodez00,
				BGl_proc1968z00zzcoerce_appz00, BGl_string1969z00zzcoerce_appz00);
		}
	}



/* &coerce!-app1793 */
	BgL_nodez00_bglt BGl_z62coercez12zd2app1793za2zzcoerce_appz00(obj_t
		BgL_envz00_2258, obj_t BgL_nodez00_2259, obj_t BgL_callerz00_2260,
		obj_t BgL_toz00_2261, obj_t BgL_safez00_2262)
	{
		AN_OBJECT;
		{	/* Coerce/app.scm 31 */
			{
				BgL_appz00_bglt BgL_nodez00_1364;
				obj_t BgL_callerz00_1365;
				obj_t BgL_toz00_1366;
				obj_t BgL_safez00_1367;

				BgL_nodez00_1364 = ((BgL_appz00_bglt) BgL_nodez00_2259);
				BgL_callerz00_1365 = BgL_callerz00_2260;
				BgL_toz00_1366 = BgL_toz00_2261;
				BgL_safez00_1367 = BgL_safez00_2262;
				{	/* Coerce/app.scm 34 */
					BgL_variablez00_bglt BgL_funz00_1370;

					BgL_funz00_1370 =
						(((BgL_varz00_bglt) CREF(
								(((BgL_appz00_bglt) CREF(BgL_nodez00_1364))->BgL_funz00)))->
						BgL_variablez00);
					{	/* Coerce/app.scm 35 */
						bool_t BgL_testz00_2508;

						{	/* Coerce/app.scm 35 */
							bool_t BgL_testz00_2509;

							{	/* Coerce/app.scm 35 */
								bool_t BgL_res1960z00_2238;

								BgL_res1960z00_2238 =
									BGl_isazf3zf3zz__objectz00(
									((obj_t) BgL_funz00_1370), BGl_globalz00zzast_varz00);
								BgL_testz00_2509 = BgL_res1960z00_2238;
							}
							if (BgL_testz00_2509)
								{	/* Coerce/app.scm 35 */
									BgL_valuez00_bglt BgL_arg1875z00_1373;

									BgL_arg1875z00_1373 =
										(((BgL_variablez00_bglt) CREF(BgL_funz00_1370))->
										BgL_valuez00);
									{	/* Coerce/app.scm 35 */
										bool_t BgL_res1962z00_2243;

										BgL_res1962z00_2243 =
											BGl_isazf3zf3zz__objectz00(
											((obj_t) BgL_arg1875z00_1373), BGl_cfunz00zzast_varz00);
										BgL_testz00_2508 = BgL_res1962z00_2243;
									}
								}
							else
								{	/* Coerce/app.scm 35 */
									BgL_testz00_2508 = ((bool_t) 0);
								}
						}
						if (BgL_testz00_2508)
							{	/* Coerce/app.scm 35 */
								return
									BGl_coercezd2foreignzd2appz12z12zzcoerce_appz00
									(BgL_funz00_1370, BgL_callerz00_1365, BgL_nodez00_1364,
									BgL_toz00_1366, BgL_safez00_1367);
							}
						else
							{	/* Coerce/app.scm 35 */
								return
									BGl_coercezd2bigloozd2appz12z12zzcoerce_appz00
									(BgL_funz00_1370, BgL_callerz00_1365, BgL_nodez00_1364,
									BgL_toz00_1366, BgL_safez00_1367);
							}
					}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcoerce_appz00()
	{
		AN_OBJECT;
		{	/* Coerce/app.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1970z00zzcoerce_appz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 328744326),
				BSTRING_TO_STRING(BGl_string1970z00zzcoerce_appz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1970z00zzcoerce_appz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1970z00zzcoerce_appz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1970z00zzcoerce_appz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 164192787),
				BSTRING_TO_STRING(BGl_string1970z00zzcoerce_appz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 189813582),
				BSTRING_TO_STRING(BGl_string1970z00zzcoerce_appz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1970z00zzcoerce_appz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 458567972),
				BSTRING_TO_STRING(BGl_string1970z00zzcoerce_appz00));
			BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long) 361167184),
				BSTRING_TO_STRING(BGl_string1970z00zzcoerce_appz00));
			return
				BGl_modulezd2initializa7ationz75zzcoerce_convertz00(((long) 87995645),
				BSTRING_TO_STRING(BGl_string1970z00zzcoerce_appz00));
		}
	}

#ifdef __cplusplus
}
#endif
