/*===========================================================================*/
/*   (Globalize/free.scm)                                                    */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Globalize/free.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_sfunzf2ginfozf2_bgl
	{
		bool_t BgL_gzf3zf3;
		obj_t BgL_cfromz00;
		obj_t BgL_cfromza2za2;
		obj_t BgL_ctoz00;
		obj_t BgL_ctoza2za2;
		obj_t BgL_efunctionsz00;
		obj_t BgL_integratorz00;
		obj_t BgL_imarkz00;
		obj_t BgL_ownerz00;
		obj_t BgL_integratedz00;
		obj_t BgL_pluggedzd2inzd2;
		long BgL_markz00;
		obj_t BgL_freezd2markzd2;
		obj_t BgL_thezd2globalzd2;
		obj_t BgL_kapturedz00;
		obj_t BgL_newzd2bodyzd2;
		long BgL_bmarkz00;
		long BgL_umarkz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
	}                      *BgL_sfunzf2ginfozf2_bglt;

	typedef struct BgL_svarzf2ginfozf2_bgl
	{
		bool_t BgL_kapturedzf3zf3;
		long BgL_freezd2markzd2;
		long BgL_markz00;
		bool_t BgL_celledzf3zf3;
	}                      *BgL_svarzf2ginfozf2_bglt;

	typedef struct BgL_sexitzf2ginfozf2_bgl
	{
		bool_t BgL_gzf3zf3;
		bool_t BgL_kapturedzf3zf3;
		long BgL_freezd2markzd2;
		long BgL_markz00;
	}                       *BgL_sexitzf2ginfozf2_bglt;

	typedef struct BgL_localzf2ginfozf2_bgl
	{
		bool_t BgL_escapezf3zf3;
		bool_t BgL_globaliza7edzf3z54;
	}                       *BgL_localzf2ginfozf2_bglt;


	static obj_t BGl_z62nodezd2freezd2letzd2fun2041zb0zzglobaliza7e_freeza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	static obj_t
		BGl_z62nodezd2freezd2boxzd2setz122056za2zzglobaliza7e_freeza7(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	static obj_t
		BGl_z62nodezd2freezd2makezd2box2052zb0zzglobaliza7e_freeza7(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t BGl_nodezd2freeza2z70zzglobaliza7e_freeza7(obj_t, obj_t);
	static obj_t BGl_za2integratorza2z00zzglobaliza7e_freeza7 = BUNSPEC;
	static obj_t BGl_z62nodezd2freezb0zzglobaliza7e_freeza7(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzglobaliza7e_freeza7();
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62thezd2globalzd2closurez62zzglobaliza7e_freeza7(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62nodezd2freezd2jumpzd2exzd2it2049z62zzglobaliza7e_freeza7(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_nodezd2freezd2zzglobaliza7e_freeza7(BgL_nodez00_bglt, obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	extern obj_t BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7;
	static obj_t BGl_z62nodezd2freezd2var2015z62zzglobaliza7e_freeza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzglobaliza7e_freeza7();
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62nodezd2freezd2letzd2var2044zb0zzglobaliza7e_freeza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd2freezd2closure2017z62zzglobaliza7e_freeza7(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62nodezd2freezd2setzd2exzd2it2046z62zzglobaliza7e_freeza7(obj_t, obj_t,
		obj_t);
	static obj_t BGl_thezd2localzd2closurez00zzglobaliza7e_freeza7(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	static obj_t BGl_z62nodezd2freezd2select2039z62zzglobaliza7e_freeza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd2freezd2appzd2ly2025zb0zzglobaliza7e_freeza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_thezd2closurezd2zzglobaliza7e_freeza7(BgL_variablez00_bglt, obj_t);
	extern BgL_globalz00_bglt
		BGl_makezd2globalzd2closurez00zzglobaliza7e_globalzd2closurez75
		(BgL_globalz00_bglt);
	static obj_t BGl_z62nodezd2freezd2extern2029z62zzglobaliza7e_freeza7(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_internalzd2getzd2freezd2varsz12zc0zzglobaliza7e_freeza7
		(BgL_nodez00_bglt, BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_thezd2globalzd2closurez00zzglobaliza7e_freeza7(BgL_globalz00_bglt,
		obj_t);
	static obj_t BGl_z62nodezd2freezd2sync2021z62zzglobaliza7e_freeza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd2freezd2fail2037z62zzglobaliza7e_freeza7(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62thezd2closurezb0zzglobaliza7e_freeza7(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_selectz00zzast_nodez00;
	extern obj_t BGl_sfunzf2Ginfozf2zzglobaliza7e_ginfoza7;
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzglobaliza7e_freeza7 = BUNSPEC;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzglobaliza7e_freeza7();
	static obj_t BGl_genericzd2initzd2zzglobaliza7e_freeza7();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_sexitzf2Ginfozf2zzglobaliza7e_ginfoza7;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getzd2freezd2varsz00zzglobaliza7e_freeza7(BgL_nodez00_bglt,
		BgL_localz00_bglt);
	static obj_t BGl_z62nodezd2freezd2sequence2019z62zzglobaliza7e_freeza7(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7;
	static obj_t BGl_z62freezd2fromzb0zzglobaliza7e_freeza7(obj_t, obj_t, obj_t);
	static obj_t BGl_bindzd2variablez12zc0zzglobaliza7e_freeza7(BgL_localz00_bglt,
		BgL_localz00_bglt);
	static obj_t BGl_z62nodezd2freezd2funcall2027z62zzglobaliza7e_freeza7(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_markzd2variablez12zc0zzglobaliza7e_freeza7(BgL_localz00_bglt);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_freezd2fromzd2zzglobaliza7e_freeza7(obj_t,
		BgL_localz00_bglt);
	static long BGl_za2roundza2z00zzglobaliza7e_freeza7;
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	static obj_t BGl_z62nodezd2freezd2boxzd2ref2054zb0zzglobaliza7e_freeza7(obj_t,
		obj_t, obj_t);
	extern BgL_globalz00_bglt
		BGl_defzd2globalzd2scnstz12z12zzast_glozd2defzd2(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2freezd2app2023z62zzglobaliza7e_freeza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_freeza7(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_globalzd2closurez75(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_nodeza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_z62nodezd2free2012zb0zzglobaliza7e_freeza7(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_freezd2variablezf3z21zzglobaliza7e_freeza7(obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzglobaliza7e_freeza7();
	static obj_t BGl_z62nodezd2freezd2cast2031z62zzglobaliza7e_freeza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzglobaliza7e_freeza7();
	extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t,
		BgL_typez00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzglobaliza7e_freeza7();
	static obj_t BGl_z62nodezd2freezd2setq2033z62zzglobaliza7e_freeza7(obj_t,
		obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t BGl_z62getzd2freezd2varsz62zzglobaliza7e_freeza7(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t
		BGl_z62nodezd2freezd2conditiona2035z62zzglobaliza7e_freeza7(obj_t, obj_t,
		obj_t);
	static obj_t __cnst[6];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2404z00zzglobaliza7e_freeza7,
		BgL_bgl_za762nodeza7d2free202433z00,
		BGl_z62nodezd2free2012zb0zzglobaliza7e_freeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2406z00zzglobaliza7e_freeza7,
		BgL_bgl_za762nodeza7d2freeza7d2434za7,
		BGl_z62nodezd2freezd2var2015z62zzglobaliza7e_freeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2408z00zzglobaliza7e_freeza7,
		BgL_bgl_za762nodeza7d2freeza7d2435za7,
		BGl_z62nodezd2freezd2closure2017z62zzglobaliza7e_freeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2409z00zzglobaliza7e_freeza7,
		BgL_bgl_za762nodeza7d2freeza7d2436za7,
		BGl_z62nodezd2freezd2sequence2019z62zzglobaliza7e_freeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2410z00zzglobaliza7e_freeza7,
		BgL_bgl_za762nodeza7d2freeza7d2437za7,
		BGl_z62nodezd2freezd2sync2021z62zzglobaliza7e_freeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2411z00zzglobaliza7e_freeza7,
		BgL_bgl_za762nodeza7d2freeza7d2438za7,
		BGl_z62nodezd2freezd2app2023z62zzglobaliza7e_freeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2412z00zzglobaliza7e_freeza7,
		BgL_bgl_za762nodeza7d2freeza7d2439za7,
		BGl_z62nodezd2freezd2appzd2ly2025zb0zzglobaliza7e_freeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2413z00zzglobaliza7e_freeza7,
		BgL_bgl_za762nodeza7d2freeza7d2440za7,
		BGl_z62nodezd2freezd2funcall2027z62zzglobaliza7e_freeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2414z00zzglobaliza7e_freeza7,
		BgL_bgl_za762nodeza7d2freeza7d2441za7,
		BGl_z62nodezd2freezd2extern2029z62zzglobaliza7e_freeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2415z00zzglobaliza7e_freeza7,
		BgL_bgl_za762nodeza7d2freeza7d2442za7,
		BGl_z62nodezd2freezd2cast2031z62zzglobaliza7e_freeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2416z00zzglobaliza7e_freeza7,
		BgL_bgl_za762nodeza7d2freeza7d2443za7,
		BGl_z62nodezd2freezd2setq2033z62zzglobaliza7e_freeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2417z00zzglobaliza7e_freeza7,
		BgL_bgl_za762nodeza7d2freeza7d2444za7,
		BGl_z62nodezd2freezd2conditiona2035z62zzglobaliza7e_freeza7, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2418z00zzglobaliza7e_freeza7,
		BgL_bgl_za762nodeza7d2freeza7d2445za7,
		BGl_z62nodezd2freezd2fail2037z62zzglobaliza7e_freeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2419z00zzglobaliza7e_freeza7,
		BgL_bgl_za762nodeza7d2freeza7d2446za7,
		BGl_z62nodezd2freezd2select2039z62zzglobaliza7e_freeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2420z00zzglobaliza7e_freeza7,
		BgL_bgl_za762nodeza7d2freeza7d2447za7,
		BGl_z62nodezd2freezd2letzd2fun2041zb0zzglobaliza7e_freeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2421z00zzglobaliza7e_freeza7,
		BgL_bgl_za762nodeza7d2freeza7d2448za7,
		BGl_z62nodezd2freezd2letzd2var2044zb0zzglobaliza7e_freeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2422z00zzglobaliza7e_freeza7,
		BgL_bgl_za762nodeza7d2freeza7d2449za7,
		BGl_z62nodezd2freezd2setzd2exzd2it2046z62zzglobaliza7e_freeza7, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2423z00zzglobaliza7e_freeza7,
		BgL_bgl_za762nodeza7d2freeza7d2450za7,
		BGl_z62nodezd2freezd2jumpzd2exzd2it2049z62zzglobaliza7e_freeza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2424z00zzglobaliza7e_freeza7,
		BgL_bgl_za762nodeza7d2freeza7d2451za7,
		BGl_z62nodezd2freezd2makezd2box2052zb0zzglobaliza7e_freeza7, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2425z00zzglobaliza7e_freeza7,
		BgL_bgl_za762nodeza7d2freeza7d2452za7,
		BGl_z62nodezd2freezd2boxzd2ref2054zb0zzglobaliza7e_freeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2426z00zzglobaliza7e_freeza7,
		BgL_bgl_za762nodeza7d2freeza7d2453za7,
		BGl_z62nodezd2freezd2boxzd2setz122056za2zzglobaliza7e_freeza7, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_thezd2globalzd2closurezd2envzd2zzglobaliza7e_freeza7,
		BgL_bgl_za762theza7d2globalza72454za7,
		BGl_z62thezd2globalzd2closurez62zzglobaliza7e_freeza7, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_freezd2fromzd2envz00zzglobaliza7e_freeza7,
		BgL_bgl_za762freeza7d2fromza7b2455za7,
		BGl_z62freezd2fromzb0zzglobaliza7e_freeza7, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_thezd2closurezd2envz00zzglobaliza7e_freeza7,
		BgL_bgl_za762theza7d2closure2456z00,
		BGl_z62thezd2closurezb0zzglobaliza7e_freeza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2402z00zzglobaliza7e_freeza7,
		BgL_bgl_string2402za700za7za7g2457za7, "free-variable?", 14);
	      DEFINE_STRING(BGl_string2403z00zzglobaliza7e_freeza7,
		BgL_bgl_string2403za700za7za7g2458za7, "Unknown variable type", 21);
	      DEFINE_STRING(BGl_string2405z00zzglobaliza7e_freeza7,
		BgL_bgl_string2405za700za7za7g2459za7, "node-free2012", 13);
	      DEFINE_STRING(BGl_string2407z00zzglobaliza7e_freeza7,
		BgL_bgl_string2407za700za7za7g2460za7, "node-free", 9);
	      DEFINE_STRING(BGl_string2427z00zzglobaliza7e_freeza7,
		BgL_bgl_string2427za700za7za7g2461za7, "globalize_free", 14);
	      DEFINE_STRING(BGl_string2428z00zzglobaliza7e_freeza7,
		BgL_bgl_string2428za700za7za7g2462za7,
		"sfun sgfun -env::procedure value make-fx-procedure make-va-procedure ",
		69);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2freezd2varszd2envzd2zzglobaliza7e_freeza7,
		BgL_bgl_za762getza7d2freeza7d22463za7,
		BGl_z62getzd2freezd2varsz62zzglobaliza7e_freeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_nodezd2freezd2envz00zzglobaliza7e_freeza7,
		BgL_bgl_za762nodeza7d2freeza7b2464za7,
		BGl_z62nodezd2freezb0zzglobaliza7e_freeza7, 0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_freeza7(long
		BgL_checksumz00_3409, char *BgL_fromz00_3410)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzglobaliza7e_freeza7))
				{
					BGl_requirezd2initializa7ationz75zzglobaliza7e_freeza7 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzglobaliza7e_freeza7();
					BGl_cnstzd2initzd2zzglobaliza7e_freeza7();
					BGl_importedzd2moduleszd2initz00zzglobaliza7e_freeza7();
					BGl_genericzd2initzd2zzglobaliza7e_freeza7();
					BGl_methodzd2initzd2zzglobaliza7e_freeza7();
					BGl_toplevelzd2initzd2zzglobaliza7e_freeza7();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzglobaliza7e_freeza7()
	{
		AN_OBJECT;
		{	/* Globalize/free.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"globalize_free");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"globalize_free");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"globalize_free");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"globalize_free");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"globalize_free");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"globalize_free");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"globalize_free");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"globalize_free");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"globalize_free");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzglobaliza7e_freeza7()
	{
		AN_OBJECT;
		{	/* Globalize/free.scm 15 */
			{	/* Globalize/free.scm 15 */
				obj_t BgL_cportz00_3393;

				BgL_cportz00_3393 =
					bgl_open_input_string(BGl_string2428z00zzglobaliza7e_freeza7,
					(int) (((long) 0)));
				{
					long BgL_iz00_3394;

					BgL_iz00_3394 = ((long) 5);
				BgL_loopz00_3395:
					if ((BgL_iz00_3394 == ((long) -1)))
						{	/* Globalize/free.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Globalize/free.scm 15 */
							{	/* Globalize/free.scm 15 */
								obj_t BgL_arg2430z00_3397;

								{	/* Globalize/free.scm 15 */

									{	/* Globalize/free.scm 15 */
										obj_t BgL_locationz00_3399;

										BgL_locationz00_3399 = BBOOL(((bool_t) 0));
										{	/* Globalize/free.scm 15 */

											BgL_arg2430z00_3397 =
												BGl_readz00zz__readerz00(BgL_cportz00_3393,
												BgL_locationz00_3399);
										}
									}
								}
								{	/* Globalize/free.scm 15 */
									int BgL_auxz00_3435;

									BgL_auxz00_3435 = (int) (BgL_iz00_3394);
									CNST_TABLE_SET(BgL_auxz00_3435, BgL_arg2430z00_3397);
							}}
							{	/* Globalize/free.scm 15 */
								int BgL_auxz00_3400;

								BgL_auxz00_3400 = (int) ((BgL_iz00_3394 - ((long) 1)));
								{
									long BgL_iz00_3440;

									BgL_iz00_3440 = (long) (BgL_auxz00_3400);
									BgL_iz00_3394 = BgL_iz00_3440;
									goto BgL_loopz00_3395;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzglobaliza7e_freeza7()
	{
		AN_OBJECT;
		{	/* Globalize/free.scm 15 */
			BGl_za2roundza2z00zzglobaliza7e_freeza7 = ((long) 0);
			BGl_za2integratorza2z00zzglobaliza7e_freeza7 = BUNSPEC;
			return BUNSPEC;
		}
	}



/* mark-variable! */
	obj_t BGl_markzd2variablez12zc0zzglobaliza7e_freeza7(BgL_localz00_bglt
		BgL_localz00_3)
	{
		AN_OBJECT;
		{	/* Globalize/free.scm 44 */
			{	/* Globalize/free.scm 45 */
				BgL_valuez00_bglt BgL_infoz00_1591;

				BgL_infoz00_1591 =
					(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_localz00_3)))->BgL_valuez00);
				{	/* Globalize/free.scm 47 */
					bool_t BgL_testz00_3444;

					{	/* Globalize/free.scm 47 */
						bool_t BgL_res2322z00_2901;

						BgL_res2322z00_2901 =
							BGl_isazf3zf3zz__objectz00(
							((obj_t) BgL_infoz00_1591),
							BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7);
						BgL_testz00_3444 = BgL_res2322z00_2901;
					}
					if (BgL_testz00_3444)
						{	/* Globalize/free.scm 48 */
							long BgL_vz00_2903;

							BgL_vz00_2903 = BGl_za2roundza2z00zzglobaliza7e_freeza7;
							{
								BgL_svarzf2ginfozf2_bglt BgL_auxz00_3447;

								{
									obj_t BgL_auxz00_3448;

									{	/* Globalize/free.scm 48 */
										BgL_objectz00_bglt BgL_auxz00_3449;

										BgL_auxz00_3449 =
											((BgL_objectz00_bglt)
											((BgL_svarz00_bglt) BgL_infoz00_1591));
										BgL_auxz00_3448 = BGL_OBJECT_WIDENING(BgL_auxz00_3449);
									}
									BgL_auxz00_3447 =
										((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3448);
								}
								return
									((((BgL_svarzf2ginfozf2_bglt) CREF(BgL_auxz00_3447))->
										BgL_freezd2markzd2) = ((long) BgL_vz00_2903), BUNSPEC);
						}}
					else
						{	/* Globalize/free.scm 49 */
							bool_t BgL_testz00_3455;

							{	/* Globalize/free.scm 49 */
								bool_t BgL_res2323z00_2906;

								BgL_res2323z00_2906 =
									BGl_isazf3zf3zz__objectz00(
									((obj_t) BgL_infoz00_1591),
									BGl_sfunzf2Ginfozf2zzglobaliza7e_ginfoza7);
								BgL_testz00_3455 = BgL_res2323z00_2906;
							}
							if (BgL_testz00_3455)
								{	/* Globalize/free.scm 50 */
									obj_t BgL_vz00_2908;

									BgL_vz00_2908 = BINT(BGl_za2roundza2z00zzglobaliza7e_freeza7);
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3459;

										{
											obj_t BgL_auxz00_3460;

											{	/* Globalize/free.scm 50 */
												BgL_objectz00_bglt BgL_auxz00_3461;

												BgL_auxz00_3461 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_infoz00_1591));
												BgL_auxz00_3460 = BGL_OBJECT_WIDENING(BgL_auxz00_3461);
											}
											BgL_auxz00_3459 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3460);
										}
										return
											((((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_3459))->
												BgL_freezd2markzd2) = ((obj_t) BgL_vz00_2908), BUNSPEC);
									}
								}
							else
								{	/* Globalize/free.scm 51 */
									bool_t BgL_testz00_3467;

									{	/* Globalize/free.scm 51 */
										bool_t BgL_res2324z00_2911;

										BgL_res2324z00_2911 =
											BGl_isazf3zf3zz__objectz00(
											((obj_t) BgL_infoz00_1591),
											BGl_sexitzf2Ginfozf2zzglobaliza7e_ginfoza7);
										BgL_testz00_3467 = BgL_res2324z00_2911;
									}
									if (BgL_testz00_3467)
										{	/* Globalize/free.scm 52 */
											long BgL_vz00_2913;

											BgL_vz00_2913 = BGl_za2roundza2z00zzglobaliza7e_freeza7;
											{
												BgL_sexitzf2ginfozf2_bglt BgL_auxz00_3470;

												{
													obj_t BgL_auxz00_3471;

													{	/* Globalize/free.scm 52 */
														BgL_objectz00_bglt BgL_auxz00_3472;

														BgL_auxz00_3472 =
															((BgL_objectz00_bglt)
															((BgL_sexitz00_bglt) BgL_infoz00_1591));
														BgL_auxz00_3471 =
															BGL_OBJECT_WIDENING(BgL_auxz00_3472);
													}
													BgL_auxz00_3470 =
														((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_3471);
												}
												return
													((((BgL_sexitzf2ginfozf2_bglt)
															CREF(BgL_auxz00_3470))->BgL_freezd2markzd2) =
													((long) BgL_vz00_2913), BUNSPEC);
										}}
									else
										{	/* Globalize/free.scm 51 */
											return BFALSE;
										}
								}
						}
				}
			}
		}
	}



/* bind-variable! */
	obj_t BGl_bindzd2variablez12zc0zzglobaliza7e_freeza7(BgL_localz00_bglt
		BgL_localz00_4, BgL_localz00_bglt BgL_integratorz00_5)
	{
		AN_OBJECT;
		{	/* Globalize/free.scm 57 */
			{	/* Globalize/free.scm 58 */
				BgL_valuez00_bglt BgL_finfoz00_1595;

				BgL_finfoz00_1595 =
					(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_integratorz00_5)))->BgL_valuez00);
				{	/* Globalize/free.scm 59 */
					obj_t BgL_arg2063z00_1596;

					{	/* Globalize/free.scm 59 */
						obj_t BgL_arg2064z00_1597;

						{
							BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3480;

							{
								obj_t BgL_auxz00_3481;

								{	/* Globalize/free.scm 59 */
									BgL_objectz00_bglt BgL_auxz00_3482;

									BgL_auxz00_3482 =
										((BgL_objectz00_bglt)
										((BgL_sfunz00_bglt) BgL_finfoz00_1595));
									BgL_auxz00_3481 = BGL_OBJECT_WIDENING(BgL_auxz00_3482);
								}
								BgL_auxz00_3480 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3481);
							}
							BgL_arg2064z00_1597 =
								(((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_3480))->
								BgL_boundz00);
						}
						BgL_arg2063z00_1596 =
							MAKE_PAIR(((obj_t) BgL_localz00_4), BgL_arg2064z00_1597);
					}
					{
						BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3490;

						{
							obj_t BgL_auxz00_3491;

							{	/* Globalize/free.scm 59 */
								BgL_objectz00_bglt BgL_auxz00_3492;

								BgL_auxz00_3492 =
									((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_finfoz00_1595));
								BgL_auxz00_3491 = BGL_OBJECT_WIDENING(BgL_auxz00_3492);
							}
							BgL_auxz00_3490 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3491);
						}
						((((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_3490))->
								BgL_boundz00) = ((obj_t) BgL_arg2063z00_1596), BUNSPEC);
					}
				}
				return BGl_markzd2variablez12zc0zzglobaliza7e_freeza7(BgL_localz00_4);
			}
		}
	}



/* free-variable? */
	obj_t BGl_freezd2variablezf3z21zzglobaliza7e_freeza7(obj_t BgL_localz00_6)
	{
		AN_OBJECT;
		{	/* Globalize/free.scm 65 */
			if (BGl_isazf3zf3zz__objectz00(BgL_localz00_6, BGl_localz00zzast_varz00))
				{	/* Globalize/free.scm 67 */
					BgL_valuez00_bglt BgL_infoz00_1599;

					BgL_infoz00_1599 =
						(((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_localz00_6))))->BgL_valuez00);
					{	/* Globalize/free.scm 69 */
						bool_t BgL_testz00_3504;

						{	/* Globalize/free.scm 69 */
							bool_t BgL_res2328z00_2929;

							BgL_res2328z00_2929 =
								BGl_isazf3zf3zz__objectz00(
								((obj_t) BgL_infoz00_1599),
								BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7);
							BgL_testz00_3504 = BgL_res2328z00_2929;
						}
						if (BgL_testz00_3504)
							{	/* Globalize/free.scm 70 */
								bool_t BgL_testz00_3507;

								{	/* Globalize/free.scm 70 */
									long BgL_arg2068z00_1602;

									{
										BgL_svarzf2ginfozf2_bglt BgL_auxz00_3508;

										{
											obj_t BgL_auxz00_3509;

											{	/* Globalize/free.scm 70 */
												BgL_objectz00_bglt BgL_auxz00_3510;

												BgL_auxz00_3510 =
													((BgL_objectz00_bglt)
													((BgL_svarz00_bglt) BgL_infoz00_1599));
												BgL_auxz00_3509 = BGL_OBJECT_WIDENING(BgL_auxz00_3510);
											}
											BgL_auxz00_3508 =
												((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3509);
										}
										BgL_arg2068z00_1602 =
											(((BgL_svarzf2ginfozf2_bglt) CREF(BgL_auxz00_3508))->
											BgL_freezd2markzd2);
									}
									BgL_testz00_3507 =
										(BgL_arg2068z00_1602 ==
										BGl_za2roundza2z00zzglobaliza7e_freeza7);
								}
								if (BgL_testz00_3507)
									{	/* Globalize/free.scm 70 */
										return BFALSE;
									}
								else
									{	/* Globalize/free.scm 70 */
										return BTRUE;
									}
							}
						else
							{	/* Globalize/free.scm 71 */
								bool_t BgL_testz00_3517;

								{	/* Globalize/free.scm 71 */
									bool_t BgL_res2330z00_2934;

									BgL_res2330z00_2934 =
										BGl_isazf3zf3zz__objectz00(
										((obj_t) BgL_infoz00_1599),
										BGl_sfunzf2Ginfozf2zzglobaliza7e_ginfoza7);
									BgL_testz00_3517 = BgL_res2330z00_2934;
								}
								if (BgL_testz00_3517)
									{	/* Globalize/free.scm 72 */
										bool_t BgL_testz00_3520;

										{	/* Globalize/free.scm 72 */
											obj_t BgL_arg2071z00_1605;

											{
												BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3521;

												{
													obj_t BgL_auxz00_3522;

													{	/* Globalize/free.scm 72 */
														BgL_objectz00_bglt BgL_auxz00_3523;

														BgL_auxz00_3523 =
															((BgL_objectz00_bglt)
															((BgL_sfunz00_bglt) BgL_infoz00_1599));
														BgL_auxz00_3522 =
															BGL_OBJECT_WIDENING(BgL_auxz00_3523);
													}
													BgL_auxz00_3521 =
														((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3522);
												}
												BgL_arg2071z00_1605 =
													(((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_3521))->
													BgL_freezd2markzd2);
											}
											BgL_testz00_3520 =
												(BgL_arg2071z00_1605 ==
												BINT(BGl_za2roundza2z00zzglobaliza7e_freeza7));
										}
										if (BgL_testz00_3520)
											{	/* Globalize/free.scm 72 */
												return BFALSE;
											}
										else
											{	/* Globalize/free.scm 72 */
												return BTRUE;
											}
									}
								else
									{	/* Globalize/free.scm 73 */
										bool_t BgL_testz00_3531;

										{	/* Globalize/free.scm 73 */
											bool_t BgL_res2331z00_2938;

											BgL_res2331z00_2938 =
												BGl_isazf3zf3zz__objectz00(
												((obj_t) BgL_infoz00_1599),
												BGl_sexitzf2Ginfozf2zzglobaliza7e_ginfoza7);
											BgL_testz00_3531 = BgL_res2331z00_2938;
										}
										if (BgL_testz00_3531)
											{	/* Globalize/free.scm 74 */
												bool_t BgL_testz00_3534;

												{	/* Globalize/free.scm 74 */
													long BgL_arg2074z00_1608;

													{
														BgL_sexitzf2ginfozf2_bglt BgL_auxz00_3535;

														{
															obj_t BgL_auxz00_3536;

															{	/* Globalize/free.scm 74 */
																BgL_objectz00_bglt BgL_auxz00_3537;

																BgL_auxz00_3537 =
																	((BgL_objectz00_bglt)
																	((BgL_sexitz00_bglt) BgL_infoz00_1599));
																BgL_auxz00_3536 =
																	BGL_OBJECT_WIDENING(BgL_auxz00_3537);
															}
															BgL_auxz00_3535 =
																((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_3536);
														}
														BgL_arg2074z00_1608 =
															(((BgL_sexitzf2ginfozf2_bglt)
																CREF(BgL_auxz00_3535))->BgL_freezd2markzd2);
													}
													BgL_testz00_3534 =
														(BgL_arg2074z00_1608 ==
														BGl_za2roundza2z00zzglobaliza7e_freeza7);
												}
												if (BgL_testz00_3534)
													{	/* Globalize/free.scm 74 */
														return BFALSE;
													}
												else
													{	/* Globalize/free.scm 74 */
														return BTRUE;
													}
											}
										else
											{	/* Globalize/free.scm 78 */
												obj_t BgL_arg2075z00_1609;

												BgL_arg2075z00_1609 =
													MAKE_PAIR(BgL_localz00_6,
													BGl_shapez00zztools_shapez00(BgL_localz00_6));
												return
													BGl_errorz00zz__errorz00
													(BGl_string2402z00zzglobaliza7e_freeza7,
													BGl_string2403z00zzglobaliza7e_freeza7,
													BgL_arg2075z00_1609);
											}
									}
							}
					}
				}
			else
				{	/* Globalize/free.scm 66 */
					return BFALSE;
				}
		}
	}



/* get-free-vars */
	BGL_EXPORTED_DEF obj_t
		BGl_getzd2freezd2varsz00zzglobaliza7e_freeza7(BgL_nodez00_bglt
		BgL_nodez00_7, BgL_localz00_bglt BgL_integratorz00_8)
	{
		AN_OBJECT;
		{	/* Globalize/free.scm 86 */
			{	/* Globalize/free.scm 89 */
				obj_t BgL_freez00_1611;

				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3547;

					{
						obj_t BgL_auxz00_3548;

						{	/* Globalize/free.scm 89 */
							BgL_objectz00_bglt BgL_auxz00_3549;

							BgL_auxz00_3549 =
								((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt)
									(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt) BgL_integratorz00_8)))->
										BgL_valuez00)));
							BgL_auxz00_3548 = BGL_OBJECT_WIDENING(BgL_auxz00_3549);
						}
						BgL_auxz00_3547 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3548);
					}
					BgL_freez00_1611 =
						(((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_3547))->BgL_freez00);
				}
				{	/* Globalize/free.scm 90 */
					bool_t BgL_testz00_3557;

					if (NULLP(BgL_freez00_1611))
						{	/* Globalize/free.scm 90 */
							BgL_testz00_3557 = ((bool_t) 1);
						}
					else
						{	/* Globalize/free.scm 90 */
							BgL_testz00_3557 = PAIRP(BgL_freez00_1611);
						}
					if (BgL_testz00_3557)
						{	/* Globalize/free.scm 90 */
							return BgL_freez00_1611;
						}
					else
						{	/* Globalize/free.scm 92 */
							obj_t BgL_freez00_1613;

							BgL_freez00_1613 =
								BGl_internalzd2getzd2freezd2varsz12zc0zzglobaliza7e_freeza7
								(BgL_nodez00_7, BgL_integratorz00_8);
							{	/* Globalize/free.scm 93 */
								BgL_valuez00_bglt BgL_arg2078z00_1614;

								BgL_arg2078z00_1614 =
									(((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt) BgL_integratorz00_8)))->
									BgL_valuez00);
								{
									BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3564;

									{
										obj_t BgL_auxz00_3565;

										{	/* Globalize/free.scm 93 */
											BgL_objectz00_bglt BgL_auxz00_3566;

											BgL_auxz00_3566 =
												((BgL_objectz00_bglt)
												((BgL_sfunz00_bglt) BgL_arg2078z00_1614));
											BgL_auxz00_3565 = BGL_OBJECT_WIDENING(BgL_auxz00_3566);
										}
										BgL_auxz00_3564 =
											((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3565);
									}
									((((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_3564))->
											BgL_freez00) = ((obj_t) BgL_freez00_1613), BUNSPEC);
								}
							}
							return BgL_freez00_1613;
						}
				}
			}
		}
	}



/* &get-free-vars */
	obj_t BGl_z62getzd2freezd2varsz62zzglobaliza7e_freeza7(obj_t BgL_envz00_3294,
		obj_t BgL_nodez00_3295, obj_t BgL_integratorz00_3296)
	{
		AN_OBJECT;
		{	/* Globalize/free.scm 86 */
			return
				BGl_getzd2freezd2varsz00zzglobaliza7e_freeza7(
				((BgL_nodez00_bglt) BgL_nodez00_3295),
				((BgL_localz00_bglt) BgL_integratorz00_3296));
		}
	}



/* internal-get-free-vars! */
	obj_t
		BGl_internalzd2getzd2freezd2varsz12zc0zzglobaliza7e_freeza7(BgL_nodez00_bglt
		BgL_nodez00_9, BgL_localz00_bglt BgL_integratorz00_10)
	{
		AN_OBJECT;
		{	/* Globalize/free.scm 107 */
			BGl_za2roundza2z00zzglobaliza7e_freeza7 =
				(BGl_za2roundza2z00zzglobaliza7e_freeza7 + ((long) 1));
			BGl_za2integratorza2z00zzglobaliza7e_freeza7 =
				((obj_t) BgL_integratorz00_10);
			BGl_bindzd2variablez12zc0zzglobaliza7e_freeza7(BgL_integratorz00_10,
				BgL_integratorz00_10);
			{	/* Globalize/free.scm 114 */
				obj_t BgL_arg2081z00_1617;

				{	/* Globalize/free.scm 338 */
					bool_t BgL_testz00_3578;

					{	/* Globalize/free.scm 338 */
						bool_t BgL_res2338z00_2964;

						BgL_res2338z00_2964 =
							BGl_isazf3zf3zz__objectz00(
							((obj_t)
								((BgL_variablez00_bglt) BgL_integratorz00_10)),
							BGl_globalz00zzast_varz00);
						BgL_testz00_3578 = BgL_res2338z00_2964;
					}
					if (BgL_testz00_3578)
						{	/* Globalize/free.scm 338 */
							BgL_arg2081z00_1617 =
								BGl_thezd2globalzd2closurez00zzglobaliza7e_freeza7(
								((BgL_globalz00_bglt)
									((BgL_variablez00_bglt) BgL_integratorz00_10)), BFALSE);
						}
					else
						{	/* Globalize/free.scm 338 */
							BgL_arg2081z00_1617 =
								BGl_thezd2localzd2closurez00zzglobaliza7e_freeza7(
								((obj_t)
									((BgL_variablez00_bglt) BgL_integratorz00_10)), BFALSE);
						}
				}
				BGl_bindzd2variablez12zc0zzglobaliza7e_freeza7(
					((BgL_localz00_bglt) BgL_arg2081z00_1617), BgL_integratorz00_10);
			}
			{	/* Globalize/free.scm 115 */
				obj_t BgL_g1997z00_1618;

				BgL_g1997z00_1618 =
					(((BgL_sfunz00_bglt) CREF(
							((BgL_sfunz00_bglt)
								(((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt) BgL_integratorz00_10)))->
									BgL_valuez00))))->BgL_argsz00);
				{
					obj_t BgL_l1995z00_1620;

					BgL_l1995z00_1620 = BgL_g1997z00_1618;
				BgL_zc3anonymousza32082ze3z83_1621:
					if (PAIRP(BgL_l1995z00_1620))
						{	/* Globalize/free.scm 116 */
							{	/* Globalize/free.scm 115 */
								obj_t BgL_lz00_1623;

								BgL_lz00_1623 = CAR(BgL_l1995z00_1620);
								BGl_bindzd2variablez12zc0zzglobaliza7e_freeza7(
									((BgL_localz00_bglt) BgL_lz00_1623), BgL_integratorz00_10);
							}
							{
								obj_t BgL_l1995z00_3599;

								BgL_l1995z00_3599 = CDR(BgL_l1995z00_1620);
								BgL_l1995z00_1620 = BgL_l1995z00_3599;
								goto BgL_zc3anonymousza32082ze3z83_1621;
							}
						}
					else
						{	/* Globalize/free.scm 116 */
							((bool_t) 1);
						}
				}
			}
			return BGl_nodezd2freezd2zzglobaliza7e_freeza7(BgL_nodez00_9, BNIL);
		}
	}



/* node-free* */
	obj_t BGl_nodezd2freeza2z70zzglobaliza7e_freeza7(obj_t BgL_nodeza2za2_53,
		obj_t BgL_freez00_54)
	{
		AN_OBJECT;
		{	/* Globalize/free.scm 326 */
			{
				obj_t BgL_nodeza2za2_1628;
				obj_t BgL_freez00_1629;

				BgL_nodeza2za2_1628 = BgL_nodeza2za2_53;
				BgL_freez00_1629 = BgL_freez00_54;
			BgL_zc3anonymousza32086ze3z83_1630:
				if (NULLP(BgL_nodeza2za2_1628))
					{	/* Globalize/free.scm 329 */
						return BgL_freez00_1629;
					}
				else
					{	/* Globalize/free.scm 331 */
						obj_t BgL_arg2089z00_1632;
						obj_t BgL_arg2090z00_1633;

						BgL_arg2089z00_1632 = CDR(BgL_nodeza2za2_1628);
						{	/* Globalize/free.scm 332 */
							obj_t BgL_arg2091z00_1634;

							BgL_arg2091z00_1634 = CAR(BgL_nodeza2za2_1628);
							BgL_arg2090z00_1633 =
								BGl_nodezd2freezd2zzglobaliza7e_freeza7(
								((BgL_nodez00_bglt) BgL_arg2091z00_1634), BgL_freez00_1629);
						}
						{
							obj_t BgL_freez00_3609;
							obj_t BgL_nodeza2za2_3608;

							BgL_nodeza2za2_3608 = BgL_arg2089z00_1632;
							BgL_freez00_3609 = BgL_arg2090z00_1633;
							BgL_freez00_1629 = BgL_freez00_3609;
							BgL_nodeza2za2_1628 = BgL_nodeza2za2_3608;
							goto BgL_zc3anonymousza32086ze3z83_1630;
						}
					}
			}
		}
	}



/* the-closure */
	BGL_EXPORTED_DEF obj_t
		BGl_thezd2closurezd2zzglobaliza7e_freeza7(BgL_variablez00_bglt
		BgL_variablez00_55, obj_t BgL_locz00_56)
	{
		AN_OBJECT;
		{	/* Globalize/free.scm 337 */
			{	/* Globalize/free.scm 338 */
				bool_t BgL_testz00_3610;

				{	/* Globalize/free.scm 338 */
					bool_t BgL_res2342z00_2980;

					BgL_res2342z00_2980 =
						BGl_isazf3zf3zz__objectz00(
						((obj_t) BgL_variablez00_55), BGl_globalz00zzast_varz00);
					BgL_testz00_3610 = BgL_res2342z00_2980;
				}
				if (BgL_testz00_3610)
					{	/* Globalize/free.scm 338 */
						return
							BGl_thezd2globalzd2closurez00zzglobaliza7e_freeza7(
							((BgL_globalz00_bglt) BgL_variablez00_55), BgL_locz00_56);
					}
				else
					{	/* Globalize/free.scm 338 */
						return
							BGl_thezd2localzd2closurez00zzglobaliza7e_freeza7(
							((obj_t) BgL_variablez00_55), BgL_locz00_56);
					}
			}
		}
	}



/* &the-closure */
	obj_t BGl_z62thezd2closurezb0zzglobaliza7e_freeza7(obj_t BgL_envz00_3297,
		obj_t BgL_variablez00_3298, obj_t BgL_locz00_3299)
	{
		AN_OBJECT;
		{	/* Globalize/free.scm 337 */
			return
				BGl_thezd2closurezd2zzglobaliza7e_freeza7(
				((BgL_variablez00_bglt) BgL_variablez00_3298), BgL_locz00_3299);
		}
	}



/* the-global-closure */
	BGL_EXPORTED_DEF obj_t
		BGl_thezd2globalzd2closurez00zzglobaliza7e_freeza7(BgL_globalz00_bglt
		BgL_globalz00_57, obj_t BgL_locz00_58)
	{
		AN_OBJECT;
		{	/* Globalize/free.scm 345 */
			{
				BgL_globalz00_bglt BgL_gz00_1685;

				{	/* Globalize/free.scm 354 */
					obj_t BgL_closurez00_1638;

					BgL_closurez00_1638 =
						(((BgL_funz00_bglt) CREF(
								((BgL_funz00_bglt)
									(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt) BgL_globalz00_57)))->
										BgL_valuez00))))->BgL_thezd2closurezd2);
					if (BGl_isazf3zf3zz__objectz00(BgL_closurez00_1638,
							BGl_globalz00zzast_varz00))
						{	/* Globalize/free.scm 356 */
							return BgL_closurez00_1638;
						}
					else
						{	/* Globalize/free.scm 358 */
							obj_t BgL_g1125z00_1640;

							BgL_gz00_1685 = BgL_globalz00_57;
							if (CBOOL(
									(((BgL_globalz00_bglt) CREF(BgL_gz00_1685))->BgL_aliasz00)))
								{	/* Globalize/free.scm 350 */
									obj_t BgL_agz00_1689;

									{	/* Globalize/free.scm 350 */
										obj_t BgL_arg2130z00_1691;
										obj_t BgL_arg2131z00_1692;

										BgL_arg2130z00_1691 =
											(((BgL_globalz00_bglt) CREF(BgL_gz00_1685))->
											BgL_aliasz00);
										BgL_arg2131z00_1692 =
											(((BgL_globalz00_bglt) CREF(BgL_gz00_1685))->
											BgL_modulez00);
										{	/* Globalize/free.scm 350 */
											obj_t BgL_list2132z00_1693;

											BgL_list2132z00_1693 =
												MAKE_PAIR(BgL_arg2131z00_1692, BNIL);
											BgL_agz00_1689 =
												BGl_findzd2globalzd2zzast_envz00(BgL_arg2130z00_1691,
												BgL_list2132z00_1693);
										}
									}
									if (BGl_isazf3zf3zz__objectz00(BgL_agz00_1689,
											BGl_globalz00zzast_varz00))
										{	/* Globalize/free.scm 351 */
											BgL_g1125z00_1640 =
												BGl_thezd2globalzd2closurez00zzglobaliza7e_freeza7(
												((BgL_globalz00_bglt) BgL_agz00_1689), BgL_locz00_58);
										}
									else
										{	/* Globalize/free.scm 351 */
											BgL_g1125z00_1640 = BFALSE;
										}
								}
							else
								{	/* Globalize/free.scm 349 */
									BgL_g1125z00_1640 = BFALSE;
								}
							if (CBOOL(BgL_g1125z00_1640))
								{	/* Globalize/free.scm 358 */
									{	/* Globalize/free.scm 361 */
										BgL_valuez00_bglt BgL_arg2094z00_1643;

										BgL_arg2094z00_1643 =
											(((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt) BgL_globalz00_57)))->
											BgL_valuez00);
										((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt)
															BgL_arg2094z00_1643)))->BgL_thezd2closurezd2) =
											((obj_t) BgL_g1125z00_1640), BUNSPEC);
									}
									return BgL_g1125z00_1640;
								}
							else
								{	/* Globalize/free.scm 364 */
									BgL_globalz00_bglt BgL_glocloz00_1644;

									BgL_glocloz00_1644 =
										BGl_makezd2globalzd2closurez00zzglobaliza7e_globalzd2closurez75
										(BgL_globalz00_57);
									{	/* Globalize/free.scm 364 */
										long BgL_arityz00_1645;

										BgL_arityz00_1645 =
											(((BgL_funz00_bglt) CREF(
													((BgL_funz00_bglt)
														(((BgL_variablez00_bglt) CREF(
																	((BgL_variablez00_bglt) BgL_globalz00_57)))->
															BgL_valuez00))))->BgL_arityz00);
										{	/* Globalize/free.scm 365 */
											obj_t BgL_makezd2clozd2_1646;

											if ((BgL_arityz00_1645 < ((long) 0)))
												{	/* Globalize/free.scm 367 */
													BgL_makezd2clozd2_1646 = CNST_TABLE_REF(((long) 0));
												}
											else
												{	/* Globalize/free.scm 367 */
													BgL_makezd2clozd2_1646 = CNST_TABLE_REF(((long) 1));
												}
											{	/* Globalize/free.scm 366 */
												BgL_nodez00_bglt BgL_nodez00_1647;

												{	/* Globalize/free.scm 374 */
													obj_t BgL_arg2112z00_1666;

													{	/* Globalize/free.scm 374 */
														obj_t BgL_arg2113z00_1667;

														{	/* Globalize/free.scm 374 */
															BgL_varz00_bglt BgL_arg2114z00_1668;
															obj_t BgL_arg2115z00_1669;

															{	/* Globalize/free.scm 374 */
																BgL_varz00_bglt BgL_new1129z00_1670;

																{	/* Globalize/free.scm 377 */
																	BgL_varz00_bglt BgL_new1128z00_1671;

																	BgL_new1128z00_1671 =
																		((BgL_varz00_bglt)
																		BREF(GC_MALLOC(sizeof(struct
																					BgL_varz00_bgl))));
																	{	/* Globalize/free.scm 377 */
																		long BgL_arg2116z00_1672;

																		{	/* Globalize/free.scm 377 */
																			long BgL_res2350z00_3006;

																			BgL_res2350z00_3006 =
																				BGL_CLASS_INDEX
																				(BGl_varz00zzast_nodez00);
																			BgL_arg2116z00_1672 = BgL_res2350z00_3006;
																		}
																		BGL_OBJECT_CLASS_NUM_SET(
																			((BgL_objectz00_bglt)
																				BgL_new1128z00_1671),
																			BgL_arg2116z00_1672);
																	}
																	{	/* Globalize/free.scm 377 */
																		BgL_objectz00_bglt BgL_auxz00_3655;

																		BgL_auxz00_3655 =
																			((BgL_objectz00_bglt)
																			BgL_new1128z00_1671);
																		BGL_OBJECT_WIDENING_SET(BgL_auxz00_3655,
																			BFALSE);
																	}
																	BgL_new1129z00_1670 = BgL_new1128z00_1671;
																}
																((((BgL_nodez00_bglt) CREF(
																				((BgL_nodez00_bglt)
																					BgL_new1129z00_1670)))->BgL_locz00) =
																	((obj_t) BgL_locz00_58), BUNSPEC);
																((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																					BgL_new1129z00_1670)))->BgL_typez00) =
																	((BgL_typez00_bglt) ((BgL_typez00_bglt)
																			BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
																((((BgL_varz00_bglt)
																			CREF(BgL_new1129z00_1670))->
																		BgL_variablez00) =
																	((BgL_variablez00_bglt) (
																			(BgL_variablez00_bglt)
																			BgL_glocloz00_1644)), BUNSPEC);
																BgL_arg2114z00_1668 = BgL_new1129z00_1670;
															}
															{	/* Globalize/free.scm 378 */
																BgL_atomz00_bglt BgL_arg2117z00_1673;
																obj_t BgL_arg2118z00_1674;

																{	/* Globalize/free.scm 378 */
																	BgL_atomz00_bglt BgL_new1131z00_1675;

																	{	/* Globalize/free.scm 381 */
																		BgL_atomz00_bglt BgL_new1130z00_1676;

																		BgL_new1130z00_1676 =
																			((BgL_atomz00_bglt)
																			BREF(GC_MALLOC(sizeof(struct
																						BgL_atomz00_bgl))));
																		{	/* Globalize/free.scm 381 */
																			long BgL_arg2119z00_1677;

																			{	/* Globalize/free.scm 381 */
																				long BgL_res2351z00_3010;

																				BgL_res2351z00_3010 =
																					BGL_CLASS_INDEX
																					(BGl_atomz00zzast_nodez00);
																				BgL_arg2119z00_1677 =
																					BgL_res2351z00_3010;
																			}
																			BGL_OBJECT_CLASS_NUM_SET(
																				((BgL_objectz00_bglt)
																					BgL_new1130z00_1676),
																				BgL_arg2119z00_1677);
																		}
																		{	/* Globalize/free.scm 381 */
																			BgL_objectz00_bglt BgL_auxz00_3669;

																			BgL_auxz00_3669 =
																				((BgL_objectz00_bglt)
																				BgL_new1130z00_1676);
																			BGL_OBJECT_WIDENING_SET(BgL_auxz00_3669,
																				BFALSE);
																		}
																		BgL_new1131z00_1675 = BgL_new1130z00_1676;
																	}
																	((((BgL_nodez00_bglt) CREF(
																					((BgL_nodez00_bglt)
																						BgL_new1131z00_1675)))->
																			BgL_locz00) =
																		((obj_t) BgL_locz00_58), BUNSPEC);
																	((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																						BgL_new1131z00_1675)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) ((BgL_typez00_bglt)
																				BGl_za2_za2z00zztype_cachez00)),
																		BUNSPEC);
																	((((BgL_atomz00_bglt)
																				CREF(BgL_new1131z00_1675))->
																			BgL_valuez00) =
																		((obj_t) BINT(BgL_arityz00_1645)), BUNSPEC);
																	BgL_arg2117z00_1673 = BgL_new1131z00_1675;
																}
																{	/* Globalize/free.scm 382 */
																	BgL_atomz00_bglt BgL_arg2120z00_1678;

																	{	/* Globalize/free.scm 382 */
																		BgL_atomz00_bglt BgL_new1133z00_1679;

																		{	/* Globalize/free.scm 385 */
																			BgL_atomz00_bglt BgL_new1132z00_1680;

																			BgL_new1132z00_1680 =
																				((BgL_atomz00_bglt)
																				BREF(GC_MALLOC(sizeof(struct
																							BgL_atomz00_bgl))));
																			{	/* Globalize/free.scm 385 */
																				long BgL_arg2122z00_1681;

																				{	/* Globalize/free.scm 385 */
																					long BgL_res2352z00_3014;

																					BgL_res2352z00_3014 =
																						BGL_CLASS_INDEX
																						(BGl_atomz00zzast_nodez00);
																					BgL_arg2122z00_1681 =
																						BgL_res2352z00_3014;
																				}
																				BGL_OBJECT_CLASS_NUM_SET(
																					((BgL_objectz00_bglt)
																						BgL_new1132z00_1680),
																					BgL_arg2122z00_1681);
																			}
																			{	/* Globalize/free.scm 385 */
																				BgL_objectz00_bglt BgL_auxz00_3683;

																				BgL_auxz00_3683 =
																					((BgL_objectz00_bglt)
																					BgL_new1132z00_1680);
																				BGL_OBJECT_WIDENING_SET(BgL_auxz00_3683,
																					BFALSE);
																			}
																			BgL_new1133z00_1679 = BgL_new1132z00_1680;
																		}
																		((((BgL_nodez00_bglt) CREF(
																						((BgL_nodez00_bglt)
																							BgL_new1133z00_1679)))->
																				BgL_locz00) =
																			((obj_t) BgL_locz00_58), BUNSPEC);
																		((((BgL_nodez00_bglt)
																					CREF(((BgL_nodez00_bglt)
																							BgL_new1133z00_1679)))->
																				BgL_typez00) =
																			((BgL_typez00_bglt) ((BgL_typez00_bglt)
																					BGl_za2_za2z00zztype_cachez00)),
																			BUNSPEC);
																		((((BgL_atomz00_bglt)
																					CREF(BgL_new1133z00_1679))->
																				BgL_valuez00) =
																			((obj_t) BINT(((long) 0))), BUNSPEC);
																		BgL_arg2120z00_1678 = BgL_new1133z00_1679;
																	}
																	BgL_arg2118z00_1674 =
																		MAKE_PAIR(
																		((obj_t) BgL_arg2120z00_1678), BNIL);
																}
																BgL_arg2115z00_1669 =
																	MAKE_PAIR(
																	((obj_t) BgL_arg2117z00_1673),
																	BgL_arg2118z00_1674);
															}
															BgL_arg2113z00_1667 =
																MAKE_PAIR(
																((obj_t) BgL_arg2114z00_1668),
																BgL_arg2115z00_1669);
														}
														BgL_arg2112z00_1666 =
															MAKE_PAIR(BgL_makezd2clozd2_1646,
															BgL_arg2113z00_1667);
													}
													BgL_nodez00_1647 =
														BGl_sexpzd2ze3nodez31zzast_sexpz00
														(BgL_arg2112z00_1666, BNIL, BgL_locz00_58,
														CNST_TABLE_REF(((long) 2)));
												}
												{	/* Globalize/free.scm 373 */
													BgL_globalz00_bglt BgL_closurez00_1648;

													{	/* Globalize/free.scm 390 */
														obj_t BgL_arg2099z00_1653;
														obj_t BgL_arg2100z00_1654;
														obj_t BgL_arg2101z00_1655;

														{	/* Globalize/free.scm 390 */
															obj_t BgL_arg2102z00_1656;

															{	/* Globalize/free.scm 390 */
																obj_t BgL_arg2103z00_1657;
																obj_t BgL_arg2104z00_1658;

																{	/* Globalize/free.scm 390 */
																	obj_t BgL_arg2105z00_1659;

																	if (CBOOL(
																			(((BgL_globalz00_bglt)
																					CREF(BgL_globalz00_57))->
																				BgL_aliasz00)))
																		{	/* Globalize/free.scm 390 */
																			BgL_arg2105z00_1659 =
																				(((BgL_globalz00_bglt)
																					CREF(BgL_globalz00_57))->
																				BgL_aliasz00);
																		}
																	else
																		{	/* Globalize/free.scm 390 */
																			BgL_arg2105z00_1659 =
																				(((BgL_variablez00_bglt) CREF(
																						((BgL_variablez00_bglt)
																							BgL_globalz00_57)))->BgL_idz00);
																		}
																	{	/* Globalize/free.scm 389 */
																		obj_t BgL_res2354z00_3026;

																		{	/* Globalize/free.scm 389 */
																			obj_t BgL_arg1265z00_3025;

																			BgL_arg1265z00_3025 =
																				SYMBOL_TO_STRING(BgL_arg2105z00_1659);
																			BgL_res2354z00_3026 =
																				BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																				(BgL_arg1265z00_3025);
																		}
																		BgL_arg2103z00_1657 = BgL_res2354z00_3026;
																	}
																}
																{	/* Globalize/free.scm 389 */
																	obj_t BgL_res2355z00_3029;

																	{	/* Globalize/free.scm 389 */
																		obj_t BgL_symbolz00_3027;

																		BgL_symbolz00_3027 =
																			CNST_TABLE_REF(((long) 3));
																		{	/* Globalize/free.scm 389 */
																			obj_t BgL_arg1265z00_3028;

																			BgL_arg1265z00_3028 =
																				SYMBOL_TO_STRING(BgL_symbolz00_3027);
																			BgL_res2355z00_3029 =
																				BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																				(BgL_arg1265z00_3028);
																	}}
																	BgL_arg2104z00_1658 = BgL_res2355z00_3029;
																}
																BgL_arg2102z00_1656 =
																	string_append(BgL_arg2103z00_1657,
																	BgL_arg2104z00_1658);
															}
															BgL_arg2099z00_1653 =
																bstring_to_symbol(BgL_arg2102z00_1656);
														}
														BgL_arg2100z00_1654 =
															(((BgL_globalz00_bglt) CREF(BgL_globalz00_57))->
															BgL_modulez00);
														{	/* Globalize/free.scm 396 */
															bool_t BgL_testz00_3716;

															{	/* Globalize/free.scm 396 */
																BgL_valuez00_bglt BgL_arg2110z00_1665;

																BgL_arg2110z00_1665 =
																	(((BgL_variablez00_bglt) CREF(
																			((BgL_variablez00_bglt)
																				BgL_globalz00_57)))->BgL_valuez00);
																{	/* Globalize/free.scm 396 */
																	bool_t BgL_res2359z00_3039;

																	BgL_res2359z00_3039 =
																		BGl_isazf3zf3zz__objectz00(
																		((obj_t) BgL_arg2110z00_1665),
																		BGl_sfunz00zzast_varz00);
																	BgL_testz00_3716 = BgL_res2359z00_3039;
															}}
															if (BgL_testz00_3716)
																{	/* Globalize/free.scm 396 */
																	if (
																		((((BgL_sfunz00_bglt) CREF(
																						((BgL_sfunz00_bglt)
																							(((BgL_variablez00_bglt) CREF(
																										((BgL_variablez00_bglt)
																											BgL_globalz00_57)))->
																								BgL_valuez00))))->
																				BgL_classz00) ==
																			CNST_TABLE_REF(((long) 4))))
																		{	/* Globalize/free.scm 397 */
																			BgL_arg2101z00_1655 =
																				CNST_TABLE_REF(((long) 4));
																		}
																	else
																		{	/* Globalize/free.scm 397 */
																			BgL_arg2101z00_1655 =
																				CNST_TABLE_REF(((long) 5));
																}}
															else
																{	/* Globalize/free.scm 396 */
																	BgL_arg2101z00_1655 =
																		CNST_TABLE_REF(((long) 5));
														}}
														BgL_closurez00_1648 =
															BGl_defzd2globalzd2scnstz12z12zzast_glozd2defzd2
															(BgL_arg2099z00_1653, BgL_arg2100z00_1654,
															((obj_t) BgL_nodez00_1647), BgL_arg2101z00_1655,
															BgL_locz00_58);
													}
													{	/* Globalize/free.scm 389 */

														((((BgL_globalz00_bglt) CREF(BgL_closurez00_1648))->
																BgL_libraryz00) =
															((obj_t) (((BgL_globalz00_bglt)
																		CREF(BgL_globalz00_57))->BgL_libraryz00)),
															BUNSPEC);
														((((BgL_globalz00_bglt) CREF(BgL_closurez00_1648))->
																BgL_importz00) =
															((obj_t) (((BgL_globalz00_bglt)
																		CREF(BgL_globalz00_57))->BgL_importz00)),
															BUNSPEC);
														{	/* Globalize/free.scm 406 */
															BgL_valuez00_bglt BgL_arg2097z00_1651;

															BgL_arg2097z00_1651 =
																(((BgL_variablez00_bglt) CREF(
																		((BgL_variablez00_bglt)
																			BgL_globalz00_57)))->BgL_valuez00);
															((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt)
																				BgL_arg2097z00_1651)))->
																	BgL_thezd2closurezd2) =
																((obj_t) ((obj_t) BgL_closurez00_1648)),
																BUNSPEC);
														}
														{	/* Globalize/free.scm 410 */
															BgL_valuez00_bglt BgL_arg2098z00_1652;

															BgL_arg2098z00_1652 =
																(((BgL_variablez00_bglt) CREF(
																		((BgL_variablez00_bglt)
																			BgL_glocloz00_1644)))->BgL_valuez00);
															((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt)
																				BgL_arg2098z00_1652)))->
																	BgL_thezd2closurezd2) =
																((obj_t) ((obj_t) BgL_closurez00_1648)),
																BUNSPEC);
														}
														return ((obj_t) BgL_closurez00_1648);
													}
												}
											}
										}
									}
								}
						}
				}
			}
		}
	}



/* &the-global-closure */
	obj_t BGl_z62thezd2globalzd2closurez62zzglobaliza7e_freeza7(obj_t
		BgL_envz00_3300, obj_t BgL_globalz00_3301, obj_t BgL_locz00_3302)
	{
		AN_OBJECT;
		{	/* Globalize/free.scm 345 */
			return
				BGl_thezd2globalzd2closurez00zzglobaliza7e_freeza7(
				((BgL_globalz00_bglt) BgL_globalz00_3301), BgL_locz00_3302);
		}
	}



/* the-local-closure */
	obj_t BGl_thezd2localzd2closurez00zzglobaliza7e_freeza7(obj_t BgL_localz00_59,
		obj_t BgL_locz00_60)
	{
		AN_OBJECT;
		{	/* Globalize/free.scm 420 */
			{	/* Globalize/free.scm 421 */
				BgL_valuez00_bglt BgL_infoz00_1695;

				BgL_infoz00_1695 =
					(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt)
								((BgL_localz00_bglt) BgL_localz00_59))))->BgL_valuez00);
				{	/* Globalize/free.scm 422 */
					bool_t BgL_testz00_3753;

					{	/* Globalize/free.scm 422 */
						obj_t BgL_arg2139z00_1710;

						BgL_arg2139z00_1710 =
							(((BgL_funz00_bglt) CREF(
									((BgL_funz00_bglt)
										((BgL_sfunz00_bglt) BgL_infoz00_1695))))->
							BgL_thezd2closurezd2);
						BgL_testz00_3753 =
							BGl_isazf3zf3zz__objectz00(BgL_arg2139z00_1710,
							BGl_localz00zzast_varz00);
					}
					if (BgL_testz00_3753)
						{	/* Globalize/free.scm 422 */
							return
								(((BgL_funz00_bglt) CREF(
										((BgL_funz00_bglt)
											((BgL_sfunz00_bglt) BgL_infoz00_1695))))->
								BgL_thezd2closurezd2);
						}
					else
						{	/* Globalize/free.scm 424 */
							BgL_localz00_bglt BgL_closurez00_1697;

							{	/* Globalize/free.scm 424 */
								obj_t BgL_arg2138z00_1709;

								BgL_arg2138z00_1709 =
									(((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt)
												((BgL_localz00_bglt) BgL_localz00_59))))->BgL_idz00);
								BgL_closurez00_1697 =
									BGl_makezd2localzd2svarz00zzast_localz00(BgL_arg2138z00_1709,
									((BgL_typez00_bglt) BGl_za2procedureza2z00zztype_cachez00));
							}
							{	/* Globalize/free.scm 425 */
								bool_t BgL_arg2134z00_1698;

								BgL_arg2134z00_1698 =
									(((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt)
												((BgL_localz00_bglt) BgL_localz00_59))))->
									BgL_userzf3zf3);
								((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
													BgL_closurez00_1697)))->BgL_userzf3zf3) =
									((bool_t) BgL_arg2134z00_1698), BUNSPEC);
							}
							{	/* Globalize/free.scm 426 */
								BgL_svarz00_bglt BgL_tmp1134z00_1699;

								BgL_tmp1134z00_1699 =
									((BgL_svarz00_bglt)
									(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt) BgL_closurez00_1697)))->
										BgL_valuez00));
								{	/* Globalize/free.scm 426 */
									BgL_svarzf2ginfozf2_bglt BgL_wide1136z00_1701;

									BgL_wide1136z00_1701 =
										((BgL_svarzf2ginfozf2_bglt) BREF(GC_MALLOC(sizeof(struct
													BgL_svarzf2ginfozf2_bgl))));
									{	/* Globalize/free.scm 426 */
										obj_t BgL_auxz00_3778;
										BgL_objectz00_bglt BgL_auxz00_3775;

										BgL_auxz00_3778 = ((obj_t) BgL_wide1136z00_1701);
										BgL_auxz00_3775 =
											((BgL_objectz00_bglt)
											((BgL_svarz00_bglt) BgL_tmp1134z00_1699));
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_3775, BgL_auxz00_3778);
									}
									{	/* Globalize/free.scm 426 */
										long BgL_arg2136z00_1702;

										{	/* Globalize/free.scm 426 */
											long BgL_res2369z00_3092;

											BgL_res2369z00_3092 =
												BGL_CLASS_INDEX
												(BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7);
											BgL_arg2136z00_1702 = BgL_res2369z00_3092;
										}
										((BgL_svarz00_bglt)
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt)
													((BgL_svarz00_bglt) BgL_tmp1134z00_1699)),
												BgL_arg2136z00_1702));
									}
									((BgL_svarz00_bglt) BgL_tmp1134z00_1699);
								}
								{
									BgL_svarzf2ginfozf2_bglt BgL_auxz00_3787;

									{
										obj_t BgL_auxz00_3788;

										{	/* Globalize/free.scm 426 */
											BgL_objectz00_bglt BgL_auxz00_3789;

											BgL_auxz00_3789 =
												((BgL_objectz00_bglt)
												((BgL_svarz00_bglt) BgL_tmp1134z00_1699));
											BgL_auxz00_3788 = BGL_OBJECT_WIDENING(BgL_auxz00_3789);
										}
										BgL_auxz00_3787 =
											((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3788);
									}
									((((BgL_svarzf2ginfozf2_bglt) CREF(BgL_auxz00_3787))->
											BgL_kapturedzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
								}
								{
									BgL_svarzf2ginfozf2_bglt BgL_auxz00_3795;

									{
										obj_t BgL_auxz00_3796;

										{	/* Globalize/free.scm 426 */
											BgL_objectz00_bglt BgL_auxz00_3797;

											BgL_auxz00_3797 =
												((BgL_objectz00_bglt)
												((BgL_svarz00_bglt) BgL_tmp1134z00_1699));
											BgL_auxz00_3796 = BGL_OBJECT_WIDENING(BgL_auxz00_3797);
										}
										BgL_auxz00_3795 =
											((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3796);
									}
									((((BgL_svarzf2ginfozf2_bglt) CREF(BgL_auxz00_3795))->
											BgL_freezd2markzd2) = ((long) ((long) -10)), BUNSPEC);
								}
								{
									BgL_svarzf2ginfozf2_bglt BgL_auxz00_3803;

									{
										obj_t BgL_auxz00_3804;

										{	/* Globalize/free.scm 426 */
											BgL_objectz00_bglt BgL_auxz00_3805;

											BgL_auxz00_3805 =
												((BgL_objectz00_bglt)
												((BgL_svarz00_bglt) BgL_tmp1134z00_1699));
											BgL_auxz00_3804 = BGL_OBJECT_WIDENING(BgL_auxz00_3805);
										}
										BgL_auxz00_3803 =
											((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3804);
									}
									((((BgL_svarzf2ginfozf2_bglt) CREF(BgL_auxz00_3803))->
											BgL_markz00) = ((long) ((long) -10)), BUNSPEC);
								}
								{
									BgL_svarzf2ginfozf2_bglt BgL_auxz00_3811;

									{
										obj_t BgL_auxz00_3812;

										{	/* Globalize/free.scm 426 */
											BgL_objectz00_bglt BgL_auxz00_3813;

											BgL_auxz00_3813 =
												((BgL_objectz00_bglt)
												((BgL_svarz00_bglt) BgL_tmp1134z00_1699));
											BgL_auxz00_3812 = BGL_OBJECT_WIDENING(BgL_auxz00_3813);
										}
										BgL_auxz00_3811 =
											((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3812);
									}
									((((BgL_svarzf2ginfozf2_bglt) CREF(BgL_auxz00_3811))->
											BgL_celledzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
								}
								((BgL_svarz00_bglt) BgL_tmp1134z00_1699);
							}
							{	/* Globalize/free.scm 427 */
								BgL_localzf2ginfozf2_bglt BgL_wide1140z00_1706;

								BgL_wide1140z00_1706 =
									((BgL_localzf2ginfozf2_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_localzf2ginfozf2_bgl))));
								{	/* Globalize/free.scm 427 */
									obj_t BgL_auxz00_3824;
									BgL_objectz00_bglt BgL_auxz00_3821;

									BgL_auxz00_3824 = ((obj_t) BgL_wide1140z00_1706);
									BgL_auxz00_3821 =
										((BgL_objectz00_bglt)
										((BgL_localz00_bglt) BgL_closurez00_1697));
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_3821, BgL_auxz00_3824);
								}
								{	/* Globalize/free.scm 427 */
									long BgL_arg2137z00_1707;

									{	/* Globalize/free.scm 427 */
										long BgL_res2370z00_3096;

										BgL_res2370z00_3096 =
											BGL_CLASS_INDEX
											(BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7);
										BgL_arg2137z00_1707 = BgL_res2370z00_3096;
									}
									((BgL_localz00_bglt)
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt)
												((BgL_localz00_bglt) BgL_closurez00_1697)),
											BgL_arg2137z00_1707));
								}
								((BgL_localz00_bglt) BgL_closurez00_1697);
							}
							{
								BgL_localzf2ginfozf2_bglt BgL_auxz00_3833;

								{
									obj_t BgL_auxz00_3834;

									{	/* Globalize/free.scm 427 */
										BgL_objectz00_bglt BgL_auxz00_3835;

										BgL_auxz00_3835 =
											((BgL_objectz00_bglt)
											((BgL_localz00_bglt) BgL_closurez00_1697));
										BgL_auxz00_3834 = BGL_OBJECT_WIDENING(BgL_auxz00_3835);
									}
									BgL_auxz00_3833 =
										((BgL_localzf2ginfozf2_bglt) BgL_auxz00_3834);
								}
								((((BgL_localzf2ginfozf2_bglt) CREF(BgL_auxz00_3833))->
										BgL_escapezf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
							}
							{
								BgL_localzf2ginfozf2_bglt BgL_auxz00_3841;

								{
									obj_t BgL_auxz00_3842;

									{	/* Globalize/free.scm 427 */
										BgL_objectz00_bglt BgL_auxz00_3843;

										BgL_auxz00_3843 =
											((BgL_objectz00_bglt)
											((BgL_localz00_bglt) BgL_closurez00_1697));
										BgL_auxz00_3842 = BGL_OBJECT_WIDENING(BgL_auxz00_3843);
									}
									BgL_auxz00_3841 =
										((BgL_localzf2ginfozf2_bglt) BgL_auxz00_3842);
								}
								((((BgL_localzf2ginfozf2_bglt) CREF(BgL_auxz00_3841))->
										BgL_globaliza7edzf3z54) = ((bool_t) ((bool_t) 0)), BUNSPEC);
							}
							((BgL_localz00_bglt) BgL_closurez00_1697);
							((((BgL_funz00_bglt) CREF(
											((BgL_funz00_bglt)
												((BgL_sfunz00_bglt) BgL_infoz00_1695))))->
									BgL_thezd2closurezd2) =
								((obj_t) ((obj_t) BgL_closurez00_1697)), BUNSPEC);
							return ((obj_t) BgL_closurez00_1697);
						}
				}
			}
		}
	}



/* free-from */
	BGL_EXPORTED_DEF obj_t BGl_freezd2fromzd2zzglobaliza7e_freeza7(obj_t
		BgL_setsz00_61, BgL_localz00_bglt BgL_integratorz00_62)
	{
		AN_OBJECT;
		{	/* Globalize/free.scm 434 */
			BGl_za2roundza2z00zzglobaliza7e_freeza7 =
				(BGl_za2roundza2z00zzglobaliza7e_freeza7 + ((long) 1));
			{	/* Globalize/free.scm 437 */
				BgL_valuez00_bglt BgL_finfoz00_1711;

				BgL_finfoz00_1711 =
					(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_integratorz00_62)))->BgL_valuez00);
				{	/* Globalize/free.scm 444 */
					obj_t BgL_g2006z00_1712;

					{
						BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3858;

						{
							obj_t BgL_auxz00_3859;

							{	/* Globalize/free.scm 444 */
								BgL_objectz00_bglt BgL_auxz00_3860;

								BgL_auxz00_3860 =
									((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_finfoz00_1711));
								BgL_auxz00_3859 = BGL_OBJECT_WIDENING(BgL_auxz00_3860);
							}
							BgL_auxz00_3858 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3859);
						}
						BgL_g2006z00_1712 =
							(((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_3858))->
							BgL_boundz00);
					}
					{
						obj_t BgL_l2004z00_1714;

						BgL_l2004z00_1714 = BgL_g2006z00_1712;
					BgL_zc3anonymousza32140ze3z83_1715:
						if (PAIRP(BgL_l2004z00_1714))
							{	/* Globalize/free.scm 444 */
								{	/* Globalize/free.scm 444 */
									obj_t BgL_arg2142z00_1717;

									BgL_arg2142z00_1717 = CAR(BgL_l2004z00_1714);
									BGl_markzd2variablez12zc0zzglobaliza7e_freeza7(
										((BgL_localz00_bglt) BgL_arg2142z00_1717));
								}
								{
									obj_t BgL_l2004z00_3871;

									BgL_l2004z00_3871 = CDR(BgL_l2004z00_1714);
									BgL_l2004z00_1714 = BgL_l2004z00_3871;
									goto BgL_zc3anonymousza32140ze3z83_1715;
								}
							}
						else
							{	/* Globalize/free.scm 444 */
								((bool_t) 1);
							}
					}
				}
			}
			if (NULLP(BgL_setsz00_61))
				{	/* Globalize/free.scm 446 */
					return BNIL;
				}
			else
				{	/* Globalize/free.scm 446 */
					obj_t BgL_head2009z00_1722;

					{	/* Globalize/free.scm 446 */
						obj_t BgL_res2375z00_3118;

						BgL_res2375z00_3118 = MAKE_PAIR(BNIL, BNIL);
						BgL_head2009z00_1722 = BgL_res2375z00_3118;
					}
					{
						obj_t BgL_l2007z00_1724;
						obj_t BgL_tail2010z00_1725;

						BgL_l2007z00_1724 = BgL_setsz00_61;
						BgL_tail2010z00_1725 = BgL_head2009z00_1722;
					BgL_zc3anonymousza32145ze3z83_1726:
						if (NULLP(BgL_l2007z00_1724))
							{	/* Globalize/free.scm 446 */
								return CDR(BgL_head2009z00_1722);
							}
						else
							{	/* Globalize/free.scm 446 */
								obj_t BgL_newtail2011z00_1728;

								{	/* Globalize/free.scm 446 */
									obj_t BgL_arg2148z00_1730;

									{	/* Globalize/free.scm 446 */
										obj_t BgL_setz00_1731;

										BgL_setz00_1731 = CAR(BgL_l2007z00_1724);
										{
											obj_t BgL_setz00_1734;
											obj_t BgL_resz00_1735;

											BgL_setz00_1734 = BgL_setz00_1731;
											BgL_resz00_1735 = BNIL;
										BgL_zc3anonymousza32149ze3z83_1736:
											if (NULLP(BgL_setz00_1734))
												{	/* Globalize/free.scm 450 */
													BgL_arg2148z00_1730 = BgL_resz00_1735;
												}
											else
												{	/* Globalize/free.scm 452 */
													bool_t BgL_testz00_3882;

													{	/* Globalize/free.scm 452 */
														obj_t BgL_arg2157z00_1743;

														BgL_arg2157z00_1743 = CAR(BgL_setz00_1734);
														BgL_testz00_3882 =
															CBOOL
															(BGl_freezd2variablezf3z21zzglobaliza7e_freeza7
															(BgL_arg2157z00_1743));
													}
													if (BgL_testz00_3882)
														{	/* Globalize/free.scm 453 */
															obj_t BgL_arg2152z00_1739;
															obj_t BgL_arg2153z00_1740;

															BgL_arg2152z00_1739 = CDR(BgL_setz00_1734);
															BgL_arg2153z00_1740 =
																MAKE_PAIR(CAR(BgL_setz00_1734),
																BgL_resz00_1735);
															{
																obj_t BgL_resz00_3890;
																obj_t BgL_setz00_3889;

																BgL_setz00_3889 = BgL_arg2152z00_1739;
																BgL_resz00_3890 = BgL_arg2153z00_1740;
																BgL_resz00_1735 = BgL_resz00_3890;
																BgL_setz00_1734 = BgL_setz00_3889;
																goto BgL_zc3anonymousza32149ze3z83_1736;
															}
														}
													else
														{
															obj_t BgL_setz00_3891;

															BgL_setz00_3891 = CDR(BgL_setz00_1734);
															BgL_setz00_1734 = BgL_setz00_3891;
															goto BgL_zc3anonymousza32149ze3z83_1736;
														}
												}
										}
									}
									{	/* Globalize/free.scm 446 */
										obj_t BgL_res2378z00_3131;

										BgL_res2378z00_3131 = MAKE_PAIR(BgL_arg2148z00_1730, BNIL);
										BgL_newtail2011z00_1728 = BgL_res2378z00_3131;
									}
								}
								SET_CDR(BgL_tail2010z00_1725, BgL_newtail2011z00_1728);
								{
									obj_t BgL_tail2010z00_3897;
									obj_t BgL_l2007z00_3895;

									BgL_l2007z00_3895 = CDR(BgL_l2007z00_1724);
									BgL_tail2010z00_3897 = BgL_newtail2011z00_1728;
									BgL_tail2010z00_1725 = BgL_tail2010z00_3897;
									BgL_l2007z00_1724 = BgL_l2007z00_3895;
									goto BgL_zc3anonymousza32145ze3z83_1726;
								}
							}
					}
				}
		}
	}



/* &free-from */
	obj_t BGl_z62freezd2fromzb0zzglobaliza7e_freeza7(obj_t BgL_envz00_3303,
		obj_t BgL_setsz00_3304, obj_t BgL_integratorz00_3305)
	{
		AN_OBJECT;
		{	/* Globalize/free.scm 434 */
			return
				BGl_freezd2fromzd2zzglobaliza7e_freeza7(BgL_setsz00_3304,
				((BgL_localz00_bglt) BgL_integratorz00_3305));
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzglobaliza7e_freeza7()
	{
		AN_OBJECT;
		{	/* Globalize/free.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzglobaliza7e_freeza7()
	{
		AN_OBJECT;
		{	/* Globalize/free.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd2freezd2envz00zzglobaliza7e_freeza7,
				BGl_proc2404z00zzglobaliza7e_freeza7, BGl_nodez00zzast_nodez00,
				BGl_string2405z00zzglobaliza7e_freeza7);
		}
	}



/* &node-free2012 */
	obj_t BGl_z62nodezd2free2012zb0zzglobaliza7e_freeza7(obj_t BgL_envz00_3307,
		obj_t BgL_nodez00_3308, obj_t BgL_freez00_3309)
	{
		AN_OBJECT;
		{	/* Globalize/free.scm 123 */
			return BgL_freez00_3309;
		}
	}



/* node-free */
	obj_t BGl_nodezd2freezd2zzglobaliza7e_freeza7(BgL_nodez00_bglt BgL_nodez00_11,
		obj_t BgL_freez00_12)
	{
		AN_OBJECT;
		{	/* Globalize/free.scm 123 */
			{	/* Globalize/free.scm 123 */
				obj_t BgL_method2013z00_1751;

				{	/* Globalize/free.scm 123 */
					obj_t BgL_res2385z00_3163;

					{	/* Globalize/free.scm 123 */
						long BgL_objzd2classzd2numz00_3136;

						{	/* Globalize/free.scm 123 */
							long BgL_res2379z00_3139;

							BgL_res2379z00_3139 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_11));
							BgL_objzd2classzd2numz00_3136 = BgL_res2379z00_3139;
						}
						{	/* Globalize/free.scm 123 */
							obj_t BgL_arg1769z00_3137;

							BgL_arg1769z00_3137 =
								PROCEDURE_REF(BGl_nodezd2freezd2envz00zzglobaliza7e_freeza7,
								(int) (((long) 1)));
							{	/* Globalize/free.scm 123 */
								int BgL_offsetz00_3141;

								BgL_offsetz00_3141 = (int) (BgL_objzd2classzd2numz00_3136);
								{	/* Globalize/free.scm 123 */
									long BgL_offsetz00_3142;

									BgL_offsetz00_3142 =
										((long) (BgL_offsetz00_3141) - OBJECT_TYPE);
									{	/* Globalize/free.scm 123 */
										long BgL_modz00_3143;

										{	/* Globalize/free.scm 123 */
											int BgL_arg1771z00_3144;

											BgL_arg1771z00_3144 = (int) (((long) 16));
											{	/* Globalize/free.scm 123 */
												long BgL_res2382z00_3154;

												{	/* Globalize/free.scm 123 */
													long BgL_auxz00_3909;

													BgL_auxz00_3909 = (long) (BgL_arg1771z00_3144);
													BgL_res2382z00_3154 =
														(BgL_offsetz00_3142 / BgL_auxz00_3909);
												}
												BgL_modz00_3143 = BgL_res2382z00_3154;
										}}
										{	/* Globalize/free.scm 123 */
											long BgL_restz00_3145;

											{	/* Globalize/free.scm 123 */
												int BgL_arg1770z00_3146;

												BgL_arg1770z00_3146 = (int) (((long) 16));
												{	/* Globalize/free.scm 123 */
													long BgL_res2384z00_3158;

													{	/* Globalize/free.scm 123 */
														long BgL_auxz00_3913;

														BgL_auxz00_3913 = (long) (BgL_arg1770z00_3146);
														BgL_res2384z00_3158 =
															(BgL_offsetz00_3142 % BgL_auxz00_3913);
													}
													BgL_restz00_3145 = BgL_res2384z00_3158;
											}}
											{	/* Globalize/free.scm 123 */

												BgL_res2385z00_3163 =
													VECTOR_REF(VECTOR_REF(BgL_arg1769z00_3137,
														(int) (BgL_modz00_3143)), (int) (BgL_restz00_3145));
					}}}}}}}
					BgL_method2013z00_1751 = BgL_res2385z00_3163;
				}
				return
					PROCEDURE_ENTRY(BgL_method2013z00_1751) (BgL_method2013z00_1751,
					((obj_t) BgL_nodez00_11), BgL_freez00_12, BEOA);
			}
		}
	}



/* &node-free */
	obj_t BGl_z62nodezd2freezb0zzglobaliza7e_freeza7(obj_t BgL_envz00_3310,
		obj_t BgL_nodez00_3311, obj_t BgL_freez00_3312)
	{
		AN_OBJECT;
		{	/* Globalize/free.scm 123 */
			return
				BGl_nodezd2freezd2zzglobaliza7e_freeza7(
				((BgL_nodez00_bglt) BgL_nodez00_3311), BgL_freez00_3312);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzglobaliza7e_freeza7()
	{
		AN_OBJECT;
		{	/* Globalize/free.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzglobaliza7e_freeza7, BGl_varz00zzast_nodez00,
				BGl_proc2406z00zzglobaliza7e_freeza7,
				BGl_string2407z00zzglobaliza7e_freeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzglobaliza7e_freeza7,
				BGl_closurez00zzast_nodez00, BGl_proc2408z00zzglobaliza7e_freeza7,
				BGl_string2407z00zzglobaliza7e_freeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzglobaliza7e_freeza7,
				BGl_sequencez00zzast_nodez00, BGl_proc2409z00zzglobaliza7e_freeza7,
				BGl_string2407z00zzglobaliza7e_freeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzglobaliza7e_freeza7,
				BGl_syncz00zzast_nodez00, BGl_proc2410z00zzglobaliza7e_freeza7,
				BGl_string2407z00zzglobaliza7e_freeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzglobaliza7e_freeza7, BGl_appz00zzast_nodez00,
				BGl_proc2411z00zzglobaliza7e_freeza7,
				BGl_string2407z00zzglobaliza7e_freeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzglobaliza7e_freeza7,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2412z00zzglobaliza7e_freeza7,
				BGl_string2407z00zzglobaliza7e_freeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzglobaliza7e_freeza7,
				BGl_funcallz00zzast_nodez00, BGl_proc2413z00zzglobaliza7e_freeza7,
				BGl_string2407z00zzglobaliza7e_freeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzglobaliza7e_freeza7,
				BGl_externz00zzast_nodez00, BGl_proc2414z00zzglobaliza7e_freeza7,
				BGl_string2407z00zzglobaliza7e_freeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzglobaliza7e_freeza7,
				BGl_castz00zzast_nodez00, BGl_proc2415z00zzglobaliza7e_freeza7,
				BGl_string2407z00zzglobaliza7e_freeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzglobaliza7e_freeza7,
				BGl_setqz00zzast_nodez00, BGl_proc2416z00zzglobaliza7e_freeza7,
				BGl_string2407z00zzglobaliza7e_freeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzglobaliza7e_freeza7,
				BGl_conditionalz00zzast_nodez00, BGl_proc2417z00zzglobaliza7e_freeza7,
				BGl_string2407z00zzglobaliza7e_freeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzglobaliza7e_freeza7,
				BGl_failz00zzast_nodez00, BGl_proc2418z00zzglobaliza7e_freeza7,
				BGl_string2407z00zzglobaliza7e_freeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzglobaliza7e_freeza7,
				BGl_selectz00zzast_nodez00, BGl_proc2419z00zzglobaliza7e_freeza7,
				BGl_string2407z00zzglobaliza7e_freeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzglobaliza7e_freeza7,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2420z00zzglobaliza7e_freeza7,
				BGl_string2407z00zzglobaliza7e_freeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzglobaliza7e_freeza7,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2421z00zzglobaliza7e_freeza7,
				BGl_string2407z00zzglobaliza7e_freeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzglobaliza7e_freeza7,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2422z00zzglobaliza7e_freeza7,
				BGl_string2407z00zzglobaliza7e_freeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzglobaliza7e_freeza7,
				BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc2423z00zzglobaliza7e_freeza7,
				BGl_string2407z00zzglobaliza7e_freeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzglobaliza7e_freeza7,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2424z00zzglobaliza7e_freeza7,
				BGl_string2407z00zzglobaliza7e_freeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzglobaliza7e_freeza7,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2425z00zzglobaliza7e_freeza7,
				BGl_string2407z00zzglobaliza7e_freeza7);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzglobaliza7e_freeza7,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2426z00zzglobaliza7e_freeza7,
				BGl_string2407z00zzglobaliza7e_freeza7);
		}
	}



/* &node-free-box-set!2056 */
	obj_t BGl_z62nodezd2freezd2boxzd2setz122056za2zzglobaliza7e_freeza7(obj_t
		BgL_envz00_3333, obj_t BgL_nodez00_3334, obj_t BgL_freez00_3335)
	{
		AN_OBJECT;
		{	/* Globalize/free.scm 319 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1978;
				obj_t BgL_freez00_1979;

				BgL_nodez00_1978 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3334);
				BgL_freez00_1979 = BgL_freez00_3335;
				{	/* Globalize/free.scm 321 */
					BgL_varz00_bglt BgL_arg2256z00_3257;
					obj_t BgL_arg2257z00_3258;

					BgL_arg2256z00_3257 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1978))->BgL_varz00);
					BgL_arg2257z00_3258 =
						BGl_nodezd2freezd2zzglobaliza7e_freeza7(
						(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1978))->BgL_valuez00),
						BgL_freez00_1979);
					return BGl_nodezd2freezd2zzglobaliza7e_freeza7(((BgL_nodez00_bglt)
							BgL_arg2256z00_3257), BgL_arg2257z00_3258);
				}
			}
		}
	}



/* &node-free-box-ref2054 */
	obj_t BGl_z62nodezd2freezd2boxzd2ref2054zb0zzglobaliza7e_freeza7(obj_t
		BgL_envz00_3336, obj_t BgL_nodez00_3337, obj_t BgL_freez00_3338)
	{
		AN_OBJECT;
		{	/* Globalize/free.scm 312 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1971;
				obj_t BgL_freez00_1972;

				BgL_nodez00_1971 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_3337);
				BgL_freez00_1972 = BgL_freez00_3338;
				{	/* Globalize/free.scm 314 */
					BgL_varz00_bglt BgL_arg2255z00_3255;

					BgL_arg2255z00_3255 =
						(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1971))->BgL_varz00);
					return
						BGl_nodezd2freezd2zzglobaliza7e_freeza7(
						((BgL_nodez00_bglt) BgL_arg2255z00_3255), BgL_freez00_1972);
				}
			}
		}
	}



/* &node-free-make-box2052 */
	obj_t BGl_z62nodezd2freezd2makezd2box2052zb0zzglobaliza7e_freeza7(obj_t
		BgL_envz00_3339, obj_t BgL_nodez00_3340, obj_t BgL_freez00_3341)
	{
		AN_OBJECT;
		{	/* Globalize/free.scm 305 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1964;
				obj_t BgL_freez00_1965;

				BgL_nodez00_1964 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_3340);
				BgL_freez00_1965 = BgL_freez00_3341;
				return
					BGl_nodezd2freezd2zzglobaliza7e_freeza7(
					(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1964))->BgL_valuez00),
					BgL_freez00_1965);
			}
		}
	}



/* &node-free-jump-ex-it2049 */
	obj_t BGl_z62nodezd2freezd2jumpzd2exzd2it2049z62zzglobaliza7e_freeza7(obj_t
		BgL_envz00_3342, obj_t BgL_nodez00_3343, obj_t BgL_freez00_3344)
	{
		AN_OBJECT;
		{	/* Globalize/free.scm 298 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1955;
				obj_t BgL_freez00_1956;

				BgL_nodez00_1955 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3343);
				BgL_freez00_1956 = BgL_freez00_3344;
				return
					BGl_nodezd2freezd2zzglobaliza7e_freeza7(
					(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1955))->BgL_exitz00),
					BGl_nodezd2freezd2zzglobaliza7e_freeza7(
						(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1955))->
							BgL_valuez00), BgL_freez00_1956));
			}
		}
	}



/* &node-free-set-ex-it2046 */
	obj_t BGl_z62nodezd2freezd2setzd2exzd2it2046z62zzglobaliza7e_freeza7(obj_t
		BgL_envz00_3345, obj_t BgL_nodez00_3346, obj_t BgL_freez00_3347)
	{
		AN_OBJECT;
		{	/* Globalize/free.scm 290 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1946;
				obj_t BgL_freez00_1947;

				BgL_nodez00_1946 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3346);
				BgL_freez00_1947 = BgL_freez00_3347;
				{	/* Globalize/free.scm 292 */
					BgL_variablez00_bglt BgL_arg2248z00_1951;

					BgL_arg2248z00_1951 =
						(((BgL_varz00_bglt) CREF(
								(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1946))->
									BgL_varz00)))->BgL_variablez00);
					BGl_bindzd2variablez12zc0zzglobaliza7e_freeza7(((BgL_localz00_bglt)
							BgL_arg2248z00_1951),
						((BgL_localz00_bglt) BGl_za2integratorza2z00zzglobaliza7e_freeza7));
				}
				return
					BGl_nodezd2freezd2zzglobaliza7e_freeza7(
					(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1946))->BgL_bodyz00),
					BgL_freez00_1947);
			}
		}
	}



/* &node-free-let-var2044 */
	obj_t BGl_z62nodezd2freezd2letzd2var2044zb0zzglobaliza7e_freeza7(obj_t
		BgL_envz00_3348, obj_t BgL_nodez00_3349, obj_t BgL_freez00_3350)
	{
		AN_OBJECT;
		{	/* Globalize/free.scm 276 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1926;
				obj_t BgL_freez00_1927;

				BgL_nodez00_1926 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_3349);
				BgL_freez00_1927 = BgL_freez00_3350;
				{
					obj_t BgL_bindingsz00_1933;
					obj_t BgL_freez00_1934;

					BgL_bindingsz00_1933 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1926))->BgL_bindingsz00);
					BgL_freez00_1934 = BgL_freez00_1927;
				BgL_zc3anonymousza32237ze3z83_1935:
					if (NULLP(BgL_bindingsz00_1933))
						{	/* Globalize/free.scm 280 */
							return
								BGl_nodezd2freezd2zzglobaliza7e_freeza7(
								(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1926))->BgL_bodyz00),
								BgL_freez00_1934);
						}
					else
						{	/* Globalize/free.scm 280 */
							{	/* Globalize/free.scm 283 */
								obj_t BgL_arg2240z00_1938;

								BgL_arg2240z00_1938 = CAR(CAR(BgL_bindingsz00_1933));
								BGl_bindzd2variablez12zc0zzglobaliza7e_freeza7(
									((BgL_localz00_bglt) BgL_arg2240z00_1938),
									((BgL_localz00_bglt)
										BGl_za2integratorza2z00zzglobaliza7e_freeza7));
							}
							{	/* Globalize/free.scm 284 */
								obj_t BgL_arg2243z00_1940;
								obj_t BgL_arg2244z00_1941;

								BgL_arg2243z00_1940 = CDR(BgL_bindingsz00_1933);
								{	/* Globalize/free.scm 285 */
									obj_t BgL_arg2245z00_1942;

									BgL_arg2245z00_1942 = CDR(CAR(BgL_bindingsz00_1933));
									BgL_arg2244z00_1941 =
										BGl_nodezd2freezd2zzglobaliza7e_freeza7(
										((BgL_nodez00_bglt) BgL_arg2245z00_1942), BgL_freez00_1934);
								}
								{
									obj_t BgL_freez00_3989;
									obj_t BgL_bindingsz00_3988;

									BgL_bindingsz00_3988 = BgL_arg2243z00_1940;
									BgL_freez00_3989 = BgL_arg2244z00_1941;
									BgL_freez00_1934 = BgL_freez00_3989;
									BgL_bindingsz00_1933 = BgL_bindingsz00_3988;
									goto BgL_zc3anonymousza32237ze3z83_1935;
								}
							}
						}
				}
			}
		}
	}



/* &node-free-let-fun2041 */
	obj_t BGl_z62nodezd2freezd2letzd2fun2041zb0zzglobaliza7e_freeza7(obj_t
		BgL_envz00_3351, obj_t BgL_nodez00_3352, obj_t BgL_freez00_3353)
	{
		AN_OBJECT;
		{	/* Globalize/free.scm 251 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1888;
				obj_t BgL_freez00_1889;

				BgL_nodez00_1888 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_3352);
				BgL_freez00_1889 = BgL_freez00_3353;
				{	/* Globalize/free.scm 253 */
					obj_t BgL_g2000z00_1893;

					BgL_g2000z00_1893 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1888))->BgL_localsz00);
					{
						obj_t BgL_l1998z00_1895;

						BgL_l1998z00_1895 = BgL_g2000z00_1893;
					BgL_zc3anonymousza32219ze3z83_1896:
						if (PAIRP(BgL_l1998z00_1895))
							{	/* Globalize/free.scm 253 */
								{	/* Globalize/free.scm 255 */
									obj_t BgL_fz00_1898;

									BgL_fz00_1898 = CAR(BgL_l1998z00_1895);
									BGl_bindzd2variablez12zc0zzglobaliza7e_freeza7(
										((BgL_localz00_bglt) BgL_fz00_1898),
										((BgL_localz00_bglt)
											BGl_za2integratorza2z00zzglobaliza7e_freeza7));
									{	/* Globalize/free.scm 257 */
										bool_t BgL_testz00_3999;

										{
											BgL_localzf2ginfozf2_bglt BgL_auxz00_4000;

											{
												obj_t BgL_auxz00_4001;

												{	/* Globalize/free.scm 257 */
													BgL_objectz00_bglt BgL_auxz00_4002;

													BgL_auxz00_4002 =
														((BgL_objectz00_bglt)
														((BgL_localz00_bglt) BgL_fz00_1898));
													BgL_auxz00_4001 =
														BGL_OBJECT_WIDENING(BgL_auxz00_4002);
												}
												BgL_auxz00_4000 =
													((BgL_localzf2ginfozf2_bglt) BgL_auxz00_4001);
											}
											BgL_testz00_3999 =
												(((BgL_localzf2ginfozf2_bglt) CREF(BgL_auxz00_4000))->
												BgL_escapezf3zf3);
										}
										if (BgL_testz00_3999)
											{	/* Globalize/free.scm 258 */
												obj_t BgL_arg2222z00_1900;

												{	/* Globalize/free.scm 258 */
													obj_t BgL_arg2223z00_1901;

													BgL_arg2223z00_1901 =
														(((BgL_nodez00_bglt) CREF(
																((BgL_nodez00_bglt) BgL_nodez00_1888)))->
														BgL_locz00);
													BgL_arg2222z00_1900 =
														BGl_thezd2localzd2closurez00zzglobaliza7e_freeza7
														(BgL_fz00_1898, BgL_arg2223z00_1901);
												}
												BGl_bindzd2variablez12zc0zzglobaliza7e_freeza7(
													((BgL_localz00_bglt) BgL_arg2222z00_1900),
													((BgL_localz00_bglt)
														BGl_za2integratorza2z00zzglobaliza7e_freeza7));
											}
										else
											{	/* Globalize/free.scm 257 */
												BFALSE;
											}
									}
								}
								{
									obj_t BgL_l1998z00_4014;

									BgL_l1998z00_4014 = CDR(BgL_l1998z00_1895);
									BgL_l1998z00_1895 = BgL_l1998z00_4014;
									goto BgL_zc3anonymousza32219ze3z83_1896;
								}
							}
						else
							{	/* Globalize/free.scm 253 */
								((bool_t) 1);
							}
					}
				}
				{
					obj_t BgL_lclsz00_1906;
					obj_t BgL_freez00_1907;

					BgL_lclsz00_1906 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1888))->BgL_localsz00);
					BgL_freez00_1907 = BgL_freez00_1889;
				BgL_zc3anonymousza32226ze3z83_1908:
					if (NULLP(BgL_lclsz00_1906))
						{	/* Globalize/free.scm 263 */
							return
								BGl_nodezd2freezd2zzglobaliza7e_freeza7(
								(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1888))->BgL_bodyz00),
								BgL_freez00_1907);
						}
					else
						{	/* Globalize/free.scm 265 */
							obj_t BgL_localz00_1911;

							BgL_localz00_1911 = CAR(BgL_lclsz00_1906);
							{	/* Globalize/free.scm 265 */
								BgL_valuez00_bglt BgL_funz00_1912;

								BgL_funz00_1912 =
									(((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt)
												((BgL_localz00_bglt) BgL_localz00_1911))))->
									BgL_valuez00);
								{	/* Globalize/free.scm 266 */

									{	/* Globalize/free.scm 267 */
										obj_t BgL_g2003z00_1913;

										BgL_g2003z00_1913 =
											(((BgL_sfunz00_bglt) CREF(
													((BgL_sfunz00_bglt) BgL_funz00_1912)))->BgL_argsz00);
										{
											obj_t BgL_l2001z00_1915;

											BgL_l2001z00_1915 = BgL_g2003z00_1913;
										BgL_zc3anonymousza32229ze3z83_1916:
											if (PAIRP(BgL_l2001z00_1915))
												{	/* Globalize/free.scm 269 */
													{	/* Globalize/free.scm 268 */
														obj_t BgL_lz00_1918;

														BgL_lz00_1918 = CAR(BgL_l2001z00_1915);
														BGl_bindzd2variablez12zc0zzglobaliza7e_freeza7(
															((BgL_localz00_bglt) BgL_lz00_1918),
															((BgL_localz00_bglt)
																BGl_za2integratorza2z00zzglobaliza7e_freeza7));
													}
													{
														obj_t BgL_l2001z00_4032;

														BgL_l2001z00_4032 = CDR(BgL_l2001z00_1915);
														BgL_l2001z00_1915 = BgL_l2001z00_4032;
														goto BgL_zc3anonymousza32229ze3z83_1916;
													}
												}
											else
												{	/* Globalize/free.scm 269 */
													((bool_t) 1);
												}
										}
									}
									{	/* Globalize/free.scm 270 */
										obj_t BgL_arg2233z00_1921;
										obj_t BgL_arg2234z00_1922;

										BgL_arg2233z00_1921 = CDR(BgL_lclsz00_1906);
										{	/* Globalize/free.scm 271 */
											obj_t BgL_arg2235z00_1923;

											BgL_arg2235z00_1923 =
												(((BgL_sfunz00_bglt) CREF(
														((BgL_sfunz00_bglt) BgL_funz00_1912)))->
												BgL_bodyz00);
											BgL_arg2234z00_1922 =
												BGl_nodezd2freezd2zzglobaliza7e_freeza7((
													(BgL_nodez00_bglt) BgL_arg2235z00_1923),
												BgL_freez00_1907);
										}
										{
											obj_t BgL_freez00_4040;
											obj_t BgL_lclsz00_4039;

											BgL_lclsz00_4039 = BgL_arg2233z00_1921;
											BgL_freez00_4040 = BgL_arg2234z00_1922;
											BgL_freez00_1907 = BgL_freez00_4040;
											BgL_lclsz00_1906 = BgL_lclsz00_4039;
											goto BgL_zc3anonymousza32226ze3z83_1908;
										}
									}
								}
							}
						}
				}
			}
		}
	}



/* &node-free-select2039 */
	obj_t BGl_z62nodezd2freezd2select2039z62zzglobaliza7e_freeza7(obj_t
		BgL_envz00_3354, obj_t BgL_nodez00_3355, obj_t BgL_freez00_3356)
	{
		AN_OBJECT;
		{	/* Globalize/free.scm 240 */
			{
				BgL_selectz00_bglt BgL_nodez00_1870;
				obj_t BgL_freez00_1871;

				BgL_nodez00_1870 = ((BgL_selectz00_bglt) BgL_nodez00_3355);
				BgL_freez00_1871 = BgL_freez00_3356;
				{
					obj_t BgL_clausesz00_1877;
					obj_t BgL_freez00_1878;

					BgL_clausesz00_1877 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1870))->BgL_clausesz00);
					BgL_freez00_1878 = BgL_freez00_1871;
				BgL_zc3anonymousza32211ze3z83_1879:
					if (NULLP(BgL_clausesz00_1877))
						{	/* Globalize/free.scm 244 */
							return
								BGl_nodezd2freezd2zzglobaliza7e_freeza7(
								(((BgL_selectz00_bglt) CREF(BgL_nodez00_1870))->BgL_testz00),
								BgL_freez00_1878);
						}
					else
						{	/* Globalize/free.scm 246 */
							obj_t BgL_arg2214z00_1882;
							obj_t BgL_arg2215z00_1883;

							BgL_arg2214z00_1882 = CDR(BgL_clausesz00_1877);
							{	/* Globalize/free.scm 246 */
								obj_t BgL_arg2216z00_1884;

								BgL_arg2216z00_1884 = CDR(CAR(BgL_clausesz00_1877));
								BgL_arg2215z00_1883 =
									BGl_nodezd2freezd2zzglobaliza7e_freeza7(
									((BgL_nodez00_bglt) BgL_arg2216z00_1884), BgL_freez00_1878);
							}
							{
								obj_t BgL_freez00_4053;
								obj_t BgL_clausesz00_4052;

								BgL_clausesz00_4052 = BgL_arg2214z00_1882;
								BgL_freez00_4053 = BgL_arg2215z00_1883;
								BgL_freez00_1878 = BgL_freez00_4053;
								BgL_clausesz00_1877 = BgL_clausesz00_4052;
								goto BgL_zc3anonymousza32211ze3z83_1879;
							}
						}
				}
			}
		}
	}



/* &node-free-fail2037 */
	obj_t BGl_z62nodezd2freezd2fail2037z62zzglobaliza7e_freeza7(obj_t
		BgL_envz00_3357, obj_t BgL_nodez00_3358, obj_t BgL_freez00_3359)
	{
		AN_OBJECT;
		{	/* Globalize/free.scm 233 */
			{
				BgL_failz00_bglt BgL_nodez00_1859;
				obj_t BgL_freez00_1860;

				BgL_nodez00_1859 = ((BgL_failz00_bglt) BgL_nodez00_3358);
				BgL_freez00_1860 = BgL_freez00_3359;
				return
					BGl_nodezd2freezd2zzglobaliza7e_freeza7(
					(((BgL_failz00_bglt) CREF(BgL_nodez00_1859))->BgL_procz00),
					BGl_nodezd2freezd2zzglobaliza7e_freeza7(
						(((BgL_failz00_bglt) CREF(BgL_nodez00_1859))->BgL_msgz00),
						BGl_nodezd2freezd2zzglobaliza7e_freeza7(
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1859))->BgL_objz00),
							BgL_freez00_1860)));
			}
		}
	}



/* &node-free-conditiona2035 */
	obj_t BGl_z62nodezd2freezd2conditiona2035z62zzglobaliza7e_freeza7(obj_t
		BgL_envz00_3360, obj_t BgL_nodez00_3361, obj_t BgL_freez00_3362)
	{
		AN_OBJECT;
		{	/* Globalize/free.scm 226 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1848;
				obj_t BgL_freez00_1849;

				BgL_nodez00_1848 = ((BgL_conditionalz00_bglt) BgL_nodez00_3361);
				BgL_freez00_1849 = BgL_freez00_3362;
				return
					BGl_nodezd2freezd2zzglobaliza7e_freeza7(
					(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1848))->BgL_testz00),
					BGl_nodezd2freezd2zzglobaliza7e_freeza7(
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1848))->BgL_truez00),
						BGl_nodezd2freezd2zzglobaliza7e_freeza7(
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1848))->
								BgL_falsez00), BgL_freez00_1849)));
			}
		}
	}



/* &node-free-setq2033 */
	obj_t BGl_z62nodezd2freezd2setq2033z62zzglobaliza7e_freeza7(obj_t
		BgL_envz00_3363, obj_t BgL_nodez00_3364, obj_t BgL_freez00_3365)
	{
		AN_OBJECT;
		{	/* Globalize/free.scm 219 */
			{
				BgL_setqz00_bglt BgL_nodez00_1839;
				obj_t BgL_freez00_1840;

				BgL_nodez00_1839 = ((BgL_setqz00_bglt) BgL_nodez00_3364);
				BgL_freez00_1840 = BgL_freez00_3365;
				{	/* Globalize/free.scm 221 */
					BgL_varz00_bglt BgL_arg2196z00_3206;
					obj_t BgL_arg2197z00_3207;

					BgL_arg2196z00_3206 =
						(((BgL_setqz00_bglt) CREF(BgL_nodez00_1839))->BgL_varz00);
					BgL_arg2197z00_3207 =
						BGl_nodezd2freezd2zzglobaliza7e_freeza7(
						(((BgL_setqz00_bglt) CREF(BgL_nodez00_1839))->BgL_valuez00),
						BgL_freez00_1840);
					return BGl_nodezd2freezd2zzglobaliza7e_freeza7(((BgL_nodez00_bglt)
							BgL_arg2196z00_3206), BgL_arg2197z00_3207);
				}
			}
		}
	}



/* &node-free-cast2031 */
	obj_t BGl_z62nodezd2freezd2cast2031z62zzglobaliza7e_freeza7(obj_t
		BgL_envz00_3366, obj_t BgL_nodez00_3367, obj_t BgL_freez00_3368)
	{
		AN_OBJECT;
		{	/* Globalize/free.scm 212 */
			{
				BgL_castz00_bglt BgL_nodez00_1832;
				obj_t BgL_freez00_1833;

				BgL_nodez00_1832 = ((BgL_castz00_bglt) BgL_nodez00_3367);
				BgL_freez00_1833 = BgL_freez00_3368;
				return
					BGl_nodezd2freezd2zzglobaliza7e_freeza7(
					(((BgL_castz00_bglt) CREF(BgL_nodez00_1832))->BgL_argz00),
					BgL_freez00_1833);
			}
		}
	}



/* &node-free-extern2029 */
	obj_t BGl_z62nodezd2freezd2extern2029z62zzglobaliza7e_freeza7(obj_t
		BgL_envz00_3369, obj_t BgL_nodez00_3370, obj_t BgL_freez00_3371)
	{
		AN_OBJECT;
		{	/* Globalize/free.scm 205 */
			{
				BgL_externz00_bglt BgL_nodez00_1825;
				obj_t BgL_freez00_1826;

				BgL_nodez00_1825 = ((BgL_externz00_bglt) BgL_nodez00_3370);
				BgL_freez00_1826 = BgL_freez00_3371;
				return
					BGl_nodezd2freeza2z70zzglobaliza7e_freeza7(
					(((BgL_externz00_bglt) CREF(BgL_nodez00_1825))->BgL_exprza2za2),
					BgL_freez00_1826);
			}
		}
	}



/* &node-free-funcall2027 */
	obj_t BGl_z62nodezd2freezd2funcall2027z62zzglobaliza7e_freeza7(obj_t
		BgL_envz00_3372, obj_t BgL_nodez00_3373, obj_t BgL_freez00_3374)
	{
		AN_OBJECT;
		{	/* Globalize/free.scm 198 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1816;
				obj_t BgL_freez00_1817;

				BgL_nodez00_1816 = ((BgL_funcallz00_bglt) BgL_nodez00_3373);
				BgL_freez00_1817 = BgL_freez00_3374;
				return
					BGl_nodezd2freezd2zzglobaliza7e_freeza7(
					(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1816))->BgL_funz00),
					BGl_nodezd2freeza2z70zzglobaliza7e_freeza7(
						(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1816))->BgL_argsz00),
						BgL_freez00_1817));
			}
		}
	}



/* &node-free-app-ly2025 */
	obj_t BGl_z62nodezd2freezd2appzd2ly2025zb0zzglobaliza7e_freeza7(obj_t
		BgL_envz00_3375, obj_t BgL_nodez00_3376, obj_t BgL_freez00_3377)
	{
		AN_OBJECT;
		{	/* Globalize/free.scm 191 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1807;
				obj_t BgL_freez00_1808;

				BgL_nodez00_1807 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_3376);
				BgL_freez00_1808 = BgL_freez00_3377;
				return
					BGl_nodezd2freezd2zzglobaliza7e_freeza7(
					(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1807))->BgL_funz00),
					BGl_nodezd2freezd2zzglobaliza7e_freeza7(
						(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1807))->BgL_argz00),
						BgL_freez00_1808));
			}
		}
	}



/* &node-free-app2023 */
	obj_t BGl_z62nodezd2freezd2app2023z62zzglobaliza7e_freeza7(obj_t
		BgL_envz00_3378, obj_t BgL_nodez00_3379, obj_t BgL_freez00_3380)
	{
		AN_OBJECT;
		{	/* Globalize/free.scm 175 */
			{
				BgL_appz00_bglt BgL_nodez00_1792;
				obj_t BgL_freez00_1793;

				BgL_nodez00_1792 = ((BgL_appz00_bglt) BgL_nodez00_3379);
				BgL_freez00_1793 = BgL_freez00_3380;
				{	/* Globalize/free.scm 177 */
					obj_t BgL_freez00_1797;

					{	/* Globalize/free.scm 177 */
						BgL_variablez00_bglt BgL_varz00_1799;

						BgL_varz00_1799 =
							(((BgL_varz00_bglt) CREF(
									(((BgL_appz00_bglt) CREF(BgL_nodez00_1792))->BgL_funz00)))->
							BgL_variablez00);
						{	/* Globalize/free.scm 179 */
							bool_t BgL_testz00_4094;

							{	/* Globalize/free.scm 179 */
								bool_t BgL_res2391z00_3182;

								BgL_res2391z00_3182 =
									BGl_isazf3zf3zz__objectz00(
									((obj_t) BgL_varz00_1799), BGl_globalz00zzast_varz00);
								BgL_testz00_4094 = BgL_res2391z00_3182;
							}
							if (BgL_testz00_4094)
								{	/* Globalize/free.scm 179 */
									BgL_freez00_1797 = BgL_freez00_1793;
								}
							else
								{	/* Globalize/free.scm 181 */
									bool_t BgL_testz00_4097;

									{	/* Globalize/free.scm 181 */
										bool_t BgL_testz00_4098;

										{
											BgL_localzf2ginfozf2_bglt BgL_auxz00_4099;

											{
												obj_t BgL_auxz00_4100;

												{	/* Globalize/free.scm 181 */
													BgL_objectz00_bglt BgL_auxz00_4101;

													BgL_auxz00_4101 =
														((BgL_objectz00_bglt)
														((BgL_localz00_bglt) BgL_varz00_1799));
													BgL_auxz00_4100 =
														BGL_OBJECT_WIDENING(BgL_auxz00_4101);
												}
												BgL_auxz00_4099 =
													((BgL_localzf2ginfozf2_bglt) BgL_auxz00_4100);
											}
											BgL_testz00_4098 =
												(((BgL_localzf2ginfozf2_bglt) CREF(BgL_auxz00_4099))->
												BgL_escapezf3zf3);
										}
										if (BgL_testz00_4098)
											{	/* Globalize/free.scm 181 */
												BgL_testz00_4097 =
													CBOOL(BGl_freezd2variablezf3z21zzglobaliza7e_freeza7(
														((obj_t) BgL_varz00_1799)));
											}
										else
											{	/* Globalize/free.scm 181 */
												BgL_testz00_4097 = ((bool_t) 0);
											}
									}
									if (BgL_testz00_4097)
										{	/* Globalize/free.scm 181 */
											BGl_markzd2variablez12zc0zzglobaliza7e_freeza7(
												((BgL_localz00_bglt) BgL_varz00_1799));
											{	/* Globalize/free.scm 183 */
												obj_t BgL_arg2181z00_1802;

												{	/* Globalize/free.scm 183 */
													obj_t BgL_arg2182z00_1803;

													BgL_arg2182z00_1803 =
														(((BgL_nodez00_bglt) CREF(
																((BgL_nodez00_bglt) BgL_nodez00_1792)))->
														BgL_locz00);
													{	/* Globalize/free.scm 338 */
														bool_t BgL_testz00_4114;

														{	/* Globalize/free.scm 338 */
															bool_t BgL_res2393z00_3192;

															BgL_res2393z00_3192 =
																BGl_isazf3zf3zz__objectz00(
																((obj_t) BgL_varz00_1799),
																BGl_globalz00zzast_varz00);
															BgL_testz00_4114 = BgL_res2393z00_3192;
														}
														if (BgL_testz00_4114)
															{	/* Globalize/free.scm 338 */
																BgL_arg2181z00_1802 =
																	BGl_thezd2globalzd2closurez00zzglobaliza7e_freeza7
																	(((BgL_globalz00_bglt) BgL_varz00_1799),
																	BgL_arg2182z00_1803);
															}
														else
															{	/* Globalize/free.scm 338 */
																BgL_arg2181z00_1802 =
																	BGl_thezd2localzd2closurez00zzglobaliza7e_freeza7
																	(((obj_t) BgL_varz00_1799),
																	BgL_arg2182z00_1803);
															}
													}
												}
												BgL_freez00_1797 =
													MAKE_PAIR(BgL_arg2181z00_1802, BgL_freez00_1793);
											}
										}
									else
										{	/* Globalize/free.scm 181 */
											BgL_freez00_1797 = BgL_freez00_1793;
										}
								}
						}
					}
					return
						BGl_nodezd2freeza2z70zzglobaliza7e_freeza7(
						(((BgL_appz00_bglt) CREF(BgL_nodez00_1792))->BgL_argsz00),
						BgL_freez00_1797);
				}
			}
		}
	}



/* &node-free-sync2021 */
	obj_t BGl_z62nodezd2freezd2sync2021z62zzglobaliza7e_freeza7(obj_t
		BgL_envz00_3381, obj_t BgL_nodez00_3382, obj_t BgL_freez00_3383)
	{
		AN_OBJECT;
		{	/* Globalize/free.scm 168 */
			{
				BgL_syncz00_bglt BgL_nodez00_1781;
				obj_t BgL_freez00_1782;

				BgL_nodez00_1781 = ((BgL_syncz00_bglt) BgL_nodez00_3382);
				BgL_freez00_1782 = BgL_freez00_3383;
				return
					BGl_nodezd2freezd2zzglobaliza7e_freeza7(
					(((BgL_syncz00_bglt) CREF(BgL_nodez00_1781))->BgL_bodyz00),
					BGl_nodezd2freezd2zzglobaliza7e_freeza7(
						(((BgL_syncz00_bglt) CREF(BgL_nodez00_1781))->BgL_prelockz00),
						BGl_nodezd2freezd2zzglobaliza7e_freeza7(
							(((BgL_syncz00_bglt) CREF(BgL_nodez00_1781))->BgL_mutexz00),
							BgL_freez00_1782)));
			}
		}
	}



/* &node-free-sequence2019 */
	obj_t BGl_z62nodezd2freezd2sequence2019z62zzglobaliza7e_freeza7(obj_t
		BgL_envz00_3384, obj_t BgL_nodez00_3385, obj_t BgL_freez00_3386)
	{
		AN_OBJECT;
		{	/* Globalize/free.scm 161 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1774;
				obj_t BgL_freez00_1775;

				BgL_nodez00_1774 = ((BgL_sequencez00_bglt) BgL_nodez00_3385);
				BgL_freez00_1775 = BgL_freez00_3386;
				return
					BGl_nodezd2freeza2z70zzglobaliza7e_freeza7(
					(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1774))->BgL_nodesz00),
					BgL_freez00_1775);
			}
		}
	}



/* &node-free-closure2017 */
	obj_t BGl_z62nodezd2freezd2closure2017z62zzglobaliza7e_freeza7(obj_t
		BgL_envz00_3387, obj_t BgL_nodez00_3388, obj_t BgL_freez00_3389)
	{
		AN_OBJECT;
		{	/* Globalize/free.scm 146 */
			{
				BgL_closurez00_bglt BgL_nodez00_1764;
				obj_t BgL_freez00_1765;

				BgL_nodez00_1764 = ((BgL_closurez00_bglt) BgL_nodez00_3388);
				BgL_freez00_1765 = BgL_freez00_3389;
				{	/* Globalize/free.scm 148 */
					obj_t BgL_varz00_1769;

					{	/* Globalize/free.scm 148 */
						BgL_variablez00_bglt BgL_arg2170z00_1772;

						BgL_arg2170z00_1772 =
							(((BgL_varz00_bglt) CREF(
									((BgL_varz00_bglt) BgL_nodez00_1764)))->BgL_variablez00);
						{	/* Globalize/free.scm 338 */
							bool_t BgL_testz00_4137;

							{	/* Globalize/free.scm 338 */
								bool_t BgL_res2387z00_3170;

								BgL_res2387z00_3170 =
									BGl_isazf3zf3zz__objectz00(
									((obj_t) BgL_arg2170z00_1772), BGl_globalz00zzast_varz00);
								BgL_testz00_4137 = BgL_res2387z00_3170;
							}
							if (BgL_testz00_4137)
								{	/* Globalize/free.scm 338 */
									BgL_varz00_1769 =
										BGl_thezd2globalzd2closurez00zzglobaliza7e_freeza7(
										((BgL_globalz00_bglt) BgL_arg2170z00_1772), BFALSE);
								}
							else
								{	/* Globalize/free.scm 338 */
									BgL_varz00_1769 =
										BGl_thezd2localzd2closurez00zzglobaliza7e_freeza7(
										((obj_t) BgL_arg2170z00_1772), BFALSE);
								}
						}
					}
					if (BGl_isazf3zf3zz__objectz00(BgL_varz00_1769,
							BGl_globalz00zzast_varz00))
						{	/* Globalize/free.scm 150 */
							return BgL_freez00_1765;
						}
					else
						{	/* Globalize/free.scm 150 */
							if (CBOOL(BGl_freezd2variablezf3z21zzglobaliza7e_freeza7
									(BgL_varz00_1769)))
								{	/* Globalize/free.scm 152 */
									BGl_markzd2variablez12zc0zzglobaliza7e_freeza7(
										((BgL_localz00_bglt) BgL_varz00_1769));
									return MAKE_PAIR(BgL_varz00_1769, BgL_freez00_1765);
								}
							else
								{	/* Globalize/free.scm 152 */
									return BgL_freez00_1765;
								}
						}
				}
			}
		}
	}



/* &node-free-var2015 */
	obj_t BGl_z62nodezd2freezd2var2015z62zzglobaliza7e_freeza7(obj_t
		BgL_envz00_3390, obj_t BgL_nodez00_3391, obj_t BgL_freez00_3392)
	{
		AN_OBJECT;
		{	/* Globalize/free.scm 129 */
			{
				BgL_varz00_bglt BgL_nodez00_1752;
				obj_t BgL_freez00_1753;

				BgL_nodez00_1752 = ((BgL_varz00_bglt) BgL_nodez00_3391);
				BgL_freez00_1753 = BgL_freez00_3392;
				{	/* Globalize/free.scm 135 */
					bool_t BgL_testz00_4153;

					{	/* Globalize/free.scm 135 */
						BgL_variablez00_bglt BgL_arg2166z00_1762;

						BgL_arg2166z00_1762 =
							(((BgL_varz00_bglt) CREF(BgL_nodez00_1752))->BgL_variablez00);
						{	/* Globalize/free.scm 135 */
							bool_t BgL_res2386z00_3165;

							BgL_res2386z00_3165 =
								BGl_isazf3zf3zz__objectz00(
								((obj_t) BgL_arg2166z00_1762), BGl_globalz00zzast_varz00);
							BgL_testz00_4153 = BgL_res2386z00_3165;
						}
					}
					if (BgL_testz00_4153)
						{	/* Globalize/free.scm 135 */
							return BgL_freez00_1753;
						}
					else
						{	/* Globalize/free.scm 137 */
							bool_t BgL_testz00_4157;

							{	/* Globalize/free.scm 137 */
								BgL_variablez00_bglt BgL_arg2165z00_1761;

								BgL_arg2165z00_1761 =
									(((BgL_varz00_bglt) CREF(BgL_nodez00_1752))->BgL_variablez00);
								BgL_testz00_4157 =
									CBOOL(BGl_freezd2variablezf3z21zzglobaliza7e_freeza7(
										((obj_t) BgL_arg2165z00_1761)));
							}
							if (BgL_testz00_4157)
								{	/* Globalize/free.scm 137 */
									{	/* Globalize/free.scm 138 */
										BgL_variablez00_bglt BgL_arg2162z00_1759;

										BgL_arg2162z00_1759 =
											(((BgL_varz00_bglt) CREF(BgL_nodez00_1752))->
											BgL_variablez00);
										BGl_markzd2variablez12zc0zzglobaliza7e_freeza7((
												(BgL_localz00_bglt) BgL_arg2162z00_1759));
									}
									{	/* Globalize/free.scm 139 */
										BgL_variablez00_bglt BgL_arg2164z00_1760;

										BgL_arg2164z00_1760 =
											(((BgL_varz00_bglt) CREF(BgL_nodez00_1752))->
											BgL_variablez00);
										return MAKE_PAIR(((obj_t) BgL_arg2164z00_1760),
											BgL_freez00_1753);
									}
								}
							else
								{	/* Globalize/free.scm 137 */
									return BgL_freez00_1753;
								}
						}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzglobaliza7e_freeza7()
	{
		AN_OBJECT;
		{	/* Globalize/free.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2427z00zzglobaliza7e_freeza7));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2427z00zzglobaliza7e_freeza7));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2427z00zzglobaliza7e_freeza7));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2427z00zzglobaliza7e_freeza7));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 164192787),
				BSTRING_TO_STRING(BGl_string2427z00zzglobaliza7e_freeza7));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2427z00zzglobaliza7e_freeza7));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string2427z00zzglobaliza7e_freeza7));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 458567972),
				BSTRING_TO_STRING(BGl_string2427z00zzglobaliza7e_freeza7));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 36886173),
				BSTRING_TO_STRING(BGl_string2427z00zzglobaliza7e_freeza7));
			BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(((long) 44601789),
				BSTRING_TO_STRING(BGl_string2427z00zzglobaliza7e_freeza7));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2427z00zzglobaliza7e_freeza7));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(((long) 0),
				BSTRING_TO_STRING(BGl_string2427z00zzglobaliza7e_freeza7));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_nodeza7(((long) 2706117),
				BSTRING_TO_STRING(BGl_string2427z00zzglobaliza7e_freeza7));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 328744326),
				BSTRING_TO_STRING(BGl_string2427z00zzglobaliza7e_freeza7));
			return
				BGl_modulezd2initializa7ationz75zzglobaliza7e_globalzd2closurez75((
					(long) 62221965),
				BSTRING_TO_STRING(BGl_string2427z00zzglobaliza7e_freeza7));
		}
	}

#ifdef __cplusplus
}
#endif
