/*===========================================================================*/
/*   (Initflow/walk.scm)                                                     */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Initflow/walk.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_sfunzf2iflowzf2_bgl
	{
	}                      *BgL_sfunzf2iflowzf2_bglt;


	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	static obj_t BGl_z62initflowzd2nodezd2boxzd2se1955zb0zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_sfunzf2iflowzf2zzinitflow_walkz00 = BUNSPEC;
	static BgL_sfunz00_bglt
		BGl_z62zc3anonymousza32071ze3ze1zzinitflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzinitflow_walkz00();
	static obj_t BGl_z62initflowzd2walkz12za2zzinitflow_walkz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62initflowzd2nodezd2setq1943z62zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62initflowzd2nodezd2sequen1931z62zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzinitflow_walkz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzinitflow_walkz00();
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_initflowzd2funzd2zzinitflow_walkz00(BgL_variablez00_bglt,
		bool_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static obj_t BGl_z62initflowzd2nodezd2var1929z62zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62initflowzd2node1925zb0zzinitflow_walkz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_getzd2classzd2typez00zztype_cachez00();
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62initflowzd2nodezd2funcal1939z62zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_initflowzd2nodezd2zzinitflow_walkz00(BgL_nodez00_bglt,
		bool_t);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_initflowzd2nodeza2z70zzinitflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_selectz00zzast_nodez00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t BGl_z62initflowzd2nodezd2makezd2b1951zb0zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzinitflow_walkz00 = BUNSPEC;
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62initflowzd2nodezd2jumpzd2e1963zb0zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzinitflow_walkz00();
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzinitflow_walkz00();
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	static obj_t BGl_z62initflowzd2nodezd2sync1933z62zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62initflowzd2nodezd2fail1947z62zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62initflowzd2nodezb0zzinitflow_walkz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	BGL_EXPORTED_DECL obj_t BGl_initflowzd2walkz12zc0zzinitflow_walkz00(obj_t);
	static obj_t BGl_lubz00zzinitflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62initflowzd2nodezd2letzd2va1959zb0zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62initflowzd2nodezd2letzd2fu1957zb0zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzinitflow_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern bool_t BGl_globalzd2readzd2onlyzf3zf3zzast_varz00(BgL_globalz00_bglt);
	static obj_t BGl_zc3anonymousza32005ze3z83zzinitflow_walkz00(obj_t);
	static BgL_sfunz00_bglt BGl_z62lambda2066z62zzinitflow_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_sfunz00_bglt BGl_z62lambda2069z62zzinitflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	static obj_t BGl_z62initflowzd2nodezd2select1949z62zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static BgL_sfunz00_bglt BGl_z62lambda2072z62zzinitflow_walkz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzinitflow_walkz00();
	static obj_t BGl_z62initflowzd2nodezd2appzd2ly1937zb0zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzinitflow_walkz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzinitflow_walkz00();
	static obj_t BGl_z62initflowzd2nodezd2app1935z62zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62initflowzd2nodezd2setzd2ex1961zb0zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_zc3anonymousza32043ze3z83zzinitflow_walkz00(obj_t);
	static obj_t BGl_z62initflowzd2nodezd2extern1941z62zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62initflowzd2nodezd2condit1945z62zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl_z62initflowzd2nodezd2boxzd2re1953zb0zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[7];


	   
		 
		DEFINE_STRING(BGl_string2325z00zzinitflow_walkz00,
		BgL_bgl_string2325za700za7za7i2364za7, "Initflow", 8);
	      DEFINE_STRING(BGl_string2326z00zzinitflow_walkz00,
		BgL_bgl_string2326za700za7za7i2365za7, "   . ", 5);
	      DEFINE_STRING(BGl_string2327z00zzinitflow_walkz00,
		BgL_bgl_string2327za700za7za7i2366za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string2328z00zzinitflow_walkz00,
		BgL_bgl_string2328za700za7za7i2367za7, "      uninitialized globals : ",
		30);
	      DEFINE_STRING(BGl_string2329z00zzinitflow_walkz00,
		BgL_bgl_string2329za700za7za7i2368za7, " error", 6);
	      DEFINE_STRING(BGl_string2330z00zzinitflow_walkz00,
		BgL_bgl_string2330za700za7za7i2369za7, "s", 1);
	      DEFINE_STRING(BGl_string2331z00zzinitflow_walkz00,
		BgL_bgl_string2331za700za7za7i2370za7, "", 0);
	      DEFINE_STRING(BGl_string2332z00zzinitflow_walkz00,
		BgL_bgl_string2332za700za7za7i2371za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string2333z00zzinitflow_walkz00,
		BgL_bgl_string2333za700za7za7i2372za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string2339z00zzinitflow_walkz00,
		BgL_bgl_string2339za700za7za7i2373za7, "initflow-node1925", 17);
	      DEFINE_STRING(BGl_string2341z00zzinitflow_walkz00,
		BgL_bgl_string2341za700za7za7i2374za7, "initflow-node", 13);
	      DEFINE_STRING(BGl_string2359z00zzinitflow_walkz00,
		BgL_bgl_string2359za700za7za7i2375za7,
		"Typed global variable used before initialized", 45);
	      DEFINE_STRING(BGl_string2360z00zzinitflow_walkz00,
		BgL_bgl_string2360za700za7za7i2376za7, "initflow_walk", 13);
	      DEFINE_STRING(BGl_string2361z00zzinitflow_walkz00,
		BgL_bgl_string2361za700za7za7i2377za7,
		"no-init-flow _ initflow_walk sfun/iflow (object-init toplevel-init generic-init method-init) read pass-started ",
		111);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2334z00zzinitflow_walkz00,
		BgL_bgl_za762lambda2072za7622378z00, BGl_z62lambda2072z62zzinitflow_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2335z00zzinitflow_walkz00,
		BgL_bgl_za762za7c3anonymousza72379za7,
		BGl_z62zc3anonymousza32071ze3ze1zzinitflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2336z00zzinitflow_walkz00,
		BgL_bgl_za762lambda2069za7622380z00, BGl_z62lambda2069z62zzinitflow_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2337z00zzinitflow_walkz00,
		BgL_bgl_za762lambda2066za7622381z00, BGl_z62lambda2066z62zzinitflow_walkz00,
		0L, BUNSPEC, 19);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2338z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2382z00,
		BGl_z62initflowzd2node1925zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2340z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2383z00,
		BGl_z62initflowzd2nodezd2var1929z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2342z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2384z00,
		BGl_z62initflowzd2nodezd2sequen1931z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2343z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2385z00,
		BGl_z62initflowzd2nodezd2sync1933z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2344z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2386z00,
		BGl_z62initflowzd2nodezd2app1935z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2345z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2387z00,
		BGl_z62initflowzd2nodezd2appzd2ly1937zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2346z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2388z00,
		BGl_z62initflowzd2nodezd2funcal1939z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2347z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2389z00,
		BGl_z62initflowzd2nodezd2extern1941z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2348z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2390z00,
		BGl_z62initflowzd2nodezd2setq1943z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2349z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2391z00,
		BGl_z62initflowzd2nodezd2condit1945z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2350z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2392z00,
		BGl_z62initflowzd2nodezd2fail1947z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2351z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2393z00,
		BGl_z62initflowzd2nodezd2select1949z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2352z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2394z00,
		BGl_z62initflowzd2nodezd2makezd2b1951zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2353z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2395z00,
		BGl_z62initflowzd2nodezd2boxzd2re1953zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2354z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2396z00,
		BGl_z62initflowzd2nodezd2boxzd2se1955zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2355z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2397z00,
		BGl_z62initflowzd2nodezd2letzd2fu1957zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2356z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2398z00,
		BGl_z62initflowzd2nodezd2letzd2va1959zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2357z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2399z00,
		BGl_z62initflowzd2nodezd2setzd2ex1961zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2358z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2400z00,
		BGl_z62initflowzd2nodezd2jumpzd2e1963zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_initflowzd2walkz12zd2envz12zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2wa2401z00,
		BGl_z62initflowzd2walkz12za2zzinitflow_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2402z00,
		BGl_z62initflowzd2nodezb0zzinitflow_walkz00, 0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzinitflow_walkz00(long
		BgL_checksumz00_3026, char *BgL_fromz00_3027)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzinitflow_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzinitflow_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzinitflow_walkz00();
					BGl_cnstzd2initzd2zzinitflow_walkz00();
					BGl_importedzd2moduleszd2initz00zzinitflow_walkz00();
					BGl_objectzd2initzd2zzinitflow_walkz00();
					BGl_genericzd2initzd2zzinitflow_walkz00();
					BGl_methodzd2initzd2zzinitflow_walkz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzinitflow_walkz00()
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 27 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"initflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"initflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"initflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"initflow_walk");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"initflow_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"initflow_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "initflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"initflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"initflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"initflow_walk");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzinitflow_walkz00()
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 27 */
			{	/* Initflow/walk.scm 27 */
				obj_t BgL_cportz00_3016;

				BgL_cportz00_3016 =
					bgl_open_input_string(BGl_string2361z00zzinitflow_walkz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_3017;

					BgL_iz00_3017 = ((long) 6);
				BgL_loopz00_3018:
					if ((BgL_iz00_3017 == ((long) -1)))
						{	/* Initflow/walk.scm 27 */
							return BUNSPEC;
						}
					else
						{	/* Initflow/walk.scm 27 */
							{	/* Initflow/walk.scm 27 */
								obj_t BgL_arg2363z00_3020;

								{	/* Initflow/walk.scm 27 */

									{	/* Initflow/walk.scm 27 */
										obj_t BgL_locationz00_3022;

										BgL_locationz00_3022 = BBOOL(((bool_t) 0));
										{	/* Initflow/walk.scm 27 */

											BgL_arg2363z00_3020 =
												BGl_readz00zz__readerz00(BgL_cportz00_3016,
												BgL_locationz00_3022);
										}
									}
								}
								{	/* Initflow/walk.scm 27 */
									int BgL_auxz00_3053;

									BgL_auxz00_3053 = (int) (BgL_iz00_3017);
									CNST_TABLE_SET(BgL_auxz00_3053, BgL_arg2363z00_3020);
							}}
							{	/* Initflow/walk.scm 27 */
								int BgL_auxz00_3023;

								BgL_auxz00_3023 = (int) ((BgL_iz00_3017 - ((long) 1)));
								{
									long BgL_iz00_3058;

									BgL_iz00_3058 = (long) (BgL_auxz00_3023);
									BgL_iz00_3017 = BgL_iz00_3058;
									goto BgL_loopz00_3018;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzinitflow_walkz00()
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 27 */
			return BUNSPEC;
		}
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzinitflow_walkz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_1327;

				BgL_headz00_1327 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1328;
					obj_t BgL_tailz00_1329;

					BgL_prevz00_1328 = BgL_headz00_1327;
					BgL_tailz00_1329 = BgL_l1z00_1;
				BgL_loopz00_1330:
					if (PAIRP(BgL_tailz00_1329))
						{
							obj_t BgL_newzd2prevzd2_1332;

							BgL_newzd2prevzd2_1332 =
								MAKE_PAIR(CAR(BgL_tailz00_1329), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1328, BgL_newzd2prevzd2_1332);
							{
								obj_t BgL_tailz00_3067;
								obj_t BgL_prevz00_3066;

								BgL_prevz00_3066 = BgL_newzd2prevzd2_1332;
								BgL_tailz00_3067 = CDR(BgL_tailz00_1329);
								BgL_tailz00_1329 = BgL_tailz00_3067;
								BgL_prevz00_1328 = BgL_prevz00_3066;
								goto BgL_loopz00_1330;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1327);
				}
			}
		}
	}



/* initflow-walk! */
	BGL_EXPORTED_DEF obj_t BGl_initflowzd2walkz12zc0zzinitflow_walkz00(obj_t
		BgL_globalsz00_76)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 48 */
			{	/* Initflow/walk.scm 49 */
				obj_t BgL_list1970z00_1377;

				{	/* Initflow/walk.scm 49 */
					obj_t BgL_arg1972z00_1378;

					{	/* Initflow/walk.scm 49 */
						obj_t BgL_arg1973z00_1379;

						BgL_arg1973z00_1379 =
							MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
						BgL_arg1972z00_1378 =
							MAKE_PAIR(BGl_string2325z00zzinitflow_walkz00,
							BgL_arg1973z00_1379);
					}
					BgL_list1970z00_1377 =
						MAKE_PAIR(BGl_string2326z00zzinitflow_walkz00, BgL_arg1972z00_1378);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list1970z00_1377);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string2325z00zzinitflow_walkz00;
			{
				obj_t BgL_hooksz00_1383;
				obj_t BgL_hnamesz00_1384;

				BgL_hooksz00_1383 = BNIL;
				BgL_hnamesz00_1384 = BNIL;
			BgL_zc3anonymousza31974ze3z83_1385:
				if (NULLP(BgL_hooksz00_1383))
					{	/* Initflow/walk.scm 49 */
						CNST_TABLE_REF(((long) 0));
					}
				else
					{	/* Initflow/walk.scm 49 */
						bool_t BgL_testz00_3080;

						{	/* Initflow/walk.scm 49 */
							obj_t BgL_fun1980z00_1391;

							BgL_fun1980z00_1391 = CAR(BgL_hooksz00_1383);
							BgL_testz00_3080 =
								CBOOL(PROCEDURE_ENTRY(BgL_fun1980z00_1391) (BgL_fun1980z00_1391,
									BEOA));
						}
						if (BgL_testz00_3080)
							{
								obj_t BgL_hnamesz00_3088;
								obj_t BgL_hooksz00_3086;

								BgL_hooksz00_3086 = CDR(BgL_hooksz00_1383);
								BgL_hnamesz00_3088 = CDR(BgL_hnamesz00_1384);
								BgL_hnamesz00_1384 = BgL_hnamesz00_3088;
								BgL_hooksz00_1383 = BgL_hooksz00_3086;
								goto BgL_zc3anonymousza31974ze3z83_1385;
							}
						else
							{	/* Initflow/walk.scm 49 */
								BGl_internalzd2errorzd2zztools_errorz00
									(BGl_string2325z00zzinitflow_walkz00,
									BGl_string2327z00zzinitflow_walkz00, CAR(BgL_hnamesz00_1384));
							}
					}
			}
			{
				obj_t BgL_l1882z00_1395;

				BgL_l1882z00_1395 = BgL_globalsz00_76;
			BgL_zc3anonymousza31982ze3z83_1396:
				if (PAIRP(BgL_l1882z00_1395))
					{	/* Initflow/walk.scm 53 */
						{	/* Initflow/walk.scm 54 */
							obj_t BgL_gz00_1398;

							BgL_gz00_1398 = CAR(BgL_l1882z00_1395);
							if (
								((((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_gz00_1398))))->
										BgL_accessz00) == CNST_TABLE_REF(((long) 1))))
								{	/* Initflow/walk.scm 55 */
									BgL_valuez00_bglt BgL_valuez00_1400;

									BgL_valuez00_1400 =
										(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_gz00_1398))))->
										BgL_valuez00);
									{	/* Initflow/walk.scm 56 */
										bool_t BgL_testz00_3104;

										{	/* Initflow/walk.scm 56 */
											bool_t BgL_res2253z00_2591;

											BgL_res2253z00_2591 =
												BGl_isazf3zf3zz__objectz00(
												((obj_t) BgL_valuez00_1400), BGl_sfunz00zzast_varz00);
											BgL_testz00_3104 = BgL_res2253z00_2591;
										}
										if (BgL_testz00_3104)
											{	/* Initflow/walk.scm 56 */
												((((BgL_globalz00_bglt) CREF(
																((BgL_globalz00_bglt) BgL_gz00_1398)))->
														BgL_initz00) = ((obj_t) BTRUE), BUNSPEC);
											}
										else
											{	/* Initflow/walk.scm 56 */
												BFALSE;
											}
									}
								}
							else
								{	/* Initflow/walk.scm 54 */
									BFALSE;
								}
						}
						{
							obj_t BgL_l1882z00_3109;

							BgL_l1882z00_3109 = CDR(BgL_l1882z00_1395);
							BgL_l1882z00_1395 = BgL_l1882z00_3109;
							goto BgL_zc3anonymousza31982ze3z83_1396;
						}
					}
				else
					{	/* Initflow/walk.scm 53 */
						((bool_t) 1);
					}
			}
			{	/* Initflow/walk.scm 60 */
				obj_t BgL_g1897z00_1405;

				BgL_g1897z00_1405 = CNST_TABLE_REF(((long) 2));
				{
					obj_t BgL_l1895z00_1407;

					BgL_l1895z00_1407 = BgL_g1897z00_1405;
				BgL_zc3anonymousza31988ze3z83_1408:
					if (PAIRP(BgL_l1895z00_1407))
						{	/* Initflow/walk.scm 72 */
							{	/* Initflow/walk.scm 61 */
								obj_t BgL_idz00_1410;

								BgL_idz00_1410 = CAR(BgL_l1895z00_1407);
								{	/* Initflow/walk.scm 61 */
									obj_t BgL_rootz00_1411;

									BgL_rootz00_1411 =
										BGl_findzd2globalzf2modulez20zzast_envz00(BgL_idz00_1410,
										BGl_za2moduleza2z00zzmodule_modulez00);
									if (BGl_isazf3zf3zz__objectz00(BgL_rootz00_1411,
											BGl_globalz00zzast_varz00))
										{	/* Initflow/walk.scm 62 */
											BGl_initflowzd2funzd2zzinitflow_walkz00(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_rootz00_1411)),
												((bool_t) 1));
											{	/* Initflow/walk.scm 64 */
												obj_t BgL_lz00_1413;

												BgL_lz00_1413 =
													BGl_zc3anonymousza32005ze3z83zzinitflow_walkz00
													(BgL_globalsz00_76);
												if (PAIRP(BgL_lz00_1413))
													{	/* Initflow/walk.scm 70 */
														obj_t BgL_arg1992z00_1415;

														{	/* Initflow/walk.scm 70 */
															obj_t BgL_head1891z00_1421;

															{	/* Initflow/walk.scm 70 */
																obj_t BgL_arg2003z00_1433;

																BgL_arg2003z00_1433 =
																	BGl_shapez00zztools_shapez00(CAR
																	(BgL_lz00_1413));
																{	/* Initflow/walk.scm 70 */
																	obj_t BgL_res2263z00_2625;

																	BgL_res2263z00_2625 =
																		MAKE_PAIR(BgL_arg2003z00_1433, BNIL);
																	BgL_head1891z00_1421 = BgL_res2263z00_2625;
																}
															}
															{	/* Initflow/walk.scm 70 */
																obj_t BgL_g1894z00_1422;

																BgL_g1894z00_1422 = CDR(BgL_lz00_1413);
																{
																	obj_t BgL_l1889z00_1424;
																	obj_t BgL_tail1892z00_1425;

																	BgL_l1889z00_1424 = BgL_g1894z00_1422;
																	BgL_tail1892z00_1425 = BgL_head1891z00_1421;
																BgL_zc3anonymousza31997ze3z83_1426:
																	if (NULLP(BgL_l1889z00_1424))
																		{	/* Initflow/walk.scm 70 */
																			BgL_arg1992z00_1415 =
																				BgL_head1891z00_1421;
																		}
																	else
																		{	/* Initflow/walk.scm 70 */
																			obj_t BgL_newtail1893z00_1428;

																			{	/* Initflow/walk.scm 70 */
																				obj_t BgL_arg2000z00_1430;

																				BgL_arg2000z00_1430 =
																					BGl_shapez00zztools_shapez00(CAR
																					(BgL_l1889z00_1424));
																				{	/* Initflow/walk.scm 70 */
																					obj_t BgL_res2265z00_2632;

																					BgL_res2265z00_2632 =
																						MAKE_PAIR(BgL_arg2000z00_1430,
																						BNIL);
																					BgL_newtail1893z00_1428 =
																						BgL_res2265z00_2632;
																				}
																			}
																			SET_CDR(BgL_tail1892z00_1425,
																				BgL_newtail1893z00_1428);
																			{
																				obj_t BgL_tail1892z00_3136;
																				obj_t BgL_l1889z00_3134;

																				BgL_l1889z00_3134 =
																					CDR(BgL_l1889z00_1424);
																				BgL_tail1892z00_3136 =
																					BgL_newtail1893z00_1428;
																				BgL_tail1892z00_1425 =
																					BgL_tail1892z00_3136;
																				BgL_l1889z00_1424 = BgL_l1889z00_3134;
																				goto BgL_zc3anonymousza31997ze3z83_1426;
																			}
																		}
																}
															}
														}
														{	/* Initflow/walk.scm 69 */
															obj_t BgL_list1993z00_1416;

															{	/* Initflow/walk.scm 69 */
																obj_t BgL_arg1994z00_1417;

																{	/* Initflow/walk.scm 69 */
																	obj_t BgL_arg1995z00_1418;

																	BgL_arg1995z00_1418 =
																		MAKE_PAIR(BCHAR(((unsigned char) '\n')),
																		BNIL);
																	BgL_arg1994z00_1417 =
																		MAKE_PAIR(BgL_arg1992z00_1415,
																		BgL_arg1995z00_1418);
																}
																BgL_list1993z00_1416 =
																	MAKE_PAIR(BGl_string2328z00zzinitflow_walkz00,
																	BgL_arg1994z00_1417);
															}
															BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
																BgL_list1993z00_1416);
													}}
												else
													{	/* Initflow/walk.scm 68 */
														BFALSE;
													}
											}
										}
									else
										{	/* Initflow/walk.scm 62 */
											BFALSE;
										}
								}
							}
							{
								obj_t BgL_l1895z00_3143;

								BgL_l1895z00_3143 = CDR(BgL_l1895z00_1407);
								BgL_l1895z00_1407 = BgL_l1895z00_3143;
								goto BgL_zc3anonymousza31988ze3z83_1408;
							}
						}
					else
						{	/* Initflow/walk.scm 72 */
							((bool_t) 1);
						}
				}
			}
			if (
				((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
					((long) 0)))
				{	/* Initflow/walk.scm 74 */
					{	/* Initflow/walk.scm 74 */
						obj_t BgL_port1898z00_1455;

						{	/* Initflow/walk.scm 74 */
							obj_t BgL_res2267z00_2641;

							{	/* Initflow/walk.scm 74 */
								obj_t BgL_auxz00_3148;

								BgL_auxz00_3148 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res2267z00_2641 =
									BGL_ENV_CURRENT_ERROR_PORT(BgL_auxz00_3148);
							}
							BgL_port1898z00_1455 = BgL_res2267z00_2641;
						}
						bgl_display_obj(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
							BgL_port1898z00_1455);
						bgl_display_string(BGl_string2329z00zzinitflow_walkz00,
							BgL_port1898z00_1455);
						{	/* Initflow/walk.scm 74 */
							obj_t BgL_arg2016z00_1456;

							{	/* Initflow/walk.scm 74 */
								bool_t BgL_testz00_3153;

								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
									{	/* Initflow/walk.scm 74 */
										if (INTEGERP
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Initflow/walk.scm 74 */
												BgL_testz00_3153 =
													(
													(long)
													CINT
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
													> ((long) 1));
											}
										else
											{	/* Initflow/walk.scm 74 */
												BgL_testz00_3153 =
													BGl_2ze3ze3zz__r4_numbers_6_5z00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BINT(((long) 1)));
									}}
								else
									{	/* Initflow/walk.scm 74 */
										BgL_testz00_3153 = ((bool_t) 0);
									}
								if (BgL_testz00_3153)
									{	/* Initflow/walk.scm 74 */
										BgL_arg2016z00_1456 = BGl_string2330z00zzinitflow_walkz00;
									}
								else
									{	/* Initflow/walk.scm 74 */
										BgL_arg2016z00_1456 = BGl_string2331z00zzinitflow_walkz00;
									}
							}
							bgl_display_obj(BgL_arg2016z00_1456, BgL_port1898z00_1455);
						}
						bgl_display_string(BGl_string2332z00zzinitflow_walkz00,
							BgL_port1898z00_1455);
						bgl_display_char(((unsigned char) '\n'), BgL_port1898z00_1455);
					}
					{	/* Initflow/walk.scm 74 */
						obj_t BgL_list2020z00_1460;

						BgL_list2020z00_1460 = MAKE_PAIR(BINT(((long) -1)), BNIL);
						return BGl_exitz00zz__errorz00(BgL_list2020z00_1460);
					}
				}
			else
				{
					obj_t BgL_hooksz00_1464;
					obj_t BgL_hnamesz00_1465;

					BgL_hooksz00_1464 = BNIL;
					BgL_hnamesz00_1465 = BNIL;
				BgL_zc3anonymousza32021ze3z83_1466:
					if (NULLP(BgL_hooksz00_1464))
						{	/* Initflow/walk.scm 74 */
							return BgL_globalsz00_76;
						}
					else
						{	/* Initflow/walk.scm 74 */
							bool_t BgL_testz00_3170;

							{	/* Initflow/walk.scm 74 */
								obj_t BgL_fun2027z00_1472;

								BgL_fun2027z00_1472 = CAR(BgL_hooksz00_1464);
								BgL_testz00_3170 =
									CBOOL(PROCEDURE_ENTRY(BgL_fun2027z00_1472)
									(BgL_fun2027z00_1472, BEOA));
							}
							if (BgL_testz00_3170)
								{
									obj_t BgL_hnamesz00_3178;
									obj_t BgL_hooksz00_3176;

									BgL_hooksz00_3176 = CDR(BgL_hooksz00_1464);
									BgL_hnamesz00_3178 = CDR(BgL_hnamesz00_1465);
									BgL_hnamesz00_1465 = BgL_hnamesz00_3178;
									BgL_hooksz00_1464 = BgL_hooksz00_3176;
									goto BgL_zc3anonymousza32021ze3z83_1466;
								}
							else
								{	/* Initflow/walk.scm 74 */
									obj_t BgL_arg2026z00_1471;

									BgL_arg2026z00_1471 = CAR(BgL_hnamesz00_1465);
									return
										BGl_internalzd2errorzd2zztools_errorz00
										(BGl_za2currentzd2passza2zd2zzengine_passz00,
										BGl_string2333z00zzinitflow_walkz00, BgL_arg2026z00_1471);
								}
						}
				}
		}
	}



/* <anonymous:2005> */
	obj_t BGl_zc3anonymousza32005ze3z83zzinitflow_walkz00(obj_t
		BgL_lis1885z00_1436)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 64 */
		BGl_zc3anonymousza32005ze3z83zzinitflow_walkz00:
			if (NULLP(BgL_lis1885z00_1436))
				{	/* Initflow/walk.scm 64 */
					return BgL_lis1885z00_1436;
				}
			else
				{	/* Initflow/walk.scm 64 */
					obj_t BgL_head1886z00_1439;
					obj_t BgL_tail1887z00_1440;

					BgL_head1886z00_1439 = CAR(BgL_lis1885z00_1436);
					BgL_tail1887z00_1440 = CDR(BgL_lis1885z00_1436);
					{	/* Initflow/walk.scm 64 */
						bool_t BgL_testz00_3186;

						{	/* Initflow/walk.scm 65 */
							bool_t BgL_testz00_3187;

							{	/* Initflow/walk.scm 65 */
								bool_t BgL_testz00_3188;

								{	/* Initflow/walk.scm 65 */
									BgL_valuez00_bglt BgL_arg2012z00_1449;

									BgL_arg2012z00_1449 =
										(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_head1886z00_1439))))->
										BgL_valuez00);
									{	/* Initflow/walk.scm 65 */
										bool_t BgL_res2258z00_2609;

										BgL_res2258z00_2609 =
											BGl_isazf3zf3zz__objectz00(
											((obj_t) BgL_arg2012z00_1449), BGl_sfunz00zzast_varz00);
										BgL_testz00_3188 = BgL_res2258z00_2609;
									}
								}
								if (BgL_testz00_3188)
									{	/* Initflow/walk.scm 65 */
										BgL_testz00_3187 = ((bool_t) 0);
									}
								else
									{	/* Initflow/walk.scm 65 */
										BgL_testz00_3187 = ((bool_t) 1);
									}
							}
							if (BgL_testz00_3187)
								{	/* Initflow/walk.scm 65 */
									if (
										((((BgL_globalz00_bglt) CREF(
														((BgL_globalz00_bglt) BgL_head1886z00_1439)))->
												BgL_initz00) == BTRUE))
										{	/* Initflow/walk.scm 66 */
											BgL_testz00_3186 = ((bool_t) 0);
										}
									else
										{	/* Initflow/walk.scm 66 */
											BgL_testz00_3186 = ((bool_t) 1);
										}
								}
							else
								{	/* Initflow/walk.scm 65 */
									BgL_testz00_3186 = ((bool_t) 0);
								}
						}
						if (BgL_testz00_3186)
							{	/* Initflow/walk.scm 64 */
								obj_t BgL_newzd2tail1888zd2_1442;

								BgL_newzd2tail1888zd2_1442 =
									BGl_zc3anonymousza32005ze3z83zzinitflow_walkz00
									(BgL_tail1887z00_1440);
								if ((BgL_tail1887z00_1440 == BgL_newzd2tail1888zd2_1442))
									{	/* Initflow/walk.scm 64 */
										return BgL_lis1885z00_1436;
									}
								else
									{	/* Initflow/walk.scm 64 */
										obj_t BgL_res2260z00_2617;

										BgL_res2260z00_2617 =
											MAKE_PAIR(BgL_head1886z00_1439,
											BgL_newzd2tail1888zd2_1442);
										return BgL_res2260z00_2617;
									}
							}
						else
							{
								obj_t BgL_lis1885z00_3202;

								BgL_lis1885z00_3202 = BgL_tail1887z00_1440;
								BgL_lis1885z00_1436 = BgL_lis1885z00_3202;
								goto BGl_zc3anonymousza32005ze3z83zzinitflow_walkz00;
							}
					}
				}
		}
	}



/* &initflow-walk! */
	obj_t BGl_z62initflowzd2walkz12za2zzinitflow_walkz00(obj_t BgL_envz00_2905,
		obj_t BgL_globalsz00_2906)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 48 */
			return BGl_initflowzd2walkz12zc0zzinitflow_walkz00(BgL_globalsz00_2906);
		}
	}



/* initflow-fun */
	obj_t BGl_initflowzd2funzd2zzinitflow_walkz00(BgL_variablez00_bglt
		BgL_varz00_77, bool_t BgL_ez00_78)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 79 */
			{	/* Initflow/walk.scm 80 */
				BgL_valuez00_bglt BgL_fz00_1475;

				BgL_fz00_1475 =
					(((BgL_variablez00_bglt) CREF(BgL_varz00_77))->BgL_valuez00);
				{	/* Initflow/walk.scm 82 */
					bool_t BgL_testz00_3205;

					{	/* Initflow/walk.scm 82 */
						obj_t BgL_arg2034z00_1484;

						BgL_arg2034z00_1484 =
							(((BgL_sfunz00_bglt) CREF(
									((BgL_sfunz00_bglt) BgL_fz00_1475)))->BgL_bodyz00);
						BgL_testz00_3205 =
							BGl_isazf3zf3zz__objectz00(BgL_arg2034z00_1484,
							BGl_nodez00zzast_nodez00);
					}
					if (BgL_testz00_3205)
						{	/* Initflow/walk.scm 84 */
							bool_t BgL_testz00_3209;

							{	/* Initflow/walk.scm 84 */
								bool_t BgL_res2274z00_2668;

								BgL_res2274z00_2668 =
									BGl_isazf3zf3zz__objectz00(
									((obj_t) BgL_fz00_1475),
									BGl_sfunzf2iflowzf2zzinitflow_walkz00);
								BgL_testz00_3209 = BgL_res2274z00_2668;
							}
							if (BgL_testz00_3209)
								{	/* Initflow/walk.scm 84 */
									return BNIL;
								}
							else
								{	/* Initflow/walk.scm 84 */
									{	/* Initflow/walk.scm 87 */
										BgL_sfunzf2iflowzf2_bglt BgL_wide1176z00_1480;

										BgL_wide1176z00_1480 =
											((BgL_sfunzf2iflowzf2_bglt) BREF(GC_MALLOC(sizeof(struct
														BgL_sfunzf2iflowzf2_bgl))));
										{	/* Initflow/walk.scm 87 */
											obj_t BgL_auxz00_3217;
											BgL_objectz00_bglt BgL_auxz00_3213;

											BgL_auxz00_3217 = ((obj_t) BgL_wide1176z00_1480);
											BgL_auxz00_3213 =
												((BgL_objectz00_bglt)
												((BgL_sfunz00_bglt)
													((BgL_sfunz00_bglt) BgL_fz00_1475)));
											BGL_OBJECT_WIDENING_SET(BgL_auxz00_3213, BgL_auxz00_3217);
										}
										{	/* Initflow/walk.scm 87 */
											long BgL_arg2032z00_1481;

											{	/* Initflow/walk.scm 87 */
												long BgL_res2275z00_2670;

												BgL_res2275z00_2670 =
													BGL_CLASS_INDEX
													(BGl_sfunzf2iflowzf2zzinitflow_walkz00);
												BgL_arg2032z00_1481 = BgL_res2275z00_2670;
											}
											((BgL_sfunz00_bglt)
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt)
														((BgL_sfunz00_bglt)
															((BgL_sfunz00_bglt) BgL_fz00_1475))),
													BgL_arg2032z00_1481));
										}
										((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_fz00_1475));
									}
									((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_fz00_1475));
									{	/* Initflow/walk.scm 88 */
										obj_t BgL_arg2033z00_1483;

										BgL_arg2033z00_1483 =
											(((BgL_sfunz00_bglt) CREF(
													((BgL_sfunz00_bglt) BgL_fz00_1475)))->BgL_bodyz00);
										return
											BGl_initflowzd2nodezd2zzinitflow_walkz00(
											((BgL_nodez00_bglt) BgL_arg2033z00_1483), BgL_ez00_78);
									}
								}
						}
					else
						{	/* Initflow/walk.scm 82 */
							return BNIL;
						}
				}
			}
		}
	}



/* initflow-node* */
	obj_t BGl_initflowzd2nodeza2z70zzinitflow_walkz00(obj_t BgL_nodesz00_83,
		obj_t BgL_ez00_84)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 124 */
			{
				obj_t BgL_nodesz00_1487;
				obj_t BgL_isz00_1488;

				BgL_nodesz00_1487 = BgL_nodesz00_83;
				BgL_isz00_1488 = BNIL;
			BgL_zc3anonymousza32035ze3z83_1489:
				if (NULLP(BgL_nodesz00_1487))
					{	/* Initflow/walk.scm 127 */
						if (CBOOL(BgL_ez00_84))
							{	/* Initflow/walk.scm 128 */
								{
									obj_t BgL_l1899z00_1492;

									BgL_l1899z00_1492 = BgL_isz00_1488;
								BgL_zc3anonymousza32037ze3z83_1493:
									if (PAIRP(BgL_l1899z00_1492))
										{	/* Initflow/walk.scm 130 */
											{	/* Initflow/walk.scm 131 */
												obj_t BgL_gz00_1495;

												BgL_gz00_1495 = CAR(BgL_l1899z00_1492);
												if (
													((((BgL_globalz00_bglt) CREF(
																	((BgL_globalz00_bglt) BgL_gz00_1495)))->
															BgL_initz00) == BUNSPEC))
													{	/* Initflow/walk.scm 131 */
														((((BgL_globalz00_bglt) CREF(
																		((BgL_globalz00_bglt) BgL_gz00_1495)))->
																BgL_initz00) = ((obj_t) BTRUE), BUNSPEC);
													}
												else
													{	/* Initflow/walk.scm 131 */
														BFALSE;
													}
											}
											{
												obj_t BgL_l1899z00_3247;

												BgL_l1899z00_3247 = CDR(BgL_l1899z00_1492);
												BgL_l1899z00_1492 = BgL_l1899z00_3247;
												goto BgL_zc3anonymousza32037ze3z83_1493;
											}
										}
									else
										{	/* Initflow/walk.scm 130 */
											((bool_t) 1);
										}
								}
								return BNIL;
							}
						else
							{	/* Initflow/walk.scm 128 */
								return
									BGl_zc3anonymousza32043ze3z83zzinitflow_walkz00
									(BgL_isz00_1488);
							}
					}
				else
					{	/* Initflow/walk.scm 136 */
						obj_t BgL_iz00_1510;

						{	/* Initflow/walk.scm 136 */
							obj_t BgL_arg2049z00_1513;

							BgL_arg2049z00_1513 = CAR(BgL_nodesz00_1487);
							BgL_iz00_1510 =
								BGl_initflowzd2nodezd2zzinitflow_walkz00(
								((BgL_nodez00_bglt) BgL_arg2049z00_1513), ((bool_t) 0));
						}
						{
							obj_t BgL_isz00_3255;
							obj_t BgL_nodesz00_3253;

							BgL_nodesz00_3253 = CDR(BgL_nodesz00_1487);
							BgL_isz00_3255 =
								BGl_appendzd221011zd2zzinitflow_walkz00(BgL_iz00_1510,
								BgL_isz00_1488);
							BgL_isz00_1488 = BgL_isz00_3255;
							BgL_nodesz00_1487 = BgL_nodesz00_3253;
							goto BgL_zc3anonymousza32035ze3z83_1489;
						}
					}
			}
		}
	}



/* <anonymous:2043> */
	obj_t BGl_zc3anonymousza32043ze3z83zzinitflow_walkz00(obj_t
		BgL_lis1902z00_1501)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 135 */
		BGl_zc3anonymousza32043ze3z83zzinitflow_walkz00:
			if (NULLP(BgL_lis1902z00_1501))
				{	/* Initflow/walk.scm 135 */
					return BgL_lis1902z00_1501;
				}
			else
				{	/* Initflow/walk.scm 135 */
					obj_t BgL_head1903z00_1504;
					obj_t BgL_tail1904z00_1505;

					BgL_head1903z00_1504 = CAR(BgL_lis1902z00_1501);
					BgL_tail1904z00_1505 = CDR(BgL_lis1902z00_1501);
					if (CBOOL(
							(((BgL_globalz00_bglt) CREF(
										((BgL_globalz00_bglt) BgL_head1903z00_1504)))->
								BgL_initz00)))
						{	/* Initflow/walk.scm 135 */
							obj_t BgL_newzd2tail1905zd2_1507;

							BgL_newzd2tail1905zd2_1507 =
								BGl_zc3anonymousza32043ze3z83zzinitflow_walkz00
								(BgL_tail1904z00_1505);
							if ((BgL_tail1904z00_1505 == BgL_newzd2tail1905zd2_1507))
								{	/* Initflow/walk.scm 135 */
									return BgL_lis1902z00_1501;
								}
							else
								{	/* Initflow/walk.scm 135 */
									obj_t BgL_res2280z00_2697;

									BgL_res2280z00_2697 =
										MAKE_PAIR(BgL_head1903z00_1504, BgL_newzd2tail1905zd2_1507);
									return BgL_res2280z00_2697;
								}
						}
					else
						{
							obj_t BgL_lis1902z00_3269;

							BgL_lis1902z00_3269 = BgL_tail1904z00_1505;
							BgL_lis1902z00_1501 = BgL_lis1902z00_3269;
							goto BGl_zc3anonymousza32043ze3z83zzinitflow_walkz00;
						}
				}
		}
	}



/* lub */
	obj_t BGl_lubz00zzinitflow_walkz00(obj_t BgL_isz00_99, obj_t BgL_ez00_100)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 216 */
			if (NULLP(BgL_isz00_99))
				{	/* Initflow/walk.scm 217 */
					return BNIL;
				}
			else
				{	/* Initflow/walk.scm 219 */
					obj_t BgL_lubz00_1516;

					BgL_lubz00_1516 = BNIL;
					{	/* Initflow/walk.scm 220 */
						obj_t BgL_g1912z00_1517;

						BgL_g1912z00_1517 = CAR(BgL_isz00_99);
						{
							obj_t BgL_l1910z00_1519;

							BgL_l1910z00_1519 = BgL_g1912z00_1517;
						BgL_zc3anonymousza32051ze3z83_1520:
							if (PAIRP(BgL_l1910z00_1519))
								{	/* Initflow/walk.scm 226 */
									{	/* Initflow/walk.scm 221 */
										obj_t BgL_gz00_1522;

										BgL_gz00_1522 = CAR(BgL_l1910z00_1519);
										{	/* Initflow/walk.scm 221 */
											bool_t BgL_testz00_3276;

											if (
												((((BgL_globalz00_bglt) CREF(
																((BgL_globalz00_bglt) BgL_gz00_1522)))->
														BgL_initz00) == BUNSPEC))
												{
													obj_t BgL_l1906z00_1527;

													BgL_l1906z00_1527 = CDR(BgL_isz00_99);
												BgL_zc3anonymousza32055ze3z83_1528:
													if (NULLP(BgL_l1906z00_1527))
														{	/* Initflow/walk.scm 222 */
															BgL_testz00_3276 = ((bool_t) 1);
														}
													else
														{	/* Initflow/walk.scm 222 */
															if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																	(BgL_gz00_1522, CAR(BgL_l1906z00_1527))))
																{
																	obj_t BgL_l1906z00_3287;

																	BgL_l1906z00_3287 = CDR(BgL_l1906z00_1527);
																	BgL_l1906z00_1527 = BgL_l1906z00_3287;
																	goto BgL_zc3anonymousza32055ze3z83_1528;
																}
															else
																{	/* Initflow/walk.scm 222 */
																	BgL_testz00_3276 = ((bool_t) 0);
																}
														}
												}
											else
												{	/* Initflow/walk.scm 221 */
													BgL_testz00_3276 = ((bool_t) 0);
												}
											if (BgL_testz00_3276)
												{	/* Initflow/walk.scm 221 */
													if (CBOOL(BgL_ez00_100))
														{	/* Initflow/walk.scm 223 */
															((((BgL_globalz00_bglt) CREF(
																			((BgL_globalz00_bglt) BgL_gz00_1522)))->
																	BgL_initz00) = ((obj_t) BTRUE), BUNSPEC);
														}
													else
														{	/* Initflow/walk.scm 223 */
															BgL_lubz00_1516 =
																MAKE_PAIR(BgL_gz00_1522, BgL_lubz00_1516);
														}
												}
											else
												{	/* Initflow/walk.scm 221 */
													BFALSE;
												}
										}
									}
									{
										obj_t BgL_l1910z00_3295;

										BgL_l1910z00_3295 = CDR(BgL_l1910z00_1519);
										BgL_l1910z00_1519 = BgL_l1910z00_3295;
										goto BgL_zc3anonymousza32051ze3z83_1520;
									}
								}
							else
								{	/* Initflow/walk.scm 226 */
									((bool_t) 1);
								}
						}
					}
					return BgL_lubz00_1516;
				}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzinitflow_walkz00()
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 27 */
			{	/* Initflow/walk.scm 42 */
				obj_t BgL_arg2064z00_1542;
				obj_t BgL_arg2065z00_1543;

				{	/* Initflow/walk.scm 42 */
					obj_t BgL_v1923z00_1583;

					BgL_v1923z00_1583 = create_vector((int) (((long) 0)));
					BgL_arg2064z00_1542 = BgL_v1923z00_1583;
				}
				{	/* Initflow/walk.scm 42 */
					obj_t BgL_v1924z00_1584;

					BgL_v1924z00_1584 = create_vector((int) (((long) 0)));
					BgL_arg2065z00_1543 = BgL_v1924z00_1584;
				}
				return (BGl_sfunzf2iflowzf2zzinitflow_walkz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 3)),
						CNST_TABLE_REF(((long) 4)), BGl_sfunz00zzast_varz00, ((long) 37049),
						BGl_proc2337z00zzinitflow_walkz00,
						BGl_proc2336z00zzinitflow_walkz00, BFALSE,
						BGl_proc2335z00zzinitflow_walkz00,
						BGl_proc2334z00zzinitflow_walkz00, BgL_arg2064z00_1542,
						BgL_arg2065z00_1543), BUNSPEC);
		}}
	}



/* &lambda2072 */
	BgL_sfunz00_bglt BGl_z62lambda2072z62zzinitflow_walkz00(obj_t BgL_envz00_2911,
		obj_t BgL_o1119z00_2912)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 42 */
			{
				BgL_sfunz00_bglt BgL_o1119z00_1577;

				BgL_o1119z00_1577 = ((BgL_sfunz00_bglt) BgL_o1119z00_2912);
				{	/* Initflow/walk.scm 42 */
					long BgL_arg2073z00_1580;

					{	/* Initflow/walk.scm 42 */
						obj_t BgL_arg2074z00_1581;

						{	/* Initflow/walk.scm 42 */
							obj_t BgL_arg2075z00_1582;

							{	/* Initflow/walk.scm 42 */
								long BgL_arg1772z00_2736;

								{	/* Initflow/walk.scm 42 */
									long BgL_arg1773z00_2737;

									{	/* Initflow/walk.scm 42 */
										long BgL_res2287z00_2739;

										BgL_res2287z00_2739 =
											BGL_OBJECT_CLASS_NUM(
											((BgL_objectz00_bglt) BgL_o1119z00_1577));
										BgL_arg1773z00_2737 = BgL_res2287z00_2739;
									}
									BgL_arg1772z00_2736 = (BgL_arg1773z00_2737 - OBJECT_TYPE);
								}
								BgL_arg2075z00_1582 =
									VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
									(int) (BgL_arg1772z00_2736));
							}
							BgL_arg2074z00_1581 =
								BGl_classzd2superzd2zz__objectz00(BgL_arg2075z00_1582);
						}
						{	/* Initflow/walk.scm 42 */
							long BgL_res2289z00_2746;

							BgL_res2289z00_2746 = BGL_CLASS_INDEX(BgL_arg2074z00_1581);
							BgL_arg2073z00_1580 = BgL_res2289z00_2746;
					}}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_o1119z00_1577), BgL_arg2073z00_1580);
				}
				{	/* Initflow/walk.scm 42 */
					BgL_objectz00_bglt BgL_auxz00_3313;

					BgL_auxz00_3313 = ((BgL_objectz00_bglt) BgL_o1119z00_1577);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_3313, BFALSE);
				}
				return ((BgL_sfunz00_bglt) BgL_o1119z00_1577);
			}
		}
	}



/* &<anonymous:2071> */
	BgL_sfunz00_bglt BGl_z62zc3anonymousza32071ze3ze1zzinitflow_walkz00(obj_t
		BgL_envz00_2913, obj_t BgL_new1118z00_2914)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 42 */
			{
				BgL_sfunz00_bglt BgL_new1118z00_1575;

				BgL_new1118z00_1575 = ((BgL_sfunz00_bglt) BgL_new1118z00_2914);
				((((BgL_funz00_bglt) CREF(
								((BgL_funz00_bglt) BgL_new1118z00_1575)))->BgL_arityz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1118z00_1575)))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1118z00_1575)))->
						BgL_predicatezd2ofzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1118z00_1575)))->
						BgL_stackzd2allocatorzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1118z00_1575)))->
						BgL_topzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1118z00_1575)))->
						BgL_thezd2closurezd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1118z00_1575)))->
						BgL_effectz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1118z00_1575)))->
						BgL_failsafez00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1118z00_1575)))->
						BgL_propertyz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1118z00_1575)))->
						BgL_argsz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1118z00_1575)))->
						BgL_argszd2namezd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1118z00_1575)))->
						BgL_bodyz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1118z00_1575)))->
						BgL_classz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1118z00_1575)))->
						BgL_dssslzd2keywordszd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1118z00_1575)))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1118z00_1575)))->
						BgL_optionalsz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1118z00_1575)))->
						BgL_keysz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1118z00_1575)))->
						BgL_thezd2closurezd2globalz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1118z00_1575)))->
						BgL_strengthz00) = ((obj_t) CNST_TABLE_REF(((long) 5))), BUNSPEC);
				return BgL_new1118z00_1575;
			}
		}
	}



/* &lambda2069 */
	BgL_sfunz00_bglt BGl_z62lambda2069z62zzinitflow_walkz00(obj_t BgL_envz00_2915,
		obj_t BgL_o1115z00_2916)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 42 */
			{
				BgL_sfunz00_bglt BgL_o1115z00_1570;

				BgL_o1115z00_1570 = ((BgL_sfunz00_bglt) BgL_o1115z00_2916);
				{	/* Initflow/walk.scm 42 */
					BgL_sfunzf2iflowzf2_bglt BgL_wide1117z00_1573;

					BgL_wide1117z00_1573 =
						((BgL_sfunzf2iflowzf2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_sfunzf2iflowzf2_bgl))));
					{	/* Initflow/walk.scm 42 */
						obj_t BgL_auxz00_3362;
						BgL_objectz00_bglt BgL_auxz00_3359;

						BgL_auxz00_3362 = ((obj_t) BgL_wide1117z00_1573);
						BgL_auxz00_3359 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_o1115z00_1570));
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_3359, BgL_auxz00_3362);
					}
					{	/* Initflow/walk.scm 42 */
						long BgL_arg2070z00_1574;

						{	/* Initflow/walk.scm 42 */
							long BgL_res2286z00_2732;

							BgL_res2286z00_2732 =
								BGL_CLASS_INDEX(BGl_sfunzf2iflowzf2zzinitflow_walkz00);
							BgL_arg2070z00_1574 = BgL_res2286z00_2732;
						}
						((BgL_sfunz00_bglt)
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_sfunz00_bglt) BgL_o1115z00_1570)),
								BgL_arg2070z00_1574));
					}
					return ((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_o1115z00_1570));
				}
			}
		}
	}



/* &lambda2066 */
	BgL_sfunz00_bglt BGl_z62lambda2066z62zzinitflow_walkz00(obj_t BgL_envz00_2917,
		obj_t BgL_arity1096z00_2918, obj_t BgL_sidezd2effect1097zd2_2919,
		obj_t BgL_predicatezd2of1098zd2_2920,
		obj_t BgL_stackzd2allocator1099zd2_2921, obj_t BgL_topzf31100zf3_2922,
		obj_t BgL_thezd2closure1101zd2_2923, obj_t BgL_effect1102z00_2924,
		obj_t BgL_failsafe1103z00_2925, obj_t BgL_property1104z00_2926,
		obj_t BgL_args1105z00_2927, obj_t BgL_argszd2name1106zd2_2928,
		obj_t BgL_body1107z00_2929, obj_t BgL_class1108z00_2930,
		obj_t BgL_dssslzd2keywords1109zd2_2931, obj_t BgL_loc1110z00_2932,
		obj_t BgL_optionals1111z00_2933, obj_t BgL_keys1112z00_2934,
		obj_t BgL_thezd2closurezd2global1113z00_2935,
		obj_t BgL_strength1114z00_2936)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 42 */
			{
				long BgL_arity1096z00_1544;
				obj_t BgL_sidezd2effect1097zd2_1545;
				obj_t BgL_predicatezd2of1098zd2_1546;
				obj_t BgL_stackzd2allocator1099zd2_1547;
				bool_t BgL_topzf31100zf3_1548;
				obj_t BgL_thezd2closure1101zd2_1549;
				obj_t BgL_effect1102z00_1550;
				obj_t BgL_failsafe1103z00_1551;
				obj_t BgL_property1104z00_1552;
				obj_t BgL_args1105z00_1553;
				obj_t BgL_argszd2name1106zd2_1554;
				obj_t BgL_body1107z00_1555;
				obj_t BgL_class1108z00_1556;
				obj_t BgL_dssslzd2keywords1109zd2_1557;
				obj_t BgL_loc1110z00_1558;
				obj_t BgL_optionals1111z00_1559;
				obj_t BgL_keys1112z00_1560;
				obj_t BgL_thezd2closurezd2global1113z00_1561;
				obj_t BgL_strength1114z00_1562;

				BgL_arity1096z00_1544 = (long) CINT(BgL_arity1096z00_2918);
				BgL_sidezd2effect1097zd2_1545 = BgL_sidezd2effect1097zd2_2919;
				BgL_predicatezd2of1098zd2_1546 = BgL_predicatezd2of1098zd2_2920;
				BgL_stackzd2allocator1099zd2_1547 = BgL_stackzd2allocator1099zd2_2921;
				BgL_topzf31100zf3_1548 = CBOOL(BgL_topzf31100zf3_2922);
				BgL_thezd2closure1101zd2_1549 = BgL_thezd2closure1101zd2_2923;
				BgL_effect1102z00_1550 = BgL_effect1102z00_2924;
				BgL_failsafe1103z00_1551 = BgL_failsafe1103z00_2925;
				BgL_property1104z00_1552 = BgL_property1104z00_2926;
				BgL_args1105z00_1553 = BgL_args1105z00_2927;
				BgL_argszd2name1106zd2_1554 = BgL_argszd2name1106zd2_2928;
				BgL_body1107z00_1555 = BgL_body1107z00_2929;
				BgL_class1108z00_1556 = BgL_class1108z00_2930;
				BgL_dssslzd2keywords1109zd2_1557 = BgL_dssslzd2keywords1109zd2_2931;
				BgL_loc1110z00_1558 = BgL_loc1110z00_2932;
				BgL_optionals1111z00_1559 = BgL_optionals1111z00_2933;
				BgL_keys1112z00_1560 = BgL_keys1112z00_2934;
				BgL_thezd2closurezd2global1113z00_1561 =
					BgL_thezd2closurezd2global1113z00_2935;
				BgL_strength1114z00_1562 = BgL_strength1114z00_2936;
				{	/* Initflow/walk.scm 42 */
					BgL_sfunz00_bglt BgL_new1201z00_2717;

					{	/* Initflow/walk.scm 42 */
						BgL_sfunz00_bglt BgL_tmp1199z00_2718;
						BgL_sfunzf2iflowzf2_bglt BgL_wide1200z00_2719;

						{
							BgL_sfunz00_bglt BgL_auxz00_3373;

							{	/* Initflow/walk.scm 42 */
								BgL_sfunz00_bglt BgL_new1198z00_2720;

								BgL_new1198z00_2720 =
									((BgL_sfunz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_sfunz00_bgl))));
								{	/* Initflow/walk.scm 42 */
									long BgL_arg2068z00_2721;

									{	/* Initflow/walk.scm 42 */
										long BgL_res2284z00_2724;

										BgL_res2284z00_2724 =
											BGL_CLASS_INDEX(BGl_sfunz00zzast_varz00);
										BgL_arg2068z00_2721 = BgL_res2284z00_2724;
									}
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1198z00_2720),
										BgL_arg2068z00_2721);
								}
								{	/* Initflow/walk.scm 42 */
									BgL_objectz00_bglt BgL_auxz00_3378;

									BgL_auxz00_3378 = ((BgL_objectz00_bglt) BgL_new1198z00_2720);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_3378, BFALSE);
								}
								BgL_auxz00_3373 = BgL_new1198z00_2720;
							}
							BgL_tmp1199z00_2718 = ((BgL_sfunz00_bglt) BgL_auxz00_3373);
						}
						BgL_wide1200z00_2719 =
							((BgL_sfunzf2iflowzf2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_sfunzf2iflowzf2_bgl))));
						{	/* Initflow/walk.scm 42 */
							obj_t BgL_auxz00_3385;
							BgL_objectz00_bglt BgL_auxz00_3383;

							BgL_auxz00_3385 = ((obj_t) BgL_wide1200z00_2719);
							BgL_auxz00_3383 = ((BgL_objectz00_bglt) BgL_tmp1199z00_2718);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_3383, BgL_auxz00_3385);
						}
						{	/* Initflow/walk.scm 42 */
							long BgL_arg2067z00_2722;

							{	/* Initflow/walk.scm 42 */
								long BgL_res2285z00_2728;

								BgL_res2285z00_2728 =
									BGL_CLASS_INDEX(BGl_sfunzf2iflowzf2zzinitflow_walkz00);
								BgL_arg2067z00_2722 = BgL_res2285z00_2728;
							}
							((BgL_sfunz00_bglt)
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_tmp1199z00_2718),
									BgL_arg2067z00_2722));
						}
						BgL_new1201z00_2717 = ((BgL_sfunz00_bglt) BgL_tmp1199z00_2718);
					}
					((((BgL_funz00_bglt) CREF(
									((BgL_funz00_bglt) BgL_new1201z00_2717)))->BgL_arityz00) =
						((long) BgL_arity1096z00_1544), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1201z00_2717)))->
							BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1097zd2_1545), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1201z00_2717)))->
							BgL_predicatezd2ofzd2) =
						((obj_t) BgL_predicatezd2of1098zd2_1546), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1201z00_2717)))->
							BgL_stackzd2allocatorzd2) =
						((obj_t) BgL_stackzd2allocator1099zd2_1547), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1201z00_2717)))->
							BgL_topzf3zf3) = ((bool_t) BgL_topzf31100zf3_1548), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1201z00_2717)))->
							BgL_thezd2closurezd2) =
						((obj_t) BgL_thezd2closure1101zd2_1549), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1201z00_2717)))->
							BgL_effectz00) = ((obj_t) BgL_effect1102z00_1550), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1201z00_2717)))->
							BgL_failsafez00) = ((obj_t) BgL_failsafe1103z00_1551), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1201z00_2717)))->BgL_propertyz00) =
						((obj_t) BgL_property1104z00_1552), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1201z00_2717)))->BgL_argsz00) =
						((obj_t) BgL_args1105z00_1553), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1201z00_2717)))->BgL_argszd2namezd2) =
						((obj_t) BgL_argszd2name1106zd2_1554), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1201z00_2717)))->BgL_bodyz00) =
						((obj_t) BgL_body1107z00_1555), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1201z00_2717)))->BgL_classz00) =
						((obj_t) BgL_class1108z00_1556), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1201z00_2717)))->BgL_dssslzd2keywordszd2) =
						((obj_t) BgL_dssslzd2keywords1109zd2_1557), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1201z00_2717)))->BgL_locz00) =
						((obj_t) BgL_loc1110z00_1558), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1201z00_2717)))->BgL_optionalsz00) =
						((obj_t) BgL_optionals1111z00_1559), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1201z00_2717)))->BgL_keysz00) =
						((obj_t) BgL_keys1112z00_1560), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1201z00_2717)))->BgL_thezd2closurezd2globalz00) =
						((obj_t) BgL_thezd2closurezd2global1113z00_1561), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1201z00_2717)))->BgL_strengthz00) =
						((obj_t) BgL_strength1114z00_1562), BUNSPEC);
					return BgL_new1201z00_2717;
				}
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzinitflow_walkz00()
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 27 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_proc2338z00zzinitflow_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2339z00zzinitflow_walkz00);
		}
	}



/* &initflow-node1925 */
	obj_t BGl_z62initflowzd2node1925zb0zzinitflow_walkz00(obj_t BgL_envz00_2938,
		obj_t BgL_nodez00_2939, obj_t BgL_ez00_2940)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 93 */
			return BNIL;
		}
	}



/* initflow-node */
	obj_t BGl_initflowzd2nodezd2zzinitflow_walkz00(BgL_nodez00_bglt
		BgL_nodez00_79, bool_t BgL_ez00_80)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 93 */
			{	/* Initflow/walk.scm 93 */
				obj_t BgL_method1927z00_1594;

				{	/* Initflow/walk.scm 93 */
					obj_t BgL_res2296z00_2777;

					{	/* Initflow/walk.scm 93 */
						long BgL_objzd2classzd2numz00_2750;

						{	/* Initflow/walk.scm 93 */
							long BgL_res2290z00_2753;

							BgL_res2290z00_2753 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_79));
							BgL_objzd2classzd2numz00_2750 = BgL_res2290z00_2753;
						}
						{	/* Initflow/walk.scm 93 */
							obj_t BgL_arg1769z00_2751;

							BgL_arg1769z00_2751 =
								PROCEDURE_REF(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
								(int) (((long) 1)));
							{	/* Initflow/walk.scm 93 */
								int BgL_offsetz00_2755;

								BgL_offsetz00_2755 = (int) (BgL_objzd2classzd2numz00_2750);
								{	/* Initflow/walk.scm 93 */
									long BgL_offsetz00_2756;

									BgL_offsetz00_2756 =
										((long) (BgL_offsetz00_2755) - OBJECT_TYPE);
									{	/* Initflow/walk.scm 93 */
										long BgL_modz00_2757;

										{	/* Initflow/walk.scm 93 */
											int BgL_arg1771z00_2758;

											BgL_arg1771z00_2758 = (int) (((long) 16));
											{	/* Initflow/walk.scm 93 */
												long BgL_res2293z00_2768;

												{	/* Initflow/walk.scm 93 */
													long BgL_auxz00_3442;

													BgL_auxz00_3442 = (long) (BgL_arg1771z00_2758);
													BgL_res2293z00_2768 =
														(BgL_offsetz00_2756 / BgL_auxz00_3442);
												}
												BgL_modz00_2757 = BgL_res2293z00_2768;
										}}
										{	/* Initflow/walk.scm 93 */
											long BgL_restz00_2759;

											{	/* Initflow/walk.scm 93 */
												int BgL_arg1770z00_2760;

												BgL_arg1770z00_2760 = (int) (((long) 16));
												{	/* Initflow/walk.scm 93 */
													long BgL_res2295z00_2772;

													{	/* Initflow/walk.scm 93 */
														long BgL_auxz00_3446;

														BgL_auxz00_3446 = (long) (BgL_arg1770z00_2760);
														BgL_res2295z00_2772 =
															(BgL_offsetz00_2756 % BgL_auxz00_3446);
													}
													BgL_restz00_2759 = BgL_res2295z00_2772;
											}}
											{	/* Initflow/walk.scm 93 */

												BgL_res2296z00_2777 =
													VECTOR_REF(VECTOR_REF(BgL_arg1769z00_2751,
														(int) (BgL_modz00_2757)), (int) (BgL_restz00_2759));
					}}}}}}}
					BgL_method1927z00_1594 = BgL_res2296z00_2777;
				}
				return
					PROCEDURE_ENTRY(BgL_method1927z00_1594) (BgL_method1927z00_1594,
					((obj_t) BgL_nodez00_79), BBOOL(BgL_ez00_80), BEOA);
			}
		}
	}



/* &initflow-node */
	obj_t BGl_z62initflowzd2nodezb0zzinitflow_walkz00(obj_t BgL_envz00_2941,
		obj_t BgL_nodez00_2942, obj_t BgL_ez00_2943)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 93 */
			return
				BGl_initflowzd2nodezd2zzinitflow_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_2942), CBOOL(BgL_ez00_2943));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzinitflow_walkz00()
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 27 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_varz00zzast_nodez00, BGl_proc2340z00zzinitflow_walkz00,
				BGl_string2341z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2342z00zzinitflow_walkz00,
				BGl_string2341z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_syncz00zzast_nodez00, BGl_proc2343z00zzinitflow_walkz00,
				BGl_string2341z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_appz00zzast_nodez00, BGl_proc2344z00zzinitflow_walkz00,
				BGl_string2341z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2345z00zzinitflow_walkz00,
				BGl_string2341z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2346z00zzinitflow_walkz00,
				BGl_string2341z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_externz00zzast_nodez00, BGl_proc2347z00zzinitflow_walkz00,
				BGl_string2341z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_setqz00zzast_nodez00, BGl_proc2348z00zzinitflow_walkz00,
				BGl_string2341z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2349z00zzinitflow_walkz00,
				BGl_string2341z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_failz00zzast_nodez00, BGl_proc2350z00zzinitflow_walkz00,
				BGl_string2341z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_selectz00zzast_nodez00, BGl_proc2351z00zzinitflow_walkz00,
				BGl_string2341z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2352z00zzinitflow_walkz00,
				BGl_string2341z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2353z00zzinitflow_walkz00,
				BGl_string2341z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2354z00zzinitflow_walkz00,
				BGl_string2341z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2355z00zzinitflow_walkz00,
				BGl_string2341z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2356z00zzinitflow_walkz00,
				BGl_string2341z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2357z00zzinitflow_walkz00,
				BGl_string2341z00zzinitflow_walkz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2358z00zzinitflow_walkz00,
				BGl_string2341z00zzinitflow_walkz00);
		}
	}



/* &initflow-node-jump-e1963 */
	obj_t BGl_z62initflowzd2nodezd2jumpzd2e1963zb0zzinitflow_walkz00(obj_t
		BgL_envz00_2962, obj_t BgL_nodez00_2963, obj_t BgL_ez00_2964)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 305 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1828;
				obj_t BgL_ez00_1829;

				BgL_nodez00_1828 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2963);
				BgL_ez00_1829 = BgL_ez00_2964;
				{	/* Initflow/walk.scm 307 */
					obj_t BgL_arg2184z00_1833;

					{	/* Initflow/walk.scm 307 */
						BgL_nodez00_bglt BgL_arg2185z00_1834;
						BgL_nodez00_bglt BgL_arg2187z00_1835;

						BgL_arg2185z00_1834 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1828))->
							BgL_exitz00);
						BgL_arg2187z00_1835 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1828))->
							BgL_valuez00);
						{	/* Initflow/walk.scm 307 */
							obj_t BgL_list2188z00_1836;

							{	/* Initflow/walk.scm 307 */
								obj_t BgL_arg2189z00_1837;

								BgL_arg2189z00_1837 =
									MAKE_PAIR(((obj_t) BgL_arg2187z00_1835), BNIL);
								BgL_list2188z00_1836 =
									MAKE_PAIR(((obj_t) BgL_arg2185z00_1834), BgL_arg2189z00_1837);
							}
							BgL_arg2184z00_1833 = BgL_list2188z00_1836;
						}
					}
					return
						BGl_initflowzd2nodeza2z70zzinitflow_walkz00(BgL_arg2184z00_1833,
						BgL_ez00_1829);
				}
			}
		}
	}



/* &initflow-node-set-ex1961 */
	obj_t BGl_z62initflowzd2nodezd2setzd2ex1961zb0zzinitflow_walkz00(obj_t
		BgL_envz00_2965, obj_t BgL_nodez00_2966, obj_t BgL_ez00_2967)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 298 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1821;
				obj_t BgL_ez00_1822;

				BgL_nodez00_1821 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2966);
				BgL_ez00_1822 = BgL_ez00_2967;
				return
					BGl_initflowzd2nodezd2zzinitflow_walkz00(
					(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1821))->BgL_bodyz00),
					CBOOL(BgL_ez00_1822));
			}
		}
	}



/* &initflow-node-let-va1959 */
	obj_t BGl_z62initflowzd2nodezd2letzd2va1959zb0zzinitflow_walkz00(obj_t
		BgL_envz00_2968, obj_t BgL_nodez00_2969, obj_t BgL_ez00_2970)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 289 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1797;
				obj_t BgL_ez00_1798;

				BgL_nodez00_1797 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_2969);
				BgL_ez00_1798 = BgL_ez00_2970;
				{	/* Initflow/walk.scm 291 */
					obj_t BgL_isz00_1802;

					{	/* Initflow/walk.scm 291 */
						obj_t BgL_l1918z00_1806;

						BgL_l1918z00_1806 =
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1797))->
							BgL_bindingsz00);
						if (NULLP(BgL_l1918z00_1806))
							{	/* Initflow/walk.scm 291 */
								BgL_isz00_1802 = BNIL;
							}
						else
							{	/* Initflow/walk.scm 291 */
								obj_t BgL_head1920z00_1808;

								{	/* Initflow/walk.scm 291 */
									obj_t BgL_res2321z00_2877;

									BgL_res2321z00_2877 = MAKE_PAIR(BNIL, BNIL);
									BgL_head1920z00_1808 = BgL_res2321z00_2877;
								}
								{
									obj_t BgL_l1918z00_1810;
									obj_t BgL_tail1921z00_1811;

									BgL_l1918z00_1810 = BgL_l1918z00_1806;
									BgL_tail1921z00_1811 = BgL_head1920z00_1808;
								BgL_zc3anonymousza32177ze3z83_1812:
									if (NULLP(BgL_l1918z00_1810))
										{	/* Initflow/walk.scm 291 */
											BgL_isz00_1802 = CDR(BgL_head1920z00_1808);
										}
									else
										{	/* Initflow/walk.scm 291 */
											obj_t BgL_newtail1922z00_1814;

											{	/* Initflow/walk.scm 291 */
												obj_t BgL_arg2181z00_1816;

												{	/* Initflow/walk.scm 291 */
													obj_t BgL_bz00_1817;

													BgL_bz00_1817 = CAR(BgL_l1918z00_1810);
													{	/* Initflow/walk.scm 291 */
														obj_t BgL_arg2182z00_1818;

														BgL_arg2182z00_1818 = CDR(BgL_bz00_1817);
														BgL_arg2181z00_1816 =
															BGl_initflowzd2nodezd2zzinitflow_walkz00(
															((BgL_nodez00_bglt) BgL_arg2182z00_1818),
															CBOOL(BgL_ez00_1798));
													}
												}
												{	/* Initflow/walk.scm 291 */
													obj_t BgL_res2323z00_2885;

													BgL_res2323z00_2885 =
														MAKE_PAIR(BgL_arg2181z00_1816, BNIL);
													BgL_newtail1922z00_1814 = BgL_res2323z00_2885;
												}
											}
											SET_CDR(BgL_tail1921z00_1811, BgL_newtail1922z00_1814);
											{
												obj_t BgL_tail1921z00_3509;
												obj_t BgL_l1918z00_3507;

												BgL_l1918z00_3507 = CDR(BgL_l1918z00_1810);
												BgL_tail1921z00_3509 = BgL_newtail1922z00_1814;
												BgL_tail1921z00_1811 = BgL_tail1921z00_3509;
												BgL_l1918z00_1810 = BgL_l1918z00_3507;
												goto BgL_zc3anonymousza32177ze3z83_1812;
											}
										}
								}
							}
					}
					{	/* Initflow/walk.scm 291 */
						obj_t BgL_lubz00_1803;

						BgL_lubz00_1803 =
							BGl_lubz00zzinitflow_walkz00(BgL_isz00_1802, BgL_ez00_1798);
						{	/* Initflow/walk.scm 292 */

							return
								BGl_appendzd221011zd2zzinitflow_walkz00(BgL_lubz00_1803,
								BGl_initflowzd2nodezd2zzinitflow_walkz00(
									(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1797))->
										BgL_bodyz00), CBOOL(BgL_ez00_1798)));
						}
					}
				}
			}
		}
	}



/* &initflow-node-let-fu1957 */
	obj_t BGl_z62initflowzd2nodezd2letzd2fu1957zb0zzinitflow_walkz00(obj_t
		BgL_envz00_2971, obj_t BgL_nodez00_2972, obj_t BgL_ez00_2973)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 282 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1790;
				obj_t BgL_ez00_1791;

				BgL_nodez00_1790 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_2972);
				BgL_ez00_1791 = BgL_ez00_2973;
				return
					BGl_initflowzd2nodezd2zzinitflow_walkz00(
					(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1790))->BgL_bodyz00),
					CBOOL(BgL_ez00_1791));
			}
		}
	}



/* &initflow-node-box-se1955 */
	obj_t BGl_z62initflowzd2nodezd2boxzd2se1955zb0zzinitflow_walkz00(obj_t
		BgL_envz00_2974, obj_t BgL_nodez00_2975, obj_t BgL_ez00_2976)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 275 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1783;
				obj_t BgL_ez00_1784;

				BgL_nodez00_1783 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2975);
				BgL_ez00_1784 = BgL_ez00_2976;
				return
					BGl_initflowzd2nodezd2zzinitflow_walkz00(
					(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1783))->BgL_valuez00),
					CBOOL(BgL_ez00_1784));
			}
		}
	}



/* &initflow-node-box-re1953 */
	obj_t BGl_z62initflowzd2nodezd2boxzd2re1953zb0zzinitflow_walkz00(obj_t
		BgL_envz00_2977, obj_t BgL_nodez00_2978, obj_t BgL_ez00_2979)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 268 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1776;
				obj_t BgL_ez00_1777;

				BgL_nodez00_1776 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2978);
				BgL_ez00_1777 = BgL_ez00_2979;
				{	/* Initflow/walk.scm 270 */
					BgL_varz00_bglt BgL_arg2170z00_2868;

					BgL_arg2170z00_2868 =
						(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1776))->BgL_varz00);
					return
						BGl_initflowzd2nodezd2zzinitflow_walkz00(
						((BgL_nodez00_bglt) BgL_arg2170z00_2868), CBOOL(BgL_ez00_1777));
				}
			}
		}
	}



/* &initflow-node-make-b1951 */
	obj_t BGl_z62initflowzd2nodezd2makezd2b1951zb0zzinitflow_walkz00(obj_t
		BgL_envz00_2980, obj_t BgL_nodez00_2981, obj_t BgL_ez00_2982)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 261 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1769;
				obj_t BgL_ez00_1770;

				BgL_nodez00_1769 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2981);
				BgL_ez00_1770 = BgL_ez00_2982;
				return
					BGl_initflowzd2nodezd2zzinitflow_walkz00(
					(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1769))->BgL_valuez00),
					CBOOL(BgL_ez00_1770));
			}
		}
	}



/* &initflow-node-select1949 */
	obj_t BGl_z62initflowzd2nodezd2select1949z62zzinitflow_walkz00(obj_t
		BgL_envz00_2983, obj_t BgL_nodez00_2984, obj_t BgL_ez00_2985)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 251 */
			{
				BgL_selectz00_bglt BgL_nodez00_1745;
				obj_t BgL_ez00_1746;

				BgL_nodez00_1745 = ((BgL_selectz00_bglt) BgL_nodez00_2984);
				BgL_ez00_1746 = BgL_ez00_2985;
				{	/* Initflow/walk.scm 253 */
					obj_t BgL_i0z00_1750;

					BgL_i0z00_1750 =
						BGl_initflowzd2nodezd2zzinitflow_walkz00(
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1745))->BgL_testz00),
						CBOOL(BgL_ez00_1746));
					{	/* Initflow/walk.scm 254 */
						obj_t BgL_isz00_1751;

						{	/* Initflow/walk.scm 254 */
							obj_t BgL_l1913z00_1753;

							BgL_l1913z00_1753 =
								(((BgL_selectz00_bglt) CREF(BgL_nodez00_1745))->BgL_clausesz00);
							if (NULLP(BgL_l1913z00_1753))
								{	/* Initflow/walk.scm 254 */
									BgL_isz00_1751 = BNIL;
								}
							else
								{	/* Initflow/walk.scm 254 */
									obj_t BgL_head1915z00_1755;

									{	/* Initflow/walk.scm 254 */
										obj_t BgL_res2317z00_2853;

										BgL_res2317z00_2853 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1915z00_1755 = BgL_res2317z00_2853;
									}
									{
										obj_t BgL_l1913z00_1757;
										obj_t BgL_tail1916z00_1758;

										BgL_l1913z00_1757 = BgL_l1913z00_1753;
										BgL_tail1916z00_1758 = BgL_head1915z00_1755;
									BgL_zc3anonymousza32162ze3z83_1759:
										if (NULLP(BgL_l1913z00_1757))
											{	/* Initflow/walk.scm 254 */
												BgL_isz00_1751 = CDR(BgL_head1915z00_1755);
											}
										else
											{	/* Initflow/walk.scm 254 */
												obj_t BgL_newtail1917z00_1761;

												{	/* Initflow/walk.scm 254 */
													obj_t BgL_arg2165z00_1763;

													{	/* Initflow/walk.scm 254 */
														obj_t BgL_cz00_1764;

														BgL_cz00_1764 = CAR(BgL_l1913z00_1757);
														{	/* Initflow/walk.scm 254 */
															obj_t BgL_arg2166z00_1765;

															BgL_arg2166z00_1765 = CDR(BgL_cz00_1764);
															BgL_arg2165z00_1763 =
																BGl_initflowzd2nodezd2zzinitflow_walkz00(
																((BgL_nodez00_bglt) BgL_arg2166z00_1765),
																((bool_t) 0));
														}
													}
													{	/* Initflow/walk.scm 254 */
														obj_t BgL_res2319z00_2861;

														BgL_res2319z00_2861 =
															MAKE_PAIR(BgL_arg2165z00_1763, BNIL);
														BgL_newtail1917z00_1761 = BgL_res2319z00_2861;
													}
												}
												SET_CDR(BgL_tail1916z00_1758, BgL_newtail1917z00_1761);
												{
													obj_t BgL_tail1916z00_3551;
													obj_t BgL_l1913z00_3549;

													BgL_l1913z00_3549 = CDR(BgL_l1913z00_1757);
													BgL_tail1916z00_3551 = BgL_newtail1917z00_1761;
													BgL_tail1916z00_1758 = BgL_tail1916z00_3551;
													BgL_l1913z00_1757 = BgL_l1913z00_3549;
													goto BgL_zc3anonymousza32162ze3z83_1759;
												}
											}
									}
								}
						}
						return
							BGl_appendzd221011zd2zzinitflow_walkz00
							(BGl_lubz00zzinitflow_walkz00(BgL_isz00_1751, BgL_ez00_1746),
							BgL_i0z00_1750);
					}
				}
			}
		}
	}



/* &initflow-node-fail1947 */
	obj_t BGl_z62initflowzd2nodezd2fail1947z62zzinitflow_walkz00(obj_t
		BgL_envz00_2986, obj_t BgL_nodez00_2987, obj_t BgL_ez00_2988)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 244 */
			{
				BgL_failz00_bglt BgL_nodez00_1732;
				obj_t BgL_ez00_1733;

				BgL_nodez00_1732 = ((BgL_failz00_bglt) BgL_nodez00_2987);
				BgL_ez00_1733 = BgL_ez00_2988;
				{	/* Initflow/walk.scm 246 */
					obj_t BgL_arg2152z00_1737;

					{	/* Initflow/walk.scm 246 */
						BgL_nodez00_bglt BgL_arg2153z00_1738;
						BgL_nodez00_bglt BgL_arg2154z00_1739;
						BgL_nodez00_bglt BgL_arg2156z00_1740;

						BgL_arg2153z00_1738 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1732))->BgL_procz00);
						BgL_arg2154z00_1739 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1732))->BgL_msgz00);
						BgL_arg2156z00_1740 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1732))->BgL_objz00);
						{	/* Initflow/walk.scm 246 */
							obj_t BgL_list2157z00_1741;

							{	/* Initflow/walk.scm 246 */
								obj_t BgL_arg2158z00_1742;

								{	/* Initflow/walk.scm 246 */
									obj_t BgL_arg2159z00_1743;

									BgL_arg2159z00_1743 =
										MAKE_PAIR(((obj_t) BgL_arg2156z00_1740), BNIL);
									BgL_arg2158z00_1742 =
										MAKE_PAIR(
										((obj_t) BgL_arg2154z00_1739), BgL_arg2159z00_1743);
								}
								BgL_list2157z00_1741 =
									MAKE_PAIR(((obj_t) BgL_arg2153z00_1738), BgL_arg2158z00_1742);
							}
							BgL_arg2152z00_1737 = BgL_list2157z00_1741;
						}
					}
					return
						BGl_initflowzd2nodeza2z70zzinitflow_walkz00(BgL_arg2152z00_1737,
						BgL_ez00_1733);
				}
			}
		}
	}



/* &initflow-node-condit1945 */
	obj_t BGl_z62initflowzd2nodezd2condit1945z62zzinitflow_walkz00(obj_t
		BgL_envz00_2989, obj_t BgL_nodez00_2990, obj_t BgL_ez00_2991)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 232 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1716;
				obj_t BgL_ez00_1717;

				BgL_nodez00_1716 = ((BgL_conditionalz00_bglt) BgL_nodez00_2990);
				BgL_ez00_1717 = BgL_ez00_2991;
				{	/* Initflow/walk.scm 234 */
					obj_t BgL_i0z00_1721;

					BgL_i0z00_1721 =
						BGl_initflowzd2nodezd2zzinitflow_walkz00(
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1716))->BgL_testz00),
						CBOOL(BgL_ez00_1717));
					{	/* Initflow/walk.scm 236 */
						obj_t BgL_i1z00_1722;
						obj_t BgL_i2z00_1723;

						BgL_i1z00_1722 =
							BGl_initflowzd2nodezd2zzinitflow_walkz00(
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1716))->BgL_truez00),
							((bool_t) 0));
						BgL_i2z00_1723 =
							BGl_initflowzd2nodezd2zzinitflow_walkz00(((
									(BgL_conditionalz00_bglt) CREF(BgL_nodez00_1716))->
								BgL_falsez00), ((bool_t) 0));
						{	/* Initflow/walk.scm 239 */
							obj_t BgL_arg2145z00_1724;

							{	/* Initflow/walk.scm 239 */
								obj_t BgL_arg2146z00_1725;

								{	/* Initflow/walk.scm 239 */
									obj_t BgL_list2147z00_1726;

									{	/* Initflow/walk.scm 239 */
										obj_t BgL_arg2148z00_1727;

										BgL_arg2148z00_1727 = MAKE_PAIR(BgL_i2z00_1723, BNIL);
										BgL_list2147z00_1726 =
											MAKE_PAIR(BgL_i1z00_1722, BgL_arg2148z00_1727);
									}
									BgL_arg2146z00_1725 = BgL_list2147z00_1726;
								}
								BgL_arg2145z00_1724 =
									BGl_lubz00zzinitflow_walkz00(BgL_arg2146z00_1725,
									BgL_ez00_1717);
							}
							return
								BGl_appendzd221011zd2zzinitflow_walkz00(BgL_arg2145z00_1724,
								BgL_i0z00_1721);
						}
					}
				}
			}
		}
	}



/* &initflow-node-setq1943 */
	obj_t BGl_z62initflowzd2nodezd2setq1943z62zzinitflow_walkz00(obj_t
		BgL_envz00_2992, obj_t BgL_nodez00_2993, obj_t BgL_ez00_2994)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 199 */
			{
				BgL_setqz00_bglt BgL_nodez00_1701;
				obj_t BgL_ez00_1702;

				BgL_nodez00_1701 = ((BgL_setqz00_bglt) BgL_nodez00_2993);
				BgL_ez00_1702 = BgL_ez00_2994;
				{	/* Initflow/walk.scm 201 */
					obj_t BgL_isz00_1706;
					BgL_variablez00_bglt BgL_vz00_1707;

					BgL_isz00_1706 =
						BGl_initflowzd2nodezd2zzinitflow_walkz00(
						(((BgL_setqz00_bglt) CREF(BgL_nodez00_1701))->BgL_valuez00),
						CBOOL(BgL_ez00_1702));
					BgL_vz00_1707 =
						(((BgL_varz00_bglt) CREF(
								(((BgL_setqz00_bglt) CREF(BgL_nodez00_1701))->BgL_varz00)))->
						BgL_variablez00);
					{	/* Initflow/walk.scm 203 */
						bool_t BgL_testz00_3583;

						{	/* Initflow/walk.scm 203 */
							bool_t BgL_testz00_3584;

							{	/* Initflow/walk.scm 203 */
								bool_t BgL_res2312z00_2836;

								BgL_res2312z00_2836 =
									BGl_isazf3zf3zz__objectz00(
									((obj_t) BgL_vz00_1707), BGl_globalz00zzast_varz00);
								BgL_testz00_3584 = BgL_res2312z00_2836;
							}
							if (BgL_testz00_3584)
								{	/* Initflow/walk.scm 203 */
									if (
										((((BgL_globalz00_bglt) CREF(
														((BgL_globalz00_bglt) BgL_vz00_1707)))->
												BgL_initz00) == BUNSPEC))
										{	/* Initflow/walk.scm 205 */
											obj_t BgL_arg2141z00_1711;

											BgL_arg2141z00_1711 =
												(((BgL_globalz00_bglt) CREF(
														((BgL_globalz00_bglt) BgL_vz00_1707)))->
												BgL_modulez00);
											BgL_testz00_3583 =
												(BgL_arg2141z00_1711 ==
												BGl_za2moduleza2z00zzmodule_modulez00);
										}
									else
										{	/* Initflow/walk.scm 204 */
											BgL_testz00_3583 = ((bool_t) 0);
										}
								}
							else
								{	/* Initflow/walk.scm 203 */
									BgL_testz00_3583 = ((bool_t) 0);
								}
						}
						if (BgL_testz00_3583)
							{	/* Initflow/walk.scm 203 */
								if (CBOOL(BgL_ez00_1702))
									{	/* Initflow/walk.scm 206 */
										((((BgL_globalz00_bglt) CREF(
														((BgL_globalz00_bglt) BgL_vz00_1707)))->
												BgL_initz00) = ((obj_t) BTRUE), BUNSPEC);
										return BNIL;
									}
								else
									{	/* Initflow/walk.scm 206 */
										return MAKE_PAIR(((obj_t) BgL_vz00_1707), BgL_isz00_1706);
									}
							}
						else
							{	/* Initflow/walk.scm 203 */
								return BgL_isz00_1706;
							}
					}
				}
			}
		}
	}



/* &initflow-node-extern1941 */
	obj_t BGl_z62initflowzd2nodezd2extern1941z62zzinitflow_walkz00(obj_t
		BgL_envz00_2995, obj_t BgL_nodez00_2996, obj_t BgL_ez00_2997)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 192 */
			{
				BgL_externz00_bglt BgL_nodez00_1694;
				obj_t BgL_ez00_1695;

				BgL_nodez00_1694 = ((BgL_externz00_bglt) BgL_nodez00_2996);
				BgL_ez00_1695 = BgL_ez00_2997;
				return
					BGl_initflowzd2nodeza2z70zzinitflow_walkz00(
					(((BgL_externz00_bglt) CREF(BgL_nodez00_1694))->BgL_exprza2za2),
					BgL_ez00_1695);
			}
		}
	}



/* &initflow-node-funcal1939 */
	obj_t BGl_z62initflowzd2nodezd2funcal1939z62zzinitflow_walkz00(obj_t
		BgL_envz00_2998, obj_t BgL_nodez00_2999, obj_t BgL_ez00_3000)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 185 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1685;
				obj_t BgL_ez00_1686;

				BgL_nodez00_1685 = ((BgL_funcallz00_bglt) BgL_nodez00_2999);
				BgL_ez00_1686 = BgL_ez00_3000;
				{	/* Initflow/walk.scm 187 */
					obj_t BgL_arg2132z00_2827;

					{	/* Initflow/walk.scm 187 */
						BgL_nodez00_bglt BgL_arg2134z00_2828;
						obj_t BgL_arg2136z00_2829;

						BgL_arg2134z00_2828 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1685))->BgL_funz00);
						BgL_arg2136z00_2829 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1685))->BgL_argsz00);
						BgL_arg2132z00_2827 =
							MAKE_PAIR(((obj_t) BgL_arg2134z00_2828), BgL_arg2136z00_2829);
					}
					return
						BGl_initflowzd2nodeza2z70zzinitflow_walkz00(BgL_arg2132z00_2827,
						BgL_ez00_1686);
				}
			}
		}
	}



/* &initflow-node-app-ly1937 */
	obj_t BGl_z62initflowzd2nodezd2appzd2ly1937zb0zzinitflow_walkz00(obj_t
		BgL_envz00_3001, obj_t BgL_nodez00_3002, obj_t BgL_ez00_3003)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 178 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1674;
				obj_t BgL_ez00_1675;

				BgL_nodez00_1674 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_3002);
				BgL_ez00_1675 = BgL_ez00_3003;
				{	/* Initflow/walk.scm 180 */
					obj_t BgL_arg2127z00_1679;

					{	/* Initflow/walk.scm 180 */
						BgL_nodez00_bglt BgL_arg2128z00_1680;
						BgL_nodez00_bglt BgL_arg2129z00_1681;

						BgL_arg2128z00_1680 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1674))->BgL_funz00);
						BgL_arg2129z00_1681 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1674))->BgL_argz00);
						{	/* Initflow/walk.scm 180 */
							obj_t BgL_list2130z00_1682;

							{	/* Initflow/walk.scm 180 */
								obj_t BgL_arg2131z00_1683;

								BgL_arg2131z00_1683 =
									MAKE_PAIR(((obj_t) BgL_arg2129z00_1681), BNIL);
								BgL_list2130z00_1682 =
									MAKE_PAIR(((obj_t) BgL_arg2128z00_1680), BgL_arg2131z00_1683);
							}
							BgL_arg2127z00_1679 = BgL_list2130z00_1682;
						}
					}
					return
						BGl_initflowzd2nodeza2z70zzinitflow_walkz00(BgL_arg2127z00_1679,
						BgL_ez00_1675);
				}
			}
		}
	}



/* &initflow-node-app1935 */
	obj_t BGl_z62initflowzd2nodezd2app1935z62zzinitflow_walkz00(obj_t
		BgL_envz00_3004, obj_t BgL_nodez00_3005, obj_t BgL_ez00_3006)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 164 */
			{
				BgL_appz00_bglt BgL_nodez00_1658;
				obj_t BgL_ez00_1659;

				BgL_nodez00_1658 = ((BgL_appz00_bglt) BgL_nodez00_3005);
				BgL_ez00_1659 = BgL_ez00_3006;
				{	/* Initflow/walk.scm 166 */
					BgL_variablez00_bglt BgL_vz00_1663;

					BgL_vz00_1663 =
						(((BgL_varz00_bglt) CREF(
								(((BgL_appz00_bglt) CREF(BgL_nodez00_1658))->BgL_funz00)))->
						BgL_variablez00);
					{	/* Initflow/walk.scm 166 */
						BgL_valuez00_bglt BgL_fz00_1664;

						BgL_fz00_1664 =
							(((BgL_variablez00_bglt) CREF(BgL_vz00_1663))->BgL_valuez00);
						{	/* Initflow/walk.scm 167 */

							{	/* Initflow/walk.scm 168 */
								bool_t BgL_testz00_3621;

								{	/* Initflow/walk.scm 168 */
									bool_t BgL_testz00_3622;

									{	/* Initflow/walk.scm 168 */
										bool_t BgL_res2308z00_2819;

										BgL_res2308z00_2819 =
											BGl_isazf3zf3zz__objectz00(
											((obj_t) BgL_fz00_1664), BGl_sfunz00zzast_varz00);
										BgL_testz00_3622 = BgL_res2308z00_2819;
									}
									if (BgL_testz00_3622)
										{	/* Initflow/walk.scm 168 */
											BgL_testz00_3621 =
												CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
												(CNST_TABLE_REF(((long) 6)),
													(((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
																	BgL_fz00_1664)))->BgL_propertyz00)));
										}
									else
										{	/* Initflow/walk.scm 168 */
											BgL_testz00_3621 = ((bool_t) 0);
										}
								}
								if (BgL_testz00_3621)
									{	/* Initflow/walk.scm 168 */
										return BNIL;
									}
								else
									{	/* Initflow/walk.scm 170 */
										obj_t BgL_isz00_1666;

										BgL_isz00_1666 =
											BGl_initflowzd2nodeza2z70zzinitflow_walkz00(
											(((BgL_appz00_bglt) CREF(BgL_nodez00_1658))->BgL_argsz00),
											BgL_ez00_1659);
										{	/* Initflow/walk.scm 171 */
											bool_t BgL_testz00_3632;

											{	/* Initflow/walk.scm 171 */
												bool_t BgL_res2309z00_2823;

												BgL_res2309z00_2823 =
													BGl_isazf3zf3zz__objectz00(
													((obj_t) BgL_fz00_1664), BGl_sfunz00zzast_varz00);
												BgL_testz00_3632 = BgL_res2309z00_2823;
											}
											if (BgL_testz00_3632)
												{	/* Initflow/walk.scm 171 */
													return
														BGl_appendzd221011zd2zzinitflow_walkz00
														(BGl_initflowzd2funzd2zzinitflow_walkz00
														(BgL_vz00_1663, CBOOL(BgL_ez00_1659)),
														BgL_isz00_1666);
												}
											else
												{	/* Initflow/walk.scm 171 */
													return BgL_isz00_1666;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &initflow-node-sync1933 */
	obj_t BGl_z62initflowzd2nodezd2sync1933z62zzinitflow_walkz00(obj_t
		BgL_envz00_3007, obj_t BgL_nodez00_3008, obj_t BgL_ez00_3009)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 155 */
			{
				BgL_syncz00_bglt BgL_nodez00_1649;
				obj_t BgL_ez00_1650;

				BgL_nodez00_1649 = ((BgL_syncz00_bglt) BgL_nodez00_3008);
				BgL_ez00_1650 = BgL_ez00_3009;
				BGl_initflowzd2nodezd2zzinitflow_walkz00(
					(((BgL_syncz00_bglt) CREF(BgL_nodez00_1649))->BgL_mutexz00),
					CBOOL(BgL_ez00_1650));
				BGl_initflowzd2nodezd2zzinitflow_walkz00(
					(((BgL_syncz00_bglt) CREF(BgL_nodez00_1649))->BgL_prelockz00),
					CBOOL(BgL_ez00_1650));
				return
					BGl_initflowzd2nodezd2zzinitflow_walkz00(
					(((BgL_syncz00_bglt) CREF(BgL_nodez00_1649))->BgL_bodyz00),
					CBOOL(BgL_ez00_1650));
			}
		}
	}



/* &initflow-node-sequen1931 */
	obj_t BGl_z62initflowzd2nodezd2sequen1931z62zzinitflow_walkz00(obj_t
		BgL_envz00_3010, obj_t BgL_nodez00_3011, obj_t BgL_ez00_3012)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 142 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1631;
				obj_t BgL_ez00_1632;

				BgL_nodez00_1631 = ((BgL_sequencez00_bglt) BgL_nodez00_3011);
				BgL_ez00_1632 = BgL_ez00_3012;
				{
					obj_t BgL_nodesz00_1639;
					obj_t BgL_isz00_1640;

					BgL_nodesz00_1639 =
						(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1631))->BgL_nodesz00);
					BgL_isz00_1640 = BNIL;
				BgL_zc3anonymousza32110ze3z83_1641:
					if (NULLP(BgL_nodesz00_1639))
						{	/* Initflow/walk.scm 146 */
							return BgL_isz00_1640;
						}
					else
						{	/* Initflow/walk.scm 148 */
							obj_t BgL_iz00_1643;

							{	/* Initflow/walk.scm 148 */
								obj_t BgL_arg2114z00_1646;

								BgL_arg2114z00_1646 = CAR(BgL_nodesz00_1639);
								BgL_iz00_1643 =
									BGl_initflowzd2nodezd2zzinitflow_walkz00(
									((BgL_nodez00_bglt) BgL_arg2114z00_1646),
									CBOOL(BgL_ez00_1632));
							}
							{
								obj_t BgL_isz00_3657;
								obj_t BgL_nodesz00_3655;

								BgL_nodesz00_3655 = CDR(BgL_nodesz00_1639);
								BgL_isz00_3657 =
									BGl_appendzd221011zd2zzinitflow_walkz00(BgL_iz00_1643,
									BgL_isz00_1640);
								BgL_isz00_1640 = BgL_isz00_3657;
								BgL_nodesz00_1639 = BgL_nodesz00_3655;
								goto BgL_zc3anonymousza32110ze3z83_1641;
							}
						}
				}
			}
		}
	}



/* &initflow-node-var1929 */
	obj_t BGl_z62initflowzd2nodezd2var1929z62zzinitflow_walkz00(obj_t
		BgL_envz00_3013, obj_t BgL_nodez00_3014, obj_t BgL_ez00_3015)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 99 */
			{
				BgL_varz00_bglt BgL_nodez00_1595;
				obj_t BgL_ez00_1596;

				BgL_nodez00_1595 = ((BgL_varz00_bglt) BgL_nodez00_3014);
				BgL_ez00_1596 = BgL_ez00_3015;
				{	/* Initflow/walk.scm 101 */
					bool_t BgL_testz00_3661;

					{	/* Initflow/walk.scm 101 */
						bool_t BgL_testz00_3662;

						{	/* Initflow/walk.scm 101 */
							BgL_variablez00_bglt BgL_arg2103z00_1625;

							BgL_arg2103z00_1625 =
								(((BgL_varz00_bglt) CREF(BgL_nodez00_1595))->BgL_variablez00);
							{	/* Initflow/walk.scm 101 */
								bool_t BgL_res2297z00_2779;

								BgL_res2297z00_2779 =
									BGl_isazf3zf3zz__objectz00(
									((obj_t) BgL_arg2103z00_1625), BGl_globalz00zzast_varz00);
								BgL_testz00_3662 = BgL_res2297z00_2779;
							}
						}
						if (BgL_testz00_3662)
							{	/* Initflow/walk.scm 101 */
								if (
									((((BgL_globalz00_bglt) CREF(
													((BgL_globalz00_bglt)
														(((BgL_varz00_bglt) CREF(BgL_nodez00_1595))->
															BgL_variablez00))))->BgL_initz00) == BUNSPEC))
									{	/* Initflow/walk.scm 103 */
										obj_t BgL_arg2099z00_1621;

										BgL_arg2099z00_1621 =
											(((BgL_globalz00_bglt) CREF(
													((BgL_globalz00_bglt)
														(((BgL_varz00_bglt) CREF(BgL_nodez00_1595))->
															BgL_variablez00))))->BgL_modulez00);
										BgL_testz00_3661 =
											(BgL_arg2099z00_1621 ==
											BGl_za2moduleza2z00zzmodule_modulez00);
									}
								else
									{	/* Initflow/walk.scm 102 */
										BgL_testz00_3661 = ((bool_t) 0);
									}
							}
						else
							{	/* Initflow/walk.scm 101 */
								BgL_testz00_3661 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_3661)
						{	/* Initflow/walk.scm 101 */
							{	/* Initflow/walk.scm 104 */
								BgL_variablez00_bglt BgL_arg2078z00_1601;

								BgL_arg2078z00_1601 =
									(((BgL_varz00_bglt) CREF(BgL_nodez00_1595))->BgL_variablez00);
								((((BgL_globalz00_bglt) CREF(
												((BgL_globalz00_bglt) BgL_arg2078z00_1601)))->
										BgL_initz00) = ((obj_t) BFALSE), BUNSPEC);
							}
							{	/* Initflow/walk.scm 106 */
								bool_t BgL_testz00_3678;

								{	/* Initflow/walk.scm 106 */
									BgL_typez00_bglt BgL_arg2095z00_1617;

									BgL_arg2095z00_1617 =
										(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt)
														(((BgL_varz00_bglt) CREF(BgL_nodez00_1595))->
															BgL_variablez00)))))->BgL_typez00);
									BgL_testz00_3678 =
										(((obj_t) BgL_arg2095z00_1617) ==
										BGl_za2_za2z00zztype_cachez00);
								}
								if (BgL_testz00_3678)
									{	/* Initflow/walk.scm 107 */
										BgL_variablez00_bglt BgL_arg2080z00_1603;

										BgL_arg2080z00_1603 =
											(((BgL_varz00_bglt) CREF(BgL_nodez00_1595))->
											BgL_variablez00);
										{	/* Initflow/walk.scm 107 */
											BgL_typez00_bglt BgL_vz00_2792;

											BgL_vz00_2792 =
												((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
											((((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt) BgL_arg2080z00_1603))))->
													BgL_typez00) =
												((BgL_typez00_bglt) BgL_vz00_2792), BUNSPEC);
										}
									}
								else
									{	/* Initflow/walk.scm 108 */
										bool_t BgL_testz00_3690;

										{	/* Initflow/walk.scm 108 */
											BgL_typez00_bglt BgL_arg2093z00_1615;

											BgL_arg2093z00_1615 =
												(((BgL_variablez00_bglt) CREF(
														((BgL_variablez00_bglt)
															((BgL_globalz00_bglt)
																(((BgL_varz00_bglt) CREF(BgL_nodez00_1595))->
																	BgL_variablez00)))))->BgL_typez00);
											BgL_testz00_3690 =
												(((obj_t) BgL_arg2093z00_1615) ==
												BGl_za2objza2z00zztype_cachez00);
										}
										if (BgL_testz00_3690)
											{	/* Initflow/walk.scm 108 */
												BUNSPEC;
											}
										else
											{	/* Initflow/walk.scm 110 */
												bool_t BgL_testz00_3697;

												{	/* Initflow/walk.scm 110 */
													bool_t BgL_testz00_3698;

													{	/* Initflow/walk.scm 110 */
														BgL_variablez00_bglt BgL_arg2092z00_1614;

														BgL_arg2092z00_1614 =
															(((BgL_varz00_bglt) CREF(BgL_nodez00_1595))->
															BgL_variablez00);
														BgL_testz00_3698 =
															BGl_globalzd2readzd2onlyzf3zf3zzast_varz00((
																(BgL_globalz00_bglt) BgL_arg2092z00_1614));
													}
													if (BgL_testz00_3698)
														{	/* Initflow/walk.scm 111 */
															BgL_typez00_bglt BgL_arg2089z00_1611;
															obj_t BgL_arg2090z00_1612;

															BgL_arg2089z00_1611 =
																(((BgL_variablez00_bglt) CREF(
																		((BgL_variablez00_bglt)
																			((BgL_globalz00_bglt)
																				(((BgL_varz00_bglt)
																						CREF(BgL_nodez00_1595))->
																					BgL_variablez00)))))->BgL_typez00);
															BgL_arg2090z00_1612 =
																BGl_getzd2classzd2typez00zztype_cachez00();
															BgL_testz00_3697 =
																(((obj_t) BgL_arg2089z00_1611) ==
																BgL_arg2090z00_1612);
														}
													else
														{	/* Initflow/walk.scm 110 */
															BgL_testz00_3697 = ((bool_t) 0);
														}
												}
												if (BgL_testz00_3697)
													{	/* Initflow/walk.scm 110 */
														BUNSPEC;
													}
												else
													{	/* Initflow/walk.scm 114 */
														obj_t BgL_arg2083z00_1606;
														obj_t BgL_arg2084z00_1607;

														BgL_arg2083z00_1606 =
															(((BgL_nodez00_bglt) CREF(
																	((BgL_nodez00_bglt) BgL_nodez00_1595)))->
															BgL_locz00);
														BgL_arg2084z00_1607 =
															(((BgL_variablez00_bglt) CREF((((BgL_varz00_bglt)
																			CREF(BgL_nodez00_1595))->
																		BgL_variablez00)))->BgL_idz00);
														BGl_userzd2errorzf2locationz20zztools_errorz00
															(BgL_arg2083z00_1606,
															BGl_za2moduleza2z00zzmodule_modulez00,
															BGl_string2359z00zzinitflow_walkz00,
															BgL_arg2084z00_1607, BNIL);
													}
											}
									}
							}
						}
					else
						{	/* Initflow/walk.scm 101 */
							BFALSE;
						}
				}
				{	/* Initflow/walk.scm 117 */
					bool_t BgL_testz00_3714;

					{	/* Initflow/walk.scm 117 */
						BgL_valuez00_bglt BgL_arg2107z00_1628;

						BgL_arg2107z00_1628 =
							(((BgL_variablez00_bglt) CREF(
									(((BgL_varz00_bglt) CREF(BgL_nodez00_1595))->
										BgL_variablez00)))->BgL_valuez00);
						{	/* Initflow/walk.scm 117 */
							bool_t BgL_res2304z00_2807;

							BgL_res2304z00_2807 =
								BGl_isazf3zf3zz__objectz00(
								((obj_t) BgL_arg2107z00_1628), BGl_sfunz00zzast_varz00);
							BgL_testz00_3714 = BgL_res2304z00_2807;
						}
					}
					if (BgL_testz00_3714)
						{	/* Initflow/walk.scm 117 */
							return
								BGl_initflowzd2funzd2zzinitflow_walkz00(
								(((BgL_varz00_bglt) CREF(BgL_nodez00_1595))->BgL_variablez00),
								CBOOL(BgL_ez00_1596));
						}
					else
						{	/* Initflow/walk.scm 117 */
							return BNIL;
						}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzinitflow_walkz00()
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 27 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2360z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2360z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string2360z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2360z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2360z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2360z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 189813582),
				BSTRING_TO_STRING(BGl_string2360z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 164192787),
				BSTRING_TO_STRING(BGl_string2360z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2360z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2360z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 458567972),
				BSTRING_TO_STRING(BGl_string2360z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2360z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string2360z00zzinitflow_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 328744326),
				BSTRING_TO_STRING(BGl_string2360z00zzinitflow_walkz00));
		}
	}

#ifdef __cplusplus
}
#endif
