/*===========================================================================*/
/*   (Inline/simple.scm)                                                     */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Inline/simple.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_isfunz00_bgl
	{
		struct BgL_nodez00_bgl *BgL_originalzd2bodyzd2;
		obj_t BgL_recursivezd2callszd2;
	}               *BgL_isfunz00_bglt;


	extern obj_t BGl_closurez00zzast_nodez00;
	extern BgL_nodez00_bglt
		BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_nodez00_bglt, long, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzinline_simplez00();
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzinline_simplez00();
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_svarz00zzast_varz00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_za2verboseza2z00zzengine_paramz00;
	extern bool_t BGl_sidezd2effectzf3z21zzeffect_effectz00(BgL_nodez00_bglt);
	extern obj_t BGl_currentzd2functionzd2zztools_errorz00();
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2appzd2simplez62zzinline_simplez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern bool_t
		BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(BgL_nodez00_bglt);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzinline_simplez00 = BUNSPEC;
	extern BgL_nodez00_bglt BGl_alphatiza7eza7zzast_alphatiza7eza7(obj_t, obj_t,
		obj_t, BgL_nodez00_bglt);
	static obj_t BGl_genericzd2initzd2zzinline_simplez00();
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	extern BgL_localz00_bglt BGl_clonezd2localzd2zzast_localz00(BgL_localz00_bglt,
		BgL_valuez00_bglt);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_inlinezd2appzd2simplez00zzinline_simplez00(BgL_nodez00_bglt, long,
		obj_t, obj_t);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	extern obj_t BGl_isfunz00zzinline_inlinez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzinline_simplez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_spreadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_alphatiza7eza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_siza7eza7(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_za2inliningzd2reducezd2kfactorza2z00zzengine_paramz00;
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zzinline_simplez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzinline_simplez00();
	extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t,
		BgL_typez00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzinline_simplez00();
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_IMPORT bool_t BGl_2zc3zd3z10zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t __cnst[3];


	   
		 
		DEFINE_STRING(BGl_string2007z00zzinline_simplez00,
		BgL_bgl_string2007za700za7za7i2015za7, " (", 2);
	      DEFINE_STRING(BGl_string2008z00zzinline_simplez00,
		BgL_bgl_string2008za700za7za7i2016za7, " --> ", 5);
	      DEFINE_STRING(BGl_string2009z00zzinline_simplez00,
		BgL_bgl_string2009za700za7za7i2017za7, "         ", 9);
	      DEFINE_STRING(BGl_string2010z00zzinline_simplez00,
		BgL_bgl_string2010za700za7za7i2018za7, "inline_simple", 13);
	      DEFINE_STRING(BGl_string2011z00zzinline_simplez00,
		BgL_bgl_string2011za700za7za7i2019za7, "res (sifun sgfun) read ", 23);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_inlinezd2appzd2simplezd2envzd2zzinline_simplez00,
		BgL_bgl_za762inlineza7d2appza72020za7,
		BGl_z62inlinezd2appzd2simplez62zzinline_simplez00, 0L, BUNSPEC, 4);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzinline_simplez00(long
		BgL_checksumz00_2326, char *BgL_fromz00_2327)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzinline_simplez00))
				{
					BGl_requirezd2initializa7ationz75zzinline_simplez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzinline_simplez00();
					BGl_cnstzd2initzd2zzinline_simplez00();
					BGl_importedzd2moduleszd2initz00zzinline_simplez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzinline_simplez00()
	{
		AN_OBJECT;
		{	/* Inline/simple.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"inline_simple");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"inline_simple");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"inline_simple");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"inline_simple");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"inline_simple");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzinline_simplez00()
	{
		AN_OBJECT;
		{	/* Inline/simple.scm 15 */
			{	/* Inline/simple.scm 15 */
				obj_t BgL_cportz00_2318;

				BgL_cportz00_2318 =
					bgl_open_input_string(BGl_string2011z00zzinline_simplez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2319;

					BgL_iz00_2319 = ((long) 2);
				BgL_loopz00_2320:
					if ((BgL_iz00_2319 == ((long) -1)))
						{	/* Inline/simple.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Inline/simple.scm 15 */
							{	/* Inline/simple.scm 15 */
								obj_t BgL_arg2014z00_2322;

								{	/* Inline/simple.scm 15 */

									{	/* Inline/simple.scm 15 */
										obj_t BgL_locationz00_2324;

										BgL_locationz00_2324 = BBOOL(((bool_t) 0));
										{	/* Inline/simple.scm 15 */

											BgL_arg2014z00_2322 =
												BGl_readz00zz__readerz00(BgL_cportz00_2318,
												BgL_locationz00_2324);
										}
									}
								}
								{	/* Inline/simple.scm 15 */
									int BgL_auxz00_2345;

									BgL_auxz00_2345 = (int) (BgL_iz00_2319);
									CNST_TABLE_SET(BgL_auxz00_2345, BgL_arg2014z00_2322);
							}}
							{	/* Inline/simple.scm 15 */
								int BgL_auxz00_2325;

								BgL_auxz00_2325 = (int) ((BgL_iz00_2319 - ((long) 1)));
								{
									long BgL_iz00_2350;

									BgL_iz00_2350 = (long) (BgL_auxz00_2325);
									BgL_iz00_2319 = BgL_iz00_2350;
									goto BgL_loopz00_2320;
								}
							}
						}
				}
			}
		}
	}



/* inline-app-simple */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_inlinezd2appzd2simplez00zzinline_simplez00(BgL_nodez00_bglt
		BgL_nodez00_3, long BgL_kfactorz00_4, obj_t BgL_stackz00_5,
		obj_t BgL_msgz00_6)
	{
		AN_OBJECT;
		{	/* Inline/simple.scm 43 */
			{	/* Inline/simple.scm 46 */
				BgL_variablez00_bglt BgL_calleez00_1292;

				BgL_calleez00_1292 =
					(((BgL_varz00_bglt) CREF(
							(((BgL_appz00_bglt) CREF(
										((BgL_appz00_bglt) BgL_nodez00_3)))->BgL_funz00)))->
					BgL_variablez00);
				{	/* Inline/simple.scm 46 */
					BgL_valuez00_bglt BgL_sfunz00_1293;

					BgL_sfunz00_1293 =
						(((BgL_variablez00_bglt) CREF(BgL_calleez00_1292))->BgL_valuez00);
					{	/* Inline/simple.scm 47 */
						obj_t BgL_formalsz00_1294;

						BgL_formalsz00_1294 =
							(((BgL_sfunz00_bglt) CREF(
									((BgL_sfunz00_bglt) BgL_sfunz00_1293)))->BgL_argsz00);
						{	/* Inline/simple.scm 48 */
							obj_t BgL_actualsz00_1295;

							BgL_actualsz00_1295 =
								(((BgL_appz00_bglt) CREF(
										((BgL_appz00_bglt) BgL_nodez00_3)))->BgL_argsz00);
							{	/* Inline/simple.scm 49 */
								obj_t BgL_reductorsz00_1296;

								if (NULLP(BgL_formalsz00_1294))
									{	/* Inline/simple.scm 50 */
										BgL_reductorsz00_1296 = BNIL;
									}
								else
									{	/* Inline/simple.scm 50 */
										obj_t BgL_head1841z00_1377;

										{	/* Inline/simple.scm 50 */
											obj_t BgL_res1981z00_2192;

											BgL_res1981z00_2192 = MAKE_PAIR(BNIL, BNIL);
											BgL_head1841z00_1377 = BgL_res1981z00_2192;
										}
										{
											obj_t BgL_ll1839z00_1379;
											obj_t BgL_ll1840z00_1380;
											obj_t BgL_tail1842z00_1381;

											BgL_ll1839z00_1379 = BgL_formalsz00_1294;
											BgL_ll1840z00_1380 = BgL_actualsz00_1295;
											BgL_tail1842z00_1381 = BgL_head1841z00_1377;
										BgL_zc3anonymousza31904ze3z83_1382:
											if (NULLP(BgL_ll1839z00_1379))
												{	/* Inline/simple.scm 50 */
													BgL_reductorsz00_1296 = CDR(BgL_head1841z00_1377);
												}
											else
												{	/* Inline/simple.scm 50 */
													obj_t BgL_newtail1843z00_1384;

													{	/* Inline/simple.scm 50 */
														BgL_variablez00_bglt BgL_arg1908z00_1387;

														{	/* Inline/simple.scm 50 */
															obj_t BgL_fz00_1388;
															obj_t BgL_az00_1389;

															BgL_fz00_1388 = CAR(BgL_ll1839z00_1379);
															BgL_az00_1389 = CAR(BgL_ll1840z00_1380);
															{	/* Inline/simple.scm 51 */
																bool_t BgL_testz00_2368;

																if (BGl_isazf3zf3zz__objectz00(BgL_az00_1389,
																		BGl_closurez00zzast_nodez00))
																	{	/* Inline/simple.scm 51 */
																		if (
																			((((BgL_variablez00_bglt) CREF(
																							((BgL_variablez00_bglt)
																								((BgL_localz00_bglt)
																									BgL_fz00_1388))))->
																					BgL_accessz00) ==
																				CNST_TABLE_REF(((long) 0))))
																			{	/* Inline/simple.scm 53 */
																				bool_t BgL__ortest_1102z00_1398;

																				{	/* Inline/simple.scm 53 */
																					BgL_typez00_bglt BgL_arg1916z00_1402;

																					BgL_arg1916z00_1402 =
																						(((BgL_variablez00_bglt) CREF(
																								((BgL_variablez00_bglt)
																									((BgL_localz00_bglt)
																										BgL_fz00_1388))))->
																						BgL_typez00);
																					BgL__ortest_1102z00_1398 =
																						(((obj_t) BgL_arg1916z00_1402) ==
																						BGl_za2procedureza2z00zztype_cachez00);
																				}
																				if (BgL__ortest_1102z00_1398)
																					{	/* Inline/simple.scm 53 */
																						BgL_testz00_2368 =
																							BgL__ortest_1102z00_1398;
																					}
																				else
																					{	/* Inline/simple.scm 54 */
																						bool_t BgL__ortest_1103z00_1399;

																						{	/* Inline/simple.scm 54 */
																							BgL_typez00_bglt
																								BgL_arg1915z00_1401;
																							BgL_arg1915z00_1401 =
																								(((BgL_variablez00_bglt)
																									CREF(((BgL_variablez00_bglt) (
																												(BgL_localz00_bglt)
																												BgL_fz00_1388))))->
																								BgL_typez00);
																							BgL__ortest_1103z00_1399 =
																								(((obj_t) BgL_arg1915z00_1401)
																								==
																								BGl_za2_za2z00zztype_cachez00);
																						}
																						if (BgL__ortest_1103z00_1399)
																							{	/* Inline/simple.scm 54 */
																								BgL_testz00_2368 =
																									BgL__ortest_1103z00_1399;
																							}
																						else
																							{	/* Inline/simple.scm 55 */
																								BgL_typez00_bglt
																									BgL_arg1914z00_1400;
																								BgL_arg1914z00_1400 =
																									(((BgL_variablez00_bglt)
																										CREF(((BgL_variablez00_bglt)
																												((BgL_localz00_bglt)
																													BgL_fz00_1388))))->
																									BgL_typez00);
																								BgL_testz00_2368 =
																									(((obj_t) BgL_arg1914z00_1400)
																									==
																									BGl_za2objza2z00zztype_cachez00);
																							}
																					}
																			}
																		else
																			{	/* Inline/simple.scm 52 */
																				BgL_testz00_2368 = ((bool_t) 0);
																			}
																	}
																else
																	{	/* Inline/simple.scm 51 */
																		BgL_testz00_2368 = ((bool_t) 0);
																	}
																if (BgL_testz00_2368)
																	{	/* Inline/simple.scm 51 */
																		BgL_arg1908z00_1387 =
																			(((BgL_varz00_bglt) CREF(
																					((BgL_varz00_bglt)
																						((BgL_closurez00_bglt)
																							BgL_az00_1389))))->
																			BgL_variablez00);
																	}
																else
																	{	/* Inline/simple.scm 63 */
																		BgL_svarz00_bglt BgL_arg1910z00_1391;

																		{	/* Inline/simple.scm 63 */
																			BgL_svarz00_bglt
																				BgL_duplicated1105z00_1392;
																			BgL_svarz00_bglt BgL_new1104z00_1393;

																			BgL_duplicated1105z00_1392 =
																				((BgL_svarz00_bglt)
																				(((BgL_variablez00_bglt) CREF(
																							((BgL_variablez00_bglt)
																								((BgL_localz00_bglt)
																									BgL_fz00_1388))))->
																					BgL_valuez00));
																			{	/* Inline/simple.scm 63 */
																				BgL_svarz00_bglt BgL_new1106z00_1394;

																				BgL_new1106z00_1394 =
																					((BgL_svarz00_bglt)
																					BREF(GC_MALLOC(sizeof(struct
																								BgL_svarz00_bgl))));
																				{	/* Inline/simple.scm 63 */
																					long BgL_arg1911z00_1395;

																					{	/* Inline/simple.scm 63 */
																						long BgL_res1989z00_2218;

																						BgL_res1989z00_2218 =
																							BGL_CLASS_INDEX
																							(BGl_svarz00zzast_varz00);
																						BgL_arg1911z00_1395 =
																							BgL_res1989z00_2218;
																					}
																					BGL_OBJECT_CLASS_NUM_SET(
																						((BgL_objectz00_bglt)
																							BgL_new1106z00_1394),
																						BgL_arg1911z00_1395);
																				}
																				{	/* Inline/simple.scm 63 */
																					BgL_objectz00_bglt BgL_auxz00_2405;

																					BgL_auxz00_2405 =
																						((BgL_objectz00_bglt)
																						BgL_new1106z00_1394);
																					BGL_OBJECT_WIDENING_SET
																						(BgL_auxz00_2405, BFALSE);
																				}
																				BgL_new1104z00_1393 =
																					BgL_new1106z00_1394;
																			}
																			((((BgL_svarz00_bglt)
																						CREF(BgL_new1104z00_1393))->
																					BgL_locz00) =
																				((obj_t) (((BgL_svarz00_bglt)
																							CREF
																							(BgL_duplicated1105z00_1392))->
																						BgL_locz00)), BUNSPEC);
																			BgL_arg1910z00_1391 = BgL_new1104z00_1393;
																		}
																		BgL_arg1908z00_1387 =
																			((BgL_variablez00_bglt)
																			BGl_clonezd2localzd2zzast_localz00(
																				((BgL_localz00_bglt) BgL_fz00_1388),
																				((BgL_valuez00_bglt)
																					BgL_arg1910z00_1391)));
														}}}
														{	/* Inline/simple.scm 50 */
															obj_t BgL_res1990z00_2223;

															BgL_res1990z00_2223 =
																MAKE_PAIR(((obj_t) BgL_arg1908z00_1387), BNIL);
															BgL_newtail1843z00_1384 = BgL_res1990z00_2223;
													}}
													SET_CDR(BgL_tail1842z00_1381,
														BgL_newtail1843z00_1384);
													{
														obj_t BgL_tail1842z00_2421;
														obj_t BgL_ll1840z00_2419;
														obj_t BgL_ll1839z00_2417;

														BgL_ll1839z00_2417 = CDR(BgL_ll1839z00_1379);
														BgL_ll1840z00_2419 = CDR(BgL_ll1840z00_1380);
														BgL_tail1842z00_2421 = BgL_newtail1843z00_1384;
														BgL_tail1842z00_1381 = BgL_tail1842z00_2421;
														BgL_ll1840z00_1380 = BgL_ll1840z00_2419;
														BgL_ll1839z00_1379 = BgL_ll1839z00_2417;
														goto BgL_zc3anonymousza31904ze3z83_1382;
													}
												}
										}
									}
								{	/* Inline/simple.scm 50 */
									obj_t BgL_bindingsz00_1297;

									{
										obj_t BgL_reductorsz00_1354;
										obj_t BgL_actualsz00_1355;
										obj_t BgL_resz00_1356;

										BgL_reductorsz00_1354 = BgL_reductorsz00_1296;
										BgL_actualsz00_1355 = BgL_actualsz00_1295;
										BgL_resz00_1356 = BNIL;
									BgL_zc3anonymousza31886ze3z83_1357:
										if (NULLP(BgL_actualsz00_1355))
											{	/* Inline/simple.scm 70 */
												BgL_bindingsz00_1297 =
													bgl_reverse_bang(BgL_resz00_1356);
											}
										else
											{	/* Inline/simple.scm 72 */
												bool_t BgL_testz00_2425;

												{	/* Inline/simple.scm 72 */
													bool_t BgL_testz00_2426;

													{	/* Inline/simple.scm 72 */
														obj_t BgL_arg1902z00_1372;

														BgL_arg1902z00_1372 = CAR(BgL_actualsz00_1355);
														BgL_testz00_2426 =
															BGl_isazf3zf3zz__objectz00(BgL_arg1902z00_1372,
															BGl_closurez00zzast_nodez00);
													}
													if (BgL_testz00_2426)
														{	/* Inline/simple.scm 72 */
															BgL_testz00_2425 =
																(CAR(BgL_reductorsz00_1354) ==
																((obj_t)
																	(((BgL_varz00_bglt) CREF(
																				((BgL_varz00_bglt)
																					((BgL_closurez00_bglt)
																						CAR(BgL_actualsz00_1355)))))->
																		BgL_variablez00)));
														}
													else
														{	/* Inline/simple.scm 72 */
															BgL_testz00_2425 = ((bool_t) 0);
														}
												}
												if (BgL_testz00_2425)
													{
														obj_t BgL_actualsz00_2438;
														obj_t BgL_reductorsz00_2436;

														BgL_reductorsz00_2436 = CDR(BgL_reductorsz00_1354);
														BgL_actualsz00_2438 = CDR(BgL_actualsz00_1355);
														BgL_actualsz00_1355 = BgL_actualsz00_2438;
														BgL_reductorsz00_1354 = BgL_reductorsz00_2436;
														goto BgL_zc3anonymousza31886ze3z83_1357;
													}
												else
													{	/* Inline/simple.scm 79 */
														obj_t BgL_arg1891z00_1362;
														obj_t BgL_arg1892z00_1363;
														obj_t BgL_arg1893z00_1364;

														BgL_arg1891z00_1362 = CDR(BgL_reductorsz00_1354);
														BgL_arg1892z00_1363 = CDR(BgL_actualsz00_1355);
														{	/* Inline/simple.scm 81 */
															obj_t BgL_arg1894z00_1365;

															BgL_arg1894z00_1365 =
																MAKE_PAIR(CAR(BgL_reductorsz00_1354),
																CAR(BgL_actualsz00_1355));
															BgL_arg1893z00_1364 =
																MAKE_PAIR(BgL_arg1894z00_1365, BgL_resz00_1356);
														}
														{
															obj_t BgL_resz00_2448;
															obj_t BgL_actualsz00_2447;
															obj_t BgL_reductorsz00_2446;

															BgL_reductorsz00_2446 = BgL_arg1891z00_1362;
															BgL_actualsz00_2447 = BgL_arg1892z00_1363;
															BgL_resz00_2448 = BgL_arg1893z00_1364;
															BgL_resz00_1356 = BgL_resz00_2448;
															BgL_actualsz00_1355 = BgL_actualsz00_2447;
															BgL_reductorsz00_1354 = BgL_reductorsz00_2446;
															goto BgL_zc3anonymousza31886ze3z83_1357;
														}
													}
											}
									}
									{	/* Inline/simple.scm 66 */
										obj_t BgL_bodyz00_1298;

										{	/* Inline/simple.scm 84 */
											bool_t BgL_testz00_2449;

											{	/* Inline/simple.scm 84 */
												bool_t BgL_res1994z00_2245;

												BgL_res1994z00_2245 =
													BGl_isazf3zf3zz__objectz00(
													((obj_t) BgL_sfunz00_1293),
													BGl_isfunz00zzinline_inlinez00);
												BgL_testz00_2449 = BgL_res1994z00_2245;
											}
											if (BgL_testz00_2449)
												{
													BgL_nodez00_bglt BgL_auxz00_2452;

													{
														BgL_isfunz00_bglt BgL_auxz00_2453;

														{
															obj_t BgL_auxz00_2454;

															{	/* Inline/simple.scm 85 */
																BgL_objectz00_bglt BgL_auxz00_2455;

																BgL_auxz00_2455 =
																	((BgL_objectz00_bglt)
																	((BgL_sfunz00_bglt) BgL_sfunz00_1293));
																BgL_auxz00_2454 =
																	BGL_OBJECT_WIDENING(BgL_auxz00_2455);
															}
															BgL_auxz00_2453 =
																((BgL_isfunz00_bglt) BgL_auxz00_2454);
														}
														BgL_auxz00_2452 =
															(((BgL_isfunz00_bglt) CREF(BgL_auxz00_2453))->
															BgL_originalzd2bodyzd2);
													}
													BgL_bodyz00_1298 = ((obj_t) BgL_auxz00_2452);
												}
											else
												{	/* Inline/simple.scm 84 */
													BgL_bodyz00_1298 =
														(((BgL_sfunz00_bglt) CREF(
																((BgL_sfunz00_bglt) BgL_sfunz00_1293)))->
														BgL_bodyz00);
												}
										}
										{	/* Inline/simple.scm 87 */
											obj_t BgL_newzd2kfactorzd2_1300;

											BgL_newzd2kfactorzd2_1300 =
												PROCEDURE_ENTRY
												(BGl_za2inliningzd2reducezd2kfactorza2z00zzengine_paramz00)
												(BGl_za2inliningzd2reducezd2kfactorza2z00zzengine_paramz00,
												BINT(BgL_kfactorz00_4), BEOA);
											{	/* Inline/simple.scm 88 */
												obj_t BgL_locz00_1301;

												BgL_locz00_1301 =
													(((BgL_nodez00_bglt) CREF(BgL_nodez00_3))->
													BgL_locz00);
												{	/* Inline/simple.scm 89 */
													BgL_typez00_bglt BgL_typez00_1302;

													BgL_typez00_1302 =
														(((BgL_variablez00_bglt) CREF(BgL_calleez00_1292))->
														BgL_typez00);
													{	/* Inline/simple.scm 90 */

														if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
																	(((BgL_sfunz00_bglt) CREF(
																				((BgL_sfunz00_bglt)
																					BgL_sfunz00_1293)))->BgL_classz00),
																	CNST_TABLE_REF(((long) 1)))))
															{	/* Inline/simple.scm 92 */
																BFALSE;
															}
														else
															{	/* Inline/simple.scm 92 */
																if (BGl_2zc3zd3z10zz__r4_numbers_6_5z00(BINT((
																				(long) 3)),
																		BGl_za2verboseza2z00zzengine_paramz00))
																	{	/* Inline/simple.scm 94 */
																		obj_t BgL_arg1854z00_1306;
																		obj_t BgL_arg1855z00_1307;

																		BgL_arg1854z00_1306 =
																			BGl_shapez00zztools_shapez00(
																			((obj_t) BgL_calleez00_1292));
																		BgL_arg1855z00_1307 =
																			BGl_currentzd2functionzd2zztools_errorz00
																			();
																		{	/* Inline/simple.scm 93 */
																			obj_t BgL_list1856z00_1308;

																			{	/* Inline/simple.scm 93 */
																				obj_t BgL_arg1857z00_1309;

																				{	/* Inline/simple.scm 93 */
																					obj_t BgL_arg1858z00_1310;

																					{	/* Inline/simple.scm 93 */
																						obj_t BgL_arg1859z00_1311;

																						{	/* Inline/simple.scm 93 */
																							obj_t BgL_arg1861z00_1312;

																							{	/* Inline/simple.scm 93 */
																								obj_t BgL_arg1862z00_1313;

																								{	/* Inline/simple.scm 93 */
																									obj_t BgL_arg1863z00_1314;

																									{	/* Inline/simple.scm 93 */
																										obj_t BgL_arg1864z00_1315;

																										BgL_arg1864z00_1315 =
																											MAKE_PAIR(BCHAR(((unsigned
																														char) '\n')), BNIL);
																										BgL_arg1863z00_1314 =
																											MAKE_PAIR(BCHAR(((unsigned
																														char) ')')),
																											BgL_arg1864z00_1315);
																									}
																									BgL_arg1862z00_1313 =
																										MAKE_PAIR(BgL_msgz00_6,
																										BgL_arg1863z00_1314);
																								}
																								BgL_arg1861z00_1312 =
																									MAKE_PAIR
																									(BGl_string2007z00zzinline_simplez00,
																									BgL_arg1862z00_1313);
																							}
																							BgL_arg1859z00_1311 =
																								MAKE_PAIR(BgL_arg1855z00_1307,
																								BgL_arg1861z00_1312);
																						}
																						BgL_arg1858z00_1310 =
																							MAKE_PAIR
																							(BGl_string2008z00zzinline_simplez00,
																							BgL_arg1859z00_1311);
																					}
																					BgL_arg1857z00_1309 =
																						MAKE_PAIR(BgL_arg1854z00_1306,
																						BgL_arg1858z00_1310);
																				}
																				BgL_list1856z00_1308 =
																					MAKE_PAIR
																					(BGl_string2009z00zzinline_simplez00,
																					BgL_arg1857z00_1309);
																			}
																			BGl_verbosez00zztools_speekz00(BINT((
																						(long) 3)), BgL_list1856z00_1308);
																	}}
																else
																	{	/* Inline/simple.scm 93 */
																		BUNSPEC;
																	}
															}
														{	/* Inline/simple.scm 104 */
															BgL_nodez00_bglt BgL_alphazd2bodyzd2_1317;

															BgL_alphazd2bodyzd2_1317 =
																BGl_alphatiza7eza7zzast_alphatiza7eza7
																(BgL_formalsz00_1294, BgL_reductorsz00_1296,
																BgL_locz00_1301,
																((BgL_nodez00_bglt) BgL_bodyz00_1298));
															{	/* Inline/simple.scm 104 */

																BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00
																	(BgL_alphazd2bodyzd2_1317);
																{	/* Inline/simple.scm 108 */
																	BgL_nodez00_bglt BgL_inodez00_1318;

																	{	/* Inline/simple.scm 108 */
																		obj_t BgL_arg1884z00_1350;

																		BgL_arg1884z00_1350 =
																			MAKE_PAIR(
																			((obj_t) BgL_calleez00_1292),
																			BgL_stackz00_5);
																		BgL_inodez00_1318 =
																			BGl_inlinezd2nodezd2zzinline_inlinez00
																			(BgL_alphazd2bodyzd2_1317,
																			(long) CINT(BgL_newzd2kfactorzd2_1300),
																			BgL_arg1884z00_1350);
																	}
																	{	/* Inline/simple.scm 108 */
																		BgL_letzd2varzd2_bglt BgL_ibodyz00_1319;

																		{	/* Inline/simple.scm 109 */
																			BgL_letzd2varzd2_bglt BgL_new1111z00_1346;

																			{	/* Inline/simple.scm 110 */
																				BgL_letzd2varzd2_bglt
																					BgL_new1110z00_1348;
																				BgL_new1110z00_1348 =
																					((BgL_letzd2varzd2_bglt)
																					BREF(GC_MALLOC(sizeof(struct
																								BgL_letzd2varzd2_bgl))));
																				{	/* Inline/simple.scm 110 */
																					long BgL_arg1883z00_1349;

																					{	/* Inline/simple.scm 110 */
																						long BgL_res1998z00_2262;

																						BgL_res1998z00_2262 =
																							BGL_CLASS_INDEX
																							(BGl_letzd2varzd2zzast_nodez00);
																						BgL_arg1883z00_1349 =
																							BgL_res1998z00_2262;
																					}
																					BGL_OBJECT_CLASS_NUM_SET(
																						((BgL_objectz00_bglt)
																							BgL_new1110z00_1348),
																						BgL_arg1883z00_1349);
																				}
																				{	/* Inline/simple.scm 110 */
																					BgL_objectz00_bglt BgL_auxz00_2506;

																					BgL_auxz00_2506 =
																						((BgL_objectz00_bglt)
																						BgL_new1110z00_1348);
																					BGL_OBJECT_WIDENING_SET
																						(BgL_auxz00_2506, BFALSE);
																				}
																				BgL_new1111z00_1346 =
																					BgL_new1110z00_1348;
																			}
																			((((BgL_nodez00_bglt) CREF(
																							((BgL_nodez00_bglt)
																								BgL_new1111z00_1346)))->
																					BgL_locz00) =
																				((obj_t) BgL_locz00_1301), BUNSPEC);
																			{
																				BgL_typez00_bglt BgL_auxz00_2511;

																				{	/* Inline/simple.scm 112 */
																					BgL_typez00_bglt BgL_arg1882z00_1347;

																					BgL_arg1882z00_1347 =
																						(((BgL_nodez00_bglt)
																							CREF(BgL_inodez00_1318))->
																						BgL_typez00);
																					BgL_auxz00_2511 =
																						BGl_strictzd2nodezd2typez00zzast_nodez00
																						(BgL_arg1882z00_1347,
																						BgL_typez00_1302);
																				}
																				((((BgL_nodez00_bglt) CREF(
																								((BgL_nodez00_bglt)
																									BgL_new1111z00_1346)))->
																						BgL_typez00) =
																					((BgL_typez00_bglt) BgL_auxz00_2511),
																					BUNSPEC);
																			}
																			((((BgL_nodezf2effectzf2_bglt) CREF(
																							((BgL_nodezf2effectzf2_bglt)
																								BgL_new1111z00_1346)))->
																					BgL_sidezd2effectzd2) =
																				((obj_t)
																					BBOOL
																					(BGl_sidezd2effectzf3z21zzeffect_effectz00
																						(BgL_alphazd2bodyzd2_1317))),
																				BUNSPEC);
																			((((BgL_nodezf2effectzf2_bglt)
																						CREF(((BgL_nodezf2effectzf2_bglt)
																								BgL_new1111z00_1346)))->
																					BgL_keyz00) =
																				((obj_t) BINT(((long) -1))), BUNSPEC);
																			((((BgL_letzd2varzd2_bglt)
																						CREF(BgL_new1111z00_1346))->
																					BgL_bindingsz00) =
																				((obj_t) BgL_bindingsz00_1297),
																				BUNSPEC);
																			((((BgL_letzd2varzd2_bglt)
																						CREF(BgL_new1111z00_1346))->
																					BgL_bodyz00) =
																				((BgL_nodez00_bglt) BgL_inodez00_1318),
																				BUNSPEC);
																			((((BgL_letzd2varzd2_bglt)
																						CREF(BgL_new1111z00_1346))->
																					BgL_removablezf3zf3) =
																				((bool_t) ((bool_t) 1)), BUNSPEC);
																			BgL_ibodyz00_1319 = BgL_new1111z00_1346;
																		}
																		{	/* Inline/simple.scm 109 */

																			{
																				obj_t BgL_ll1845z00_1321;
																				obj_t BgL_ll1846z00_1322;

																				BgL_ll1845z00_1321 =
																					BgL_reductorsz00_1296;
																				BgL_ll1846z00_1322 =
																					BgL_formalsz00_1294;
																			BgL_zc3anonymousza31866ze3z83_1323:
																				if (NULLP(BgL_ll1845z00_1321))
																					{	/* Inline/simple.scm 116 */
																						((bool_t) 1);
																					}
																				else
																					{	/* Inline/simple.scm 116 */
																						{	/* Inline/simple.scm 117 */
																							obj_t BgL_reductorz00_1325;
																							obj_t BgL_formalz00_1326;

																							BgL_reductorz00_1325 =
																								CAR(BgL_ll1845z00_1321);
																							BgL_formalz00_1326 =
																								CAR(BgL_ll1846z00_1322);
																							if (BGl_isazf3zf3zz__objectz00
																								(BgL_reductorz00_1325,
																									BGl_localz00zzast_varz00))
																								{	/* Inline/simple.scm 118 */
																									bool_t BgL_arg1869z00_1328;

																									BgL_arg1869z00_1328 =
																										(((BgL_variablez00_bglt)
																											CREF((
																													(BgL_variablez00_bglt)
																													((BgL_localz00_bglt)
																														BgL_formalz00_1326))))->
																										BgL_userzf3zf3);
																									((((BgL_variablez00_bglt)
																												CREF((
																														(BgL_variablez00_bglt)
																														((BgL_localz00_bglt)
																															BgL_reductorz00_1325))))->
																											BgL_userzf3zf3) =
																										((bool_t)
																											BgL_arg1869z00_1328),
																										BUNSPEC);
																								}
																							else
																								{	/* Inline/simple.scm 117 */
																									BFALSE;
																								}
																						}
																						{
																							obj_t BgL_ll1846z00_2540;
																							obj_t BgL_ll1845z00_2538;

																							BgL_ll1845z00_2538 =
																								CDR(BgL_ll1845z00_1321);
																							BgL_ll1846z00_2540 =
																								CDR(BgL_ll1846z00_1322);
																							BgL_ll1846z00_1322 =
																								BgL_ll1846z00_2540;
																							BgL_ll1845z00_1321 =
																								BgL_ll1845z00_2538;
																							goto
																								BgL_zc3anonymousza31866ze3z83_1323;
																						}
																					}
																			}
																			{	/* Inline/simple.scm 125 */
																				bool_t BgL_testz00_2542;

																				if (
																					(((obj_t) BgL_typez00_1302) ==
																						BGl_za2_za2z00zztype_cachez00))
																					{	/* Inline/simple.scm 125 */
																						BgL_testz00_2542 = ((bool_t) 1);
																					}
																				else
																					{	/* Inline/simple.scm 125 */
																						if (
																							(((obj_t) BgL_typez00_1302) ==
																								BGl_za2objza2z00zztype_cachez00))
																							{	/* Inline/simple.scm 126 */
																								BgL_testz00_2542 = ((bool_t) 1);
																							}
																						else
																							{	/* Inline/simple.scm 126 */
																								BgL_testz00_2542 =
																									(
																									((obj_t) BgL_typez00_1302) ==
																									((obj_t)
																										(((BgL_nodez00_bglt)
																												CREF
																												(BgL_alphazd2bodyzd2_1317))->
																											BgL_typez00)));
																							}
																					}
																				if (BgL_testz00_2542)
																					{	/* Inline/simple.scm 125 */
																						return
																							((BgL_nodez00_bglt)
																							BgL_ibodyz00_1319);
																					}
																				else
																					{	/* Inline/simple.scm 129 */
																						BgL_localz00_bglt BgL_varz00_1333;

																						BgL_varz00_1333 =
																							BGl_makezd2localzd2svarz00zzast_localz00
																							(BGl_gensymz00zz__r4_symbols_6_4z00
																							(CNST_TABLE_REF(((long) 2))),
																							BgL_typez00_1302);
																						{	/* Inline/simple.scm 130 */
																							BgL_letzd2varzd2_bglt
																								BgL_new1114z00_1334;
																							{	/* Inline/simple.scm 131 */
																								BgL_letzd2varzd2_bglt
																									BgL_new1112z00_1340;
																								BgL_new1112z00_1340 =
																									((BgL_letzd2varzd2_bglt)
																									BREF(GC_MALLOC(sizeof(struct
																												BgL_letzd2varzd2_bgl))));
																								{	/* Inline/simple.scm 131 */
																									long BgL_arg1877z00_1341;

																									{	/* Inline/simple.scm 131 */
																										long BgL_res2004z00_2286;

																										BgL_res2004z00_2286 =
																											BGL_CLASS_INDEX
																											(BGl_letzd2varzd2zzast_nodez00);
																										BgL_arg1877z00_1341 =
																											BgL_res2004z00_2286;
																									}
																									BGL_OBJECT_CLASS_NUM_SET(
																										((BgL_objectz00_bglt)
																											BgL_new1112z00_1340),
																										BgL_arg1877z00_1341);
																								}
																								{	/* Inline/simple.scm 131 */
																									BgL_objectz00_bglt
																										BgL_auxz00_2561;
																									BgL_auxz00_2561 =
																										((BgL_objectz00_bglt)
																										BgL_new1112z00_1340);
																									BGL_OBJECT_WIDENING_SET
																										(BgL_auxz00_2561, BFALSE);
																								}
																								BgL_new1114z00_1334 =
																									BgL_new1112z00_1340;
																							}
																							((((BgL_nodez00_bglt) CREF(
																											((BgL_nodez00_bglt)
																												BgL_new1114z00_1334)))->
																									BgL_locz00) =
																								((obj_t) BgL_locz00_1301),
																								BUNSPEC);
																							((((BgL_nodez00_bglt)
																										CREF(((BgL_nodez00_bglt)
																												BgL_new1114z00_1334)))->
																									BgL_typez00) =
																								((BgL_typez00_bglt)
																									BgL_typez00_1302), BUNSPEC);
																							((((BgL_nodezf2effectzf2_bglt)
																										CREF((
																												(BgL_nodezf2effectzf2_bglt)
																												BgL_new1114z00_1334)))->
																									BgL_sidezd2effectzd2) =
																								((obj_t)
																									BBOOL
																									(BGl_sidezd2effectzf3z21zzeffect_effectz00
																										(((BgL_nodez00_bglt)
																												BgL_ibodyz00_1319)))),
																								BUNSPEC);
																							((((BgL_nodezf2effectzf2_bglt)
																										CREF((
																												(BgL_nodezf2effectzf2_bglt)
																												BgL_new1114z00_1334)))->
																									BgL_keyz00) =
																								((obj_t) BINT(((long) -1))),
																								BUNSPEC);
																							{
																								obj_t BgL_auxz00_2576;

																								{	/* Inline/simple.scm 134 */
																									obj_t BgL_arg1873z00_1335;

																									BgL_arg1873z00_1335 =
																										MAKE_PAIR(
																										((obj_t) BgL_varz00_1333),
																										((obj_t)
																											BgL_ibodyz00_1319));
																									{	/* Inline/simple.scm 134 */
																										obj_t BgL_list1874z00_1336;

																										BgL_list1874z00_1336 =
																											MAKE_PAIR
																											(BgL_arg1873z00_1335,
																											BNIL);
																										BgL_auxz00_2576 =
																											BgL_list1874z00_1336;
																								}}
																								((((BgL_letzd2varzd2_bglt)
																											CREF
																											(BgL_new1114z00_1334))->
																										BgL_bindingsz00) =
																									((obj_t) BgL_auxz00_2576),
																									BUNSPEC);
																							}
																							{
																								BgL_nodez00_bglt
																									BgL_auxz00_2582;
																								{	/* Inline/simple.scm 135 */
																									BgL_varz00_bglt
																										BgL_new1116z00_1337;
																									{	/* Inline/simple.scm 136 */
																										BgL_varz00_bglt
																											BgL_new1115z00_1338;
																										BgL_new1115z00_1338 =
																											((BgL_varz00_bglt)
																											BREF(GC_MALLOC(sizeof
																													(struct
																														BgL_varz00_bgl))));
																										{	/* Inline/simple.scm 136 */
																											long BgL_arg1875z00_1339;

																											{	/* Inline/simple.scm 136 */
																												long
																													BgL_res2006z00_2292;
																												{	/* Inline/simple.scm 136 */
																													obj_t
																														BgL_classz00_2291;
																													BgL_classz00_2291 =
																														BGl_varz00zzast_nodez00;
																													BgL_res2006z00_2292 =
																														BGL_CLASS_INDEX
																														(BgL_classz00_2291);
																												}
																												BgL_arg1875z00_1339 =
																													BgL_res2006z00_2292;
																											}
																											BGL_OBJECT_CLASS_NUM_SET(
																												((BgL_objectz00_bglt)
																													BgL_new1115z00_1338),
																												BgL_arg1875z00_1339);
																										}
																										{	/* Inline/simple.scm 136 */
																											BgL_objectz00_bglt
																												BgL_auxz00_2587;
																											BgL_auxz00_2587 =
																												((BgL_objectz00_bglt)
																												BgL_new1115z00_1338);
																											BGL_OBJECT_WIDENING_SET
																												(BgL_auxz00_2587,
																												BFALSE);
																										}
																										BgL_new1116z00_1337 =
																											BgL_new1115z00_1338;
																									}
																									((((BgL_nodez00_bglt) CREF(
																													((BgL_nodez00_bglt)
																														BgL_new1116z00_1337)))->
																											BgL_locz00) =
																										((obj_t) BgL_locz00_1301),
																										BUNSPEC);
																									((((BgL_nodez00_bglt)
																												CREF(((BgL_nodez00_bglt)
																														BgL_new1116z00_1337)))->
																											BgL_typez00) =
																										((BgL_typez00_bglt)
																											BgL_typez00_1302),
																										BUNSPEC);
																									((((BgL_varz00_bglt)
																												CREF
																												(BgL_new1116z00_1337))->
																											BgL_variablez00) =
																										((BgL_variablez00_bglt) (
																												(BgL_variablez00_bglt)
																												BgL_varz00_1333)),
																										BUNSPEC);
																									BgL_auxz00_2582 =
																										((BgL_nodez00_bglt)
																										BgL_new1116z00_1337);
																								}
																								((((BgL_letzd2varzd2_bglt)
																											CREF
																											(BgL_new1114z00_1334))->
																										BgL_bodyz00) =
																									((BgL_nodez00_bglt)
																										BgL_auxz00_2582), BUNSPEC);
																							}
																							((((BgL_letzd2varzd2_bglt)
																										CREF(BgL_new1114z00_1334))->
																									BgL_removablezf3zf3) =
																								((bool_t) ((bool_t) 1)),
																								BUNSPEC);
																							return ((BgL_nodez00_bglt)
																								BgL_new1114z00_1334);
																						}
																					}
																			}
																		}
																	}
																}
															}
														}
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* &inline-app-simple */
	BgL_nodez00_bglt BGl_z62inlinezd2appzd2simplez62zzinline_simplez00(obj_t
		BgL_envz00_2313, obj_t BgL_nodez00_2314, obj_t BgL_kfactorz00_2315,
		obj_t BgL_stackz00_2316, obj_t BgL_msgz00_2317)
	{
		AN_OBJECT;
		{	/* Inline/simple.scm 43 */
			return
				BGl_inlinezd2appzd2simplez00zzinline_simplez00(
				((BgL_nodez00_bglt) BgL_nodez00_2314),
				(long) CINT(BgL_kfactorz00_2315), BgL_stackz00_2316, BgL_msgz00_2317);
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzinline_simplez00()
	{
		AN_OBJECT;
		{	/* Inline/simple.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzinline_simplez00()
	{
		AN_OBJECT;
		{	/* Inline/simple.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzinline_simplez00()
	{
		AN_OBJECT;
		{	/* Inline/simple.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzinline_simplez00()
	{
		AN_OBJECT;
		{	/* Inline/simple.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2010z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 328744326),
				BSTRING_TO_STRING(BGl_string2010z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2010z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 164192787),
				BSTRING_TO_STRING(BGl_string2010z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2010z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 458567972),
				BSTRING_TO_STRING(BGl_string2010z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string2010z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2010z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2010z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2010z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zzinline_inlinez00(((long) 20504962),
				BSTRING_TO_STRING(BGl_string2010z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zzinline_siza7eza7(((long) 243191744),
				BSTRING_TO_STRING(BGl_string2010z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string2010z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zzast_alphatiza7eza7(((long) 53595773),
				BSTRING_TO_STRING(BGl_string2010z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 36886173),
				BSTRING_TO_STRING(BGl_string2010z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long) 460136018),
				BSTRING_TO_STRING(BGl_string2010z00zzinline_simplez00));
			return
				BGl_modulezd2initializa7ationz75zzeffect_spreadz00(((long) 348216764),
				BSTRING_TO_STRING(BGl_string2010z00zzinline_simplez00));
		}
	}

#ifdef __cplusplus
}
#endif
