/*===========================================================================*/
/*   (Module/pragma.scm)                                                     */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Module/pragma.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_ccompz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_producerz00;
		obj_t BgL_consumerz00;
		obj_t BgL_finaliza7erza7;
	}               *BgL_ccompz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;


	BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_objectzd2initzd2zzmodule_pragmaz00();
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzmodule_pragmaz00();
	extern obj_t BGl_za2allzd2exportzd2mutablezf3za2zf3zzmodule_evalz00;
	extern obj_t BGl_removezd2varzd2fromz12z12zzast_removez00(obj_t,
		BgL_variablez00_bglt);
	extern obj_t BGl_ccompz00zzmodule_modulez00;
	BGL_EXPORTED_DECL obj_t BGl_pragmazd2finaliza7erz75zzmodule_pragmaz00();
	static obj_t BGl_za2pragmazd2listza2zd2zzmodule_pragmaz00 = BUNSPEC;
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	static obj_t BGl_pragmazd2parserzd2zzmodule_pragmaz00(obj_t, obj_t, obj_t);
	extern BgL_typez00_bglt BGl_usezd2typez12zc0zztype_envz00(obj_t, obj_t);
	static obj_t BGl_z62makezd2pragmazd2compilerz62zzmodule_pragmaz00(obj_t);
	static obj_t BGl_z62zc3anonymousza31787ze3ze1zzmodule_pragmaz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_setzd2pragmazd2propertyz12z12zzmodule_pragmaz00(BgL_globalz00_bglt,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_makezd2pragmazd2compilerz00zzmodule_pragmaz00();
	static obj_t BGl_requirezd2initializa7ationz75zzmodule_pragmaz00 = BUNSPEC;
	extern obj_t BGl_funz00zzast_varz00;
	static bool_t
		BGl_setzd2pragmazd2propertiesz12z12zzmodule_pragmaz00(BgL_globalz00_bglt,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzmodule_pragmaz00();
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzmodule_pragmaz00();
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzmodule_pragmaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_feffectz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_removez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_evalz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_cnstzd2initzd2zzmodule_pragmaz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzmodule_pragmaz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzmodule_pragmaz00();
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62pragmazd2finaliza7erz17zzmodule_pragmaz00(obj_t);
	static obj_t BGl_z62zc3anonymousza31790ze3ze1zzmodule_pragmaz00(obj_t, obj_t);
	static obj_t BGl_pragmazd2producerzd2zzmodule_pragmaz00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	extern BgL_feffectz00_bglt BGl_parsezd2effectzd2zzeffect_feffectz00(obj_t);
	static obj_t __cnst[15];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_pragmazd2finaliza7erzd2envza7zzmodule_pragmaz00,
		BgL_bgl_za762pragmaza7d2fina2015z00,
		BGl_z62pragmazd2finaliza7erz17zzmodule_pragmaz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1992z00zzmodule_pragmaz00,
		BgL_bgl_za762za7c3anonymousza72016za7,
		BGl_z62zc3anonymousza31787ze3ze1zzmodule_pragmaz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2000z00zzmodule_pragmaz00,
		BgL_bgl_string2000za700za7za7m2017za7,
		"property is not concerning a function", 37);
	      DEFINE_STRING(BGl_string2001z00zzmodule_pragmaz00,
		BgL_bgl_string2001za700za7za7m2018za7, "side-effect-free", 16);
	      DEFINE_STRING(BGl_string2002z00zzmodule_pragmaz00,
		BgL_bgl_string2002za700za7za7m2019za7, "no-cfa-top", 10);
	      DEFINE_STRING(BGl_string2003z00zzmodule_pragmaz00,
		BgL_bgl_string2003za700za7za7m2020za7, "no-init-flow", 12);
	      DEFINE_STRING(BGl_string2004z00zzmodule_pragmaz00,
		BgL_bgl_string2004za700za7za7m2021za7, "allocator", 9);
	      DEFINE_STRING(BGl_string2005z00zzmodule_pragmaz00,
		BgL_bgl_string2005za700za7za7m2022za7, "no-trace", 8);
	      DEFINE_STRING(BGl_string2006z00zzmodule_pragmaz00,
		BgL_bgl_string2006za700za7za7m2023za7, "Parse error", 11);
	      DEFINE_STRING(BGl_string2007z00zzmodule_pragmaz00,
		BgL_bgl_string2007za700za7za7m2024za7, "Illegal \"pragma\" form", 21);
	      DEFINE_STRING(BGl_string2008z00zzmodule_pragmaz00,
		BgL_bgl_string2008za700za7za7m2025za7, "predicate-of", 12);
	      DEFINE_STRING(BGl_string2009z00zzmodule_pragmaz00,
		BgL_bgl_string2009za700za7za7m2026za7, "Illegal \"predicate-of\" pragma",
		29);
	      DEFINE_STRING(BGl_string2010z00zzmodule_pragmaz00,
		BgL_bgl_string2010za700za7za7m2027za7, "effect", 6);
	      DEFINE_STRING(BGl_string2011z00zzmodule_pragmaz00,
		BgL_bgl_string2011za700za7za7m2028za7, "module_pragma", 13);
	      DEFINE_STRING(BGl_string2012z00zzmodule_pragmaz00,
		BgL_bgl_string2012za700za7za7m2029za7,
		"effect coerce predicate-of fail-safe args-safe nesting no-trace allocator no-init-flow no-cfa-top side-effect-free void @ foreign pragma ",
		137);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2pragmazd2compilerzd2envzd2zzmodule_pragmaz00,
		BgL_bgl_za762makeza7d2pragma2030z00,
		BGl_z62makezd2pragmazd2compilerz62zzmodule_pragmaz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string1993z00zzmodule_pragmaz00,
		BgL_bgl_string1993za700za7za7m2031za7, "pragma", 6);
	      DEFINE_STRING(BGl_string1994z00zzmodule_pragmaz00,
		BgL_bgl_string1994za700za7za7m2032za7, "Illegal clause", 14);
	      DEFINE_STRING(BGl_string1995z00zzmodule_pragmaz00,
		BgL_bgl_string1995za700za7za7m2033za7,
		"Can't find global variable for pragma -- ", 41);
	      DEFINE_STRING(BGl_string1996z00zzmodule_pragmaz00,
		BgL_bgl_string1996za700za7za7m2034za7, "pragma-finalizer", 16);
	      DEFINE_STRING(BGl_string1997z00zzmodule_pragmaz00,
		BgL_bgl_string1997za700za7za7m2035za7, "Illegal \"pragma\" finalizer form",
		31);
	      DEFINE_STRING(BGl_string1998z00zzmodule_pragmaz00,
		BgL_bgl_string1998za700za7za7m2036za7, "pragma(", 7);
	      DEFINE_STRING(BGl_string1999z00zzmodule_pragmaz00,
		BgL_bgl_string1999za700za7za7m2037za7, ")", 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzmodule_pragmaz00(long
		BgL_checksumz00_2334, char *BgL_fromz00_2335)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzmodule_pragmaz00))
				{
					BGl_requirezd2initializa7ationz75zzmodule_pragmaz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzmodule_pragmaz00();
					BGl_cnstzd2initzd2zzmodule_pragmaz00();
					BGl_importedzd2moduleszd2initz00zzmodule_pragmaz00();
					BGl_toplevelzd2initzd2zzmodule_pragmaz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzmodule_pragmaz00()
	{
		AN_OBJECT;
		{	/* Module/pragma.scm 15 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "module_pragma");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"module_pragma");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"module_pragma");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"module_pragma");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"module_pragma");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"module_pragma");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzmodule_pragmaz00()
	{
		AN_OBJECT;
		{	/* Module/pragma.scm 15 */
			{	/* Module/pragma.scm 15 */
				obj_t BgL_cportz00_2326;

				BgL_cportz00_2326 =
					bgl_open_input_string(BGl_string2012z00zzmodule_pragmaz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2327;

					BgL_iz00_2327 = ((long) 14);
				BgL_loopz00_2328:
					if ((BgL_iz00_2327 == ((long) -1)))
						{	/* Module/pragma.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Module/pragma.scm 15 */
							{	/* Module/pragma.scm 15 */
								obj_t BgL_arg2014z00_2330;

								{	/* Module/pragma.scm 15 */

									{	/* Module/pragma.scm 15 */
										obj_t BgL_locationz00_2332;

										BgL_locationz00_2332 = BBOOL(((bool_t) 0));
										{	/* Module/pragma.scm 15 */

											BgL_arg2014z00_2330 =
												BGl_readz00zz__readerz00(BgL_cportz00_2326,
												BgL_locationz00_2332);
										}
									}
								}
								{	/* Module/pragma.scm 15 */
									int BgL_auxz00_2355;

									BgL_auxz00_2355 = (int) (BgL_iz00_2327);
									CNST_TABLE_SET(BgL_auxz00_2355, BgL_arg2014z00_2330);
							}}
							{	/* Module/pragma.scm 15 */
								int BgL_auxz00_2333;

								BgL_auxz00_2333 = (int) ((BgL_iz00_2327 - ((long) 1)));
								{
									long BgL_iz00_2360;

									BgL_iz00_2360 = (long) (BgL_auxz00_2333);
									BgL_iz00_2327 = BgL_iz00_2360;
									goto BgL_loopz00_2328;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzmodule_pragmaz00()
	{
		AN_OBJECT;
		{	/* Module/pragma.scm 15 */
			return (BGl_za2pragmazd2listza2zd2zzmodule_pragmaz00 = BNIL, BUNSPEC);
		}
	}



/* make-pragma-compiler */
	BGL_EXPORTED_DEF obj_t BGl_makezd2pragmazd2compilerz00zzmodule_pragmaz00()
	{
		AN_OBJECT;
		{	/* Module/pragma.scm 35 */
			{	/* Module/pragma.scm 36 */
				BgL_ccompz00_bglt BgL_new1097z00_1227;

				{	/* Module/pragma.scm 37 */
					BgL_ccompz00_bglt BgL_new1095z00_1232;

					BgL_new1095z00_1232 =
						((BgL_ccompz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ccompz00_bgl))));
					{	/* Module/pragma.scm 37 */
						long BgL_arg1789z00_1233;

						{	/* Module/pragma.scm 37 */
							long BgL_res1940z00_2115;

							BgL_res1940z00_2115 =
								BGL_CLASS_INDEX(BGl_ccompz00zzmodule_modulez00);
							BgL_arg1789z00_1233 = BgL_res1940z00_2115;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1095z00_1232), BgL_arg1789z00_1233);
					}
					{	/* Module/pragma.scm 37 */
						BgL_objectz00_bglt BgL_auxz00_2366;

						BgL_auxz00_2366 = ((BgL_objectz00_bglt) BgL_new1095z00_1232);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_2366, BFALSE);
					}
					BgL_new1097z00_1227 = BgL_new1095z00_1232;
				}
				((((BgL_ccompz00_bglt) CREF(BgL_new1097z00_1227))->BgL_idz00) = ((obj_t)
						CNST_TABLE_REF(((long) 0))), BUNSPEC);
				((((BgL_ccompz00_bglt) CREF(BgL_new1097z00_1227))->BgL_producerz00) =
					((obj_t)
						BGl_pragmazd2producerzd2zzmodule_pragmaz00
						(BGl_za2moduleza2z00zzmodule_modulez00)), BUNSPEC);
				((((BgL_ccompz00_bglt) CREF(BgL_new1097z00_1227))->BgL_consumerz00) =
					((obj_t) BGl_proc1992z00zzmodule_pragmaz00), BUNSPEC);
				((((BgL_ccompz00_bglt) CREF(BgL_new1097z00_1227))->BgL_finaliza7erza7) =
					((obj_t) BGl_pragmazd2finaliza7erzd2envza7zzmodule_pragmaz00),
					BUNSPEC);
				return ((obj_t) BgL_new1097z00_1227);
			}
		}
	}



/* &make-pragma-compiler */
	obj_t BGl_z62makezd2pragmazd2compilerz62zzmodule_pragmaz00(obj_t
		BgL_envz00_2317)
	{
		AN_OBJECT;
		{	/* Module/pragma.scm 35 */
			return BGl_makezd2pragmazd2compilerz00zzmodule_pragmaz00();
		}
	}



/* &<anonymous:1787> */
	obj_t BGl_z62zc3anonymousza31787ze3ze1zzmodule_pragmaz00(obj_t
		BgL_envz00_2318, obj_t BgL_mz00_2319, obj_t BgL_cz00_2320)
	{
		AN_OBJECT;
		{	/* Module/pragma.scm 39 */
			{
				obj_t BgL_mz00_1228;
				obj_t BgL_cz00_1229;

				BgL_mz00_1228 = BgL_mz00_2319;
				BgL_cz00_1229 = BgL_cz00_2320;
				{	/* Module/pragma.scm 39 */
					obj_t BgL_fun1788z00_2118;

					BgL_fun1788z00_2118 =
						BGl_pragmazd2producerzd2zzmodule_pragmaz00(BgL_mz00_1228);
					return
						PROCEDURE_ENTRY(BgL_fun1788z00_2118) (BgL_fun1788z00_2118,
						BgL_cz00_1229, BEOA);
				}
			}
		}
	}



/* pragma-producer */
	obj_t BGl_pragmazd2producerzd2zzmodule_pragmaz00(obj_t BgL_modulez00_3)
	{
		AN_OBJECT;
		{	/* Module/pragma.scm 45 */
			{	/* Module/pragma.scm 46 */
				obj_t BgL_zc3anonymousza31790ze3z83_2322;

				BgL_zc3anonymousza31790ze3z83_2322 =
					MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31790ze3ze1zzmodule_pragmaz00,
					(int) (((long) 1)), (int) (((long) 1)));
				PROCEDURE_SET(BgL_zc3anonymousza31790ze3z83_2322,
					(int) (((long) 0)), BgL_modulez00_3);
				return BgL_zc3anonymousza31790ze3z83_2322;
			}
		}
	}



/* &<anonymous:1790> */
	obj_t BGl_z62zc3anonymousza31790ze3ze1zzmodule_pragmaz00(obj_t
		BgL_envz00_2323, obj_t BgL_clausez00_2325)
	{
		AN_OBJECT;
		{	/* Module/pragma.scm 46 */
			{	/* Module/pragma.scm 46 */
				obj_t BgL_modulez00_2324;

				BgL_modulez00_2324 = PROCEDURE_REF(BgL_envz00_2323, (int) (((long) 0)));
				{
					obj_t BgL_clausez00_1234;

					BgL_clausez00_1234 = BgL_clausez00_2325;
					{
						obj_t BgL_protosz00_1236;

						if (PAIRP(BgL_clausez00_1234))
							{	/* Module/pragma.scm 46 */
								BgL_protosz00_1236 = CDR(BgL_clausez00_1234);
								{
									obj_t BgL_l1778z00_1243;

									BgL_l1778z00_1243 = BgL_protosz00_1236;
								BgL_zc3anonymousza31793ze3z83_1244:
									if (PAIRP(BgL_l1778z00_1243))
										{	/* Module/pragma.scm 49 */
											BGl_pragmazd2parserzd2zzmodule_pragmaz00(CAR
												(BgL_l1778z00_1243), BgL_modulez00_2324,
												BgL_clausez00_1234);
											{
												obj_t BgL_l1778z00_2395;

												BgL_l1778z00_2395 = CDR(BgL_l1778z00_1243);
												BgL_l1778z00_1243 = BgL_l1778z00_2395;
												goto BgL_zc3anonymousza31793ze3z83_1244;
											}
										}
									else
										{	/* Module/pragma.scm 49 */
											((bool_t) 1);
										}
								}
								return BNIL;
							}
						else
							{	/* Module/pragma.scm 46 */
								{	/* Module/pragma.scm 53 */
									obj_t BgL_list1796z00_1249;

									BgL_list1796z00_1249 = MAKE_PAIR(BNIL, BNIL);
									return
										BGl_userzd2errorzd2zztools_errorz00
										(BGl_string1993z00zzmodule_pragmaz00,
										BGl_string1994z00zzmodule_pragmaz00, BgL_clausez00_1234,
										BgL_list1796z00_1249);
								}
							}
					}
				}
			}
		}
	}



/* pragma-parser */
	obj_t BGl_pragmazd2parserzd2zzmodule_pragmaz00(obj_t BgL_protoz00_4,
		obj_t BgL_modulez00_5, obj_t BgL_clausez00_6)
	{
		AN_OBJECT;
		{	/* Module/pragma.scm 58 */
			{
				obj_t BgL_idz00_1250;
				obj_t BgL_propz00_1251;

				if (PAIRP(BgL_protoz00_4))
					{	/* Module/pragma.scm 59 */
						obj_t BgL_carzd2116zd2_1256;

						BgL_carzd2116zd2_1256 = CAR(BgL_protoz00_4);
						if (SYMBOLP(BgL_carzd2116zd2_1256))
							{	/* Module/pragma.scm 59 */
								BgL_idz00_1250 = BgL_carzd2116zd2_1256;
								BgL_propz00_1251 = CDR(BgL_protoz00_4);
								{	/* Module/pragma.scm 61 */
									obj_t BgL_arg1801z00_1259;

									{	/* Module/pragma.scm 61 */
										obj_t BgL_list1802z00_1260;

										{	/* Module/pragma.scm 61 */
											obj_t BgL_arg1803z00_1261;

											{	/* Module/pragma.scm 61 */
												obj_t BgL_arg1804z00_1262;

												{	/* Module/pragma.scm 61 */
													obj_t BgL_arg1806z00_1263;

													BgL_arg1806z00_1263 =
														MAKE_PAIR(BgL_clausez00_6, BNIL);
													BgL_arg1804z00_1262 =
														MAKE_PAIR(BgL_propz00_1251, BgL_arg1806z00_1263);
												}
												BgL_arg1803z00_1261 =
													MAKE_PAIR(BgL_modulez00_5, BgL_arg1804z00_1262);
											}
											BgL_list1802z00_1260 =
												MAKE_PAIR(BgL_idz00_1250, BgL_arg1803z00_1261);
										}
										BgL_arg1801z00_1259 = BgL_list1802z00_1260;
									}
									return (BGl_za2pragmazd2listza2zd2zzmodule_pragmaz00 =
										MAKE_PAIR(BgL_arg1801z00_1259,
											BGl_za2pragmazd2listza2zd2zzmodule_pragmaz00), BUNSPEC);
								}
							}
						else
							{	/* Module/pragma.scm 59 */
							BgL_tagzd2110zd2_1253:
								{	/* Module/pragma.scm 63 */
									obj_t BgL_list1807z00_1264;

									BgL_list1807z00_1264 = MAKE_PAIR(BNIL, BNIL);
									return
										BGl_userzd2errorzd2zztools_errorz00
										(BGl_string1993z00zzmodule_pragmaz00,
										BGl_string1994z00zzmodule_pragmaz00, BgL_clausez00_6,
										BgL_list1807z00_1264);
								}
							}
					}
				else
					{	/* Module/pragma.scm 59 */
						goto BgL_tagzd2110zd2_1253;
					}
			}
		}
	}



/* pragma-finalizer */
	BGL_EXPORTED_DEF obj_t BGl_pragmazd2finaliza7erz75zzmodule_pragmaz00()
	{
		AN_OBJECT;
		{	/* Module/pragma.scm 73 */
			{
				obj_t BgL_l1780z00_1266;

				BgL_l1780z00_1266 = BGl_za2pragmazd2listza2zd2zzmodule_pragmaz00;
			BgL_zc3anonymousza31808ze3z83_1267:
				if (PAIRP(BgL_l1780z00_1266))
					{	/* Module/pragma.scm 74 */
						{	/* Module/pragma.scm 75 */
							obj_t BgL_pragmaz00_1269;

							BgL_pragmaz00_1269 = CAR(BgL_l1780z00_1266);
							{
								obj_t BgL_idz00_1270;
								obj_t BgL_modulez00_1271;
								obj_t BgL_propza2za2_1272;
								obj_t BgL_clausez00_1273;

								if (PAIRP(BgL_pragmaz00_1269))
									{	/* Module/pragma.scm 75 */
										obj_t BgL_cdrzd2133zd2_1278;

										BgL_cdrzd2133zd2_1278 = CDR(BgL_pragmaz00_1269);
										if (PAIRP(BgL_cdrzd2133zd2_1278))
											{	/* Module/pragma.scm 75 */
												obj_t BgL_cdrzd2139zd2_1280;

												BgL_cdrzd2139zd2_1280 = CDR(BgL_cdrzd2133zd2_1278);
												if (PAIRP(BgL_cdrzd2139zd2_1280))
													{	/* Module/pragma.scm 75 */
														obj_t BgL_cdrzd2144zd2_1282;

														BgL_cdrzd2144zd2_1282 = CDR(BgL_cdrzd2139zd2_1280);
														if (PAIRP(BgL_cdrzd2144zd2_1282))
															{	/* Module/pragma.scm 75 */
																if (NULLP(CDR(BgL_cdrzd2144zd2_1282)))
																	{	/* Module/pragma.scm 75 */
																		BgL_idz00_1270 = CAR(BgL_pragmaz00_1269);
																		BgL_modulez00_1271 =
																			CAR(BgL_cdrzd2133zd2_1278);
																		BgL_propza2za2_1272 =
																			CAR(BgL_cdrzd2139zd2_1280);
																		BgL_clausez00_1273 =
																			CAR(BgL_cdrzd2144zd2_1282);
																		{	/* Module/pragma.scm 77 */
																			obj_t BgL_globalz00_1290;

																			{	/* Module/pragma.scm 77 */
																				obj_t BgL_globalz00_1298;

																				BgL_globalz00_1298 =
																					BGl_findzd2globalzf2modulez20zzast_envz00
																					(BgL_idz00_1270, BgL_modulez00_1271);
																				if (BGl_isazf3zf3zz__objectz00
																					(BgL_globalz00_1298,
																						BGl_globalz00zzast_varz00))
																					{	/* Module/pragma.scm 78 */
																						BgL_globalz00_1290 =
																							BgL_globalz00_1298;
																					}
																				else
																					{	/* Module/pragma.scm 78 */
																						BgL_globalz00_1290 =
																							BGl_findzd2globalzf2modulez20zzast_envz00
																							(BgL_idz00_1270,
																							CNST_TABLE_REF(((long) 1)));
																			}}
																			if (BGl_isazf3zf3zz__objectz00
																				(BgL_globalz00_1290,
																					BGl_globalz00zzast_varz00))
																				{	/* Module/pragma.scm 81 */
																					BBOOL
																						(BGl_setzd2pragmazd2propertiesz12z12zzmodule_pragmaz00
																						(((BgL_globalz00_bglt)
																								BgL_globalz00_1290),
																							BgL_propza2za2_1272,
																							BgL_clausez00_1273));
																				}
																			else
																				{	/* Module/pragma.scm 82 */
																					obj_t BgL_arg1821z00_1292;

																					{	/* Module/pragma.scm 82 */
																						obj_t BgL_arg1825z00_1296;

																						{	/* Module/pragma.scm 82 */
																							obj_t BgL_arg1826z00_1297;

																							BgL_arg1826z00_1297 =
																								MAKE_PAIR(BgL_modulez00_1271,
																								BNIL);
																							BgL_arg1825z00_1296 =
																								MAKE_PAIR(BgL_idz00_1270,
																								BgL_arg1826z00_1297);
																						}
																						BgL_arg1821z00_1292 =
																							MAKE_PAIR(CNST_TABLE_REF(((long)
																									2)), BgL_arg1825z00_1296);
																					}
																					{	/* Module/pragma.scm 82 */
																						obj_t BgL_list1822z00_1293;

																						{	/* Module/pragma.scm 82 */
																							obj_t BgL_arg1823z00_1294;

																							{	/* Module/pragma.scm 82 */
																								obj_t BgL_arg1824z00_1295;

																								BgL_arg1824z00_1295 =
																									MAKE_PAIR(BgL_pragmaz00_1269,
																									BNIL);
																								BgL_arg1823z00_1294 =
																									MAKE_PAIR
																									(BGl_string1995z00zzmodule_pragmaz00,
																									BgL_arg1824z00_1295);
																							}
																							BgL_list1822z00_1293 =
																								MAKE_PAIR(BgL_arg1821z00_1292,
																								BgL_arg1823z00_1294);
																						}
																						BGl_warningz00zz__errorz00
																							(BgL_list1822z00_1293);
																	}}}}
																else
																	{	/* Module/pragma.scm 75 */
																	BgL_tagzd2122zd2_1275:
																		BGl_internalzd2errorzd2zztools_errorz00
																			(BGl_string1996z00zzmodule_pragmaz00,
																			BGl_string1997z00zzmodule_pragmaz00,
																			BgL_pragmaz00_1269);
																	}
															}
														else
															{	/* Module/pragma.scm 75 */
																goto BgL_tagzd2122zd2_1275;
															}
													}
												else
													{	/* Module/pragma.scm 75 */
														goto BgL_tagzd2122zd2_1275;
													}
											}
										else
											{	/* Module/pragma.scm 75 */
												goto BgL_tagzd2122zd2_1275;
											}
									}
								else
									{	/* Module/pragma.scm 75 */
										goto BgL_tagzd2122zd2_1275;
									}
							}
						}
						{
							obj_t BgL_l1780z00_2453;

							BgL_l1780z00_2453 = CDR(BgL_l1780z00_1266);
							BgL_l1780z00_1266 = BgL_l1780z00_2453;
							goto BgL_zc3anonymousza31808ze3z83_1267;
						}
					}
				else
					{	/* Module/pragma.scm 74 */
						((bool_t) 1);
					}
			}
			BGl_za2pragmazd2listza2zd2zzmodule_pragmaz00 = BNIL;
			return CNST_TABLE_REF(((long) 3));
		}
	}



/* &pragma-finalizer */
	obj_t BGl_z62pragmazd2finaliza7erz17zzmodule_pragmaz00(obj_t BgL_envz00_2321)
	{
		AN_OBJECT;
		{	/* Module/pragma.scm 73 */
			return BGl_pragmazd2finaliza7erz75zzmodule_pragmaz00();
		}
	}



/* set-pragma-properties! */
	bool_t
		BGl_setzd2pragmazd2propertiesz12z12zzmodule_pragmaz00(BgL_globalz00_bglt
		BgL_globalz00_7, obj_t BgL_propza2za2_8, obj_t BgL_clausez00_9)
	{
		AN_OBJECT;
		{	/* Module/pragma.scm 97 */
			{
				obj_t BgL_l1782z00_1303;

				BgL_l1782z00_1303 = BgL_propza2za2_8;
			BgL_zc3anonymousza31830ze3z83_1304:
				if (PAIRP(BgL_l1782z00_1303))
					{	/* Module/pragma.scm 98 */
						BGl_setzd2pragmazd2propertyz12z12zzmodule_pragmaz00(BgL_globalz00_7,
							CAR(BgL_l1782z00_1303), BgL_clausez00_9);
						{
							obj_t BgL_l1782z00_2461;

							BgL_l1782z00_2461 = CDR(BgL_l1782z00_1303);
							BgL_l1782z00_1303 = BgL_l1782z00_2461;
							goto BgL_zc3anonymousza31830ze3z83_1304;
						}
					}
				else
					{	/* Module/pragma.scm 98 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* set-pragma-property! */
	obj_t BGl_setzd2pragmazd2propertyz12z12zzmodule_pragmaz00(BgL_globalz00_bglt
		BgL_globalz00_10, obj_t BgL_propz00_11, obj_t BgL_clausez00_12)
	{
		AN_OBJECT;
		{	/* Module/pragma.scm 104 */
			{
				obj_t BgL_pz00_1379;
				BgL_globalz00_bglt BgL_gz00_1380;

				{
					obj_t BgL_keyz00_1311;
					obj_t BgL_valz00_1312;

					if (SYMBOLP(BgL_propz00_11))
						{	/* Module/pragma.scm 111 */
							if ((BgL_propz00_11 == CNST_TABLE_REF(((long) 4))))
								{	/* Module/pragma.scm 116 */
									BgL_valuez00_bglt BgL_valz00_1323;

									BgL_valz00_1323 =
										(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt) BgL_globalz00_10)))->
										BgL_valuez00);
									{	/* Module/pragma.scm 117 */
										bool_t BgL_testz00_2470;

										{	/* Module/pragma.scm 117 */
											bool_t BgL_res1957z00_2171;

											BgL_res1957z00_2171 =
												BGl_isazf3zf3zz__objectz00(
												((obj_t) BgL_valz00_1323), BGl_funz00zzast_varz00);
											BgL_testz00_2470 = BgL_res1957z00_2171;
										}
										if (BgL_testz00_2470)
											{	/* Module/pragma.scm 117 */
												return
													((((BgL_funz00_bglt) CREF(
																((BgL_funz00_bglt) BgL_valz00_1323)))->
														BgL_sidezd2effectzd2) = ((obj_t) BFALSE), BUNSPEC);
											}
										else
											{	/* Module/pragma.scm 117 */
												BgL_pz00_1379 = BGl_string2001z00zzmodule_pragmaz00;
												BgL_gz00_1380 = BgL_globalz00_10;
											BgL_zc3anonymousza31883ze3z83_1381:
												if (CBOOL
													(BGl_za2allzd2exportzd2mutablezf3za2zf3zzmodule_evalz00))
													{	/* Module/pragma.scm 106 */
														return BFALSE;
													}
												else
													{	/* Module/pragma.scm 107 */
														obj_t BgL_arg1884z00_1382;
														obj_t BgL_arg1885z00_1383;

														BgL_arg1884z00_1382 =
															string_append_3
															(BGl_string1998z00zzmodule_pragmaz00,
															BgL_pz00_1379,
															BGl_string1999z00zzmodule_pragmaz00);
														BgL_arg1885z00_1383 =
															BGl_shapez00zztools_shapez00(((obj_t)
																BgL_gz00_1380));
														{	/* Module/pragma.scm 107 */
															obj_t BgL_list1886z00_1384;

															BgL_list1886z00_1384 = MAKE_PAIR(BNIL, BNIL);
															return
																BGl_userzd2errorzd2zztools_errorz00
																(BgL_arg1884z00_1382,
																BGl_string2000z00zzmodule_pragmaz00,
																BgL_arg1885z00_1383, BgL_list1886z00_1384);
														}
													}
											}
									}
								}
							else
								{	/* Module/pragma.scm 113 */
									if ((BgL_propz00_11 == CNST_TABLE_REF(((long) 5))))
										{	/* Module/pragma.scm 122 */
											BgL_valuez00_bglt BgL_valz00_1326;

											BgL_valz00_1326 =
												(((BgL_variablez00_bglt) CREF(
														((BgL_variablez00_bglt) BgL_globalz00_10)))->
												BgL_valuez00);
											{	/* Module/pragma.scm 123 */
												bool_t BgL_testz00_2487;

												{	/* Module/pragma.scm 123 */
													bool_t BgL_res1960z00_2182;

													BgL_res1960z00_2182 =
														BGl_isazf3zf3zz__objectz00(
														((obj_t) BgL_valz00_1326), BGl_funz00zzast_varz00);
													BgL_testz00_2487 = BgL_res1960z00_2182;
												}
												if (BgL_testz00_2487)
													{	/* Module/pragma.scm 123 */
														return
															((((BgL_funz00_bglt) CREF(
																		((BgL_funz00_bglt) BgL_valz00_1326)))->
																BgL_topzf3zf3) =
															((bool_t) ((bool_t) 0)), BUNSPEC);
													}
												else
													{
														BgL_globalz00_bglt BgL_gz00_2493;
														obj_t BgL_pz00_2492;

														BgL_pz00_2492 = BGl_string2002z00zzmodule_pragmaz00;
														BgL_gz00_2493 = BgL_globalz00_10;
														BgL_gz00_1380 = BgL_gz00_2493;
														BgL_pz00_1379 = BgL_pz00_2492;
														goto BgL_zc3anonymousza31883ze3z83_1381;
													}
											}
										}
									else
										{	/* Module/pragma.scm 113 */
											if ((BgL_propz00_11 == CNST_TABLE_REF(((long) 6))))
												{	/* Module/pragma.scm 129 */
													BgL_valuez00_bglt BgL_valz00_1329;

													BgL_valz00_1329 =
														(((BgL_variablez00_bglt) CREF(
																((BgL_variablez00_bglt) BgL_globalz00_10)))->
														BgL_valuez00);
													{	/* Module/pragma.scm 130 */
														bool_t BgL_testz00_2499;

														{	/* Module/pragma.scm 130 */
															bool_t BgL_res1963z00_2193;

															BgL_res1963z00_2193 =
																BGl_isazf3zf3zz__objectz00(
																((obj_t) BgL_valz00_1329),
																BGl_funz00zzast_varz00);
															BgL_testz00_2499 = BgL_res1963z00_2193;
														}
														if (BgL_testz00_2499)
															{	/* Module/pragma.scm 132 */
																obj_t BgL_arg1843z00_1331;

																{	/* Module/pragma.scm 132 */
																	obj_t BgL_arg1844z00_1332;

																	BgL_arg1844z00_1332 =
																		(((BgL_sfunz00_bglt) CREF(
																				((BgL_sfunz00_bglt) BgL_valz00_1329)))->
																		BgL_propertyz00);
																	BgL_arg1843z00_1331 =
																		MAKE_PAIR(BgL_propz00_11,
																		BgL_arg1844z00_1332);
																}
																return
																	((((BgL_sfunz00_bglt) CREF(
																				((BgL_sfunz00_bglt) BgL_valz00_1329)))->
																		BgL_propertyz00) =
																	((obj_t) BgL_arg1843z00_1331), BUNSPEC);
															}
														else
															{
																BgL_globalz00_bglt BgL_gz00_2508;
																obj_t BgL_pz00_2507;

																BgL_pz00_2507 =
																	BGl_string2003z00zzmodule_pragmaz00;
																BgL_gz00_2508 = BgL_globalz00_10;
																BgL_gz00_1380 = BgL_gz00_2508;
																BgL_pz00_1379 = BgL_pz00_2507;
																goto BgL_zc3anonymousza31883ze3z83_1381;
															}
													}
												}
											else
												{	/* Module/pragma.scm 113 */
													if ((BgL_propz00_11 == CNST_TABLE_REF(((long) 7))))
														{	/* Module/pragma.scm 136 */
															BgL_valuez00_bglt BgL_valz00_1334;

															BgL_valz00_1334 =
																(((BgL_variablez00_bglt) CREF(
																		((BgL_variablez00_bglt)
																			BgL_globalz00_10)))->BgL_valuez00);
															{	/* Module/pragma.scm 137 */
																bool_t BgL_testz00_2514;

																{	/* Module/pragma.scm 137 */
																	bool_t BgL_res1966z00_2206;

																	BgL_res1966z00_2206 =
																		BGl_isazf3zf3zz__objectz00(
																		((obj_t) BgL_valz00_1334),
																		BGl_sfunz00zzast_varz00);
																	BgL_testz00_2514 = BgL_res1966z00_2206;
																}
																if (BgL_testz00_2514)
																	{	/* Module/pragma.scm 139 */
																		obj_t BgL_arg1847z00_1336;

																		{	/* Module/pragma.scm 139 */
																			obj_t BgL_arg1848z00_1337;

																			BgL_arg1848z00_1337 =
																				(((BgL_sfunz00_bglt) CREF(
																						((BgL_sfunz00_bglt)
																							BgL_valz00_1334)))->
																				BgL_propertyz00);
																			BgL_arg1847z00_1336 =
																				MAKE_PAIR(BgL_propz00_11,
																				BgL_arg1848z00_1337);
																		}
																		return
																			((((BgL_sfunz00_bglt) CREF(
																						((BgL_sfunz00_bglt)
																							BgL_valz00_1334)))->
																				BgL_propertyz00) =
																			((obj_t) BgL_arg1847z00_1336), BUNSPEC);
																	}
																else
																	{
																		BgL_globalz00_bglt BgL_gz00_2523;
																		obj_t BgL_pz00_2522;

																		BgL_pz00_2522 =
																			BGl_string2004z00zzmodule_pragmaz00;
																		BgL_gz00_2523 = BgL_globalz00_10;
																		BgL_gz00_1380 = BgL_gz00_2523;
																		BgL_pz00_1379 = BgL_pz00_2522;
																		goto BgL_zc3anonymousza31883ze3z83_1381;
																	}
															}
														}
													else
														{	/* Module/pragma.scm 113 */
															if (
																(BgL_propz00_11 == CNST_TABLE_REF(((long) 8))))
																{	/* Module/pragma.scm 141 */
																	BgL_valuez00_bglt BgL_valz00_1339;

																	BgL_valz00_1339 =
																		(((BgL_variablez00_bglt) CREF(
																				((BgL_variablez00_bglt)
																					BgL_globalz00_10)))->BgL_valuez00);
																	{	/* Module/pragma.scm 142 */
																		bool_t BgL_testz00_2529;

																		{	/* Module/pragma.scm 142 */
																			bool_t BgL_res1969z00_2219;

																			BgL_res1969z00_2219 =
																				BGl_isazf3zf3zz__objectz00(
																				((obj_t) BgL_valz00_1339),
																				BGl_sfunz00zzast_varz00);
																			BgL_testz00_2529 = BgL_res1969z00_2219;
																		}
																		if (BgL_testz00_2529)
																			{	/* Module/pragma.scm 144 */
																				obj_t BgL_arg1851z00_1341;

																				{	/* Module/pragma.scm 144 */
																					obj_t BgL_arg1852z00_1342;

																					BgL_arg1852z00_1342 =
																						(((BgL_sfunz00_bglt) CREF(
																								((BgL_sfunz00_bglt)
																									BgL_valz00_1339)))->
																						BgL_propertyz00);
																					BgL_arg1851z00_1341 =
																						MAKE_PAIR(BgL_propz00_11,
																						BgL_arg1852z00_1342);
																				}
																				return
																					((((BgL_sfunz00_bglt) CREF(
																								((BgL_sfunz00_bglt)
																									BgL_valz00_1339)))->
																						BgL_propertyz00) =
																					((obj_t) BgL_arg1851z00_1341),
																					BUNSPEC);
																			}
																		else
																			{
																				BgL_globalz00_bglt BgL_gz00_2538;
																				obj_t BgL_pz00_2537;

																				BgL_pz00_2537 =
																					BGl_string2005z00zzmodule_pragmaz00;
																				BgL_gz00_2538 = BgL_globalz00_10;
																				BgL_gz00_1380 = BgL_gz00_2538;
																				BgL_pz00_1379 = BgL_pz00_2537;
																				goto BgL_zc3anonymousza31883ze3z83_1381;
																			}
																	}
																}
															else
																{	/* Module/pragma.scm 113 */
																	if (
																		(BgL_propz00_11 ==
																			CNST_TABLE_REF(((long) 9))))
																		{	/* Module/pragma.scm 146 */
																			BgL_valuez00_bglt BgL_valz00_1344;

																			BgL_valz00_1344 =
																				(((BgL_variablez00_bglt) CREF(
																						((BgL_variablez00_bglt)
																							BgL_globalz00_10)))->
																				BgL_valuez00);
																			{	/* Module/pragma.scm 147 */
																				bool_t BgL_testz00_2544;

																				{	/* Module/pragma.scm 147 */
																					bool_t BgL_res1972z00_2232;

																					BgL_res1972z00_2232 =
																						BGl_isazf3zf3zz__objectz00(
																						((obj_t) BgL_valz00_1344),
																						BGl_cfunz00zzast_varz00);
																					BgL_testz00_2544 =
																						BgL_res1972z00_2232;
																				}
																				if (BgL_testz00_2544)
																					{	/* Module/pragma.scm 149 */
																						obj_t BgL_arg1855z00_1346;

																						{	/* Module/pragma.scm 149 */
																							obj_t BgL_arg1856z00_1347;

																							BgL_arg1856z00_1347 =
																								(((BgL_globalz00_bglt)
																									CREF(BgL_globalz00_10))->
																								BgL_pragmaz00);
																							BgL_arg1855z00_1346 =
																								MAKE_PAIR(CNST_TABLE_REF(((long)
																										9)), BgL_arg1856z00_1347);
																						}
																						return
																							((((BgL_globalz00_bglt)
																									CREF(BgL_globalz00_10))->
																								BgL_pragmaz00) =
																							((obj_t) BgL_arg1855z00_1346),
																							BUNSPEC);
																					}
																				else
																					{	/* Module/pragma.scm 147 */
																						return BFALSE;
																					}
																			}
																		}
																	else
																		{	/* Module/pragma.scm 113 */
																			if (
																				(BgL_propz00_11 ==
																					CNST_TABLE_REF(((long) 10))))
																				{	/* Module/pragma.scm 151 */
																					BgL_valuez00_bglt BgL_valz00_1349;

																					BgL_valz00_1349 =
																						(((BgL_variablez00_bglt) CREF(
																								((BgL_variablez00_bglt)
																									BgL_globalz00_10)))->
																						BgL_valuez00);
																					{	/* Module/pragma.scm 152 */
																						bool_t BgL_testz00_2556;

																						{	/* Module/pragma.scm 152 */
																							bool_t BgL_res1975z00_2245;

																							BgL_res1975z00_2245 =
																								BGl_isazf3zf3zz__objectz00(
																								((obj_t) BgL_valz00_1349),
																								BGl_cfunz00zzast_varz00);
																							BgL_testz00_2556 =
																								BgL_res1975z00_2245;
																						}
																						if (BgL_testz00_2556)
																							{	/* Module/pragma.scm 155 */
																								obj_t BgL_arg1859z00_1351;

																								{	/* Module/pragma.scm 155 */
																									obj_t BgL_arg1861z00_1352;

																									BgL_arg1861z00_1352 =
																										(((BgL_globalz00_bglt)
																											CREF(BgL_globalz00_10))->
																										BgL_pragmaz00);
																									BgL_arg1859z00_1351 =
																										MAKE_PAIR(CNST_TABLE_REF((
																												(long) 10)),
																										BgL_arg1861z00_1352);
																								}
																								return
																									((((BgL_globalz00_bglt)
																											CREF(BgL_globalz00_10))->
																										BgL_pragmaz00) =
																									((obj_t) BgL_arg1859z00_1351),
																									BUNSPEC);
																							}
																						else
																							{	/* Module/pragma.scm 152 */
																								return BFALSE;
																							}
																					}
																				}
																			else
																				{	/* Module/pragma.scm 113 */
																					if (
																						(BgL_propz00_11 ==
																							CNST_TABLE_REF(((long) 11))))
																						{	/* Module/pragma.scm 157 */
																							BgL_valuez00_bglt BgL_valz00_1354;

																							BgL_valz00_1354 =
																								(((BgL_variablez00_bglt) CREF(
																										((BgL_variablez00_bglt)
																											BgL_globalz00_10)))->
																								BgL_valuez00);
																							{	/* Module/pragma.scm 158 */
																								bool_t BgL_testz00_2568;

																								{	/* Module/pragma.scm 158 */
																									bool_t BgL_testz00_2569;

																									{	/* Module/pragma.scm 158 */
																										bool_t BgL_res1978z00_2258;

																										BgL_res1978z00_2258 =
																											BGl_isazf3zf3zz__objectz00
																											(((obj_t)
																												BgL_valz00_1354),
																											BGl_sfunz00zzast_varz00);
																										BgL_testz00_2569 =
																											BgL_res1978z00_2258;
																									}
																									if (BgL_testz00_2569)
																										{	/* Module/pragma.scm 158 */
																											BgL_testz00_2568 =
																												((bool_t) 1);
																										}
																									else
																										{	/* Module/pragma.scm 158 */
																											bool_t
																												BgL_res1979z00_2260;
																											BgL_res1979z00_2260 =
																												BGl_isazf3zf3zz__objectz00
																												(((obj_t)
																													BgL_valz00_1354),
																												BGl_cfunz00zzast_varz00);
																											BgL_testz00_2568 =
																												BgL_res1979z00_2260;
																										}
																								}
																								if (BgL_testz00_2568)
																									{	/* Module/pragma.scm 161 */
																										obj_t BgL_arg1864z00_1356;

																										{	/* Module/pragma.scm 161 */
																											obj_t BgL_arg1865z00_1357;

																											BgL_arg1865z00_1357 =
																												(((BgL_globalz00_bglt)
																													CREF
																													(BgL_globalz00_10))->
																												BgL_pragmaz00);
																											BgL_arg1864z00_1356 =
																												MAKE_PAIR(CNST_TABLE_REF
																												(((long) 11)),
																												BgL_arg1865z00_1357);
																										}
																										return
																											((((BgL_globalz00_bglt)
																													CREF
																													(BgL_globalz00_10))->
																												BgL_pragmaz00) =
																											((obj_t)
																												BgL_arg1864z00_1356),
																											BUNSPEC);
																									}
																								else
																									{	/* Module/pragma.scm 158 */
																										return BFALSE;
																									}
																							}
																						}
																					else
																						{	/* Module/pragma.scm 163 */
																							obj_t BgL_list1867z00_1359;

																							BgL_list1867z00_1359 =
																								MAKE_PAIR(BNIL, BNIL);
																							return
																								BGl_userzd2errorzd2zztools_errorz00
																								(BGl_string2006z00zzmodule_pragmaz00,
																								BGl_string2007z00zzmodule_pragmaz00,
																								BgL_clausez00_12,
																								BgL_list1867z00_1359);
																						}
																				}
																		}
																}
														}
												}
										}
								}
						}
					else
						{	/* Module/pragma.scm 111 */
							if (PAIRP(BgL_propz00_11))
								{	/* Module/pragma.scm 111 */
									obj_t BgL_carzd2160zd2_1318;

									BgL_carzd2160zd2_1318 = CAR(BgL_propz00_11);
									if (SYMBOLP(BgL_carzd2160zd2_1318))
										{	/* Module/pragma.scm 111 */
											BgL_keyz00_1311 = BgL_carzd2160zd2_1318;
											BgL_valz00_1312 = CDR(BgL_propz00_11);
											if ((BgL_keyz00_1311 == CNST_TABLE_REF(((long) 12))))
												{	/* Module/pragma.scm 168 */
													bool_t BgL_testz00_2588;

													if (PAIRP(BgL_valz00_1312))
														{	/* Module/pragma.scm 168 */
															obj_t BgL_auxz00_2591;

															BgL_auxz00_2591 = CAR(BgL_valz00_1312);
															BgL_testz00_2588 = SYMBOLP(BgL_auxz00_2591);
														}
													else
														{	/* Module/pragma.scm 168 */
															BgL_testz00_2588 = ((bool_t) 0);
														}
													if (BgL_testz00_2588)
														{	/* Module/pragma.scm 170 */
															BgL_typez00_bglt BgL_typez00_1363;
															BgL_valuez00_bglt BgL_valuez00_1364;

															BgL_typez00_1363 =
																BGl_usezd2typez12zc0zztype_envz00(CAR
																(BgL_valz00_1312),
																BGl_findzd2locationzd2zztools_locationz00
																(BgL_propz00_11));
															BgL_valuez00_1364 =
																(((BgL_variablez00_bglt)
																	CREF(((BgL_variablez00_bglt)
																			BgL_globalz00_10)))->BgL_valuez00);
															{	/* Module/pragma.scm 172 */
																bool_t BgL_testz00_2599;

																{	/* Module/pragma.scm 172 */
																	bool_t BgL_res1984z00_2279;

																	BgL_res1984z00_2279 =
																		BGl_isazf3zf3zz__objectz00(
																		((obj_t) BgL_valuez00_1364),
																		BGl_funz00zzast_varz00);
																	BgL_testz00_2599 = BgL_res1984z00_2279;
																}
																if (BgL_testz00_2599)
																	{	/* Module/pragma.scm 172 */
																		((((BgL_funz00_bglt) CREF(
																						((BgL_funz00_bglt)
																							BgL_valuez00_1364)))->
																				BgL_predicatezd2ofzd2) =
																			((obj_t) ((obj_t) BgL_typez00_1363)),
																			BUNSPEC);
																		BGl_removezd2varzd2fromz12z12zzast_removez00
																			(CNST_TABLE_REF(((long) 13)),
																			((BgL_variablez00_bglt)
																				BgL_globalz00_10));
																		return ((((BgL_funz00_bglt)
																					CREF(((BgL_funz00_bglt)
																							BgL_valuez00_1364)))->
																				BgL_sidezd2effectzd2) =
																			((obj_t) BFALSE), BUNSPEC);
																	}
																else
																	{
																		BgL_globalz00_bglt BgL_gz00_2611;
																		obj_t BgL_pz00_2610;

																		BgL_pz00_2610 =
																			BGl_string2008z00zzmodule_pragmaz00;
																		BgL_gz00_2611 = BgL_globalz00_10;
																		BgL_gz00_1380 = BgL_gz00_2611;
																		BgL_pz00_1379 = BgL_pz00_2610;
																		goto BgL_zc3anonymousza31883ze3z83_1381;
																	}
															}
														}
													else
														{	/* Module/pragma.scm 168 */
															return
																BGl_userzd2errorzd2zztools_errorz00
																(BGl_string2006z00zzmodule_pragmaz00,
																BGl_string2009z00zzmodule_pragmaz00,
																BgL_propz00_11, BNIL);
														}
												}
											else
												{	/* Module/pragma.scm 165 */
													if ((BgL_keyz00_1311 == CNST_TABLE_REF(((long) 14))))
														{	/* Module/pragma.scm 183 */
															BgL_valuez00_bglt BgL_valuez00_1372;

															BgL_valuez00_1372 =
																(((BgL_variablez00_bglt) CREF(
																		((BgL_variablez00_bglt)
																			BgL_globalz00_10)))->BgL_valuez00);
															{	/* Module/pragma.scm 184 */
																bool_t BgL_testz00_2618;

																{	/* Module/pragma.scm 184 */
																	bool_t BgL_res1987z00_2293;

																	BgL_res1987z00_2293 =
																		BGl_isazf3zf3zz__objectz00(
																		((obj_t) BgL_valuez00_1372),
																		BGl_funz00zzast_varz00);
																	BgL_testz00_2618 = BgL_res1987z00_2293;
																}
																if (BgL_testz00_2618)
																	{	/* Module/pragma.scm 186 */
																		BgL_feffectz00_bglt BgL_arg1878z00_1374;

																		BgL_arg1878z00_1374 =
																			BGl_parsezd2effectzd2zzeffect_feffectz00
																			(BgL_propz00_11);
																		return ((((BgL_funz00_bglt)
																					CREF(((BgL_funz00_bglt)
																							BgL_valuez00_1372)))->
																				BgL_effectz00) =
																			((obj_t) ((obj_t) BgL_arg1878z00_1374)),
																			BUNSPEC);
																	}
																else
																	{
																		BgL_globalz00_bglt BgL_gz00_2626;
																		obj_t BgL_pz00_2625;

																		BgL_pz00_2625 =
																			BGl_string2010z00zzmodule_pragmaz00;
																		BgL_gz00_2626 = BgL_globalz00_10;
																		BgL_gz00_1380 = BgL_gz00_2626;
																		BgL_pz00_1379 = BgL_pz00_2625;
																		goto BgL_zc3anonymousza31883ze3z83_1381;
																	}
															}
														}
													else
														{	/* Module/pragma.scm 188 */
															obj_t BgL_list1879z00_1375;

															BgL_list1879z00_1375 = MAKE_PAIR(BNIL, BNIL);
															return
																BGl_userzd2errorzd2zztools_errorz00
																(BGl_string2006z00zzmodule_pragmaz00,
																BGl_string2007z00zzmodule_pragmaz00,
																BgL_propz00_11, BgL_list1879z00_1375);
														}
												}
										}
									else
										{	/* Module/pragma.scm 111 */
										BgL_tagzd2152zd2_1314:
											{	/* Module/pragma.scm 192 */
												obj_t BgL_arg1880z00_1376;

												if (PAIRP(BgL_propz00_11))
													{	/* Module/pragma.scm 192 */
														BgL_arg1880z00_1376 = BgL_propz00_11;
													}
												else
													{	/* Module/pragma.scm 192 */
														BgL_arg1880z00_1376 = BgL_clausez00_12;
													}
												{	/* Module/pragma.scm 190 */
													obj_t BgL_list1881z00_1377;

													BgL_list1881z00_1377 = MAKE_PAIR(BNIL, BNIL);
													return
														BGl_userzd2errorzd2zztools_errorz00
														(BGl_string2006z00zzmodule_pragmaz00,
														BGl_string2007z00zzmodule_pragmaz00,
														BgL_arg1880z00_1376, BgL_list1881z00_1377);
												}
											}
										}
								}
							else
								{	/* Module/pragma.scm 111 */
									goto BgL_tagzd2152zd2_1314;
								}
						}
				}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzmodule_pragmaz00()
	{
		AN_OBJECT;
		{	/* Module/pragma.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzmodule_pragmaz00()
	{
		AN_OBJECT;
		{	/* Module/pragma.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzmodule_pragmaz00()
	{
		AN_OBJECT;
		{	/* Module/pragma.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzmodule_pragmaz00()
	{
		AN_OBJECT;
		{	/* Module/pragma.scm 15 */
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string2011z00zzmodule_pragmaz00));
			BGl_modulezd2initializa7ationz75zzmodule_evalz00(((long) 428236825),
				BSTRING_TO_STRING(BGl_string2011z00zzmodule_pragmaz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2011z00zzmodule_pragmaz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2011z00zzmodule_pragmaz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2011z00zzmodule_pragmaz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 328744326),
				BSTRING_TO_STRING(BGl_string2011z00zzmodule_pragmaz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2011z00zzmodule_pragmaz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2011z00zzmodule_pragmaz00));
			BGl_modulezd2initializa7ationz75zzast_removez00(((long) 383247627),
				BSTRING_TO_STRING(BGl_string2011z00zzmodule_pragmaz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 458567972),
				BSTRING_TO_STRING(BGl_string2011z00zzmodule_pragmaz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2011z00zzmodule_pragmaz00));
			BGl_modulezd2initializa7ationz75zzeffect_feffectz00(((long) 516374368),
				BSTRING_TO_STRING(BGl_string2011z00zzmodule_pragmaz00));
			return
				BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string2011z00zzmodule_pragmaz00));
		}
	}

#ifdef __cplusplus
}
#endif
