/*===========================================================================*/
/*   (Object/nil.scm)                                                        */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Object/nil.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_tvecz00_bgl
	{
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}              *BgL_tvecz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_slotz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_srcz00;
		obj_t BgL_classzd2ownerzd2;
		long BgL_indexz00;
		obj_t BgL_typez00;
		bool_t BgL_readzd2onlyzf3z21;
		obj_t BgL_defaultzd2valuezd2;
		obj_t BgL_virtualzd2numzd2;
		bool_t BgL_virtualzd2overridezd2;
		obj_t BgL_getterz00;
		obj_t BgL_setterz00;
		obj_t BgL_userzd2infozd2;
	}              *BgL_slotz00_bglt;

	typedef struct BgL_jarrayz00_bgl
	{
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_jarrayz00_bglt;


	extern obj_t BGl_za2symbolza2z00zztype_cachez00;
	static obj_t BGl_fillzd2nilzd2zzobject_nilz00(obj_t);
	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_typezd2nilzd2valuez00zzobject_nilz00(obj_t,
		obj_t);
	extern obj_t BGl_za2pairzd2nilza2zd2zztype_cachez00;
	extern obj_t BGl_za2bignumza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_objectzd2initzd2zzobject_nilz00();
	extern obj_t BGl_za2brealza2z00zztype_cachez00;
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	extern obj_t BGl_za2stringza2z00zztype_cachez00;
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzobject_nilz00();
	static obj_t BGl_z62genzd2widezd2classzd2nilzb0zzobject_nilz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(obj_t);
	extern obj_t BGl_za2elongza2z00zztype_cachez00;
	static obj_t BGl_bigloozd2primitivezd2typezd2nilzd2zzobject_nilz00(obj_t,
		obj_t);
	extern obj_t BGl_za2bllongza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t
		BGl_importzd2classzd2nilz00zzobject_nilz00(BgL_typez00_bglt, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_genzd2widezd2classzd2nilzd2zzobject_nilz00(BgL_typez00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_za2epairza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_z62typezd2nilzd2valuez62zzobject_nilz00(obj_t, obj_t, obj_t);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	extern obj_t BGl_za2charza2z00zztype_cachez00;
	extern obj_t BGl_za2intza2z00zztype_cachez00;
	static obj_t BGl_requirezd2initializa7ationz75zzobject_nilz00 = BUNSPEC;
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	extern obj_t BGl_za2vectorza2z00zztype_cachez00;
	extern obj_t BGl_tclassz00zzobject_classz00;
	static obj_t BGl_z62genzd2plainzd2classzd2nilzb0zzobject_nilz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_epairifyz00zztools_miscz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzobject_nilz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_za2cellza2z00zztype_cachez00;
	extern obj_t BGl_za2boolza2z00zztype_cachez00;
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	extern obj_t BGl_za2bstringza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_jarrayz00zzforeign_jtypez00;
	BGL_EXPORTED_DECL obj_t
		BGl_genzd2plainzd2classzd2nilzd2zzobject_nilz00(BgL_typez00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_za2realza2z00zztype_cachez00;
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_za2pairza2z00zztype_cachez00;
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	extern obj_t BGl_jclassz00zzobject_classz00;
	extern obj_t BGl_za2belongza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzobject_nilz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzforeign_jtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_impusez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztvector_tvectorz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_slotzd2getzd2nilz00zzobject_nilz00(obj_t);
	extern bool_t BGl_slotzd2virtualzf3z21zzobject_slotsz00(BgL_slotz00_bglt);
	static obj_t BGl_externzd2typezd2nilz00zzobject_nilz00(obj_t, obj_t);
	extern obj_t BGl_makezd2privatezd2sexpz00zzast_privatez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_importzd2parserzd2zzmodule_impusez00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zzobject_nilz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzobject_nilz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzobject_nilz00();
	extern obj_t BGl_za2llongza2z00zztype_cachez00;
	extern obj_t BGl_tvecz00zztvector_tvectorz00;
	extern obj_t BGl_za2bnilza2z00zztype_cachez00;
	extern obj_t BGl_za2keywordza2z00zztype_cachez00;
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	extern obj_t BGl_za2bintza2z00zztype_cachez00;
	extern obj_t BGl_za2bcharza2z00zztype_cachez00;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t BGl_z62importzd2classzd2nilz62zzobject_nilz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t __cnst[110];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genzd2plainzd2classzd2nilzd2envz00zzobject_nilz00,
		BgL_bgl_za762genza7d2plainza7d2167za7,
		BGl_z62genzd2plainzd2classzd2nilzb0zzobject_nilz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2160z00zzobject_nilz00,
		BgL_bgl_string2160za700za7za7o2168za7, "", 0);
	      DEFINE_STRING(BGl_string2161z00zzobject_nilz00,
		BgL_bgl_string2161za700za7za7o2169za7, "Illegal slot type `~a'", 22);
	      DEFINE_STRING(BGl_string2162z00zzobject_nilz00,
		BgL_bgl_string2162za700za7za7o2170za7, "0L", 2);
	      DEFINE_STRING(BGl_string2163z00zzobject_nilz00,
		BgL_bgl_string2163za700za7za7o2171za7, "object_nil", 10);
	      DEFINE_STRING(BGl_string2164z00zzobject_nilz00,
		BgL_bgl_string2164za700za7za7o2172za7,
		"free-pragma string char double float byte long int cast-null (make-f64vector 0) f64vector (make-f32vector 0) f32vector (make-u64vector 0) u64vector (make-s64vector 0) s64vector (make-u32vector 0) u32vector (make-s32vector 0) s32vector (make-u16vector 0) u16vector (make-s16vector 0) s16vector (make-u8vector 0) u8vector (make-s8vector 0) s8vector (condition-variable-nil) condvar (mutex-nil) mutex (utf8-string->ucs2-string \"\") ucs2string (char->ucs2 #\\_) bucs2 (make-datagram-server-socket) datagram-socket (make-server-socket) socket (opaque-nil) opaque (custom-nil) custom (process-nil) process procedure make-struct struct vector keyword symbol bstring epair pair pair-nil nil bchar breal bbool bool elong llong bint cell unspec (current-date) date (string->mmap \"\") mmap binary-port error-port (current-output-port) output-port (current-input-port) input-port cons (quote #()) :_ (quote _) (econs #f #f #f) (cons #f #f) (quote ()) #z0 (string->elong \"0\") (string->llong \"0\") (make-cell #unspecified) class-nil "
		"make- list->tvector quote object-widening-set! object-class-num-set! class-num @ ? - unsafe if let set! isa? define fill- ! %allocate- obj %the- -nil ",
		1165);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genzd2widezd2classzd2nilzd2envz00zzobject_nilz00,
		BgL_bgl_za762genza7d2wideza7d22173za7,
		BGl_z62genzd2widezd2classzd2nilzb0zzobject_nilz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_typezd2nilzd2valuezd2envzd2zzobject_nilz00,
		BgL_bgl_za762typeza7d2nilza7d22174za7,
		BGl_z62typezd2nilzd2valuez62zzobject_nilz00, 0L, BUNSPEC, 2);
	      DEFINE_REAL(BGl_real2159z00zzobject_nilz00,
		BgL_bgl_real2159za700za7za7obj2175za7, 0.0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_importzd2classzd2nilzd2envzd2zzobject_nilz00,
		BgL_bgl_za762importza7d2clas2176z00,
		BGl_z62importzd2classzd2nilz62zzobject_nilz00, 0L, BUNSPEC, 3);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzobject_nilz00(long
		BgL_checksumz00_2089, char *BgL_fromz00_2090)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzobject_nilz00))
				{
					BGl_requirezd2initializa7ationz75zzobject_nilz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzobject_nilz00();
					BGl_cnstzd2initzd2zzobject_nilz00();
					BGl_importedzd2moduleszd2initz00zzobject_nilz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzobject_nilz00()
	{
		AN_OBJECT;
		{	/* Object/nil.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"object_nil");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"object_nil");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "object_nil");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "object_nil");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"object_nil");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"object_nil");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "object_nil");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"object_nil");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzobject_nilz00()
	{
		AN_OBJECT;
		{	/* Object/nil.scm 15 */
			{	/* Object/nil.scm 15 */
				obj_t BgL_cportz00_2081;

				BgL_cportz00_2081 =
					bgl_open_input_string(BGl_string2164z00zzobject_nilz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2082;

					BgL_iz00_2082 = ((long) 109);
				BgL_loopz00_2083:
					if ((BgL_iz00_2082 == ((long) -1)))
						{	/* Object/nil.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Object/nil.scm 15 */
							{	/* Object/nil.scm 15 */
								obj_t BgL_arg2166z00_2085;

								{	/* Object/nil.scm 15 */

									{	/* Object/nil.scm 15 */
										obj_t BgL_locationz00_2087;

										BgL_locationz00_2087 = BBOOL(((bool_t) 0));
										{	/* Object/nil.scm 15 */

											BgL_arg2166z00_2085 =
												BGl_readz00zz__readerz00(BgL_cportz00_2081,
												BgL_locationz00_2087);
										}
									}
								}
								{	/* Object/nil.scm 15 */
									int BgL_auxz00_2111;

									BgL_auxz00_2111 = (int) (BgL_iz00_2082);
									CNST_TABLE_SET(BgL_auxz00_2111, BgL_arg2166z00_2085);
							}}
							{	/* Object/nil.scm 15 */
								int BgL_auxz00_2088;

								BgL_auxz00_2088 = (int) ((BgL_iz00_2082 - ((long) 1)));
								{
									long BgL_iz00_2116;

									BgL_iz00_2116 = (long) (BgL_auxz00_2088);
									BgL_iz00_2082 = BgL_iz00_2116;
									goto BgL_loopz00_2083;
								}
							}
						}
				}
			}
		}
	}



/* import-class-nil */
	BGL_EXPORTED_DEF obj_t
		BGl_importzd2classzd2nilz00zzobject_nilz00(BgL_typez00_bglt BgL_classz00_3,
		obj_t BgL_srczd2defzd2_4, obj_t BgL_modulez00_5)
	{
		AN_OBJECT;
		{	/* Object/nil.scm 44 */
			{	/* Object/nil.scm 45 */
				obj_t BgL_idz00_900;

				BgL_idz00_900 =
					(((BgL_typez00_bglt) CREF(
							((BgL_typez00_bglt) BgL_classz00_3)))->BgL_idz00);
				{	/* Object/nil.scm 45 */
					obj_t BgL_idzd2nilzd2_901;

					{	/* Object/nil.scm 46 */
						obj_t BgL_arg1591z00_905;

						{	/* Object/nil.scm 46 */
							obj_t BgL_arg1592z00_906;
							obj_t BgL_arg1599z00_907;

							{	/* Object/nil.scm 46 */
								obj_t BgL_res2053z00_1754;

								{	/* Object/nil.scm 46 */
									obj_t BgL_arg1265z00_1753;

									BgL_arg1265z00_1753 = SYMBOL_TO_STRING(BgL_idz00_900);
									BgL_res2053z00_1754 =
										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
										(BgL_arg1265z00_1753);
								}
								BgL_arg1592z00_906 = BgL_res2053z00_1754;
							}
							{	/* Object/nil.scm 46 */
								obj_t BgL_res2054z00_1757;

								{	/* Object/nil.scm 46 */
									obj_t BgL_symbolz00_1755;

									BgL_symbolz00_1755 = CNST_TABLE_REF(((long) 0));
									{	/* Object/nil.scm 46 */
										obj_t BgL_arg1265z00_1756;

										BgL_arg1265z00_1756 = SYMBOL_TO_STRING(BgL_symbolz00_1755);
										BgL_res2054z00_1757 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg1265z00_1756);
								}}
								BgL_arg1599z00_907 = BgL_res2054z00_1757;
							}
							BgL_arg1591z00_905 =
								string_append(BgL_arg1592z00_906, BgL_arg1599z00_907);
						}
						BgL_idzd2nilzd2_901 = bstring_to_symbol(BgL_arg1591z00_905);
					}
					{	/* Object/nil.scm 46 */
						obj_t BgL_tidzd2nilzd2_902;

						BgL_tidzd2nilzd2_902 =
							BGl_makezd2typedzd2identz00zzast_identz00(BgL_idzd2nilzd2_901,
							BgL_idz00_900);
						{	/* Object/nil.scm 47 */

							{	/* Object/nil.scm 48 */
								obj_t BgL_arg1585z00_903;

								BgL_arg1585z00_903 = MAKE_PAIR(BgL_tidzd2nilzd2_902, BNIL);
								return
									BGl_importzd2parserzd2zzmodule_impusez00(BgL_modulez00_5,
									BgL_arg1585z00_903, BFALSE, BNIL);
							}
						}
					}
				}
			}
		}
	}



/* &import-class-nil */
	obj_t BGl_z62importzd2classzd2nilz62zzobject_nilz00(obj_t BgL_envz00_2066,
		obj_t BgL_classz00_2067, obj_t BgL_srczd2defzd2_2068,
		obj_t BgL_modulez00_2069)
	{
		AN_OBJECT;
		{	/* Object/nil.scm 44 */
			return
				BGl_importzd2classzd2nilz00zzobject_nilz00(
				((BgL_typez00_bglt) BgL_classz00_2067), BgL_srczd2defzd2_2068,
				BgL_modulez00_2069);
		}
	}



/* gen-plain-class-nil */
	BGL_EXPORTED_DEF obj_t
		BGl_genzd2plainzd2classzd2nilzd2zzobject_nilz00(BgL_typez00_bglt
		BgL_classz00_6, obj_t BgL_srczd2defzd2_7, obj_t BgL_importz00_8)
	{
		AN_OBJECT;
		{	/* Object/nil.scm 55 */
			{	/* Object/nil.scm 57 */
				obj_t BgL_idz00_909;

				BgL_idz00_909 =
					(((BgL_typez00_bglt) CREF(
							((BgL_typez00_bglt) BgL_classz00_6)))->BgL_idz00);
				{	/* Object/nil.scm 57 */
					obj_t BgL_idzd2nilzd2_910;

					{	/* Object/nil.scm 58 */
						obj_t BgL_arg1775z00_967;

						{	/* Object/nil.scm 58 */
							obj_t BgL_arg1776z00_968;
							obj_t BgL_arg1777z00_969;

							{	/* Object/nil.scm 58 */
								obj_t BgL_res2057z00_1765;

								{	/* Object/nil.scm 58 */
									obj_t BgL_arg1265z00_1764;

									BgL_arg1265z00_1764 = SYMBOL_TO_STRING(BgL_idz00_909);
									BgL_res2057z00_1765 =
										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
										(BgL_arg1265z00_1764);
								}
								BgL_arg1776z00_968 = BgL_res2057z00_1765;
							}
							{	/* Object/nil.scm 58 */
								obj_t BgL_res2058z00_1768;

								{	/* Object/nil.scm 58 */
									obj_t BgL_symbolz00_1766;

									BgL_symbolz00_1766 = CNST_TABLE_REF(((long) 0));
									{	/* Object/nil.scm 58 */
										obj_t BgL_arg1265z00_1767;

										BgL_arg1265z00_1767 = SYMBOL_TO_STRING(BgL_symbolz00_1766);
										BgL_res2058z00_1768 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg1265z00_1767);
								}}
								BgL_arg1777z00_969 = BgL_res2058z00_1768;
							}
							BgL_arg1775z00_967 =
								string_append(BgL_arg1776z00_968, BgL_arg1777z00_969);
						}
						BgL_idzd2nilzd2_910 = bstring_to_symbol(BgL_arg1775z00_967);
					}
					{	/* Object/nil.scm 58 */
						obj_t BgL_tidzd2nilzd2_911;

						BgL_tidzd2nilzd2_911 =
							BGl_makezd2typedzd2identz00zzast_identz00(BgL_idzd2nilzd2_910,
							BgL_idz00_909);
						{	/* Object/nil.scm 59 */
							obj_t BgL_thezd2idzd2nilz00_912;

							{	/* Object/nil.scm 60 */
								obj_t BgL_arg1756z00_964;

								{	/* Object/nil.scm 60 */
									obj_t BgL_arg1768z00_965;
									obj_t BgL_arg1774z00_966;

									{	/* Object/nil.scm 60 */
										obj_t BgL_res2060z00_1773;

										{	/* Object/nil.scm 60 */
											obj_t BgL_symbolz00_1771;

											BgL_symbolz00_1771 = CNST_TABLE_REF(((long) 1));
											{	/* Object/nil.scm 60 */
												obj_t BgL_arg1265z00_1772;

												BgL_arg1265z00_1772 =
													SYMBOL_TO_STRING(BgL_symbolz00_1771);
												BgL_res2060z00_1773 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg1265z00_1772);
										}}
										BgL_arg1768z00_965 = BgL_res2060z00_1773;
									}
									{	/* Object/nil.scm 60 */
										obj_t BgL_res2061z00_1776;

										{	/* Object/nil.scm 60 */
											obj_t BgL_arg1265z00_1775;

											BgL_arg1265z00_1775 =
												SYMBOL_TO_STRING(BgL_idzd2nilzd2_910);
											BgL_res2061z00_1776 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1265z00_1775);
										}
										BgL_arg1774z00_966 = BgL_res2061z00_1776;
									}
									BgL_arg1756z00_964 =
										string_append(BgL_arg1768z00_965, BgL_arg1774z00_966);
								}
								BgL_thezd2idzd2nilz00_912 =
									bstring_to_symbol(BgL_arg1756z00_964);
							}
							{	/* Object/nil.scm 60 */
								obj_t BgL_thezd2tidzd2nilz00_913;

								BgL_thezd2tidzd2nilz00_913 =
									BGl_makezd2typedzd2identz00zzast_identz00
									(BgL_thezd2idzd2nilz00_912, CNST_TABLE_REF(((long) 2)));
								{	/* Object/nil.scm 61 */
									obj_t BgL_allocz00_914;

									{	/* Object/nil.scm 62 */
										obj_t BgL_arg1741z00_961;

										{	/* Object/nil.scm 62 */
											obj_t BgL_arg1747z00_962;
											obj_t BgL_arg1750z00_963;

											{	/* Object/nil.scm 62 */
												obj_t BgL_res2063z00_1781;

												{	/* Object/nil.scm 62 */
													obj_t BgL_symbolz00_1779;

													BgL_symbolz00_1779 = CNST_TABLE_REF(((long) 3));
													{	/* Object/nil.scm 62 */
														obj_t BgL_arg1265z00_1780;

														BgL_arg1265z00_1780 =
															SYMBOL_TO_STRING(BgL_symbolz00_1779);
														BgL_res2063z00_1781 =
															BGl_stringzd2copyzd2zz__r4_strings_6_7z00
															(BgL_arg1265z00_1780);
												}}
												BgL_arg1747z00_962 = BgL_res2063z00_1781;
											}
											{	/* Object/nil.scm 62 */
												obj_t BgL_res2064z00_1784;

												{	/* Object/nil.scm 62 */
													obj_t BgL_arg1265z00_1783;

													BgL_arg1265z00_1783 = SYMBOL_TO_STRING(BgL_idz00_909);
													BgL_res2064z00_1784 =
														BGl_stringzd2copyzd2zz__r4_strings_6_7z00
														(BgL_arg1265z00_1783);
												}
												BgL_arg1750z00_963 = BgL_res2064z00_1784;
											}
											BgL_arg1741z00_961 =
												string_append(BgL_arg1747z00_962, BgL_arg1750z00_963);
										}
										BgL_allocz00_914 = bstring_to_symbol(BgL_arg1741z00_961);
									}
									{	/* Object/nil.scm 62 */
										obj_t BgL_fillz00_915;

										{	/* Object/nil.scm 63 */
											obj_t BgL_list1732z00_958;

											{	/* Object/nil.scm 63 */
												obj_t BgL_arg1737z00_959;

												{	/* Object/nil.scm 63 */
													obj_t BgL_arg1739z00_960;

													BgL_arg1739z00_960 =
														MAKE_PAIR(CNST_TABLE_REF(((long) 4)), BNIL);
													BgL_arg1737z00_959 =
														MAKE_PAIR(BgL_idz00_909, BgL_arg1739z00_960);
												}
												BgL_list1732z00_958 =
													MAKE_PAIR(CNST_TABLE_REF(((long) 5)),
													BgL_arg1737z00_959);
											}
											BgL_fillz00_915 =
												BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
												(BgL_list1732z00_958);
										}
										{	/* Object/nil.scm 63 */
											obj_t BgL_tmpz00_916;

											{	/* Object/nil.scm 64 */

												{	/* Object/nil.scm 64 */

													BgL_tmpz00_916 =
														BGl_gensymz00zz__r4_symbols_6_4z00(BFALSE);
											}}
											{	/* Object/nil.scm 64 */
												obj_t BgL_tmptz00_917;

												BgL_tmptz00_917 =
													BGl_makezd2typedzd2identz00zzast_identz00
													(BgL_tmpz00_916, BgL_idz00_909);
												{	/* Object/nil.scm 65 */

													{	/* Object/nil.scm 66 */
														obj_t BgL_arg1605z00_918;

														{	/* Object/nil.scm 66 */
															obj_t BgL_arg1606z00_919;

															{	/* Object/nil.scm 66 */
																obj_t BgL_arg1611z00_920;

																BgL_arg1611z00_920 =
																	MAKE_PAIR(BgL_tidzd2nilzd2_911, BNIL);
																BgL_arg1606z00_919 =
																	MAKE_PAIR(BgL_arg1611z00_920, BNIL);
															}
															BgL_arg1605z00_918 =
																MAKE_PAIR(BgL_importz00_8, BgL_arg1606z00_919);
														}
														BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
															(BgL_arg1605z00_918);
													}
													{	/* Object/nil.scm 68 */
														obj_t BgL_arg1612z00_921;
														obj_t BgL_arg1613z00_922;

														{	/* Object/nil.scm 68 */
															obj_t BgL_arg1626z00_925;

															{	/* Object/nil.scm 68 */
																obj_t BgL_arg1627z00_926;

																BgL_arg1627z00_926 = MAKE_PAIR(BUNSPEC, BNIL);
																BgL_arg1626z00_925 =
																	MAKE_PAIR(BgL_thezd2tidzd2nilz00_913,
																	BgL_arg1627z00_926);
															}
															BgL_arg1612z00_921 =
																MAKE_PAIR(CNST_TABLE_REF(((long) 6)),
																BgL_arg1626z00_925);
														}
														{	/* Object/nil.scm 69 */
															obj_t BgL_arg1628z00_927;

															{	/* Object/nil.scm 69 */
																obj_t BgL_arg1630z00_928;

																{	/* Object/nil.scm 69 */
																	obj_t BgL_arg1631z00_929;
																	obj_t BgL_arg1642z00_930;

																	BgL_arg1631z00_929 =
																		MAKE_PAIR(BgL_tidzd2nilzd2_911, BNIL);
																	{	/* Object/nil.scm 71 */
																		obj_t BgL_arg1644z00_931;

																		{	/* Object/nil.scm 71 */
																			obj_t BgL_arg1655z00_932;

																			{	/* Object/nil.scm 71 */
																				obj_t BgL_arg1658z00_934;

																				{	/* Object/nil.scm 71 */
																					obj_t BgL_arg1673z00_935;
																					obj_t BgL_arg1676z00_936;

																					{	/* Object/nil.scm 71 */
																						obj_t BgL_arg1681z00_937;

																						{	/* Object/nil.scm 71 */
																							obj_t BgL_arg1683z00_938;

																							BgL_arg1683z00_938 =
																								MAKE_PAIR(BgL_idz00_909, BNIL);
																							BgL_arg1681z00_937 =
																								MAKE_PAIR
																								(BgL_thezd2idzd2nilz00_912,
																								BgL_arg1683z00_938);
																						}
																						BgL_arg1673z00_935 =
																							MAKE_PAIR(CNST_TABLE_REF(((long)
																									7)), BgL_arg1681z00_937);
																					}
																					{	/* Object/nil.scm 73 */
																						obj_t BgL_arg1686z00_939;

																						{	/* Object/nil.scm 73 */
																							obj_t BgL_arg1691z00_940;

																							{	/* Object/nil.scm 73 */
																								obj_t BgL_arg1696z00_941;

																								{	/* Object/nil.scm 73 */
																									obj_t BgL_arg1697z00_942;
																									obj_t BgL_arg1699z00_943;

																									{	/* Object/nil.scm 73 */
																										obj_t BgL_arg1700z00_944;

																										{	/* Object/nil.scm 73 */
																											obj_t BgL_arg1706z00_945;

																											{	/* Object/nil.scm 73 */
																												obj_t
																													BgL_arg1707z00_946;
																												BgL_arg1707z00_946 =
																													MAKE_PAIR
																													(BgL_allocz00_914,
																													BNIL);
																												BgL_arg1706z00_945 =
																													MAKE_PAIR
																													(BgL_arg1707z00_946,
																													BNIL);
																											}
																											BgL_arg1700z00_944 =
																												MAKE_PAIR
																												(BgL_tmptz00_917,
																												BgL_arg1706z00_945);
																										}
																										BgL_arg1697z00_942 =
																											MAKE_PAIR
																											(BgL_arg1700z00_944,
																											BNIL);
																									}
																									{	/* Object/nil.scm 74 */
																										obj_t BgL_arg1710z00_947;
																										obj_t BgL_arg1717z00_948;

																										{	/* Object/nil.scm 74 */
																											obj_t BgL_arg1719z00_949;

																											{	/* Object/nil.scm 74 */
																												obj_t
																													BgL_arg1720z00_950;
																												BgL_arg1720z00_950 =
																													MAKE_PAIR
																													(BgL_tmpz00_916,
																													BNIL);
																												BgL_arg1719z00_949 =
																													MAKE_PAIR
																													(BgL_thezd2idzd2nilz00_912,
																													BgL_arg1720z00_950);
																											}
																											BgL_arg1710z00_947 =
																												MAKE_PAIR(CNST_TABLE_REF
																												(((long) 8)),
																												BgL_arg1719z00_949);
																										}
																										{	/* Object/nil.scm 75 */
																											obj_t BgL_arg1721z00_951;
																											obj_t BgL_arg1725z00_952;

																											{	/* Object/nil.scm 75 */
																												obj_t
																													BgL_arg1726z00_953;
																												{	/* Object/nil.scm 75 */
																													obj_t
																														BgL_arg1727z00_954;
																													{	/* Object/nil.scm 75 */
																														obj_t
																															BgL_arg1730z00_955;
																														{	/* Object/nil.scm 75 */
																															obj_t
																																BgL_arg1731z00_956;
																															{
																																BgL_tclassz00_bglt
																																	BgL_auxz00_2187;
																																{
																																	obj_t
																																		BgL_auxz00_2188;
																																	{	/* Object/nil.scm 75 */
																																		BgL_objectz00_bglt
																																			BgL_auxz00_2189;
																																		BgL_auxz00_2189
																																			=
																																			(
																																			(BgL_objectz00_bglt)
																																			BgL_classz00_6);
																																		BgL_auxz00_2188
																																			=
																																			BGL_OBJECT_WIDENING
																																			(BgL_auxz00_2189);
																																	}
																																	BgL_auxz00_2187
																																		=
																																		(
																																		(BgL_tclassz00_bglt)
																																		BgL_auxz00_2188);
																																}
																																BgL_arg1731z00_956
																																	=
																																	(((BgL_tclassz00_bglt) CREF(BgL_auxz00_2187))->BgL_slotsz00);
																															}
																															BgL_arg1730z00_955
																																=
																																BGl_fillzd2nilzd2zzobject_nilz00
																																(BgL_arg1731z00_956);
																														}
																														BgL_arg1727z00_954 =
																															BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																															(BgL_arg1730z00_955,
																															BNIL);
																													}
																													BgL_arg1726z00_953 =
																														MAKE_PAIR
																														(BgL_tmpz00_916,
																														BgL_arg1727z00_954);
																												}
																												BgL_arg1721z00_951 =
																													MAKE_PAIR
																													(BgL_fillz00_915,
																													BgL_arg1726z00_953);
																											}
																											BgL_arg1725z00_952 =
																												MAKE_PAIR
																												(BgL_tmpz00_916, BNIL);
																											BgL_arg1717z00_948 =
																												MAKE_PAIR
																												(BgL_arg1721z00_951,
																												BgL_arg1725z00_952);
																										}
																										BgL_arg1699z00_943 =
																											MAKE_PAIR
																											(BgL_arg1710z00_947,
																											BgL_arg1717z00_948);
																									}
																									BgL_arg1696z00_941 =
																										MAKE_PAIR
																										(BgL_arg1697z00_942,
																										BgL_arg1699z00_943);
																								}
																								BgL_arg1691z00_940 =
																									MAKE_PAIR(CNST_TABLE_REF((
																											(long) 9)),
																									BgL_arg1696z00_941);
																							}
																							BgL_arg1686z00_939 =
																								MAKE_PAIR(BgL_arg1691z00_940,
																								BNIL);
																						}
																						BgL_arg1676z00_936 =
																							MAKE_PAIR
																							(BgL_thezd2idzd2nilz00_912,
																							BgL_arg1686z00_939);
																					}
																					BgL_arg1658z00_934 =
																						MAKE_PAIR(BgL_arg1673z00_935,
																						BgL_arg1676z00_936);
																				}
																				BgL_arg1655z00_932 =
																					MAKE_PAIR(CNST_TABLE_REF(((long) 10)),
																					BgL_arg1658z00_934);
																			}
																			{	/* Object/nil.scm 70 */
																				obj_t BgL_list1656z00_933;

																				BgL_list1656z00_933 =
																					MAKE_PAIR(BgL_arg1655z00_932, BNIL);
																				BgL_arg1644z00_931 =
																					BGl_makezd2privatezd2sexpz00zzast_privatez00
																					(CNST_TABLE_REF(((long) 11)),
																					BgL_idz00_909, BgL_list1656z00_933);
																		}}
																		BgL_arg1642z00_930 =
																			MAKE_PAIR(BgL_arg1644z00_931, BNIL);
																	}
																	BgL_arg1630z00_928 =
																		MAKE_PAIR(BgL_arg1631z00_929,
																		BgL_arg1642z00_930);
																}
																BgL_arg1628z00_927 =
																	MAKE_PAIR(CNST_TABLE_REF(((long) 6)),
																	BgL_arg1630z00_928);
															}
															BgL_arg1613z00_922 =
																BGl_epairifyz00zztools_miscz00
																(BgL_arg1628z00_927, BgL_srczd2defzd2_7);
														}
														{	/* Object/nil.scm 67 */
															obj_t BgL_list1614z00_923;

															{	/* Object/nil.scm 67 */
																obj_t BgL_arg1625z00_924;

																BgL_arg1625z00_924 =
																	MAKE_PAIR(BgL_arg1613z00_922, BNIL);
																BgL_list1614z00_923 =
																	MAKE_PAIR(BgL_arg1612z00_921,
																	BgL_arg1625z00_924);
															}
															return BgL_list1614z00_923;
														}
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* &gen-plain-class-nil */
	obj_t BGl_z62genzd2plainzd2classzd2nilzb0zzobject_nilz00(obj_t
		BgL_envz00_2070, obj_t BgL_classz00_2071, obj_t BgL_srczd2defzd2_2072,
		obj_t BgL_importz00_2073)
	{
		AN_OBJECT;
		{	/* Object/nil.scm 55 */
			return
				BGl_genzd2plainzd2classzd2nilzd2zzobject_nilz00(
				((BgL_typez00_bglt) BgL_classz00_2071), BgL_srczd2defzd2_2072,
				BgL_importz00_2073);
		}
	}



/* gen-wide-class-nil */
	BGL_EXPORTED_DEF obj_t
		BGl_genzd2widezd2classzd2nilzd2zzobject_nilz00(BgL_typez00_bglt
		BgL_classz00_9, obj_t BgL_srczd2defzd2_10, obj_t BgL_importz00_11)
	{
		AN_OBJECT;
		{	/* Object/nil.scm 84 */
			{	/* Object/nil.scm 86 */
				obj_t BgL_idz00_971;

				BgL_idz00_971 =
					(((BgL_typez00_bglt) CREF(
							((BgL_typez00_bglt) BgL_classz00_9)))->BgL_idz00);
				{	/* Object/nil.scm 86 */
					obj_t BgL_superzd2idzd2_972;

					{
						BgL_typez00_bglt BgL_auxz00_2223;

						{
							BgL_typez00_bglt BgL_auxz00_2224;

							{
								obj_t BgL_auxz00_2225;

								{
									BgL_tclassz00_bglt BgL_auxz00_2226;

									{
										obj_t BgL_auxz00_2227;

										{	/* Object/nil.scm 87 */
											BgL_objectz00_bglt BgL_auxz00_2228;

											BgL_auxz00_2228 = ((BgL_objectz00_bglt) BgL_classz00_9);
											BgL_auxz00_2227 = BGL_OBJECT_WIDENING(BgL_auxz00_2228);
										}
										BgL_auxz00_2226 = ((BgL_tclassz00_bglt) BgL_auxz00_2227);
									}
									BgL_auxz00_2225 =
										(((BgL_tclassz00_bglt) CREF(BgL_auxz00_2226))->
										BgL_itszd2superzd2);
								}
								BgL_auxz00_2224 = ((BgL_typez00_bglt) BgL_auxz00_2225);
							}
							BgL_auxz00_2223 = ((BgL_typez00_bglt) BgL_auxz00_2224);
						}
						BgL_superzd2idzd2_972 =
							(((BgL_typez00_bglt) CREF(BgL_auxz00_2223))->BgL_idz00);
					}
					{	/* Object/nil.scm 87 */
						obj_t BgL_superzd2slotszd2_973;

						{
							BgL_tclassz00_bglt BgL_auxz00_2236;

							{
								obj_t BgL_auxz00_2237;

								{	/* Object/nil.scm 88 */
									BgL_objectz00_bglt BgL_auxz00_2238;

									{
										BgL_typez00_bglt BgL_auxz00_2239;

										{
											obj_t BgL_auxz00_2240;

											{
												BgL_tclassz00_bglt BgL_auxz00_2241;

												{
													obj_t BgL_auxz00_2242;

													{	/* Object/nil.scm 88 */
														BgL_objectz00_bglt BgL_auxz00_2243;

														BgL_auxz00_2243 =
															((BgL_objectz00_bglt) BgL_classz00_9);
														BgL_auxz00_2242 =
															BGL_OBJECT_WIDENING(BgL_auxz00_2243);
													}
													BgL_auxz00_2241 =
														((BgL_tclassz00_bglt) BgL_auxz00_2242);
												}
												BgL_auxz00_2240 =
													(((BgL_tclassz00_bglt) CREF(BgL_auxz00_2241))->
													BgL_itszd2superzd2);
											}
											BgL_auxz00_2239 = ((BgL_typez00_bglt) BgL_auxz00_2240);
										}
										BgL_auxz00_2238 = ((BgL_objectz00_bglt) BgL_auxz00_2239);
									}
									BgL_auxz00_2237 = BGL_OBJECT_WIDENING(BgL_auxz00_2238);
								}
								BgL_auxz00_2236 = ((BgL_tclassz00_bglt) BgL_auxz00_2237);
							}
							BgL_superzd2slotszd2_973 =
								(((BgL_tclassz00_bglt) CREF(BgL_auxz00_2236))->BgL_slotsz00);
						}
						{	/* Object/nil.scm 88 */
							obj_t BgL_idzd2nilzd2_974;

							{	/* Object/nil.scm 89 */
								obj_t BgL_arg1859z00_1059;

								{	/* Object/nil.scm 89 */
									obj_t BgL_arg1861z00_1060;
									obj_t BgL_arg1862z00_1061;

									{	/* Object/nil.scm 89 */
										obj_t BgL_res2069z00_1799;

										{	/* Object/nil.scm 89 */
											obj_t BgL_arg1265z00_1798;

											BgL_arg1265z00_1798 = SYMBOL_TO_STRING(BgL_idz00_971);
											BgL_res2069z00_1799 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1265z00_1798);
										}
										BgL_arg1861z00_1060 = BgL_res2069z00_1799;
									}
									{	/* Object/nil.scm 89 */
										obj_t BgL_res2070z00_1802;

										{	/* Object/nil.scm 89 */
											obj_t BgL_symbolz00_1800;

											BgL_symbolz00_1800 = CNST_TABLE_REF(((long) 0));
											{	/* Object/nil.scm 89 */
												obj_t BgL_arg1265z00_1801;

												BgL_arg1265z00_1801 =
													SYMBOL_TO_STRING(BgL_symbolz00_1800);
												BgL_res2070z00_1802 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg1265z00_1801);
										}}
										BgL_arg1862z00_1061 = BgL_res2070z00_1802;
									}
									BgL_arg1859z00_1059 =
										string_append(BgL_arg1861z00_1060, BgL_arg1862z00_1061);
								}
								BgL_idzd2nilzd2_974 = bstring_to_symbol(BgL_arg1859z00_1059);
							}
							{	/* Object/nil.scm 89 */
								obj_t BgL_tidzd2nilzd2_975;

								BgL_tidzd2nilzd2_975 =
									BGl_makezd2typedzd2identz00zzast_identz00(BgL_idzd2nilzd2_974,
									BgL_idz00_971);
								{	/* Object/nil.scm 90 */
									obj_t BgL_thezd2idzd2nilz00_976;

									{	/* Object/nil.scm 91 */
										obj_t BgL_arg1856z00_1056;

										{	/* Object/nil.scm 91 */
											obj_t BgL_arg1857z00_1057;
											obj_t BgL_arg1858z00_1058;

											{	/* Object/nil.scm 91 */
												obj_t BgL_res2072z00_1807;

												{	/* Object/nil.scm 91 */
													obj_t BgL_symbolz00_1805;

													BgL_symbolz00_1805 = CNST_TABLE_REF(((long) 1));
													{	/* Object/nil.scm 91 */
														obj_t BgL_arg1265z00_1806;

														BgL_arg1265z00_1806 =
															SYMBOL_TO_STRING(BgL_symbolz00_1805);
														BgL_res2072z00_1807 =
															BGl_stringzd2copyzd2zz__r4_strings_6_7z00
															(BgL_arg1265z00_1806);
												}}
												BgL_arg1857z00_1057 = BgL_res2072z00_1807;
											}
											{	/* Object/nil.scm 91 */
												obj_t BgL_res2073z00_1810;

												{	/* Object/nil.scm 91 */
													obj_t BgL_arg1265z00_1809;

													BgL_arg1265z00_1809 =
														SYMBOL_TO_STRING(BgL_idzd2nilzd2_974);
													BgL_res2073z00_1810 =
														BGl_stringzd2copyzd2zz__r4_strings_6_7z00
														(BgL_arg1265z00_1809);
												}
												BgL_arg1858z00_1058 = BgL_res2073z00_1810;
											}
											BgL_arg1856z00_1056 =
												string_append(BgL_arg1857z00_1057, BgL_arg1858z00_1058);
										}
										BgL_thezd2idzd2nilz00_976 =
											bstring_to_symbol(BgL_arg1856z00_1056);
									}
									{	/* Object/nil.scm 91 */
										obj_t BgL_thezd2tidzd2nilz00_977;

										BgL_thezd2tidzd2nilz00_977 =
											BGl_makezd2typedzd2identz00zzast_identz00
											(BgL_thezd2idzd2nilz00_976, CNST_TABLE_REF(((long) 2)));
										{	/* Object/nil.scm 92 */
											obj_t BgL_wideningz00_978;

											{	/* Object/nil.scm 93 */
												obj_t BgL_arg1852z00_1052;

												{
													BgL_tclassz00_bglt BgL_auxz00_2270;

													{
														obj_t BgL_auxz00_2271;

														{	/* Object/nil.scm 93 */
															BgL_objectz00_bglt BgL_auxz00_2272;

															BgL_auxz00_2272 =
																((BgL_objectz00_bglt) BgL_classz00_9);
															BgL_auxz00_2271 =
																BGL_OBJECT_WIDENING(BgL_auxz00_2272);
														}
														BgL_auxz00_2270 =
															((BgL_tclassz00_bglt) BgL_auxz00_2271);
													}
													BgL_arg1852z00_1052 =
														(((BgL_tclassz00_bglt) CREF(BgL_auxz00_2270))->
														BgL_wideningz00);
												}
												{	/* Object/nil.scm 93 */
													obj_t BgL_list1853z00_1053;

													{	/* Object/nil.scm 93 */
														obj_t BgL_arg1854z00_1054;

														{	/* Object/nil.scm 93 */
															obj_t BgL_arg1855z00_1055;

															BgL_arg1855z00_1055 =
																MAKE_PAIR(BgL_idz00_971, BNIL);
															BgL_arg1854z00_1054 =
																MAKE_PAIR(CNST_TABLE_REF(((long) 12)),
																BgL_arg1855z00_1055);
														}
														BgL_list1853z00_1053 =
															MAKE_PAIR(BgL_arg1852z00_1052,
															BgL_arg1854z00_1054);
													}
													BgL_wideningz00_978 =
														BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
														(BgL_list1853z00_1053);
											}}
											{	/* Object/nil.scm 93 */
												obj_t BgL_superzd2alloczd2_979;

												{	/* Object/nil.scm 94 */
													obj_t BgL_arg1849z00_1049;

													{	/* Object/nil.scm 94 */
														obj_t BgL_arg1850z00_1050;
														obj_t BgL_arg1851z00_1051;

														{	/* Object/nil.scm 94 */
															obj_t BgL_res2075z00_1817;

															{	/* Object/nil.scm 94 */
																obj_t BgL_symbolz00_1815;

																BgL_symbolz00_1815 = CNST_TABLE_REF(((long) 3));
																{	/* Object/nil.scm 94 */
																	obj_t BgL_arg1265z00_1816;

																	BgL_arg1265z00_1816 =
																		SYMBOL_TO_STRING(BgL_symbolz00_1815);
																	BgL_res2075z00_1817 =
																		BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																		(BgL_arg1265z00_1816);
															}}
															BgL_arg1850z00_1050 = BgL_res2075z00_1817;
														}
														{	/* Object/nil.scm 94 */
															obj_t BgL_res2076z00_1820;

															{	/* Object/nil.scm 94 */
																obj_t BgL_arg1265z00_1819;

																BgL_arg1265z00_1819 =
																	SYMBOL_TO_STRING(BgL_superzd2idzd2_972);
																BgL_res2076z00_1820 =
																	BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																	(BgL_arg1265z00_1819);
															}
															BgL_arg1851z00_1051 = BgL_res2076z00_1820;
														}
														BgL_arg1849z00_1049 =
															string_append(BgL_arg1850z00_1050,
															BgL_arg1851z00_1051);
													}
													BgL_superzd2alloczd2_979 =
														bstring_to_symbol(BgL_arg1849z00_1049);
												}
												{	/* Object/nil.scm 94 */
													obj_t BgL_superzd2fillzd2_980;

													{	/* Object/nil.scm 95 */
														obj_t BgL_list1846z00_1046;

														{	/* Object/nil.scm 95 */
															obj_t BgL_arg1847z00_1047;

															{	/* Object/nil.scm 95 */
																obj_t BgL_arg1848z00_1048;

																BgL_arg1848z00_1048 =
																	MAKE_PAIR(CNST_TABLE_REF(((long) 4)), BNIL);
																BgL_arg1847z00_1047 =
																	MAKE_PAIR(BgL_superzd2idzd2_972,
																	BgL_arg1848z00_1048);
															}
															BgL_list1846z00_1046 =
																MAKE_PAIR(CNST_TABLE_REF(((long) 5)),
																BgL_arg1847z00_1047);
														}
														BgL_superzd2fillzd2_980 =
															BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
															(BgL_list1846z00_1046);
													}
													{	/* Object/nil.scm 95 */
														obj_t BgL_idzf3zf3_981;

														{	/* Object/nil.scm 96 */
															obj_t BgL_arg1843z00_1043;

															{	/* Object/nil.scm 96 */
																obj_t BgL_arg1844z00_1044;
																obj_t BgL_arg1845z00_1045;

																{	/* Object/nil.scm 96 */
																	obj_t BgL_res2078z00_1825;

																	{	/* Object/nil.scm 96 */
																		obj_t BgL_arg1265z00_1824;

																		BgL_arg1265z00_1824 =
																			SYMBOL_TO_STRING(BgL_idz00_971);
																		BgL_res2078z00_1825 =
																			BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																			(BgL_arg1265z00_1824);
																	}
																	BgL_arg1844z00_1044 = BgL_res2078z00_1825;
																}
																{	/* Object/nil.scm 96 */
																	obj_t BgL_res2079z00_1828;

																	{	/* Object/nil.scm 96 */
																		obj_t BgL_symbolz00_1826;

																		BgL_symbolz00_1826 =
																			CNST_TABLE_REF(((long) 13));
																		{	/* Object/nil.scm 96 */
																			obj_t BgL_arg1265z00_1827;

																			BgL_arg1265z00_1827 =
																				SYMBOL_TO_STRING(BgL_symbolz00_1826);
																			BgL_res2079z00_1828 =
																				BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																				(BgL_arg1265z00_1827);
																	}}
																	BgL_arg1845z00_1045 = BgL_res2079z00_1828;
																}
																BgL_arg1843z00_1043 =
																	string_append(BgL_arg1844z00_1044,
																	BgL_arg1845z00_1045);
															}
															BgL_idzf3zf3_981 =
																bstring_to_symbol(BgL_arg1843z00_1043);
														}
														{	/* Object/nil.scm 96 */
															obj_t BgL_tmpz00_982;

															{	/* Object/nil.scm 97 */

																{	/* Object/nil.scm 97 */

																	BgL_tmpz00_982 =
																		BGl_gensymz00zz__r4_symbols_6_4z00(BFALSE);
															}}
															{	/* Object/nil.scm 97 */
																obj_t BgL_tmptz00_983;

																BgL_tmptz00_983 =
																	BGl_makezd2typedzd2identz00zzast_identz00
																	(BgL_tmpz00_982, BgL_idz00_971);
																{	/* Object/nil.scm 98 */

																	{	/* Object/nil.scm 99 */
																		obj_t BgL_arg1779z00_984;

																		{	/* Object/nil.scm 99 */
																			obj_t BgL_arg1780z00_985;

																			{	/* Object/nil.scm 99 */
																				obj_t BgL_arg1781z00_986;

																				BgL_arg1781z00_986 =
																					MAKE_PAIR(BgL_tidzd2nilzd2_975, BNIL);
																				BgL_arg1780z00_985 =
																					MAKE_PAIR(BgL_arg1781z00_986, BNIL);
																			}
																			BgL_arg1779z00_984 =
																				MAKE_PAIR(BgL_importz00_11,
																				BgL_arg1780z00_985);
																		}
																		BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
																			(BgL_arg1779z00_984);
																	}
																	{	/* Object/nil.scm 101 */
																		obj_t BgL_arg1783z00_987;
																		obj_t BgL_arg1785z00_988;

																		{	/* Object/nil.scm 101 */
																			obj_t BgL_arg1788z00_991;

																			{	/* Object/nil.scm 101 */
																				obj_t BgL_arg1789z00_992;

																				BgL_arg1789z00_992 =
																					MAKE_PAIR(BUNSPEC, BNIL);
																				BgL_arg1788z00_991 =
																					MAKE_PAIR(BgL_thezd2tidzd2nilz00_977,
																					BgL_arg1789z00_992);
																			}
																			BgL_arg1783z00_987 =
																				MAKE_PAIR(CNST_TABLE_REF(((long) 6)),
																				BgL_arg1788z00_991);
																		}
																		{	/* Object/nil.scm 102 */
																			obj_t BgL_arg1790z00_993;

																			{	/* Object/nil.scm 102 */
																				obj_t BgL_arg1791z00_994;

																				{	/* Object/nil.scm 102 */
																					obj_t BgL_arg1792z00_995;
																					obj_t BgL_arg1793z00_996;

																					BgL_arg1792z00_995 =
																						MAKE_PAIR(BgL_tidzd2nilzd2_975,
																						BNIL);
																					{	/* Object/nil.scm 104 */
																						obj_t BgL_arg1794z00_997;

																						{	/* Object/nil.scm 104 */
																							obj_t BgL_arg1795z00_998;

																							{	/* Object/nil.scm 104 */
																								obj_t BgL_arg1797z00_1000;

																								{	/* Object/nil.scm 104 */
																									obj_t BgL_arg1798z00_1001;
																									obj_t BgL_arg1800z00_1002;

																									{	/* Object/nil.scm 104 */
																										obj_t BgL_arg1801z00_1003;

																										BgL_arg1801z00_1003 =
																											MAKE_PAIR
																											(BgL_thezd2idzd2nilz00_976,
																											BNIL);
																										BgL_arg1798z00_1001 =
																											MAKE_PAIR
																											(BgL_idzf3zf3_981,
																											BgL_arg1801z00_1003);
																									}
																									{	/* Object/nil.scm 107 */
																										obj_t BgL_arg1802z00_1004;

																										{	/* Object/nil.scm 107 */
																											obj_t BgL_arg1803z00_1005;

																											{	/* Object/nil.scm 107 */
																												obj_t
																													BgL_arg1804z00_1006;
																												{	/* Object/nil.scm 107 */
																													obj_t
																														BgL_arg1806z00_1007;
																													obj_t
																														BgL_arg1807z00_1008;
																													{	/* Object/nil.scm 107 */
																														obj_t
																															BgL_arg1808z00_1009;
																														{	/* Object/nil.scm 107 */
																															obj_t
																																BgL_arg1809z00_1010;
																															{	/* Object/nil.scm 107 */
																																obj_t
																																	BgL_arg1811z00_1011;
																																BgL_arg1811z00_1011
																																	=
																																	MAKE_PAIR
																																	(BgL_superzd2alloczd2_979,
																																	BNIL);
																																BgL_arg1809z00_1010
																																	=
																																	MAKE_PAIR
																																	(BgL_arg1811z00_1011,
																																	BNIL);
																															}
																															BgL_arg1808z00_1009
																																=
																																MAKE_PAIR
																																(BgL_tmptz00_983,
																																BgL_arg1809z00_1010);
																														}
																														BgL_arg1806z00_1007
																															=
																															MAKE_PAIR
																															(BgL_arg1808z00_1009,
																															BNIL);
																													}
																													{	/* Object/nil.scm 108 */
																														obj_t
																															BgL_arg1812z00_1012;
																														obj_t
																															BgL_arg1813z00_1013;
																														{	/* Object/nil.scm 108 */
																															obj_t
																																BgL_arg1814z00_1014;
																															{	/* Object/nil.scm 108 */
																																obj_t
																																	BgL_arg1815z00_1015;
																																BgL_arg1815z00_1015
																																	=
																																	MAKE_PAIR
																																	(BgL_tmpz00_982,
																																	BNIL);
																																BgL_arg1814z00_1014
																																	=
																																	MAKE_PAIR
																																	(BgL_thezd2idzd2nilz00_976,
																																	BgL_arg1815z00_1015);
																															}
																															BgL_arg1812z00_1012
																																=
																																MAKE_PAIR
																																(CNST_TABLE_REF(
																																	((long) 8)),
																																BgL_arg1814z00_1014);
																														}
																														{	/* Object/nil.scm 110 */
																															obj_t
																																BgL_arg1816z00_1016;
																															obj_t
																																BgL_arg1817z00_1017;
																															{	/* Object/nil.scm 110 */
																																obj_t
																																	BgL_arg1818z00_1018;
																																BgL_arg1818z00_1018
																																	=
																																	MAKE_PAIR
																																	(BgL_tmpz00_982,
																																	BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																	(BGl_fillzd2nilzd2zzobject_nilz00
																																		(BgL_superzd2slotszd2_973),
																																		BNIL));
																																BgL_arg1816z00_1016
																																	=
																																	MAKE_PAIR
																																	(BgL_superzd2fillzd2_980,
																																	BgL_arg1818z00_1018);
																															}
																															{	/* Object/nil.scm 114 */
																																obj_t
																																	BgL_arg1821z00_1021;
																																obj_t
																																	BgL_arg1822z00_1022;
																																{	/* Object/nil.scm 114 */
																																	obj_t
																																		BgL_arg1823z00_1023;
																																	{	/* Object/nil.scm 114 */
																																		obj_t
																																			BgL_arg1824z00_1024;
																																		{	/* Object/nil.scm 114 */
																																			obj_t
																																				BgL_arg1825z00_1025;
																																			{	/* Object/nil.scm 114 */
																																				obj_t
																																					BgL_arg1826z00_1026;
																																				{	/* Object/nil.scm 114 */
																																					obj_t
																																						BgL_arg1827z00_1027;
																																					{	/* Object/nil.scm 114 */
																																						obj_t
																																							BgL_arg1829z00_1028;
																																						{	/* Object/nil.scm 114 */
																																							obj_t
																																								BgL_arg1830z00_1029;
																																							obj_t
																																								BgL_arg1831z00_1030;
																																							{
																																								BgL_variablez00_bglt
																																									BgL_auxz00_2327;
																																								{
																																									BgL_globalz00_bglt
																																										BgL_auxz00_2328;
																																									{
																																										BgL_tclassz00_bglt
																																											BgL_auxz00_2329;
																																										{
																																											obj_t
																																												BgL_auxz00_2330;
																																											{	/* Object/nil.scm 114 */
																																												BgL_objectz00_bglt
																																													BgL_auxz00_2331;
																																												BgL_auxz00_2331
																																													=
																																													(
																																													(BgL_objectz00_bglt)
																																													BgL_classz00_9);
																																												BgL_auxz00_2330
																																													=
																																													BGL_OBJECT_WIDENING
																																													(BgL_auxz00_2331);
																																											}
																																											BgL_auxz00_2329
																																												=
																																												(
																																												(BgL_tclassz00_bglt)
																																												BgL_auxz00_2330);
																																										}
																																										BgL_auxz00_2328
																																											=
																																											(
																																											((BgL_tclassz00_bglt) CREF(BgL_auxz00_2329))->BgL_holderz00);
																																									}
																																									BgL_auxz00_2327
																																										=
																																										(
																																										(BgL_variablez00_bglt)
																																										BgL_auxz00_2328);
																																								}
																																								BgL_arg1830z00_1029
																																									=
																																									(
																																									((BgL_variablez00_bglt) CREF(BgL_auxz00_2327))->BgL_idz00);
																																							}
																																							{	/* Object/nil.scm 115 */
																																								obj_t
																																									BgL_arg1833z00_1032;
																																								{
																																									BgL_globalz00_bglt
																																										BgL_auxz00_2338;
																																									{
																																										BgL_tclassz00_bglt
																																											BgL_auxz00_2339;
																																										{
																																											obj_t
																																												BgL_auxz00_2340;
																																											{	/* Object/nil.scm 115 */
																																												BgL_objectz00_bglt
																																													BgL_auxz00_2341;
																																												BgL_auxz00_2341
																																													=
																																													(
																																													(BgL_objectz00_bglt)
																																													BgL_classz00_9);
																																												BgL_auxz00_2340
																																													=
																																													BGL_OBJECT_WIDENING
																																													(BgL_auxz00_2341);
																																											}
																																											BgL_auxz00_2339
																																												=
																																												(
																																												(BgL_tclassz00_bglt)
																																												BgL_auxz00_2340);
																																										}
																																										BgL_auxz00_2338
																																											=
																																											(
																																											((BgL_tclassz00_bglt) CREF(BgL_auxz00_2339))->BgL_holderz00);
																																									}
																																									BgL_arg1833z00_1032
																																										=
																																										(
																																										((BgL_globalz00_bglt) CREF(BgL_auxz00_2338))->BgL_modulez00);
																																								}
																																								BgL_arg1831z00_1030
																																									=
																																									MAKE_PAIR
																																									(BgL_arg1833z00_1032,
																																									BNIL);
																																							}
																																							BgL_arg1829z00_1028
																																								=
																																								MAKE_PAIR
																																								(BgL_arg1830z00_1029,
																																								BgL_arg1831z00_1030);
																																						}
																																						BgL_arg1827z00_1027
																																							=
																																							MAKE_PAIR
																																							(CNST_TABLE_REF
																																							(((long) 14)), BgL_arg1829z00_1028);
																																					}
																																					BgL_arg1826z00_1026
																																						=
																																						MAKE_PAIR
																																						(BgL_arg1827z00_1027,
																																						BNIL);
																																				}
																																				BgL_arg1825z00_1025
																																					=
																																					MAKE_PAIR
																																					(CNST_TABLE_REF
																																					(((long) 15)), BgL_arg1826z00_1026);
																																			}
																																			BgL_arg1824z00_1024
																																				=
																																				MAKE_PAIR
																																				(BgL_arg1825z00_1025,
																																				BNIL);
																																		}
																																		BgL_arg1823z00_1023
																																			=
																																			MAKE_PAIR
																																			(BgL_tmpz00_982,
																																			BgL_arg1824z00_1024);
																																	}
																																	BgL_arg1821z00_1021
																																		=
																																		MAKE_PAIR
																																		(CNST_TABLE_REF
																																		(((long)
																																				16)),
																																		BgL_arg1823z00_1023);
																																}
																																{	/* Object/nil.scm 119 */
																																	obj_t
																																		BgL_arg1835z00_1034;
																																	obj_t
																																		BgL_arg1836z00_1035;
																																	{	/* Object/nil.scm 119 */
																																		obj_t
																																			BgL_arg1837z00_1036;
																																		{	/* Object/nil.scm 119 */
																																			obj_t
																																				BgL_arg1838z00_1037;
																																			{	/* Object/nil.scm 119 */
																																				obj_t
																																					BgL_arg1839z00_1038;
																																				{	/* Object/nil.scm 119 */
																																					obj_t
																																						BgL_arg1840z00_1039;
																																					{	/* Object/nil.scm 119 */
																																						obj_t
																																							BgL_arg1841z00_1040;
																																						{	/* Object/nil.scm 119 */
																																							obj_t
																																								BgL_arg1842z00_1041;
																																							{
																																								BgL_tclassz00_bglt
																																									BgL_auxz00_2358;
																																								{
																																									obj_t
																																										BgL_auxz00_2359;
																																									{	/* Object/nil.scm 119 */
																																										BgL_objectz00_bglt
																																											BgL_auxz00_2360;
																																										BgL_auxz00_2360
																																											=
																																											(
																																											(BgL_objectz00_bglt)
																																											BgL_classz00_9);
																																										BgL_auxz00_2359
																																											=
																																											BGL_OBJECT_WIDENING
																																											(BgL_auxz00_2360);
																																									}
																																									BgL_auxz00_2358
																																										=
																																										(
																																										(BgL_tclassz00_bglt)
																																										BgL_auxz00_2359);
																																								}
																																								BgL_arg1842z00_1041
																																									=
																																									(
																																									((BgL_tclassz00_bglt) CREF(BgL_auxz00_2358))->BgL_slotsz00);
																																							}
																																							BgL_arg1841z00_1040
																																								=
																																								BGl_fillzd2nilzd2zzobject_nilz00
																																								(BgL_arg1842z00_1041);
																																						}
																																						BgL_arg1840z00_1039
																																							=
																																							BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																							(BgL_arg1841z00_1040,
																																							BNIL);
																																					}
																																					BgL_arg1839z00_1038
																																						=
																																						MAKE_PAIR
																																						(BgL_wideningz00_978,
																																						BgL_arg1840z00_1039);
																																				}
																																				BgL_arg1838z00_1037
																																					=
																																					MAKE_PAIR
																																					(BgL_arg1839z00_1038,
																																					BNIL);
																																			}
																																			BgL_arg1837z00_1036
																																				=
																																				MAKE_PAIR
																																				(BgL_tmpz00_982,
																																				BgL_arg1838z00_1037);
																																		}
																																		BgL_arg1835z00_1034
																																			=
																																			MAKE_PAIR
																																			(CNST_TABLE_REF
																																			(((long)
																																					17)),
																																			BgL_arg1837z00_1036);
																																	}
																																	BgL_arg1836z00_1035
																																		=
																																		MAKE_PAIR
																																		(BgL_tmpz00_982,
																																		BNIL);
																																	BgL_arg1822z00_1022
																																		=
																																		MAKE_PAIR
																																		(BgL_arg1835z00_1034,
																																		BgL_arg1836z00_1035);
																																}
																																BgL_arg1817z00_1017
																																	=
																																	MAKE_PAIR
																																	(BgL_arg1821z00_1021,
																																	BgL_arg1822z00_1022);
																															}
																															BgL_arg1813z00_1013
																																=
																																MAKE_PAIR
																																(BgL_arg1816z00_1016,
																																BgL_arg1817z00_1017);
																														}
																														BgL_arg1807z00_1008
																															=
																															MAKE_PAIR
																															(BgL_arg1812z00_1012,
																															BgL_arg1813z00_1013);
																													}
																													BgL_arg1804z00_1006 =
																														MAKE_PAIR
																														(BgL_arg1806z00_1007,
																														BgL_arg1807z00_1008);
																												}
																												BgL_arg1803z00_1005 =
																													MAKE_PAIR
																													(CNST_TABLE_REF((
																															(long) 9)),
																													BgL_arg1804z00_1006);
																											}
																											BgL_arg1802z00_1004 =
																												MAKE_PAIR
																												(BgL_arg1803z00_1005,
																												BNIL);
																										}
																										BgL_arg1800z00_1002 =
																											MAKE_PAIR
																											(BgL_thezd2idzd2nilz00_976,
																											BgL_arg1802z00_1004);
																									}
																									BgL_arg1797z00_1000 =
																										MAKE_PAIR
																										(BgL_arg1798z00_1001,
																										BgL_arg1800z00_1002);
																								}
																								BgL_arg1795z00_998 =
																									MAKE_PAIR(CNST_TABLE_REF((
																											(long) 10)),
																									BgL_arg1797z00_1000);
																							}
																							{	/* Object/nil.scm 103 */
																								obj_t BgL_list1796z00_999;

																								BgL_list1796z00_999 =
																									MAKE_PAIR(BgL_arg1795z00_998,
																									BNIL);
																								BgL_arg1794z00_997 =
																									BGl_makezd2privatezd2sexpz00zzast_privatez00
																									(CNST_TABLE_REF(((long) 11)),
																									BgL_idz00_971,
																									BgL_list1796z00_999);
																						}}
																						BgL_arg1793z00_996 =
																							MAKE_PAIR(BgL_arg1794z00_997,
																							BNIL);
																					}
																					BgL_arg1791z00_994 =
																						MAKE_PAIR(BgL_arg1792z00_995,
																						BgL_arg1793z00_996);
																				}
																				BgL_arg1790z00_993 =
																					MAKE_PAIR(CNST_TABLE_REF(((long) 6)),
																					BgL_arg1791z00_994);
																			}
																			BgL_arg1785z00_988 =
																				BGl_epairifyz00zztools_miscz00
																				(BgL_arg1790z00_993,
																				BgL_srczd2defzd2_10);
																		}
																		{	/* Object/nil.scm 100 */
																			obj_t BgL_list1786z00_989;

																			{	/* Object/nil.scm 100 */
																				obj_t BgL_arg1787z00_990;

																				BgL_arg1787z00_990 =
																					MAKE_PAIR(BgL_arg1785z00_988, BNIL);
																				BgL_list1786z00_989 =
																					MAKE_PAIR(BgL_arg1783z00_987,
																					BgL_arg1787z00_990);
																			}
																			return BgL_list1786z00_989;
																		}
																	}
																}
															}
														}
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* &gen-wide-class-nil */
	obj_t BGl_z62genzd2widezd2classzd2nilzb0zzobject_nilz00(obj_t BgL_envz00_2074,
		obj_t BgL_classz00_2075, obj_t BgL_srczd2defzd2_2076,
		obj_t BgL_importz00_2077)
	{
		AN_OBJECT;
		{	/* Object/nil.scm 84 */
			return
				BGl_genzd2widezd2classzd2nilzd2zzobject_nilz00(
				((BgL_typez00_bglt) BgL_classz00_2075), BgL_srczd2defzd2_2076,
				BgL_importz00_2077);
		}
	}



/* fill-nil */
	obj_t BGl_fillzd2nilzd2zzobject_nilz00(obj_t BgL_slotsz00_12)
	{
		AN_OBJECT;
		{	/* Object/nil.scm 126 */
			{
				obj_t BgL_slotsz00_1066;
				obj_t BgL_initsz00_1067;

				BgL_slotsz00_1066 = BgL_slotsz00_12;
				BgL_initsz00_1067 = BNIL;
			BgL_zc3anonymousza31865ze3z83_1068:
				if (NULLP(BgL_slotsz00_1066))
					{	/* Object/nil.scm 129 */
						return bgl_reverse_bang(BgL_initsz00_1067);
					}
				else
					{	/* Object/nil.scm 131 */
						obj_t BgL_slotz00_1070;

						BgL_slotz00_1070 = CAR(BgL_slotsz00_1066);
						if (BGl_slotzd2virtualzf3z21zzobject_slotsz00(
								((BgL_slotz00_bglt) BgL_slotz00_1070)))
							{
								obj_t BgL_slotsz00_2404;

								BgL_slotsz00_2404 = CDR(BgL_slotsz00_1066);
								BgL_slotsz00_1066 = BgL_slotsz00_2404;
								goto BgL_zc3anonymousza31865ze3z83_1068;
							}
						else
							{	/* Object/nil.scm 136 */
								obj_t BgL_arg1869z00_1073;
								obj_t BgL_arg1870z00_1074;

								BgL_arg1869z00_1073 = CDR(BgL_slotsz00_1066);
								BgL_arg1870z00_1074 =
									MAKE_PAIR(BGl_slotzd2getzd2nilz00zzobject_nilz00
									(BgL_slotz00_1070), BgL_initsz00_1067);
								{
									obj_t BgL_initsz00_2410;
									obj_t BgL_slotsz00_2409;

									BgL_slotsz00_2409 = BgL_arg1869z00_1073;
									BgL_initsz00_2410 = BgL_arg1870z00_1074;
									BgL_initsz00_1067 = BgL_initsz00_2410;
									BgL_slotsz00_1066 = BgL_slotsz00_2409;
									goto BgL_zc3anonymousza31865ze3z83_1068;
								}
							}
					}
			}
		}
	}



/* slot-get-nil */
	obj_t BGl_slotzd2getzd2nilz00zzobject_nilz00(obj_t BgL_slotz00_13)
	{
		AN_OBJECT;
		{	/* Object/nil.scm 142 */
			{	/* Object/nil.scm 145 */
				bool_t BgL_testz00_2411;

				{	/* Object/nil.scm 145 */
					obj_t BgL_arg1904z00_1108;

					BgL_arg1904z00_1108 =
						(((BgL_slotz00_bglt) CREF(
								((BgL_slotz00_bglt) BgL_slotz00_13)))->BgL_typez00);
					BgL_testz00_2411 =
						BGl_isazf3zf3zz__objectz00(BgL_arg1904z00_1108,
						BGl_tclassz00zzobject_classz00);
				}
				if (BgL_testz00_2411)
					{	/* Object/nil.scm 146 */
						obj_t BgL_arg1873z00_1079;

						{	/* Object/nil.scm 146 */
							obj_t BgL_arg1874z00_1080;

							{	/* Object/nil.scm 146 */
								obj_t BgL_arg1875z00_1081;
								obj_t BgL_arg1877z00_1082;

								{	/* Object/nil.scm 146 */
									obj_t BgL_arg1878z00_1083;

									BgL_arg1878z00_1083 =
										(((BgL_typez00_bglt) CREF(
												((BgL_typez00_bglt)
													(((BgL_slotz00_bglt) CREF(
																((BgL_slotz00_bglt) BgL_slotz00_13)))->
														BgL_typez00))))->BgL_idz00);
									{	/* Object/nil.scm 146 */
										obj_t BgL_res2087z00_1851;

										{	/* Object/nil.scm 146 */
											obj_t BgL_arg1265z00_1850;

											BgL_arg1265z00_1850 =
												SYMBOL_TO_STRING(BgL_arg1878z00_1083);
											BgL_res2087z00_1851 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1265z00_1850);
										}
										BgL_arg1875z00_1081 = BgL_res2087z00_1851;
									}
								}
								{	/* Object/nil.scm 146 */
									obj_t BgL_res2088z00_1854;

									{	/* Object/nil.scm 146 */
										obj_t BgL_symbolz00_1852;

										BgL_symbolz00_1852 = CNST_TABLE_REF(((long) 0));
										{	/* Object/nil.scm 146 */
											obj_t BgL_arg1265z00_1853;

											BgL_arg1265z00_1853 =
												SYMBOL_TO_STRING(BgL_symbolz00_1852);
											BgL_res2088z00_1854 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1265z00_1853);
									}}
									BgL_arg1877z00_1082 = BgL_res2088z00_1854;
								}
								BgL_arg1874z00_1080 =
									string_append(BgL_arg1875z00_1081, BgL_arg1877z00_1082);
							}
							BgL_arg1873z00_1079 = bstring_to_symbol(BgL_arg1874z00_1080);
						}
						return MAKE_PAIR(BgL_arg1873z00_1079, BNIL);
					}
				else
					{	/* Object/nil.scm 147 */
						bool_t BgL_testz00_2427;

						{	/* Object/nil.scm 147 */
							obj_t BgL_arg1903z00_1107;

							BgL_arg1903z00_1107 =
								(((BgL_slotz00_bglt) CREF(
										((BgL_slotz00_bglt) BgL_slotz00_13)))->BgL_typez00);
							BgL_testz00_2427 =
								BGl_isazf3zf3zz__objectz00(BgL_arg1903z00_1107,
								BGl_tvecz00zztvector_tvectorz00);
						}
						if (BgL_testz00_2427)
							{	/* Object/nil.scm 148 */
								obj_t BgL_arg1881z00_1086;

								{	/* Object/nil.scm 148 */
									obj_t BgL_arg1882z00_1087;
									obj_t BgL_arg1883z00_1088;

									{	/* Object/nil.scm 148 */
										obj_t BgL_arg1884z00_1089;

										{	/* Object/nil.scm 148 */
											obj_t BgL_arg1885z00_1090;

											BgL_arg1885z00_1090 =
												(((BgL_typez00_bglt) CREF(
														((BgL_typez00_bglt)
															(((BgL_slotz00_bglt) CREF(
																		((BgL_slotz00_bglt) BgL_slotz00_13)))->
																BgL_typez00))))->BgL_idz00);
											BgL_arg1884z00_1089 =
												MAKE_PAIR(BgL_arg1885z00_1090, BNIL);
										}
										BgL_arg1882z00_1087 =
											MAKE_PAIR(CNST_TABLE_REF(((long) 18)),
											BgL_arg1884z00_1089);
									}
									{	/* Object/nil.scm 148 */
										obj_t BgL_arg1887z00_1092;

										{	/* Object/nil.scm 148 */
											obj_t BgL_arg1888z00_1093;

											BgL_arg1888z00_1093 = MAKE_PAIR(BNIL, BNIL);
											BgL_arg1887z00_1092 =
												MAKE_PAIR(CNST_TABLE_REF(((long) 18)),
												BgL_arg1888z00_1093);
										}
										BgL_arg1883z00_1088 = MAKE_PAIR(BgL_arg1887z00_1092, BNIL);
									}
									BgL_arg1881z00_1086 =
										MAKE_PAIR(BgL_arg1882z00_1087, BgL_arg1883z00_1088);
								}
								return
									MAKE_PAIR(CNST_TABLE_REF(((long) 19)), BgL_arg1881z00_1086);
							}
						else
							{	/* Object/nil.scm 149 */
								bool_t BgL_testz00_2445;

								{	/* Object/nil.scm 149 */
									obj_t BgL_arg1902z00_1106;

									BgL_arg1902z00_1106 =
										(((BgL_slotz00_bglt) CREF(
												((BgL_slotz00_bglt) BgL_slotz00_13)))->BgL_typez00);
									BgL_testz00_2445 =
										BGl_isazf3zf3zz__objectz00(BgL_arg1902z00_1106,
										BGl_jarrayz00zzforeign_jtypez00);
								}
								if (BgL_testz00_2445)
									{	/* Object/nil.scm 150 */
										obj_t BgL_arg1890z00_1095;
										obj_t BgL_arg1891z00_1096;

										{	/* Object/nil.scm 150 */
											obj_t BgL_arg1892z00_1097;

											{	/* Object/nil.scm 150 */
												obj_t BgL_arg1893z00_1098;
												obj_t BgL_arg1894z00_1099;

												{	/* Object/nil.scm 150 */
													obj_t BgL_res2093z00_1866;

													{	/* Object/nil.scm 150 */
														obj_t BgL_symbolz00_1864;

														BgL_symbolz00_1864 = CNST_TABLE_REF(((long) 20));
														{	/* Object/nil.scm 150 */
															obj_t BgL_arg1265z00_1865;

															BgL_arg1265z00_1865 =
																SYMBOL_TO_STRING(BgL_symbolz00_1864);
															BgL_res2093z00_1866 =
																BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																(BgL_arg1265z00_1865);
													}}
													BgL_arg1893z00_1098 = BgL_res2093z00_1866;
												}
												{	/* Object/nil.scm 150 */
													obj_t BgL_arg1895z00_1100;

													BgL_arg1895z00_1100 =
														(((BgL_typez00_bglt) CREF(
																((BgL_typez00_bglt)
																	(((BgL_slotz00_bglt) CREF(
																				((BgL_slotz00_bglt) BgL_slotz00_13)))->
																		BgL_typez00))))->BgL_idz00);
													{	/* Object/nil.scm 150 */
														obj_t BgL_res2095z00_1872;

														{	/* Object/nil.scm 150 */
															obj_t BgL_arg1265z00_1871;

															BgL_arg1265z00_1871 =
																SYMBOL_TO_STRING(BgL_arg1895z00_1100);
															BgL_res2095z00_1872 =
																BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																(BgL_arg1265z00_1871);
														}
														BgL_arg1894z00_1099 = BgL_res2095z00_1872;
												}}
												BgL_arg1892z00_1097 =
													string_append(BgL_arg1893z00_1098,
													BgL_arg1894z00_1099);
											}
											BgL_arg1890z00_1095 =
												bstring_to_symbol(BgL_arg1892z00_1097);
										}
										BgL_arg1891z00_1096 = MAKE_PAIR(BINT(((long) 0)), BNIL);
										return MAKE_PAIR(BgL_arg1890z00_1095, BgL_arg1891z00_1096);
									}
								else
									{	/* Object/nil.scm 151 */
										bool_t BgL_testz00_2463;

										{	/* Object/nil.scm 151 */
											obj_t BgL_arg1901z00_1105;

											BgL_arg1901z00_1105 =
												(((BgL_slotz00_bglt) CREF(
														((BgL_slotz00_bglt) BgL_slotz00_13)))->BgL_typez00);
											BgL_testz00_2463 =
												BGl_bigloozd2typezf3z21zztype_typez00(
												((BgL_typez00_bglt) BgL_arg1901z00_1105));
										}
										if (BgL_testz00_2463)
											{	/* Object/nil.scm 152 */
												obj_t BgL_arg1898z00_1103;

												BgL_arg1898z00_1103 =
													(((BgL_slotz00_bglt) CREF(
															((BgL_slotz00_bglt) BgL_slotz00_13)))->
													BgL_typez00);
												return
													BGl_bigloozd2primitivezd2typezd2nilzd2zzobject_nilz00
													(BgL_arg1898z00_1103, BgL_slotz00_13);
											}
										else
											{	/* Object/nil.scm 154 */
												obj_t BgL_arg1900z00_1104;

												BgL_arg1900z00_1104 =
													(((BgL_slotz00_bglt) CREF(
															((BgL_slotz00_bglt) BgL_slotz00_13)))->
													BgL_typez00);
												return
													BGl_externzd2typezd2nilz00zzobject_nilz00
													(BgL_arg1900z00_1104, BgL_slotz00_13);
											}
									}
							}
					}
			}
		}
	}



/* type-nil-value */
	BGL_EXPORTED_DEF obj_t BGl_typezd2nilzd2valuez00zzobject_nilz00(obj_t
		BgL_typez00_14, obj_t BgL_slotz00_15)
	{
		AN_OBJECT;
		{	/* Object/nil.scm 159 */
			if (BGl_isazf3zf3zz__objectz00(BgL_typez00_14,
					BGl_tclassz00zzobject_classz00))
				{	/* Object/nil.scm 162 */
					obj_t BgL_arg1906z00_1110;

					{	/* Object/nil.scm 162 */
						obj_t BgL_arg1907z00_1111;

						BgL_arg1907z00_1111 =
							(((BgL_typez00_bglt) CREF(
									((BgL_typez00_bglt)
										((BgL_typez00_bglt) BgL_typez00_14))))->BgL_idz00);
						BgL_arg1906z00_1110 = MAKE_PAIR(BgL_arg1907z00_1111, BNIL);
					}
					return MAKE_PAIR(CNST_TABLE_REF(((long) 21)), BgL_arg1906z00_1110);
				}
			else
				{	/* Object/nil.scm 161 */
					if (BGl_isazf3zf3zz__objectz00(BgL_typez00_14,
							BGl_tvecz00zztvector_tvectorz00))
						{	/* Object/nil.scm 164 */
							obj_t BgL_arg1909z00_1113;

							{	/* Object/nil.scm 164 */
								obj_t BgL_arg1910z00_1114;
								obj_t BgL_arg1911z00_1115;

								{	/* Object/nil.scm 164 */
									obj_t BgL_arg1912z00_1116;

									{	/* Object/nil.scm 164 */
										obj_t BgL_arg1913z00_1117;

										BgL_arg1913z00_1117 =
											(((BgL_typez00_bglt) CREF(
													((BgL_typez00_bglt)
														((BgL_typez00_bglt) BgL_typez00_14))))->BgL_idz00);
										BgL_arg1912z00_1116 = MAKE_PAIR(BgL_arg1913z00_1117, BNIL);
									}
									BgL_arg1910z00_1114 =
										MAKE_PAIR(CNST_TABLE_REF(((long) 18)), BgL_arg1912z00_1116);
								}
								{	/* Object/nil.scm 164 */
									obj_t BgL_arg1914z00_1118;

									{	/* Object/nil.scm 164 */
										obj_t BgL_arg1915z00_1119;

										BgL_arg1915z00_1119 = MAKE_PAIR(BNIL, BNIL);
										BgL_arg1914z00_1118 =
											MAKE_PAIR(CNST_TABLE_REF(((long) 18)),
											BgL_arg1915z00_1119);
									}
									BgL_arg1911z00_1115 = MAKE_PAIR(BgL_arg1914z00_1118, BNIL);
								}
								BgL_arg1909z00_1113 =
									MAKE_PAIR(BgL_arg1910z00_1114, BgL_arg1911z00_1115);
							}
							return
								MAKE_PAIR(CNST_TABLE_REF(((long) 19)), BgL_arg1909z00_1113);
						}
					else
						{	/* Object/nil.scm 163 */
							if (BGl_isazf3zf3zz__objectz00(BgL_typez00_14,
									BGl_jarrayz00zzforeign_jtypez00))
								{	/* Object/nil.scm 166 */
									obj_t BgL_arg1918z00_1121;
									obj_t BgL_arg1919z00_1122;

									{	/* Object/nil.scm 166 */
										obj_t BgL_arg1920z00_1123;

										{	/* Object/nil.scm 166 */
											obj_t BgL_arg1921z00_1124;
											obj_t BgL_arg1922z00_1125;

											{	/* Object/nil.scm 166 */
												obj_t BgL_res2102z00_1889;

												{	/* Object/nil.scm 166 */
													obj_t BgL_symbolz00_1887;

													BgL_symbolz00_1887 = CNST_TABLE_REF(((long) 20));
													{	/* Object/nil.scm 166 */
														obj_t BgL_arg1265z00_1888;

														BgL_arg1265z00_1888 =
															SYMBOL_TO_STRING(BgL_symbolz00_1887);
														BgL_res2102z00_1889 =
															BGl_stringzd2copyzd2zz__r4_strings_6_7z00
															(BgL_arg1265z00_1888);
												}}
												BgL_arg1921z00_1124 = BgL_res2102z00_1889;
											}
											{	/* Object/nil.scm 166 */
												obj_t BgL_arg1923z00_1126;

												BgL_arg1923z00_1126 =
													(((BgL_typez00_bglt) CREF(
															((BgL_typez00_bglt)
																((BgL_typez00_bglt) BgL_typez00_14))))->
													BgL_idz00);
												{	/* Object/nil.scm 166 */
													obj_t BgL_res2104z00_1895;

													{	/* Object/nil.scm 166 */
														obj_t BgL_arg1265z00_1894;

														BgL_arg1265z00_1894 =
															SYMBOL_TO_STRING(BgL_arg1923z00_1126);
														BgL_res2104z00_1895 =
															BGl_stringzd2copyzd2zz__r4_strings_6_7z00
															(BgL_arg1265z00_1894);
													}
													BgL_arg1922z00_1125 = BgL_res2104z00_1895;
											}}
											BgL_arg1920z00_1123 =
												string_append(BgL_arg1921z00_1124, BgL_arg1922z00_1125);
										}
										BgL_arg1918z00_1121 =
											bstring_to_symbol(BgL_arg1920z00_1123);
									}
									BgL_arg1919z00_1122 = MAKE_PAIR(BINT(((long) 0)), BNIL);
									return MAKE_PAIR(BgL_arg1918z00_1121, BgL_arg1919z00_1122);
								}
							else
								{	/* Object/nil.scm 165 */
									if (BGl_bigloozd2typezf3z21zztype_typez00(
											((BgL_typez00_bglt) BgL_typez00_14)))
										{	/* Object/nil.scm 167 */
											return
												BGl_bigloozd2primitivezd2typezd2nilzd2zzobject_nilz00
												(BgL_typez00_14, BgL_slotz00_15);
										}
									else
										{	/* Object/nil.scm 167 */
											return
												BGl_externzd2typezd2nilz00zzobject_nilz00
												(BgL_typez00_14, BgL_slotz00_15);
										}
								}
						}
				}
		}
	}



/* &type-nil-value */
	obj_t BGl_z62typezd2nilzd2valuez62zzobject_nilz00(obj_t BgL_envz00_2078,
		obj_t BgL_typez00_2079, obj_t BgL_slotz00_2080)
	{
		AN_OBJECT;
		{	/* Object/nil.scm 159 */
			return
				BGl_typezd2nilzd2valuez00zzobject_nilz00(BgL_typez00_2079,
				BgL_slotz00_2080);
		}
	}



/* bigloo-primitive-type-nil */
	obj_t BGl_bigloozd2primitivezd2typezd2nilzd2zzobject_nilz00(obj_t
		BgL_typez00_16, obj_t BgL_slotz00_17)
	{
		AN_OBJECT;
		{	/* Object/nil.scm 175 */
			{	/* Object/nil.scm 177 */
				bool_t BgL_testz00_2518;

				if ((BgL_typez00_16 == BGl_za2objza2z00zztype_cachez00))
					{	/* Object/nil.scm 177 */
						BgL_testz00_2518 = ((bool_t) 1);
					}
				else
					{	/* Object/nil.scm 177 */
						BgL_testz00_2518 =
							(BgL_typez00_16 == BGl_za2unspecza2z00zztype_cachez00);
					}
				if (BgL_testz00_2518)
					{	/* Object/nil.scm 177 */
						return BUNSPEC;
					}
				else
					{	/* Object/nil.scm 177 */
						if ((BgL_typez00_16 == BGl_za2cellza2z00zztype_cachez00))
							{	/* Object/nil.scm 178 */
								return CNST_TABLE_REF(((long) 22));
							}
						else
							{	/* Object/nil.scm 178 */
								if ((BgL_typez00_16 == BGl_za2bintza2z00zztype_cachez00))
									{	/* Object/nil.scm 179 */
										return BINT(((long) 0));
									}
								else
									{	/* Object/nil.scm 179 */
										if ((BgL_typez00_16 == BGl_za2bllongza2z00zztype_cachez00))
											{	/* Object/nil.scm 180 */
												return CNST_TABLE_REF(((long) 23));
											}
										else
											{	/* Object/nil.scm 180 */
												if (
													(BgL_typez00_16 ==
														BGl_za2belongza2z00zztype_cachez00))
													{	/* Object/nil.scm 181 */
														return CNST_TABLE_REF(((long) 24));
													}
												else
													{	/* Object/nil.scm 181 */
														if (
															(BgL_typez00_16 ==
																BGl_za2bignumza2z00zztype_cachez00))
															{	/* Object/nil.scm 182 */
																return CNST_TABLE_REF(((long) 25));
															}
														else
															{	/* Object/nil.scm 182 */
																if (
																	(BgL_typez00_16 ==
																		BGl_za2boolza2z00zztype_cachez00))
																	{	/* Object/nil.scm 183 */
																		return BFALSE;
																	}
																else
																	{	/* Object/nil.scm 183 */
																		if (
																			(BgL_typez00_16 ==
																				BGl_za2brealza2z00zztype_cachez00))
																			{	/* Object/nil.scm 184 */
																				return BGl_real2159z00zzobject_nilz00;
																			}
																		else
																			{	/* Object/nil.scm 184 */
																				if (
																					(BgL_typez00_16 ==
																						BGl_za2bcharza2z00zztype_cachez00))
																					{	/* Object/nil.scm 185 */
																						return BCHAR(((unsigned char) '_'));
																					}
																				else
																					{	/* Object/nil.scm 186 */
																						bool_t BgL_testz00_2544;

																						if (
																							(BgL_typez00_16 ==
																								BGl_za2bnilza2z00zztype_cachez00))
																							{	/* Object/nil.scm 186 */
																								BgL_testz00_2544 = ((bool_t) 1);
																							}
																						else
																							{	/* Object/nil.scm 186 */
																								BgL_testz00_2544 =
																									(BgL_typez00_16 ==
																									BGl_za2pairzd2nilza2zd2zztype_cachez00);
																							}
																						if (BgL_testz00_2544)
																							{	/* Object/nil.scm 186 */
																								return
																									CNST_TABLE_REF(((long) 26));
																							}
																						else
																							{	/* Object/nil.scm 186 */
																								if (
																									(BgL_typez00_16 ==
																										BGl_za2pairza2z00zztype_cachez00))
																									{	/* Object/nil.scm 187 */
																										return
																											CNST_TABLE_REF(((long)
																												27));
																									}
																								else
																									{	/* Object/nil.scm 187 */
																										if (
																											(BgL_typez00_16 ==
																												BGl_za2epairza2z00zztype_cachez00))
																											{	/* Object/nil.scm 188 */
																												return
																													CNST_TABLE_REF(((long)
																														28));
																											}
																										else
																											{	/* Object/nil.scm 188 */
																												if (
																													(BgL_typez00_16 ==
																														BGl_za2bstringza2z00zztype_cachez00))
																													{	/* Object/nil.scm 189 */
																														return
																															BGl_string2160z00zzobject_nilz00;
																													}
																												else
																													{	/* Object/nil.scm 189 */
																														if (
																															(BgL_typez00_16 ==
																																BGl_za2symbolza2z00zztype_cachez00))
																															{	/* Object/nil.scm 190 */
																																return
																																	CNST_TABLE_REF
																																	(((long) 29));
																															}
																														else
																															{	/* Object/nil.scm 190 */
																																if (
																																	(BgL_typez00_16
																																		==
																																		BGl_za2keywordza2z00zztype_cachez00))
																																	{	/* Object/nil.scm 191 */
																																		return
																																			CNST_TABLE_REF
																																			(((long)
																																				30));
																																	}
																																else
																																	{	/* Object/nil.scm 191 */
																																		if (
																																			(BgL_typez00_16
																																				==
																																				BGl_za2vectorza2z00zztype_cachez00))
																																			{	/* Object/nil.scm 192 */
																																				return
																																					CNST_TABLE_REF
																																					(((long) 31));
																																			}
																																		else
																																			{	/* Object/nil.scm 192 */
																																				if (
																																					(BgL_typez00_16
																																						==
																																						BGl_za2procedureza2z00zztype_cachez00))
																																					{	/* Object/nil.scm 193 */
																																						return
																																							CNST_TABLE_REF
																																							(((long) 32));
																																					}
																																				else
																																					{	/* Object/nil.scm 195 */
																																						obj_t
																																							BgL_casezd2valuezd2_1145;
																																						BgL_casezd2valuezd2_1145
																																							=
																																							(((BgL_typez00_bglt) CREF(((BgL_typez00_bglt) BgL_typez00_16)))->BgL_idz00);
																																						if (
																																							(BgL_casezd2valuezd2_1145
																																								==
																																								CNST_TABLE_REF
																																								(((long) 33))))
																																							{	/* Object/nil.scm 195 */
																																								return
																																									CNST_TABLE_REF
																																									(
																																									((long) 34));
																																							}
																																						else
																																							{	/* Object/nil.scm 195 */
																																								if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 35))))
																																									{	/* Object/nil.scm 195 */
																																										return
																																											CNST_TABLE_REF
																																											(
																																											((long) 36));
																																									}
																																								else
																																									{	/* Object/nil.scm 195 */
																																										if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 37))))
																																											{	/* Object/nil.scm 195 */
																																												return
																																													CNST_TABLE_REF
																																													(
																																													((long) 36));
																																											}
																																										else
																																											{	/* Object/nil.scm 195 */
																																												if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 38))))
																																													{	/* Object/nil.scm 195 */
																																														return
																																															CNST_TABLE_REF
																																															(
																																															((long) 36));
																																													}
																																												else
																																													{	/* Object/nil.scm 195 */
																																														if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 39))))
																																															{	/* Object/nil.scm 195 */
																																																return
																																																	CNST_TABLE_REF
																																																	(
																																																	((long) 40));
																																															}
																																														else
																																															{	/* Object/nil.scm 195 */
																																																if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 41))))
																																																	{	/* Object/nil.scm 195 */
																																																		return
																																																			CNST_TABLE_REF
																																																			(
																																																			((long) 42));
																																																	}
																																																else
																																																	{	/* Object/nil.scm 195 */
																																																		bool_t
																																																			BgL_testz00_2595;
																																																		{	/* Object/nil.scm 195 */
																																																			bool_t
																																																				BgL__ortest_1079z00_1203;
																																																			BgL__ortest_1079z00_1203
																																																				=
																																																				(BgL_casezd2valuezd2_1145
																																																				==
																																																				CNST_TABLE_REF
																																																				(((long) 2)));
																																																			if (BgL__ortest_1079z00_1203)
																																																				{	/* Object/nil.scm 195 */
																																																					BgL_testz00_2595
																																																						=
																																																						BgL__ortest_1079z00_1203;
																																																				}
																																																			else
																																																				{	/* Object/nil.scm 195 */
																																																					BgL_testz00_2595
																																																						=
																																																						(BgL_casezd2valuezd2_1145
																																																						==
																																																						CNST_TABLE_REF
																																																						(((long) 43)));
																																																		}}
																																																		if (BgL_testz00_2595)
																																																			{	/* Object/nil.scm 195 */
																																																				return
																																																					BUNSPEC;
																																																			}
																																																		else
																																																			{	/* Object/nil.scm 195 */
																																																				if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 44))))
																																																					{	/* Object/nil.scm 195 */
																																																						return
																																																							CNST_TABLE_REF
																																																							(
																																																							((long) 22));
																																																					}
																																																				else
																																																					{	/* Object/nil.scm 195 */
																																																						if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 45))))
																																																							{	/* Object/nil.scm 195 */
																																																								return
																																																									BINT
																																																									(
																																																									((long) 0));
																																																							}
																																																						else
																																																							{	/* Object/nil.scm 195 */
																																																								if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 46))))
																																																									{	/* Object/nil.scm 195 */
																																																										return
																																																											CNST_TABLE_REF
																																																											(
																																																											((long) 23));
																																																									}
																																																								else
																																																									{	/* Object/nil.scm 195 */
																																																										if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 47))))
																																																											{	/* Object/nil.scm 195 */
																																																												return
																																																													CNST_TABLE_REF
																																																													(
																																																													((long) 24));
																																																											}
																																																										else
																																																											{	/* Object/nil.scm 195 */
																																																												bool_t
																																																													BgL_testz00_2617;
																																																												{	/* Object/nil.scm 195 */
																																																													bool_t
																																																														BgL__ortest_1080z00_1202;
																																																													BgL__ortest_1080z00_1202
																																																														=
																																																														(BgL_casezd2valuezd2_1145
																																																														==
																																																														CNST_TABLE_REF
																																																														(((long) 48)));
																																																													if (BgL__ortest_1080z00_1202)
																																																														{	/* Object/nil.scm 195 */
																																																															BgL_testz00_2617
																																																																=
																																																																BgL__ortest_1080z00_1202;
																																																														}
																																																													else
																																																														{	/* Object/nil.scm 195 */
																																																															BgL_testz00_2617
																																																																=
																																																																(BgL_casezd2valuezd2_1145
																																																																==
																																																																CNST_TABLE_REF
																																																																(((long) 49)));
																																																												}}
																																																												if (BgL_testz00_2617)
																																																													{	/* Object/nil.scm 195 */
																																																														return
																																																															BFALSE;
																																																													}
																																																												else
																																																													{	/* Object/nil.scm 195 */
																																																														if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 50))))
																																																															{	/* Object/nil.scm 195 */
																																																																return
																																																																	BGl_real2159z00zzobject_nilz00;
																																																															}
																																																														else
																																																															{	/* Object/nil.scm 195 */
																																																																if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 51))))
																																																																	{	/* Object/nil.scm 195 */
																																																																		return
																																																																			BCHAR
																																																																			(
																																																																			((unsigned char) '_'));
																																																																	}
																																																																else
																																																																	{	/* Object/nil.scm 195 */
																																																																		bool_t
																																																																			BgL_testz00_2630;
																																																																		{	/* Object/nil.scm 195 */
																																																																			bool_t
																																																																				BgL__ortest_1082z00_1201;
																																																																			BgL__ortest_1082z00_1201
																																																																				=
																																																																				(BgL_casezd2valuezd2_1145
																																																																				==
																																																																				CNST_TABLE_REF
																																																																				(((long) 52)));
																																																																			if (BgL__ortest_1082z00_1201)
																																																																				{	/* Object/nil.scm 195 */
																																																																					BgL_testz00_2630
																																																																						=
																																																																						BgL__ortest_1082z00_1201;
																																																																				}
																																																																			else
																																																																				{	/* Object/nil.scm 195 */
																																																																					BgL_testz00_2630
																																																																						=
																																																																						(BgL_casezd2valuezd2_1145
																																																																						==
																																																																						CNST_TABLE_REF
																																																																						(((long) 53)));
																																																																		}}
																																																																		if (BgL_testz00_2630)
																																																																			{	/* Object/nil.scm 195 */
																																																																				return
																																																																					CNST_TABLE_REF
																																																																					(
																																																																					((long) 26));
																																																																			}
																																																																		else
																																																																			{	/* Object/nil.scm 195 */
																																																																				if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 54))))
																																																																					{	/* Object/nil.scm 195 */
																																																																						return
																																																																							CNST_TABLE_REF
																																																																							(
																																																																							((long) 27));
																																																																					}
																																																																				else
																																																																					{	/* Object/nil.scm 195 */
																																																																						if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 55))))
																																																																							{	/* Object/nil.scm 195 */
																																																																								return
																																																																									CNST_TABLE_REF
																																																																									(
																																																																									((long) 28));
																																																																							}
																																																																						else
																																																																							{	/* Object/nil.scm 195 */
																																																																								if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 56))))
																																																																									{	/* Object/nil.scm 195 */
																																																																										return
																																																																											BGl_string2160z00zzobject_nilz00;
																																																																									}
																																																																								else
																																																																									{	/* Object/nil.scm 195 */
																																																																										if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 57))))
																																																																											{	/* Object/nil.scm 195 */
																																																																												return
																																																																													CNST_TABLE_REF
																																																																													(
																																																																													((long) 29));
																																																																											}
																																																																										else
																																																																											{	/* Object/nil.scm 195 */
																																																																												if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 58))))
																																																																													{	/* Object/nil.scm 195 */
																																																																														return
																																																																															CNST_TABLE_REF
																																																																															(
																																																																															((long) 30));
																																																																													}
																																																																												else
																																																																													{	/* Object/nil.scm 195 */
																																																																														if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 59))))
																																																																															{	/* Object/nil.scm 195 */
																																																																																return
																																																																																	CNST_TABLE_REF
																																																																																	(
																																																																																	((long) 31));
																																																																															}
																																																																														else
																																																																															{	/* Object/nil.scm 195 */
																																																																																if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 60))))
																																																																																	{	/* Object/nil.scm 217 */
																																																																																		obj_t
																																																																																			BgL_arg1964z00_1168;
																																																																																		{	/* Object/nil.scm 217 */
																																																																																			obj_t
																																																																																				BgL_arg1965z00_1169;
																																																																																			obj_t
																																																																																				BgL_arg1966z00_1170;
																																																																																			{	/* Object/nil.scm 217 */
																																																																																				obj_t
																																																																																					BgL_arg1968z00_1171;
																																																																																				{	/* Object/nil.scm 217 */
																																																																																					obj_t
																																																																																						BgL_arg1969z00_1172;
																																																																																					{	/* Object/nil.scm 217 */

																																																																																						{	/* Object/nil.scm 217 */

																																																																																							BgL_arg1969z00_1172
																																																																																								=
																																																																																								BGl_gensymz00zz__r4_symbols_6_4z00
																																																																																								(BFALSE);
																																																																																					}}
																																																																																					BgL_arg1968z00_1171
																																																																																						=
																																																																																						MAKE_PAIR
																																																																																						(BgL_arg1969z00_1172,
																																																																																						BNIL);
																																																																																				}
																																																																																				BgL_arg1965z00_1169
																																																																																					=
																																																																																					MAKE_PAIR
																																																																																					(CNST_TABLE_REF
																																																																																					(((long) 18)), BgL_arg1968z00_1171);
																																																																																			}
																																																																																			{	/* Object/nil.scm 217 */
																																																																																				obj_t
																																																																																					BgL_arg1970z00_1174;
																																																																																				BgL_arg1970z00_1174
																																																																																					=
																																																																																					MAKE_PAIR
																																																																																					(BFALSE,
																																																																																					BNIL);
																																																																																				BgL_arg1966z00_1170
																																																																																					=
																																																																																					MAKE_PAIR
																																																																																					(BINT
																																																																																					(((long) 0)), BgL_arg1970z00_1174);
																																																																																			}
																																																																																			BgL_arg1964z00_1168
																																																																																				=
																																																																																				MAKE_PAIR
																																																																																				(BgL_arg1965z00_1169,
																																																																																				BgL_arg1966z00_1170);
																																																																																		}
																																																																																		return
																																																																																			MAKE_PAIR
																																																																																			(CNST_TABLE_REF
																																																																																			(((long) 61)), BgL_arg1964z00_1168);
																																																																																	}
																																																																																else
																																																																																	{	/* Object/nil.scm 195 */
																																																																																		if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 62))))
																																																																																			{	/* Object/nil.scm 195 */
																																																																																				return
																																																																																					CNST_TABLE_REF
																																																																																					(
																																																																																					((long) 32));
																																																																																			}
																																																																																		else
																																																																																			{	/* Object/nil.scm 195 */
																																																																																				if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 63))))
																																																																																					{	/* Object/nil.scm 195 */
																																																																																						return
																																																																																							CNST_TABLE_REF
																																																																																							(
																																																																																							((long) 64));
																																																																																					}
																																																																																				else
																																																																																					{	/* Object/nil.scm 195 */
																																																																																						if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 65))))
																																																																																							{	/* Object/nil.scm 195 */
																																																																																								return
																																																																																									CNST_TABLE_REF
																																																																																									(
																																																																																									((long) 66));
																																																																																							}
																																																																																						else
																																																																																							{	/* Object/nil.scm 195 */
																																																																																								if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 67))))
																																																																																									{	/* Object/nil.scm 195 */
																																																																																										return
																																																																																											CNST_TABLE_REF
																																																																																											(
																																																																																											((long) 68));
																																																																																									}
																																																																																								else
																																																																																									{	/* Object/nil.scm 195 */
																																																																																										if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 69))))
																																																																																											{	/* Object/nil.scm 195 */
																																																																																												return
																																																																																													CNST_TABLE_REF
																																																																																													(
																																																																																													((long) 70));
																																																																																											}
																																																																																										else
																																																																																											{	/* Object/nil.scm 195 */
																																																																																												if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 71))))
																																																																																													{	/* Object/nil.scm 195 */
																																																																																														return
																																																																																															CNST_TABLE_REF
																																																																																															(
																																																																																															((long) 72));
																																																																																													}
																																																																																												else
																																																																																													{	/* Object/nil.scm 195 */
																																																																																														if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 73))))
																																																																																															{	/* Object/nil.scm 195 */
																																																																																																return
																																																																																																	CNST_TABLE_REF
																																																																																																	(
																																																																																																	((long) 74));
																																																																																															}
																																																																																														else
																																																																																															{	/* Object/nil.scm 195 */
																																																																																																if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 75))))
																																																																																																	{	/* Object/nil.scm 195 */
																																																																																																		return
																																																																																																			CNST_TABLE_REF
																																																																																																			(
																																																																																																			((long) 76));
																																																																																																	}
																																																																																																else
																																																																																																	{	/* Object/nil.scm 195 */
																																																																																																		if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 77))))
																																																																																																			{	/* Object/nil.scm 195 */
																																																																																																				return
																																																																																																					CNST_TABLE_REF
																																																																																																					(
																																																																																																					((long) 78));
																																																																																																			}
																																																																																																		else
																																																																																																			{	/* Object/nil.scm 195 */
																																																																																																				if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 79))))
																																																																																																					{	/* Object/nil.scm 195 */
																																																																																																						return
																																																																																																							CNST_TABLE_REF
																																																																																																							(
																																																																																																							((long) 80));
																																																																																																					}
																																																																																																				else
																																																																																																					{	/* Object/nil.scm 195 */
																																																																																																						if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 81))))
																																																																																																							{	/* Object/nil.scm 195 */
																																																																																																								return
																																																																																																									CNST_TABLE_REF
																																																																																																									(
																																																																																																									((long) 82));
																																																																																																							}
																																																																																																						else
																																																																																																							{	/* Object/nil.scm 195 */
																																																																																																								if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 83))))
																																																																																																									{	/* Object/nil.scm 195 */
																																																																																																										return
																																																																																																											CNST_TABLE_REF
																																																																																																											(
																																																																																																											((long) 84));
																																																																																																									}
																																																																																																								else
																																																																																																									{	/* Object/nil.scm 195 */
																																																																																																										if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 85))))
																																																																																																											{	/* Object/nil.scm 195 */
																																																																																																												return
																																																																																																													CNST_TABLE_REF
																																																																																																													(
																																																																																																													((long) 86));
																																																																																																											}
																																																																																																										else
																																																																																																											{	/* Object/nil.scm 195 */
																																																																																																												if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 87))))
																																																																																																													{	/* Object/nil.scm 195 */
																																																																																																														return
																																																																																																															CNST_TABLE_REF
																																																																																																															(
																																																																																																															((long) 88));
																																																																																																													}
																																																																																																												else
																																																																																																													{	/* Object/nil.scm 195 */
																																																																																																														if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 89))))
																																																																																																															{	/* Object/nil.scm 195 */
																																																																																																																return
																																																																																																																	CNST_TABLE_REF
																																																																																																																	(
																																																																																																																	((long) 90));
																																																																																																															}
																																																																																																														else
																																																																																																															{	/* Object/nil.scm 195 */
																																																																																																																if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 91))))
																																																																																																																	{	/* Object/nil.scm 195 */
																																																																																																																		return
																																																																																																																			CNST_TABLE_REF
																																																																																																																			(
																																																																																																																			((long) 92));
																																																																																																																	}
																																																																																																																else
																																																																																																																	{	/* Object/nil.scm 195 */
																																																																																																																		if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 93))))
																																																																																																																			{	/* Object/nil.scm 195 */
																																																																																																																				return
																																																																																																																					CNST_TABLE_REF
																																																																																																																					(
																																																																																																																					((long) 94));
																																																																																																																			}
																																																																																																																		else
																																																																																																																			{	/* Object/nil.scm 195 */
																																																																																																																				if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 95))))
																																																																																																																					{	/* Object/nil.scm 195 */
																																																																																																																						return
																																																																																																																							CNST_TABLE_REF
																																																																																																																							(
																																																																																																																							((long) 96));
																																																																																																																					}
																																																																																																																				else
																																																																																																																					{	/* Object/nil.scm 195 */
																																																																																																																						if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 97))))
																																																																																																																							{	/* Object/nil.scm 195 */
																																																																																																																								return
																																																																																																																									CNST_TABLE_REF
																																																																																																																									(
																																																																																																																									((long) 98));
																																																																																																																							}
																																																																																																																						else
																																																																																																																							{	/* Object/nil.scm 195 */
																																																																																																																								if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 99))))
																																																																																																																									{	/* Object/nil.scm 195 */
																																																																																																																										return
																																																																																																																											CNST_TABLE_REF
																																																																																																																											(
																																																																																																																											((long) 100));
																																																																																																																									}
																																																																																																																								else
																																																																																																																									{	/* Object/nil.scm 238 */
																																																																																																																										obj_t
																																																																																																																											BgL_arg1991z00_1195;
																																																																																																																										obj_t
																																																																																																																											BgL_arg1992z00_1196;
																																																																																																																										obj_t
																																																																																																																											BgL_arg1993z00_1197;
																																																																																																																										BgL_arg1991z00_1195
																																																																																																																											=
																																																																																																																											(
																																																																																																																											((BgL_typez00_bglt) CREF(((BgL_typez00_bglt) (((BgL_slotz00_bglt) CREF(((BgL_slotz00_bglt) BgL_slotz00_17)))->BgL_classzd2ownerzd2))))->BgL_idz00);
																																																																																																																										{	/* Object/nil.scm 239 */
																																																																																																																											obj_t
																																																																																																																												BgL_arg1995z00_1199;
																																																																																																																											BgL_arg1995z00_1199
																																																																																																																												=
																																																																																																																												(
																																																																																																																												((BgL_typez00_bglt) CREF(((BgL_typez00_bglt) BgL_typez00_16)))->BgL_idz00);
																																																																																																																											{	/* Object/nil.scm 239 */
																																																																																																																												obj_t
																																																																																																																													BgL_list1996z00_1200;
																																																																																																																												BgL_list1996z00_1200
																																																																																																																													=
																																																																																																																													MAKE_PAIR
																																																																																																																													(BgL_arg1995z00_1199,
																																																																																																																													BNIL);
																																																																																																																												BgL_arg1992z00_1196
																																																																																																																													=
																																																																																																																													BGl_formatz00zz__r4_output_6_10_3z00
																																																																																																																													(BGl_string2161z00zzobject_nilz00,
																																																																																																																													BgL_list1996z00_1200);
																																																																																																																											}
																																																																																																																										}
																																																																																																																										BgL_arg1993z00_1197
																																																																																																																											=
																																																																																																																											(
																																																																																																																											((BgL_slotz00_bglt) CREF(((BgL_slotz00_bglt) BgL_slotz00_17)))->BgL_idz00);
																																																																																																																										return
																																																																																																																											BGl_errorz00zz__errorz00
																																																																																																																											(BgL_arg1991z00_1195,
																																																																																																																											BgL_arg1992z00_1196,
																																																																																																																											BgL_arg1993z00_1197);
																																																																																																																									}
																																																																																																																							}
																																																																																																																					}
																																																																																																																			}
																																																																																																																	}
																																																																																																															}
																																																																																																													}
																																																																																																											}
																																																																																																									}
																																																																																																							}
																																																																																																					}
																																																																																																			}
																																																																																																	}
																																																																																															}
																																																																																													}
																																																																																											}
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																	}
																																																																															}
																																																																													}
																																																																											}
																																																																									}
																																																																							}
																																																																					}
																																																																			}
																																																																	}
																																																															}
																																																													}
																																																											}
																																																									}
																																																							}
																																																					}
																																																			}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																							}
																																					}
																																			}
																																	}
																															}
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
									}
							}
					}
			}
		}
	}



/* extern-type-nil */
	obj_t BGl_externzd2typezd2nilz00zzobject_nilz00(obj_t BgL_typez00_18,
		obj_t BgL_slotz00_19)
	{
		AN_OBJECT;
		{	/* Object/nil.scm 245 */
			{	/* Object/nil.scm 247 */
				bool_t BgL_testz00_2764;

				if ((BgL_typez00_18 == BGl_za2intza2z00zztype_cachez00))
					{	/* Object/nil.scm 247 */
						BgL_testz00_2764 = ((bool_t) 1);
					}
				else
					{	/* Object/nil.scm 247 */
						BgL_testz00_2764 =
							(BgL_typez00_18 == BGl_za2longza2z00zztype_cachez00);
					}
				if (BgL_testz00_2764)
					{	/* Object/nil.scm 247 */
						return BINT(((long) 0));
					}
				else
					{	/* Object/nil.scm 247 */
						if ((BgL_typez00_18 == BGl_za2boolza2z00zztype_cachez00))
							{	/* Object/nil.scm 248 */
								return BFALSE;
							}
						else
							{	/* Object/nil.scm 248 */
								if ((BgL_typez00_18 == BGl_za2realza2z00zztype_cachez00))
									{	/* Object/nil.scm 249 */
										return BGl_real2159z00zzobject_nilz00;
									}
								else
									{	/* Object/nil.scm 249 */
										if ((BgL_typez00_18 == BGl_za2elongza2z00zztype_cachez00))
											{	/* Object/nil.scm 250 */
												return CNST_TABLE_REF(((long) 24));
											}
										else
											{	/* Object/nil.scm 250 */
												if (
													(BgL_typez00_18 == BGl_za2llongza2z00zztype_cachez00))
													{	/* Object/nil.scm 251 */
														return CNST_TABLE_REF(((long) 23));
													}
												else
													{	/* Object/nil.scm 251 */
														if (
															(BgL_typez00_18 ==
																BGl_za2charza2z00zztype_cachez00))
															{	/* Object/nil.scm 252 */
																return BCHAR(((unsigned char) '_'));
															}
														else
															{	/* Object/nil.scm 252 */
																if (
																	(BgL_typez00_18 ==
																		BGl_za2stringza2z00zztype_cachez00))
																	{	/* Object/nil.scm 253 */
																		return BGl_string2160z00zzobject_nilz00;
																	}
																else
																	{	/* Object/nil.scm 254 */
																		bool_t BgL_testz00_2784;

																		if (BGl_isazf3zf3zz__objectz00
																			(BgL_typez00_18,
																				BGl_jclassz00zzobject_classz00))
																			{	/* Object/nil.scm 254 */
																				BgL_testz00_2784 = ((bool_t) 1);
																			}
																		else
																			{	/* Object/nil.scm 254 */
																				BgL_testz00_2784 =
																					BGl_isazf3zf3zz__objectz00
																					(BgL_typez00_18,
																					BGl_jarrayz00zzforeign_jtypez00);
																			}
																		if (BgL_testz00_2784)
																			{	/* Object/nil.scm 255 */
																				obj_t BgL_arg2007z00_1214;

																				BgL_arg2007z00_1214 =
																					(((BgL_typez00_bglt) CREF(
																							((BgL_typez00_bglt)
																								BgL_typez00_18)))->BgL_idz00);
																				return
																					BGl_makezd2privatezd2sexpz00zzast_privatez00
																					(CNST_TABLE_REF(((long) 101)),
																					BgL_arg2007z00_1214, BNIL);
																			}
																		else
																			{	/* Object/nil.scm 257 */
																				obj_t BgL_casezd2valuezd2_1216;

																				BgL_casezd2valuezd2_1216 =
																					(((BgL_typez00_bglt) CREF(
																							((BgL_typez00_bglt)
																								BgL_typez00_18)))->BgL_idz00);
																				{	/* Object/nil.scm 257 */
																					bool_t BgL_testz00_2794;

																					{	/* Object/nil.scm 257 */
																						bool_t BgL__ortest_1083z00_1230;

																						BgL__ortest_1083z00_1230 =
																							(BgL_casezd2valuezd2_1216 ==
																							CNST_TABLE_REF(((long) 102)));
																						if (BgL__ortest_1083z00_1230)
																							{	/* Object/nil.scm 257 */
																								BgL_testz00_2794 =
																									BgL__ortest_1083z00_1230;
																							}
																						else
																							{	/* Object/nil.scm 257 */
																								bool_t BgL__ortest_1084z00_1231;

																								BgL__ortest_1084z00_1231 =
																									(BgL_casezd2valuezd2_1216 ==
																									CNST_TABLE_REF(((long) 103)));
																								if (BgL__ortest_1084z00_1231)
																									{	/* Object/nil.scm 257 */
																										BgL_testz00_2794 =
																											BgL__ortest_1084z00_1231;
																									}
																								else
																									{	/* Object/nil.scm 257 */
																										BgL_testz00_2794 =
																											(BgL_casezd2valuezd2_1216
																											==
																											CNST_TABLE_REF(((long)
																													104)));
																					}}}
																					if (BgL_testz00_2794)
																						{	/* Object/nil.scm 257 */
																							return BINT(((long) 0));
																						}
																					else
																						{	/* Object/nil.scm 257 */
																							if (
																								(BgL_casezd2valuezd2_1216 ==
																									CNST_TABLE_REF(((long) 48))))
																								{	/* Object/nil.scm 257 */
																									return BFALSE;
																								}
																							else
																								{	/* Object/nil.scm 257 */
																									bool_t BgL_testz00_2807;

																									{	/* Object/nil.scm 257 */
																										bool_t
																											BgL__ortest_1085z00_1229;
																										BgL__ortest_1085z00_1229 =
																											(BgL_casezd2valuezd2_1216
																											==
																											CNST_TABLE_REF(((long)
																													105)));
																										if (BgL__ortest_1085z00_1229)
																											{	/* Object/nil.scm 257 */
																												BgL_testz00_2807 =
																													BgL__ortest_1085z00_1229;
																											}
																										else
																											{	/* Object/nil.scm 257 */
																												BgL_testz00_2807 =
																													(BgL_casezd2valuezd2_1216
																													==
																													CNST_TABLE_REF(((long)
																															106)));
																									}}
																									if (BgL_testz00_2807)
																										{	/* Object/nil.scm 257 */
																											return
																												BGl_real2159z00zzobject_nilz00;
																										}
																									else
																										{	/* Object/nil.scm 257 */
																											if (
																												(BgL_casezd2valuezd2_1216
																													==
																													CNST_TABLE_REF(((long)
																															107))))
																												{	/* Object/nil.scm 257 */
																													return
																														BCHAR(((unsigned
																																char) '_'));
																												}
																											else
																												{	/* Object/nil.scm 257 */
																													if (
																														(BgL_casezd2valuezd2_1216
																															==
																															CNST_TABLE_REF((
																																	(long) 108))))
																														{	/* Object/nil.scm 257 */
																															return
																																BGl_string2160z00zzobject_nilz00;
																														}
																													else
																														{	/* Object/nil.scm 264 */
																															bool_t
																																BgL_testz00_2820;
																															{	/* Object/nil.scm 264 */
																																obj_t
																																	BgL_arg2021z00_1228;
																																BgL_arg2021z00_1228
																																	=
																																	BGl_thezd2backendzd2zzbackend_backendz00
																																	();
																																BgL_testz00_2820
																																	=
																																	(((BgL_backendz00_bglt) CREF(((BgL_backendz00_bglt) BgL_arg2021z00_1228)))->BgL_pragmazd2supportzd2);
																															}
																															if (BgL_testz00_2820)
																																{	/* Object/nil.scm 265 */
																																	obj_t
																																		BgL_arg2015z00_1223;
																																	obj_t
																																		BgL_arg2016z00_1224;
																																	{	/* Object/nil.scm 265 */
																																		obj_t
																																			BgL_arg2017z00_1225;
																																		BgL_arg2017z00_1225
																																			=
																																			(((BgL_typez00_bglt) CREF(((BgL_typez00_bglt) BgL_typez00_18)))->BgL_idz00);
																																		BgL_arg2015z00_1223
																																			=
																																			BGl_makezd2typedzd2identz00zzast_identz00
																																			(CNST_TABLE_REF
																																			(((long)
																																					109)),
																																			BgL_arg2017z00_1225);
																																	}
																																	BgL_arg2016z00_1224
																																		=
																																		MAKE_PAIR
																																		(BGl_string2162z00zzobject_nilz00,
																																		BNIL);
																																	return
																																		MAKE_PAIR
																																		(BgL_arg2015z00_1223,
																																		BgL_arg2016z00_1224);
																																}
																															else
																																{	/* Object/nil.scm 266 */
																																	obj_t
																																		BgL_arg2019z00_1226;
																																	BgL_arg2019z00_1226
																																		=
																																		(((BgL_typez00_bglt) CREF(((BgL_typez00_bglt) BgL_typez00_18)))->BgL_idz00);
																																	return
																																		BGl_makezd2privatezd2sexpz00zzast_privatez00
																																		(CNST_TABLE_REF
																																		(((long)
																																				101)),
																																		BgL_arg2019z00_1226,
																																		BNIL);
		}}}}}}}}}}}}}}}}}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzobject_nilz00()
	{
		AN_OBJECT;
		{	/* Object/nil.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzobject_nilz00()
	{
		AN_OBJECT;
		{	/* Object/nil.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzobject_nilz00()
	{
		AN_OBJECT;
		{	/* Object/nil.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzobject_nilz00()
	{
		AN_OBJECT;
		{	/* Object/nil.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2163z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2163z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 9470071),
				BSTRING_TO_STRING(BGl_string2163z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string2163z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2163z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2163z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zztype_toolsz00(((long) 453414928),
				BSTRING_TO_STRING(BGl_string2163z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 164192787),
				BSTRING_TO_STRING(BGl_string2163z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zztvector_tvectorz00(((long) 501518119),
				BSTRING_TO_STRING(BGl_string2163z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string2163z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2163z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string2163z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zzast_privatez00(((long) 296989457),
				BSTRING_TO_STRING(BGl_string2163z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 481724379),
				BSTRING_TO_STRING(BGl_string2163z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long) 504896450),
				BSTRING_TO_STRING(BGl_string2163z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zzobject_toolsz00(((long) 196511171),
				BSTRING_TO_STRING(BGl_string2163z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string2163z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zzmodule_impusez00(((long) 478324304),
				BSTRING_TO_STRING(BGl_string2163z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 328744326),
				BSTRING_TO_STRING(BGl_string2163z00zzobject_nilz00));
			return
				BGl_modulezd2initializa7ationz75zzforeign_jtypez00(((long) 287572863),
				BSTRING_TO_STRING(BGl_string2163z00zzobject_nilz00));
		}
	}

#ifdef __cplusplus
}
#endif
