/*===========================================================================*/
/*   (Read/jvm.scm)                                                          */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Read/jvm.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;


	BGL_IMPORT obj_t BGl_filezd2separatorzd2zz__osz00();
	BGL_IMPORT bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
	extern obj_t BGl_za2passza2z00zzengine_paramz00;
	static obj_t BGl_objectzd2initzd2zzread_jvmz00();
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_dirnamez00zz__osz00(obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzread_jvmz00();
	BGL_IMPORT obj_t BGl_bigloozd2modulezd2resolverz00zz__modulez00();
	BGL_IMPORT obj_t BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sourcezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t);
	BGL_IMPORT bool_t fexists(char *);
	BGL_IMPORT obj_t BGl_dumpzd2tracezd2stackz00zz__errorz00(obj_t, obj_t);
	extern obj_t BGl_za2jvmzd2directoryza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t c_substring(obj_t, long, long);
	BGL_IMPORT obj_t BGl_exitdzd2popzd2protectz12z12zz__bexitz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2classzd2sanszd2directoryzd2zzread_jvmz00(obj_t);
	static obj_t BGl_z62sourcezd2ze3qualifiedzd2typez81zzread_jvmz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t
		BGl_withzd2inputzd2fromzd2filezd2zz__r4_ports_6_10_1z00(obj_t, obj_t);
	extern obj_t BGl_za2accesszd2filesza2zd2zzengine_paramz00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	BGL_IMPORT bool_t bigloo_strcmp(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31313ze3ze1zzread_jvmz00(obj_t);
	BGL_IMPORT obj_t BGl_putpropz12z12zz__r4_symbols_6_4z00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t);
	extern obj_t BGl_za2destza2z00zzengine_paramz00;
	static obj_t BGl_requirezd2initializa7ationz75zzread_jvmz00 = BUNSPEC;
	extern obj_t BGl_za2srczd2filesza2zd2zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2classzd2withzd2directoryzd2zzread_jvmz00(obj_t);
	static obj_t
		BGl_addzd2currentzd2modulezd2qualifiedzd2typezd2namez12zc0zzread_jvmz00();
	static obj_t BGl_toplevelzd2initzd2zzread_jvmz00();
	BGL_IMPORT obj_t BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzread_jvmz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_dozd2readzd2jfilez00zzread_jvmz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_makezd2filezd2namez00zz__osz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_basenamez00zz__osz00(obj_t);
	static obj_t BGl_z62modulezd2ze3qualifiedzd2typez81zzread_jvmz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t bgl_close_input_port(obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	static obj_t BGl_za2jvmzd2markza2zd2zzread_jvmz00 = BUNSPEC;
	BGL_IMPORT bool_t bigloo_strncmp(obj_t, obj_t, long);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	static obj_t BGl_z62jvmzd2classzd2sanszd2directoryzb0zzread_jvmz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinit_mainz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_enginez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__modulez00(long, char *);
	static obj_t BGl_z62addzd2qualifiedzd2typez12z70zzread_jvmz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzread_jvmz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzread_jvmz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzread_jvmz00();
	BGL_IMPORT obj_t BGl_prefixz00zz__osz00(obj_t);
	extern obj_t BGl_backendz00zzbackend_backendz00;
	BGL_IMPORT obj_t BGl_getpropz00zz__r4_symbols_6_4z00(obj_t, obj_t);
	extern obj_t BGl_za2qualifiedzd2typezd2filezd2defaultza2zd2zzengine_paramz00;
	static obj_t BGl_z62jvmzd2classzd2withzd2directoryzb0zzread_jvmz00(obj_t,
		obj_t);
	extern obj_t BGl_za2qualifiedzd2typezd2fileza2z00zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t BGl_readzd2jfilezd2zzread_jvmz00();
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_EXPORTED_DECL obj_t BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62readzd2jfilezb0zzread_jvmz00(obj_t);
	static obj_t BGl_z62zc3anonymousza31232ze3ze1zzread_jvmz00(obj_t);
	static obj_t __cnst[5];


	   
		 
		DEFINE_STRING(BGl_string1400z00zzread_jvmz00,
		BgL_bgl_string1400za700za7za7r1423za7, "\n  identifier=", 14);
	      DEFINE_STRING(BGl_string1401z00zzread_jvmz00,
		BgL_bgl_string1401za700za7za7r1424za7, "\n", 1);
	      DEFINE_STRING(BGl_string1402z00zzread_jvmz00,
		BgL_bgl_string1402za700za7za7r1425za7, "\n  new qualified type=", 22);
	      DEFINE_STRING(BGl_string1403z00zzread_jvmz00,
		BgL_bgl_string1403za700za7za7r1426za7, "\n  old qualified type=", 22);
	      DEFINE_STRING(BGl_string1404z00zzread_jvmz00,
		BgL_bgl_string1404za700za7za7r1427za7,
		"qualified type redefinition:\n  module/class=", 44);
	      DEFINE_STRING(BGl_string1405z00zzread_jvmz00,
		BgL_bgl_string1405za700za7za7r1428za7, "]", 1);
	      DEFINE_STRING(BGl_string1406z00zzread_jvmz00,
		BgL_bgl_string1406za700za7za7r1429za7, "      [reading jfile ", 21);
	      DEFINE_STRING(BGl_string1407z00zzread_jvmz00,
		BgL_bgl_string1407za700za7za7r1430za7, "Can't open jfile", 16);
	      DEFINE_STRING(BGl_string1408z00zzread_jvmz00,
		BgL_bgl_string1408za700za7za7r1431za7, "Can't find jfile", 16);
	      DEFINE_STRING(BGl_string1409z00zzread_jvmz00,
		BgL_bgl_string1409za700za7za7r1432za7, "Illegal jfile format", 20);
	      DEFINE_STRING(BGl_string1410z00zzread_jvmz00,
		BgL_bgl_string1410za700za7za7r1433za7, ".", 1);
	      DEFINE_STRING(BGl_string1411z00zzread_jvmz00,
		BgL_bgl_string1411za700za7za7r1434za7,
		"Can't find qualified type name for module `", 43);
	      DEFINE_STRING(BGl_string1412z00zzread_jvmz00,
		BgL_bgl_string1412za700za7za7r1435za7, "',", 2);
	      DEFINE_STRING(BGl_string1413z00zzread_jvmz00,
		BgL_bgl_string1413za700za7za7r1436za7, "'.", 2);
	      DEFINE_STRING(BGl_string1414z00zzread_jvmz00,
		BgL_bgl_string1414za700za7za7r1437za7, "Using name `", 12);
	      DEFINE_STRING(BGl_string1416z00zzread_jvmz00,
		BgL_bgl_string1416za700za7za7r1438za7, "read_jvm", 8);
	      DEFINE_STRING(BGl_string1417z00zzread_jvmz00,
		BgL_bgl_string1417za700za7za7r1439za7,
		"module ld done read-jfile jvm-qtype ", 36);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_addzd2qualifiedzd2typez12zd2envzc0zzread_jvmz00,
		BgL_bgl_za762addza7d2qualifi1440z00, va_generic_entry,
		BGl_z62addzd2qualifiedzd2typez12z70zzread_jvmz00, BUNSPEC, -3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2classzd2sanszd2directoryzd2envz00zzread_jvmz00,
		BgL_bgl_za762jvmza7d2classza7d1441za7,
		BGl_z62jvmzd2classzd2sanszd2directoryzb0zzread_jvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_modulezd2ze3qualifiedzd2typezd2envz31zzread_jvmz00,
		BgL_bgl_za762moduleza7d2za7e3q1442za7,
		BGl_z62modulezd2ze3qualifiedzd2typez81zzread_jvmz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1415z00zzread_jvmz00,
		BgL_bgl_za762za7c3anonymousza71443za7,
		BGl_z62zc3anonymousza31313ze3ze1zzread_jvmz00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_readzd2jfilezd2envz00zzread_jvmz00,
		BgL_bgl_za762readza7d2jfileza71444za7, BGl_z62readzd2jfilezb0zzread_jvmz00,
		0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string1395z00zzread_jvmz00,
		BgL_bgl_string1395za700za7za7r1445za7, "", 0);
	      DEFINE_STRING(BGl_string1396z00zzread_jvmz00,
		BgL_bgl_string1396za700za7za7r1446za7, ", for identifier `", 18);
	      DEFINE_STRING(BGl_string1397z00zzread_jvmz00,
		BgL_bgl_string1397za700za7za7r1447za7, "'", 1);
	      DEFINE_STRING(BGl_string1398z00zzread_jvmz00,
		BgL_bgl_string1398za700za7za7r1448za7, "empty name for module -- ", 25);
	      DEFINE_STRING(BGl_string1399z00zzread_jvmz00,
		BgL_bgl_string1399za700za7za7r1449za7, "add-qualified-type!", 19);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sourcezd2ze3qualifiedzd2typezd2envz31zzread_jvmz00,
		BgL_bgl_za762sourceza7d2za7e3q1450za7,
		BGl_z62sourcezd2ze3qualifiedzd2typez81zzread_jvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2classzd2withzd2directoryzd2envz00zzread_jvmz00,
		BgL_bgl_za762jvmza7d2classza7d1451za7,
		BGl_z62jvmzd2classzd2withzd2directoryzb0zzread_jvmz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long
		BgL_checksumz00_532, char *BgL_fromz00_533)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzread_jvmz00))
				{
					BGl_requirezd2initializa7ationz75zzread_jvmz00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzread_jvmz00();
					BGl_cnstzd2initzd2zzread_jvmz00();
					BGl_importedzd2moduleszd2initz00zzread_jvmz00();
					BGl_toplevelzd2initzd2zzread_jvmz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzread_jvmz00()
	{
		AN_OBJECT;
		{	/* Read/jvm.scm 15 */
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "read_jvm");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"read_jvm");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "read_jvm");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "read_jvm");
			BGl_modulezd2initializa7ationz75zz__modulez00(((long) 0), "read_jvm");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"read_jvm");
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 0), "read_jvm");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"read_jvm");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"read_jvm");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "read_jvm");
			BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(((long) 0),
				"read_jvm");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"read_jvm");
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long) 0),
				"read_jvm");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"read_jvm");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzread_jvmz00()
	{
		AN_OBJECT;
		{	/* Read/jvm.scm 15 */
			{	/* Read/jvm.scm 15 */
				obj_t BgL_cportz00_521;

				BgL_cportz00_521 =
					bgl_open_input_string(BGl_string1417z00zzread_jvmz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_522;

					BgL_iz00_522 = ((long) 4);
				BgL_loopz00_523:
					if ((BgL_iz00_522 == ((long) -1)))
						{	/* Read/jvm.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Read/jvm.scm 15 */
							{	/* Read/jvm.scm 15 */
								obj_t BgL_arg1421z00_525;

								{	/* Read/jvm.scm 15 */

									{	/* Read/jvm.scm 15 */
										obj_t BgL_locationz00_527;

										BgL_locationz00_527 = BBOOL(((bool_t) 0));
										{	/* Read/jvm.scm 15 */

											BgL_arg1421z00_525 =
												BGl_readz00zz__readerz00(BgL_cportz00_521,
												BgL_locationz00_527);
										}
									}
								}
								{	/* Read/jvm.scm 15 */
									int BgL_auxz00_561;

									BgL_auxz00_561 = (int) (BgL_iz00_522);
									CNST_TABLE_SET(BgL_auxz00_561, BgL_arg1421z00_525);
							}}
							{	/* Read/jvm.scm 15 */
								int BgL_auxz00_528;

								BgL_auxz00_528 = (int) ((BgL_iz00_522 - ((long) 1)));
								{
									long BgL_iz00_566;

									BgL_iz00_566 = (long) (BgL_auxz00_528);
									BgL_iz00_522 = BgL_iz00_566;
									goto BgL_loopz00_523;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzread_jvmz00()
	{
		AN_OBJECT;
		{	/* Read/jvm.scm 15 */
			return (BGl_za2jvmzd2markza2zd2zzread_jvmz00 =
				CNST_TABLE_REF(((long) 0)), BUNSPEC);
		}
	}



/* jvm-class-sans-directory */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2classzd2sanszd2directoryzd2zzread_jvmz00(obj_t BgL_filez00_3)
	{
		AN_OBJECT;
		{	/* Read/jvm.scm 33 */
			if (STRINGP(BGl_za2jvmzd2directoryza2zd2zzengine_paramz00))
				{	/* Read/jvm.scm 36 */
					long BgL_ldz00_118;
					long BgL_lfz00_119;

					BgL_ldz00_118 =
						STRING_LENGTH(BGl_za2jvmzd2directoryza2zd2zzengine_paramz00);
					BgL_lfz00_119 = STRING_LENGTH(BgL_filez00_3);
					{	/* Read/jvm.scm 38 */
						bool_t BgL_testz00_573;

						if ((BgL_lfz00_119 < (BgL_ldz00_118 + ((long) 1))))
							{	/* Read/jvm.scm 38 */
								BgL_testz00_573 = ((bool_t) 1);
							}
						else
							{	/* Read/jvm.scm 38 */
								if (bigloo_strncmp(BgL_filez00_3,
										BGl_za2jvmzd2directoryza2zd2zzengine_paramz00,
										BgL_ldz00_118))
									{	/* Read/jvm.scm 40 */
										bool_t BgL_testz00_579;

										{	/* Read/jvm.scm 40 */
											unsigned char BgL_arg1142z00_125;
											obj_t BgL_arg1143z00_126;

											BgL_arg1142z00_125 =
												STRING_REF(BgL_filez00_3, BgL_ldz00_118);
											BgL_arg1143z00_126 = BGl_filezd2separatorzd2zz__osz00();
											BgL_testz00_579 =
												(BgL_arg1142z00_125 == CCHAR(BgL_arg1143z00_126));
										}
										if (BgL_testz00_579)
											{	/* Read/jvm.scm 40 */
												BgL_testz00_573 = ((bool_t) 0);
											}
										else
											{	/* Read/jvm.scm 40 */
												BgL_testz00_573 = ((bool_t) 1);
											}
									}
								else
									{	/* Read/jvm.scm 39 */
										BgL_testz00_573 = ((bool_t) 1);
									}
							}
						if (BgL_testz00_573)
							{	/* Read/jvm.scm 38 */
								return BgL_filez00_3;
							}
						else
							{	/* Read/jvm.scm 38 */
								return
									c_substring(BgL_filez00_3,
									(((long) 1) + BgL_ldz00_118), BgL_lfz00_119);
				}}}
			else
				{	/* Read/jvm.scm 34 */
					return BgL_filez00_3;
				}
		}
	}



/* &jvm-class-sans-directory */
	obj_t BGl_z62jvmzd2classzd2sanszd2directoryzb0zzread_jvmz00(obj_t
		BgL_envz00_503, obj_t BgL_filez00_504)
	{
		AN_OBJECT;
		{	/* Read/jvm.scm 33 */
			return
				BGl_jvmzd2classzd2sanszd2directoryzd2zzread_jvmz00(BgL_filez00_504);
		}
	}



/* jvm-class-with-directory */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2classzd2withzd2directoryzd2zzread_jvmz00(obj_t BgL_classz00_4)
	{
		AN_OBJECT;
		{	/* Read/jvm.scm 47 */
			if (STRINGP(BGl_za2jvmzd2directoryza2zd2zzengine_paramz00))
				{	/* Read/jvm.scm 49 */
					if (bigloo_strcmp(BgL_classz00_4, BGl_string1395z00zzread_jvmz00))
						{	/* Read/jvm.scm 51 */
							return BGl_za2jvmzd2directoryza2zd2zzengine_paramz00;
						}
					else
						{	/* Read/jvm.scm 51 */
							return
								BGl_makezd2filezd2namez00zz__osz00
								(BGl_za2jvmzd2directoryza2zd2zzengine_paramz00, BgL_classz00_4);
						}
				}
			else
				{	/* Read/jvm.scm 49 */
					return BgL_classz00_4;
				}
		}
	}



/* &jvm-class-with-directory */
	obj_t BGl_z62jvmzd2classzd2withzd2directoryzb0zzread_jvmz00(obj_t
		BgL_envz00_505, obj_t BgL_classz00_506)
	{
		AN_OBJECT;
		{	/* Read/jvm.scm 47 */
			return
				BGl_jvmzd2classzd2withzd2directoryzd2zzread_jvmz00(BgL_classz00_506);
		}
	}



/* add-qualified-type! */
	BGL_EXPORTED_DEF obj_t BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(obj_t
		BgL_modulez00_5, obj_t BgL_qtypez00_6, obj_t BgL_identz00_7)
	{
		AN_OBJECT;
		{	/* Read/jvm.scm 64 */
			{	/* Read/jvm.scm 65 */
				obj_t BgL_bcz00_130;

				BgL_bcz00_130 = BGl_thezd2backendzd2zzbackend_backendz00();
				{	/* Read/jvm.scm 66 */
					bool_t BgL_testz00_594;

					if (BGl_isazf3zf3zz__objectz00(BgL_bcz00_130,
							BGl_backendz00zzbackend_backendz00))
						{	/* Read/jvm.scm 66 */
							if (bigloo_strcmp(BgL_qtypez00_6, BGl_string1395z00zzread_jvmz00))
								{	/* Read/jvm.scm 68 */
									obj_t BgL_arg1173z00_144;

									BgL_arg1173z00_144 =
										BGl_thezd2backendzd2zzbackend_backendz00();
									BgL_testz00_594 =
										(((BgL_backendz00_bglt) CREF(
												((BgL_backendz00_bglt) BgL_arg1173z00_144)))->
										BgL_qualifiedzd2typeszd2);
								}
							else
								{	/* Read/jvm.scm 67 */
									BgL_testz00_594 = ((bool_t) 0);
								}
						}
					else
						{	/* Read/jvm.scm 66 */
							BgL_testz00_594 = ((bool_t) 0);
						}
					if (BgL_testz00_594)
						{	/* Read/jvm.scm 72 */
							obj_t BgL_arg1151z00_132;

							{	/* Read/jvm.scm 72 */
								bool_t BgL_testz00_602;

								if (PAIRP(BgL_identz00_7))
									{	/* Read/jvm.scm 72 */
										obj_t BgL_auxz00_605;

										BgL_auxz00_605 = CAR(BgL_identz00_7);
										BgL_testz00_602 = SYMBOLP(BgL_auxz00_605);
									}
								else
									{	/* Read/jvm.scm 72 */
										BgL_testz00_602 = ((bool_t) 0);
									}
								if (BgL_testz00_602)
									{	/* Read/jvm.scm 74 */
										obj_t BgL_arg1164z00_138;

										{	/* Read/jvm.scm 74 */
											obj_t BgL_arg1167z00_139;

											BgL_arg1167z00_139 = CAR(BgL_identz00_7);
											{	/* Read/jvm.scm 74 */
												obj_t BgL_res1361z00_396;

												{	/* Read/jvm.scm 74 */
													obj_t BgL_arg1265z00_395;

													BgL_arg1265z00_395 =
														SYMBOL_TO_STRING(BgL_arg1167z00_139);
													BgL_res1361z00_396 =
														BGl_stringzd2copyzd2zz__r4_strings_6_7z00
														(BgL_arg1265z00_395);
												}
												BgL_arg1164z00_138 = BgL_res1361z00_396;
											}
										}
										BgL_arg1151z00_132 =
											string_append_3(BGl_string1396z00zzread_jvmz00,
											BgL_arg1164z00_138, BGl_string1397z00zzread_jvmz00);
									}
								else
									{	/* Read/jvm.scm 72 */
										BgL_arg1151z00_132 = BGl_string1395z00zzread_jvmz00;
									}
							}
							{	/* Read/jvm.scm 69 */
								obj_t BgL_list1152z00_133;

								{	/* Read/jvm.scm 69 */
									obj_t BgL_arg1153z00_134;

									{	/* Read/jvm.scm 69 */
										obj_t BgL_arg1157z00_135;

										{	/* Read/jvm.scm 69 */
											obj_t BgL_arg1159z00_136;

											BgL_arg1159z00_136 = MAKE_PAIR(BgL_arg1151z00_132, BNIL);
											BgL_arg1157z00_135 =
												MAKE_PAIR(BgL_modulez00_5, BgL_arg1159z00_136);
										}
										BgL_arg1153z00_134 =
											MAKE_PAIR(BGl_string1398z00zzread_jvmz00,
											BgL_arg1157z00_135);
									}
									BgL_list1152z00_133 =
										MAKE_PAIR(BGl_string1399z00zzread_jvmz00,
										BgL_arg1153z00_134);
								}
								BGl_warningz00zz__errorz00(BgL_list1152z00_133);
							}
						}
					else
						{	/* Read/jvm.scm 66 */
							BFALSE;
						}
				}
				{	/* Read/jvm.scm 77 */
					obj_t BgL_bz00_145;

					BgL_bz00_145 =
						BGl_getpropz00zz__r4_symbols_6_4z00(BgL_modulez00_5,
						CNST_TABLE_REF(((long) 0)));
					if (CBOOL(BgL_bz00_145))
						{	/* Read/jvm.scm 80 */
							bool_t BgL_testz00_621;

							if (BGl_isazf3zf3zz__objectz00(BgL_bcz00_130,
									BGl_backendz00zzbackend_backendz00))
								{	/* Read/jvm.scm 80 */
									if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00(BgL_bz00_145,
											BgL_qtypez00_6))
										{	/* Read/jvm.scm 81 */
											BgL_testz00_621 = ((bool_t) 0);
										}
									else
										{	/* Read/jvm.scm 82 */
											obj_t BgL_arg1219z00_165;

											BgL_arg1219z00_165 =
												BGl_thezd2backendzd2zzbackend_backendz00();
											BgL_testz00_621 =
												(((BgL_backendz00_bglt) CREF(
														((BgL_backendz00_bglt) BgL_arg1219z00_165)))->
												BgL_qualifiedzd2typeszd2);
										}
								}
							else
								{	/* Read/jvm.scm 80 */
									BgL_testz00_621 = ((bool_t) 0);
								}
							if (BgL_testz00_621)
								{	/* Read/jvm.scm 80 */
									BGl_putpropz12z12zz__r4_symbols_6_4z00(BgL_modulez00_5,
										CNST_TABLE_REF(((long) 0)), BgL_qtypez00_6);
									{	/* Read/jvm.scm 86 */
										obj_t BgL_arg1175z00_147;

										{	/* Read/jvm.scm 86 */
											bool_t BgL_testz00_631;

											if (PAIRP(BgL_identz00_7))
												{	/* Read/jvm.scm 86 */
													obj_t BgL_auxz00_634;

													BgL_auxz00_634 = CAR(BgL_identz00_7);
													BgL_testz00_631 = SYMBOLP(BgL_auxz00_634);
												}
											else
												{	/* Read/jvm.scm 86 */
													BgL_testz00_631 = ((bool_t) 0);
												}
											if (BgL_testz00_631)
												{	/* Read/jvm.scm 88 */
													obj_t BgL_arg1210z00_158;

													{	/* Read/jvm.scm 88 */
														obj_t BgL_arg1211z00_159;

														BgL_arg1211z00_159 = CAR(BgL_identz00_7);
														{	/* Read/jvm.scm 88 */
															obj_t BgL_res1366z00_410;

															{	/* Read/jvm.scm 88 */
																obj_t BgL_arg1265z00_409;

																BgL_arg1265z00_409 =
																	SYMBOL_TO_STRING(BgL_arg1211z00_159);
																BgL_res1366z00_410 =
																	BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																	(BgL_arg1265z00_409);
															}
															BgL_arg1210z00_158 = BgL_res1366z00_410;
														}
													}
													BgL_arg1175z00_147 =
														string_append(BGl_string1400z00zzread_jvmz00,
														BgL_arg1210z00_158);
												}
											else
												{	/* Read/jvm.scm 86 */
													BgL_arg1175z00_147 = BGl_string1395z00zzread_jvmz00;
												}
										}
										{	/* Read/jvm.scm 84 */
											obj_t BgL_list1176z00_148;

											{	/* Read/jvm.scm 84 */
												obj_t BgL_arg1177z00_149;

												{	/* Read/jvm.scm 84 */
													obj_t BgL_arg1179z00_150;

													{	/* Read/jvm.scm 84 */
														obj_t BgL_arg1180z00_151;

														{	/* Read/jvm.scm 84 */
															obj_t BgL_arg1184z00_152;

															{	/* Read/jvm.scm 84 */
																obj_t BgL_arg1187z00_153;

																{	/* Read/jvm.scm 84 */
																	obj_t BgL_arg1189z00_154;

																	{	/* Read/jvm.scm 84 */
																		obj_t BgL_arg1204z00_155;

																		{	/* Read/jvm.scm 84 */
																			obj_t BgL_arg1205z00_156;

																			BgL_arg1205z00_156 =
																				MAKE_PAIR
																				(BGl_string1401z00zzread_jvmz00, BNIL);
																			BgL_arg1204z00_155 =
																				MAKE_PAIR(BgL_qtypez00_6,
																				BgL_arg1205z00_156);
																		}
																		BgL_arg1189z00_154 =
																			MAKE_PAIR(BGl_string1402z00zzread_jvmz00,
																			BgL_arg1204z00_155);
																	}
																	BgL_arg1187z00_153 =
																		MAKE_PAIR(BgL_bz00_145, BgL_arg1189z00_154);
																}
																BgL_arg1184z00_152 =
																	MAKE_PAIR(BGl_string1403z00zzread_jvmz00,
																	BgL_arg1187z00_153);
															}
															BgL_arg1180z00_151 =
																MAKE_PAIR(BgL_arg1175z00_147,
																BgL_arg1184z00_152);
														}
														BgL_arg1179z00_150 =
															MAKE_PAIR(BgL_modulez00_5, BgL_arg1180z00_151);
													}
													BgL_arg1177z00_149 =
														MAKE_PAIR(BGl_string1404z00zzread_jvmz00,
														BgL_arg1179z00_150);
												}
												BgL_list1176z00_148 =
													MAKE_PAIR(BGl_string1399z00zzread_jvmz00,
													BgL_arg1177z00_149);
											}
											BGl_warningz00zz__errorz00(BgL_list1176z00_148);
										}
									}
									{	/* Read/jvm.scm 93 */
										obj_t BgL_arg1216z00_162;

										{	/* Read/jvm.scm 93 */
											obj_t BgL_res1367z00_412;

											{	/* Read/jvm.scm 93 */
												obj_t BgL_auxz00_651;

												BgL_auxz00_651 = BGL_CURRENT_DYNAMIC_ENV();
												BgL_res1367z00_412 =
													BGL_ENV_CURRENT_ERROR_PORT(BgL_auxz00_651);
											}
											BgL_arg1216z00_162 = BgL_res1367z00_412;
										}
										return
											BGl_dumpzd2tracezd2stackz00zz__errorz00
											(BgL_arg1216z00_162, BINT(((long) 10)));
								}}
							else
								{	/* Read/jvm.scm 80 */
									return BFALSE;
								}
						}
					else
						{	/* Read/jvm.scm 78 */
							return
								BGl_putpropz12z12zz__r4_symbols_6_4z00(BgL_modulez00_5,
								CNST_TABLE_REF(((long) 0)), BgL_qtypez00_6);
		}}}}
	}



/* &add-qualified-type! */
	obj_t BGl_z62addzd2qualifiedzd2typez12z70zzread_jvmz00(obj_t BgL_envz00_507,
		obj_t BgL_modulez00_508, obj_t BgL_qtypez00_509, obj_t BgL_identz00_510)
	{
		AN_OBJECT;
		{	/* Read/jvm.scm 64 */
			return
				BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(BgL_modulez00_508,
				BgL_qtypez00_509, BgL_identz00_510);
		}
	}



/* read-jfile */
	BGL_EXPORTED_DEF obj_t BGl_readzd2jfilezd2zzread_jvmz00()
	{
		AN_OBJECT;
		{	/* Read/jvm.scm 98 */
			{
				obj_t BgL_namez00_171;

				if (STRINGP(BGl_za2qualifiedzd2typezd2fileza2z00zzengine_paramz00))
					{	/* Read/jvm.scm 109 */
						if (fexists(BSTRING_TO_STRING
								(BGl_za2qualifiedzd2typezd2fileza2z00zzengine_paramz00)))
							{	/* Read/jvm.scm 113 */
								BgL_namez00_171 =
									BGl_za2qualifiedzd2typezd2fileza2z00zzengine_paramz00;
							BgL_zc3anonymousza31224ze3z83_172:
								{	/* Read/jvm.scm 100 */
									obj_t BgL_portz00_173;

									{	/* Read/jvm.scm 100 */

										BgL_portz00_173 =
											BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00
											(BgL_namez00_171, BTRUE, BINT(((long) 5000000)));
									}
									{	/* Read/jvm.scm 101 */
										obj_t BgL_list1225z00_174;

										{	/* Read/jvm.scm 101 */
											obj_t BgL_arg1227z00_175;

											{	/* Read/jvm.scm 101 */
												obj_t BgL_arg1229z00_176;

												{	/* Read/jvm.scm 101 */
													obj_t BgL_arg1230z00_177;

													BgL_arg1230z00_177 =
														MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
													BgL_arg1229z00_176 =
														MAKE_PAIR(BGl_string1405z00zzread_jvmz00,
														BgL_arg1230z00_177);
												}
												BgL_arg1227z00_175 =
													MAKE_PAIR(BgL_namez00_171, BgL_arg1229z00_176);
											}
											BgL_list1225z00_174 =
												MAKE_PAIR(BGl_string1406z00zzread_jvmz00,
												BgL_arg1227z00_175);
										}
										BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
											BgL_list1225z00_174);
									}
									if (INPUT_PORTP(BgL_portz00_173))
										{	/* Read/jvm.scm 104 */
											obj_t BgL_exitd1047z00_179;

											BgL_exitd1047z00_179 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Read/jvm.scm 106 */
												obj_t BgL_zc3anonymousza31232ze3z83_511;

												BgL_zc3anonymousza31232ze3z83_511 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza31232ze3ze1zzread_jvmz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza31232ze3z83_511,
													(int) (((long) 0)), BgL_portz00_173);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1047z00_179,
													BgL_zc3anonymousza31232ze3z83_511);
												{	/* Read/jvm.scm 105 */
													obj_t BgL_tmp1049z00_181;

													BgL_tmp1049z00_181 =
														BGl_dozd2readzd2jfilez00zzread_jvmz00
														(BgL_portz00_173, BgL_namez00_171);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1047z00_179);
													bgl_close_input_port(BgL_portz00_173);
													return BgL_tmp1049z00_181;
												}
											}
										}
									else
										{	/* Read/jvm.scm 102 */
											return
												BGl_userzd2errorzd2zztools_errorz00(CNST_TABLE_REF((
														(long) 1)), BGl_string1407z00zzread_jvmz00,
												BgL_namez00_171, BNIL);
							}}}
						else
							{	/* Read/jvm.scm 113 */
								return
									BGl_userzd2errorzd2zztools_errorz00(CNST_TABLE_REF(((long)
											1)), BGl_string1408z00zzread_jvmz00,
									BGl_za2qualifiedzd2typezd2fileza2z00zzengine_paramz00, BNIL);
					}}
				else
					{	/* Read/jvm.scm 109 */
						if (fexists(BSTRING_TO_STRING
								(BGl_za2qualifiedzd2typezd2filezd2defaultza2zd2zzengine_paramz00)))
							{
								obj_t BgL_namez00_692;

								BgL_namez00_692 =
									BGl_za2qualifiedzd2typezd2filezd2defaultza2zd2zzengine_paramz00;
								BgL_namez00_171 = BgL_namez00_692;
								goto BgL_zc3anonymousza31224ze3z83_172;
							}
						else
							{	/* Read/jvm.scm 110 */
								return CNST_TABLE_REF(((long) 2));
		}}}}
	}



/* &read-jfile */
	obj_t BGl_z62readzd2jfilezb0zzread_jvmz00(obj_t BgL_envz00_512)
	{
		AN_OBJECT;
		{	/* Read/jvm.scm 98 */
			return BGl_readzd2jfilezd2zzread_jvmz00();
		}
	}



/* &<anonymous:1232> */
	obj_t BGl_z62zc3anonymousza31232ze3ze1zzread_jvmz00(obj_t BgL_envz00_513)
	{
		AN_OBJECT;
		{	/* Read/jvm.scm 104 */
			{	/* Read/jvm.scm 106 */
				obj_t BgL_portz00_514;

				BgL_portz00_514 = PROCEDURE_REF(BgL_envz00_513, (int) (((long) 0)));
				{

					return bgl_close_input_port(BgL_portz00_514);
				}
			}
		}
	}



/* do-read-jfile */
	obj_t BGl_dozd2readzd2jfilez00zzread_jvmz00(obj_t BgL_portz00_8,
		obj_t BgL_jfnamez00_9)
	{
		AN_OBJECT;
		{	/* Read/jvm.scm 121 */
			{	/* Read/jvm.scm 122 */
				obj_t BgL_objz00_189;

				BgL_objz00_189 = BGl_readz00zz__readerz00(BgL_portz00_8, BTRUE);
				{	/* Read/jvm.scm 122 */
					obj_t BgL_eofz00_190;

					{	/* Read/jvm.scm 123 */

						{	/* Read/jvm.scm 123 */

							BgL_eofz00_190 = BGl_readz00zz__readerz00(BgL_portz00_8, BFALSE);
						}
					}
					{	/* Read/jvm.scm 123 */

						{	/* Read/jvm.scm 125 */
							bool_t BgL_testz00_700;

							{	/* Read/jvm.scm 125 */
								bool_t BgL_res1371z00_423;

								BgL_res1371z00_423 = EOF_OBJECTP(BgL_objz00_189);
								BgL_testz00_700 = BgL_res1371z00_423;
							}
							if (BgL_testz00_700)
								{	/* Read/jvm.scm 125 */
									return
										BGl_userzd2errorzd2zztools_errorz00(CNST_TABLE_REF(((long)
												1)), BGl_string1409z00zzread_jvmz00, BgL_objz00_189,
										BNIL);
								}
							else
								{	/* Read/jvm.scm 127 */
									bool_t BgL_testz00_704;

									{	/* Read/jvm.scm 127 */
										bool_t BgL_res1372z00_425;

										BgL_res1372z00_425 = EOF_OBJECTP(BgL_eofz00_190);
										BgL_testz00_704 = BgL_res1372z00_425;
									}
									if (BgL_testz00_704)
										{
											obj_t BgL_objz00_195;

											BgL_objz00_195 = BgL_objz00_189;
										BgL_zc3anonymousza31242ze3z83_196:
											if (NULLP(BgL_objz00_195))
												{	/* Read/jvm.scm 131 */
													return CNST_TABLE_REF(((long) 2));
												}
											else
												{

													{	/* Read/jvm.scm 133 */
														obj_t BgL_ezd2103zd2_202;

														BgL_ezd2103zd2_202 = CAR(BgL_objz00_195);
														if (PAIRP(BgL_ezd2103zd2_202))
															{	/* Read/jvm.scm 133 */
																obj_t BgL_carzd2108zd2_204;
																obj_t BgL_cdrzd2109zd2_205;

																BgL_carzd2108zd2_204 = CAR(BgL_ezd2103zd2_202);
																BgL_cdrzd2109zd2_205 = CDR(BgL_ezd2103zd2_202);
																if (SYMBOLP(BgL_carzd2108zd2_204))
																	{	/* Read/jvm.scm 133 */
																		if (PAIRP(BgL_cdrzd2109zd2_205))
																			{	/* Read/jvm.scm 133 */
																				obj_t BgL_carzd2114zd2_208;

																				BgL_carzd2114zd2_208 =
																					CAR(BgL_cdrzd2109zd2_205);
																				if (STRINGP(BgL_carzd2114zd2_208))
																					{	/* Read/jvm.scm 133 */
																						if (NULLP(CDR
																								(BgL_cdrzd2109zd2_205)))
																							{	/* Read/jvm.scm 133 */
																								BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00
																									(BgL_carzd2108zd2_204,
																									BgL_carzd2114zd2_208, BNIL);
																								{
																									obj_t BgL_objz00_725;

																									BgL_objz00_725 =
																										CDR(BgL_objz00_195);
																									BgL_objz00_195 =
																										BgL_objz00_725;
																									goto
																										BgL_zc3anonymousza31242ze3z83_196;
																								}
																							}
																						else
																							{	/* Read/jvm.scm 133 */
																							BgL_tagzd2102zd2_201:
																								{	/* Read/jvm.scm 140 */
																									obj_t BgL_arg1258z00_214;

																									BgL_arg1258z00_214 =
																										CAR(BgL_objz00_195);
																									return
																										BGl_userzd2errorzd2zztools_errorz00
																										(CNST_TABLE_REF(((long) 1)),
																										BGl_string1409z00zzread_jvmz00,
																										BgL_arg1258z00_214, BNIL);
																					}}}
																				else
																					{	/* Read/jvm.scm 133 */
																						goto BgL_tagzd2102zd2_201;
																					}
																			}
																		else
																			{	/* Read/jvm.scm 133 */
																				goto BgL_tagzd2102zd2_201;
																			}
																	}
																else
																	{	/* Read/jvm.scm 133 */
																		goto BgL_tagzd2102zd2_201;
																	}
															}
														else
															{	/* Read/jvm.scm 133 */
																goto BgL_tagzd2102zd2_201;
															}
													}
												}
										}
									else
										{	/* Read/jvm.scm 127 */
											return
												BGl_userzd2errorzd2zztools_errorz00(CNST_TABLE_REF((
														(long) 1)), BGl_string1409z00zzread_jvmz00,
												BgL_eofz00_190, BNIL);
		}}}}}}}
	}



/* add-current-module-qualified-type-name! */
	obj_t
		BGl_addzd2currentzd2modulezd2qualifiedzd2typezd2namez12zc0zzread_jvmz00()
	{
		AN_OBJECT;
		{	/* Read/jvm.scm 145 */
			{	/* Read/jvm.scm 147 */
				obj_t BgL_qtypez00_220;

				BgL_qtypez00_220 =
					BGl_getpropz00zz__r4_symbols_6_4z00
					(BGl_za2moduleza2z00zzmodule_modulez00, CNST_TABLE_REF(((long) 0)));
				if (STRINGP(BgL_qtypez00_220))
					{	/* Read/jvm.scm 148 */
						return BFALSE;
					}
				else
					{	/* Read/jvm.scm 153 */
						bool_t BgL_testz00_736;

						if (STRINGP(BGl_za2destza2z00zzengine_paramz00))
							{	/* Read/jvm.scm 153 */
								BgL_testz00_736 =
									(BGl_za2passza2z00zzengine_paramz00 ==
									CNST_TABLE_REF(((long) 3)));
							}
						else
							{	/* Read/jvm.scm 153 */
								BgL_testz00_736 = ((bool_t) 1);
							}
						if (BgL_testz00_736)
							{	/* Read/jvm.scm 156 */
								obj_t BgL_qtz00_223;

								{	/* Read/jvm.scm 156 */
									bool_t BgL_testz00_741;

									{	/* Read/jvm.scm 156 */
										obj_t BgL_auxz00_742;

										BgL_auxz00_742 =
											CAR(BGl_za2srczd2filesza2zd2zzengine_paramz00);
										BgL_testz00_741 = STRINGP(BgL_auxz00_742);
									}
									if (BgL_testz00_741)
										{	/* Read/jvm.scm 156 */
											BgL_qtz00_223 =
												BGl_prefixz00zz__osz00(BGl_basenamez00zz__osz00(CAR
													(BGl_za2srczd2filesza2zd2zzengine_paramz00)));
										}
									else
										{	/* Read/jvm.scm 156 */
											BgL_qtz00_223 = BGl_string1410z00zzread_jvmz00;
										}
								}
								BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00
									(BGl_za2moduleza2z00zzmodule_modulez00, BgL_qtz00_223, BNIL);
								return BgL_qtz00_223;
							}
						else
							{	/* Read/jvm.scm 162 */
								obj_t BgL_qtz00_229;

								BgL_qtz00_229 =
									BGl_prefixz00zz__osz00(BGl_za2destza2z00zzengine_paramz00);
								BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00
									(BGl_za2moduleza2z00zzmodule_modulez00, BgL_qtz00_229, BNIL);
								return BgL_qtz00_229;
							}
					}
			}
		}
	}



/* module->qualified-type */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t
		BgL_modulez00_10)
	{
		AN_OBJECT;
		{	/* Read/jvm.scm 172 */
			{	/* Read/jvm.scm 173 */
				obj_t BgL_bz00_232;

				BgL_bz00_232 =
					BGl_getpropz00zz__r4_symbols_6_4z00(BgL_modulez00_10,
					CNST_TABLE_REF(((long) 0)));
				if (STRINGP(BgL_bz00_232))
					{	/* Read/jvm.scm 175 */
						return BgL_bz00_232;
					}
				else
					{	/* Read/jvm.scm 175 */
						if ((BgL_modulez00_10 == BGl_za2moduleza2z00zzmodule_modulez00))
							{	/* Read/jvm.scm 177 */
								return
									BGl_addzd2currentzd2modulezd2qualifiedzd2typezd2namez12zc0zzread_jvmz00
									();
							}
						else
							{	/* Read/jvm.scm 180 */
								obj_t BgL_abasez00_235;

								{	/* Read/jvm.scm 180 */
									obj_t BgL_l1114z00_251;

									BgL_l1114z00_251 =
										BGl_za2accesszd2filesza2zd2zzengine_paramz00;
									if (NULLP(BgL_l1114z00_251))
										{	/* Read/jvm.scm 180 */
											BgL_abasez00_235 = BNIL;
										}
									else
										{	/* Read/jvm.scm 180 */
											obj_t BgL_head1116z00_253;

											{	/* Read/jvm.scm 180 */
												obj_t BgL_arg1309z00_265;

												BgL_arg1309z00_265 =
													BGl_dirnamez00zz__osz00(CAR(BgL_l1114z00_251));
												{	/* Read/jvm.scm 180 */
													obj_t BgL_res1384z00_467;

													BgL_res1384z00_467 =
														MAKE_PAIR(BgL_arg1309z00_265, BNIL);
													BgL_head1116z00_253 = BgL_res1384z00_467;
												}
											}
											{	/* Read/jvm.scm 180 */
												obj_t BgL_g1120z00_254;

												BgL_g1120z00_254 = CDR(BgL_l1114z00_251);
												{
													obj_t BgL_l1114z00_256;
													obj_t BgL_tail1117z00_257;

													BgL_l1114z00_256 = BgL_g1120z00_254;
													BgL_tail1117z00_257 = BgL_head1116z00_253;
												BgL_zc3anonymousza31296ze3z83_258:
													if (NULLP(BgL_l1114z00_256))
														{	/* Read/jvm.scm 180 */
															BgL_abasez00_235 = BgL_head1116z00_253;
														}
													else
														{	/* Read/jvm.scm 180 */
															obj_t BgL_newtail1118z00_260;

															{	/* Read/jvm.scm 180 */
																obj_t BgL_arg1307z00_262;

																BgL_arg1307z00_262 =
																	BGl_dirnamez00zz__osz00(CAR
																	(BgL_l1114z00_256));
																{	/* Read/jvm.scm 180 */
																	obj_t BgL_res1386z00_474;

																	BgL_res1386z00_474 =
																		MAKE_PAIR(BgL_arg1307z00_262, BNIL);
																	BgL_newtail1118z00_260 = BgL_res1386z00_474;
																}
															}
															SET_CDR(BgL_tail1117z00_257,
																BgL_newtail1118z00_260);
															{
																obj_t BgL_tail1117z00_772;
																obj_t BgL_l1114z00_770;

																BgL_l1114z00_770 = CDR(BgL_l1114z00_256);
																BgL_tail1117z00_772 = BgL_newtail1118z00_260;
																BgL_tail1117z00_257 = BgL_tail1117z00_772;
																BgL_l1114z00_256 = BgL_l1114z00_770;
																goto BgL_zc3anonymousza31296ze3z83_258;
															}
														}
												}
											}
										}
								}
								{	/* Read/jvm.scm 180 */
									obj_t BgL_filesz00_236;

									{	/* Read/jvm.scm 181 */
										obj_t BgL_fun1294z00_250;

										BgL_fun1294z00_250 =
											BGl_bigloozd2modulezd2resolverz00zz__modulez00();
										BgL_filesz00_236 =
											PROCEDURE_ENTRY(BgL_fun1294z00_250) (BgL_fun1294z00_250,
											BgL_modulez00_10, BNIL, BgL_abasez00_235, BEOA);
									}
									{	/* Read/jvm.scm 181 */
										obj_t BgL_defaultz00_237;

										if (PAIRP(BgL_filesz00_236))
											{	/* Read/jvm.scm 182 */
												BgL_defaultz00_237 =
													BGl_prefixz00zz__osz00(BGl_basenamez00zz__osz00(CAR
														(BgL_filesz00_236)));
											}
										else
											{	/* Read/jvm.scm 184 */
												obj_t BgL_res1388z00_483;

												{	/* Read/jvm.scm 184 */
													obj_t BgL_arg1265z00_482;

													BgL_arg1265z00_482 =
														SYMBOL_TO_STRING(BgL_modulez00_10);
													BgL_res1388z00_483 =
														BGl_stringzd2copyzd2zz__r4_strings_6_7z00
														(BgL_arg1265z00_482);
												}
												BgL_defaultz00_237 = BgL_res1388z00_483;
											}
										{	/* Read/jvm.scm 182 */

											{	/* Read/jvm.scm 185 */
												bool_t BgL_testz00_787;

												{	/* Read/jvm.scm 185 */
													obj_t BgL_arg1289z00_245;

													BgL_arg1289z00_245 =
														BGl_thezd2backendzd2zzbackend_backendz00();
													BgL_testz00_787 =
														(((BgL_backendz00_bglt) CREF(
																((BgL_backendz00_bglt) BgL_arg1289z00_245)))->
														BgL_qualifiedzd2typeszd2);
												}
												if (BgL_testz00_787)
													{	/* Read/jvm.scm 188 */
														obj_t BgL_arg1283z00_239;

														{	/* Read/jvm.scm 188 */
															obj_t BgL_arg1288z00_244;

															{	/* Read/jvm.scm 188 */
																obj_t BgL_res1390z00_489;

																{	/* Read/jvm.scm 188 */
																	obj_t BgL_arg1265z00_488;

																	BgL_arg1265z00_488 =
																		SYMBOL_TO_STRING(BgL_modulez00_10);
																	BgL_res1390z00_489 =
																		BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																		(BgL_arg1265z00_488);
																}
																BgL_arg1288z00_244 = BgL_res1390z00_489;
															}
															BgL_arg1283z00_239 =
																string_append_3(BGl_string1411z00zzread_jvmz00,
																BgL_arg1288z00_244,
																BGl_string1412z00zzread_jvmz00);
														}
														{	/* Read/jvm.scm 186 */
															obj_t BgL_list1284z00_240;

															{	/* Read/jvm.scm 186 */
																obj_t BgL_arg1285z00_241;

																{	/* Read/jvm.scm 186 */
																	obj_t BgL_arg1286z00_242;

																	{	/* Read/jvm.scm 186 */
																		obj_t BgL_arg1287z00_243;

																		BgL_arg1287z00_243 =
																			MAKE_PAIR(BGl_string1413z00zzread_jvmz00,
																			BNIL);
																		BgL_arg1286z00_242 =
																			MAKE_PAIR(BgL_defaultz00_237,
																			BgL_arg1287z00_243);
																	}
																	BgL_arg1285z00_241 =
																		MAKE_PAIR(BGl_string1414z00zzread_jvmz00,
																		BgL_arg1286z00_242);
																}
																BgL_list1284z00_240 =
																	MAKE_PAIR(BgL_arg1283z00_239,
																	BgL_arg1285z00_241);
															}
															BGl_warningz00zz__errorz00(BgL_list1284z00_240);
														}
													}
												else
													{	/* Read/jvm.scm 185 */
														BFALSE;
													}
											}
											BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00
												(BgL_modulez00_10, BgL_defaultz00_237, BNIL);
											return BgL_defaultz00_237;
										}
									}
								}
							}
					}
			}
		}
	}



/* &module->qualified-type */
	obj_t BGl_z62modulezd2ze3qualifiedzd2typez81zzread_jvmz00(obj_t
		BgL_envz00_515, obj_t BgL_modulez00_516)
	{
		AN_OBJECT;
		{	/* Read/jvm.scm 172 */
			return
				BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(BgL_modulez00_516);
		}
	}



/* source->qualified-type */
	BGL_EXPORTED_DEF obj_t BGl_sourcezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t
		BgL_filez00_11)
	{
		AN_OBJECT;
		{	/* Read/jvm.scm 198 */
			if (fexists(BSTRING_TO_STRING(BgL_filez00_11)))
				{	/* Read/jvm.scm 199 */
					return
						BGl_withzd2inputzd2fromzd2filezd2zz__r4_ports_6_10_1z00
						(BgL_filez00_11, BGl_proc1415z00zzread_jvmz00);
				}
			else
				{	/* Read/jvm.scm 199 */
					return BFALSE;
				}
		}
	}



/* &source->qualified-type */
	obj_t BGl_z62sourcezd2ze3qualifiedzd2typez81zzread_jvmz00(obj_t
		BgL_envz00_518, obj_t BgL_filez00_519)
	{
		AN_OBJECT;
		{	/* Read/jvm.scm 198 */
			return BGl_sourcezd2ze3qualifiedzd2typeze3zzread_jvmz00(BgL_filez00_519);
		}
	}



/* &<anonymous:1313> */
	obj_t BGl_z62zc3anonymousza31313ze3ze1zzread_jvmz00(obj_t BgL_envz00_520)
	{
		AN_OBJECT;
		{	/* Read/jvm.scm 201 */
			{

				{	/* Read/jvm.scm 202 */
					obj_t BgL_ezd2120zd2_273;

					{	/* Read/jvm.scm 202 */
						obj_t BgL_arg1343z00_280;

						{	/* Read/jvm.scm 202 */
							obj_t BgL_res1392z00_493;

							{	/* Read/jvm.scm 202 */
								obj_t BgL_auxz00_806;

								BgL_auxz00_806 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res1392z00_493 = BGL_ENV_CURRENT_INPUT_PORT(BgL_auxz00_806);
							}
							BgL_arg1343z00_280 = BgL_res1392z00_493;
						}
						{	/* Read/jvm.scm 202 */

							{	/* Read/jvm.scm 202 */

								BgL_ezd2120zd2_273 =
									BGl_readz00zz__readerz00(BgL_arg1343z00_280, BFALSE);
							}
						}
					}
					if (PAIRP(BgL_ezd2120zd2_273))
						{	/* Read/jvm.scm 201 */
							obj_t BgL_cdrzd2124zd2_275;

							BgL_cdrzd2124zd2_275 = CDR(BgL_ezd2120zd2_273);
							if ((CAR(BgL_ezd2120zd2_273) == CNST_TABLE_REF(((long) 4))))
								{	/* Read/jvm.scm 201 */
									if (PAIRP(BgL_cdrzd2124zd2_275))
										{	/* Read/jvm.scm 201 */
											return
												BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(CAR
												(BgL_cdrzd2124zd2_275));
										}
									else
										{	/* Read/jvm.scm 201 */
											return BFALSE;
										}
								}
							else
								{	/* Read/jvm.scm 201 */
									return BFALSE;
								}
						}
					else
						{	/* Read/jvm.scm 201 */
							return BFALSE;
						}
				}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzread_jvmz00()
	{
		AN_OBJECT;
		{	/* Read/jvm.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzread_jvmz00()
	{
		AN_OBJECT;
		{	/* Read/jvm.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzread_jvmz00()
	{
		AN_OBJECT;
		{	/* Read/jvm.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzread_jvmz00()
	{
		AN_OBJECT;
		{	/* Read/jvm.scm 15 */
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 328744326),
				BSTRING_TO_STRING(BGl_string1416z00zzread_jvmz00));
			BGl_modulezd2initializa7ationz75zzengine_enginez00(((long) 373986149),
				BSTRING_TO_STRING(BGl_string1416z00zzread_jvmz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string1416z00zzread_jvmz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string1416z00zzread_jvmz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1416z00zzread_jvmz00));
			BGl_modulezd2initializa7ationz75zzinit_mainz00(((long) 288050968),
				BSTRING_TO_STRING(BGl_string1416z00zzread_jvmz00));
			return
				BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1416z00zzread_jvmz00));
		}
	}

#ifdef __cplusplus
}
#endif
