/*===========================================================================*/
/*   (Reduce/typec.scm)                                                      */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Reduce/typec.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_za2pairzd2nilza2zd2zztype_cachez00;
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzreduce_typecz00();
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2var1947z70zzreduce_typecz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_nodez00_bglt);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzreduce_typecz00();
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_za2nullzf3za2zf3zzreduce_typecz00 = BUNSPEC;
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2letzd2fun1971za2zzreduce_typecz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62nodezd2typecz12za2zzreduce_typecz00(obj_t,
		obj_t);
	extern BgL_nodez00_bglt BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_bglt,
		obj_t, BgL_typez00_bglt, bool_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static long BGl_za2typezd2checkszd2remainingza2z00zzreduce_typecz00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2jumpzd2exzd21977z70zzreduce_typecz00(obj_t, obj_t);
	extern bool_t BGl_sidezd2effectzf3z21zzeffect_effectz00(BgL_nodez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2cast1961z70zzreduce_typecz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2setq1963z70zzreduce_typecz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2letzd2var1973za2zzreduce_typecz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2sequence1951z70zzreduce_typecz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2closure1949z70zzreduce_typecz00(obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_selectz00zzast_nodez00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t BGl_z62nodezd2typecz121940za2zzreduce_typecz00(obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzreduce_typecz00 = BUNSPEC;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzreduce_typecz00();
	static obj_t BGl_genericzd2initzd2zzreduce_typecz00();
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_typez00zztype_typez00;
	static obj_t BGl_z62reducezd2typezd2checkz12z70zzreduce_typecz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2atom1943z70zzreduce_typecz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static bool_t
		BGl_pairzd2ofzd2pairzd2nilzf3z21zzreduce_typecz00(BgL_nodez00_bglt);
	static obj_t BGl_za2pairzf3za2zf3zzreduce_typecz00 = BUNSPEC;
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2kwote1945z70zzreduce_typecz00(obj_t, obj_t);
	extern bool_t BGl_typezd2disjointzf3z21zztype_miscz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern bool_t BGl_typezd2lesszd2specificzf3zf3zztype_miscz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_nodezd2typecza2z12z62zzreduce_typecz00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2app1986z70zzreduce_typecz00(obj_t, obj_t);
	static long BGl_za2typezd2checkszd2removedza2z00zzreduce_typecz00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzreduce_typecz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2setzd2exzd2i1975z70zzreduce_typecz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2conditio1965z70zzreduce_typecz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2boxzd2setz121982zb0zzreduce_typecz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2makezd2box1980za2zzreduce_typecz00(obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzreduce_typecz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzreduce_typecz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzreduce_typecz00();
	BGL_EXPORTED_DECL obj_t
		BGl_reducezd2typezd2checkz12z12zzreduce_typecz00(obj_t);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2funcall1957z70zzreduce_typecz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2sync1953z70zzreduce_typecz00(obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2fail1967z70zzreduce_typecz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2select1969z70zzreduce_typecz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2appzd2ly1955za2zzreduce_typecz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_isazd2ofzd2zztype_miscz00(BgL_nodez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2boxzd2ref1984za2zzreduce_typecz00(obj_t, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2extern1959z70zzreduce_typecz00(obj_t, obj_t);
	static obj_t __cnst[5];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2200z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza72223za7,
		BGl_z62nodezd2typecz12zd2sequence1951z70zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2201z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza72224za7,
		BGl_z62nodezd2typecz12zd2sync1953z70zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2202z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza72225za7,
		BGl_z62nodezd2typecz12zd2appzd2ly1955za2zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2203z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza72226za7,
		BGl_z62nodezd2typecz12zd2funcall1957z70zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2204z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza72227za7,
		BGl_z62nodezd2typecz12zd2extern1959z70zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2205z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza72228za7,
		BGl_z62nodezd2typecz12zd2cast1961z70zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2206z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza72229za7,
		BGl_z62nodezd2typecz12zd2setq1963z70zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2207z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza72230za7,
		BGl_z62nodezd2typecz12zd2conditio1965z70zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2208z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza72231za7,
		BGl_z62nodezd2typecz12zd2fail1967z70zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2209z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza72232za7,
		BGl_z62nodezd2typecz12zd2select1969z70zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2210z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza72233za7,
		BGl_z62nodezd2typecz12zd2letzd2fun1971za2zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2211z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza72234za7,
		BGl_z62nodezd2typecz12zd2letzd2var1973za2zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2212z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza72235za7,
		BGl_z62nodezd2typecz12zd2setzd2exzd2i1975z70zzreduce_typecz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2213z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza72236za7,
		BGl_z62nodezd2typecz12zd2jumpzd2exzd21977z70zzreduce_typecz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2214z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza72237za7,
		BGl_z62nodezd2typecz12zd2makezd2box1980za2zzreduce_typecz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2215z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza72238za7,
		BGl_z62nodezd2typecz12zd2boxzd2setz121982zb0zzreduce_typecz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2216z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza72239za7,
		BGl_z62nodezd2typecz12zd2boxzd2ref1984za2zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2217z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza72240za7,
		BGl_z62nodezd2typecz12zd2app1986z70zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2188z00zzreduce_typecz00,
		BgL_bgl_string2188za700za7za7r2241za7, "      type check             ", 29);
	      DEFINE_STRING(BGl_string2189z00zzreduce_typecz00,
		BgL_bgl_string2189za700za7za7r2242za7, ")\n", 2);
	      DEFINE_STRING(BGl_string2190z00zzreduce_typecz00,
		BgL_bgl_string2190za700za7za7r2243za7, ", remaining: ", 13);
	      DEFINE_STRING(BGl_string2191z00zzreduce_typecz00,
		BgL_bgl_string2191za700za7za7r2244za7, "(removed: ", 10);
	      DEFINE_STRING(BGl_string2193z00zzreduce_typecz00,
		BgL_bgl_string2193za700za7za7r2245za7, "node-typec!1940", 15);
	      DEFINE_STRING(BGl_string2194z00zzreduce_typecz00,
		BgL_bgl_string2194za700za7za7r2246za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2196z00zzreduce_typecz00,
		BgL_bgl_string2196za700za7za7r2247za7, "node-typec!", 11);
	      DEFINE_STATIC_BGL_GENERIC(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza72248za7,
		BGl_z62nodezd2typecz12za2zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2218z00zzreduce_typecz00,
		BgL_bgl_string2218za700za7za7r2249za7, "reduce_typec", 12);
	      DEFINE_STRING(BGl_string2219z00zzreduce_typecz00,
		BgL_bgl_string2219za700za7za7r2250za7,
		"node-typec!1940 done $null? foreign $pair? ", 43);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reducezd2typezd2checkz12zd2envzc0zzreduce_typecz00,
		BgL_bgl_za762reduceza7d2type2251z00,
		BGl_z62reducezd2typezd2checkz12z70zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2192z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza72252za7,
		BGl_z62nodezd2typecz121940za2zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2195z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza72253za7,
		BGl_z62nodezd2typecz12zd2atom1943z70zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2197z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza72254za7,
		BGl_z62nodezd2typecz12zd2kwote1945z70zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2198z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza72255za7,
		BGl_z62nodezd2typecz12zd2var1947z70zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2199z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza72256za7,
		BGl_z62nodezd2typecz12zd2closure1949z70zzreduce_typecz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzreduce_typecz00(long
		BgL_checksumz00_2784, char *BgL_fromz00_2785)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzreduce_typecz00))
				{
					BGl_requirezd2initializa7ationz75zzreduce_typecz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzreduce_typecz00();
					BGl_cnstzd2initzd2zzreduce_typecz00();
					BGl_importedzd2moduleszd2initz00zzreduce_typecz00();
					BGl_genericzd2initzd2zzreduce_typecz00();
					BGl_methodzd2initzd2zzreduce_typecz00();
					BGl_toplevelzd2initzd2zzreduce_typecz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzreduce_typecz00()
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "reduce_typec");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "reduce_typec");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "reduce_typec");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"reduce_typec");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"reduce_typec");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"reduce_typec");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzreduce_typecz00()
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 15 */
			{	/* Reduce/typec.scm 15 */
				obj_t BgL_cportz00_2772;

				BgL_cportz00_2772 =
					bgl_open_input_string(BGl_string2219z00zzreduce_typecz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2773;

					BgL_iz00_2773 = ((long) 4);
				BgL_loopz00_2774:
					if ((BgL_iz00_2773 == ((long) -1)))
						{	/* Reduce/typec.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Reduce/typec.scm 15 */
							{	/* Reduce/typec.scm 15 */
								obj_t BgL_arg2222z00_2776;

								{	/* Reduce/typec.scm 15 */

									{	/* Reduce/typec.scm 15 */
										obj_t BgL_locationz00_2778;

										BgL_locationz00_2778 = BBOOL(((bool_t) 0));
										{	/* Reduce/typec.scm 15 */

											BgL_arg2222z00_2776 =
												BGl_readz00zz__readerz00(BgL_cportz00_2772,
												BgL_locationz00_2778);
										}
									}
								}
								{	/* Reduce/typec.scm 15 */
									int BgL_auxz00_2807;

									BgL_auxz00_2807 = (int) (BgL_iz00_2773);
									CNST_TABLE_SET(BgL_auxz00_2807, BgL_arg2222z00_2776);
							}}
							{	/* Reduce/typec.scm 15 */
								int BgL_auxz00_2779;

								BgL_auxz00_2779 = (int) ((BgL_iz00_2773 - ((long) 1)));
								{
									long BgL_iz00_2812;

									BgL_iz00_2812 = (long) (BgL_auxz00_2779);
									BgL_iz00_2773 = BgL_iz00_2812;
									goto BgL_loopz00_2774;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzreduce_typecz00()
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 15 */
			BGl_za2pairzf3za2zf3zzreduce_typecz00 = BFALSE;
			BGl_za2nullzf3za2zf3zzreduce_typecz00 = BFALSE;
			BGl_za2typezd2checkszd2remainingza2z00zzreduce_typecz00 = ((long) 0);
			BGl_za2typezd2checkszd2removedza2z00zzreduce_typecz00 = ((long) 0);
			return BUNSPEC;
		}
	}



/* reduce-type-check! */
	BGL_EXPORTED_DEF obj_t BGl_reducezd2typezd2checkz12z12zzreduce_typecz00(obj_t
		BgL_globalsz00_3)
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 36 */
			{	/* Reduce/typec.scm 37 */
				obj_t BgL_list1991z00_1456;

				BgL_list1991z00_1456 =
					MAKE_PAIR(BGl_string2188z00zzreduce_typecz00, BNIL);
				BGl_verbosez00zztools_speekz00(BINT(((long) 2)), BgL_list1991z00_1456);
			}
			BGl_za2pairzf3za2zf3zzreduce_typecz00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 0)),
				CNST_TABLE_REF(((long) 1)));
			BGl_za2nullzf3za2zf3zzreduce_typecz00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 2)),
				CNST_TABLE_REF(((long) 1)));
			{
				obj_t BgL_l1929z00_1458;

				BgL_l1929z00_1458 = BgL_globalsz00_3;
			BgL_zc3anonymousza31992ze3z83_1459:
				if (PAIRP(BgL_l1929z00_1458))
					{	/* Reduce/typec.scm 40 */
						{	/* Reduce/typec.scm 41 */
							obj_t BgL_globalz00_1461;

							BgL_globalz00_1461 = CAR(BgL_l1929z00_1458);
							{	/* Reduce/typec.scm 41 */
								BgL_valuez00_bglt BgL_funz00_1462;

								BgL_funz00_1462 =
									(((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_globalz00_1461))))->
									BgL_valuez00);
								{	/* Reduce/typec.scm 41 */
									obj_t BgL_nodez00_1463;

									BgL_nodez00_1463 =
										(((BgL_sfunz00_bglt) CREF(
												((BgL_sfunz00_bglt) BgL_funz00_1462)))->BgL_bodyz00);
									{	/* Reduce/typec.scm 42 */

										{	/* Reduce/typec.scm 43 */
											BgL_nodez00_bglt BgL_arg1994z00_1464;

											BgL_arg1994z00_1464 =
												BGl_nodezd2typecz12zc0zzreduce_typecz00(
												((BgL_nodez00_bglt) BgL_nodez00_1463));
											((((BgL_sfunz00_bglt) CREF(
															((BgL_sfunz00_bglt) BgL_funz00_1462)))->
													BgL_bodyz00) =
												((obj_t) ((obj_t) BgL_arg1994z00_1464)), BUNSPEC);
										}
										BUNSPEC;
									}
								}
							}
						}
						{
							obj_t BgL_l1929z00_2836;

							BgL_l1929z00_2836 = CDR(BgL_l1929z00_1458);
							BgL_l1929z00_1458 = BgL_l1929z00_2836;
							goto BgL_zc3anonymousza31992ze3z83_1459;
						}
					}
				else
					{	/* Reduce/typec.scm 40 */
						((bool_t) 1);
					}
			}
			{	/* Reduce/typec.scm 46 */
				obj_t BgL_list1996z00_1467;

				{	/* Reduce/typec.scm 46 */
					obj_t BgL_arg1997z00_1468;

					{	/* Reduce/typec.scm 46 */
						obj_t BgL_arg1998z00_1469;

						{	/* Reduce/typec.scm 46 */
							obj_t BgL_arg1999z00_1470;

							{	/* Reduce/typec.scm 46 */
								obj_t BgL_arg2000z00_1471;

								BgL_arg2000z00_1471 =
									MAKE_PAIR(BGl_string2189z00zzreduce_typecz00, BNIL);
								BgL_arg1999z00_1470 =
									MAKE_PAIR(BINT
									(BGl_za2typezd2checkszd2remainingza2z00zzreduce_typecz00),
									BgL_arg2000z00_1471);
							}
							BgL_arg1998z00_1469 =
								MAKE_PAIR(BGl_string2190z00zzreduce_typecz00,
								BgL_arg1999z00_1470);
						}
						BgL_arg1997z00_1468 =
							MAKE_PAIR(BINT
							(BGl_za2typezd2checkszd2removedza2z00zzreduce_typecz00),
							BgL_arg1998z00_1469);
					}
					BgL_list1996z00_1467 =
						MAKE_PAIR(BGl_string2191z00zzreduce_typecz00, BgL_arg1997z00_1468);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 2)), BgL_list1996z00_1467);
			}
			BGl_za2pairzf3za2zf3zzreduce_typecz00 = BFALSE;
			BGl_za2nullzf3za2zf3zzreduce_typecz00 = BFALSE;
			return BgL_globalsz00_3;
		}
	}



/* &reduce-type-check! */
	obj_t BGl_z62reducezd2typezd2checkz12z70zzreduce_typecz00(obj_t
		BgL_envz00_2699, obj_t BgL_globalsz00_2700)
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 36 */
			return
				BGl_reducezd2typezd2checkz12z12zzreduce_typecz00(BgL_globalsz00_2700);
		}
	}



/* node-typec*! */
	obj_t BGl_nodezd2typecza2z12z62zzreduce_typecz00(obj_t BgL_nodeza2za2_26)
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 268 */
			{
				obj_t BgL_nodeza2za2_1473;

				BgL_nodeza2za2_1473 = BgL_nodeza2za2_26;
			BgL_zc3anonymousza32001ze3z83_1474:
				if (NULLP(BgL_nodeza2za2_1473))
					{	/* Reduce/typec.scm 270 */
						return CNST_TABLE_REF(((long) 3));
					}
				else
					{	/* Reduce/typec.scm 270 */
						{	/* Reduce/typec.scm 273 */
							BgL_nodez00_bglt BgL_arg2003z00_1476;

							{	/* Reduce/typec.scm 273 */
								obj_t BgL_arg2004z00_1477;

								BgL_arg2004z00_1477 = CAR(BgL_nodeza2za2_1473);
								BgL_arg2003z00_1476 =
									BGl_nodezd2typecz12zc0zzreduce_typecz00(
									((BgL_nodez00_bglt) BgL_arg2004z00_1477));
							}
							{	/* Reduce/typec.scm 273 */
								obj_t BgL_auxz00_2854;

								BgL_auxz00_2854 = ((obj_t) BgL_arg2003z00_1476);
								SET_CAR(BgL_nodeza2za2_1473, BgL_auxz00_2854);
							}
						}
						{
							obj_t BgL_nodeza2za2_2857;

							BgL_nodeza2za2_2857 = CDR(BgL_nodeza2za2_1473);
							BgL_nodeza2za2_1473 = BgL_nodeza2za2_2857;
							goto BgL_zc3anonymousza32001ze3z83_1474;
						}
					}
			}
		}
	}



/* pair-of-pair-nil? */
	bool_t BGl_pairzd2ofzd2pairzd2nilzf3z21zzreduce_typecz00(BgL_nodez00_bglt
		BgL_nodez00_28)
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 340 */
			{	/* Reduce/typec.scm 341 */
				bool_t BgL_testz00_2859;

				{	/* Reduce/typec.scm 341 */
					bool_t BgL_res2163z00_2581;

					BgL_res2163z00_2581 =
						BGl_isazf3zf3zz__objectz00(
						((obj_t) BgL_nodez00_28), BGl_appz00zzast_nodez00);
					BgL_testz00_2859 = BgL_res2163z00_2581;
				}
				if (BgL_testz00_2859)
					{	/* Reduce/typec.scm 343 */
						bool_t BgL_testz00_2862;

						{	/* Reduce/typec.scm 343 */
							BgL_variablez00_bglt BgL_arg2015z00_1491;

							BgL_arg2015z00_1491 =
								(((BgL_varz00_bglt) CREF(
										(((BgL_appz00_bglt) CREF(
													((BgL_appz00_bglt) BgL_nodez00_28)))->BgL_funz00)))->
								BgL_variablez00);
							BgL_testz00_2862 =
								(((obj_t) BgL_arg2015z00_1491) ==
								BGl_za2pairzf3za2zf3zzreduce_typecz00);
						}
						if (BgL_testz00_2862)
							{	/* Reduce/typec.scm 344 */
								bool_t BgL_testz00_2868;

								{	/* Reduce/typec.scm 344 */
									obj_t BgL_auxz00_2869;

									BgL_auxz00_2869 =
										(((BgL_appz00_bglt) CREF(
												((BgL_appz00_bglt) BgL_nodez00_28)))->BgL_argsz00);
									BgL_testz00_2868 = PAIRP(BgL_auxz00_2869);
								}
								if (BgL_testz00_2868)
									{	/* Reduce/typec.scm 345 */
										bool_t BgL_testz00_2873;

										{	/* Reduce/typec.scm 345 */
											obj_t BgL_auxz00_2874;

											{	/* Reduce/typec.scm 345 */
												obj_t BgL_pairz00_2587;

												BgL_pairz00_2587 =
													(((BgL_appz00_bglt) CREF(
															((BgL_appz00_bglt) BgL_nodez00_28)))->
													BgL_argsz00);
												BgL_auxz00_2874 = CDR(BgL_pairz00_2587);
											}
											BgL_testz00_2873 = NULLP(BgL_auxz00_2874);
										}
										if (BgL_testz00_2873)
											{	/* Reduce/typec.scm 346 */
												BgL_typez00_bglt BgL_arg2008z00_1485;

												{	/* Reduce/typec.scm 346 */
													obj_t BgL_arg2009z00_1486;

													{	/* Reduce/typec.scm 346 */
														obj_t BgL_pairz00_2590;

														BgL_pairz00_2590 =
															(((BgL_appz00_bglt) CREF(
																	((BgL_appz00_bglt) BgL_nodez00_28)))->
															BgL_argsz00);
														BgL_arg2009z00_1486 = CAR(BgL_pairz00_2590);
													}
													BgL_arg2008z00_1485 =
														BGl_getzd2typezd2zztype_typeofz00(
														((BgL_nodez00_bglt) BgL_arg2009z00_1486));
												}
												return
													(
													((obj_t) BgL_arg2008z00_1485) ==
													BGl_za2pairzd2nilza2zd2zztype_cachez00);
											}
										else
											{	/* Reduce/typec.scm 345 */
												return ((bool_t) 0);
											}
									}
								else
									{	/* Reduce/typec.scm 344 */
										return ((bool_t) 0);
									}
							}
						else
							{	/* Reduce/typec.scm 343 */
								return ((bool_t) 0);
							}
					}
				else
					{	/* Reduce/typec.scm 341 */
						return ((bool_t) 0);
					}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzreduce_typecz00()
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzreduce_typecz00()
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_proc2192z00zzreduce_typecz00, BGl_nodez00zzast_nodez00,
				BGl_string2193z00zzreduce_typecz00);
		}
	}



/* &node-typec!1940 */
	obj_t BGl_z62nodezd2typecz121940za2zzreduce_typecz00(obj_t BgL_envz00_2702,
		obj_t BgL_nodez00_2703)
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 67 */
			{
				BgL_nodez00_bglt BgL_nodez00_1496;

				BgL_nodez00_1496 = ((BgL_nodez00_bglt) BgL_nodez00_2703);
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 4)),
					BGl_string2194z00zzreduce_typecz00, ((obj_t) BgL_nodez00_1496));
		}}
	}



/* node-typec! */
	BgL_nodez00_bglt BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_nodez00_bglt
		BgL_nodez00_4)
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 67 */
			{	/* Reduce/typec.scm 67 */
				obj_t BgL_method1941z00_1499;

				{	/* Reduce/typec.scm 67 */
					obj_t BgL_res2173z00_2621;

					{	/* Reduce/typec.scm 67 */
						long BgL_objzd2classzd2numz00_2594;

						{	/* Reduce/typec.scm 67 */
							long BgL_res2167z00_2597;

							BgL_res2167z00_2597 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_4));
							BgL_objzd2classzd2numz00_2594 = BgL_res2167z00_2597;
						}
						{	/* Reduce/typec.scm 67 */
							obj_t BgL_arg1769z00_2595;

							BgL_arg1769z00_2595 =
								PROCEDURE_REF(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
								(int) (((long) 1)));
							{	/* Reduce/typec.scm 67 */
								int BgL_offsetz00_2599;

								BgL_offsetz00_2599 = (int) (BgL_objzd2classzd2numz00_2594);
								{	/* Reduce/typec.scm 67 */
									long BgL_offsetz00_2600;

									BgL_offsetz00_2600 =
										((long) (BgL_offsetz00_2599) - OBJECT_TYPE);
									{	/* Reduce/typec.scm 67 */
										long BgL_modz00_2601;

										{	/* Reduce/typec.scm 67 */
											int BgL_arg1771z00_2602;

											BgL_arg1771z00_2602 = (int) (((long) 16));
											{	/* Reduce/typec.scm 67 */
												long BgL_res2170z00_2612;

												{	/* Reduce/typec.scm 67 */
													long BgL_auxz00_2899;

													BgL_auxz00_2899 = (long) (BgL_arg1771z00_2602);
													BgL_res2170z00_2612 =
														(BgL_offsetz00_2600 / BgL_auxz00_2899);
												}
												BgL_modz00_2601 = BgL_res2170z00_2612;
										}}
										{	/* Reduce/typec.scm 67 */
											long BgL_restz00_2603;

											{	/* Reduce/typec.scm 67 */
												int BgL_arg1770z00_2604;

												BgL_arg1770z00_2604 = (int) (((long) 16));
												{	/* Reduce/typec.scm 67 */
													long BgL_res2172z00_2616;

													{	/* Reduce/typec.scm 67 */
														long BgL_auxz00_2903;

														BgL_auxz00_2903 = (long) (BgL_arg1770z00_2604);
														BgL_res2172z00_2616 =
															(BgL_offsetz00_2600 % BgL_auxz00_2903);
													}
													BgL_restz00_2603 = BgL_res2172z00_2616;
											}}
											{	/* Reduce/typec.scm 67 */

												BgL_res2173z00_2621 =
													VECTOR_REF(VECTOR_REF(BgL_arg1769z00_2595,
														(int) (BgL_modz00_2601)), (int) (BgL_restz00_2603));
					}}}}}}}
					BgL_method1941z00_1499 = BgL_res2173z00_2621;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1941z00_1499) (BgL_method1941z00_1499,
						((obj_t) BgL_nodez00_4), BEOA));
			}
		}
	}



/* &node-typec! */
	BgL_nodez00_bglt BGl_z62nodezd2typecz12za2zzreduce_typecz00(obj_t
		BgL_envz00_2704, obj_t BgL_nodez00_2705)
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 67 */
			return
				BGl_nodezd2typecz12zc0zzreduce_typecz00(
				((BgL_nodez00_bglt) BgL_nodez00_2705));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzreduce_typecz00()
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_atomz00zzast_nodez00, BGl_proc2195z00zzreduce_typecz00,
				BGl_string2196z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_kwotez00zzast_nodez00, BGl_proc2197z00zzreduce_typecz00,
				BGl_string2196z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00, BGl_varz00zzast_nodez00,
				BGl_proc2198z00zzreduce_typecz00, BGl_string2196z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_closurez00zzast_nodez00, BGl_proc2199z00zzreduce_typecz00,
				BGl_string2196z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2200z00zzreduce_typecz00,
				BGl_string2196z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_syncz00zzast_nodez00, BGl_proc2201z00zzreduce_typecz00,
				BGl_string2196z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2202z00zzreduce_typecz00,
				BGl_string2196z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2203z00zzreduce_typecz00,
				BGl_string2196z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_externz00zzast_nodez00, BGl_proc2204z00zzreduce_typecz00,
				BGl_string2196z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_castz00zzast_nodez00, BGl_proc2205z00zzreduce_typecz00,
				BGl_string2196z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_setqz00zzast_nodez00, BGl_proc2206z00zzreduce_typecz00,
				BGl_string2196z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2207z00zzreduce_typecz00,
				BGl_string2196z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_failz00zzast_nodez00, BGl_proc2208z00zzreduce_typecz00,
				BGl_string2196z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_selectz00zzast_nodez00, BGl_proc2209z00zzreduce_typecz00,
				BGl_string2196z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2210z00zzreduce_typecz00,
				BGl_string2196z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2211z00zzreduce_typecz00,
				BGl_string2196z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2212z00zzreduce_typecz00,
				BGl_string2196z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2213z00zzreduce_typecz00,
				BGl_string2196z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2214z00zzreduce_typecz00,
				BGl_string2196z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2215z00zzreduce_typecz00,
				BGl_string2196z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2216z00zzreduce_typecz00,
				BGl_string2196z00zzreduce_typecz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00, BGl_appz00zzast_nodez00,
				BGl_proc2217z00zzreduce_typecz00, BGl_string2196z00zzreduce_typecz00);
		}
	}



/* &node-typec!-app1986 */
	BgL_nodez00_bglt BGl_z62nodezd2typecz12zd2app1986z70zzreduce_typecz00(obj_t
		BgL_envz00_2728, obj_t BgL_nodez00_2729)
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 284 */
			{
				BgL_appz00_bglt BgL_nodez00_1665;

				BgL_nodez00_1665 = ((BgL_appz00_bglt) BgL_nodez00_2729);
				{
					BgL_appz00_bglt BgL_nodez00_1694;
					obj_t BgL_typecz00_1695;
					BgL_typez00_bglt BgL_typeaz00_1696;

					BGl_nodezd2typecza2z12z62zzreduce_typecz00(
						(((BgL_appz00_bglt) CREF(BgL_nodez00_1665))->BgL_argsz00));
					{	/* Reduce/typec.scm 322 */
						BgL_variablez00_bglt BgL_varz00_1671;

						BgL_varz00_1671 =
							(((BgL_varz00_bglt) CREF(
									(((BgL_appz00_bglt) CREF(BgL_nodez00_1665))->BgL_funz00)))->
							BgL_variablez00);
						{	/* Reduce/typec.scm 322 */
							obj_t BgL_typecz00_1672;

							BgL_typecz00_1672 =
								(((BgL_funz00_bglt) CREF(
										((BgL_funz00_bglt)
											(((BgL_variablez00_bglt) CREF(BgL_varz00_1671))->
												BgL_valuez00))))->BgL_predicatezd2ofzd2);
							{	/* Reduce/typec.scm 323 */

								{	/* Reduce/typec.scm 325 */
									bool_t BgL_testz00_2947;

									{	/* Reduce/typec.scm 325 */
										bool_t BgL_testz00_2948;

										{	/* Reduce/typec.scm 325 */
											obj_t BgL_auxz00_2949;

											BgL_auxz00_2949 =
												(((BgL_appz00_bglt) CREF(BgL_nodez00_1665))->
												BgL_argsz00);
											BgL_testz00_2948 = PAIRP(BgL_auxz00_2949);
										}
										if (BgL_testz00_2948)
											{	/* Reduce/typec.scm 325 */
												if (NULLP(CDR(
															(((BgL_appz00_bglt) CREF(BgL_nodez00_1665))->
																BgL_argsz00))))
													{	/* Reduce/typec.scm 326 */
														if (BGl_isazf3zf3zz__objectz00(BgL_typecz00_1672,
																BGl_typez00zztype_typez00))
															{	/* Reduce/typec.scm 328 */
																bool_t BgL_testz00_2958;

																{	/* Reduce/typec.scm 328 */
																	obj_t BgL_arg2081z00_1687;

																	BgL_arg2081z00_1687 =
																		CAR(
																		(((BgL_appz00_bglt)
																				CREF(BgL_nodez00_1665))->BgL_argsz00));
																	BgL_testz00_2958 =
																		BGl_sidezd2effectzf3z21zzeffect_effectz00((
																			(BgL_nodez00_bglt) BgL_arg2081z00_1687));
																}
																if (BgL_testz00_2958)
																	{	/* Reduce/typec.scm 328 */
																		BgL_testz00_2947 = ((bool_t) 0);
																	}
																else
																	{	/* Reduce/typec.scm 328 */
																		BgL_testz00_2947 = ((bool_t) 1);
																	}
															}
														else
															{	/* Reduce/typec.scm 327 */
																BgL_testz00_2947 = ((bool_t) 0);
															}
													}
												else
													{	/* Reduce/typec.scm 326 */
														BgL_testz00_2947 = ((bool_t) 0);
													}
											}
										else
											{	/* Reduce/typec.scm 325 */
												BgL_testz00_2947 = ((bool_t) 0);
											}
									}
									if (BgL_testz00_2947)
										{	/* Reduce/typec.scm 329 */
											BgL_typez00_bglt BgL_arg2071z00_1674;

											{	/* Reduce/typec.scm 329 */
												obj_t BgL_arg2072z00_1675;

												BgL_arg2072z00_1675 =
													CAR(
													(((BgL_appz00_bglt) CREF(BgL_nodez00_1665))->
														BgL_argsz00));
												BgL_arg2071z00_1674 =
													BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
														BgL_arg2072z00_1675));
											}
											BgL_nodez00_1694 = BgL_nodez00_1665;
											BgL_typecz00_1695 = BgL_typecz00_1672;
											BgL_typeaz00_1696 = BgL_arg2071z00_1674;
										BgL_zc3anonymousza32090ze3z83_1697:
											{	/* Reduce/typec.scm 288 */
												BgL_typez00_bglt BgL_typez00_1699;

												BgL_typez00_1699 =
													BGl_getzd2typezd2zztype_typeofz00(
													((BgL_nodez00_bglt) BgL_nodez00_1694));
												if (BGl_typezd2lesszd2specificzf3zf3zztype_miscz00(
														((BgL_typez00_bglt) BgL_typecz00_1695),
														BgL_typeaz00_1696))
													{	/* Reduce/typec.scm 290 */
														BGl_za2typezd2checkszd2removedza2z00zzreduce_typecz00
															=
															(((long) 1) +
															BGl_za2typezd2checkszd2removedza2z00zzreduce_typecz00);
														{	/* Reduce/typec.scm 294 */
															BgL_nodez00_bglt BgL_nodez00_1701;

															{	/* Reduce/typec.scm 294 */
																BgL_atomz00_bglt BgL_arg2092z00_1702;

																{	/* Reduce/typec.scm 294 */
																	BgL_atomz00_bglt BgL_new1121z00_1703;

																	{	/* Reduce/typec.scm 295 */
																		BgL_atomz00_bglt BgL_new1120z00_1704;

																		BgL_new1120z00_1704 =
																			((BgL_atomz00_bglt)
																			BREF(GC_MALLOC(sizeof(struct
																						BgL_atomz00_bgl))));
																		{	/* Reduce/typec.scm 295 */
																			long BgL_arg2093z00_1705;

																			{	/* Reduce/typec.scm 295 */
																				long BgL_res2179z00_2661;

																				BgL_res2179z00_2661 =
																					BGL_CLASS_INDEX
																					(BGl_atomz00zzast_nodez00);
																				BgL_arg2093z00_1705 =
																					BgL_res2179z00_2661;
																			}
																			BGL_OBJECT_CLASS_NUM_SET(
																				((BgL_objectz00_bglt)
																					BgL_new1120z00_1704),
																				BgL_arg2093z00_1705);
																		}
																		{	/* Reduce/typec.scm 295 */
																			BgL_objectz00_bglt BgL_auxz00_2977;

																			BgL_auxz00_2977 =
																				((BgL_objectz00_bglt)
																				BgL_new1120z00_1704);
																			BGL_OBJECT_WIDENING_SET(BgL_auxz00_2977,
																				BFALSE);
																		}
																		BgL_new1121z00_1703 = BgL_new1120z00_1704;
																	}
																	((((BgL_nodez00_bglt) CREF(
																					((BgL_nodez00_bglt)
																						BgL_new1121z00_1703)))->
																			BgL_locz00) =
																		((obj_t) (((BgL_nodez00_bglt)
																					CREF(((BgL_nodez00_bglt)
																							BgL_nodez00_1694)))->BgL_locz00)),
																		BUNSPEC);
																	((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																						BgL_new1121z00_1703)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) BgL_typez00_1699),
																		BUNSPEC);
																	((((BgL_atomz00_bglt)
																				CREF(BgL_new1121z00_1703))->
																			BgL_valuez00) = ((obj_t) BTRUE), BUNSPEC);
																	BgL_arg2092z00_1702 = BgL_new1121z00_1703;
																}
																BgL_nodez00_1701 =
																	BGl_coercez12z12zzcoerce_coercez00(
																	((BgL_nodez00_bglt) BgL_arg2092z00_1702),
																	BUNSPEC, BgL_typez00_1699, ((bool_t) 0));
															}
															return BgL_nodez00_1701;
														}
													}
												else
													{	/* Reduce/typec.scm 290 */
														if (BGl_typezd2disjointzf3z21zztype_miscz00(
																((BgL_typez00_bglt) BgL_typecz00_1695),
																BgL_typeaz00_1696))
															{	/* Reduce/typec.scm 302 */
																BGl_za2typezd2checkszd2removedza2z00zzreduce_typecz00
																	=
																	(((long) 1) +
																	BGl_za2typezd2checkszd2removedza2z00zzreduce_typecz00);
																{	/* Reduce/typec.scm 308 */
																	BgL_nodez00_bglt BgL_nodez00_1707;

																	{	/* Reduce/typec.scm 308 */
																		BgL_atomz00_bglt BgL_arg2095z00_1708;

																		{	/* Reduce/typec.scm 308 */
																			BgL_atomz00_bglt BgL_new1124z00_1709;

																			{	/* Reduce/typec.scm 309 */
																				BgL_atomz00_bglt BgL_new1123z00_1710;

																				BgL_new1123z00_1710 =
																					((BgL_atomz00_bglt)
																					BREF(GC_MALLOC(sizeof(struct
																								BgL_atomz00_bgl))));
																				{	/* Reduce/typec.scm 309 */
																					long BgL_arg2096z00_1711;

																					{	/* Reduce/typec.scm 309 */
																						long BgL_res2181z00_2668;

																						BgL_res2181z00_2668 =
																							BGL_CLASS_INDEX
																							(BGl_atomz00zzast_nodez00);
																						BgL_arg2096z00_1711 =
																							BgL_res2181z00_2668;
																					}
																					BGL_OBJECT_CLASS_NUM_SET(
																						((BgL_objectz00_bglt)
																							BgL_new1123z00_1710),
																						BgL_arg2096z00_1711);
																				}
																				{	/* Reduce/typec.scm 309 */
																					BgL_objectz00_bglt BgL_auxz00_2997;

																					BgL_auxz00_2997 =
																						((BgL_objectz00_bglt)
																						BgL_new1123z00_1710);
																					BGL_OBJECT_WIDENING_SET
																						(BgL_auxz00_2997, BFALSE);
																				}
																				BgL_new1124z00_1709 =
																					BgL_new1123z00_1710;
																			}
																			((((BgL_nodez00_bglt) CREF(
																							((BgL_nodez00_bglt)
																								BgL_new1124z00_1709)))->
																					BgL_locz00) =
																				((obj_t) (((BgL_nodez00_bglt)
																							CREF(((BgL_nodez00_bglt)
																									BgL_nodez00_1694)))->
																						BgL_locz00)), BUNSPEC);
																			((((BgL_nodez00_bglt)
																						CREF(((BgL_nodez00_bglt)
																								BgL_new1124z00_1709)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) BgL_typez00_1699),
																				BUNSPEC);
																			((((BgL_atomz00_bglt)
																						CREF(BgL_new1124z00_1709))->
																					BgL_valuez00) =
																				((obj_t) BFALSE), BUNSPEC);
																			BgL_arg2095z00_1708 = BgL_new1124z00_1709;
																		}
																		BgL_nodez00_1707 =
																			BGl_coercez12z12zzcoerce_coercez00(
																			((BgL_nodez00_bglt) BgL_arg2095z00_1708),
																			BUNSPEC, BgL_typez00_1699, ((bool_t) 0));
																	}
																	return BgL_nodez00_1707;
																}
															}
														else
															{	/* Reduce/typec.scm 302 */
																BGl_za2typezd2checkszd2remainingza2z00zzreduce_typecz00
																	=
																	(((long) 1) +
																	BGl_za2typezd2checkszd2remainingza2z00zzreduce_typecz00);
																return ((BgL_nodez00_bglt) BgL_nodez00_1694);
															}
													}
											}
										}
									else
										{	/* Reduce/typec.scm 330 */
											obj_t BgL_g1126z00_1677;

											BgL_g1126z00_1677 =
												BGl_isazd2ofzd2zztype_miscz00(
												((BgL_nodez00_bglt) BgL_nodez00_1665));
											if (CBOOL(BgL_g1126z00_1677))
												{	/* Reduce/typec.scm 333 */
													BgL_typez00_bglt BgL_arg2074z00_1680;

													{	/* Reduce/typec.scm 333 */
														obj_t BgL_arg2075z00_1681;

														BgL_arg2075z00_1681 =
															CAR(
															(((BgL_appz00_bglt) CREF(BgL_nodez00_1665))->
																BgL_argsz00));
														BgL_arg2074z00_1680 =
															BGl_getzd2typezd2zztype_typeofz00((
																(BgL_nodez00_bglt) BgL_arg2075z00_1681));
													}
													{
														BgL_typez00_bglt BgL_typeaz00_3021;
														obj_t BgL_typecz00_3020;
														BgL_appz00_bglt BgL_nodez00_3019;

														BgL_nodez00_3019 = BgL_nodez00_1665;
														BgL_typecz00_3020 = BgL_g1126z00_1677;
														BgL_typeaz00_3021 = BgL_arg2074z00_1680;
														BgL_typeaz00_1696 = BgL_typeaz00_3021;
														BgL_typecz00_1695 = BgL_typecz00_3020;
														BgL_nodez00_1694 = BgL_nodez00_3019;
														goto BgL_zc3anonymousza32090ze3z83_1697;
													}
												}
											else
												{	/* Reduce/typec.scm 330 */
													return ((BgL_nodez00_bglt) BgL_nodez00_1665);
												}
										}
								}
							}
						}
					}
				}
			}
		}
	}



/* &node-typec!-box-ref1984 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2boxzd2ref1984za2zzreduce_typecz00(obj_t
		BgL_envz00_2730, obj_t BgL_nodez00_2731)
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 260 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1659;

				BgL_nodez00_1659 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2731);
				{
					BgL_varz00_bglt BgL_auxz00_3024;

					{	/* Reduce/typec.scm 262 */
						BgL_varz00_bglt BgL_arg2068z00_1663;

						BgL_arg2068z00_1663 =
							(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1659))->BgL_varz00);
						BgL_auxz00_3024 =
							((BgL_varz00_bglt)
							BGl_nodezd2typecz12zc0zzreduce_typecz00(
								((BgL_nodez00_bglt) BgL_arg2068z00_1663)));
					}
					((((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1659))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_3024), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1659);
			}
		}
	}



/* &node-typec!-box-set!1982 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2boxzd2setz121982zb0zzreduce_typecz00(obj_t
		BgL_envz00_2732, obj_t BgL_nodez00_2733)
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 251 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1652;

				BgL_nodez00_1652 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2733);
				{
					BgL_varz00_bglt BgL_auxz00_3032;

					{	/* Reduce/typec.scm 253 */
						BgL_varz00_bglt BgL_arg2066z00_1656;

						BgL_arg2066z00_1656 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1652))->BgL_varz00);
						BgL_auxz00_3032 =
							((BgL_varz00_bglt)
							BGl_nodezd2typecz12zc0zzreduce_typecz00(
								((BgL_nodez00_bglt) BgL_arg2066z00_1656)));
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1652))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_3032), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3038;

					{	/* Reduce/typec.scm 254 */
						BgL_nodez00_bglt BgL_arg2067z00_1657;

						BgL_arg2067z00_1657 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1652))->
							BgL_valuez00);
						BgL_auxz00_3038 =
							BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg2067z00_1657);
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1652))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_3038), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1652);
			}
		}
	}



/* &node-typec!-make-box1980 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2makezd2box1980za2zzreduce_typecz00(obj_t
		BgL_envz00_2734, obj_t BgL_nodez00_2735)
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 243 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1646;

				BgL_nodez00_1646 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2735);
				{
					BgL_nodez00_bglt BgL_auxz00_3044;

					{	/* Reduce/typec.scm 245 */
						BgL_nodez00_bglt BgL_arg2065z00_1650;

						BgL_arg2065z00_1650 =
							(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1646))->BgL_valuez00);
						BgL_auxz00_3044 =
							BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg2065z00_1650);
					}
					((((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1646))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_3044), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1646);
			}
		}
	}



/* &node-typec!-jump-ex-1977 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2jumpzd2exzd21977z70zzreduce_typecz00(obj_t
		BgL_envz00_2736, obj_t BgL_nodez00_2737)
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 234 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1639;

				BgL_nodez00_1639 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2737);
				{
					BgL_nodez00_bglt BgL_auxz00_3050;

					{	/* Reduce/typec.scm 236 */
						BgL_nodez00_bglt BgL_arg2063z00_1643;

						BgL_arg2063z00_1643 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1639))->
							BgL_exitz00);
						BgL_auxz00_3050 =
							BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg2063z00_1643);
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1639))->
							BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_3050), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3054;

					{	/* Reduce/typec.scm 237 */
						BgL_nodez00_bglt BgL_arg2064z00_1644;

						BgL_arg2064z00_1644 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1639))->
							BgL_valuez00);
						BgL_auxz00_3054 =
							BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg2064z00_1644);
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1639))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_3054), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1639);
			}
		}
	}



/* &node-typec!-set-ex-i1975 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2setzd2exzd2i1975z70zzreduce_typecz00(obj_t
		BgL_envz00_2738, obj_t BgL_nodez00_2739)
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 225 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1632;

				BgL_nodez00_1632 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2739);
				{
					BgL_nodez00_bglt BgL_auxz00_3060;

					{	/* Reduce/typec.scm 227 */
						BgL_nodez00_bglt BgL_arg2061z00_1636;

						BgL_arg2061z00_1636 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1632))->
							BgL_bodyz00);
						BgL_auxz00_3060 =
							BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg2061z00_1636);
					}
					((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1632))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3060), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_3064;

					{	/* Reduce/typec.scm 228 */
						BgL_varz00_bglt BgL_arg2062z00_1637;

						BgL_arg2062z00_1637 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1632))->
							BgL_varz00);
						BgL_auxz00_3064 =
							((BgL_varz00_bglt)
							BGl_nodezd2typecz12zc0zzreduce_typecz00(((BgL_nodez00_bglt)
									BgL_arg2062z00_1637)));
					}
					((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1632))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_3064), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1632);
			}
		}
	}



/* &node-typec!-let-var1973 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2letzd2var1973za2zzreduce_typecz00(obj_t
		BgL_envz00_2740, obj_t BgL_nodez00_2741)
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 214 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1616;

				BgL_nodez00_1616 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_2741);
				{	/* Reduce/typec.scm 216 */
					obj_t BgL_g1939z00_1620;

					BgL_g1939z00_1620 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1616))->BgL_bindingsz00);
					{
						obj_t BgL_l1937z00_1622;

						BgL_l1937z00_1622 = BgL_g1939z00_1620;
					BgL_zc3anonymousza32055ze3z83_1623:
						if (PAIRP(BgL_l1937z00_1622))
							{	/* Reduce/typec.scm 216 */
								{	/* Reduce/typec.scm 217 */
									obj_t BgL_bindingz00_1625;

									BgL_bindingz00_1625 = CAR(BgL_l1937z00_1622);
									{	/* Reduce/typec.scm 217 */
										BgL_nodez00_bglt BgL_arg2057z00_1626;

										{	/* Reduce/typec.scm 217 */
											obj_t BgL_arg2058z00_1627;

											BgL_arg2058z00_1627 = CDR(BgL_bindingz00_1625);
											BgL_arg2057z00_1626 =
												BGl_nodezd2typecz12zc0zzreduce_typecz00(
												((BgL_nodez00_bglt) BgL_arg2058z00_1627));
										}
										{	/* Reduce/typec.scm 217 */
											obj_t BgL_auxz00_3079;

											BgL_auxz00_3079 = ((obj_t) BgL_arg2057z00_1626);
											SET_CDR(BgL_bindingz00_1625, BgL_auxz00_3079);
										}
									}
								}
								{
									obj_t BgL_l1937z00_3082;

									BgL_l1937z00_3082 = CDR(BgL_l1937z00_1622);
									BgL_l1937z00_1622 = BgL_l1937z00_3082;
									goto BgL_zc3anonymousza32055ze3z83_1623;
								}
							}
						else
							{	/* Reduce/typec.scm 216 */
								((bool_t) 1);
							}
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3084;

					{	/* Reduce/typec.scm 219 */
						BgL_nodez00_bglt BgL_arg2060z00_1630;

						BgL_arg2060z00_1630 =
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1616))->BgL_bodyz00);
						BgL_auxz00_3084 =
							BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg2060z00_1630);
					}
					((((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1616))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3084), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1616);
			}
		}
	}



/* &node-typec!-let-fun1971 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2letzd2fun1971za2zzreduce_typecz00(obj_t
		BgL_envz00_2742, obj_t BgL_nodez00_2743)
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 202 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1599;

				BgL_nodez00_1599 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_2743);
				{	/* Reduce/typec.scm 204 */
					obj_t BgL_g1936z00_1603;

					BgL_g1936z00_1603 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1599))->BgL_localsz00);
					{
						obj_t BgL_l1934z00_1605;

						BgL_l1934z00_1605 = BgL_g1936z00_1603;
					BgL_zc3anonymousza32049ze3z83_1606:
						if (PAIRP(BgL_l1934z00_1605))
							{	/* Reduce/typec.scm 204 */
								{	/* Reduce/typec.scm 205 */
									obj_t BgL_localz00_1608;

									BgL_localz00_1608 = CAR(BgL_l1934z00_1605);
									{	/* Reduce/typec.scm 205 */
										BgL_valuez00_bglt BgL_funz00_1609;

										BgL_funz00_1609 =
											(((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_localz00_1608))))->
											BgL_valuez00);
										{	/* Reduce/typec.scm 206 */
											BgL_nodez00_bglt BgL_arg2051z00_1610;

											{	/* Reduce/typec.scm 206 */
												obj_t BgL_arg2052z00_1611;

												BgL_arg2052z00_1611 =
													(((BgL_sfunz00_bglt) CREF(
															((BgL_sfunz00_bglt) BgL_funz00_1609)))->
													BgL_bodyz00);
												BgL_arg2051z00_1610 =
													BGl_nodezd2typecz12zc0zzreduce_typecz00((
														(BgL_nodez00_bglt) BgL_arg2052z00_1611));
											}
											((((BgL_sfunz00_bglt) CREF(
															((BgL_sfunz00_bglt) BgL_funz00_1609)))->
													BgL_bodyz00) =
												((obj_t) ((obj_t) BgL_arg2051z00_1610)), BUNSPEC);
										}
									}
								}
								{
									obj_t BgL_l1934z00_3104;

									BgL_l1934z00_3104 = CDR(BgL_l1934z00_1605);
									BgL_l1934z00_1605 = BgL_l1934z00_3104;
									goto BgL_zc3anonymousza32049ze3z83_1606;
								}
							}
						else
							{	/* Reduce/typec.scm 204 */
								((bool_t) 1);
							}
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3106;

					{	/* Reduce/typec.scm 208 */
						BgL_nodez00_bglt BgL_arg2054z00_1614;

						BgL_arg2054z00_1614 =
							(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1599))->BgL_bodyz00);
						BgL_auxz00_3106 =
							BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg2054z00_1614);
					}
					((((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1599))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3106), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1599);
			}
		}
	}



/* &node-typec!-select1969 */
	BgL_nodez00_bglt BGl_z62nodezd2typecz12zd2select1969z70zzreduce_typecz00(obj_t
		BgL_envz00_2744, obj_t BgL_nodez00_2745)
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 191 */
			{
				BgL_selectz00_bglt BgL_nodez00_1583;

				BgL_nodez00_1583 = ((BgL_selectz00_bglt) BgL_nodez00_2745);
				{
					BgL_nodez00_bglt BgL_auxz00_3112;

					{	/* Reduce/typec.scm 193 */
						BgL_nodez00_bglt BgL_arg2043z00_1587;

						BgL_arg2043z00_1587 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_1583))->BgL_testz00);
						BgL_auxz00_3112 =
							BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg2043z00_1587);
					}
					((((BgL_selectz00_bglt) CREF(BgL_nodez00_1583))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3112), BUNSPEC);
				}
				{	/* Reduce/typec.scm 194 */
					obj_t BgL_g1933z00_1588;

					BgL_g1933z00_1588 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1583))->BgL_clausesz00);
					{
						obj_t BgL_l1931z00_1590;

						BgL_l1931z00_1590 = BgL_g1933z00_1588;
					BgL_zc3anonymousza32044ze3z83_1591:
						if (PAIRP(BgL_l1931z00_1590))
							{	/* Reduce/typec.scm 194 */
								{	/* Reduce/typec.scm 195 */
									obj_t BgL_clausez00_1593;

									BgL_clausez00_1593 = CAR(BgL_l1931z00_1590);
									{	/* Reduce/typec.scm 195 */
										BgL_nodez00_bglt BgL_arg2046z00_1594;

										{	/* Reduce/typec.scm 195 */
											obj_t BgL_arg2047z00_1595;

											BgL_arg2047z00_1595 = CDR(BgL_clausez00_1593);
											BgL_arg2046z00_1594 =
												BGl_nodezd2typecz12zc0zzreduce_typecz00(
												((BgL_nodez00_bglt) BgL_arg2047z00_1595));
										}
										{	/* Reduce/typec.scm 195 */
											obj_t BgL_auxz00_3123;

											BgL_auxz00_3123 = ((obj_t) BgL_arg2046z00_1594);
											SET_CDR(BgL_clausez00_1593, BgL_auxz00_3123);
										}
									}
								}
								{
									obj_t BgL_l1931z00_3126;

									BgL_l1931z00_3126 = CDR(BgL_l1931z00_1590);
									BgL_l1931z00_1590 = BgL_l1931z00_3126;
									goto BgL_zc3anonymousza32044ze3z83_1591;
								}
							}
						else
							{	/* Reduce/typec.scm 194 */
								((bool_t) 1);
							}
					}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1583);
			}
		}
	}



/* &node-typec!-fail1967 */
	BgL_nodez00_bglt BGl_z62nodezd2typecz12zd2fail1967z70zzreduce_typecz00(obj_t
		BgL_envz00_2746, obj_t BgL_nodez00_2747)
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 181 */
			{
				BgL_failz00_bglt BgL_nodez00_1575;

				BgL_nodez00_1575 = ((BgL_failz00_bglt) BgL_nodez00_2747);
				{
					BgL_nodez00_bglt BgL_auxz00_3130;

					{	/* Reduce/typec.scm 183 */
						BgL_nodez00_bglt BgL_arg2039z00_1579;

						BgL_arg2039z00_1579 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1575))->BgL_procz00);
						BgL_auxz00_3130 =
							BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg2039z00_1579);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1575))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3130), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3134;

					{	/* Reduce/typec.scm 184 */
						BgL_nodez00_bglt BgL_arg2040z00_1580;

						BgL_arg2040z00_1580 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1575))->BgL_msgz00);
						BgL_auxz00_3134 =
							BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg2040z00_1580);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1575))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3134), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3138;

					{	/* Reduce/typec.scm 185 */
						BgL_nodez00_bglt BgL_arg2042z00_1581;

						BgL_arg2042z00_1581 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1575))->BgL_objz00);
						BgL_auxz00_3138 =
							BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg2042z00_1581);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1575))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3138), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1575);
			}
		}
	}



/* &node-typec!-conditio1965 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2conditio1965z70zzreduce_typecz00(obj_t
		BgL_envz00_2748, obj_t BgL_nodez00_2749)
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 157 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1563;

				BgL_nodez00_1563 = ((BgL_conditionalz00_bglt) BgL_nodez00_2749);
				{
					BgL_nodez00_bglt BgL_auxz00_3144;

					{	/* Reduce/typec.scm 159 */
						BgL_nodez00_bglt BgL_arg2033z00_1567;

						BgL_arg2033z00_1567 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1563))->BgL_testz00);
						BgL_auxz00_3144 =
							BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg2033z00_1567);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1563))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3144), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3148;

					{	/* Reduce/typec.scm 160 */
						BgL_nodez00_bglt BgL_arg2034z00_1568;

						BgL_arg2034z00_1568 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1563))->BgL_truez00);
						BgL_auxz00_3148 =
							BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg2034z00_1568);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1563))->BgL_truez00) =
						((BgL_nodez00_bglt) BgL_auxz00_3148), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3152;

					{	/* Reduce/typec.scm 161 */
						BgL_nodez00_bglt BgL_arg2035z00_1569;

						BgL_arg2035z00_1569 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1563))->
							BgL_falsez00);
						BgL_auxz00_3152 =
							BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg2035z00_1569);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1563))->BgL_falsez00) =
						((BgL_nodez00_bglt) BgL_auxz00_3152), BUNSPEC);
				}
				if (BGl_pairzd2ofzd2pairzd2nilzf3z21zzreduce_typecz00(
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1563))->BgL_testz00)))
					{	/* Reduce/typec.scm 162 */
						{	/* Reduce/typec.scm 169 */
							BgL_nodez00_bglt BgL_arg2037z00_1571;

							BgL_arg2037z00_1571 =
								(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1563))->
								BgL_testz00);
							{	/* Reduce/typec.scm 353 */
								BgL_varz00_bglt BgL_i1133z00_2630;

								BgL_i1133z00_2630 =
									(((BgL_appz00_bglt) CREF(
											((BgL_appz00_bglt) BgL_arg2037z00_1571)))->BgL_funz00);
								((((BgL_varz00_bglt) CREF(BgL_i1133z00_2630))->
										BgL_variablez00) =
									((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
											BGl_za2nullzf3za2zf3zzreduce_typecz00)), BUNSPEC);
							}
						}
						{	/* Reduce/typec.scm 170 */
							BgL_nodez00_bglt BgL_otruez00_1572;

							BgL_otruez00_1572 =
								(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1563))->
								BgL_truez00);
							((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1563))->
									BgL_truez00) =
								((BgL_nodez00_bglt) (((BgL_conditionalz00_bglt)
											CREF(BgL_nodez00_1563))->BgL_falsez00)), BUNSPEC);
							((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1563))->
									BgL_falsez00) =
								((BgL_nodez00_bglt) BgL_otruez00_1572), BUNSPEC);
							BNIL;
						}
					}
				else
					{	/* Reduce/typec.scm 162 */
						BFALSE;
					}
				return ((BgL_nodez00_bglt) BgL_nodez00_1563);
			}
		}
	}



/* &node-typec!-setq1963 */
	BgL_nodez00_bglt BGl_z62nodezd2typecz12zd2setq1963z70zzreduce_typecz00(obj_t
		BgL_envz00_2750, obj_t BgL_nodez00_2751)
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 148 */
			{
				BgL_setqz00_bglt BgL_nodez00_1556;

				BgL_nodez00_1556 = ((BgL_setqz00_bglt) BgL_nodez00_2751);
				{
					BgL_nodez00_bglt BgL_auxz00_3170;

					{	/* Reduce/typec.scm 150 */
						BgL_nodez00_bglt BgL_arg2030z00_1560;

						BgL_arg2030z00_1560 =
							(((BgL_setqz00_bglt) CREF(BgL_nodez00_1556))->BgL_valuez00);
						BgL_auxz00_3170 =
							BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg2030z00_1560);
					}
					((((BgL_setqz00_bglt) CREF(BgL_nodez00_1556))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_3170), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_3174;

					{	/* Reduce/typec.scm 151 */
						BgL_varz00_bglt BgL_arg2032z00_1561;

						BgL_arg2032z00_1561 =
							(((BgL_setqz00_bglt) CREF(BgL_nodez00_1556))->BgL_varz00);
						BgL_auxz00_3174 =
							((BgL_varz00_bglt)
							BGl_nodezd2typecz12zc0zzreduce_typecz00(
								((BgL_nodez00_bglt) BgL_arg2032z00_1561)));
					}
					((((BgL_setqz00_bglt) CREF(BgL_nodez00_1556))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_3174), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1556);
			}
		}
	}



/* &node-typec!-cast1961 */
	BgL_nodez00_bglt BGl_z62nodezd2typecz12zd2cast1961z70zzreduce_typecz00(obj_t
		BgL_envz00_2752, obj_t BgL_nodez00_2753)
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 140 */
			{
				BgL_castz00_bglt BgL_nodez00_1550;

				BgL_nodez00_1550 = ((BgL_castz00_bglt) BgL_nodez00_2753);
				BGl_nodezd2typecz12zc0zzreduce_typecz00(
					(((BgL_castz00_bglt) CREF(BgL_nodez00_1550))->BgL_argz00));
				return ((BgL_nodez00_bglt) BgL_nodez00_1550);
			}
		}
	}



/* &node-typec!-extern1959 */
	BgL_nodez00_bglt BGl_z62nodezd2typecz12zd2extern1959z70zzreduce_typecz00(obj_t
		BgL_envz00_2754, obj_t BgL_nodez00_2755)
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 132 */
			{
				BgL_externz00_bglt BgL_nodez00_1544;

				BgL_nodez00_1544 = ((BgL_externz00_bglt) BgL_nodez00_2755);
				BGl_nodezd2typecza2z12z62zzreduce_typecz00(
					(((BgL_externz00_bglt) CREF(BgL_nodez00_1544))->BgL_exprza2za2));
				return ((BgL_nodez00_bglt) BgL_nodez00_1544);
			}
		}
	}



/* &node-typec!-funcall1957 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2funcall1957z70zzreduce_typecz00(obj_t
		BgL_envz00_2756, obj_t BgL_nodez00_2757)
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 123 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1537;

				BgL_nodez00_1537 = ((BgL_funcallz00_bglt) BgL_nodez00_2757);
				{
					BgL_nodez00_bglt BgL_auxz00_3190;

					{	/* Reduce/typec.scm 125 */
						BgL_nodez00_bglt BgL_arg2026z00_1541;

						BgL_arg2026z00_1541 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1537))->BgL_funz00);
						BgL_auxz00_3190 =
							BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg2026z00_1541);
					}
					((((BgL_funcallz00_bglt) CREF(BgL_nodez00_1537))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3190), BUNSPEC);
				}
				BGl_nodezd2typecza2z12z62zzreduce_typecz00(
					(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1537))->BgL_argsz00));
				return ((BgL_nodez00_bglt) BgL_nodez00_1537);
			}
		}
	}



/* &node-typec!-app-ly1955 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2appzd2ly1955za2zzreduce_typecz00(obj_t
		BgL_envz00_2758, obj_t BgL_nodez00_2759)
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 114 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1530;

				BgL_nodez00_1530 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2759);
				{
					BgL_nodez00_bglt BgL_auxz00_3198;

					{	/* Reduce/typec.scm 116 */
						BgL_nodez00_bglt BgL_arg2024z00_1534;

						BgL_arg2024z00_1534 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1530))->BgL_funz00);
						BgL_auxz00_3198 =
							BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg2024z00_1534);
					}
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1530))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3198), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3202;

					{	/* Reduce/typec.scm 117 */
						BgL_nodez00_bglt BgL_arg2025z00_1535;

						BgL_arg2025z00_1535 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1530))->BgL_argz00);
						BgL_auxz00_3202 =
							BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg2025z00_1535);
					}
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1530))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3202), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1530);
			}
		}
	}



/* &node-typec!-sync1953 */
	BgL_nodez00_bglt BGl_z62nodezd2typecz12zd2sync1953z70zzreduce_typecz00(obj_t
		BgL_envz00_2760, obj_t BgL_nodez00_2761)
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 104 */
			{
				BgL_syncz00_bglt BgL_nodez00_1522;

				BgL_nodez00_1522 = ((BgL_syncz00_bglt) BgL_nodez00_2761);
				{
					BgL_nodez00_bglt BgL_auxz00_3208;

					{	/* Reduce/typec.scm 106 */
						BgL_nodez00_bglt BgL_arg2021z00_1526;

						BgL_arg2021z00_1526 =
							(((BgL_syncz00_bglt) CREF(BgL_nodez00_1522))->BgL_mutexz00);
						BgL_auxz00_3208 =
							BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg2021z00_1526);
					}
					((((BgL_syncz00_bglt) CREF(BgL_nodez00_1522))->BgL_mutexz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3208), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3212;

					{	/* Reduce/typec.scm 107 */
						BgL_nodez00_bglt BgL_arg2022z00_1527;

						BgL_arg2022z00_1527 =
							(((BgL_syncz00_bglt) CREF(BgL_nodez00_1522))->BgL_prelockz00);
						BgL_auxz00_3212 =
							BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg2022z00_1527);
					}
					((((BgL_syncz00_bglt) CREF(BgL_nodez00_1522))->BgL_prelockz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3212), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3216;

					{	/* Reduce/typec.scm 108 */
						BgL_nodez00_bglt BgL_arg2023z00_1528;

						BgL_arg2023z00_1528 =
							(((BgL_syncz00_bglt) CREF(BgL_nodez00_1522))->BgL_bodyz00);
						BgL_auxz00_3216 =
							BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg2023z00_1528);
					}
					((((BgL_syncz00_bglt) CREF(BgL_nodez00_1522))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3216), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1522);
			}
		}
	}



/* &node-typec!-sequence1951 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2sequence1951z70zzreduce_typecz00(obj_t
		BgL_envz00_2762, obj_t BgL_nodez00_2763)
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 96 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1516;

				BgL_nodez00_1516 = ((BgL_sequencez00_bglt) BgL_nodez00_2763);
				BGl_nodezd2typecza2z12z62zzreduce_typecz00(
					(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1516))->BgL_nodesz00));
				return ((BgL_nodez00_bglt) BgL_nodez00_1516);
			}
		}
	}



/* &node-typec!-closure1949 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2closure1949z70zzreduce_typecz00(obj_t
		BgL_envz00_2764, obj_t BgL_nodez00_2765)
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 90 */
			return ((BgL_nodez00_bglt) ((BgL_closurez00_bglt) BgL_nodez00_2765));
		}
	}



/* &node-typec!-var1947 */
	BgL_nodez00_bglt BGl_z62nodezd2typecz12zd2var1947z70zzreduce_typecz00(obj_t
		BgL_envz00_2766, obj_t BgL_nodez00_2767)
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 84 */
			return ((BgL_nodez00_bglt) ((BgL_varz00_bglt) BgL_nodez00_2767));
		}
	}



/* &node-typec!-kwote1945 */
	BgL_nodez00_bglt BGl_z62nodezd2typecz12zd2kwote1945z70zzreduce_typecz00(obj_t
		BgL_envz00_2768, obj_t BgL_nodez00_2769)
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 78 */
			return ((BgL_nodez00_bglt) ((BgL_kwotez00_bglt) BgL_nodez00_2769));
		}
	}



/* &node-typec!-atom1943 */
	BgL_nodez00_bglt BGl_z62nodezd2typecz12zd2atom1943z70zzreduce_typecz00(obj_t
		BgL_envz00_2770, obj_t BgL_nodez00_2771)
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 72 */
			return ((BgL_nodez00_bglt) ((BgL_atomz00_bglt) BgL_nodez00_2771));
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzreduce_typecz00()
	{
		AN_OBJECT;
		{	/* Reduce/typec.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2218z00zzreduce_typecz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2218z00zzreduce_typecz00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2218z00zzreduce_typecz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2218z00zzreduce_typecz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2218z00zzreduce_typecz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 164192787),
				BSTRING_TO_STRING(BGl_string2218z00zzreduce_typecz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 189813582),
				BSTRING_TO_STRING(BGl_string2218z00zzreduce_typecz00));
			BGl_modulezd2initializa7ationz75zztype_miscz00(((long) 49975086),
				BSTRING_TO_STRING(BGl_string2218z00zzreduce_typecz00));
			BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long) 361167184),
				BSTRING_TO_STRING(BGl_string2218z00zzreduce_typecz00));
			BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long) 460136018),
				BSTRING_TO_STRING(BGl_string2218z00zzreduce_typecz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2218z00zzreduce_typecz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 458567972),
				BSTRING_TO_STRING(BGl_string2218z00zzreduce_typecz00));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long) 189769752),
				BSTRING_TO_STRING(BGl_string2218z00zzreduce_typecz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2218z00zzreduce_typecz00));
			return
				BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 481724379),
				BSTRING_TO_STRING(BGl_string2218z00zzreduce_typecz00));
		}
	}

#ifdef __cplusplus
}
#endif
