/*===========================================================================*/
/*   (Llib/process.scm)                                                      */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-safe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -O3 -mklib -cc gcc -fsharing -q -unsafev -eval (set! *indent* 4) -copt -fPIC -c Llib/process.scm -indent -o objs/obj_s/Llib/process.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
extern obj_t c_process_xstatus(obj_t);
extern obj_t c_process_list();
static obj_t BGl_requirezd2initializa7ationz75zz__processz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_processzd2errorzd2portz00zz__processz00(obj_t);
static obj_t BGl_z62processzd2pidzb0zz__processz00(obj_t, obj_t);
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__processz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_z62processzd2killzb0zz__processz00(obj_t, obj_t);
static obj_t BGl_z62runzd2processzb0zz__processz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62processzd2sendzd2signalz62zz__processz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62processzd2waitzb0zz__processz00(obj_t, obj_t);
static obj_t BGl_z62processzd2errorzd2portz62zz__processz00(obj_t, obj_t);
static obj_t BGl_z62processzd2stopzb0zz__processz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_processzd2killzd2zz__processz00(obj_t);
BGL_EXPORTED_DECL bool_t BGl_processzf3zf3zz__processz00(obj_t);
static obj_t BGl_z62processzd2outputzd2portz62zz__processz00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__processz00();
static obj_t BGl_genericzd2initzd2zz__processz00();
BGL_EXPORTED_DECL bool_t BGl_processzd2waitzd2zz__processz00(obj_t);
extern obj_t c_process_kill(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__processz00();
static obj_t BGl_z62closezd2processzd2portsz62zz__processz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_processzd2inputzd2portz00zz__processz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_processzd2nilzd2zz__processz00();
BGL_EXPORTED_DECL obj_t BGl_processzd2stopzd2zz__processz00(obj_t);
static obj_t BGl_keyword1548z00zz__processz00 = BUNSPEC;
static obj_t BGl_objectzd2initzd2zz__processz00();
static obj_t BGl_z62processzd2exitzd2statusz62zz__processz00(obj_t, obj_t);
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t c_process_wait(obj_t);
static obj_t BGl_keyword1552z00zz__processz00 = BUNSPEC;
static obj_t BGl_keyword1556z00zz__processz00 = BUNSPEC;
static obj_t BGl_keyword1558z00zz__processz00 = BUNSPEC;
extern obj_t bgl_reverse_bang(obj_t);
extern obj_t bgl_process_nil();
static obj_t BGl_z62processzd2alivezf3z43zz__processz00(obj_t, obj_t);
extern obj_t c_process_stop(obj_t);
static obj_t BGl_keyword1560z00zz__processz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_processzd2continuezd2zz__processz00(obj_t);
static obj_t BGl_keyword1562z00zz__processz00 = BUNSPEC;
static obj_t BGl_z62processzd2inputzd2portz62zz__processz00(obj_t, obj_t);
static obj_t BGl_keyword1564z00zz__processz00 = BUNSPEC;
static obj_t BGl_keyword1566z00zz__processz00 = BUNSPEC;
static obj_t BGl_keyword1568z00zz__processz00 = BUNSPEC;
extern obj_t c_process_continue(obj_t);
BGL_EXPORTED_DECL int BGl_processzd2pidzd2zz__processz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_unregisterzd2processzd2zz__processz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_runzd2processzd2zz__processz00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__processz00();
static obj_t BGl_z62processzf3z91zz__processz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_processzd2sendzd2signalz00zz__processz00(obj_t, int);
extern obj_t c_unregister_process(obj_t);
extern obj_t c_run_process(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t bstring_to_keyword(obj_t);
static obj_t BGl_z62unregisterzd2processzb0zz__processz00(obj_t, obj_t);
extern obj_t bgl_close_input_port(obj_t);
static obj_t BGl_z62processzd2listzb0zz__processz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_processzd2outputzd2portz00zz__processz00(obj_t);
extern obj_t c_process_send_signal(obj_t, int);
BGL_EXPORTED_DECL bool_t BGl_processzd2alivezf3z21zz__processz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_closezd2processzd2portsz00zz__processz00(obj_t);
static obj_t BGl_list1547z00zz__processz00 = BUNSPEC;
static obj_t BGl_z62processzd2nilzb0zz__processz00(obj_t);
static obj_t BGl_z62processzd2continuezb0zz__processz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_processzd2exitzd2statusz00zz__processz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_processzd2listzd2zz__processz00();
extern obj_t bgl_close_output_port(obj_t);
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
extern bool_t c_process_alivep(obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2errorzd2portzd2envzd2zz__processz00, BgL_bgl_za762processza7d2err1578z00, BGl_z62processzd2errorzd2portz62zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2nilzd2envz00zz__processz00, BgL_bgl_za762processza7d2nil1579z00, BGl_z62processzd2nilzb0zz__processz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2killzd2envz00zz__processz00, BgL_bgl_za762processza7d2kil1580z00, BGl_z62processzd2killzb0zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1533z00zz__processz00, BgL_bgl_string1533za700za7za7_1581za7, "/tmp/bigloo/runtime/Llib/process.scm", 36 );
DEFINE_STRING( BGl_string1534z00zz__processz00, BgL_bgl_string1534za700za7za7_1582za7, "&process-pid", 12 );
DEFINE_STRING( BGl_string1535z00zz__processz00, BgL_bgl_string1535za700za7za7_1583za7, "process", 7 );
DEFINE_STRING( BGl_string1536z00zz__processz00, BgL_bgl_string1536za700za7za7_1584za7, "&process-output-port", 20 );
DEFINE_STRING( BGl_string1537z00zz__processz00, BgL_bgl_string1537za700za7za7_1585za7, "&process-input-port", 19 );
DEFINE_STRING( BGl_string1538z00zz__processz00, BgL_bgl_string1538za700za7za7_1586za7, "&process-error-port", 19 );
DEFINE_STRING( BGl_string1539z00zz__processz00, BgL_bgl_string1539za700za7za7_1587za7, "&process-alive?", 15 );
DEFINE_STRING( BGl_string1540z00zz__processz00, BgL_bgl_string1540za700za7za7_1588za7, "&process-wait", 13 );
DEFINE_STRING( BGl_string1541z00zz__processz00, BgL_bgl_string1541za700za7za7_1589za7, "&process-exit-status", 20 );
DEFINE_STRING( BGl_string1542z00zz__processz00, BgL_bgl_string1542za700za7za7_1590za7, "&process-send-signal", 20 );
DEFINE_STRING( BGl_string1543z00zz__processz00, BgL_bgl_string1543za700za7za7_1591za7, "bint", 4 );
DEFINE_STRING( BGl_string1544z00zz__processz00, BgL_bgl_string1544za700za7za7_1592za7, "&process-kill", 13 );
DEFINE_STRING( BGl_string1545z00zz__processz00, BgL_bgl_string1545za700za7za7_1593za7, "&process-stop", 13 );
DEFINE_STRING( BGl_string1546z00zz__processz00, BgL_bgl_string1546za700za7za7_1594za7, "&process-continue", 17 );
DEFINE_STRING( BGl_string1549z00zz__processz00, BgL_bgl_string1549za700za7za7_1595za7, "pipe", 4 );
DEFINE_STRING( BGl_string1550z00zz__processz00, BgL_bgl_string1550za700za7za7_1596za7, "loop", 4 );
DEFINE_STRING( BGl_string1551z00zz__processz00, BgL_bgl_string1551za700za7za7_1597za7, "pair", 4 );
DEFINE_STRING( BGl_string1553z00zz__processz00, BgL_bgl_string1553za700za7za7_1598za7, "wait", 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2outputzd2portzd2envzd2zz__processz00, BgL_bgl_za762processza7d2out1599z00, BGl_z62processzd2outputzd2portz62zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1554z00zz__processz00, BgL_bgl_string1554za700za7za7_1600za7, "run-process", 11 );
DEFINE_STRING( BGl_string1555z00zz__processz00, BgL_bgl_string1555za700za7za7_1601za7, "Illegal argument", 16 );
DEFINE_STRING( BGl_string1557z00zz__processz00, BgL_bgl_string1557za700za7za7_1602za7, "fork", 4 );
DEFINE_STRING( BGl_string1559z00zz__processz00, BgL_bgl_string1559za700za7za7_1603za7, "input", 5 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2waitzd2envz00zz__processz00, BgL_bgl_za762processza7d2wai1604z00, BGl_z62processzd2waitzb0zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_closezd2processzd2portszd2envzd2zz__processz00, BgL_bgl_za762closeza7d2proce1605z00, BGl_z62closezd2processzd2portsz62zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1561z00zz__processz00, BgL_bgl_string1561za700za7za7_1606za7, "output", 6 );
DEFINE_STRING( BGl_string1563z00zz__processz00, BgL_bgl_string1563za700za7za7_1607za7, "null", 4 );
DEFINE_STRING( BGl_string1565z00zz__processz00, BgL_bgl_string1565za700za7za7_1608za7, "error", 5 );
DEFINE_STRING( BGl_string1567z00zz__processz00, BgL_bgl_string1567za700za7za7_1609za7, "host", 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_unregisterzd2processzd2envz00zz__processz00, BgL_bgl_za762unregisterza7d21610z00, BGl_z62unregisterzd2processzb0zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1569z00zz__processz00, BgL_bgl_string1569za700za7za7_1611za7, "env", 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2exitzd2statuszd2envzd2zz__processz00, BgL_bgl_za762processza7d2exi1612z00, BGl_z62processzd2exitzd2statusz62zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1570z00zz__processz00, BgL_bgl_string1570za700za7za7_1613za7, "&run-process", 12 );
DEFINE_STRING( BGl_string1571z00zz__processz00, BgL_bgl_string1571za700za7za7_1614za7, "bstring", 7 );
DEFINE_STRING( BGl_string1572z00zz__processz00, BgL_bgl_string1572za700za7za7_1615za7, "close-process-ports", 19 );
DEFINE_STRING( BGl_string1573z00zz__processz00, BgL_bgl_string1573za700za7za7_1616za7, "output-port", 11 );
DEFINE_STRING( BGl_string1574z00zz__processz00, BgL_bgl_string1574za700za7za7_1617za7, "input-port", 10 );
DEFINE_STRING( BGl_string1575z00zz__processz00, BgL_bgl_string1575za700za7za7_1618za7, "&close-process-ports", 20 );
DEFINE_STRING( BGl_string1576z00zz__processz00, BgL_bgl_string1576za700za7za7_1619za7, "&unregister-process", 19 );
DEFINE_STRING( BGl_string1577z00zz__processz00, BgL_bgl_string1577za700za7za7_1620za7, "__process", 9 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2continuezd2envz00zz__processz00, BgL_bgl_za762processza7d2con1621z00, BGl_z62processzd2continuezb0zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzf3zd2envz21zz__processz00, BgL_bgl_za762processza7f3za7911622za7, BGl_z62processzf3z91zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2alivezf3zd2envzf3zz__processz00, BgL_bgl_za762processza7d2ali1623z00, BGl_z62processzd2alivezf3z43zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2pidzd2envz00zz__processz00, BgL_bgl_za762processza7d2pid1624z00, BGl_z62processzd2pidzb0zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2inputzd2portzd2envzd2zz__processz00, BgL_bgl_za762processza7d2inp1625z00, BGl_z62processzd2inputzd2portz62zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2stopzd2envz00zz__processz00, BgL_bgl_za762processza7d2sto1626z00, BGl_z62processzd2stopzb0zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_runzd2processzd2envz00zz__processz00, BgL_bgl_za762runza7d2process1627z00, va_generic_entry, BGl_z62runzd2processzb0zz__processz00, BUNSPEC, -2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2listzd2envz00zz__processz00, BgL_bgl_za762processza7d2lis1628z00, BGl_z62processzd2listzb0zz__processz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2sendzd2signalzd2envzd2zz__processz00, BgL_bgl_za762processza7d2sen1629z00, BGl_z62processzd2sendzd2signalz62zz__processz00, 0L, BUNSPEC, 2 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__processz00(long BgL_checksumz00_1274, char * BgL_fromz00_1275)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__processz00))
{ 
BGl_requirezd2initializa7ationz75zz__processz00 = 
BBOOL(((bool_t)0)); 
BGl_cnstzd2initzd2zz__processz00(); 
BGl_importedzd2moduleszd2initz00zz__processz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__processz00()
{ AN_OBJECT;
{ /* Llib/process.scm 15 */
BGl_keyword1548z00zz__processz00 = 
bstring_to_keyword(BGl_string1549z00zz__processz00); 
BGl_list1547z00zz__processz00 = 
MAKE_PAIR(BGl_keyword1548z00zz__processz00, BNIL); 
BGl_keyword1552z00zz__processz00 = 
bstring_to_keyword(BGl_string1553z00zz__processz00); 
BGl_keyword1556z00zz__processz00 = 
bstring_to_keyword(BGl_string1557z00zz__processz00); 
BGl_keyword1558z00zz__processz00 = 
bstring_to_keyword(BGl_string1559z00zz__processz00); 
BGl_keyword1560z00zz__processz00 = 
bstring_to_keyword(BGl_string1561z00zz__processz00); 
BGl_keyword1562z00zz__processz00 = 
bstring_to_keyword(BGl_string1563z00zz__processz00); 
BGl_keyword1564z00zz__processz00 = 
bstring_to_keyword(BGl_string1565z00zz__processz00); 
BGl_keyword1566z00zz__processz00 = 
bstring_to_keyword(BGl_string1567z00zz__processz00); 
return ( 
BGl_keyword1568z00zz__processz00 = 
bstring_to_keyword(BGl_string1569z00zz__processz00), BUNSPEC) ;} 
}



/* process? */
BGL_EXPORTED_DEF bool_t BGl_processzf3zf3zz__processz00(obj_t BgL_objz00_3)
{ AN_OBJECT;
{ /* Llib/process.scm 122 */
return 
PROCESSP(BgL_objz00_3);} 
}



/* &process? */
obj_t BGl_z62processzf3z91zz__processz00(obj_t BgL_envz00_1168, obj_t BgL_objz00_1169)
{ AN_OBJECT;
{ /* Llib/process.scm 122 */
return 
BBOOL(
PROCESSP(BgL_objz00_1169));} 
}



/* process-nil */
BGL_EXPORTED_DEF obj_t BGl_processzd2nilzd2zz__processz00()
{ AN_OBJECT;
{ /* Llib/process.scm 128 */
return 
bgl_process_nil();} 
}



/* &process-nil */
obj_t BGl_z62processzd2nilzb0zz__processz00(obj_t BgL_envz00_1170)
{ AN_OBJECT;
{ /* Llib/process.scm 128 */
return 
bgl_process_nil();} 
}



/* process-pid */
BGL_EXPORTED_DEF int BGl_processzd2pidzd2zz__processz00(obj_t BgL_procz00_4)
{ AN_OBJECT;
{ /* Llib/process.scm 134 */
return 
PROCESS_PID(BgL_procz00_4);} 
}



/* &process-pid */
obj_t BGl_z62processzd2pidzb0zz__processz00(obj_t BgL_envz00_1171, obj_t BgL_procz00_1172)
{ AN_OBJECT;
{ /* Llib/process.scm 134 */
{ /* Llib/process.scm 135 */
int BgL_auxz00_1297;
{ /* Llib/process.scm 135 */
obj_t BgL_procz00_1261;
if(
PROCESSP(BgL_procz00_1172))
{ /* Llib/process.scm 135 */
BgL_procz00_1261 = BgL_procz00_1172; }  else 
{ 
obj_t BgL_auxz00_1300;
BgL_auxz00_1300 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1533z00zz__processz00, 
BINT(((long)5703)), BGl_string1534z00zz__processz00, BGl_string1535z00zz__processz00, BgL_procz00_1172); 
FAILURE(BgL_auxz00_1300,BFALSE,BFALSE);} 
BgL_auxz00_1297 = 
PROCESS_PID(BgL_procz00_1261); } 
return 
BINT(BgL_auxz00_1297);} } 
}



/* process-output-port */
BGL_EXPORTED_DEF obj_t BGl_processzd2outputzd2portz00zz__processz00(obj_t BgL_procz00_5)
{ AN_OBJECT;
{ /* Llib/process.scm 140 */
return 
PROCESS_OUTPUT_PORT(BgL_procz00_5);} 
}



/* &process-output-port */
obj_t BGl_z62processzd2outputzd2portz62zz__processz00(obj_t BgL_envz00_1173, obj_t BgL_procz00_1174)
{ AN_OBJECT;
{ /* Llib/process.scm 140 */
{ /* Llib/process.scm 141 */
obj_t BgL_procz00_1262;
if(
PROCESSP(BgL_procz00_1174))
{ /* Llib/process.scm 141 */
BgL_procz00_1262 = BgL_procz00_1174; }  else 
{ 
obj_t BgL_auxz00_1309;
BgL_auxz00_1309 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1533z00zz__processz00, 
BINT(((long)5993)), BGl_string1536z00zz__processz00, BGl_string1535z00zz__processz00, BgL_procz00_1174); 
FAILURE(BgL_auxz00_1309,BFALSE,BFALSE);} 
return 
PROCESS_OUTPUT_PORT(BgL_procz00_1262);} } 
}



/* process-input-port */
BGL_EXPORTED_DEF obj_t BGl_processzd2inputzd2portz00zz__processz00(obj_t BgL_procz00_6)
{ AN_OBJECT;
{ /* Llib/process.scm 146 */
return 
PROCESS_INPUT_PORT(BgL_procz00_6);} 
}



/* &process-input-port */
obj_t BGl_z62processzd2inputzd2portz62zz__processz00(obj_t BgL_envz00_1175, obj_t BgL_procz00_1176)
{ AN_OBJECT;
{ /* Llib/process.scm 146 */
{ /* Llib/process.scm 147 */
obj_t BgL_procz00_1263;
if(
PROCESSP(BgL_procz00_1176))
{ /* Llib/process.scm 147 */
BgL_procz00_1263 = BgL_procz00_1176; }  else 
{ 
obj_t BgL_auxz00_1317;
BgL_auxz00_1317 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1533z00zz__processz00, 
BINT(((long)6290)), BGl_string1537z00zz__processz00, BGl_string1535z00zz__processz00, BgL_procz00_1176); 
FAILURE(BgL_auxz00_1317,BFALSE,BFALSE);} 
return 
PROCESS_INPUT_PORT(BgL_procz00_1263);} } 
}



/* process-error-port */
BGL_EXPORTED_DEF obj_t BGl_processzd2errorzd2portz00zz__processz00(obj_t BgL_procz00_7)
{ AN_OBJECT;
{ /* Llib/process.scm 152 */
return 
PROCESS_ERROR_PORT(BgL_procz00_7);} 
}



/* &process-error-port */
obj_t BGl_z62processzd2errorzd2portz62zz__processz00(obj_t BgL_envz00_1177, obj_t BgL_procz00_1178)
{ AN_OBJECT;
{ /* Llib/process.scm 152 */
{ /* Llib/process.scm 153 */
obj_t BgL_procz00_1264;
if(
PROCESSP(BgL_procz00_1178))
{ /* Llib/process.scm 153 */
BgL_procz00_1264 = BgL_procz00_1178; }  else 
{ 
obj_t BgL_auxz00_1325;
BgL_auxz00_1325 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1533z00zz__processz00, 
BINT(((long)6586)), BGl_string1538z00zz__processz00, BGl_string1535z00zz__processz00, BgL_procz00_1178); 
FAILURE(BgL_auxz00_1325,BFALSE,BFALSE);} 
return 
PROCESS_ERROR_PORT(BgL_procz00_1264);} } 
}



/* process-alive? */
BGL_EXPORTED_DEF bool_t BGl_processzd2alivezf3z21zz__processz00(obj_t BgL_procz00_8)
{ AN_OBJECT;
{ /* Llib/process.scm 158 */
return 
c_process_alivep(BgL_procz00_8);} 
}



/* &process-alive? */
obj_t BGl_z62processzd2alivezf3z43zz__processz00(obj_t BgL_envz00_1179, obj_t BgL_procz00_1180)
{ AN_OBJECT;
{ /* Llib/process.scm 158 */
{ /* Llib/process.scm 159 */
bool_t BgL_auxz00_1331;
{ /* Llib/process.scm 159 */
obj_t BgL_procz00_1265;
if(
PROCESSP(BgL_procz00_1180))
{ /* Llib/process.scm 159 */
BgL_procz00_1265 = BgL_procz00_1180; }  else 
{ 
obj_t BgL_auxz00_1334;
BgL_auxz00_1334 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1533z00zz__processz00, 
BINT(((long)6878)), BGl_string1539z00zz__processz00, BGl_string1535z00zz__processz00, BgL_procz00_1180); 
FAILURE(BgL_auxz00_1334,BFALSE,BFALSE);} 
BgL_auxz00_1331 = 
c_process_alivep(BgL_procz00_1265); } 
return 
BBOOL(BgL_auxz00_1331);} } 
}



/* process-wait */
BGL_EXPORTED_DEF bool_t BGl_processzd2waitzd2zz__processz00(obj_t BgL_procz00_9)
{ AN_OBJECT;
{ /* Llib/process.scm 164 */
if(
c_process_alivep(BgL_procz00_9))
{ /* Llib/process.scm 165 */
return 
CBOOL(
c_process_wait(BgL_procz00_9));}  else 
{ /* Llib/process.scm 165 */
return ((bool_t)0);} } 
}



/* &process-wait */
obj_t BGl_z62processzd2waitzb0zz__processz00(obj_t BgL_envz00_1181, obj_t BgL_procz00_1182)
{ AN_OBJECT;
{ /* Llib/process.scm 164 */
{ /* Llib/process.scm 165 */
bool_t BgL_auxz00_1344;
{ /* Llib/process.scm 165 */
obj_t BgL_procz00_1266;
if(
PROCESSP(BgL_procz00_1182))
{ /* Llib/process.scm 165 */
BgL_procz00_1266 = BgL_procz00_1182; }  else 
{ 
obj_t BgL_auxz00_1347;
BgL_auxz00_1347 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1533z00zz__processz00, 
BINT(((long)7164)), BGl_string1540z00zz__processz00, BGl_string1535z00zz__processz00, BgL_procz00_1182); 
FAILURE(BgL_auxz00_1347,BFALSE,BFALSE);} 
if(
c_process_alivep(BgL_procz00_1266))
{ /* Llib/process.scm 165 */
BgL_auxz00_1344 = 
CBOOL(
c_process_wait(BgL_procz00_1266))
; }  else 
{ /* Llib/process.scm 165 */
BgL_auxz00_1344 = ((bool_t)0)
; } } 
return 
BBOOL(BgL_auxz00_1344);} } 
}



/* process-exit-status */
BGL_EXPORTED_DEF obj_t BGl_processzd2exitzd2statusz00zz__processz00(obj_t BgL_procz00_10)
{ AN_OBJECT;
{ /* Llib/process.scm 171 */
return 
c_process_xstatus(BgL_procz00_10);} 
}



/* &process-exit-status */
obj_t BGl_z62processzd2exitzd2statusz62zz__processz00(obj_t BgL_envz00_1183, obj_t BgL_procz00_1184)
{ AN_OBJECT;
{ /* Llib/process.scm 171 */
{ /* Llib/process.scm 172 */
obj_t BgL_procz00_1267;
if(
PROCESSP(BgL_procz00_1184))
{ /* Llib/process.scm 172 */
BgL_procz00_1267 = BgL_procz00_1184; }  else 
{ 
obj_t BgL_auxz00_1359;
BgL_auxz00_1359 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1533z00zz__processz00, 
BINT(((long)7489)), BGl_string1541z00zz__processz00, BGl_string1535z00zz__processz00, BgL_procz00_1184); 
FAILURE(BgL_auxz00_1359,BFALSE,BFALSE);} 
return 
c_process_xstatus(BgL_procz00_1267);} } 
}



/* process-send-signal */
BGL_EXPORTED_DEF obj_t BGl_processzd2sendzd2signalz00zz__processz00(obj_t BgL_procz00_11, int BgL_signalz00_12)
{ AN_OBJECT;
{ /* Llib/process.scm 177 */
return 
c_process_send_signal(BgL_procz00_11, BgL_signalz00_12);} 
}



/* &process-send-signal */
obj_t BGl_z62processzd2sendzd2signalz62zz__processz00(obj_t BgL_envz00_1185, obj_t BgL_procz00_1186, obj_t BgL_signalz00_1187)
{ AN_OBJECT;
{ /* Llib/process.scm 177 */
{ /* Llib/process.scm 178 */
obj_t BgL_procz00_1268;int BgL_signalz00_1269;
if(
PROCESSP(BgL_procz00_1186))
{ /* Llib/process.scm 178 */
BgL_procz00_1268 = BgL_procz00_1186; }  else 
{ 
obj_t BgL_auxz00_1367;
BgL_auxz00_1367 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1533z00zz__processz00, 
BINT(((long)7794)), BGl_string1542z00zz__processz00, BGl_string1535z00zz__processz00, BgL_procz00_1186); 
FAILURE(BgL_auxz00_1367,BFALSE,BFALSE);} 
{ /* Llib/process.scm 178 */
obj_t BgL_auxz00_1371;
if(
INTEGERP(BgL_signalz00_1187))
{ /* Llib/process.scm 178 */
BgL_auxz00_1371 = BgL_signalz00_1187
; }  else 
{ 
obj_t BgL_auxz00_1374;
BgL_auxz00_1374 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1533z00zz__processz00, 
BINT(((long)7794)), BGl_string1542z00zz__processz00, BGl_string1543z00zz__processz00, BgL_signalz00_1187); 
FAILURE(BgL_auxz00_1374,BFALSE,BFALSE);} 
BgL_signalz00_1269 = 
CINT(BgL_auxz00_1371); } 
return 
c_process_send_signal(BgL_procz00_1268, BgL_signalz00_1269);} } 
}



/* process-kill */
BGL_EXPORTED_DEF obj_t BGl_processzd2killzd2zz__processz00(obj_t BgL_procz00_13)
{ AN_OBJECT;
{ /* Llib/process.scm 183 */
c_process_kill(BgL_procz00_13); 
return 
BGl_closezd2processzd2portsz00zz__processz00(BgL_procz00_13);} 
}



/* &process-kill */
obj_t BGl_z62processzd2killzb0zz__processz00(obj_t BgL_envz00_1188, obj_t BgL_procz00_1189)
{ AN_OBJECT;
{ /* Llib/process.scm 183 */
{ /* Llib/process.scm 184 */
obj_t BgL_procz00_1270;
if(
PROCESSP(BgL_procz00_1189))
{ /* Llib/process.scm 184 */
BgL_procz00_1270 = BgL_procz00_1189; }  else 
{ 
obj_t BgL_auxz00_1384;
BgL_auxz00_1384 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1533z00zz__processz00, 
BINT(((long)8112)), BGl_string1544z00zz__processz00, BGl_string1535z00zz__processz00, BgL_procz00_1189); 
FAILURE(BgL_auxz00_1384,BFALSE,BFALSE);} 
c_process_kill(BgL_procz00_1270); 
return 
BGl_closezd2processzd2portsz00zz__processz00(BgL_procz00_1270);} } 
}



/* process-stop */
BGL_EXPORTED_DEF obj_t BGl_processzd2stopzd2zz__processz00(obj_t BgL_procz00_14)
{ AN_OBJECT;
{ /* Llib/process.scm 190 */
return 
c_process_stop(BgL_procz00_14);} 
}



/* &process-stop */
obj_t BGl_z62processzd2stopzb0zz__processz00(obj_t BgL_envz00_1190, obj_t BgL_procz00_1191)
{ AN_OBJECT;
{ /* Llib/process.scm 190 */
{ /* Llib/process.scm 191 */
obj_t BgL_procz00_1271;
if(
PROCESSP(BgL_procz00_1191))
{ /* Llib/process.scm 191 */
BgL_procz00_1271 = BgL_procz00_1191; }  else 
{ 
obj_t BgL_auxz00_1393;
BgL_auxz00_1393 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1533z00zz__processz00, 
BINT(((long)8406)), BGl_string1545z00zz__processz00, BGl_string1535z00zz__processz00, BgL_procz00_1191); 
FAILURE(BgL_auxz00_1393,BFALSE,BFALSE);} 
return 
c_process_stop(BgL_procz00_1271);} } 
}



/* process-continue */
BGL_EXPORTED_DEF obj_t BGl_processzd2continuezd2zz__processz00(obj_t BgL_procz00_15)
{ AN_OBJECT;
{ /* Llib/process.scm 196 */
return 
c_process_continue(BgL_procz00_15);} 
}



/* &process-continue */
obj_t BGl_z62processzd2continuezb0zz__processz00(obj_t BgL_envz00_1192, obj_t BgL_procz00_1193)
{ AN_OBJECT;
{ /* Llib/process.scm 196 */
{ /* Llib/process.scm 197 */
obj_t BgL_procz00_1272;
if(
PROCESSP(BgL_procz00_1193))
{ /* Llib/process.scm 197 */
BgL_procz00_1272 = BgL_procz00_1193; }  else 
{ 
obj_t BgL_auxz00_1401;
BgL_auxz00_1401 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1533z00zz__processz00, 
BINT(((long)8694)), BGl_string1546z00zz__processz00, BGl_string1535z00zz__processz00, BgL_procz00_1193); 
FAILURE(BgL_auxz00_1401,BFALSE,BFALSE);} 
return 
c_process_continue(BgL_procz00_1272);} } 
}



/* process-list */
BGL_EXPORTED_DEF obj_t BGl_processzd2listzd2zz__processz00()
{ AN_OBJECT;
{ /* Llib/process.scm 202 */
return 
c_process_list();} 
}



/* &process-list */
obj_t BGl_z62processzd2listzb0zz__processz00(obj_t BgL_envz00_1194)
{ AN_OBJECT;
{ /* Llib/process.scm 202 */
return 
c_process_list();} 
}



/* run-process */
BGL_EXPORTED_DEF obj_t BGl_runzd2processzd2zz__processz00(obj_t BgL_commandz00_16, obj_t BgL_restz00_17)
{ AN_OBJECT;
{ /* Llib/process.scm 211 */
{ /* Llib/process.scm 212 */
obj_t BgL_forkz00_586;obj_t BgL_waitz00_587;obj_t BgL_inputz00_588;obj_t BgL_outputz00_589;obj_t BgL_errorz00_590;obj_t BgL_hostz00_591;obj_t BgL_pipesz00_592;obj_t BgL_argsz00_593;obj_t BgL_envz00_594;
BgL_forkz00_586 = BTRUE; 
BgL_waitz00_587 = BFALSE; 
BgL_inputz00_588 = BUNSPEC; 
BgL_outputz00_589 = BUNSPEC; 
BgL_errorz00_590 = BUNSPEC; 
BgL_hostz00_591 = BUNSPEC; 
BgL_pipesz00_592 = BGl_list1547z00zz__processz00; 
BgL_argsz00_593 = BNIL; 
BgL_envz00_594 = BNIL; 
{ 
obj_t BgL_restz00_597;
{ /* Llib/process.scm 223 */
obj_t BgL_aux1519z00_1246;
BgL_restz00_597 = BgL_restz00_17; 
BgL_zc3anonymousza31105ze3z83_598:
if(
NULLP(BgL_restz00_597))
{ /* Llib/process.scm 228 */
obj_t BgL_arg1107z00_600;
BgL_arg1107z00_600 = 
bgl_reverse_bang(BgL_argsz00_593); 
BgL_aux1519z00_1246 = 
c_run_process(BgL_hostz00_591, BgL_forkz00_586, BgL_waitz00_587, BgL_inputz00_588, BgL_outputz00_589, BgL_errorz00_590, BgL_commandz00_16, BgL_arg1107z00_600, BgL_envz00_594); }  else 
{ /* Llib/process.scm 229 */
bool_t BgL_testz00_1412;
{ /* Llib/process.scm 229 */
bool_t BgL_testz00_1413;
{ /* Llib/process.scm 229 */
obj_t BgL_auxz00_1414;
{ /* Llib/process.scm 229 */
obj_t BgL_pairz00_887;
if(
PAIRP(BgL_restz00_597))
{ /* Llib/process.scm 229 */
BgL_pairz00_887 = BgL_restz00_597; }  else 
{ 
obj_t BgL_auxz00_1417;
BgL_auxz00_1417 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1533z00zz__processz00, 
BINT(((long)9926)), BGl_string1550z00zz__processz00, BGl_string1551z00zz__processz00, BgL_restz00_597); 
FAILURE(BgL_auxz00_1417,BFALSE,BFALSE);} 
BgL_auxz00_1414 = 
CAR(BgL_pairz00_887); } 
BgL_testz00_1413 = 
KEYWORDP(BgL_auxz00_1414); } 
if(BgL_testz00_1413)
{ /* Llib/process.scm 229 */
obj_t BgL_auxz00_1423;
{ /* Llib/process.scm 229 */
obj_t BgL_pairz00_890;
if(
PAIRP(BgL_restz00_597))
{ /* Llib/process.scm 229 */
BgL_pairz00_890 = BgL_restz00_597; }  else 
{ 
obj_t BgL_auxz00_1426;
BgL_auxz00_1426 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1533z00zz__processz00, 
BINT(((long)9945)), BGl_string1550z00zz__processz00, BGl_string1551z00zz__processz00, BgL_restz00_597); 
FAILURE(BgL_auxz00_1426,BFALSE,BFALSE);} 
BgL_auxz00_1423 = 
CDR(BgL_pairz00_890); } 
BgL_testz00_1412 = 
PAIRP(BgL_auxz00_1423); }  else 
{ /* Llib/process.scm 229 */
BgL_testz00_1412 = ((bool_t)0)
; } } 
if(BgL_testz00_1412)
{ /* Llib/process.scm 230 */
obj_t BgL_valz00_602;
{ /* Llib/process.scm 230 */
obj_t BgL_pairz00_893;
if(
PAIRP(BgL_restz00_597))
{ /* Llib/process.scm 230 */
BgL_pairz00_893 = BgL_restz00_597; }  else 
{ 
obj_t BgL_auxz00_1434;
BgL_auxz00_1434 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1533z00zz__processz00, 
BINT(((long)9976)), BGl_string1550z00zz__processz00, BGl_string1551z00zz__processz00, BgL_restz00_597); 
FAILURE(BgL_auxz00_1434,BFALSE,BFALSE);} 
{ /* Llib/process.scm 230 */
obj_t BgL_pairz00_896;
{ /* Llib/process.scm 230 */
obj_t BgL_aux1505z00_1232;
BgL_aux1505z00_1232 = 
CDR(BgL_pairz00_893); 
if(
PAIRP(BgL_aux1505z00_1232))
{ /* Llib/process.scm 230 */
BgL_pairz00_896 = BgL_aux1505z00_1232; }  else 
{ 
obj_t BgL_auxz00_1441;
BgL_auxz00_1441 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1533z00zz__processz00, 
BINT(((long)9970)), BGl_string1550z00zz__processz00, BGl_string1551z00zz__processz00, BgL_aux1505z00_1232); 
FAILURE(BgL_auxz00_1441,BFALSE,BFALSE);} } 
BgL_valz00_602 = 
CAR(BgL_pairz00_896); } } 
{ /* Llib/process.scm 231 */
obj_t BgL_casezd2valuezd2_603;
{ /* Llib/process.scm 231 */
obj_t BgL_pairz00_897;
if(
PAIRP(BgL_restz00_597))
{ /* Llib/process.scm 231 */
BgL_pairz00_897 = BgL_restz00_597; }  else 
{ 
obj_t BgL_auxz00_1448;
BgL_auxz00_1448 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1533z00zz__processz00, 
BINT(((long)9997)), BGl_string1550z00zz__processz00, BGl_string1551z00zz__processz00, BgL_restz00_597); 
FAILURE(BgL_auxz00_1448,BFALSE,BFALSE);} 
BgL_casezd2valuezd2_603 = 
CAR(BgL_pairz00_897); } 
if(
(BgL_casezd2valuezd2_603==BGl_keyword1552z00zz__processz00))
{ /* Llib/process.scm 231 */
if(
BOOLEANP(BgL_valz00_602))
{ /* Llib/process.scm 233 */
BgL_waitz00_587 = BgL_valz00_602; }  else 
{ /* Llib/process.scm 233 */
BGl_errorz00zz__errorz00(BGl_string1554z00zz__processz00, BGl_string1555z00zz__processz00, BgL_restz00_597); } }  else 
{ /* Llib/process.scm 231 */
if(
(BgL_casezd2valuezd2_603==BGl_keyword1556z00zz__processz00))
{ /* Llib/process.scm 231 */
if(
BOOLEANP(BgL_valz00_602))
{ /* Llib/process.scm 237 */
BgL_forkz00_586 = BgL_valz00_602; }  else 
{ /* Llib/process.scm 237 */
BGl_errorz00zz__errorz00(BGl_string1554z00zz__processz00, BGl_string1555z00zz__processz00, BgL_restz00_597); } }  else 
{ /* Llib/process.scm 231 */
if(
(BgL_casezd2valuezd2_603==BGl_keyword1558z00zz__processz00))
{ /* Llib/process.scm 241 */
bool_t BgL_testz00_1465;
if(
STRINGP(BgL_valz00_602))
{ /* Llib/process.scm 241 */
BgL_testz00_1465 = ((bool_t)1)
; }  else 
{ /* Llib/process.scm 241 */
BgL_testz00_1465 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_valz00_602, BgL_pipesz00_592))
; } 
if(BgL_testz00_1465)
{ /* Llib/process.scm 241 */
BgL_inputz00_588 = BgL_valz00_602; }  else 
{ /* Llib/process.scm 241 */
BGl_errorz00zz__errorz00(BGl_string1554z00zz__processz00, BGl_string1555z00zz__processz00, BgL_restz00_597); } }  else 
{ /* Llib/process.scm 231 */
if(
(BgL_casezd2valuezd2_603==BGl_keyword1560z00zz__processz00))
{ /* Llib/process.scm 245 */
bool_t BgL_testz00_1473;
if(
STRINGP(BgL_valz00_602))
{ /* Llib/process.scm 245 */
BgL_testz00_1473 = ((bool_t)1)
; }  else 
{ /* Llib/process.scm 245 */
if(
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_valz00_602, BgL_pipesz00_592)))
{ /* Llib/process.scm 245 */
BgL_testz00_1473 = ((bool_t)1)
; }  else 
{ /* Llib/process.scm 245 */
BgL_testz00_1473 = 
(BgL_valz00_602==BGl_keyword1562z00zz__processz00)
; } } 
if(BgL_testz00_1473)
{ /* Llib/process.scm 245 */
BgL_outputz00_589 = BgL_valz00_602; }  else 
{ /* Llib/process.scm 245 */
BGl_errorz00zz__errorz00(BGl_string1554z00zz__processz00, BGl_string1555z00zz__processz00, BgL_restz00_597); } }  else 
{ /* Llib/process.scm 231 */
if(
(BgL_casezd2valuezd2_603==BGl_keyword1564z00zz__processz00))
{ /* Llib/process.scm 249 */
bool_t BgL_testz00_1483;
if(
STRINGP(BgL_valz00_602))
{ /* Llib/process.scm 249 */
BgL_testz00_1483 = ((bool_t)1)
; }  else 
{ /* Llib/process.scm 249 */
if(
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_valz00_602, BgL_pipesz00_592)))
{ /* Llib/process.scm 249 */
BgL_testz00_1483 = ((bool_t)1)
; }  else 
{ /* Llib/process.scm 249 */
BgL_testz00_1483 = 
(BgL_valz00_602==BGl_keyword1562z00zz__processz00)
; } } 
if(BgL_testz00_1483)
{ /* Llib/process.scm 249 */
BgL_errorz00_590 = BgL_valz00_602; }  else 
{ /* Llib/process.scm 249 */
BGl_errorz00zz__errorz00(BGl_string1554z00zz__processz00, BGl_string1555z00zz__processz00, BgL_restz00_597); } }  else 
{ /* Llib/process.scm 231 */
if(
(BgL_casezd2valuezd2_603==BGl_keyword1566z00zz__processz00))
{ /* Llib/process.scm 231 */
if(
STRINGP(BgL_valz00_602))
{ /* Llib/process.scm 253 */
BgL_hostz00_591 = BgL_valz00_602; }  else 
{ /* Llib/process.scm 253 */
BGl_errorz00zz__errorz00(BGl_string1554z00zz__processz00, BGl_string1555z00zz__processz00, BgL_restz00_597); } }  else 
{ /* Llib/process.scm 231 */
if(
(BgL_casezd2valuezd2_603==BGl_keyword1568z00zz__processz00))
{ /* Llib/process.scm 231 */
if(
STRINGP(BgL_valz00_602))
{ /* Llib/process.scm 257 */
BgL_envz00_594 = 
MAKE_PAIR(BgL_valz00_602, BgL_envz00_594); }  else 
{ /* Llib/process.scm 257 */
BGl_errorz00zz__errorz00(BGl_string1554z00zz__processz00, BGl_string1555z00zz__processz00, BgL_restz00_597); } }  else 
{ /* Llib/process.scm 231 */
BGl_errorz00zz__errorz00(BGl_string1554z00zz__processz00, BGl_string1555z00zz__processz00, BgL_restz00_597); } } } } } } } } 
{ /* Llib/process.scm 262 */
obj_t BgL_arg1132z00_623;
{ /* Llib/process.scm 262 */
obj_t BgL_pairz00_942;
{ /* Llib/process.scm 262 */
obj_t BgL_pairz00_941;
if(
PAIRP(BgL_restz00_597))
{ /* Llib/process.scm 262 */
BgL_pairz00_941 = BgL_restz00_597; }  else 
{ 
obj_t BgL_auxz00_1505;
BgL_auxz00_1505 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1533z00zz__processz00, 
BINT(((long)10727)), BGl_string1550z00zz__processz00, BGl_string1551z00zz__processz00, BgL_restz00_597); 
FAILURE(BgL_auxz00_1505,BFALSE,BFALSE);} 
{ /* Llib/process.scm 262 */
obj_t BgL_aux1511z00_1238;
BgL_aux1511z00_1238 = 
CDR(BgL_pairz00_941); 
if(
PAIRP(BgL_aux1511z00_1238))
{ /* Llib/process.scm 262 */
BgL_pairz00_942 = BgL_aux1511z00_1238; }  else 
{ 
obj_t BgL_auxz00_1512;
BgL_auxz00_1512 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1533z00zz__processz00, 
BINT(((long)10722)), BGl_string1550z00zz__processz00, BGl_string1551z00zz__processz00, BgL_aux1511z00_1238); 
FAILURE(BgL_auxz00_1512,BFALSE,BFALSE);} } } 
BgL_arg1132z00_623 = 
CDR(BgL_pairz00_942); } 
{ 
obj_t BgL_restz00_1517;
BgL_restz00_1517 = BgL_arg1132z00_623; 
BgL_restz00_597 = BgL_restz00_1517; 
goto BgL_zc3anonymousza31105ze3z83_598;} } }  else 
{ /* Llib/process.scm 263 */
bool_t BgL_testz00_1518;
{ /* Llib/process.scm 263 */
obj_t BgL_auxz00_1519;
{ /* Llib/process.scm 263 */
obj_t BgL_pairz00_943;
if(
PAIRP(BgL_restz00_597))
{ /* Llib/process.scm 263 */
BgL_pairz00_943 = BgL_restz00_597; }  else 
{ 
obj_t BgL_auxz00_1522;
BgL_auxz00_1522 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1533z00zz__processz00, 
BINT(((long)10757)), BGl_string1550z00zz__processz00, BGl_string1551z00zz__processz00, BgL_restz00_597); 
FAILURE(BgL_auxz00_1522,BFALSE,BFALSE);} 
BgL_auxz00_1519 = 
CAR(BgL_pairz00_943); } 
BgL_testz00_1518 = 
STRINGP(BgL_auxz00_1519); } 
if(BgL_testz00_1518)
{ /* Llib/process.scm 263 */
{ /* Llib/process.scm 264 */
obj_t BgL_arg1137z00_626;
{ /* Llib/process.scm 264 */
obj_t BgL_pairz00_946;
if(
PAIRP(BgL_restz00_597))
{ /* Llib/process.scm 264 */
BgL_pairz00_946 = BgL_restz00_597; }  else 
{ 
obj_t BgL_auxz00_1530;
BgL_auxz00_1530 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1533z00zz__processz00, 
BINT(((long)10792)), BGl_string1550z00zz__processz00, BGl_string1551z00zz__processz00, BgL_restz00_597); 
FAILURE(BgL_auxz00_1530,BFALSE,BFALSE);} 
BgL_arg1137z00_626 = 
CAR(BgL_pairz00_946); } 
BgL_argsz00_593 = 
MAKE_PAIR(BgL_arg1137z00_626, BgL_argsz00_593); } 
{ /* Llib/process.scm 265 */
obj_t BgL_arg1138z00_627;
{ /* Llib/process.scm 265 */
obj_t BgL_pairz00_947;
if(
PAIRP(BgL_restz00_597))
{ /* Llib/process.scm 265 */
BgL_pairz00_947 = BgL_restz00_597; }  else 
{ 
obj_t BgL_auxz00_1538;
BgL_auxz00_1538 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1533z00zz__processz00, 
BINT(((long)10822)), BGl_string1550z00zz__processz00, BGl_string1551z00zz__processz00, BgL_restz00_597); 
FAILURE(BgL_auxz00_1538,BFALSE,BFALSE);} 
BgL_arg1138z00_627 = 
CDR(BgL_pairz00_947); } 
{ 
obj_t BgL_restz00_1543;
BgL_restz00_1543 = BgL_arg1138z00_627; 
BgL_restz00_597 = BgL_restz00_1543; 
goto BgL_zc3anonymousza31105ze3z83_598;} } }  else 
{ /* Llib/process.scm 263 */
BgL_aux1519z00_1246 = 
BGl_errorz00zz__errorz00(BGl_string1554z00zz__processz00, BGl_string1555z00zz__processz00, BgL_restz00_597); } } } 
if(
PROCESSP(BgL_aux1519z00_1246))
{ /* Llib/process.scm 223 */
return BgL_aux1519z00_1246;}  else 
{ 
obj_t BgL_auxz00_1547;
BgL_auxz00_1547 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1533z00zz__processz00, 
BINT(((long)9750)), BGl_string1554z00zz__processz00, BGl_string1535z00zz__processz00, BgL_aux1519z00_1246); 
FAILURE(BgL_auxz00_1547,BFALSE,BFALSE);} } } } } 
}



/* &run-process */
obj_t BGl_z62runzd2processzb0zz__processz00(obj_t BgL_envz00_1195, obj_t BgL_commandz00_1196, obj_t BgL_restz00_1197)
{ AN_OBJECT;
{ /* Llib/process.scm 211 */
{ /* Llib/process.scm 212 */
obj_t BgL_auxz00_1551;
if(
STRINGP(BgL_commandz00_1196))
{ /* Llib/process.scm 212 */
BgL_auxz00_1551 = BgL_commandz00_1196
; }  else 
{ 
obj_t BgL_auxz00_1554;
BgL_auxz00_1554 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1533z00zz__processz00, 
BINT(((long)9480)), BGl_string1570z00zz__processz00, BGl_string1571z00zz__processz00, BgL_commandz00_1196); 
FAILURE(BgL_auxz00_1554,BFALSE,BFALSE);} 
return 
BGl_runzd2processzd2zz__processz00(BgL_auxz00_1551, BgL_restz00_1197);} } 
}



/* close-process-ports */
BGL_EXPORTED_DEF obj_t BGl_closezd2processzd2portsz00zz__processz00(obj_t BgL_procz00_18)
{ AN_OBJECT;
{ /* Llib/process.scm 272 */
{ /* Llib/process.scm 273 */
bool_t BgL_testz00_1559;
{ /* Llib/process.scm 273 */
obj_t BgL_auxz00_1560;
BgL_auxz00_1560 = 
PROCESS_INPUT_PORT(BgL_procz00_18); 
BgL_testz00_1559 = 
OUTPUT_PORTP(BgL_auxz00_1560); } 
if(BgL_testz00_1559)
{ /* Llib/process.scm 274 */
obj_t BgL_arg1146z00_637;
BgL_arg1146z00_637 = 
PROCESS_INPUT_PORT(BgL_procz00_18); 
{ /* Llib/process.scm 274 */
obj_t BgL_portz00_952;
if(
OUTPUT_PORTP(BgL_arg1146z00_637))
{ /* Llib/process.scm 274 */
BgL_portz00_952 = BgL_arg1146z00_637; }  else 
{ 
obj_t BgL_auxz00_1566;
BgL_auxz00_1566 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1533z00zz__processz00, 
BINT(((long)11225)), BGl_string1572z00zz__processz00, BGl_string1573z00zz__processz00, BgL_arg1146z00_637); 
FAILURE(BgL_auxz00_1566,BFALSE,BFALSE);} 
bgl_close_output_port(BgL_portz00_952); } }  else 
{ /* Llib/process.scm 273 */BFALSE; } } 
{ /* Llib/process.scm 275 */
bool_t BgL_testz00_1571;
{ /* Llib/process.scm 275 */
obj_t BgL_auxz00_1572;
BgL_auxz00_1572 = 
PROCESS_ERROR_PORT(BgL_procz00_18); 
BgL_testz00_1571 = 
INPUT_PORTP(BgL_auxz00_1572); } 
if(BgL_testz00_1571)
{ /* Llib/process.scm 276 */
obj_t BgL_arg1153z00_640;
BgL_arg1153z00_640 = 
PROCESS_ERROR_PORT(BgL_procz00_18); 
{ /* Llib/process.scm 276 */
obj_t BgL_portz00_956;
if(
INPUT_PORTP(BgL_arg1153z00_640))
{ /* Llib/process.scm 276 */
BgL_portz00_956 = BgL_arg1153z00_640; }  else 
{ 
obj_t BgL_auxz00_1578;
BgL_auxz00_1578 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1533z00zz__processz00, 
BINT(((long)11325)), BGl_string1572z00zz__processz00, BGl_string1574z00zz__processz00, BgL_arg1153z00_640); 
FAILURE(BgL_auxz00_1578,BFALSE,BFALSE);} 
bgl_close_input_port(BgL_portz00_956); } }  else 
{ /* Llib/process.scm 275 */BFALSE; } } 
{ /* Llib/process.scm 277 */
bool_t BgL_testz00_1583;
{ /* Llib/process.scm 277 */
obj_t BgL_auxz00_1584;
BgL_auxz00_1584 = 
PROCESS_OUTPUT_PORT(BgL_procz00_18); 
BgL_testz00_1583 = 
INPUT_PORTP(BgL_auxz00_1584); } 
if(BgL_testz00_1583)
{ /* Llib/process.scm 278 */
obj_t BgL_arg1159z00_643;
BgL_arg1159z00_643 = 
PROCESS_OUTPUT_PORT(BgL_procz00_18); 
{ /* Llib/process.scm 278 */
obj_t BgL_portz00_960;
if(
INPUT_PORTP(BgL_arg1159z00_643))
{ /* Llib/process.scm 278 */
BgL_portz00_960 = BgL_arg1159z00_643; }  else 
{ 
obj_t BgL_auxz00_1590;
BgL_auxz00_1590 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1533z00zz__processz00, 
BINT(((long)11427)), BGl_string1572z00zz__processz00, BGl_string1574z00zz__processz00, BgL_arg1159z00_643); 
FAILURE(BgL_auxz00_1590,BFALSE,BFALSE);} 
return 
bgl_close_input_port(BgL_portz00_960);} }  else 
{ /* Llib/process.scm 277 */
return BFALSE;} } } 
}



/* &close-process-ports */
obj_t BGl_z62closezd2processzd2portsz62zz__processz00(obj_t BgL_envz00_1198, obj_t BgL_procz00_1199)
{ AN_OBJECT;
{ /* Llib/process.scm 272 */
{ /* Llib/process.scm 274 */
obj_t BgL_auxz00_1595;
if(
PROCESSP(BgL_procz00_1199))
{ /* Llib/process.scm 274 */
BgL_auxz00_1595 = BgL_procz00_1199
; }  else 
{ 
obj_t BgL_auxz00_1598;
BgL_auxz00_1598 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1533z00zz__processz00, 
BINT(((long)11227)), BGl_string1575z00zz__processz00, BGl_string1535z00zz__processz00, BgL_procz00_1199); 
FAILURE(BgL_auxz00_1598,BFALSE,BFALSE);} 
return 
BGl_closezd2processzd2portsz00zz__processz00(BgL_auxz00_1595);} } 
}



/* unregister-process */
BGL_EXPORTED_DEF obj_t BGl_unregisterzd2processzd2zz__processz00(obj_t BgL_procz00_19)
{ AN_OBJECT;
{ /* Llib/process.scm 283 */
return 
c_unregister_process(BgL_procz00_19);} 
}



/* &unregister-process */
obj_t BGl_z62unregisterzd2processzb0zz__processz00(obj_t BgL_envz00_1200, obj_t BgL_procz00_1201)
{ AN_OBJECT;
{ /* Llib/process.scm 283 */
{ /* Llib/process.scm 284 */
obj_t BgL_procz00_1273;
if(
PROCESSP(BgL_procz00_1201))
{ /* Llib/process.scm 284 */
BgL_procz00_1273 = BgL_procz00_1201; }  else 
{ 
obj_t BgL_auxz00_1606;
BgL_auxz00_1606 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1533z00zz__processz00, 
BINT(((long)11699)), BGl_string1576z00zz__processz00, BGl_string1535z00zz__processz00, BgL_procz00_1201); 
FAILURE(BgL_auxz00_1606,BFALSE,BFALSE);} 
return 
c_unregister_process(BgL_procz00_1273);} } 
}



/* object-init */
obj_t BGl_objectzd2initzd2zz__processz00()
{ AN_OBJECT;
{ /* Llib/process.scm 15 */
return BUNSPEC;} 
}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__processz00()
{ AN_OBJECT;
{ /* Llib/process.scm 15 */
return BUNSPEC;} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zz__processz00()
{ AN_OBJECT;
{ /* Llib/process.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__processz00()
{ AN_OBJECT;
{ /* Llib/process.scm 15 */
return 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)430898742), 
BSTRING_TO_STRING(BGl_string1577z00zz__processz00));} 
}

#ifdef __cplusplus
}
#endif
