/*===========================================================================*/
/*   (Lalr/driver.scm)                                                       */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Lalr/driver.scm -indent -o objs/obj_u/Lalr/driver.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	static long BGl_za2maxzd2stackzd2siza7eza2za7zz__lalr_driverz00;
	static obj_t BGl_requirezd2initializa7ationz75zz__lalr_driverz00 = BUNSPEC;
	extern obj_t bgl_system_failure(int, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl___makezd2parserzd2zz__lalr_driverz00(obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__lalr_driverz00();
	extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zz__lalr_driverz00();
	extern obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_objectzd2initzd2zz__lalr_driverz00();
	extern obj_t string_append_3(obj_t, obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	extern obj_t make_vector(int, obj_t);
	extern obj_t BGl_writez00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__lalr_driverz00();
	extern obj_t make_string(long, unsigned char);
	extern obj_t BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(obj_t);
	extern obj_t bgl_close_output_port(obj_t);
	static obj_t BGl_growzd2stackz12zc0zz__lalr_driverz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__lalr_driverz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern int bgl_debug();
	static obj_t BGl_cnstzd2initzd2zz__lalr_driverz00();
	static obj_t BGl_importedzd2moduleszd2initz00zz__lalr_driverz00();
	static obj_t BGl_symbol1503z00zz__lalr_driverz00 = BUNSPEC;
	static obj_t BGl_symbol1506z00zz__lalr_driverz00 = BUNSPEC;
	static obj_t BGl_z62__makezd2parserzb0zz__lalr_driverz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol1511z00zz__lalr_driverz00 = BUNSPEC;
	static obj_t BGl_symbol1513z00zz__lalr_driverz00 = BUNSPEC;
	static obj_t BGl_symbol1515z00zz__lalr_driverz00 = BUNSPEC;
	static long BGl_za2stackzd2siza7ezd2incrementza2za7zz__lalr_driverz00;
	static obj_t BGl_z62zc3anonymousza31140ze3ze1zz__lalr_driverz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string1504z00zz__lalr_driverz00,
		BgL_bgl_string1504za700za7za7_1520za7, "parser", 6);
	      DEFINE_STRING(BGl_string1505z00zz__lalr_driverz00,
		BgL_bgl_string1505za700za7za7_1521za7, "Illegal `#f' token", 18);
	      DEFINE_STRING(BGl_string1507z00zz__lalr_driverz00,
		BgL_bgl_string1507za700za7za7_1522za7, "*eoi*", 5);
	      DEFINE_STRING(BGl_string1508z00zz__lalr_driverz00,
		BgL_bgl_string1508za700za7za7_1523za7, "LALR TRACE: input=", 18);
	      DEFINE_STRING(BGl_string1509z00zz__lalr_driverz00,
		BgL_bgl_string1509za700za7za7_1524za7, " state=", 7);
	      DEFINE_STRING(BGl_string1510z00zz__lalr_driverz00,
		BgL_bgl_string1510za700za7za7_1525za7, " sp=", 4);
	      DEFINE_STRING(BGl_string1512z00zz__lalr_driverz00,
		BgL_bgl_string1512za700za7za7_1526za7, "accept", 6);
	      DEFINE_STRING(BGl_string1514z00zz__lalr_driverz00,
		BgL_bgl_string1514za700za7za7_1527za7, "*error*", 7);
	      DEFINE_STRING(BGl_string1516z00zz__lalr_driverz00,
		BgL_bgl_string1516za700za7za7_1528za7, "error", 5);
	      DEFINE_STRING(BGl_string1517z00zz__lalr_driverz00,
		BgL_bgl_string1517za700za7za7_1529za7, "parse error (unexpected token `",
		31);
	      DEFINE_STRING(BGl_string1518z00zz__lalr_driverz00,
		BgL_bgl_string1518za700za7za7_1530za7, "')", 2);
	      DEFINE_STRING(BGl_string1519z00zz__lalr_driverz00,
		BgL_bgl_string1519za700za7za7_1531za7, "__lalr_driver", 13);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl___makezd2parserzd2envz00zz__lalr_driverz00,
		BgL_bgl_za762__makeza7d2pars1532z00,
		BGl_z62__makezd2parserzb0zz__lalr_driverz00, 0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__lalr_driverz00(long
		BgL_checksumz00_1360, char *BgL_fromz00_1361)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__lalr_driverz00))
				{
					BGl_requirezd2initializa7ationz75zz__lalr_driverz00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__lalr_driverz00();
					BGl_importedzd2moduleszd2initz00zz__lalr_driverz00();
					BGl_toplevelzd2initzd2zz__lalr_driverz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__lalr_driverz00()
	{
		AN_OBJECT;
		{	/* Lalr/driver.scm 11 */
			BGl_symbol1503z00zz__lalr_driverz00 =
				bstring_to_symbol(BGl_string1504z00zz__lalr_driverz00);
			BGl_symbol1506z00zz__lalr_driverz00 =
				bstring_to_symbol(BGl_string1507z00zz__lalr_driverz00);
			BGl_symbol1511z00zz__lalr_driverz00 =
				bstring_to_symbol(BGl_string1512z00zz__lalr_driverz00);
			BGl_symbol1513z00zz__lalr_driverz00 =
				bstring_to_symbol(BGl_string1514z00zz__lalr_driverz00);
			return (BGl_symbol1515z00zz__lalr_driverz00 =
				bstring_to_symbol(BGl_string1516z00zz__lalr_driverz00), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__lalr_driverz00()
	{
		AN_OBJECT;
		{	/* Lalr/driver.scm 11 */
			BGl_za2maxzd2stackzd2siza7eza2za7zz__lalr_driverz00 = ((long) 500);
			return (BGl_za2stackzd2siza7ezd2incrementza2za7zz__lalr_driverz00 =
				((long) 200), BUNSPEC);
		}
	}



/* grow-stack! */
	obj_t BGl_growzd2stackz12zc0zz__lalr_driverz00(obj_t BgL_vz00_3)
	{
		AN_OBJECT;
		{	/* Lalr/driver.scm 51 */
			{	/* Lalr/driver.scm 52 */
				obj_t BgL_v2z00_647;

				{	/* Lalr/driver.scm 53 */
					long BgL_arg1139z00_655;

					BgL_arg1139z00_655 =
						((long) (VECTOR_LENGTH(BgL_vz00_3)) + ((long) 200));
					BgL_v2z00_647 =
						make_vector((int) (BgL_arg1139z00_655), BINT(((long) 0)));
				}
				{	/* Lalr/driver.scm 53 */

					{
						long BgL_iz00_985;

						BgL_iz00_985 = ((long) 0);
					BgL_loopz00_984:
						if ((BgL_iz00_985 < (long) (VECTOR_LENGTH(BgL_vz00_3))))
							{	/* Lalr/driver.scm 55 */
								VECTOR_SET(BgL_v2z00_647,
									(int) (BgL_iz00_985),
									VECTOR_REF(BgL_vz00_3, (int) (BgL_iz00_985)));
								{
									long BgL_iz00_1387;

									BgL_iz00_1387 = (BgL_iz00_985 + ((long) 1));
									BgL_iz00_985 = BgL_iz00_1387;
									goto BgL_loopz00_984;
								}
							}
						else
							{	/* Lalr/driver.scm 55 */
								return BgL_v2z00_647;
							}
					}
				}
			}
		}
	}



/* __make-parser */
	BGL_EXPORTED_DEF obj_t BGl___makezd2parserzd2zz__lalr_driverz00(obj_t
		BgL_actionzd2tablezd2_4, obj_t BgL_reductionzd2functionzd2_5)
	{
		AN_OBJECT;
		{	/* Lalr/driver.scm 61 */
			{	/* Lalr/driver.scm 63 */
				obj_t BgL_zc3anonymousza31140ze3z83_1350;

				BgL_zc3anonymousza31140ze3z83_1350 =
					MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31140ze3ze1zz__lalr_driverz00,
					(int) (((long) 3)), (int) (((long) 2)));
				PROCEDURE_SET(BgL_zc3anonymousza31140ze3z83_1350,
					(int) (((long) 0)), BgL_actionzd2tablezd2_4);
				PROCEDURE_SET(BgL_zc3anonymousza31140ze3z83_1350,
					(int) (((long) 1)), BgL_reductionzd2functionzd2_5);
				return BgL_zc3anonymousza31140ze3z83_1350;
			}
		}
	}



/* &__make-parser */
	obj_t BGl_z62__makezd2parserzb0zz__lalr_driverz00(obj_t BgL_envz00_1351,
		obj_t BgL_actionzd2tablezd2_1352, obj_t BgL_reductionzd2functionzd2_1353)
	{
		AN_OBJECT;
		{	/* Lalr/driver.scm 61 */
			return
				BGl___makezd2parserzd2zz__lalr_driverz00(BgL_actionzd2tablezd2_1352,
				BgL_reductionzd2functionzd2_1353);
		}
	}



/* &<anonymous:1140> */
	obj_t BGl_z62zc3anonymousza31140ze3ze1zz__lalr_driverz00(obj_t
		BgL_envz00_1354, obj_t BgL_rgcz00_1357, obj_t BgL_inputzd2portzd2_1358,
		obj_t BgL_iszd2eofzf3z21_1359)
	{
		AN_OBJECT;
		{	/* Lalr/driver.scm 63 */
			{	/* Lalr/driver.scm 63 */
				obj_t BgL_actionzd2tablezd2_1355;
				obj_t BgL_reductionzd2functionzd2_1356;

				BgL_actionzd2tablezd2_1355 =
					PROCEDURE_REF(BgL_envz00_1354, (int) (((long) 0)));
				BgL_reductionzd2functionzd2_1356 =
					PROCEDURE_REF(BgL_envz00_1354, (int) (((long) 1)));
				{
					obj_t BgL_rgcz00_656;
					obj_t BgL_inputzd2portzd2_657;
					obj_t BgL_iszd2eofzf3z21_658;

					BgL_rgcz00_656 = BgL_rgcz00_1357;
					BgL_inputzd2portzd2_657 = BgL_inputzd2portzd2_1358;
					BgL_iszd2eofzf3z21_658 = BgL_iszd2eofzf3z21_1359;
					{	/* Lalr/driver.scm 71 */
						obj_t BgL_stackz00_661;
						obj_t BgL_statez00_662;
						obj_t BgL_inputz00_663;
						obj_t BgL_inz00_664;
						obj_t BgL_attrz00_665;
						obj_t BgL_actsz00_666;
						obj_t BgL_actz00_667;
						bool_t BgL_eofzf3zf3_668;
						bool_t BgL_debugz00_669;

						BgL_stackz00_661 =
							make_vector((int) (((long) 500)), BINT(((long) 0)));
						BgL_statez00_662 = BFALSE;
						BgL_inputz00_663 = BFALSE;
						BgL_inz00_664 = BFALSE;
						BgL_attrz00_665 = BFALSE;
						BgL_actsz00_666 = BFALSE;
						BgL_actz00_667 = BFALSE;
						BgL_eofzf3zf3_668 = ((bool_t) 0);
						{	/* Lalr/driver.scm 79 */
							int BgL_arg1184z00_707;

							BgL_arg1184z00_707 = bgl_debug();
							BgL_debugz00_669 = ((long) (BgL_arg1184z00_707) >= ((long) 100));
						}
						{
							obj_t BgL_spz00_671;

							BgL_spz00_671 = BINT(((long) 0));
						BgL_zc3anonymousza31141ze3z83_672:
							BgL_statez00_662 =
								VECTOR_REF(BgL_stackz00_661, CINT(BgL_spz00_671));
							BgL_actsz00_666 =
								VECTOR_REF(BgL_actionzd2tablezd2_1355, CINT(BgL_statez00_662));
							if (NULLP(CDR(BgL_actsz00_666)))
								{	/* Lalr/driver.scm 86 */
									obj_t BgL_pairz00_1016;

									BgL_pairz00_1016 = BgL_actsz00_666;
									BgL_actz00_667 = CDR(CAR(BgL_pairz00_1016));
								}
							else
								{	/* Lalr/driver.scm 85 */
									if (CBOOL(BgL_inputz00_663))
										{	/* Lalr/driver.scm 88 */
											BFALSE;
										}
									else
										{	/* Lalr/driver.scm 88 */
											BgL_inputz00_663 =
												PROCEDURE_ENTRY(BgL_rgcz00_656) (BgL_rgcz00_656,
												BgL_inputzd2portzd2_657, BEOA);
										}
									if (CBOOL(BgL_inputz00_663))
										{	/* Lalr/driver.scm 90 */
											((bool_t) 0);
										}
									else
										{	/* Lalr/driver.scm 90 */
											bgl_system_failure(BGL_IO_PARSE_ERROR,
												BGl_symbol1503z00zz__lalr_driverz00,
												BGl_string1505z00zz__lalr_driverz00, BFALSE);
										}
									if (CBOOL(PROCEDURE_ENTRY(BgL_iszd2eofzf3z21_658)
											(BgL_iszd2eofzf3z21_658, BgL_inputz00_663, BEOA)))
										{	/* Lalr/driver.scm 96 */
											BgL_inz00_664 = BGl_symbol1506z00zz__lalr_driverz00;
											BgL_attrz00_665 = BFALSE;
											BgL_eofzf3zf3_668 = ((bool_t) 1);
										}
									else
										{	/* Lalr/driver.scm 96 */
											if (PAIRP(BgL_inputz00_663))
												{	/* Lalr/driver.scm 100 */
													BgL_inz00_664 = CAR(BgL_inputz00_663);
													BgL_attrz00_665 = CDR(BgL_inputz00_663);
												}
											else
												{	/* Lalr/driver.scm 100 */
													BgL_inz00_664 = BgL_inputz00_663;
													BgL_attrz00_665 = BFALSE;
												}
										}
									{	/* Lalr/driver.scm 107 */
										obj_t BgL_xz00_1024;
										obj_t BgL_lz00_1025;

										BgL_xz00_1024 = BgL_inz00_664;
										BgL_lz00_1025 = BgL_actsz00_666;
										{	/* Lalr/driver.scm 66 */
											obj_t BgL_yz00_1026;

											BgL_yz00_1026 =
												BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_xz00_1024,
												BgL_lz00_1025);
											if (CBOOL(BgL_yz00_1026))
												{	/* Lalr/driver.scm 67 */
													BgL_actz00_667 = CDR(BgL_yz00_1026);
												}
											else
												{	/* Lalr/driver.scm 67 */
													BgL_actz00_667 = CDR(CAR(BgL_lz00_1025));
												}
										}
									}
								}
							if (BgL_debugz00_669)
								{	/* Lalr/driver.scm 109 */
									{	/* Lalr/driver.scm 110 */
										obj_t BgL_arg1146z00_677;

										{	/* Lalr/driver.scm 110 */
											obj_t BgL_res1440z00_1033;

											{	/* Lalr/driver.scm 110 */
												obj_t BgL_auxz00_1442;

												BgL_auxz00_1442 = BGL_CURRENT_DYNAMIC_ENV();
												BgL_res1440z00_1033 =
													BGL_ENV_CURRENT_ERROR_PORT(BgL_auxz00_1442);
											}
											BgL_arg1146z00_677 = BgL_res1440z00_1033;
										}
										bgl_display_string(BGl_string1508z00zz__lalr_driverz00,
											BgL_arg1146z00_677);
									}
									{	/* Lalr/driver.scm 111 */
										obj_t BgL_arg1151z00_678;

										{	/* Lalr/driver.scm 111 */
											obj_t BgL_res1441z00_1037;

											{	/* Lalr/driver.scm 111 */
												obj_t BgL_auxz00_1446;

												BgL_auxz00_1446 = BGL_CURRENT_DYNAMIC_ENV();
												BgL_res1441z00_1037 =
													BGL_ENV_CURRENT_ERROR_PORT(BgL_auxz00_1446);
											}
											BgL_arg1151z00_678 = BgL_res1441z00_1037;
										}
										{	/* Lalr/driver.scm 111 */
											obj_t BgL_list1152z00_679;

											BgL_list1152z00_679 = MAKE_PAIR(BgL_arg1151z00_678, BNIL);
											BGl_writez00zz__r4_output_6_10_3z00(BgL_inz00_664,
												BgL_list1152z00_679);
										}
									}
									{	/* Lalr/driver.scm 112 */
										obj_t BgL_arg1153z00_680;

										{	/* Lalr/driver.scm 112 */
											obj_t BgL_res1442z00_1039;

											{	/* Lalr/driver.scm 112 */
												obj_t BgL_auxz00_1451;

												BgL_auxz00_1451 = BGL_CURRENT_DYNAMIC_ENV();
												BgL_res1442z00_1039 =
													BGL_ENV_CURRENT_ERROR_PORT(BgL_auxz00_1451);
											}
											BgL_arg1153z00_680 = BgL_res1442z00_1039;
										}
										bgl_display_string(BGl_string1509z00zz__lalr_driverz00,
											BgL_arg1153z00_680);
									}
									{	/* Lalr/driver.scm 113 */
										obj_t BgL_arg1157z00_681;

										{	/* Lalr/driver.scm 113 */
											obj_t BgL_res1443z00_1043;

											{	/* Lalr/driver.scm 113 */
												obj_t BgL_auxz00_1455;

												BgL_auxz00_1455 = BGL_CURRENT_DYNAMIC_ENV();
												BgL_res1443z00_1043 =
													BGL_ENV_CURRENT_ERROR_PORT(BgL_auxz00_1455);
											}
											BgL_arg1157z00_681 = BgL_res1443z00_1043;
										}
										{	/* Lalr/driver.scm 113 */
											obj_t BgL_list1158z00_682;

											BgL_list1158z00_682 = MAKE_PAIR(BgL_arg1157z00_681, BNIL);
											BGl_writez00zz__r4_output_6_10_3z00(BgL_statez00_662,
												BgL_list1158z00_682);
										}
									}
									{	/* Lalr/driver.scm 114 */
										obj_t BgL_arg1159z00_683;

										{	/* Lalr/driver.scm 114 */
											obj_t BgL_res1444z00_1045;

											{	/* Lalr/driver.scm 114 */
												obj_t BgL_auxz00_1460;

												BgL_auxz00_1460 = BGL_CURRENT_DYNAMIC_ENV();
												BgL_res1444z00_1045 =
													BGL_ENV_CURRENT_ERROR_PORT(BgL_auxz00_1460);
											}
											BgL_arg1159z00_683 = BgL_res1444z00_1045;
										}
										bgl_display_string(BGl_string1510z00zz__lalr_driverz00,
											BgL_arg1159z00_683);
									}
									{	/* Lalr/driver.scm 115 */
										obj_t BgL_arg1160z00_684;

										{	/* Lalr/driver.scm 115 */
											obj_t BgL_res1445z00_1049;

											{	/* Lalr/driver.scm 115 */
												obj_t BgL_auxz00_1464;

												BgL_auxz00_1464 = BGL_CURRENT_DYNAMIC_ENV();
												BgL_res1445z00_1049 =
													BGL_ENV_CURRENT_ERROR_PORT(BgL_auxz00_1464);
											}
											BgL_arg1160z00_684 = BgL_res1445z00_1049;
										}
										{	/* Lalr/driver.scm 115 */
											obj_t BgL_list1161z00_685;

											BgL_list1161z00_685 = MAKE_PAIR(BgL_arg1160z00_684, BNIL);
											BGl_writez00zz__r4_output_6_10_3z00(BgL_spz00_671,
												BgL_list1161z00_685);
										}
									}
									{	/* Lalr/driver.scm 116 */
										obj_t BgL_arg1164z00_686;

										{	/* Lalr/driver.scm 116 */
											obj_t BgL_res1446z00_1051;

											{	/* Lalr/driver.scm 116 */
												obj_t BgL_auxz00_1469;

												BgL_auxz00_1469 = BGL_CURRENT_DYNAMIC_ENV();
												BgL_res1446z00_1051 =
													BGL_ENV_CURRENT_ERROR_PORT(BgL_auxz00_1469);
											}
											BgL_arg1164z00_686 = BgL_res1446z00_1051;
										}
										bgl_display_char(((unsigned char) '\n'),
											BgL_arg1164z00_686);
								}}
							else
								{	/* Lalr/driver.scm 109 */
									BFALSE;
								}
							if ((BgL_actz00_667 == BGl_symbol1511z00zz__lalr_driverz00))
								{	/* Lalr/driver.scm 121 */
									return VECTOR_REF(BgL_stackz00_661, (int) (((long) 1)));
								}
							else
								{	/* Lalr/driver.scm 125 */
									bool_t BgL_testz00_1477;

									if ((BgL_actz00_667 == BGl_symbol1513z00zz__lalr_driverz00))
										{	/* Lalr/driver.scm 125 */
											BgL_testz00_1477 = ((bool_t) 1);
										}
									else
										{	/* Lalr/driver.scm 125 */
											BgL_testz00_1477 =
												(BgL_actz00_667 == BGl_symbol1515z00zz__lalr_driverz00);
										}
									if (BgL_testz00_1477)
										{	/* Lalr/driver.scm 126 */
											obj_t BgL_msgz00_689;

											{	/* Lalr/driver.scm 129 */
												obj_t BgL_arg1167z00_690;

												if (SYMBOLP(BgL_inz00_664))
													{	/* Lalr/driver.scm 130 */
														obj_t BgL_res1448z00_1059;

														{	/* Lalr/driver.scm 130 */
															obj_t BgL_symbolz00_1057;

															BgL_symbolz00_1057 = BgL_inz00_664;
															{	/* Lalr/driver.scm 130 */
																obj_t BgL_arg1372z00_1058;

																BgL_arg1372z00_1058 =
																	SYMBOL_TO_STRING(BgL_symbolz00_1057);
																BgL_res1448z00_1059 =
																	BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																	(BgL_arg1372z00_1058);
															}
														}
														BgL_arg1167z00_690 = BgL_res1448z00_1059;
													}
												else
													{	/* Lalr/driver.scm 129 */
														if (CHARP(BgL_inz00_664))
															{	/* Lalr/driver.scm 132 */
																obj_t BgL_res1450z00_1064;

																{	/* Lalr/driver.scm 132 */
																	obj_t BgL_charz00_1063;

																	BgL_charz00_1063 = BgL_inz00_664;
																	BgL_res1450z00_1064 =
																		make_string(((long) 1),
																		CCHAR(BgL_charz00_1063));
																}
																BgL_arg1167z00_690 = BgL_res1450z00_1064;
															}
														else
															{	/* Lalr/driver.scm 134 */
																obj_t BgL_portz00_693;

																{	/* Lalr/driver.scm 134 */

																	{	/* Ieee/port.scm 417 */

																		BgL_portz00_693 =
																			BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00
																			(BTRUE);
																	}
																}
																{	/* Lalr/driver.scm 135 */
																	obj_t BgL_list1170z00_694;

																	BgL_list1170z00_694 =
																		MAKE_PAIR(BgL_portz00_693, BNIL);
																	BGl_writez00zz__r4_output_6_10_3z00
																		(BgL_inz00_664, BgL_list1170z00_694);
																}
																BgL_arg1167z00_690 =
																	bgl_close_output_port(BgL_portz00_693);
															}
													}
												BgL_msgz00_689 =
													string_append_3(BGl_string1517z00zz__lalr_driverz00,
													BgL_arg1167z00_690,
													BGl_string1518z00zz__lalr_driverz00);
											}
											return
												bgl_system_failure(BGL_IO_PARSE_ERROR,
												BGl_string1504z00zz__lalr_driverz00, BgL_msgz00_689,
												BgL_inputz00_663);
										}
									else
										{	/* Lalr/driver.scm 125 */
											if (((long) CINT(BgL_actz00_667) >= ((long) 0)))
												{	/* Lalr/driver.scm 141 */
													{	/* Lalr/driver.scm 142 */
														bool_t BgL_testz00_1498;

														{	/* Lalr/driver.scm 142 */
															long BgL_arg1173z00_698;

															{	/* Lalr/driver.scm 142 */
																int BgL_arg1174z00_699;

																BgL_arg1174z00_699 =
																	VECTOR_LENGTH(BgL_stackz00_661);
																BgL_arg1173z00_698 =
																	((long) (BgL_arg1174z00_699) - ((long) 4));
															}
															BgL_testz00_1498 =
																(
																(long) CINT(BgL_spz00_671) >=
																BgL_arg1173z00_698);
														}
														if (BgL_testz00_1498)
															{	/* Lalr/driver.scm 142 */
																BgL_stackz00_661 =
																	BGl_growzd2stackz12zc0zz__lalr_driverz00
																	(BgL_stackz00_661);
															}
														else
															{	/* Lalr/driver.scm 142 */
																BFALSE;
															}
													}
													{	/* Lalr/driver.scm 144 */
														long BgL_arg1175z00_700;

														BgL_arg1175z00_700 =
															((long) CINT(BgL_spz00_671) + ((long) 1));
														VECTOR_SET(BgL_stackz00_661,
															(int) (BgL_arg1175z00_700), BgL_attrz00_665);
													}
													{	/* Lalr/driver.scm 145 */
														long BgL_arg1176z00_701;

														BgL_arg1176z00_701 =
															((long) CINT(BgL_spz00_671) + ((long) 2));
														VECTOR_SET(BgL_stackz00_661,
															(int) (BgL_arg1176z00_701), BgL_actz00_667);
													}
													if (BgL_eofzf3zf3_668)
														{	/* Lalr/driver.scm 146 */
															BFALSE;
														}
													else
														{	/* Lalr/driver.scm 146 */
															BgL_inputz00_663 = BFALSE;
														}
													{	/* Lalr/driver.scm 148 */
														long BgL_arg1177z00_702;

														BgL_arg1177z00_702 =
															((long) CINT(BgL_spz00_671) + ((long) 2));
														{
															obj_t BgL_spz00_1516;

															BgL_spz00_1516 = BINT(BgL_arg1177z00_702);
															BgL_spz00_671 = BgL_spz00_1516;
															goto BgL_zc3anonymousza31141ze3z83_672;
														}
													}
												}
											else
												{	/* Lalr/driver.scm 152 */
													obj_t BgL_arg1179z00_703;

													{	/* Lalr/driver.scm 152 */
														long BgL_arg1180z00_704;

														BgL_arg1180z00_704 =
															NEG((long) CINT(BgL_actz00_667));
														BgL_arg1179z00_703 =
															PROCEDURE_ENTRY(BgL_reductionzd2functionzd2_1356)
															(BgL_reductionzd2functionzd2_1356,
															BINT(BgL_arg1180z00_704), BgL_stackz00_661,
															BgL_spz00_671, BEOA);
													}
													{
														obj_t BgL_spz00_1527;

														BgL_spz00_1527 = BgL_arg1179z00_703;
														BgL_spz00_671 = BgL_spz00_1527;
														goto BgL_zc3anonymousza31141ze3z83_672;
													}
												}
										}
								}
						}
					}
				}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__lalr_driverz00()
	{
		AN_OBJECT;
		{	/* Lalr/driver.scm 11 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__lalr_driverz00()
	{
		AN_OBJECT;
		{	/* Lalr/driver.scm 11 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__lalr_driverz00()
	{
		AN_OBJECT;
		{	/* Lalr/driver.scm 11 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__lalr_driverz00()
	{
		AN_OBJECT;
		{	/* Lalr/driver.scm 11 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 430898742),
				BSTRING_TO_STRING(BGl_string1519z00zz__lalr_driverz00));
			return
				BGl_modulezd2initializa7ationz75zz__paramz00(((long) 441709255),
				BSTRING_TO_STRING(BGl_string1519z00zz__lalr_driverz00));
		}
	}

#ifdef __cplusplus
}
#endif
