/*===========================================================================*/
/*   (Llib/param.scm)                                                        */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Llib/param.scm -indent -o objs/obj_u/Llib/param.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	static obj_t
		BGl_z62bigloozd2dnszd2cachezd2validityzd2timeoutz62zz__paramz00(obj_t);
	static obj_t BGl_z62bigloozd2loadzd2modulezd2setz12za2zz__paramz00(obj_t,
		obj_t);
	static obj_t BGl_z62bigloozd2debugzd2modulezd2setz12za2zz__paramz00(obj_t,
		obj_t);
	static obj_t BGl_list1487z00zz__paramz00 = BUNSPEC;
	BGL_EXPORTED_DECL bool_t
		BGl_bigloozd2strictzd2r5rszd2stringszd2zz__paramz00();
	static obj_t BGl_za2parameterzd2mutexza2zd2zz__paramz00 = BUNSPEC;
	static bool_t BGl_za2bigloozd2evalzd2strictzd2moduleza2zd2zz__paramz00;
	BGL_EXPORTED_DECL int BGl_bigloozd2warningzd2zz__paramz00();
	BGL_EXPORTED_DECL obj_t BGl_bigloozd2loadzd2readerz00zz__paramz00();
	static obj_t BGl_z62bigloozd2debugzd2setz12z70zz__paramz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__paramz00 = BUNSPEC;
	static obj_t BGl_za2bigloozd2debugzd2moduleza2z00zz__paramz00 = BUNSPEC;
	static obj_t
		BGl_z62bigloozd2tracezd2stackzd2depthzd2setz12z70zz__paramz00(obj_t, obj_t);
	static obj_t BGl_z62bigloozd2tracezd2stackzd2depthzb0zz__paramz00(obj_t);
	static obj_t BGl_z62bigloozd2debugzd2modulez62zz__paramz00(obj_t);
	static obj_t BGl_z62bigloozd2evalzd2strictzd2modulezb0zz__paramz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_bigloozd2dnszd2cachezd2validityzd2timeoutzd2setz12zc0zz__paramz00(long);
	BGL_EXPORTED_DECL obj_t
		BGl_bigloozd2compilerzd2debugzd2setz12zc0zz__paramz00(int);
	static obj_t BGl_za2bigloozd2warningza2zd2zz__paramz00 = BUNSPEC;
	static obj_t BGl_z62bigloozd2debugzb0zz__paramz00(obj_t);
	static obj_t BGl_z62bigloozd2strictzd2r5rszd2stringszb0zz__paramz00(obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__configurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_EXPORTED_DECL obj_t BGl_bigloozd2loadzd2modulez00zz__paramz00();
	static obj_t
		BGl_z62bigloozd2dnszd2enablezd2cachezd2setz12z70zz__paramz00(obj_t, obj_t);
	static obj_t BGl_za2bigloozd2debugza2zd2zz__paramz00 = BUNSPEC;
	static obj_t
		BGl_z62bigloozd2evalzd2strictzd2modulezd2setz12z70zz__paramz00(obj_t,
		obj_t);
	static obj_t BGl_z62bigloozd2loadzd2readerz62zz__paramz00(obj_t);
	BGL_EXPORTED_DECL long bgl_dns_cache_validity_timeout();
	static obj_t BGl_toplevelzd2initzd2zz__paramz00();
	BGL_EXPORTED_DECL int bgl_debug();
	static bool_t BGl_za2bigloozd2dnszd2enablezd2cacheza2zd2zz__paramz00;
	static obj_t BGl_z62bigloozd2compilerzd2debugzd2setz12za2zz__paramz00(obj_t,
		obj_t);
	static obj_t BGl_za2bigloozd2loadzd2readerza2z00zz__paramz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_bigloozd2dnszd2enablezd2cachezd2setz12z12zz__paramz00(bool_t);
	static obj_t BGl_z62bigloozd2warningzd2setz12z70zz__paramz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_bigloozd2initializa7edz12z67zz__paramz00();
	static obj_t BGl_z62bigloozd2loadzd2modulez62zz__paramz00(obj_t);
	BGL_EXPORTED_DECL bool_t bgl_dns_enable_cache();
	BGL_EXPORTED_DECL obj_t
		BGl_bigloozd2casezd2sensitivezd2setz12zc0zz__paramz00(obj_t);
	static obj_t BGl_z62bigloozd2dnszd2enablezd2cachezb0zz__paramz00(obj_t);
	extern obj_t BGl_getenvz00zz__osz00(char *);
	BGL_EXPORTED_DECL obj_t bgl_debug_set(int);
	static obj_t BGl_cnstzd2initzd2zz__paramz00();
	extern bool_t BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
	static obj_t BGl_genericzd2initzd2zz__paramz00();
	BGL_EXPORTED_DECL bool_t BGl_bigloozd2initializa7edzf3z86zz__paramz00();
	BGL_EXPORTED_DECL bool_t BGl_bigloozd2evalzd2strictzd2modulezd2zz__paramz00();
	static obj_t BGl_importedzd2moduleszd2initz00zz__paramz00();
	static obj_t BGl_objectzd2initzd2zz__paramz00();
	static obj_t BGl_z62bigloozd2libraryzd2pathz62zz__paramz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_bigloozd2modulezd2extensionzd2handlerzd2zz__paramz00();
	static obj_t
		BGl_z62bigloozd2modulezd2extensionzd2handlerzb0zz__paramz00(obj_t);
	static obj_t BGl_z62bigloozd2casezd2sensitivezd2setz12za2zz__paramz00(obj_t,
		obj_t);
	extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_bigloozd2libraryzd2pathzd2setz12zc0zz__paramz00(obj_t);
	static obj_t BGl_za2bigloozd2modulezd2extensionzd2handlerza2zd2zz__paramz00 =
		BUNSPEC;
	static bool_t BGl_za2bigloozd2tracezd2colorza2z00zz__paramz00;
	extern obj_t BGl_bigloozd2configzd2zz__configurez00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_bigloozd2casezd2sensitivez00zz__paramz00();
	BGL_EXPORTED_DECL obj_t
		BGl_bigloozd2evalzd2strictzd2modulezd2setz12z12zz__paramz00(bool_t);
	BGL_EXPORTED_DECL bool_t BGl_bigloozd2tracezd2colorz00zz__paramz00();
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_za2bigloozd2loadzd2moduleza2z00zz__paramz00 = BUNSPEC;
	BGL_EXPORTED_DECL int BGl_bigloozd2compilerzd2debugz00zz__paramz00();
	BGL_EXPORTED_DECL obj_t
		BGl_bigloozd2debugzd2modulezd2setz12zc0zz__paramz00(int);
	BGL_EXPORTED_DECL int BGl_bigloozd2debugzd2modulez00zz__paramz00();
	static obj_t
		BGl_z62bigloozd2modulezd2extensionzd2handlerzd2setz12z70zz__paramz00(obj_t,
		obj_t);
	static long
		BGl_za2bigloozd2dnszd2cachezd2validityzd2timeoutza2z00zz__paramz00;
	static obj_t BGl_za2bigloozd2compilerzd2debugza2z00zz__paramz00 = BUNSPEC;
	static obj_t BGl_methodzd2initzd2zz__paramz00();
	static bool_t BGl_za2bigloozd2initializa7edpza2z75zz__paramz00;
	static obj_t BGl_symbol1464z00zz__paramz00 = BUNSPEC;
	static obj_t BGl_z62bigloozd2warningzb0zz__paramz00(obj_t);
	static obj_t BGl_symbol1466z00zz__paramz00 = BUNSPEC;
	static obj_t BGl_symbol1469z00zz__paramz00 = BUNSPEC;
	static obj_t BGl_z62bigloozd2tracezd2colorz62zz__paramz00(obj_t);
	static obj_t BGl_za2bigloozd2libraryzd2pathza2z00zz__paramz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_bigloozd2strictzd2r5rszd2stringszd2setz12z12zz__paramz00(bool_t);
	static obj_t
		BGl_z62bigloozd2strictzd2r5rszd2stringszd2setz12z70zz__paramz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL int BGl_bigloozd2tracezd2stackzd2depthzd2zz__paramz00();
	BGL_EXPORTED_DECL obj_t
		BGl_bigloozd2modulezd2extensionzd2handlerzd2setz12z12zz__paramz00(obj_t);
	static obj_t BGl_symbol1475z00zz__paramz00 = BUNSPEC;
	static obj_t BGl_zc3anonymousza31146ze3z83zz__paramz00(obj_t);
	static obj_t BGl_symbol1478z00zz__paramz00 = BUNSPEC;
	static obj_t BGl_z62bigloozd2casezd2sensitivez62zz__paramz00(obj_t);
	static obj_t
		BGl_z62bigloozd2dnszd2cachezd2validityzd2timeoutzd2setz12za2zz__paramz00
		(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_bigloozd2warningzd2setz12z12zz__paramz00(int);
	static obj_t BGl_za2bigloozd2casezd2sensitiveza2z00zz__paramz00 = BUNSPEC;
	static obj_t BGl_symbol1482z00zz__paramz00 = BUNSPEC;
	static obj_t BGl_z62bigloozd2initializa7edz12z05zz__paramz00(obj_t);
	static bool_t BGl_za2bigloozd2strictzd2r5rszd2stringsza2zd2zz__paramz00;
	static obj_t BGl_symbol1488z00zz__paramz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_bigloozd2tracezd2stackzd2depthzd2setz12z12zz__paramz00(int);
	static obj_t BGl_z62bigloozd2libraryzd2pathzd2setz12za2zz__paramz00(obj_t,
		obj_t);
	static obj_t BGl_z62bigloozd2compilerzd2debugz62zz__paramz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_bigloozd2tracezd2colorzd2setz12zc0zz__paramz00(bool_t);
	static obj_t BGl_symbol1490z00zz__paramz00 = BUNSPEC;
	static obj_t BGl_z62bigloozd2initializa7edzf3ze4zz__paramz00(obj_t);
	static obj_t BGl_z62bigloozd2tracezd2colorzd2setz12za2zz__paramz00(obj_t,
		obj_t);
	static obj_t BGl_symbol1496z00zz__paramz00 = BUNSPEC;
	extern long BGl_stringzd2ze3integerz31zz__r4_numbers_6_5_fixnumz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_bigloozd2libraryzd2pathz00zz__paramz00();
	BGL_EXPORTED_DECL obj_t
		BGl_bigloozd2loadzd2readerzd2setz12zc0zz__paramz00(obj_t);
	static obj_t BGl_z62bigloozd2loadzd2readerzd2setz12za2zz__paramz00(obj_t,
		obj_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static long BGl_za2bigloozd2tracezd2stackzd2depthza2zd2zz__paramz00;
	BGL_EXPORTED_DECL obj_t
		BGl_bigloozd2loadzd2modulezd2setz12zc0zz__paramz00(obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bigloozd2dnszd2cachezd2validityzd2timeoutzd2setz12zd2envz12zz__paramz00,
		BgL_bgl_za762biglooza7d2dnsza71505za7,
		BGl_z62bigloozd2dnszd2cachezd2validityzd2timeoutzd2setz12za2zz__paramz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_bigloozd2loadzd2modulezd2envzd2zz__paramz00,
		BgL_bgl_za762biglooza7d2load1506z00,
		BGl_z62bigloozd2loadzd2modulez62zz__paramz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bigloozd2modulezd2extensionzd2handlerzd2setz12zd2envzc0zz__paramz00,
		BgL_bgl_za762biglooza7d2modu1507z00,
		BGl_z62bigloozd2modulezd2extensionzd2handlerzd2setz12z70zz__paramz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1500z00zz__paramz00,
		BgL_bgl_string1500za700za7za7_1508za7, "&bigloo-library-path-set!", 25);
	      DEFINE_STRING(BGl_string1501z00zz__paramz00,
		BgL_bgl_string1501za700za7za7_1509za7, "pair-nil", 8);
	      DEFINE_STRING(BGl_string1502z00zz__paramz00,
		BgL_bgl_string1502za700za7za7_1510za7,
		"&bigloo-dns-cache-validity-timeout-set!", 39);
	      DEFINE_STRING(BGl_string1503z00zz__paramz00,
		BgL_bgl_string1503za700za7za7_1511za7, "__param", 7);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_bigloozd2debugzd2envz00zz__paramz00,
		BgL_bgl_za762biglooza7d2debu1512z00, BGl_z62bigloozd2debugzb0zz__paramz00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bigloozd2initializa7edz12zd2envzb5zz__paramz00,
		BgL_bgl_za762biglooza7d2init1513z00,
		BGl_z62bigloozd2initializa7edz12z05zz__paramz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_bigloozd2loadzd2readerzd2envzd2zz__paramz00,
		BgL_bgl_za762biglooza7d2load1514z00,
		BGl_z62bigloozd2loadzd2readerz62zz__paramz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bigloozd2tracezd2colorzd2setz12zd2envz12zz__paramz00,
		BgL_bgl_za762biglooza7d2trac1515z00,
		BGl_z62bigloozd2tracezd2colorzd2setz12za2zz__paramz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bigloozd2debugzd2modulezd2envzd2zz__paramz00,
		BgL_bgl_za762biglooza7d2debu1516z00,
		BGl_z62bigloozd2debugzd2modulez62zz__paramz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bigloozd2modulezd2extensionzd2handlerzd2envz00zz__paramz00,
		BgL_bgl_za762biglooza7d2modu1517z00,
		BGl_z62bigloozd2modulezd2extensionzd2handlerzb0zz__paramz00, 0L, BUNSPEC,
		0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bigloozd2loadzd2modulezd2setz12zd2envz12zz__paramz00,
		BgL_bgl_za762biglooza7d2load1518z00,
		BGl_z62bigloozd2loadzd2modulezd2setz12za2zz__paramz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bigloozd2casezd2sensitivezd2envzd2zz__paramz00,
		BgL_bgl_za762biglooza7d2case1519z00,
		BGl_z62bigloozd2casezd2sensitivez62zz__paramz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string1462z00zz__paramz00,
		BgL_bgl_string1462za700za7za7_1520za7, "param", 5);
	      DEFINE_STRING(BGl_string1463z00zz__paramz00,
		BgL_bgl_string1463za700za7za7_1521za7, "BIGLOOSTACKDEPTH", 16);
	      DEFINE_STRING(BGl_string1465z00zz__paramz00,
		BgL_bgl_string1465za700za7za7_1522za7, "sensitive", 9);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bigloozd2strictzd2r5rszd2stringszd2envz00zz__paramz00,
		BgL_bgl_za762biglooza7d2stri1523z00,
		BGl_z62bigloozd2strictzd2r5rszd2stringszb0zz__paramz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string1467z00zz__paramz00,
		BgL_bgl_string1467za700za7za7_1524za7, "library-directory", 17);
	      DEFINE_STRING(BGl_string1468z00zz__paramz00,
		BgL_bgl_string1468za700za7za7_1525za7, ".", 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bigloozd2dnszd2enablezd2cachezd2setz12zd2envzc0zz__paramz00,
		BgL_bgl_za762biglooza7d2dnsza71526za7,
		BGl_z62bigloozd2dnszd2enablezd2cachezd2setz12z70zz__paramz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bigloozd2evalzd2strictzd2modulezd2setz12zd2envzc0zz__paramz00,
		BgL_bgl_za762biglooza7d2eval1527z00,
		BGl_z62bigloozd2evalzd2strictzd2modulezd2setz12z70zz__paramz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_bigloozd2tracezd2colorzd2envzd2zz__paramz00,
		BgL_bgl_za762biglooza7d2trac1528z00,
		BGl_z62bigloozd2tracezd2colorz62zz__paramz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string1470z00zz__paramz00,
		BgL_bgl_string1470za700za7za7_1529za7, "bigloo-compiler-debug-set!", 26);
	      DEFINE_STRING(BGl_string1471z00zz__paramz00,
		BgL_bgl_string1471za700za7za7_1530za7, "Illegal debug level", 19);
	      DEFINE_STRING(BGl_string1472z00zz__paramz00,
		BgL_bgl_string1472za700za7za7_1531za7, "/tmp/bigloo/runtime/Llib/param.scm",
		34);
	      DEFINE_STRING(BGl_string1473z00zz__paramz00,
		BgL_bgl_string1473za700za7za7_1532za7, "&bigloo-compiler-debug-set!", 27);
	      DEFINE_STRING(BGl_string1474z00zz__paramz00,
		BgL_bgl_string1474za700za7za7_1533za7, "bint", 4);
	      DEFINE_STRING(BGl_string1476z00zz__paramz00,
		BgL_bgl_string1476za700za7za7_1534za7, "bigloo-debug-set!", 17);
	      DEFINE_STRING(BGl_string1477z00zz__paramz00,
		BgL_bgl_string1477za700za7za7_1535za7, "&bigloo-debug-set!", 18);
	      DEFINE_STRING(BGl_string1479z00zz__paramz00,
		BgL_bgl_string1479za700za7za7_1536za7, "bigloo-debug-module-set!", 24);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bigloozd2tracezd2stackzd2depthzd2setz12zd2envzc0zz__paramz00,
		BgL_bgl_za762biglooza7d2trac1537z00,
		BGl_z62bigloozd2tracezd2stackzd2depthzd2setz12z70zz__paramz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bigloozd2compilerzd2debugzd2envzd2zz__paramz00,
		BgL_bgl_za762biglooza7d2comp1538z00,
		BGl_z62bigloozd2compilerzd2debugz62zz__paramz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string1480z00zz__paramz00,
		BgL_bgl_string1480za700za7za7_1539za7, "Illegal debug module level", 26);
	      DEFINE_STRING(BGl_string1481z00zz__paramz00,
		BgL_bgl_string1481za700za7za7_1540za7, "&bigloo-debug-module-set!", 25);
	      DEFINE_STRING(BGl_string1483z00zz__paramz00,
		BgL_bgl_string1483za700za7za7_1541za7, "bigloo-warning-set!", 19);
	      DEFINE_STRING(BGl_string1484z00zz__paramz00,
		BgL_bgl_string1484za700za7za7_1542za7, "Illegal warning level", 21);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bigloozd2compilerzd2debugzd2setz12zd2envz12zz__paramz00,
		BgL_bgl_za762biglooza7d2comp1543z00,
		BGl_z62bigloozd2compilerzd2debugzd2setz12za2zz__paramz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1485z00zz__paramz00,
		BgL_bgl_string1485za700za7za7_1544za7, "&bigloo-warning-set!", 20);
	      DEFINE_STRING(BGl_string1486z00zz__paramz00,
		BgL_bgl_string1486za700za7za7_1545za7, "&bigloo-trace-stack-depth-set!",
		30);
	      DEFINE_STRING(BGl_string1489z00zz__paramz00,
		BgL_bgl_string1489za700za7za7_1546za7, "downcase", 8);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bigloozd2loadzd2readerzd2setz12zd2envz12zz__paramz00,
		BgL_bgl_za762biglooza7d2load1547z00,
		BGl_z62bigloozd2loadzd2readerzd2setz12za2zz__paramz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bigloozd2strictzd2r5rszd2stringszd2setz12zd2envzc0zz__paramz00,
		BgL_bgl_za762biglooza7d2stri1548z00,
		BGl_z62bigloozd2strictzd2r5rszd2stringszd2setz12z70zz__paramz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1491z00zz__paramz00,
		BgL_bgl_string1491za700za7za7_1549za7, "upcase", 6);
	      DEFINE_STRING(BGl_string1492z00zz__paramz00,
		BgL_bgl_string1492za700za7za7_1550za7, "bigloo-sensitivity-set!", 23);
	      DEFINE_STRING(BGl_string1493z00zz__paramz00,
		BgL_bgl_string1493za700za7za7_1551za7, "Illegal sensitive value", 23);
	      DEFINE_STRING(BGl_string1494z00zz__paramz00,
		BgL_bgl_string1494za700za7za7_1552za7, "&bigloo-case-sensitive-set!", 27);
	      DEFINE_STRING(BGl_string1495z00zz__paramz00,
		BgL_bgl_string1495za700za7za7_1553za7, "symbol", 6);
	      DEFINE_STRING(BGl_string1497z00zz__paramz00,
		BgL_bgl_string1497za700za7za7_1554za7, "bigloo-library-path-set!", 24);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bigloozd2dnszd2cachezd2validityzd2timeoutzd2envzd2zz__paramz00,
		BgL_bgl_za762biglooza7d2dnsza71555za7,
		BGl_z62bigloozd2dnszd2cachezd2validityzd2timeoutz62zz__paramz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STRING(BGl_string1498z00zz__paramz00,
		BgL_bgl_string1498za700za7za7_1556za7, "Illegal values", 14);
	      DEFINE_STRING(BGl_string1499z00zz__paramz00,
		BgL_bgl_string1499za700za7za7_1557za7, "Illegal list", 12);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_bigloozd2warningzd2envz00zz__paramz00,
		BgL_bgl_za762biglooza7d2warn1558z00, BGl_z62bigloozd2warningzb0zz__paramz00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bigloozd2casezd2sensitivezd2setz12zd2envz12zz__paramz00,
		BgL_bgl_za762biglooza7d2case1559z00,
		BGl_z62bigloozd2casezd2sensitivezd2setz12za2zz__paramz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bigloozd2debugzd2setz12zd2envzc0zz__paramz00,
		BgL_bgl_za762biglooza7d2debu1560z00,
		BGl_z62bigloozd2debugzd2setz12z70zz__paramz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bigloozd2debugzd2modulezd2setz12zd2envz12zz__paramz00,
		BgL_bgl_za762biglooza7d2debu1561z00,
		BGl_z62bigloozd2debugzd2modulezd2setz12za2zz__paramz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bigloozd2initializa7edzf3zd2envz54zz__paramz00,
		BgL_bgl_za762biglooza7d2init1562z00,
		BGl_z62bigloozd2initializa7edzf3ze4zz__paramz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bigloozd2evalzd2strictzd2modulezd2envz00zz__paramz00,
		BgL_bgl_za762biglooza7d2eval1563z00,
		BGl_z62bigloozd2evalzd2strictzd2modulezb0zz__paramz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bigloozd2libraryzd2pathzd2envzd2zz__paramz00,
		BgL_bgl_za762biglooza7d2libr1564z00,
		BGl_z62bigloozd2libraryzd2pathz62zz__paramz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bigloozd2libraryzd2pathzd2setz12zd2envz12zz__paramz00,
		BgL_bgl_za762biglooza7d2libr1565z00,
		BGl_z62bigloozd2libraryzd2pathzd2setz12za2zz__paramz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bigloozd2tracezd2stackzd2depthzd2envz00zz__paramz00,
		BgL_bgl_za762biglooza7d2trac1566z00,
		BGl_z62bigloozd2tracezd2stackzd2depthzb0zz__paramz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bigloozd2warningzd2setz12zd2envzc0zz__paramz00,
		BgL_bgl_za762biglooza7d2warn1567z00,
		BGl_z62bigloozd2warningzd2setz12z70zz__paramz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bigloozd2dnszd2enablezd2cachezd2envz00zz__paramz00,
		BgL_bgl_za762biglooza7d2dnsza71568za7,
		BGl_z62bigloozd2dnszd2enablezd2cachezb0zz__paramz00, 0L, BUNSPEC, 0);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long
		BgL_checksumz00_1133, char *BgL_fromz00_1134)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__paramz00))
				{
					BGl_requirezd2initializa7ationz75zz__paramz00 = BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__paramz00();
					BGl_importedzd2moduleszd2initz00zz__paramz00();
					BGl_toplevelzd2initzd2zz__paramz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__paramz00()
	{
		AN_OBJECT;
		{	/* Llib/param.scm 15 */
			BGl_symbol1464z00zz__paramz00 =
				bstring_to_symbol(BGl_string1465z00zz__paramz00);
			BGl_symbol1466z00zz__paramz00 =
				bstring_to_symbol(BGl_string1467z00zz__paramz00);
			BGl_symbol1469z00zz__paramz00 =
				bstring_to_symbol(BGl_string1470z00zz__paramz00);
			BGl_symbol1475z00zz__paramz00 =
				bstring_to_symbol(BGl_string1476z00zz__paramz00);
			BGl_symbol1478z00zz__paramz00 =
				bstring_to_symbol(BGl_string1479z00zz__paramz00);
			BGl_symbol1482z00zz__paramz00 =
				bstring_to_symbol(BGl_string1483z00zz__paramz00);
			BGl_symbol1488z00zz__paramz00 =
				bstring_to_symbol(BGl_string1489z00zz__paramz00);
			BGl_symbol1490z00zz__paramz00 =
				bstring_to_symbol(BGl_string1491z00zz__paramz00);
			BGl_list1487z00zz__paramz00 =
				MAKE_PAIR(BGl_symbol1464z00zz__paramz00,
				MAKE_PAIR(BGl_symbol1488z00zz__paramz00,
					MAKE_PAIR(BGl_symbol1490z00zz__paramz00, BNIL)));
			return (BGl_symbol1496z00zz__paramz00 =
				bstring_to_symbol(BGl_string1497z00zz__paramz00), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__paramz00()
	{
		AN_OBJECT;
		{	/* Llib/param.scm 15 */
			{	/* Llib/param.scm 103 */
				obj_t BgL_res1393z00_825;

				BgL_res1393z00_825 = bgl_make_mutex(BGl_string1462z00zz__paramz00);
				BGl_za2parameterzd2mutexza2zd2zz__paramz00 = BgL_res1393z00_825;
			}
			BGl_za2bigloozd2strictzd2r5rszd2stringsza2zd2zz__paramz00 = ((bool_t) 0);
			BGl_za2bigloozd2compilerzd2debugza2z00zz__paramz00 = BINT(((long) 0));
			BGl_za2bigloozd2debugza2zd2zz__paramz00 = BINT(((long) 0));
			BGl_za2bigloozd2debugzd2moduleza2z00zz__paramz00 = BINT(((long) 0));
			BGl_za2bigloozd2warningza2zd2zz__paramz00 = BINT(((long) 1));
			BGl_za2bigloozd2tracezd2colorza2z00zz__paramz00 = ((bool_t) 1);
			{	/* Llib/param.scm 189 */
				obj_t BgL_envzd2valuezd2_553;

				BgL_envzd2valuezd2_553 =
					BGl_getenvz00zz__osz00(BSTRING_TO_STRING
					(BGl_string1463z00zz__paramz00));
				if (STRINGP(BgL_envzd2valuezd2_553))
					{	/* Llib/param.scm 190 */
						BGl_za2bigloozd2tracezd2stackzd2depthza2zd2zz__paramz00 =
							BGl_stringzd2ze3integerz31zz__r4_numbers_6_5_fixnumz00
							(BgL_envzd2valuezd2_553, BNIL);
					}
				else
					{	/* Llib/param.scm 190 */
						BGl_za2bigloozd2tracezd2stackzd2depthza2zd2zz__paramz00 =
							((long) 10);
			}}
			BGl_za2bigloozd2casezd2sensitiveza2z00zz__paramz00 =
				BGl_symbol1464z00zz__paramz00;
			BGl_za2bigloozd2initializa7edpza2z75zz__paramz00 = ((bool_t) 0);
			BGl_za2bigloozd2loadzd2readerza2z00zz__paramz00 = BFALSE;
			BGl_za2bigloozd2loadzd2moduleza2z00zz__paramz00 = BFALSE;
			BGl_za2bigloozd2modulezd2extensionzd2handlerza2zd2zz__paramz00 = BFALSE;
			BGl_za2bigloozd2evalzd2strictzd2moduleza2zd2zz__paramz00 = ((bool_t) 1);
			{	/* Llib/param.scm 253 */
				obj_t BgL_arg1112z00_556;

				BgL_arg1112z00_556 =
					BGl_bigloozd2configzd2zz__configurez00(BGl_symbol1466z00zz__paramz00);
				{	/* Llib/param.scm 253 */
					obj_t BgL_list1113z00_557;

					{	/* Llib/param.scm 253 */
						obj_t BgL_arg1115z00_558;

						BgL_arg1115z00_558 = MAKE_PAIR(BgL_arg1112z00_556, BNIL);
						BgL_list1113z00_557 =
							MAKE_PAIR(BGl_string1468z00zz__paramz00, BgL_arg1115z00_558);
					}
					BGl_za2bigloozd2libraryzd2pathza2z00zz__paramz00 =
						BgL_list1113z00_557;
			}}
			BGl_za2bigloozd2dnszd2enablezd2cacheza2zd2zz__paramz00 = ((bool_t) 1);
			return (BGl_za2bigloozd2dnszd2cachezd2validityzd2timeoutza2z00zz__paramz00
				= ((long) 20), BUNSPEC);
		}
	}



/* bigloo-strict-r5rs-strings */
	BGL_EXPORTED_DEF bool_t BGl_bigloozd2strictzd2r5rszd2stringszd2zz__paramz00()
	{
		AN_OBJECT;
		{	/* Llib/param.scm 128 */
			return BGl_za2bigloozd2strictzd2r5rszd2stringsza2zd2zz__paramz00;
		}
	}



/* &bigloo-strict-r5rs-strings */
	obj_t BGl_z62bigloozd2strictzd2r5rszd2stringszb0zz__paramz00(obj_t
		BgL_envz00_1063)
	{
		AN_OBJECT;
		{	/* Llib/param.scm 128 */
			{	/* Llib/param.scm 128 */
				bool_t BgL_auxz00_1166;

				BgL_auxz00_1166 =
					BGl_za2bigloozd2strictzd2r5rszd2stringsza2zd2zz__paramz00;
				return BBOOL(BgL_auxz00_1166);
			}
		}
	}



/* bigloo-strict-r5rs-strings-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_bigloozd2strictzd2r5rszd2stringszd2setz12z12zz__paramz00(bool_t
		BgL_vz00_3)
	{
		AN_OBJECT;
		{	/* Llib/param.scm 128 */
			BGL_MUTEX_LOCK(BGl_za2parameterzd2mutexza2zd2zz__paramz00);
			{	/* Llib/param.scm 128 */
				obj_t BgL_tmp1569z00_1168;

				BgL_tmp1569z00_1168 =
					(BGl_za2bigloozd2strictzd2r5rszd2stringsza2zd2zz__paramz00 =
					BgL_vz00_3, BUNSPEC);
				BGL_MUTEX_UNLOCK(BGl_za2parameterzd2mutexza2zd2zz__paramz00);
				BgL_tmp1569z00_1168;
			}
			return BBOOL(BgL_vz00_3);
		}
	}



/* &bigloo-strict-r5rs-strings-set! */
	obj_t BGl_z62bigloozd2strictzd2r5rszd2stringszd2setz12z70zz__paramz00(obj_t
		BgL_envz00_1064, obj_t BgL_vz00_1065)
	{
		AN_OBJECT;
		{	/* Llib/param.scm 128 */
			return
				BGl_bigloozd2strictzd2r5rszd2stringszd2setz12z12zz__paramz00(CBOOL
				(BgL_vz00_1065));
		}
	}



/* bigloo-compiler-debug */
	BGL_EXPORTED_DEF int BGl_bigloozd2compilerzd2debugz00zz__paramz00()
	{
		AN_OBJECT;
		{	/* Llib/param.scm 135 */
			return CINT(BGl_za2bigloozd2compilerzd2debugza2z00zz__paramz00);
		}
	}



/* &bigloo-compiler-debug */
	obj_t BGl_z62bigloozd2compilerzd2debugz62zz__paramz00(obj_t BgL_envz00_1066)
	{
		AN_OBJECT;
		{	/* Llib/param.scm 135 */
			return BINT(BGl_bigloozd2compilerzd2debugz00zz__paramz00());
		}
	}



/* bigloo-compiler-debug-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_bigloozd2compilerzd2debugzd2setz12zc0zz__paramz00(int BgL_vz00_4)
	{
		AN_OBJECT;
		{	/* Llib/param.scm 135 */
			{	/* Llib/param.scm 135 */
				obj_t BgL_top1571z00_1178;

				BgL_top1571z00_1178 = BGL_EXITD_TOP_AS_OBJ();
				BGL_MUTEX_LOCK(BGl_za2parameterzd2mutexza2zd2zz__paramz00);
				BGL_EXITD_PUSH_PROTECT(BgL_top1571z00_1178,
					BGl_za2parameterzd2mutexza2zd2zz__paramz00);
				BUNSPEC;
				{	/* Llib/param.scm 135 */
					obj_t BgL_tmp1570z00_1177;

					if (((long) (BgL_vz00_4) < ((long) 0)))
						{	/* Llib/param.scm 138 */
							BgL_tmp1570z00_1177 =
								(BGl_za2bigloozd2compilerzd2debugza2z00zz__paramz00 =
								BGl_errorz00zz__errorz00(BGl_symbol1469z00zz__paramz00,
									BGl_string1471z00zz__paramz00, BINT(BgL_vz00_4)), BUNSPEC);
						}
					else
						{	/* Llib/param.scm 138 */
							BgL_tmp1570z00_1177 =
								(BGl_za2bigloozd2compilerzd2debugza2z00zz__paramz00 =
								BINT(BgL_vz00_4), BUNSPEC);
						}
					BGL_EXITD_POP_PROTECT(BgL_top1571z00_1178);
					BUNSPEC;
					BGL_MUTEX_UNLOCK(BGl_za2parameterzd2mutexza2zd2zz__paramz00);
					BgL_tmp1570z00_1177;
				}
			}
			return BINT(BgL_vz00_4);
		}
	}



/* &bigloo-compiler-debug-set! */
	obj_t BGl_z62bigloozd2compilerzd2debugzd2setz12za2zz__paramz00(obj_t
		BgL_envz00_1067, obj_t BgL_vz00_1068)
	{
		AN_OBJECT;
		{	/* Llib/param.scm 135 */
			{	/* Llib/param.scm 135 */
				int BgL_auxz00_1191;

				{	/* Llib/param.scm 135 */
					obj_t BgL_auxz00_1192;

					if (INTEGERP(BgL_vz00_1068))
						{	/* Llib/param.scm 135 */
							BgL_auxz00_1192 = BgL_vz00_1068;
						}
					else
						{
							obj_t BgL_auxz00_1195;

							BgL_auxz00_1195 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1472z00zz__paramz00,
								BINT(((long) 4726)), BGl_string1473z00zz__paramz00,
								BGl_string1474z00zz__paramz00, BgL_vz00_1068);
							FAILURE(BgL_auxz00_1195, BFALSE, BFALSE);
						}
					BgL_auxz00_1191 = CINT(BgL_auxz00_1192);
				}
				return
					BGl_bigloozd2compilerzd2debugzd2setz12zc0zz__paramz00
					(BgL_auxz00_1191);
			}
		}
	}



/* bigloo-debug */
	BGL_EXPORTED_DEF int bgl_debug()
	{
		AN_OBJECT;
		{	/* Llib/param.scm 147 */
			return CINT(BGl_za2bigloozd2debugza2zd2zz__paramz00);
		}
	}



/* &bigloo-debug */
	obj_t BGl_z62bigloozd2debugzb0zz__paramz00(obj_t BgL_envz00_1069)
	{
		AN_OBJECT;
		{	/* Llib/param.scm 147 */
			return BINT(bgl_debug());
		}
	}



/* bigloo-debug-set! */
	BGL_EXPORTED_DEF obj_t bgl_debug_set(int BgL_vz00_5)
	{
		AN_OBJECT;
		{	/* Llib/param.scm 147 */
			{	/* Llib/param.scm 147 */
				obj_t BgL_top1573z00_1205;

				BgL_top1573z00_1205 = BGL_EXITD_TOP_AS_OBJ();
				BGL_MUTEX_LOCK(BGl_za2parameterzd2mutexza2zd2zz__paramz00);
				BGL_EXITD_PUSH_PROTECT(BgL_top1573z00_1205,
					BGl_za2parameterzd2mutexza2zd2zz__paramz00);
				BUNSPEC;
				{	/* Llib/param.scm 147 */
					obj_t BgL_tmp1572z00_1204;

					if (((long) (BgL_vz00_5) < ((long) 0)))
						{	/* Llib/param.scm 150 */
							BgL_tmp1572z00_1204 = (BGl_za2bigloozd2debugza2zd2zz__paramz00 =
								BGl_errorz00zz__errorz00(BGl_symbol1475z00zz__paramz00,
									BGl_string1471z00zz__paramz00, BINT(BgL_vz00_5)), BUNSPEC);
						}
					else
						{	/* Llib/param.scm 150 */
							BgL_tmp1572z00_1204 = (BGl_za2bigloozd2debugza2zd2zz__paramz00 =
								BINT(BgL_vz00_5), BUNSPEC);
						}
					BGL_EXITD_POP_PROTECT(BgL_top1573z00_1205);
					BUNSPEC;
					BGL_MUTEX_UNLOCK(BGl_za2parameterzd2mutexza2zd2zz__paramz00);
					BgL_tmp1572z00_1204;
				}
			}
			return BINT(BgL_vz00_5);
		}
	}



/* &bigloo-debug-set! */
	obj_t BGl_z62bigloozd2debugzd2setz12z70zz__paramz00(obj_t BgL_envz00_1070,
		obj_t BgL_vz00_1071)
	{
		AN_OBJECT;
		{	/* Llib/param.scm 147 */
			{	/* Llib/param.scm 147 */
				int BgL_auxz00_1218;

				{	/* Llib/param.scm 147 */
					obj_t BgL_auxz00_1219;

					if (INTEGERP(BgL_vz00_1071))
						{	/* Llib/param.scm 147 */
							BgL_auxz00_1219 = BgL_vz00_1071;
						}
					else
						{
							obj_t BgL_auxz00_1222;

							BgL_auxz00_1222 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1472z00zz__paramz00,
								BINT(((long) 5279)), BGl_string1477z00zz__paramz00,
								BGl_string1474z00zz__paramz00, BgL_vz00_1071);
							FAILURE(BgL_auxz00_1222, BFALSE, BFALSE);
						}
					BgL_auxz00_1218 = CINT(BgL_auxz00_1219);
				}
				return bgl_debug_set(BgL_auxz00_1218);
			}
		}
	}



/* bigloo-debug-module */
	BGL_EXPORTED_DEF int BGl_bigloozd2debugzd2modulez00zz__paramz00()
	{
		AN_OBJECT;
		{	/* Llib/param.scm 159 */
			return CINT(BGl_za2bigloozd2debugzd2moduleza2z00zz__paramz00);
		}
	}



/* &bigloo-debug-module */
	obj_t BGl_z62bigloozd2debugzd2modulez62zz__paramz00(obj_t BgL_envz00_1072)
	{
		AN_OBJECT;
		{	/* Llib/param.scm 159 */
			return BINT(BGl_bigloozd2debugzd2modulez00zz__paramz00());
		}
	}



/* bigloo-debug-module-set! */
	BGL_EXPORTED_DEF obj_t BGl_bigloozd2debugzd2modulezd2setz12zc0zz__paramz00(int
		BgL_vz00_6)
	{
		AN_OBJECT;
		{	/* Llib/param.scm 159 */
			{	/* Llib/param.scm 159 */
				obj_t BgL_top1575z00_1232;

				BgL_top1575z00_1232 = BGL_EXITD_TOP_AS_OBJ();
				BGL_MUTEX_LOCK(BGl_za2parameterzd2mutexza2zd2zz__paramz00);
				BGL_EXITD_PUSH_PROTECT(BgL_top1575z00_1232,
					BGl_za2parameterzd2mutexza2zd2zz__paramz00);
				BUNSPEC;
				{	/* Llib/param.scm 159 */
					obj_t BgL_tmp1574z00_1231;

					if (((long) (BgL_vz00_6) < ((long) 0)))
						{	/* Llib/param.scm 162 */
							BgL_tmp1574z00_1231 =
								(BGl_za2bigloozd2debugzd2moduleza2z00zz__paramz00 =
								BGl_errorz00zz__errorz00(BGl_symbol1478z00zz__paramz00,
									BGl_string1480z00zz__paramz00, BINT(BgL_vz00_6)), BUNSPEC);
						}
					else
						{	/* Llib/param.scm 162 */
							BgL_tmp1574z00_1231 =
								(BGl_za2bigloozd2debugzd2moduleza2z00zz__paramz00 =
								BINT(BgL_vz00_6), BUNSPEC);
						}
					BGL_EXITD_POP_PROTECT(BgL_top1575z00_1232);
					BUNSPEC;
					BGL_MUTEX_UNLOCK(BGl_za2parameterzd2mutexza2zd2zz__paramz00);
					BgL_tmp1574z00_1231;
				}
			}
			return BINT(BgL_vz00_6);
		}
	}



/* &bigloo-debug-module-set! */
	obj_t BGl_z62bigloozd2debugzd2modulezd2setz12za2zz__paramz00(obj_t
		BgL_envz00_1073, obj_t BgL_vz00_1074)
	{
		AN_OBJECT;
		{	/* Llib/param.scm 159 */
			{	/* Llib/param.scm 159 */
				int BgL_auxz00_1245;

				{	/* Llib/param.scm 159 */
					obj_t BgL_auxz00_1246;

					if (INTEGERP(BgL_vz00_1074))
						{	/* Llib/param.scm 159 */
							BgL_auxz00_1246 = BgL_vz00_1074;
						}
					else
						{
							obj_t BgL_auxz00_1249;

							BgL_auxz00_1249 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1472z00zz__paramz00,
								BINT(((long) 5811)), BGl_string1481z00zz__paramz00,
								BGl_string1474z00zz__paramz00, BgL_vz00_1074);
							FAILURE(BgL_auxz00_1249, BFALSE, BFALSE);
						}
					BgL_auxz00_1245 = CINT(BgL_auxz00_1246);
				}
				return
					BGl_bigloozd2debugzd2modulezd2setz12zc0zz__paramz00(BgL_auxz00_1245);
			}
		}
	}



/* bigloo-warning */
	BGL_EXPORTED_DEF int BGl_bigloozd2warningzd2zz__paramz00()
	{
		AN_OBJECT;
		{	/* Llib/param.scm 171 */
			return CINT(BGl_za2bigloozd2warningza2zd2zz__paramz00);
		}
	}



/* &bigloo-warning */
	obj_t BGl_z62bigloozd2warningzb0zz__paramz00(obj_t BgL_envz00_1075)
	{
		AN_OBJECT;
		{	/* Llib/param.scm 171 */
			return BINT(BGl_bigloozd2warningzd2zz__paramz00());
		}
	}



/* bigloo-warning-set! */
	BGL_EXPORTED_DEF obj_t BGl_bigloozd2warningzd2setz12z12zz__paramz00(int
		BgL_vz00_7)
	{
		AN_OBJECT;
		{	/* Llib/param.scm 171 */
			{	/* Llib/param.scm 171 */
				obj_t BgL_top1577z00_1259;

				BgL_top1577z00_1259 = BGL_EXITD_TOP_AS_OBJ();
				BGL_MUTEX_LOCK(BGl_za2parameterzd2mutexza2zd2zz__paramz00);
				BGL_EXITD_PUSH_PROTECT(BgL_top1577z00_1259,
					BGl_za2parameterzd2mutexza2zd2zz__paramz00);
				BUNSPEC;
				{	/* Llib/param.scm 171 */
					obj_t BgL_tmp1576z00_1258;

					if (((long) (BgL_vz00_7) < ((long) 0)))
						{	/* Llib/param.scm 174 */
							BgL_tmp1576z00_1258 = (BGl_za2bigloozd2warningza2zd2zz__paramz00 =
								BGl_errorz00zz__errorz00(BGl_symbol1482z00zz__paramz00,
									BGl_string1484z00zz__paramz00, BINT(BgL_vz00_7)), BUNSPEC);
						}
					else
						{	/* Llib/param.scm 174 */
							BgL_tmp1576z00_1258 = (BGl_za2bigloozd2warningza2zd2zz__paramz00 =
								BINT(BgL_vz00_7), BUNSPEC);
						}
					BGL_EXITD_POP_PROTECT(BgL_top1577z00_1259);
					BUNSPEC;
					BGL_MUTEX_UNLOCK(BGl_za2parameterzd2mutexza2zd2zz__paramz00);
					BgL_tmp1576z00_1258;
				}
			}
			return BINT(BgL_vz00_7);
		}
	}



/* &bigloo-warning-set! */
	obj_t BGl_z62bigloozd2warningzd2setz12z70zz__paramz00(obj_t BgL_envz00_1076,
		obj_t BgL_vz00_1077)
	{
		AN_OBJECT;
		{	/* Llib/param.scm 171 */
			{	/* Llib/param.scm 171 */
				int BgL_auxz00_1272;

				{	/* Llib/param.scm 171 */
					obj_t BgL_auxz00_1273;

					if (INTEGERP(BgL_vz00_1077))
						{	/* Llib/param.scm 171 */
							BgL_auxz00_1273 = BgL_vz00_1077;
						}
					else
						{
							obj_t BgL_auxz00_1276;

							BgL_auxz00_1276 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1472z00zz__paramz00,
								BINT(((long) 6364)), BGl_string1485z00zz__paramz00,
								BGl_string1474z00zz__paramz00, BgL_vz00_1077);
							FAILURE(BgL_auxz00_1276, BFALSE, BFALSE);
						}
					BgL_auxz00_1272 = CINT(BgL_auxz00_1273);
				}
				return BGl_bigloozd2warningzd2setz12z12zz__paramz00(BgL_auxz00_1272);
			}
		}
	}



/* bigloo-trace-color */
	BGL_EXPORTED_DEF bool_t BGl_bigloozd2tracezd2colorz00zz__paramz00()
	{
		AN_OBJECT;
		{	/* Llib/param.scm 181 */
			return BGl_za2bigloozd2tracezd2colorza2z00zz__paramz00;
		}
	}



/* &bigloo-trace-color */
	obj_t BGl_z62bigloozd2tracezd2colorz62zz__paramz00(obj_t BgL_envz00_1078)
	{
		AN_OBJECT;
		{	/* Llib/param.scm 181 */
			{	/* Llib/param.scm 181 */
				bool_t BgL_auxz00_1282;

				BgL_auxz00_1282 = BGl_za2bigloozd2tracezd2colorza2z00zz__paramz00;
				return BBOOL(BgL_auxz00_1282);
			}
		}
	}



/* bigloo-trace-color-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_bigloozd2tracezd2colorzd2setz12zc0zz__paramz00(bool_t BgL_vz00_8)
	{
		AN_OBJECT;
		{	/* Llib/param.scm 181 */
			BGL_MUTEX_LOCK(BGl_za2parameterzd2mutexza2zd2zz__paramz00);
			{	/* Llib/param.scm 181 */
				obj_t BgL_tmp1578z00_1284;

				BgL_tmp1578z00_1284 = (BGl_za2bigloozd2tracezd2colorza2z00zz__paramz00 =
					BgL_vz00_8, BUNSPEC);
				BGL_MUTEX_UNLOCK(BGl_za2parameterzd2mutexza2zd2zz__paramz00);
				BgL_tmp1578z00_1284;
			}
			return BBOOL(BgL_vz00_8);
		}
	}



/* &bigloo-trace-color-set! */
	obj_t BGl_z62bigloozd2tracezd2colorzd2setz12za2zz__paramz00(obj_t
		BgL_envz00_1079, obj_t BgL_vz00_1080)
	{
		AN_OBJECT;
		{	/* Llib/param.scm 181 */
			return
				BGl_bigloozd2tracezd2colorzd2setz12zc0zz__paramz00(CBOOL
				(BgL_vz00_1080));
		}
	}



/* bigloo-trace-stack-depth */
	BGL_EXPORTED_DEF int BGl_bigloozd2tracezd2stackzd2depthzd2zz__paramz00()
	{
		AN_OBJECT;
		{	/* Llib/param.scm 188 */
			return (int) (BGl_za2bigloozd2tracezd2stackzd2depthza2zd2zz__paramz00);
		}
	}



/* &bigloo-trace-stack-depth */
	obj_t BGl_z62bigloozd2tracezd2stackzd2depthzb0zz__paramz00(obj_t
		BgL_envz00_1081)
	{
		AN_OBJECT;
		{	/* Llib/param.scm 188 */
			return BINT(BGl_bigloozd2tracezd2stackzd2depthzd2zz__paramz00());
		}
	}



/* bigloo-trace-stack-depth-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_bigloozd2tracezd2stackzd2depthzd2setz12z12zz__paramz00(int BgL_vz00_9)
	{
		AN_OBJECT;
		{	/* Llib/param.scm 188 */
			BGL_MUTEX_LOCK(BGl_za2parameterzd2mutexza2zd2zz__paramz00);
			{	/* Llib/param.scm 188 */
				obj_t BgL_tmp1579z00_1293;

				BgL_tmp1579z00_1293 =
					(BGl_za2bigloozd2tracezd2stackzd2depthza2zd2zz__paramz00 =
					(long) (BgL_vz00_9), BUNSPEC);
				BGL_MUTEX_UNLOCK(BGl_za2parameterzd2mutexza2zd2zz__paramz00);
				BgL_tmp1579z00_1293;
			}
			return BINT(BgL_vz00_9);
		}
	}



/* &bigloo-trace-stack-depth-set! */
	obj_t BGl_z62bigloozd2tracezd2stackzd2depthzd2setz12z70zz__paramz00(obj_t
		BgL_envz00_1082, obj_t BgL_vz00_1083)
	{
		AN_OBJECT;
		{	/* Llib/param.scm 188 */
			{	/* Llib/param.scm 188 */
				int BgL_auxz00_1298;

				{	/* Llib/param.scm 188 */
					obj_t BgL_auxz00_1299;

					if (INTEGERP(BgL_vz00_1083))
						{	/* Llib/param.scm 188 */
							BgL_auxz00_1299 = BgL_vz00_1083;
						}
					else
						{
							obj_t BgL_auxz00_1302;

							BgL_auxz00_1302 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1472z00zz__paramz00,
								BINT(((long) 7169)), BGl_string1486z00zz__paramz00,
								BGl_string1474z00zz__paramz00, BgL_vz00_1083);
							FAILURE(BgL_auxz00_1302, BFALSE, BFALSE);
						}
					BgL_auxz00_1298 = CINT(BgL_auxz00_1299);
				}
				return
					BGl_bigloozd2tracezd2stackzd2depthzd2setz12z12zz__paramz00
					(BgL_auxz00_1298);
			}
		}
	}



/* bigloo-case-sensitive */
	BGL_EXPORTED_DEF obj_t BGl_bigloozd2casezd2sensitivez00zz__paramz00()
	{
		AN_OBJECT;
		{	/* Llib/param.scm 203 */
			return BGl_za2bigloozd2casezd2sensitiveza2z00zz__paramz00;
		}
	}



/* &bigloo-case-sensitive */
	obj_t BGl_z62bigloozd2casezd2sensitivez62zz__paramz00(obj_t BgL_envz00_1084)
	{
		AN_OBJECT;
		{	/* Llib/param.scm 203 */
			return BGl_za2bigloozd2casezd2sensitiveza2z00zz__paramz00;
		}
	}



/* bigloo-case-sensitive-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_bigloozd2casezd2sensitivezd2setz12zc0zz__paramz00(obj_t BgL_vz00_10)
	{
		AN_OBJECT;
		{	/* Llib/param.scm 203 */
			{	/* Llib/param.scm 203 */
				obj_t BgL_top1581z00_1309;

				BgL_top1581z00_1309 = BGL_EXITD_TOP_AS_OBJ();
				BGL_MUTEX_LOCK(BGl_za2parameterzd2mutexza2zd2zz__paramz00);
				BGL_EXITD_PUSH_PROTECT(BgL_top1581z00_1309,
					BGl_za2parameterzd2mutexza2zd2zz__paramz00);
				BUNSPEC;
				{	/* Llib/param.scm 203 */
					obj_t BgL_tmp1580z00_1308;

					if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_vz00_10,
								BGl_list1487z00zz__paramz00)))
						{	/* Llib/param.scm 207 */
							BgL_tmp1580z00_1308 =
								(BGl_za2bigloozd2casezd2sensitiveza2z00zz__paramz00 =
								BgL_vz00_10, BUNSPEC);
						}
					else
						{	/* Llib/param.scm 207 */
							BgL_tmp1580z00_1308 =
								(BGl_za2bigloozd2casezd2sensitiveza2z00zz__paramz00 =
								BGl_errorz00zz__errorz00(BGl_string1492z00zz__paramz00,
									BGl_string1493z00zz__paramz00, BgL_vz00_10), BUNSPEC);
						}
					BGL_EXITD_POP_PROTECT(BgL_top1581z00_1309);
					BUNSPEC;
					BGL_MUTEX_UNLOCK(BGl_za2parameterzd2mutexza2zd2zz__paramz00);
					BgL_tmp1580z00_1308;
				}
			}
			return BgL_vz00_10;
		}
	}



/* &bigloo-case-sensitive-set! */
	obj_t BGl_z62bigloozd2casezd2sensitivezd2setz12za2zz__paramz00(obj_t
		BgL_envz00_1085, obj_t BgL_vz00_1086)
	{
		AN_OBJECT;
		{	/* Llib/param.scm 203 */
			{	/* Llib/param.scm 203 */
				obj_t BgL_auxz00_1319;

				if (SYMBOLP(BgL_vz00_1086))
					{	/* Llib/param.scm 203 */
						BgL_auxz00_1319 = BgL_vz00_1086;
					}
				else
					{
						obj_t BgL_auxz00_1322;

						BgL_auxz00_1322 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1472z00zz__paramz00,
							BINT(((long) 7999)), BGl_string1494z00zz__paramz00,
							BGl_string1495z00zz__paramz00, BgL_vz00_1086);
						FAILURE(BgL_auxz00_1322, BFALSE, BFALSE);
					}
				return
					BGl_bigloozd2casezd2sensitivezd2setz12zc0zz__paramz00
					(BgL_auxz00_1319);
			}
		}
	}



/* bigloo-initialized! */
	BGL_EXPORTED_DEF obj_t BGl_bigloozd2initializa7edz12z67zz__paramz00()
	{
		AN_OBJECT;
		{	/* Llib/param.scm 220 */
			return (BGl_za2bigloozd2initializa7edpza2z75zz__paramz00 =
				((bool_t) 1), BUNSPEC);
		}
	}



/* &bigloo-initialized! */
	obj_t BGl_z62bigloozd2initializa7edz12z05zz__paramz00(obj_t BgL_envz00_1087)
	{
		AN_OBJECT;
		{	/* Llib/param.scm 220 */
			return BGl_bigloozd2initializa7edz12z67zz__paramz00();
		}
	}



/* bigloo-initialized? */
	BGL_EXPORTED_DEF bool_t BGl_bigloozd2initializa7edzf3z86zz__paramz00()
	{
		AN_OBJECT;
		{	/* Llib/param.scm 226 */
			return BGl_za2bigloozd2initializa7edpza2z75zz__paramz00;
		}
	}



/* &bigloo-initialized? */
	obj_t BGl_z62bigloozd2initializa7edzf3ze4zz__paramz00(obj_t BgL_envz00_1088)
	{
		AN_OBJECT;
		{	/* Llib/param.scm 226 */
			return BBOOL(BGl_za2bigloozd2initializa7edpza2z75zz__paramz00);
		}
	}



/* bigloo-load-reader */
	BGL_EXPORTED_DEF obj_t BGl_bigloozd2loadzd2readerz00zz__paramz00()
	{
		AN_OBJECT;
		{	/* Llib/param.scm 232 */
			return BGl_za2bigloozd2loadzd2readerza2z00zz__paramz00;
		}
	}



/* &bigloo-load-reader */
	obj_t BGl_z62bigloozd2loadzd2readerz62zz__paramz00(obj_t BgL_envz00_1089)
	{
		AN_OBJECT;
		{	/* Llib/param.scm 232 */
			return BGl_za2bigloozd2loadzd2readerza2z00zz__paramz00;
		}
	}



/* bigloo-load-reader-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_bigloozd2loadzd2readerzd2setz12zc0zz__paramz00(obj_t BgL_vz00_11)
	{
		AN_OBJECT;
		{	/* Llib/param.scm 232 */
			BGL_MUTEX_LOCK(BGl_za2parameterzd2mutexza2zd2zz__paramz00);
			{	/* Llib/param.scm 232 */
				obj_t BgL_tmp1582z00_1329;

				BgL_tmp1582z00_1329 = (BGl_za2bigloozd2loadzd2readerza2z00zz__paramz00 =
					BgL_vz00_11, BUNSPEC);
				BGL_MUTEX_UNLOCK(BGl_za2parameterzd2mutexza2zd2zz__paramz00);
				BgL_tmp1582z00_1329;
			}
			return BgL_vz00_11;
		}
	}



/* &bigloo-load-reader-set! */
	obj_t BGl_z62bigloozd2loadzd2readerzd2setz12za2zz__paramz00(obj_t
		BgL_envz00_1090, obj_t BgL_vz00_1091)
	{
		AN_OBJECT;
		{	/* Llib/param.scm 232 */
			return BGl_bigloozd2loadzd2readerzd2setz12zc0zz__paramz00(BgL_vz00_1091);
		}
	}



/* bigloo-load-module */
	BGL_EXPORTED_DEF obj_t BGl_bigloozd2loadzd2modulez00zz__paramz00()
	{
		AN_OBJECT;
		{	/* Llib/param.scm 237 */
			return BGl_za2bigloozd2loadzd2moduleza2z00zz__paramz00;
		}
	}



/* &bigloo-load-module */
	obj_t BGl_z62bigloozd2loadzd2modulez62zz__paramz00(obj_t BgL_envz00_1092)
	{
		AN_OBJECT;
		{	/* Llib/param.scm 237 */
			return BGl_za2bigloozd2loadzd2moduleza2z00zz__paramz00;
		}
	}



/* bigloo-load-module-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_bigloozd2loadzd2modulezd2setz12zc0zz__paramz00(obj_t BgL_vz00_12)
	{
		AN_OBJECT;
		{	/* Llib/param.scm 237 */
			BGL_MUTEX_LOCK(BGl_za2parameterzd2mutexza2zd2zz__paramz00);
			{	/* Llib/param.scm 237 */
				obj_t BgL_tmp1583z00_1333;

				BgL_tmp1583z00_1333 = (BGl_za2bigloozd2loadzd2moduleza2z00zz__paramz00 =
					BgL_vz00_12, BUNSPEC);
				BGL_MUTEX_UNLOCK(BGl_za2parameterzd2mutexza2zd2zz__paramz00);
				BgL_tmp1583z00_1333;
			}
			return BgL_vz00_12;
		}
	}



/* &bigloo-load-module-set! */
	obj_t BGl_z62bigloozd2loadzd2modulezd2setz12za2zz__paramz00(obj_t
		BgL_envz00_1093, obj_t BgL_vz00_1094)
	{
		AN_OBJECT;
		{	/* Llib/param.scm 237 */
			return BGl_bigloozd2loadzd2modulezd2setz12zc0zz__paramz00(BgL_vz00_1094);
		}
	}



/* bigloo-module-extension-handler */
	BGL_EXPORTED_DEF obj_t
		BGl_bigloozd2modulezd2extensionzd2handlerzd2zz__paramz00()
	{
		AN_OBJECT;
		{	/* Llib/param.scm 242 */
			return BGl_za2bigloozd2modulezd2extensionzd2handlerza2zd2zz__paramz00;
		}
	}



/* &bigloo-module-extension-handler */
	obj_t BGl_z62bigloozd2modulezd2extensionzd2handlerzb0zz__paramz00(obj_t
		BgL_envz00_1095)
	{
		AN_OBJECT;
		{	/* Llib/param.scm 242 */
			return BGl_za2bigloozd2modulezd2extensionzd2handlerza2zd2zz__paramz00;
		}
	}



/* bigloo-module-extension-handler-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_bigloozd2modulezd2extensionzd2handlerzd2setz12z12zz__paramz00(obj_t
		BgL_vz00_13)
	{
		AN_OBJECT;
		{	/* Llib/param.scm 242 */
			BGL_MUTEX_LOCK(BGl_za2parameterzd2mutexza2zd2zz__paramz00);
			{	/* Llib/param.scm 242 */
				obj_t BgL_tmp1584z00_1337;

				BgL_tmp1584z00_1337 =
					(BGl_za2bigloozd2modulezd2extensionzd2handlerza2zd2zz__paramz00 =
					BgL_vz00_13, BUNSPEC);
				BGL_MUTEX_UNLOCK(BGl_za2parameterzd2mutexza2zd2zz__paramz00);
				BgL_tmp1584z00_1337;
			}
			return BgL_vz00_13;
		}
	}



/* &bigloo-module-extension-handler-set! */
	obj_t
		BGl_z62bigloozd2modulezd2extensionzd2handlerzd2setz12z70zz__paramz00(obj_t
		BgL_envz00_1096, obj_t BgL_vz00_1097)
	{
		AN_OBJECT;
		{	/* Llib/param.scm 242 */
			return
				BGl_bigloozd2modulezd2extensionzd2handlerzd2setz12z12zz__paramz00
				(BgL_vz00_1097);
		}
	}



/* bigloo-eval-strict-module */
	BGL_EXPORTED_DEF bool_t BGl_bigloozd2evalzd2strictzd2modulezd2zz__paramz00()
	{
		AN_OBJECT;
		{	/* Llib/param.scm 247 */
			return BGl_za2bigloozd2evalzd2strictzd2moduleza2zd2zz__paramz00;
		}
	}



/* &bigloo-eval-strict-module */
	obj_t BGl_z62bigloozd2evalzd2strictzd2modulezb0zz__paramz00(obj_t
		BgL_envz00_1098)
	{
		AN_OBJECT;
		{	/* Llib/param.scm 247 */
			{	/* Llib/param.scm 247 */
				bool_t BgL_auxz00_1341;

				BgL_auxz00_1341 =
					BGl_za2bigloozd2evalzd2strictzd2moduleza2zd2zz__paramz00;
				return BBOOL(BgL_auxz00_1341);
			}
		}
	}



/* bigloo-eval-strict-module-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_bigloozd2evalzd2strictzd2modulezd2setz12z12zz__paramz00(bool_t
		BgL_vz00_14)
	{
		AN_OBJECT;
		{	/* Llib/param.scm 247 */
			BGL_MUTEX_LOCK(BGl_za2parameterzd2mutexza2zd2zz__paramz00);
			{	/* Llib/param.scm 247 */
				obj_t BgL_tmp1585z00_1343;

				BgL_tmp1585z00_1343 =
					(BGl_za2bigloozd2evalzd2strictzd2moduleza2zd2zz__paramz00 =
					BgL_vz00_14, BUNSPEC);
				BGL_MUTEX_UNLOCK(BGl_za2parameterzd2mutexza2zd2zz__paramz00);
				BgL_tmp1585z00_1343;
			}
			return BBOOL(BgL_vz00_14);
		}
	}



/* &bigloo-eval-strict-module-set! */
	obj_t BGl_z62bigloozd2evalzd2strictzd2modulezd2setz12z70zz__paramz00(obj_t
		BgL_envz00_1099, obj_t BgL_vz00_1100)
	{
		AN_OBJECT;
		{	/* Llib/param.scm 247 */
			return
				BGl_bigloozd2evalzd2strictzd2modulezd2setz12z12zz__paramz00(CBOOL
				(BgL_vz00_1100));
		}
	}



/* bigloo-library-path */
	BGL_EXPORTED_DEF obj_t BGl_bigloozd2libraryzd2pathz00zz__paramz00()
	{
		AN_OBJECT;
		{	/* Llib/param.scm 252 */
			return BGl_za2bigloozd2libraryzd2pathza2z00zz__paramz00;
		}
	}



/* &bigloo-library-path */
	obj_t BGl_z62bigloozd2libraryzd2pathz62zz__paramz00(obj_t BgL_envz00_1101)
	{
		AN_OBJECT;
		{	/* Llib/param.scm 252 */
			return BGl_za2bigloozd2libraryzd2pathza2z00zz__paramz00;
		}
	}



/* bigloo-library-path-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_bigloozd2libraryzd2pathzd2setz12zc0zz__paramz00(obj_t BgL_vz00_15)
	{
		AN_OBJECT;
		{	/* Llib/param.scm 252 */
			{	/* Llib/param.scm 252 */
				obj_t BgL_top1587z00_1350;

				BgL_top1587z00_1350 = BGL_EXITD_TOP_AS_OBJ();
				BGL_MUTEX_LOCK(BGl_za2parameterzd2mutexza2zd2zz__paramz00);
				BGL_EXITD_PUSH_PROTECT(BgL_top1587z00_1350,
					BGl_za2parameterzd2mutexza2zd2zz__paramz00);
				BUNSPEC;
				{	/* Llib/param.scm 252 */
					obj_t BgL_tmp1586z00_1349;

					if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_vz00_15))
						{	/* Llib/param.scm 258 */
							bool_t BgL_testz00_1356;

							{
								obj_t BgL_l1062z00_598;

								BgL_l1062z00_598 = BgL_vz00_15;
							BgL_zc3anonymousza31151ze3z83_599:
								if (NULLP(BgL_l1062z00_598))
									{	/* Llib/param.scm 258 */
										BgL_testz00_1356 = ((bool_t) 1);
									}
								else
									{	/* Llib/param.scm 258 */
										bool_t BgL_testz00_1359;

										{	/* Llib/param.scm 258 */
											obj_t BgL_auxz00_1360;

											BgL_auxz00_1360 = CAR(BgL_l1062z00_598);
											BgL_testz00_1359 = STRINGP(BgL_auxz00_1360);
										}
										if (BgL_testz00_1359)
											{
												obj_t BgL_l1062z00_1363;

												BgL_l1062z00_1363 = CDR(BgL_l1062z00_598);
												BgL_l1062z00_598 = BgL_l1062z00_1363;
												goto BgL_zc3anonymousza31151ze3z83_599;
											}
										else
											{	/* Llib/param.scm 258 */
												BgL_testz00_1356 = ((bool_t) 0);
											}
									}
							}
							if (BgL_testz00_1356)
								{	/* Llib/param.scm 258 */
									BgL_tmp1586z00_1349 =
										(BGl_za2bigloozd2libraryzd2pathza2z00zz__paramz00 =
										BgL_vz00_15, BUNSPEC);
								}
							else
								{	/* Llib/param.scm 261 */
									obj_t BgL_arg1145z00_584;

									BgL_arg1145z00_584 =
										BGl_zc3anonymousza31146ze3z83zz__paramz00(BgL_vz00_15);
									BgL_tmp1586z00_1349 =
										(BGl_za2bigloozd2libraryzd2pathza2z00zz__paramz00 =
										BGl_errorz00zz__errorz00(BGl_symbol1496z00zz__paramz00,
											BGl_string1498z00zz__paramz00, BgL_arg1145z00_584),
										BUNSPEC);
								}
						}
					else
						{	/* Llib/param.scm 256 */
							BgL_tmp1586z00_1349 =
								(BGl_za2bigloozd2libraryzd2pathza2z00zz__paramz00 =
								BGl_errorz00zz__errorz00(BGl_symbol1496z00zz__paramz00,
									BGl_string1499z00zz__paramz00, BgL_vz00_15), BUNSPEC);
						}
					BGL_EXITD_POP_PROTECT(BgL_top1587z00_1350);
					BUNSPEC;
					BGL_MUTEX_UNLOCK(BGl_za2parameterzd2mutexza2zd2zz__paramz00);
					BgL_tmp1586z00_1349;
				}
			}
			return BgL_vz00_15;
		}
	}



/* <anonymous:1146> */
	obj_t BGl_zc3anonymousza31146ze3z83zz__paramz00(obj_t BgL_lis1066z00_586)
	{
		AN_OBJECT;
		{	/* Llib/param.scm 261 */
		BGl_zc3anonymousza31146ze3z83zz__paramz00:
			if (NULLP(BgL_lis1066z00_586))
				{	/* Llib/param.scm 261 */
					return BgL_lis1066z00_586;
				}
			else
				{	/* Llib/param.scm 261 */
					obj_t BgL_head1067z00_589;
					obj_t BgL_tail1068z00_590;

					BgL_head1067z00_589 = CAR(BgL_lis1066z00_586);
					BgL_tail1068z00_590 = CDR(BgL_lis1066z00_586);
					{	/* Llib/param.scm 261 */
						bool_t BgL_testz00_1374;

						if (STRINGP(BgL_head1067z00_589))
							{	/* Llib/param.scm 261 */
								BgL_testz00_1374 = ((bool_t) 0);
							}
						else
							{	/* Llib/param.scm 261 */
								BgL_testz00_1374 = ((bool_t) 1);
							}
						if (BgL_testz00_1374)
							{	/* Llib/param.scm 261 */
								obj_t BgL_newzd2tail1069zd2_592;

								BgL_newzd2tail1069zd2_592 =
									BGl_zc3anonymousza31146ze3z83zz__paramz00
									(BgL_tail1068z00_590);
								if ((BgL_tail1068z00_590 == BgL_newzd2tail1069zd2_592))
									{	/* Llib/param.scm 261 */
										return BgL_lis1066z00_586;
									}
								else
									{	/* Llib/param.scm 261 */
										obj_t BgL_res1409z00_867;

										BgL_res1409z00_867 =
											MAKE_PAIR(BgL_head1067z00_589, BgL_newzd2tail1069zd2_592);
										return BgL_res1409z00_867;
									}
							}
						else
							{
								obj_t BgL_lis1066z00_1381;

								BgL_lis1066z00_1381 = BgL_tail1068z00_590;
								BgL_lis1066z00_586 = BgL_lis1066z00_1381;
								goto BGl_zc3anonymousza31146ze3z83zz__paramz00;
							}
					}
				}
		}
	}



/* &bigloo-library-path-set! */
	obj_t BGl_z62bigloozd2libraryzd2pathzd2setz12za2zz__paramz00(obj_t
		BgL_envz00_1102, obj_t BgL_vz00_1103)
	{
		AN_OBJECT;
		{	/* Llib/param.scm 252 */
			{	/* Llib/param.scm 252 */
				obj_t BgL_auxz00_1382;

				{	/* Llib/param.scm 252 */
					bool_t BgL_testz00_1383;

					if (PAIRP(BgL_vz00_1103))
						{	/* Llib/param.scm 252 */
							BgL_testz00_1383 = ((bool_t) 1);
						}
					else
						{	/* Llib/param.scm 252 */
							BgL_testz00_1383 = NULLP(BgL_vz00_1103);
						}
					if (BgL_testz00_1383)
						{	/* Llib/param.scm 252 */
							BgL_auxz00_1382 = BgL_vz00_1103;
						}
					else
						{
							obj_t BgL_auxz00_1387;

							BgL_auxz00_1387 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1472z00zz__paramz00,
								BINT(((long) 10337)), BGl_string1500z00zz__paramz00,
								BGl_string1501z00zz__paramz00, BgL_vz00_1103);
							FAILURE(BgL_auxz00_1387, BFALSE, BFALSE);
				}}
				return
					BGl_bigloozd2libraryzd2pathzd2setz12zc0zz__paramz00(BgL_auxz00_1382);
			}
		}
	}



/* bigloo-dns-enable-cache */
	BGL_EXPORTED_DEF bool_t bgl_dns_enable_cache()
	{
		AN_OBJECT;
		{	/* Llib/param.scm 268 */
			return BGl_za2bigloozd2dnszd2enablezd2cacheza2zd2zz__paramz00;
		}
	}



/* &bigloo-dns-enable-cache */
	obj_t BGl_z62bigloozd2dnszd2enablezd2cachezb0zz__paramz00(obj_t
		BgL_envz00_1104)
	{
		AN_OBJECT;
		{	/* Llib/param.scm 268 */
			{	/* Llib/param.scm 268 */
				bool_t BgL_auxz00_1392;

				BgL_auxz00_1392 =
					BGl_za2bigloozd2dnszd2enablezd2cacheza2zd2zz__paramz00;
				return BBOOL(BgL_auxz00_1392);
			}
		}
	}



/* bigloo-dns-enable-cache-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_bigloozd2dnszd2enablezd2cachezd2setz12z12zz__paramz00(bool_t
		BgL_vz00_16)
	{
		AN_OBJECT;
		{	/* Llib/param.scm 268 */
			BGL_MUTEX_LOCK(BGl_za2parameterzd2mutexza2zd2zz__paramz00);
			{	/* Llib/param.scm 268 */
				obj_t BgL_tmp1588z00_1394;

				BgL_tmp1588z00_1394 =
					(BGl_za2bigloozd2dnszd2enablezd2cacheza2zd2zz__paramz00 =
					BgL_vz00_16, BUNSPEC);
				BGL_MUTEX_UNLOCK(BGl_za2parameterzd2mutexza2zd2zz__paramz00);
				BgL_tmp1588z00_1394;
			}
			return BBOOL(BgL_vz00_16);
		}
	}



/* &bigloo-dns-enable-cache-set! */
	obj_t BGl_z62bigloozd2dnszd2enablezd2cachezd2setz12z70zz__paramz00(obj_t
		BgL_envz00_1105, obj_t BgL_vz00_1106)
	{
		AN_OBJECT;
		{	/* Llib/param.scm 268 */
			return
				BGl_bigloozd2dnszd2enablezd2cachezd2setz12z12zz__paramz00(CBOOL
				(BgL_vz00_1106));
		}
	}



/* bigloo-dns-cache-validity-timeout */
	BGL_EXPORTED_DEF long bgl_dns_cache_validity_timeout()
	{
		AN_OBJECT;
		{	/* Llib/param.scm 273 */
			return BGl_za2bigloozd2dnszd2cachezd2validityzd2timeoutza2z00zz__paramz00;
		}
	}



/* &bigloo-dns-cache-validity-timeout */
	obj_t BGl_z62bigloozd2dnszd2cachezd2validityzd2timeoutz62zz__paramz00(obj_t
		BgL_envz00_1107)
	{
		AN_OBJECT;
		{	/* Llib/param.scm 273 */
			{	/* Llib/param.scm 273 */
				long BgL_auxz00_1400;

				BgL_auxz00_1400 =
					BGl_za2bigloozd2dnszd2cachezd2validityzd2timeoutza2z00zz__paramz00;
				return BINT(BgL_auxz00_1400);
			}
		}
	}



/* bigloo-dns-cache-validity-timeout-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_bigloozd2dnszd2cachezd2validityzd2timeoutzd2setz12zc0zz__paramz00(long
		BgL_vz00_17)
	{
		AN_OBJECT;
		{	/* Llib/param.scm 273 */
			BGL_MUTEX_LOCK(BGl_za2parameterzd2mutexza2zd2zz__paramz00);
			{	/* Llib/param.scm 273 */
				obj_t BgL_tmp1589z00_1402;

				BgL_tmp1589z00_1402 =
					(BGl_za2bigloozd2dnszd2cachezd2validityzd2timeoutza2z00zz__paramz00 =
					BgL_vz00_17, BUNSPEC);
				BGL_MUTEX_UNLOCK(BGl_za2parameterzd2mutexza2zd2zz__paramz00);
				BgL_tmp1589z00_1402;
			}
			return BINT(BgL_vz00_17);
		}
	}



/* &bigloo-dns-cache-validity-timeout-set! */
	obj_t
		BGl_z62bigloozd2dnszd2cachezd2validityzd2timeoutzd2setz12za2zz__paramz00
		(obj_t BgL_envz00_1108, obj_t BgL_vz00_1109)
	{
		AN_OBJECT;
		{	/* Llib/param.scm 273 */
			{	/* Llib/param.scm 273 */
				long BgL_auxz00_1406;

				{	/* Llib/param.scm 273 */
					obj_t BgL_auxz00_1407;

					if (INTEGERP(BgL_vz00_1109))
						{	/* Llib/param.scm 273 */
							BgL_auxz00_1407 = BgL_vz00_1109;
						}
					else
						{
							obj_t BgL_auxz00_1410;

							BgL_auxz00_1410 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1472z00zz__paramz00,
								BINT(((long) 11176)), BGl_string1502z00zz__paramz00,
								BGl_string1474z00zz__paramz00, BgL_vz00_1109);
							FAILURE(BgL_auxz00_1410, BFALSE, BFALSE);
						}
					BgL_auxz00_1406 = (long) CINT(BgL_auxz00_1407);
				}
				return
					BGl_bigloozd2dnszd2cachezd2validityzd2timeoutzd2setz12zc0zz__paramz00
					(BgL_auxz00_1406);
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__paramz00()
	{
		AN_OBJECT;
		{	/* Llib/param.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__paramz00()
	{
		AN_OBJECT;
		{	/* Llib/param.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__paramz00()
	{
		AN_OBJECT;
		{	/* Llib/param.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__paramz00()
	{
		AN_OBJECT;
		{	/* Llib/param.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 1041382),
				BSTRING_TO_STRING(BGl_string1503z00zz__paramz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 316564000),
				BSTRING_TO_STRING(BGl_string1503z00zz__paramz00));
			return
				BGl_modulezd2initializa7ationz75zz__configurez00(((long) 507523616),
				BSTRING_TO_STRING(BGl_string1503z00zz__paramz00));
		}
	}

#ifdef __cplusplus
}
#endif
