/*===========================================================================*/
/*   (Rgc/rgc.scm)                                                           */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Rgc/rgc.scm -indent -o objs/obj_u/Rgc/rgc.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	BGL_EXPORTED_DECL int BGl_rgczd2bufferzd2ungetzd2charzd2zz__rgcz00(obj_t,
		int);
	BGL_EXPORTED_DECL long BGl_rgczd2stopzd2matchz12z12zz__rgcz00(obj_t);
	static obj_t BGl_z62rgczd2stopzd2matchz12z70zz__rgcz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__rgcz00 = BUNSPEC;
	static obj_t BGl_z62rgczd2bufferzd2insertzd2charz12za2zz__rgcz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL int BGl_rgczd2bufferzd2getzd2charzd2zz__rgcz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rgczd2bufferzd2downcasezd2symbolzd2zz__rgcz00(obj_t);
	static obj_t BGl_z62rgczd2fillzd2bufferzd2ifzd2emptyz62zz__rgcz00(obj_t,
		obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rgczd2bufferzd2characterz62zz__rgcz00(obj_t, obj_t);
	static obj_t BGl_z62rgczd2bufferzd2ungetzd2charzb0zz__rgcz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__rgcz00();
	static obj_t BGl_z62rgczd2bufferzd2downcasezd2symbolzb0zz__rgcz00(obj_t,
		obj_t);
	extern obj_t rgc_buffer_downcase_keyword(obj_t);
	BGL_EXPORTED_DECL unsigned char
		BGl_rgczd2bufferzd2characterz00zz__rgcz00(obj_t);
	static obj_t BGl_z62rgczd2bufferzd2bytezd2refzb0zz__rgcz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_genericzd2initzd2zz__rgcz00();
	static obj_t BGl_z62rgczd2bufferzd2positionz62zz__rgcz00(obj_t, obj_t);
	extern obj_t rgc_buffer_subsymbol(obj_t, long, long);
	static obj_t BGl_objectzd2initzd2zz__rgcz00();
	extern obj_t rgc_buffer_integer(obj_t);
	static obj_t BGl_z62rgczd2bufferzd2escapezd2substringzb0zz__rgcz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern double rgc_buffer_flonum(obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_z62rgczd2bufferzd2insertzd2substringz12za2zz__rgcz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rgczd2bufferzd2bofzf3zf3zz__rgcz00(obj_t);
	static obj_t BGl_z62rgczd2bufferzd2bofzf3z91zz__rgcz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_rgczd2setzd2fileposz12z12zz__rgcz00(obj_t);
	static obj_t BGl_z62rgczd2bufferzd2upcasezd2symbolzb0zz__rgcz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__rgcz00();
	static obj_t BGl_z62rgczd2bufferzd2integerz62zz__rgcz00(obj_t, obj_t);
	static obj_t BGl_z62rgczd2bufferzd2flonumz62zz__rgcz00(obj_t, obj_t);
	extern bool_t rgc_buffer_bof_p(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_rgczd2thezd2submatchz00zz__rgcz00(obj_t, long,
		long, long);
	BGL_EXPORTED_DECL bool_t
		BGl_rgczd2fillzd2bufferzd2ifzd2emptyz00zz__rgcz00(obj_t);
	BGL_EXPORTED_DECL int BGl_rgczd2bufferzd2bytezd2refzd2zz__rgcz00(obj_t, int);
	extern obj_t rgc_buffer_keyword(obj_t);
	BGL_EXPORTED_DECL int BGl_rgczd2bufferzd2bytez00zz__rgcz00(obj_t);
	BGL_EXPORTED_DECL long BGl_rgczd2bufferzd2positionz00zz__rgcz00(obj_t);
	BGL_EXPORTED_DECL long BGl_rgczd2bufferzd2fixnumz00zz__rgcz00(obj_t);
	static obj_t BGl_z62rgczd2bufferzd2upcasezd2keywordzb0zz__rgcz00(obj_t,
		obj_t);
	static obj_t BGl_z62rgczd2bufferzd2bytez62zz__rgcz00(obj_t, obj_t);
	BGL_EXPORTED_DECL long BGl_rgczd2bufferzd2lengthz00zz__rgcz00(obj_t);
	extern obj_t rgc_buffer_substring(obj_t, long, long);
	static obj_t BGl_z62rgczd2bufferzd2subsymbolz62zz__rgcz00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rgczd2bufferzd2emptyzf3zf3zz__rgcz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_rgczd2bufferzd2symbolz00zz__rgcz00(obj_t);
	extern obj_t rgc_buffer_downcase_symbol(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rgczd2bufferzd2bolzf3zf3zz__rgcz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_rgczd2bufferzd2subsymbolz00zz__rgcz00(obj_t, long,
		long);
	static obj_t BGl_z62rgczd2bufferzd2bolzf3z91zz__rgcz00(obj_t, obj_t);
	static obj_t BGl_z62rgczd2setzd2fileposz12z70zz__rgcz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_rgczd2bufferzd2insertzd2charz12zc0zz__rgcz00(obj_t, long);
	extern obj_t rgc_buffer_escape_substring(obj_t, long, long, bool_t);
	static obj_t BGl_z62rgczd2bufferzd2keywordz62zz__rgcz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rgczd2bufferzd2upcasezd2keywordzd2zz__rgcz00(obj_t);
	extern bool_t rgc_buffer_bol_p(obj_t);
	static obj_t BGl_z62rgczd2thezd2submatchz62zz__rgcz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rgczd2bufferzd2downcasezd2keywordzd2zz__rgcz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__rgcz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_EXPORTED_DECL bool_t BGl_rgczd2bufferzd2eofzf3zf3zz__rgcz00(obj_t);
	static obj_t BGl_z62rgczd2bufferzd2eofzf3z91zz__rgcz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rgczd2bufferzd2upcasezd2symbolzd2zz__rgcz00(obj_t);
	extern bool_t rgc_buffer_insert_substring(obj_t, obj_t, long, long);
	extern bool_t rgc_buffer_eof_p(obj_t);
	BGL_EXPORTED_DECL long BGl_rgczd2startzd2matchz12z12zz__rgcz00(obj_t);
	static obj_t BGl_cnstzd2initzd2zz__rgcz00();
	static obj_t BGl_importedzd2moduleszd2initz00zz__rgcz00();
	static obj_t BGl_z62rgczd2bufferzd2substringz62zz__rgcz00(obj_t, obj_t, obj_t,
		obj_t);
	extern long rgc_buffer_fixnum(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_rgczd2bufferzd2substringz00zz__rgcz00(obj_t, long,
		long);
	BGL_EXPORTED_DECL obj_t BGl_rgczd2bufferzd2integerz00zz__rgcz00(obj_t);
	static obj_t BGl_symbol1602z00zz__rgcz00 = BUNSPEC;
	static obj_t BGl_symbol1604z00zz__rgcz00 = BUNSPEC;
	static obj_t BGl_symbol1606z00zz__rgcz00 = BUNSPEC;
	BGL_EXPORTED_DECL bool_t BGl_rgczd2bufferzd2eolzf3zf3zz__rgcz00(obj_t);
	extern bool_t rgc_buffer_insert_char(obj_t, int);
	static obj_t BGl_z62rgczd2bufferzd2eolzf3z91zz__rgcz00(obj_t, obj_t);
	static obj_t BGl_z62rgczd2bufferzd2getzd2charzb0zz__rgcz00(obj_t, obj_t);
	extern int rgc_buffer_unget_char(obj_t, int);
	extern obj_t rgc_buffer_symbol(obj_t);
	static obj_t BGl_z62rgczd2bufferzd2fixnumz62zz__rgcz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rgczd2fillzd2bufferz00zz__rgcz00(obj_t);
	static obj_t BGl_z62rgczd2bufferzd2lengthz62zz__rgcz00(obj_t, obj_t);
	extern obj_t rgc_buffer_upcase_symbol(obj_t);
	static obj_t BGl_z62rgczd2bufferzd2downcasezd2keywordzb0zz__rgcz00(obj_t,
		obj_t);
	static obj_t BGl_z62rgczd2fillzd2bufferz62zz__rgcz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_za2unsafezd2rgcza2zd2zz__rgcz00 = BUNSPEC;
	extern bool_t rgc_buffer_eol_p(obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_rgczd2bufferzd2insertzd2substringz12zc0zz__rgcz00(obj_t, obj_t, long,
		long);
	static obj_t BGl_z62rgczd2startzd2matchz12z70zz__rgcz00(obj_t, obj_t);
	static obj_t BGl_z62rgczd2bufferzd2emptyzf3z91zz__rgcz00(obj_t, obj_t);
	extern obj_t rgc_buffer_upcase_keyword(obj_t);
	static obj_t BGl_z62rgczd2bufferzd2symbolz62zz__rgcz00(obj_t, obj_t);
	extern bool_t rgc_fill_buffer(obj_t);
	BGL_EXPORTED_DECL double BGl_rgczd2bufferzd2flonumz00zz__rgcz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rgczd2bufferzd2escapezd2substringzd2zz__rgcz00(obj_t, long, long,
		bool_t);
	BGL_EXPORTED_DECL obj_t BGl_rgczd2bufferzd2keywordz00zz__rgcz00(obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2positionzd2envzd2zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71610za7,
		BGl_z62rgczd2bufferzd2positionz62zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2bofzf3zd2envz21zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71611za7,
		BGl_z62rgczd2bufferzd2bofzf3z91zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2flonumzd2envzd2zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71612za7,
		BGl_z62rgczd2bufferzd2flonumz62zz__rgcz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2thezd2submatchzd2envzd2zz__rgcz00,
		BgL_bgl_za762rgcza7d2theza7d2s1613za7,
		BGl_z62rgczd2thezd2submatchz62zz__rgcz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rgczd2bufferzd2upcasezd2symbolzd2envz00zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71614za7,
		BGl_z62rgczd2bufferzd2upcasezd2symbolzb0zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rgczd2bufferzd2bytezd2refzd2envz00zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71615za7,
		BGl_z62rgczd2bufferzd2bytezd2refzb0zz__rgcz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1600z00zz__rgcz00,
		BgL_bgl_string1600za700za7za7_1616za7, "&rgc-buffer-bof?", 16);
	      DEFINE_STRING(BGl_string1601z00zz__rgcz00,
		BgL_bgl_string1601za700za7za7_1617za7, "&rgc-buffer-eof?", 16);
	      DEFINE_STRING(BGl_string1603z00zz__rgcz00,
		BgL_bgl_string1603za700za7za7_1618za7, "stop", 4);
	      DEFINE_STRING(BGl_string1605z00zz__rgcz00,
		BgL_bgl_string1605za700za7za7_1619za7, "start", 5);
	      DEFINE_STRING(BGl_string1607z00zz__rgcz00,
		BgL_bgl_string1607za700za7za7_1620za7, "start*", 6);
	      DEFINE_STRING(BGl_string1608z00zz__rgcz00,
		BgL_bgl_string1608za700za7za7_1621za7, "&rgc-the-submatch", 17);
	      DEFINE_STRING(BGl_string1609z00zz__rgcz00,
		BgL_bgl_string1609za700za7za7_1622za7, "__rgc", 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2emptyzf3zd2envz21zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71623za7,
		BGl_z62rgczd2bufferzd2emptyzf3z91zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2symbolzd2envzd2zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71624za7,
		BGl_z62rgczd2bufferzd2symbolz62zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2stopzd2matchz12zd2envzc0zz__rgcz00,
		BgL_bgl_za762rgcza7d2stopza7d21625za7,
		BGl_z62rgczd2stopzd2matchz12z70zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rgczd2fillzd2bufferzd2ifzd2emptyzd2envzd2zz__rgcz00,
		BgL_bgl_za762rgcza7d2fillza7d21626za7,
		BGl_z62rgczd2fillzd2bufferzd2ifzd2emptyz62zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2fixnumzd2envzd2zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71627za7,
		BGl_z62rgczd2bufferzd2fixnumz62zz__rgcz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1567z00zz__rgcz00,
		BgL_bgl_string1567za700za7za7_1628za7, "/tmp/bigloo/runtime/Rgc/rgc.scm",
		31);
	      DEFINE_STRING(BGl_string1568z00zz__rgcz00,
		BgL_bgl_string1568za700za7za7_1629za7, "&rgc-buffer-get-char", 20);
	      DEFINE_STRING(BGl_string1569z00zz__rgcz00,
		BgL_bgl_string1569za700za7za7_1630za7, "input-port", 10);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rgczd2bufferzd2downcasezd2keywordzd2envz00zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71631za7,
		BGl_z62rgczd2bufferzd2downcasezd2keywordzb0zz__rgcz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1570z00zz__rgcz00,
		BgL_bgl_string1570za700za7za7_1632za7, "&rgc-buffer-unget-char", 22);
	      DEFINE_STRING(BGl_string1571z00zz__rgcz00,
		BgL_bgl_string1571za700za7za7_1633za7, "bint", 4);
	      DEFINE_STRING(BGl_string1572z00zz__rgcz00,
		BgL_bgl_string1572za700za7za7_1634za7, "&rgc-buffer-insert-substring!", 29);
	      DEFINE_STRING(BGl_string1573z00zz__rgcz00,
		BgL_bgl_string1573za700za7za7_1635za7, "bstring", 7);
	      DEFINE_STRING(BGl_string1574z00zz__rgcz00,
		BgL_bgl_string1574za700za7za7_1636za7, "&rgc-buffer-insert-char!", 24);
	      DEFINE_STRING(BGl_string1575z00zz__rgcz00,
		BgL_bgl_string1575za700za7za7_1637za7, "&rgc-buffer-character", 21);
	      DEFINE_STRING(BGl_string1576z00zz__rgcz00,
		BgL_bgl_string1576za700za7za7_1638za7, "&rgc-buffer-byte", 16);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rgczd2bufferzd2insertzd2substringz12zd2envz12zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71639za7,
		BGl_z62rgczd2bufferzd2insertzd2substringz12za2zz__rgcz00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string1577z00zz__rgcz00,
		BgL_bgl_string1577za700za7za7_1640za7, "&rgc-buffer-byte-ref", 20);
	      DEFINE_STRING(BGl_string1578z00zz__rgcz00,
		BgL_bgl_string1578za700za7za7_1641za7, "&rgc-buffer-substring", 21);
	      DEFINE_STRING(BGl_string1579z00zz__rgcz00,
		BgL_bgl_string1579za700za7za7_1642za7, "&rgc-buffer-escape-substring", 28);
	      DEFINE_STRING(BGl_string1580z00zz__rgcz00,
		BgL_bgl_string1580za700za7za7_1643za7, "&rgc-buffer-length", 18);
	      DEFINE_STRING(BGl_string1581z00zz__rgcz00,
		BgL_bgl_string1581za700za7za7_1644za7, "&rgc-buffer-fixnum", 18);
	      DEFINE_STRING(BGl_string1582z00zz__rgcz00,
		BgL_bgl_string1582za700za7za7_1645za7, "&rgc-buffer-integer", 19);
	      DEFINE_STRING(BGl_string1583z00zz__rgcz00,
		BgL_bgl_string1583za700za7za7_1646za7, "&rgc-buffer-flonum", 18);
	      DEFINE_STRING(BGl_string1584z00zz__rgcz00,
		BgL_bgl_string1584za700za7za7_1647za7, "&rgc-buffer-symbol", 18);
	      DEFINE_STRING(BGl_string1585z00zz__rgcz00,
		BgL_bgl_string1585za700za7za7_1648za7, "&rgc-buffer-subsymbol", 21);
	      DEFINE_STRING(BGl_string1586z00zz__rgcz00,
		BgL_bgl_string1586za700za7za7_1649za7, "&rgc-buffer-downcase-symbol", 27);
	      DEFINE_STRING(BGl_string1587z00zz__rgcz00,
		BgL_bgl_string1587za700za7za7_1650za7, "&rgc-buffer-upcase-symbol", 25);
	      DEFINE_STRING(BGl_string1588z00zz__rgcz00,
		BgL_bgl_string1588za700za7za7_1651za7, "&rgc-buffer-keyword", 19);
	      DEFINE_STRING(BGl_string1589z00zz__rgcz00,
		BgL_bgl_string1589za700za7za7_1652za7, "&rgc-buffer-downcase-keyword", 28);
	      DEFINE_STRING(BGl_string1590z00zz__rgcz00,
		BgL_bgl_string1590za700za7za7_1653za7, "&rgc-buffer-upcase-keyword", 26);
	      DEFINE_STRING(BGl_string1591z00zz__rgcz00,
		BgL_bgl_string1591za700za7za7_1654za7, "&rgc-buffer-position", 20);
	      DEFINE_STRING(BGl_string1592z00zz__rgcz00,
		BgL_bgl_string1592za700za7za7_1655za7, "&rgc-set-filepos!", 17);
	      DEFINE_STRING(BGl_string1593z00zz__rgcz00,
		BgL_bgl_string1593za700za7za7_1656za7, "&rgc-start-match!", 17);
	      DEFINE_STRING(BGl_string1594z00zz__rgcz00,
		BgL_bgl_string1594za700za7za7_1657za7, "&rgc-stop-match!", 16);
	      DEFINE_STRING(BGl_string1595z00zz__rgcz00,
		BgL_bgl_string1595za700za7za7_1658za7, "&rgc-buffer-empty?", 18);
	      DEFINE_STRING(BGl_string1596z00zz__rgcz00,
		BgL_bgl_string1596za700za7za7_1659za7, "&rgc-fill-buffer", 16);
	      DEFINE_STRING(BGl_string1597z00zz__rgcz00,
		BgL_bgl_string1597za700za7za7_1660za7, "&rgc-fill-buffer-if-empty", 25);
	      DEFINE_STRING(BGl_string1598z00zz__rgcz00,
		BgL_bgl_string1598za700za7za7_1661za7, "&rgc-buffer-bol?", 16);
	      DEFINE_STRING(BGl_string1599z00zz__rgcz00,
		BgL_bgl_string1599za700za7za7_1662za7, "&rgc-buffer-eol?", 16);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rgczd2bufferzd2getzd2charzd2envz00zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71663za7,
		BGl_z62rgczd2bufferzd2getzd2charzb0zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2subsymbolzd2envzd2zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71664za7,
		BGl_z62rgczd2bufferzd2subsymbolz62zz__rgcz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2integerzd2envzd2zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71665za7,
		BGl_z62rgczd2bufferzd2integerz62zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2keywordzd2envzd2zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71666za7,
		BGl_z62rgczd2bufferzd2keywordz62zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2eolzf3zd2envz21zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71667za7,
		BGl_z62rgczd2bufferzd2eolzf3z91zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rgczd2bufferzd2insertzd2charz12zd2envz12zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71668za7,
		BGl_z62rgczd2bufferzd2insertzd2charz12za2zz__rgcz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2lengthzd2envzd2zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71669za7,
		BGl_z62rgczd2bufferzd2lengthz62zz__rgcz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2fillzd2bufferzd2envzd2zz__rgcz00,
		BgL_bgl_za762rgcza7d2fillza7d21670za7,
		BGl_z62rgczd2fillzd2bufferz62zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2eofzf3zd2envz21zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71671za7,
		BGl_z62rgczd2bufferzd2eofzf3z91zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rgczd2bufferzd2ungetzd2charzd2envz00zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71672za7,
		BGl_z62rgczd2bufferzd2ungetzd2charzb0zz__rgcz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2characterzd2envzd2zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71673za7,
		BGl_z62rgczd2bufferzd2characterz62zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rgczd2bufferzd2escapezd2substringzd2envz00zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71674za7,
		BGl_z62rgczd2bufferzd2escapezd2substringzb0zz__rgcz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2substringzd2envzd2zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71675za7,
		BGl_z62rgczd2bufferzd2substringz62zz__rgcz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2startzd2matchz12zd2envzc0zz__rgcz00,
		BgL_bgl_za762rgcza7d2startza7d1676za7,
		BGl_z62rgczd2startzd2matchz12z70zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rgczd2bufferzd2upcasezd2keywordzd2envz00zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71677za7,
		BGl_z62rgczd2bufferzd2upcasezd2keywordzb0zz__rgcz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2bytezd2envzd2zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71678za7,
		BGl_z62rgczd2bufferzd2bytez62zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rgczd2bufferzd2downcasezd2symbolzd2envz00zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71679za7,
		BGl_z62rgczd2bufferzd2downcasezd2symbolzb0zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2setzd2fileposz12zd2envzc0zz__rgcz00,
		BgL_bgl_za762rgcza7d2setza7d2f1680za7,
		BGl_z62rgczd2setzd2fileposz12z70zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2bolzf3zd2envz21zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71681za7,
		BGl_z62rgczd2bufferzd2bolzf3z91zz__rgcz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__rgcz00(long
		BgL_checksumz00_1449, char *BgL_fromz00_1450)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__rgcz00))
				{
					BGl_requirezd2initializa7ationz75zz__rgcz00 = BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__rgcz00();
					BGl_importedzd2moduleszd2initz00zz__rgcz00();
					BGl_toplevelzd2initzd2zz__rgcz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__rgcz00()
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 17 */
			BGl_symbol1602z00zz__rgcz00 =
				bstring_to_symbol(BGl_string1603z00zz__rgcz00);
			BGl_symbol1604z00zz__rgcz00 =
				bstring_to_symbol(BGl_string1605z00zz__rgcz00);
			return (BGl_symbol1606z00zz__rgcz00 =
				bstring_to_symbol(BGl_string1607z00zz__rgcz00), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__rgcz00()
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 17 */
			return (BGl_za2unsafezd2rgcza2zd2zz__rgcz00 = BFALSE, BUNSPEC);
		}
	}



/* rgc-buffer-get-char */
	BGL_EXPORTED_DEF int BGl_rgczd2bufferzd2getzd2charzd2zz__rgcz00(obj_t
		BgL_inputzd2portzd2_3)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 229 */
			return RGC_BUFFER_GET_CHAR(BgL_inputzd2portzd2_3);
		}
	}



/* &rgc-buffer-get-char */
	obj_t BGl_z62rgczd2bufferzd2getzd2charzb0zz__rgcz00(obj_t BgL_envz00_1231,
		obj_t BgL_inputzd2portzd2_1232)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 229 */
			{	/* Rgc/rgc.scm 230 */
				int BgL_auxz00_1461;

				{	/* Rgc/rgc.scm 230 */
					obj_t BgL_inputzd2portzd2_1403;

					if (INPUT_PORTP(BgL_inputzd2portzd2_1232))
						{	/* Rgc/rgc.scm 230 */
							BgL_inputzd2portzd2_1403 = BgL_inputzd2portzd2_1232;
						}
					else
						{
							obj_t BgL_auxz00_1464;

							BgL_auxz00_1464 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1567z00zz__rgcz00,
								BINT(((long) 10725)), BGl_string1568z00zz__rgcz00,
								BGl_string1569z00zz__rgcz00, BgL_inputzd2portzd2_1232);
							FAILURE(BgL_auxz00_1464, BFALSE, BFALSE);
						}
					BgL_auxz00_1461 = RGC_BUFFER_GET_CHAR(BgL_inputzd2portzd2_1403);
				}
				return BINT(BgL_auxz00_1461);
			}
		}
	}



/* rgc-buffer-unget-char */
	BGL_EXPORTED_DEF int BGl_rgczd2bufferzd2ungetzd2charzd2zz__rgcz00(obj_t
		BgL_inputzd2portzd2_4, int BgL_charz00_5)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 235 */
			return rgc_buffer_unget_char(BgL_inputzd2portzd2_4, BgL_charz00_5);
		}
	}



/* &rgc-buffer-unget-char */
	obj_t BGl_z62rgczd2bufferzd2ungetzd2charzb0zz__rgcz00(obj_t BgL_envz00_1233,
		obj_t BgL_inputzd2portzd2_1234, obj_t BgL_charz00_1235)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 235 */
			{	/* Rgc/rgc.scm 236 */
				int BgL_auxz00_1471;

				{	/* Rgc/rgc.scm 236 */
					obj_t BgL_inputzd2portzd2_1404;
					int BgL_charz00_1405;

					if (INPUT_PORTP(BgL_inputzd2portzd2_1234))
						{	/* Rgc/rgc.scm 236 */
							BgL_inputzd2portzd2_1404 = BgL_inputzd2portzd2_1234;
						}
					else
						{
							obj_t BgL_auxz00_1474;

							BgL_auxz00_1474 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1567z00zz__rgcz00,
								BINT(((long) 11042)), BGl_string1570z00zz__rgcz00,
								BGl_string1569z00zz__rgcz00, BgL_inputzd2portzd2_1234);
							FAILURE(BgL_auxz00_1474, BFALSE, BFALSE);
						}
					{	/* Rgc/rgc.scm 236 */
						obj_t BgL_auxz00_1478;

						if (INTEGERP(BgL_charz00_1235))
							{	/* Rgc/rgc.scm 236 */
								BgL_auxz00_1478 = BgL_charz00_1235;
							}
						else
							{
								obj_t BgL_auxz00_1481;

								BgL_auxz00_1481 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1567z00zz__rgcz00,
									BINT(((long) 11042)), BGl_string1570z00zz__rgcz00,
									BGl_string1571z00zz__rgcz00, BgL_charz00_1235);
								FAILURE(BgL_auxz00_1481, BFALSE, BFALSE);
							}
						BgL_charz00_1405 = CINT(BgL_auxz00_1478);
					}
					BgL_auxz00_1471 =
						rgc_buffer_unget_char(BgL_inputzd2portzd2_1404, BgL_charz00_1405);
				}
				return BINT(BgL_auxz00_1471);
			}
		}
	}



/* rgc-buffer-insert-substring! */
	BGL_EXPORTED_DEF bool_t
		BGl_rgczd2bufferzd2insertzd2substringz12zc0zz__rgcz00(obj_t
		BgL_inputzd2portzd2_6, obj_t BgL_strz00_7, long BgL_fromz00_8,
		long BgL_toz00_9)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 241 */
			return
				rgc_buffer_insert_substring(BgL_inputzd2portzd2_6, BgL_strz00_7,
				BgL_fromz00_8, BgL_toz00_9);
		}
	}



/* &rgc-buffer-insert-substring! */
	obj_t BGl_z62rgczd2bufferzd2insertzd2substringz12za2zz__rgcz00(obj_t
		BgL_envz00_1236, obj_t BgL_inputzd2portzd2_1237, obj_t BgL_strz00_1238,
		obj_t BgL_fromz00_1239, obj_t BgL_toz00_1240)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 241 */
			{	/* Rgc/rgc.scm 242 */
				bool_t BgL_auxz00_1489;

				{	/* Rgc/rgc.scm 242 */
					obj_t BgL_inputzd2portzd2_1406;
					obj_t BgL_strz00_1407;
					long BgL_fromz00_1408;
					long BgL_toz00_1409;

					if (INPUT_PORTP(BgL_inputzd2portzd2_1237))
						{	/* Rgc/rgc.scm 242 */
							BgL_inputzd2portzd2_1406 = BgL_inputzd2portzd2_1237;
						}
					else
						{
							obj_t BgL_auxz00_1492;

							BgL_auxz00_1492 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1567z00zz__rgcz00,
								BINT(((long) 11379)), BGl_string1572z00zz__rgcz00,
								BGl_string1569z00zz__rgcz00, BgL_inputzd2portzd2_1237);
							FAILURE(BgL_auxz00_1492, BFALSE, BFALSE);
						}
					if (STRINGP(BgL_strz00_1238))
						{	/* Rgc/rgc.scm 242 */
							BgL_strz00_1407 = BgL_strz00_1238;
						}
					else
						{
							obj_t BgL_auxz00_1498;

							BgL_auxz00_1498 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1567z00zz__rgcz00,
								BINT(((long) 11379)), BGl_string1572z00zz__rgcz00,
								BGl_string1573z00zz__rgcz00, BgL_strz00_1238);
							FAILURE(BgL_auxz00_1498, BFALSE, BFALSE);
						}
					{	/* Rgc/rgc.scm 242 */
						obj_t BgL_auxz00_1502;

						if (INTEGERP(BgL_fromz00_1239))
							{	/* Rgc/rgc.scm 242 */
								BgL_auxz00_1502 = BgL_fromz00_1239;
							}
						else
							{
								obj_t BgL_auxz00_1505;

								BgL_auxz00_1505 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1567z00zz__rgcz00,
									BINT(((long) 11379)), BGl_string1572z00zz__rgcz00,
									BGl_string1571z00zz__rgcz00, BgL_fromz00_1239);
								FAILURE(BgL_auxz00_1505, BFALSE, BFALSE);
							}
						BgL_fromz00_1408 = (long) CINT(BgL_auxz00_1502);
					}
					{	/* Rgc/rgc.scm 242 */
						obj_t BgL_auxz00_1510;

						if (INTEGERP(BgL_toz00_1240))
							{	/* Rgc/rgc.scm 242 */
								BgL_auxz00_1510 = BgL_toz00_1240;
							}
						else
							{
								obj_t BgL_auxz00_1513;

								BgL_auxz00_1513 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1567z00zz__rgcz00,
									BINT(((long) 11379)), BGl_string1572z00zz__rgcz00,
									BGl_string1571z00zz__rgcz00, BgL_toz00_1240);
								FAILURE(BgL_auxz00_1513, BFALSE, BFALSE);
							}
						BgL_toz00_1409 = (long) CINT(BgL_auxz00_1510);
					}
					BgL_auxz00_1489 =
						rgc_buffer_insert_substring(BgL_inputzd2portzd2_1406,
						BgL_strz00_1407, BgL_fromz00_1408, BgL_toz00_1409);
				}
				return BBOOL(BgL_auxz00_1489);
			}
		}
	}



/* rgc-buffer-insert-char! */
	BGL_EXPORTED_DEF bool_t BGl_rgczd2bufferzd2insertzd2charz12zc0zz__rgcz00(obj_t
		BgL_inputzd2portzd2_10, long BgL_charz00_11)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 247 */
			return
				rgc_buffer_insert_char(BgL_inputzd2portzd2_10, (int) (BgL_charz00_11));
		}
	}



/* &rgc-buffer-insert-char! */
	obj_t BGl_z62rgczd2bufferzd2insertzd2charz12za2zz__rgcz00(obj_t
		BgL_envz00_1241, obj_t BgL_inputzd2portzd2_1242, obj_t BgL_charz00_1243)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 247 */
			{	/* Rgc/rgc.scm 248 */
				bool_t BgL_auxz00_1522;

				{	/* Rgc/rgc.scm 248 */
					obj_t BgL_inputzd2portzd2_1410;
					long BgL_charz00_1411;

					if (INPUT_PORTP(BgL_inputzd2portzd2_1242))
						{	/* Rgc/rgc.scm 248 */
							BgL_inputzd2portzd2_1410 = BgL_inputzd2portzd2_1242;
						}
					else
						{
							obj_t BgL_auxz00_1525;

							BgL_auxz00_1525 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1567z00zz__rgcz00,
								BINT(((long) 11717)), BGl_string1574z00zz__rgcz00,
								BGl_string1569z00zz__rgcz00, BgL_inputzd2portzd2_1242);
							FAILURE(BgL_auxz00_1525, BFALSE, BFALSE);
						}
					{	/* Rgc/rgc.scm 248 */
						obj_t BgL_auxz00_1529;

						if (INTEGERP(BgL_charz00_1243))
							{	/* Rgc/rgc.scm 248 */
								BgL_auxz00_1529 = BgL_charz00_1243;
							}
						else
							{
								obj_t BgL_auxz00_1532;

								BgL_auxz00_1532 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1567z00zz__rgcz00,
									BINT(((long) 11717)), BGl_string1574z00zz__rgcz00,
									BGl_string1571z00zz__rgcz00, BgL_charz00_1243);
								FAILURE(BgL_auxz00_1532, BFALSE, BFALSE);
							}
						BgL_charz00_1411 = (long) CINT(BgL_auxz00_1529);
					}
					BgL_auxz00_1522 =
						rgc_buffer_insert_char(BgL_inputzd2portzd2_1410,
						(int) (BgL_charz00_1411));
				}
				return BBOOL(BgL_auxz00_1522);
			}
		}
	}



/* rgc-buffer-character */
	BGL_EXPORTED_DEF unsigned char BGl_rgczd2bufferzd2characterz00zz__rgcz00(obj_t
		BgL_inputzd2portzd2_12)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 253 */
			return RGC_BUFFER_CHARACTER(BgL_inputzd2portzd2_12);
		}
	}



/* &rgc-buffer-character */
	obj_t BGl_z62rgczd2bufferzd2characterz62zz__rgcz00(obj_t BgL_envz00_1244,
		obj_t BgL_inputzd2portzd2_1245)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 253 */
			{	/* Rgc/rgc.scm 254 */
				unsigned char BgL_auxz00_1541;

				{	/* Rgc/rgc.scm 254 */
					obj_t BgL_inputzd2portzd2_1412;

					if (INPUT_PORTP(BgL_inputzd2portzd2_1245))
						{	/* Rgc/rgc.scm 254 */
							BgL_inputzd2portzd2_1412 = BgL_inputzd2portzd2_1245;
						}
					else
						{
							obj_t BgL_auxz00_1544;

							BgL_auxz00_1544 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1567z00zz__rgcz00,
								BINT(((long) 12035)), BGl_string1575z00zz__rgcz00,
								BGl_string1569z00zz__rgcz00, BgL_inputzd2portzd2_1245);
							FAILURE(BgL_auxz00_1544, BFALSE, BFALSE);
						}
					BgL_auxz00_1541 = RGC_BUFFER_CHARACTER(BgL_inputzd2portzd2_1412);
				}
				return BCHAR(BgL_auxz00_1541);
			}
		}
	}



/* rgc-buffer-byte */
	BGL_EXPORTED_DEF int BGl_rgczd2bufferzd2bytez00zz__rgcz00(obj_t
		BgL_inputzd2portzd2_13)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 259 */
			return RGC_BUFFER_BYTE(BgL_inputzd2portzd2_13);
		}
	}



/* &rgc-buffer-byte */
	obj_t BGl_z62rgczd2bufferzd2bytez62zz__rgcz00(obj_t BgL_envz00_1246,
		obj_t BgL_inputzd2portzd2_1247)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 259 */
			{	/* Rgc/rgc.scm 260 */
				int BgL_auxz00_1551;

				{	/* Rgc/rgc.scm 260 */
					obj_t BgL_inputzd2portzd2_1413;

					if (INPUT_PORTP(BgL_inputzd2portzd2_1247))
						{	/* Rgc/rgc.scm 260 */
							BgL_inputzd2portzd2_1413 = BgL_inputzd2portzd2_1247;
						}
					else
						{
							obj_t BgL_auxz00_1554;

							BgL_auxz00_1554 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1567z00zz__rgcz00,
								BINT(((long) 12341)), BGl_string1576z00zz__rgcz00,
								BGl_string1569z00zz__rgcz00, BgL_inputzd2portzd2_1247);
							FAILURE(BgL_auxz00_1554, BFALSE, BFALSE);
						}
					BgL_auxz00_1551 = RGC_BUFFER_BYTE(BgL_inputzd2portzd2_1413);
				}
				return BINT(BgL_auxz00_1551);
			}
		}
	}



/* rgc-buffer-byte-ref */
	BGL_EXPORTED_DEF int BGl_rgczd2bufferzd2bytezd2refzd2zz__rgcz00(obj_t
		BgL_inputzd2portzd2_14, int BgL_offsetz00_15)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 265 */
			return RGC_BUFFER_BYTE_REF(BgL_inputzd2portzd2_14, BgL_offsetz00_15);
		}
	}



/* &rgc-buffer-byte-ref */
	obj_t BGl_z62rgczd2bufferzd2bytezd2refzb0zz__rgcz00(obj_t BgL_envz00_1248,
		obj_t BgL_inputzd2portzd2_1249, obj_t BgL_offsetz00_1250)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 265 */
			{	/* Rgc/rgc.scm 266 */
				int BgL_auxz00_1561;

				{	/* Rgc/rgc.scm 266 */
					obj_t BgL_inputzd2portzd2_1414;
					int BgL_offsetz00_1415;

					if (INPUT_PORTP(BgL_inputzd2portzd2_1249))
						{	/* Rgc/rgc.scm 266 */
							BgL_inputzd2portzd2_1414 = BgL_inputzd2portzd2_1249;
						}
					else
						{
							obj_t BgL_auxz00_1564;

							BgL_auxz00_1564 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1567z00zz__rgcz00,
								BINT(((long) 12653)), BGl_string1577z00zz__rgcz00,
								BGl_string1569z00zz__rgcz00, BgL_inputzd2portzd2_1249);
							FAILURE(BgL_auxz00_1564, BFALSE, BFALSE);
						}
					{	/* Rgc/rgc.scm 266 */
						obj_t BgL_auxz00_1568;

						if (INTEGERP(BgL_offsetz00_1250))
							{	/* Rgc/rgc.scm 266 */
								BgL_auxz00_1568 = BgL_offsetz00_1250;
							}
						else
							{
								obj_t BgL_auxz00_1571;

								BgL_auxz00_1571 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1567z00zz__rgcz00,
									BINT(((long) 12653)), BGl_string1577z00zz__rgcz00,
									BGl_string1571z00zz__rgcz00, BgL_offsetz00_1250);
								FAILURE(BgL_auxz00_1571, BFALSE, BFALSE);
							}
						BgL_offsetz00_1415 = CINT(BgL_auxz00_1568);
					}
					BgL_auxz00_1561 =
						RGC_BUFFER_BYTE_REF(BgL_inputzd2portzd2_1414, BgL_offsetz00_1415);
				}
				return BINT(BgL_auxz00_1561);
			}
		}
	}



/* rgc-buffer-substring */
	BGL_EXPORTED_DEF obj_t BGl_rgczd2bufferzd2substringz00zz__rgcz00(obj_t
		BgL_inputzd2portzd2_16, long BgL_startz00_17, long BgL_stopz00_18)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 271 */
			return
				rgc_buffer_substring(BgL_inputzd2portzd2_16, BgL_startz00_17,
				BgL_stopz00_18);
		}
	}



/* &rgc-buffer-substring */
	obj_t BGl_z62rgczd2bufferzd2substringz62zz__rgcz00(obj_t BgL_envz00_1251,
		obj_t BgL_inputzd2portzd2_1252, obj_t BgL_startz00_1253,
		obj_t BgL_stopz00_1254)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 271 */
			{	/* Rgc/rgc.scm 272 */
				obj_t BgL_inputzd2portzd2_1416;
				long BgL_startz00_1417;
				long BgL_stopz00_1418;

				if (INPUT_PORTP(BgL_inputzd2portzd2_1252))
					{	/* Rgc/rgc.scm 272 */
						BgL_inputzd2portzd2_1416 = BgL_inputzd2portzd2_1252;
					}
				else
					{
						obj_t BgL_auxz00_1581;

						BgL_auxz00_1581 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1567z00zz__rgcz00,
							BINT(((long) 12981)), BGl_string1578z00zz__rgcz00,
							BGl_string1569z00zz__rgcz00, BgL_inputzd2portzd2_1252);
						FAILURE(BgL_auxz00_1581, BFALSE, BFALSE);
					}
				{	/* Rgc/rgc.scm 272 */
					obj_t BgL_auxz00_1585;

					if (INTEGERP(BgL_startz00_1253))
						{	/* Rgc/rgc.scm 272 */
							BgL_auxz00_1585 = BgL_startz00_1253;
						}
					else
						{
							obj_t BgL_auxz00_1588;

							BgL_auxz00_1588 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1567z00zz__rgcz00,
								BINT(((long) 12981)), BGl_string1578z00zz__rgcz00,
								BGl_string1571z00zz__rgcz00, BgL_startz00_1253);
							FAILURE(BgL_auxz00_1588, BFALSE, BFALSE);
						}
					BgL_startz00_1417 = (long) CINT(BgL_auxz00_1585);
				}
				{	/* Rgc/rgc.scm 272 */
					obj_t BgL_auxz00_1593;

					if (INTEGERP(BgL_stopz00_1254))
						{	/* Rgc/rgc.scm 272 */
							BgL_auxz00_1593 = BgL_stopz00_1254;
						}
					else
						{
							obj_t BgL_auxz00_1596;

							BgL_auxz00_1596 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1567z00zz__rgcz00,
								BINT(((long) 12981)), BGl_string1578z00zz__rgcz00,
								BGl_string1571z00zz__rgcz00, BgL_stopz00_1254);
							FAILURE(BgL_auxz00_1596, BFALSE, BFALSE);
						}
					BgL_stopz00_1418 = (long) CINT(BgL_auxz00_1593);
				}
				return
					rgc_buffer_substring(BgL_inputzd2portzd2_1416, BgL_startz00_1417,
					BgL_stopz00_1418);
			}
		}
	}



/* rgc-buffer-escape-substring */
	BGL_EXPORTED_DEF obj_t
		BGl_rgczd2bufferzd2escapezd2substringzd2zz__rgcz00(obj_t
		BgL_inputzd2portzd2_19, long BgL_startz00_20, long BgL_stopz00_21,
		bool_t BgL_strictz00_22)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 277 */
			return
				rgc_buffer_escape_substring(BgL_inputzd2portzd2_19, BgL_startz00_20,
				BgL_stopz00_21, BgL_strictz00_22);
		}
	}



/* &rgc-buffer-escape-substring */
	obj_t BGl_z62rgczd2bufferzd2escapezd2substringzb0zz__rgcz00(obj_t
		BgL_envz00_1255, obj_t BgL_inputzd2portzd2_1256, obj_t BgL_startz00_1257,
		obj_t BgL_stopz00_1258, obj_t BgL_strictz00_1259)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 277 */
			{	/* Rgc/rgc.scm 278 */
				obj_t BgL_inputzd2portzd2_1419;
				long BgL_startz00_1420;
				long BgL_stopz00_1421;
				bool_t BgL_strictz00_1422;

				if (INPUT_PORTP(BgL_inputzd2portzd2_1256))
					{	/* Rgc/rgc.scm 278 */
						BgL_inputzd2portzd2_1419 = BgL_inputzd2portzd2_1256;
					}
				else
					{
						obj_t BgL_auxz00_1605;

						BgL_auxz00_1605 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1567z00zz__rgcz00,
							BINT(((long) 13328)), BGl_string1579z00zz__rgcz00,
							BGl_string1569z00zz__rgcz00, BgL_inputzd2portzd2_1256);
						FAILURE(BgL_auxz00_1605, BFALSE, BFALSE);
					}
				{	/* Rgc/rgc.scm 278 */
					obj_t BgL_auxz00_1609;

					if (INTEGERP(BgL_startz00_1257))
						{	/* Rgc/rgc.scm 278 */
							BgL_auxz00_1609 = BgL_startz00_1257;
						}
					else
						{
							obj_t BgL_auxz00_1612;

							BgL_auxz00_1612 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1567z00zz__rgcz00,
								BINT(((long) 13328)), BGl_string1579z00zz__rgcz00,
								BGl_string1571z00zz__rgcz00, BgL_startz00_1257);
							FAILURE(BgL_auxz00_1612, BFALSE, BFALSE);
						}
					BgL_startz00_1420 = (long) CINT(BgL_auxz00_1609);
				}
				{	/* Rgc/rgc.scm 278 */
					obj_t BgL_auxz00_1617;

					if (INTEGERP(BgL_stopz00_1258))
						{	/* Rgc/rgc.scm 278 */
							BgL_auxz00_1617 = BgL_stopz00_1258;
						}
					else
						{
							obj_t BgL_auxz00_1620;

							BgL_auxz00_1620 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1567z00zz__rgcz00,
								BINT(((long) 13328)), BGl_string1579z00zz__rgcz00,
								BGl_string1571z00zz__rgcz00, BgL_stopz00_1258);
							FAILURE(BgL_auxz00_1620, BFALSE, BFALSE);
						}
					BgL_stopz00_1421 = (long) CINT(BgL_auxz00_1617);
				}
				BgL_strictz00_1422 = CBOOL(BgL_strictz00_1259);
				return
					rgc_buffer_escape_substring(BgL_inputzd2portzd2_1419,
					BgL_startz00_1420, BgL_stopz00_1421, BgL_strictz00_1422);
			}
		}
	}



/* rgc-buffer-length */
	BGL_EXPORTED_DEF long BGl_rgczd2bufferzd2lengthz00zz__rgcz00(obj_t
		BgL_inputzd2portzd2_23)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 283 */
			return RGC_BUFFER_MATCH_LENGTH(BgL_inputzd2portzd2_23);
		}
	}



/* &rgc-buffer-length */
	obj_t BGl_z62rgczd2bufferzd2lengthz62zz__rgcz00(obj_t BgL_envz00_1260,
		obj_t BgL_inputzd2portzd2_1261)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 283 */
			{	/* Rgc/rgc.scm 284 */
				long BgL_auxz00_1628;

				{	/* Rgc/rgc.scm 284 */
					obj_t BgL_inputzd2portzd2_1423;

					if (INPUT_PORTP(BgL_inputzd2portzd2_1261))
						{	/* Rgc/rgc.scm 284 */
							BgL_inputzd2portzd2_1423 = BgL_inputzd2portzd2_1261;
						}
					else
						{
							obj_t BgL_auxz00_1631;

							BgL_auxz00_1631 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1567z00zz__rgcz00,
								BINT(((long) 13679)), BGl_string1580z00zz__rgcz00,
								BGl_string1569z00zz__rgcz00, BgL_inputzd2portzd2_1261);
							FAILURE(BgL_auxz00_1631, BFALSE, BFALSE);
						}
					BgL_auxz00_1628 = RGC_BUFFER_MATCH_LENGTH(BgL_inputzd2portzd2_1423);
				}
				return BINT(BgL_auxz00_1628);
			}
		}
	}



/* rgc-buffer-fixnum */
	BGL_EXPORTED_DEF long BGl_rgczd2bufferzd2fixnumz00zz__rgcz00(obj_t
		BgL_inputzd2portzd2_24)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 289 */
			return rgc_buffer_fixnum(BgL_inputzd2portzd2_24);
		}
	}



/* &rgc-buffer-fixnum */
	obj_t BGl_z62rgczd2bufferzd2fixnumz62zz__rgcz00(obj_t BgL_envz00_1262,
		obj_t BgL_inputzd2portzd2_1263)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 289 */
			{	/* Rgc/rgc.scm 290 */
				long BgL_auxz00_1638;

				{	/* Rgc/rgc.scm 290 */
					obj_t BgL_inputzd2portzd2_1424;

					if (INPUT_PORTP(BgL_inputzd2portzd2_1263))
						{	/* Rgc/rgc.scm 290 */
							BgL_inputzd2portzd2_1424 = BgL_inputzd2portzd2_1263;
						}
					else
						{
							obj_t BgL_auxz00_1641;

							BgL_auxz00_1641 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1567z00zz__rgcz00,
								BINT(((long) 14002)), BGl_string1581z00zz__rgcz00,
								BGl_string1569z00zz__rgcz00, BgL_inputzd2portzd2_1263);
							FAILURE(BgL_auxz00_1641, BFALSE, BFALSE);
						}
					BgL_auxz00_1638 = rgc_buffer_fixnum(BgL_inputzd2portzd2_1424);
				}
				return BINT(BgL_auxz00_1638);
			}
		}
	}



/* rgc-buffer-integer */
	BGL_EXPORTED_DEF obj_t BGl_rgczd2bufferzd2integerz00zz__rgcz00(obj_t
		BgL_inputzd2portzd2_25)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 295 */
			return rgc_buffer_integer(BgL_inputzd2portzd2_25);
		}
	}



/* &rgc-buffer-integer */
	obj_t BGl_z62rgczd2bufferzd2integerz62zz__rgcz00(obj_t BgL_envz00_1264,
		obj_t BgL_inputzd2portzd2_1265)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 295 */
			{	/* Rgc/rgc.scm 296 */
				obj_t BgL_inputzd2portzd2_1425;

				if (INPUT_PORTP(BgL_inputzd2portzd2_1265))
					{	/* Rgc/rgc.scm 296 */
						BgL_inputzd2portzd2_1425 = BgL_inputzd2portzd2_1265;
					}
				else
					{
						obj_t BgL_auxz00_1650;

						BgL_auxz00_1650 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1567z00zz__rgcz00,
							BINT(((long) 14325)), BGl_string1582z00zz__rgcz00,
							BGl_string1569z00zz__rgcz00, BgL_inputzd2portzd2_1265);
						FAILURE(BgL_auxz00_1650, BFALSE, BFALSE);
					}
				return rgc_buffer_integer(BgL_inputzd2portzd2_1425);
			}
		}
	}



/* rgc-buffer-flonum */
	BGL_EXPORTED_DEF double BGl_rgczd2bufferzd2flonumz00zz__rgcz00(obj_t
		BgL_inputzd2portzd2_26)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 301 */
			return rgc_buffer_flonum(BgL_inputzd2portzd2_26);
		}
	}



/* &rgc-buffer-flonum */
	obj_t BGl_z62rgczd2bufferzd2flonumz62zz__rgcz00(obj_t BgL_envz00_1266,
		obj_t BgL_inputzd2portzd2_1267)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 301 */
			{	/* Rgc/rgc.scm 302 */
				double BgL_auxz00_1656;

				{	/* Rgc/rgc.scm 302 */
					obj_t BgL_inputzd2portzd2_1426;

					if (INPUT_PORTP(BgL_inputzd2portzd2_1267))
						{	/* Rgc/rgc.scm 302 */
							BgL_inputzd2portzd2_1426 = BgL_inputzd2portzd2_1267;
						}
					else
						{
							obj_t BgL_auxz00_1659;

							BgL_auxz00_1659 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1567z00zz__rgcz00,
								BINT(((long) 14651)), BGl_string1583z00zz__rgcz00,
								BGl_string1569z00zz__rgcz00, BgL_inputzd2portzd2_1267);
							FAILURE(BgL_auxz00_1659, BFALSE, BFALSE);
						}
					BgL_auxz00_1656 = rgc_buffer_flonum(BgL_inputzd2portzd2_1426);
				}
				return DOUBLE_TO_REAL(BgL_auxz00_1656);
			}
		}
	}



/* rgc-buffer-symbol */
	BGL_EXPORTED_DEF obj_t BGl_rgczd2bufferzd2symbolz00zz__rgcz00(obj_t
		BgL_inputzd2portzd2_27)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 307 */
			return rgc_buffer_symbol(BgL_inputzd2portzd2_27);
		}
	}



/* &rgc-buffer-symbol */
	obj_t BGl_z62rgczd2bufferzd2symbolz62zz__rgcz00(obj_t BgL_envz00_1268,
		obj_t BgL_inputzd2portzd2_1269)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 307 */
			{	/* Rgc/rgc.scm 308 */
				obj_t BgL_inputzd2portzd2_1427;

				if (INPUT_PORTP(BgL_inputzd2portzd2_1269))
					{	/* Rgc/rgc.scm 308 */
						BgL_inputzd2portzd2_1427 = BgL_inputzd2portzd2_1269;
					}
				else
					{
						obj_t BgL_auxz00_1668;

						BgL_auxz00_1668 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1567z00zz__rgcz00,
							BINT(((long) 14976)), BGl_string1584z00zz__rgcz00,
							BGl_string1569z00zz__rgcz00, BgL_inputzd2portzd2_1269);
						FAILURE(BgL_auxz00_1668, BFALSE, BFALSE);
					}
				return rgc_buffer_symbol(BgL_inputzd2portzd2_1427);
			}
		}
	}



/* rgc-buffer-subsymbol */
	BGL_EXPORTED_DEF obj_t BGl_rgczd2bufferzd2subsymbolz00zz__rgcz00(obj_t
		BgL_inputzd2portzd2_28, long BgL_startz00_29, long BgL_stopz00_30)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 313 */
			return
				rgc_buffer_subsymbol(BgL_inputzd2portzd2_28, BgL_startz00_29,
				BgL_stopz00_30);
		}
	}



/* &rgc-buffer-subsymbol */
	obj_t BGl_z62rgczd2bufferzd2subsymbolz62zz__rgcz00(obj_t BgL_envz00_1270,
		obj_t BgL_inputzd2portzd2_1271, obj_t BgL_startz00_1272,
		obj_t BgL_stopz00_1273)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 313 */
			{	/* Rgc/rgc.scm 314 */
				obj_t BgL_inputzd2portzd2_1428;
				long BgL_startz00_1429;
				long BgL_stopz00_1430;

				if (INPUT_PORTP(BgL_inputzd2portzd2_1271))
					{	/* Rgc/rgc.scm 314 */
						BgL_inputzd2portzd2_1428 = BgL_inputzd2portzd2_1271;
					}
				else
					{
						obj_t BgL_auxz00_1676;

						BgL_auxz00_1676 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1567z00zz__rgcz00,
							BINT(((long) 15295)), BGl_string1585z00zz__rgcz00,
							BGl_string1569z00zz__rgcz00, BgL_inputzd2portzd2_1271);
						FAILURE(BgL_auxz00_1676, BFALSE, BFALSE);
					}
				{	/* Rgc/rgc.scm 314 */
					obj_t BgL_auxz00_1680;

					if (INTEGERP(BgL_startz00_1272))
						{	/* Rgc/rgc.scm 314 */
							BgL_auxz00_1680 = BgL_startz00_1272;
						}
					else
						{
							obj_t BgL_auxz00_1683;

							BgL_auxz00_1683 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1567z00zz__rgcz00,
								BINT(((long) 15295)), BGl_string1585z00zz__rgcz00,
								BGl_string1571z00zz__rgcz00, BgL_startz00_1272);
							FAILURE(BgL_auxz00_1683, BFALSE, BFALSE);
						}
					BgL_startz00_1429 = (long) CINT(BgL_auxz00_1680);
				}
				{	/* Rgc/rgc.scm 314 */
					obj_t BgL_auxz00_1688;

					if (INTEGERP(BgL_stopz00_1273))
						{	/* Rgc/rgc.scm 314 */
							BgL_auxz00_1688 = BgL_stopz00_1273;
						}
					else
						{
							obj_t BgL_auxz00_1691;

							BgL_auxz00_1691 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1567z00zz__rgcz00,
								BINT(((long) 15295)), BGl_string1585z00zz__rgcz00,
								BGl_string1571z00zz__rgcz00, BgL_stopz00_1273);
							FAILURE(BgL_auxz00_1691, BFALSE, BFALSE);
						}
					BgL_stopz00_1430 = (long) CINT(BgL_auxz00_1688);
				}
				return
					rgc_buffer_subsymbol(BgL_inputzd2portzd2_1428, BgL_startz00_1429,
					BgL_stopz00_1430);
			}
		}
	}



/* rgc-buffer-downcase-symbol */
	BGL_EXPORTED_DEF obj_t BGl_rgczd2bufferzd2downcasezd2symbolzd2zz__rgcz00(obj_t
		BgL_inputzd2portzd2_31)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 319 */
			return rgc_buffer_downcase_symbol(BgL_inputzd2portzd2_31);
		}
	}



/* &rgc-buffer-downcase-symbol */
	obj_t BGl_z62rgczd2bufferzd2downcasezd2symbolzb0zz__rgcz00(obj_t
		BgL_envz00_1274, obj_t BgL_inputzd2portzd2_1275)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 319 */
			{	/* Rgc/rgc.scm 320 */
				obj_t BgL_inputzd2portzd2_1431;

				if (INPUT_PORTP(BgL_inputzd2portzd2_1275))
					{	/* Rgc/rgc.scm 320 */
						BgL_inputzd2portzd2_1431 = BgL_inputzd2portzd2_1275;
					}
				else
					{
						obj_t BgL_auxz00_1700;

						BgL_auxz00_1700 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1567z00zz__rgcz00,
							BINT(((long) 15643)), BGl_string1586z00zz__rgcz00,
							BGl_string1569z00zz__rgcz00, BgL_inputzd2portzd2_1275);
						FAILURE(BgL_auxz00_1700, BFALSE, BFALSE);
					}
				return rgc_buffer_downcase_symbol(BgL_inputzd2portzd2_1431);
			}
		}
	}



/* rgc-buffer-upcase-symbol */
	BGL_EXPORTED_DEF obj_t BGl_rgczd2bufferzd2upcasezd2symbolzd2zz__rgcz00(obj_t
		BgL_inputzd2portzd2_32)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 325 */
			return rgc_buffer_upcase_symbol(BgL_inputzd2portzd2_32);
		}
	}



/* &rgc-buffer-upcase-symbol */
	obj_t BGl_z62rgczd2bufferzd2upcasezd2symbolzb0zz__rgcz00(obj_t
		BgL_envz00_1276, obj_t BgL_inputzd2portzd2_1277)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 325 */
			{	/* Rgc/rgc.scm 326 */
				obj_t BgL_inputzd2portzd2_1432;

				if (INPUT_PORTP(BgL_inputzd2portzd2_1277))
					{	/* Rgc/rgc.scm 326 */
						BgL_inputzd2portzd2_1432 = BgL_inputzd2portzd2_1277;
					}
				else
					{
						obj_t BgL_auxz00_1708;

						BgL_auxz00_1708 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1567z00zz__rgcz00,
							BINT(((long) 15984)), BGl_string1587z00zz__rgcz00,
							BGl_string1569z00zz__rgcz00, BgL_inputzd2portzd2_1277);
						FAILURE(BgL_auxz00_1708, BFALSE, BFALSE);
					}
				return rgc_buffer_upcase_symbol(BgL_inputzd2portzd2_1432);
			}
		}
	}



/* rgc-buffer-keyword */
	BGL_EXPORTED_DEF obj_t BGl_rgczd2bufferzd2keywordz00zz__rgcz00(obj_t
		BgL_inputzd2portzd2_33)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 331 */
			return rgc_buffer_keyword(BgL_inputzd2portzd2_33);
		}
	}



/* &rgc-buffer-keyword */
	obj_t BGl_z62rgczd2bufferzd2keywordz62zz__rgcz00(obj_t BgL_envz00_1278,
		obj_t BgL_inputzd2portzd2_1279)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 331 */
			{	/* Rgc/rgc.scm 332 */
				obj_t BgL_inputzd2portzd2_1433;

				if (INPUT_PORTP(BgL_inputzd2portzd2_1279))
					{	/* Rgc/rgc.scm 332 */
						BgL_inputzd2portzd2_1433 = BgL_inputzd2portzd2_1279;
					}
				else
					{
						obj_t BgL_auxz00_1716;

						BgL_auxz00_1716 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1567z00zz__rgcz00,
							BINT(((long) 16318)), BGl_string1588z00zz__rgcz00,
							BGl_string1569z00zz__rgcz00, BgL_inputzd2portzd2_1279);
						FAILURE(BgL_auxz00_1716, BFALSE, BFALSE);
					}
				return rgc_buffer_keyword(BgL_inputzd2portzd2_1433);
			}
		}
	}



/* rgc-buffer-downcase-keyword */
	BGL_EXPORTED_DEF obj_t
		BGl_rgczd2bufferzd2downcasezd2keywordzd2zz__rgcz00(obj_t
		BgL_inputzd2portzd2_34)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 337 */
			return rgc_buffer_downcase_keyword(BgL_inputzd2portzd2_34);
		}
	}



/* &rgc-buffer-downcase-keyword */
	obj_t BGl_z62rgczd2bufferzd2downcasezd2keywordzb0zz__rgcz00(obj_t
		BgL_envz00_1280, obj_t BgL_inputzd2portzd2_1281)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 337 */
			{	/* Rgc/rgc.scm 338 */
				obj_t BgL_inputzd2portzd2_1434;

				if (INPUT_PORTP(BgL_inputzd2portzd2_1281))
					{	/* Rgc/rgc.scm 338 */
						BgL_inputzd2portzd2_1434 = BgL_inputzd2portzd2_1281;
					}
				else
					{
						obj_t BgL_auxz00_1724;

						BgL_auxz00_1724 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1567z00zz__rgcz00,
							BINT(((long) 16655)), BGl_string1589z00zz__rgcz00,
							BGl_string1569z00zz__rgcz00, BgL_inputzd2portzd2_1281);
						FAILURE(BgL_auxz00_1724, BFALSE, BFALSE);
					}
				return rgc_buffer_downcase_keyword(BgL_inputzd2portzd2_1434);
			}
		}
	}



/* rgc-buffer-upcase-keyword */
	BGL_EXPORTED_DEF obj_t BGl_rgczd2bufferzd2upcasezd2keywordzd2zz__rgcz00(obj_t
		BgL_inputzd2portzd2_35)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 343 */
			return rgc_buffer_upcase_keyword(BgL_inputzd2portzd2_35);
		}
	}



/* &rgc-buffer-upcase-keyword */
	obj_t BGl_z62rgczd2bufferzd2upcasezd2keywordzb0zz__rgcz00(obj_t
		BgL_envz00_1282, obj_t BgL_inputzd2portzd2_1283)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 343 */
			{	/* Rgc/rgc.scm 344 */
				obj_t BgL_inputzd2portzd2_1435;

				if (INPUT_PORTP(BgL_inputzd2portzd2_1283))
					{	/* Rgc/rgc.scm 344 */
						BgL_inputzd2portzd2_1435 = BgL_inputzd2portzd2_1283;
					}
				else
					{
						obj_t BgL_auxz00_1732;

						BgL_auxz00_1732 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1567z00zz__rgcz00,
							BINT(((long) 16999)), BGl_string1590z00zz__rgcz00,
							BGl_string1569z00zz__rgcz00, BgL_inputzd2portzd2_1283);
						FAILURE(BgL_auxz00_1732, BFALSE, BFALSE);
					}
				return rgc_buffer_upcase_keyword(BgL_inputzd2portzd2_1435);
			}
		}
	}



/* rgc-buffer-position */
	BGL_EXPORTED_DEF long BGl_rgczd2bufferzd2positionz00zz__rgcz00(obj_t
		BgL_inputzd2portzd2_36)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 349 */
			return RGC_BUFFER_POSITION(BgL_inputzd2portzd2_36);
		}
	}



/* &rgc-buffer-position */
	obj_t BGl_z62rgczd2bufferzd2positionz62zz__rgcz00(obj_t BgL_envz00_1284,
		obj_t BgL_inputzd2portzd2_1285)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 349 */
			{	/* Rgc/rgc.scm 350 */
				long BgL_auxz00_1738;

				{	/* Rgc/rgc.scm 350 */
					obj_t BgL_inputzd2portzd2_1436;

					if (INPUT_PORTP(BgL_inputzd2portzd2_1285))
						{	/* Rgc/rgc.scm 350 */
							BgL_inputzd2portzd2_1436 = BgL_inputzd2portzd2_1285;
						}
					else
						{
							obj_t BgL_auxz00_1741;

							BgL_auxz00_1741 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1567z00zz__rgcz00,
								BINT(((long) 17332)), BGl_string1591z00zz__rgcz00,
								BGl_string1569z00zz__rgcz00, BgL_inputzd2portzd2_1285);
							FAILURE(BgL_auxz00_1741, BFALSE, BFALSE);
						}
					BgL_auxz00_1738 = RGC_BUFFER_POSITION(BgL_inputzd2portzd2_1436);
				}
				return BINT(BgL_auxz00_1738);
			}
		}
	}



/* rgc-set-filepos! */
	BGL_EXPORTED_DEF obj_t BGl_rgczd2setzd2fileposz12z12zz__rgcz00(obj_t
		BgL_inputzd2portzd2_37)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 355 */
			return BINT(RGC_SET_FILEPOS(BgL_inputzd2portzd2_37));
		}
	}



/* &rgc-set-filepos! */
	obj_t BGl_z62rgczd2setzd2fileposz12z70zz__rgcz00(obj_t BgL_envz00_1286,
		obj_t BgL_inputzd2portzd2_1287)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 355 */
			{	/* Rgc/rgc.scm 356 */
				obj_t BgL_inputzd2portzd2_1437;

				if (INPUT_PORTP(BgL_inputzd2portzd2_1287))
					{	/* Rgc/rgc.scm 356 */
						BgL_inputzd2portzd2_1437 = BgL_inputzd2portzd2_1287;
					}
				else
					{
						obj_t BgL_auxz00_1751;

						BgL_auxz00_1751 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1567z00zz__rgcz00,
							BINT(((long) 17650)), BGl_string1592z00zz__rgcz00,
							BGl_string1569z00zz__rgcz00, BgL_inputzd2portzd2_1287);
						FAILURE(BgL_auxz00_1751, BFALSE, BFALSE);
					}
				return BINT(RGC_SET_FILEPOS(BgL_inputzd2portzd2_1437));
			}
		}
	}



/* rgc-start-match! */
	BGL_EXPORTED_DEF long BGl_rgczd2startzd2matchz12z12zz__rgcz00(obj_t
		BgL_inputzd2portzd2_38)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 361 */
			return RGC_START_MATCH(BgL_inputzd2portzd2_38);
		}
	}



/* &rgc-start-match! */
	obj_t BGl_z62rgczd2startzd2matchz12z70zz__rgcz00(obj_t BgL_envz00_1288,
		obj_t BgL_inputzd2portzd2_1289)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 361 */
			{	/* Rgc/rgc.scm 362 */
				long BgL_auxz00_1758;

				{	/* Rgc/rgc.scm 362 */
					obj_t BgL_inputzd2portzd2_1438;

					if (INPUT_PORTP(BgL_inputzd2portzd2_1289))
						{	/* Rgc/rgc.scm 362 */
							BgL_inputzd2portzd2_1438 = BgL_inputzd2portzd2_1289;
						}
					else
						{
							obj_t BgL_auxz00_1761;

							BgL_auxz00_1761 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1567z00zz__rgcz00,
								BINT(((long) 17953)), BGl_string1593z00zz__rgcz00,
								BGl_string1569z00zz__rgcz00, BgL_inputzd2portzd2_1289);
							FAILURE(BgL_auxz00_1761, BFALSE, BFALSE);
						}
					BgL_auxz00_1758 = RGC_START_MATCH(BgL_inputzd2portzd2_1438);
				}
				return BINT(BgL_auxz00_1758);
			}
		}
	}



/* rgc-stop-match! */
	BGL_EXPORTED_DEF long BGl_rgczd2stopzd2matchz12z12zz__rgcz00(obj_t
		BgL_inputzd2portzd2_39)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 367 */
			return RGC_STOP_MATCH(BgL_inputzd2portzd2_39);
		}
	}



/* &rgc-stop-match! */
	obj_t BGl_z62rgczd2stopzd2matchz12z70zz__rgcz00(obj_t BgL_envz00_1290,
		obj_t BgL_inputzd2portzd2_1291)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 367 */
			{	/* Rgc/rgc.scm 368 */
				long BgL_auxz00_1768;

				{	/* Rgc/rgc.scm 368 */
					obj_t BgL_inputzd2portzd2_1439;

					if (INPUT_PORTP(BgL_inputzd2portzd2_1291))
						{	/* Rgc/rgc.scm 368 */
							BgL_inputzd2portzd2_1439 = BgL_inputzd2portzd2_1291;
						}
					else
						{
							obj_t BgL_auxz00_1771;

							BgL_auxz00_1771 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1567z00zz__rgcz00,
								BINT(((long) 18255)), BGl_string1594z00zz__rgcz00,
								BGl_string1569z00zz__rgcz00, BgL_inputzd2portzd2_1291);
							FAILURE(BgL_auxz00_1771, BFALSE, BFALSE);
						}
					BgL_auxz00_1768 = RGC_STOP_MATCH(BgL_inputzd2portzd2_1439);
				}
				return BINT(BgL_auxz00_1768);
			}
		}
	}



/* rgc-buffer-empty? */
	BGL_EXPORTED_DEF bool_t BGl_rgczd2bufferzd2emptyzf3zf3zz__rgcz00(obj_t
		BgL_inputzd2portzd2_40)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 373 */
			return RGC_BUFFER_EMPTY(BgL_inputzd2portzd2_40);
		}
	}



/* &rgc-buffer-empty? */
	obj_t BGl_z62rgczd2bufferzd2emptyzf3z91zz__rgcz00(obj_t BgL_envz00_1292,
		obj_t BgL_inputzd2portzd2_1293)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 373 */
			{	/* Rgc/rgc.scm 374 */
				bool_t BgL_auxz00_1778;

				{	/* Rgc/rgc.scm 374 */
					obj_t BgL_inputzd2portzd2_1440;

					if (INPUT_PORTP(BgL_inputzd2portzd2_1293))
						{	/* Rgc/rgc.scm 374 */
							BgL_inputzd2portzd2_1440 = BgL_inputzd2portzd2_1293;
						}
					else
						{
							obj_t BgL_auxz00_1781;

							BgL_auxz00_1781 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1567z00zz__rgcz00,
								BINT(((long) 18576)), BGl_string1595z00zz__rgcz00,
								BGl_string1569z00zz__rgcz00, BgL_inputzd2portzd2_1293);
							FAILURE(BgL_auxz00_1781, BFALSE, BFALSE);
						}
					BgL_auxz00_1778 = RGC_BUFFER_EMPTY(BgL_inputzd2portzd2_1440);
				}
				return BBOOL(BgL_auxz00_1778);
			}
		}
	}



/* rgc-fill-buffer */
	BGL_EXPORTED_DEF bool_t BGl_rgczd2fillzd2bufferz00zz__rgcz00(obj_t
		BgL_inputzd2portzd2_41)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 379 */
			return rgc_fill_buffer(BgL_inputzd2portzd2_41);
		}
	}



/* &rgc-fill-buffer */
	obj_t BGl_z62rgczd2fillzd2bufferz62zz__rgcz00(obj_t BgL_envz00_1294,
		obj_t BgL_inputzd2portzd2_1295)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 379 */
			{	/* Rgc/rgc.scm 380 */
				bool_t BgL_auxz00_1788;

				{	/* Rgc/rgc.scm 380 */
					obj_t BgL_inputzd2portzd2_1441;

					if (INPUT_PORTP(BgL_inputzd2portzd2_1295))
						{	/* Rgc/rgc.scm 380 */
							BgL_inputzd2portzd2_1441 = BgL_inputzd2portzd2_1295;
						}
					else
						{
							obj_t BgL_auxz00_1791;

							BgL_auxz00_1791 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1567z00zz__rgcz00,
								BINT(((long) 18897)), BGl_string1596z00zz__rgcz00,
								BGl_string1569z00zz__rgcz00, BgL_inputzd2portzd2_1295);
							FAILURE(BgL_auxz00_1791, BFALSE, BFALSE);
						}
					BgL_auxz00_1788 = rgc_fill_buffer(BgL_inputzd2portzd2_1441);
				}
				return BBOOL(BgL_auxz00_1788);
			}
		}
	}



/* rgc-fill-buffer-if-empty */
	BGL_EXPORTED_DEF bool_t
		BGl_rgczd2fillzd2bufferzd2ifzd2emptyz00zz__rgcz00(obj_t
		BgL_inputzd2portzd2_42)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 385 */
			{	/* Rgc/rgc.scm 386 */
				bool_t BgL_testz00_1797;

				{	/* Rgc/rgc.scm 386 */
					bool_t BgL_res1415z00_1442;

					BgL_res1415z00_1442 = RGC_BUFFER_EMPTY(BgL_inputzd2portzd2_42);
					BgL_testz00_1797 = BgL_res1415z00_1442;
				}
				if (BgL_testz00_1797)
					{	/* Rgc/rgc.scm 386 */
						return rgc_fill_buffer(BgL_inputzd2portzd2_42);
					}
				else
					{	/* Rgc/rgc.scm 386 */
						return ((bool_t) 0);
					}
			}
		}
	}



/* &rgc-fill-buffer-if-empty */
	obj_t BGl_z62rgczd2fillzd2bufferzd2ifzd2emptyz62zz__rgcz00(obj_t
		BgL_envz00_1296, obj_t BgL_inputzd2portzd2_1297)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 385 */
			{	/* Rgc/rgc.scm 386 */
				bool_t BgL_auxz00_1800;

				{	/* Rgc/rgc.scm 386 */
					obj_t BgL_inputzd2portzd2_1443;

					if (INPUT_PORTP(BgL_inputzd2portzd2_1297))
						{	/* Rgc/rgc.scm 386 */
							BgL_inputzd2portzd2_1443 = BgL_inputzd2portzd2_1297;
						}
					else
						{
							obj_t BgL_auxz00_1803;

							BgL_auxz00_1803 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1567z00zz__rgcz00,
								BINT(((long) 19230)), BGl_string1597z00zz__rgcz00,
								BGl_string1569z00zz__rgcz00, BgL_inputzd2portzd2_1297);
							FAILURE(BgL_auxz00_1803, BFALSE, BFALSE);
						}
					{	/* Rgc/rgc.scm 386 */
						bool_t BgL_testz00_1807;

						{	/* Rgc/rgc.scm 386 */
							bool_t BgL_res1415z00_1444;

							BgL_res1415z00_1444 = RGC_BUFFER_EMPTY(BgL_inputzd2portzd2_1443);
							BgL_testz00_1807 = BgL_res1415z00_1444;
						}
						if (BgL_testz00_1807)
							{	/* Rgc/rgc.scm 386 */
								BgL_auxz00_1800 = rgc_fill_buffer(BgL_inputzd2portzd2_1443);
							}
						else
							{	/* Rgc/rgc.scm 386 */
								BgL_auxz00_1800 = ((bool_t) 0);
							}
					}
				}
				return BBOOL(BgL_auxz00_1800);
			}
		}
	}



/* rgc-buffer-bol? */
	BGL_EXPORTED_DEF bool_t BGl_rgczd2bufferzd2bolzf3zf3zz__rgcz00(obj_t
		BgL_inputzd2portzd2_43)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 391 */
			return rgc_buffer_bol_p(BgL_inputzd2portzd2_43);
		}
	}



/* &rgc-buffer-bol? */
	obj_t BGl_z62rgczd2bufferzd2bolzf3z91zz__rgcz00(obj_t BgL_envz00_1298,
		obj_t BgL_inputzd2portzd2_1299)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 391 */
			{	/* Rgc/rgc.scm 392 */
				bool_t BgL_auxz00_1812;

				{	/* Rgc/rgc.scm 392 */
					obj_t BgL_inputzd2portzd2_1445;

					if (INPUT_PORTP(BgL_inputzd2portzd2_1299))
						{	/* Rgc/rgc.scm 392 */
							BgL_inputzd2portzd2_1445 = BgL_inputzd2portzd2_1299;
						}
					else
						{
							obj_t BgL_auxz00_1815;

							BgL_auxz00_1815 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1567z00zz__rgcz00,
								BINT(((long) 19580)), BGl_string1598z00zz__rgcz00,
								BGl_string1569z00zz__rgcz00, BgL_inputzd2portzd2_1299);
							FAILURE(BgL_auxz00_1815, BFALSE, BFALSE);
						}
					BgL_auxz00_1812 = rgc_buffer_bol_p(BgL_inputzd2portzd2_1445);
				}
				return BBOOL(BgL_auxz00_1812);
			}
		}
	}



/* rgc-buffer-eol? */
	BGL_EXPORTED_DEF bool_t BGl_rgczd2bufferzd2eolzf3zf3zz__rgcz00(obj_t
		BgL_inputzd2portzd2_44)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 397 */
			return rgc_buffer_eol_p(BgL_inputzd2portzd2_44);
		}
	}



/* &rgc-buffer-eol? */
	obj_t BGl_z62rgczd2bufferzd2eolzf3z91zz__rgcz00(obj_t BgL_envz00_1300,
		obj_t BgL_inputzd2portzd2_1301)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 397 */
			{	/* Rgc/rgc.scm 398 */
				bool_t BgL_auxz00_1822;

				{	/* Rgc/rgc.scm 398 */
					obj_t BgL_inputzd2portzd2_1446;

					if (INPUT_PORTP(BgL_inputzd2portzd2_1301))
						{	/* Rgc/rgc.scm 398 */
							BgL_inputzd2portzd2_1446 = BgL_inputzd2portzd2_1301;
						}
					else
						{
							obj_t BgL_auxz00_1825;

							BgL_auxz00_1825 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1567z00zz__rgcz00,
								BINT(((long) 19899)), BGl_string1599z00zz__rgcz00,
								BGl_string1569z00zz__rgcz00, BgL_inputzd2portzd2_1301);
							FAILURE(BgL_auxz00_1825, BFALSE, BFALSE);
						}
					BgL_auxz00_1822 = rgc_buffer_eol_p(BgL_inputzd2portzd2_1446);
				}
				return BBOOL(BgL_auxz00_1822);
			}
		}
	}



/* rgc-buffer-bof? */
	BGL_EXPORTED_DEF bool_t BGl_rgczd2bufferzd2bofzf3zf3zz__rgcz00(obj_t
		BgL_inputzd2portzd2_45)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 403 */
			return rgc_buffer_bof_p(BgL_inputzd2portzd2_45);
		}
	}



/* &rgc-buffer-bof? */
	obj_t BGl_z62rgczd2bufferzd2bofzf3z91zz__rgcz00(obj_t BgL_envz00_1302,
		obj_t BgL_inputzd2portzd2_1303)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 403 */
			{	/* Rgc/rgc.scm 404 */
				bool_t BgL_auxz00_1832;

				{	/* Rgc/rgc.scm 404 */
					obj_t BgL_inputzd2portzd2_1447;

					if (INPUT_PORTP(BgL_inputzd2portzd2_1303))
						{	/* Rgc/rgc.scm 404 */
							BgL_inputzd2portzd2_1447 = BgL_inputzd2portzd2_1303;
						}
					else
						{
							obj_t BgL_auxz00_1835;

							BgL_auxz00_1835 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1567z00zz__rgcz00,
								BINT(((long) 20218)), BGl_string1600z00zz__rgcz00,
								BGl_string1569z00zz__rgcz00, BgL_inputzd2portzd2_1303);
							FAILURE(BgL_auxz00_1835, BFALSE, BFALSE);
						}
					BgL_auxz00_1832 = rgc_buffer_bof_p(BgL_inputzd2portzd2_1447);
				}
				return BBOOL(BgL_auxz00_1832);
			}
		}
	}



/* rgc-buffer-eof? */
	BGL_EXPORTED_DEF bool_t BGl_rgczd2bufferzd2eofzf3zf3zz__rgcz00(obj_t
		BgL_inputzd2portzd2_46)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 409 */
			return rgc_buffer_eof_p(BgL_inputzd2portzd2_46);
		}
	}



/* &rgc-buffer-eof? */
	obj_t BGl_z62rgczd2bufferzd2eofzf3z91zz__rgcz00(obj_t BgL_envz00_1304,
		obj_t BgL_inputzd2portzd2_1305)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 409 */
			{	/* Rgc/rgc.scm 410 */
				bool_t BgL_auxz00_1842;

				{	/* Rgc/rgc.scm 410 */
					obj_t BgL_inputzd2portzd2_1448;

					if (INPUT_PORTP(BgL_inputzd2portzd2_1305))
						{	/* Rgc/rgc.scm 410 */
							BgL_inputzd2portzd2_1448 = BgL_inputzd2portzd2_1305;
						}
					else
						{
							obj_t BgL_auxz00_1845;

							BgL_auxz00_1845 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1567z00zz__rgcz00,
								BINT(((long) 20537)), BGl_string1601z00zz__rgcz00,
								BGl_string1569z00zz__rgcz00, BgL_inputzd2portzd2_1305);
							FAILURE(BgL_auxz00_1845, BFALSE, BFALSE);
						}
					BgL_auxz00_1842 = rgc_buffer_eof_p(BgL_inputzd2portzd2_1448);
				}
				return BBOOL(BgL_auxz00_1842);
			}
		}
	}



/* rgc-the-submatch */
	BGL_EXPORTED_DEF obj_t BGl_rgczd2thezd2submatchz00zz__rgcz00(obj_t
		BgL_rgczd2submatcheszd2_47, long BgL_posz00_48, long BgL_matchz00_49,
		long BgL_submatchz00_50)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 419 */
			{
				obj_t BgL_submatchesz00_638;
				long BgL_startz00_639;
				obj_t BgL_stopz00_640;

				BgL_submatchesz00_638 = BgL_rgczd2submatcheszd2_47;
				BgL_startz00_639 = ((long) -1);
				BgL_stopz00_640 = BINT(((long) -1));
			BgL_zc3anonymousza31134ze3z83_641:
				if (NULLP(BgL_submatchesz00_638))
					{	/* Rgc/rgc.scm 428 */
						{	/* Rgc/rgc.scm 429 */
							int BgL_res1418z00_928;

							{	/* Rgc/rgc.scm 429 */
								int BgL_auxz00_1853;

								BgL_auxz00_1853 = (int) (((long) 2));
								BgL_res1418z00_928 = BGL_MVALUES_NUMBER_SET(BgL_auxz00_1853);
							} BgL_res1418z00_928;
						}
						{	/* Rgc/rgc.scm 429 */
							int BgL_auxz00_1856;

							BgL_auxz00_1856 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_auxz00_1856, BgL_stopz00_640);
						}
						return BINT(BgL_startz00_639);
					}
				else
					{	/* Rgc/rgc.scm 430 */
						obj_t BgL_mvz00_645;

						BgL_mvz00_645 = CAR(BgL_submatchesz00_638);
						{	/* Rgc/rgc.scm 430 */
							obj_t BgL_ruz00_646;

							BgL_ruz00_646 = VECTOR_REF(BgL_mvz00_645, (int) (((long) 0)));
							{	/* Rgc/rgc.scm 431 */
								obj_t BgL_smz00_647;

								BgL_smz00_647 = VECTOR_REF(BgL_mvz00_645, (int) (((long) 1)));
								{	/* Rgc/rgc.scm 432 */
									obj_t BgL_spz00_648;

									BgL_spz00_648 = VECTOR_REF(BgL_mvz00_645, (int) (((long) 2)));
									{	/* Rgc/rgc.scm 433 */
										obj_t BgL_whatz00_649;

										BgL_whatz00_649 =
											VECTOR_REF(BgL_mvz00_645, (int) (((long) 3)));
										{	/* Rgc/rgc.scm 434 */

											{	/* Rgc/rgc.scm 436 */
												bool_t BgL_testz00_1869;

												if (((long) CINT(BgL_ruz00_646) == BgL_matchz00_49))
													{	/* Rgc/rgc.scm 436 */
														if (
															((long) CINT(BgL_smz00_647) ==
																BgL_submatchz00_50))
															{	/* Rgc/rgc.scm 436 */
																BgL_testz00_1869 =
																	((long) CINT(BgL_spz00_648) <= BgL_posz00_48);
															}
														else
															{	/* Rgc/rgc.scm 436 */
																BgL_testz00_1869 = ((bool_t) 0);
															}
													}
												else
													{	/* Rgc/rgc.scm 436 */
														BgL_testz00_1869 = ((bool_t) 0);
													}
												if (BgL_testz00_1869)
													{	/* Rgc/rgc.scm 436 */
														if (
															(BgL_whatz00_649 == BGl_symbol1602z00zz__rgcz00))
															{	/* Rgc/rgc.scm 437 */
																if (((long) CINT(BgL_stopz00_640) < ((long) 0)))
																	{
																		obj_t BgL_stopz00_1885;
																		obj_t BgL_submatchesz00_1883;

																		BgL_submatchesz00_1883 =
																			CDR(BgL_submatchesz00_638);
																		BgL_stopz00_1885 = BgL_spz00_648;
																		BgL_stopz00_640 = BgL_stopz00_1885;
																		BgL_submatchesz00_638 =
																			BgL_submatchesz00_1883;
																		goto BgL_zc3anonymousza31134ze3z83_641;
																	}
																else
																	{
																		obj_t BgL_submatchesz00_1886;

																		BgL_submatchesz00_1886 =
																			CDR(BgL_submatchesz00_638);
																		BgL_submatchesz00_638 =
																			BgL_submatchesz00_1886;
																		goto BgL_zc3anonymousza31134ze3z83_641;
																	}
															}
														else
															{	/* Rgc/rgc.scm 437 */
																if (
																	(BgL_whatz00_649 ==
																		BGl_symbol1604z00zz__rgcz00))
																	{	/* Rgc/rgc.scm 443 */
																		long BgL_val0_1069z00_657;

																		BgL_val0_1069z00_657 =
																			((long) CINT(BgL_spz00_648) - ((long) 1));
																		{	/* Rgc/rgc.scm 443 */
																			int BgL_res1426z00_964;

																			{	/* Rgc/rgc.scm 443 */
																				int BgL_auxz00_1892;

																				BgL_auxz00_1892 = (int) (((long) 2));
																				BgL_res1426z00_964 =
																					BGL_MVALUES_NUMBER_SET
																					(BgL_auxz00_1892);
																			} BgL_res1426z00_964;
																		}
																		{	/* Rgc/rgc.scm 443 */
																			int BgL_auxz00_1895;

																			BgL_auxz00_1895 = (int) (((long) 1));
																			BGL_MVALUES_VAL_SET(BgL_auxz00_1895,
																				BgL_stopz00_640);
																		}
																		return BINT(BgL_val0_1069z00_657);
																	}
																else
																	{	/* Rgc/rgc.scm 437 */
																		if (
																			(BgL_whatz00_649 ==
																				BGl_symbol1606z00zz__rgcz00))
																			{
																				long BgL_startz00_1903;
																				obj_t BgL_submatchesz00_1901;

																				BgL_submatchesz00_1901 =
																					CDR(BgL_submatchesz00_638);
																				BgL_startz00_1903 =
																					(
																					(long) CINT(BgL_spz00_648) -
																					((long) 1));
																				BgL_startz00_639 = BgL_startz00_1903;
																				BgL_submatchesz00_638 =
																					BgL_submatchesz00_1901;
																				goto BgL_zc3anonymousza31134ze3z83_641;
																			}
																		else
																			{	/* Rgc/rgc.scm 437 */
																				return BUNSPEC;
																			}
																	}
															}
													}
												else
													{	/* Rgc/rgc.scm 436 */
														if ((BgL_whatz00_649 == BgL_stopz00_640))
															{	/* Rgc/rgc.scm 446 */
																{	/* Rgc/rgc.scm 447 */
																	int BgL_res1429z00_975;

																	{	/* Rgc/rgc.scm 447 */
																		int BgL_auxz00_1908;

																		BgL_auxz00_1908 = (int) (((long) 2));
																		BgL_res1429z00_975 =
																			BGL_MVALUES_NUMBER_SET(BgL_auxz00_1908);
																	} BgL_res1429z00_975;
																}
																{	/* Rgc/rgc.scm 447 */
																	int BgL_auxz00_1911;

																	BgL_auxz00_1911 = (int) (((long) 1));
																	BGL_MVALUES_VAL_SET(BgL_auxz00_1911,
																		BgL_stopz00_640);
																}
																return BINT(BgL_startz00_639);
															}
														else
															{
																obj_t BgL_submatchesz00_1915;

																BgL_submatchesz00_1915 =
																	CDR(BgL_submatchesz00_638);
																BgL_submatchesz00_638 = BgL_submatchesz00_1915;
																goto BgL_zc3anonymousza31134ze3z83_641;
															}
													}
											}
										}
									}
								}
							}
						}
					}
			}
		}
	}



/* &rgc-the-submatch */
	obj_t BGl_z62rgczd2thezd2submatchz62zz__rgcz00(obj_t BgL_envz00_1306,
		obj_t BgL_rgczd2submatcheszd2_1307, obj_t BgL_posz00_1308,
		obj_t BgL_matchz00_1309, obj_t BgL_submatchz00_1310)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 419 */
			{	/* Rgc/rgc.scm 428 */
				long BgL_auxz00_1936;
				long BgL_auxz00_1927;
				long BgL_auxz00_1918;

				{	/* Rgc/rgc.scm 428 */
					obj_t BgL_auxz00_1937;

					if (INTEGERP(BgL_submatchz00_1310))
						{	/* Rgc/rgc.scm 428 */
							BgL_auxz00_1937 = BgL_submatchz00_1310;
						}
					else
						{
							obj_t BgL_auxz00_1940;

							BgL_auxz00_1940 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1567z00zz__rgcz00,
								BINT(((long) 21586)), BGl_string1608z00zz__rgcz00,
								BGl_string1571z00zz__rgcz00, BgL_submatchz00_1310);
							FAILURE(BgL_auxz00_1940, BFALSE, BFALSE);
						}
					BgL_auxz00_1936 = (long) CINT(BgL_auxz00_1937);
				}
				{	/* Rgc/rgc.scm 428 */
					obj_t BgL_auxz00_1928;

					if (INTEGERP(BgL_matchz00_1309))
						{	/* Rgc/rgc.scm 428 */
							BgL_auxz00_1928 = BgL_matchz00_1309;
						}
					else
						{
							obj_t BgL_auxz00_1931;

							BgL_auxz00_1931 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1567z00zz__rgcz00,
								BINT(((long) 21586)), BGl_string1608z00zz__rgcz00,
								BGl_string1571z00zz__rgcz00, BgL_matchz00_1309);
							FAILURE(BgL_auxz00_1931, BFALSE, BFALSE);
						}
					BgL_auxz00_1927 = (long) CINT(BgL_auxz00_1928);
				}
				{	/* Rgc/rgc.scm 428 */
					obj_t BgL_auxz00_1919;

					if (INTEGERP(BgL_posz00_1308))
						{	/* Rgc/rgc.scm 428 */
							BgL_auxz00_1919 = BgL_posz00_1308;
						}
					else
						{
							obj_t BgL_auxz00_1922;

							BgL_auxz00_1922 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1567z00zz__rgcz00,
								BINT(((long) 21586)), BGl_string1608z00zz__rgcz00,
								BGl_string1571z00zz__rgcz00, BgL_posz00_1308);
							FAILURE(BgL_auxz00_1922, BFALSE, BFALSE);
						}
					BgL_auxz00_1918 = (long) CINT(BgL_auxz00_1919);
				}
				return
					BGl_rgczd2thezd2submatchz00zz__rgcz00(BgL_rgczd2submatcheszd2_1307,
					BgL_auxz00_1918, BgL_auxz00_1927, BgL_auxz00_1936);
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__rgcz00()
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 17 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__rgcz00()
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 17 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__rgcz00()
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 17 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__rgcz00()
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 17 */
			return
				BGl_modulezd2initializa7ationz75zz__errorz00(((long) 430898742),
				BSTRING_TO_STRING(BGl_string1609z00zz__rgcz00));
		}
	}

#ifdef __cplusplus
}
#endif
